/*
 *  On-line: Bootcode need to generate environment variable "system_parameters",
 *           and pass them to kernel for installer.
 *
 * Off-line: When generating bootloader.tar in compile time,
 *           we need to pass the system_parameters for image_file_creator.
 */

#ifndef __SYS_PARAM_NAND__
#define __SYS_PARAM_NAND__

/*
 ************************************************
 * Attention:
 *   Because this file will be included by image_file_creator,
 *     please don't add code that depends on bootcode definition.
 *
 * Ex.
 *     (X) include "some_define.h"
 *     (X) #define SYS_PARAM_SOME_DEFINE CONFIG_SOME_DEFINE
 *     (X) #ifdef CONFIG_SOME_DEFINE
 ************************************************
 */

/* system_parameter_1 */
#define SYS_PARAM_TV_SYSTEM			"NULL"

/* system_parameter_2 */
#define SYS_PARAM_BOOT_FLASH		"nand"

/* system_parameter_3 */
#define SYS_PARAM_BOOTCODE_START			0x0
#define SYS_PARAM_BOOTCODE_SIZE			0x1E00000		//30M 

/*system_parameter_4*/
#define SYS_PARAM_SECURE_STORE_START		0x1E00000 
#define SYS_PARAM_SECURE_STORE_SIZE		0x1000000		//16M

/*system_parameter_5*/
#define SYS_PARAM_RESERVED_START		0x2E00000
#define SYS_PARAM_RESERVED_SIZE			0x400000		// 4M

/* system_parameter_6 */
#define SYS_PARAM_FACTORY_RO_START		0x3200000
#define SYS_PARAM_FACTORY_RO_SIZE		0x200000		// 2M

/* system_parameter_7 */
#define SYS_PARAM_FACTORY_START			0x3400000  
#define SYS_PARAM_FACTORY_SIZE			0x800000		//8M

/* system_parameter_8 */
#define SYS_PARAM_EMCU_START				0x0	// FIXME
#define SYS_PARAM_EMCU_SIZE				0x0	// FIXME
#define SYS_PARAM_RESCUE_START			0x0	// FIXME
#define SYS_PARAM_RESCUE_SIZE				0x0	// FIXME

/*fw_table addr*/
#define SYS_PARAM_FW_TABLE_START			0x3C00000

#endif /* __SYS_PARAM__ */
