/*
1.HW monitor test code

2.use guide:
add following code in *.inc

##Config_RTD_HW_MONITOR [ TRUE | FALSE ]
Config_RTD_HW_MONITOR = TRUE

 */

#include <common.h>
#include <command.h>
#include <asm/arch/system.h>
#include <rbus/stb_reg.h>
#include "cmd_av_jump.h"

extern uint *VideoFW_entry_ptr_V1;

#define VideoFW_Read_Test_Addr ((volatile uint*)0xd4)
#define Video2FW_Read_Test_Addr ((volatile uint*)0xd8)
#define FW_RW_Share_Status_Addr *((volatile uint*)0xe8)

//Above Macros only used for hw monitors Ip test condition, will not affect a/v cpu normal boot flow
#define BYTE(d,n)       (((d) >> ((n) << 3)) & 0xFF)
#define SWAPEND32(d)    ((BYTE(d,0) << 24) | (BYTE(d,1) << 16) | (BYTE(d,2) << 8) | (BYTE(d,3) << 0))


#define REG32( addr )         (*(volatile uint *)(addr))
#define avk_rtd_outl(addr, val) (REG32(addr) = (uint)val)


#define MIPS_KSEG1BASE  0xa0000000
#define  SB2_HD_SEM   0x1801A000

#define RW_FLAG_RO      1
#define RW_FLAG_WO      2

void flush_dcache_all(void);

static int flag_vcpu1 = 1;

//read address value is saved at VideoFW_Read_Test_Addr
int vcpu_rtd_api (unsigned int addr, int rw)
{
        int vcpu_rw_bit = rw; 
        if (flag_vcpu1) {
                //let vcpu run the test flow
                *VideoFW_entry_ptr_V1 = SWAPEND32((uint)V1_ENTRY_IMAGE_ENTRY | MIPS_KSEG1BASE);
                flush_dcache_all();
                mdelay(100);
                
                enable_video_clock();

                //rtd_outl(SB2_HD_SEM, 0x1);//hold_hw_semaphore
                rtd_outl(SB2_HD_SEM, 0x0);//release_hw_semaphore

                flush_dcache_all();
                mdelay(100);
                flag_vcpu1 = 0;
                printf("\n");

        }
        FW_RW_Share_Status_Addr = SWAPEND32(vcpu_rw_bit);
        *VideoFW_entry_ptr_V1 = SWAPEND32(addr | MIPS_KSEG1BASE);
        //*VideoFW_entry_ptr_V1 = SWAPEND32(addr);        // for DBUS range access
        flush_dcache_all();
        mdelay(50);
        printf(" address is 0x%08x \n", addr);
        if(rw == RW_FLAG_RO) {
                return SWAPEND32(*VideoFW_Read_Test_Addr);
        }

        return 0;

}

int do_vcpu_timeout_return_value_test(unsigned int addr)
{

        //read  OK condition:
        // the value in AudioFW_Read_Test_Addr is changed to  0x22222222 from 0x11111111
        // the value in test_addr is still 0x22222222 after call acpu_rtd_api

        printf("\n@@@[%s][%d][%s]Vcpu read test begin\n", __FILE__ , __LINE__ , __func__);

        *VideoFW_Read_Test_Addr = 0x11111111;
        flush_dcache_all();
        mdelay(100);
        printf("before vcpu access...VideoFW_Read_Test_Addr(0x%x) = 0x%x\n", (unsigned int)VideoFW_Read_Test_Addr, *VideoFW_Read_Test_Addr);

        vcpu_rtd_api(addr, RW_FLAG_RO);

        flush_dcache_all();
        mdelay(100);

        printf("after vcpu access...VideoFW_Read_Test_Addr(0x%x) = 0x%x\n", (unsigned int)VideoFW_Read_Test_Addr, *VideoFW_Read_Test_Addr);
        return 0;
}

//use for test vcpu access action whether match our expectation
int do_vcpu_access ( cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{

        u32 addr = 0x100000;
        switch (argc) {
                case 2:
                        addr = simple_strtoul(argv[1], NULL, 16);
                        printf("@@@[%s][%d][%s]addr = 0x%x\n", __FILE__ , __LINE__ , __func__, addr);
                        break;
                case 1:
                        break;
                default:
                        return CMD_RET_USAGE;
        }
        printf("\n\n\n");

        do_vcpu_timeout_return_value_test(addr);

        printf("\n\n\n");
        //printf("@@@[%s][%d][%s]V1_ENTRY_IMAGE_ENTRY = 0x%x\n", __FILE__ , __LINE__ , __func__, V1_ENTRY_IMAGE_ENTRY);
        return 0;


}

U_BOOT_CMD(
        vcpu_access,   2,   1,     do_vcpu_access,
        "avk_access",
        "[addr]\n"
        "    - let acpu1 access specified address"
);

