#include <common.h>
#include <u-boot/zlib.h>
#include <asm/byteorder.h>
#include <fdt.h>
#include <libfdt.h>
#include <fdt_support.h>
#include <asm/arch/fw_info.h>
#include <asm/arch/system.h>
#include <exports.h>
#include <environment.h>
#include <wakeup.h>
#include <asm/arch/system.h>
#include <asm/arch/fw_info.h>
#include <asm/arch/bootparam.h>
#include <platform_lib/board/pcb_mgr.h>
#include <watchdog.h>
#include <factorylib.h>

#define arg_next(p)	(char*)((unsigned long)p + strlen(p))
#define MAX_SIZE  25
char serialno[MAX_SIZE] = "\0";
void get_serialno(void);
/*
 * POWERDOWN=IR_Potocol,IR_Key_1,IR_Key_2,IR_Key_3,IR_Key_N....\
 * value format use heximal
 *
 * return 0: ignore param
 * return non-0: use param
 */
int CusApi_get_powerdown_param(char *param, int buf_length)
{
// WORKAROUND solution, info given from Jason
//#define CMD_IR_WAKEUP_STRING		"116,545,393,366,757,758"
#define CMD_IR_WAKEUP_STRING_HEX	"74,221,189,16e,2f5,2f6"

	// User key
	if (getenv("irda_select_value"))
	{
		snprintf(param, buf_length, "%s,%s",
			getenv("irda_select_value"),
			CMD_IR_WAKEUP_STRING_HEX);
		return 1;
	}
	else
	{
		// default gave nec irda protocol
		snprintf(param, buf_length, "%s,%s",
			IR_DEFAULT_PROTOCOL_STRING,
			CMD_IR_WAKEUP_STRING_HEX);
		return 1;
	}

	return 0;
}

void CusApi_boot_prep_linux_for_standby(void)
{
}

void CusApi_linux_param_set(char *kargs)
{	
	get_serialno();
	sprintf(arg_next(kargs),"androidboot.serialno=%s ",serialno);
}

void CusApi_boot_prep_linux_bootargs(void)
{
    char *commandline = NULL;
    char *tmp_cmdline = NULL;
    int len = 0;

    if(CONFIG_VIP_RESERVED_ADDR) {
        commandline = getenv("bootargs");
        len = strlen(commandline) + 32;
        tmp_cmdline = (char *)malloc(len);
        if (!tmp_cmdline) {
            printf("[ERR] %s: Malloc failed\n", __func__);
        }
        else {
            memset(tmp_cmdline, 0, len);

            sprintf(tmp_cmdline, "%s VIP=%dM@%dM", commandline,
			VIP_UBOOT_RESERVED_SIZE >> 20,
			VIP_UBOOT_RESERVED_ADDR >> 20
		);
            setenv("bootargs", tmp_cmdline);

            free(tmp_cmdline);
        }
    }

    if(CONFIG_OD_RESERVED_ADDR) {
        commandline = getenv("bootargs");
        len = strlen(commandline) + 32;
        tmp_cmdline = (char *)malloc(len);
        if (!tmp_cmdline) {
           printf("[ERR] %s: Malloc failed\n", __func__);
        }
        else {
            memset(tmp_cmdline, 0, len);

            sprintf(tmp_cmdline, "%s OD=%dM@%dM", commandline,
			OD_UBOOT_RESERVED_SIZE >> 20,
			OD_UBOOT_RESERVED_ADDR >> 20
           );
            setenv("bootargs", tmp_cmdline);

            free(tmp_cmdline);
        }
    }
}

void get_serialno(void){
	char *mac_addr;
	int i = 0, j = 0;
	mac_addr = getenv("ethaddr");
	for(i = 0; i < strlen(mac_addr); i++)
	{
		if(*(mac_addr+i) != ':')
		{
			serialno[j] = *(mac_addr + i);
			j++;
		}
	}
}

