#include <common.h>
#include <malloc.h>
#include <asm/arch/fw_info.h>
#include <asm/arch/system.h>
#include <linux/ctype.h>
#include <panel.h>

#include <panel_config_parameter.h>
#include <asm/arch/factorylib.h>

#include "ini_parser.h"

extern int atoi(const char *nptr);
extern struct _PANEL_CONFIG_PARAMETER  default_panel_parameter;

int ini_panel_handler(void *user, char *section, char *name, char *value)
{
	printf(":Y: %s name=%s ,value=%s \n",__FUNCTION__,name,value);

//	unsigned int tmp_value = atoi(value);
	unsigned int tmp_value = simple_strtoul(value,NULL,10);

	if(strcmp(name, "DISPLAY_PORT") == 0) 						{default_panel_parameter.iCONFIG_DISPLAY_PORT = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_COLOR_BITS") == 0)			{default_panel_parameter.iCONFIG_DISPLAY_COLOR_BITS = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_EVEN_RSV1_BIT") == 0)			{default_panel_parameter.iCONFIG_DISPLAY_EVEN_RSV1_BIT = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_ODD_RSV1_BIT") == 0)			{default_panel_parameter.iCONFIG_DISPLAY_ODD_RSV1_BIT = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_BITMAPPING_TABLE") == 0)		{default_panel_parameter.iCONFIG_DISPLAY_BITMAPPING_TABLE = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_PORTAB_SWAP") == 0)			{default_panel_parameter.iCONFIG_DISPLAY_PORTAB_SWAP = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_RED_BLUE_SWAP") == 0)			{default_panel_parameter.iCONFIG_DISPLAY_RED_BLUE_SWAP = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_MSB_LSB_SWAP") == 0)			{default_panel_parameter.iCONFIG_DISPLAY_MSB_LSB_SWAP = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_SKEW_DATA_OUTPUT") == 0)		{default_panel_parameter.iCONFIG_DISPLAY_SKEW_DATA_OUTPUT = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_OUTPUT_INVERSE") == 0)		{default_panel_parameter.iCONFIG_DISPLAY_OUTPUT_INVERSE = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_VERTICAL_SYNC_NORMAL") == 0)	{default_panel_parameter.iCONFIG_DISPLAY_VERTICAL_SYNC_NORMAL = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_HORIZONTAL_SYNC_NORMAL") == 0){default_panel_parameter.iCONFIG_DISPLAY_HORIZONTAL_SYNC_NORMAL = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_RATIO_4X3") == 0)				{default_panel_parameter.iCONFIG_DISPLAY_RATIO_4X3 = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_CLOCK_MAX") == 0)				{default_panel_parameter.iCONFIG_DISPLAY_CLOCK_MAX = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_CLOCK_MIN") == 0)				{default_panel_parameter.iCONFIG_DISPLAY_CLOCK_MIN = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_REFRESH_RATE") == 0)			{default_panel_parameter.iCONFIG_DISPLAY_REFRESH_RATE = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_CLOCK_TYPICAL") == 0)			{default_panel_parameter.iCONFIG_DISPLAY_CLOCK_TYPICAL = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_HORIZONTAL_TOTAL") == 0)			{default_panel_parameter.iCONFIG_DISP_HORIZONTAL_TOTAL = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_VERTICAL_TOTAL") == 0)			{default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_HSYNC_WIDTH") == 0)				{default_panel_parameter.iCONFIG_DISP_HSYNC_WIDTH = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_VSYNC_LENGTH") == 0)				{default_panel_parameter.iCONFIG_DISP_VSYNC_LENGTH = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_DEN_STA_HPOS") == 0)				{default_panel_parameter.iCONFIG_DISP_DEN_STA_HPOS = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_DEN_END_HPOS") == 0)				{default_panel_parameter.iCONFIG_DISP_DEN_END_HPOS = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_DEN_STA_VPOS") == 0)				{default_panel_parameter.iCONFIG_DISP_DEN_STA_VPOS = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_DEN_END_VPOS") == 0)				{default_panel_parameter.iCONFIG_DISP_DEN_END_VPOS = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_ACT_STA_HPOS") == 0)				{default_panel_parameter.iCONFIG_DISP_ACT_STA_HPOS = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_ACT_END_HPOS") == 0)				{default_panel_parameter.iCONFIG_DISP_ACT_END_HPOS = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_ACT_STA_VPOS") == 0)				{default_panel_parameter.iCONFIG_DISP_ACT_STA_VPOS = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_ACT_END_VPOS") == 0)				{default_panel_parameter.iCONFIG_DISP_ACT_END_VPOS = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_HSYNC_LASTLINE") == 0)			{default_panel_parameter.iCONFIG_DISP_HSYNC_LASTLINE = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_DCLK_DELAY") == 0)				{default_panel_parameter.iCONFIG_DISP_DCLK_DELAY = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_ACT_STA_BIOS") == 0)				{default_panel_parameter._iCONFIG_DISP_ACT_STA_BIOS = tmp_value; return 1;} 	
	else if(strcmp(name, "DEFAULT_DPLL_M_DIVIDER") == 0)		{default_panel_parameter.iCONFIG_DEFAULT_DPLL_M_DIVIDER = tmp_value; return 1;} 	
	else if(strcmp(name, "DEFAULT_DPLL_N_DIVIDER") == 0)		{default_panel_parameter.iCONFIG_DEFAULT_DPLL_N_DIVIDER = tmp_value; return 1;} 	
	else if(strcmp(name, "PANEL_TO_LVDS_ON_ms") == 0)			{default_panel_parameter.iPANEL_TO_LVDS_ON_ms = tmp_value; return 1;} 
	else if(strcmp(name, "LVDS_TO_LIGHT_ON_ms") == 0)			{default_panel_parameter.iLVDS_TO_LIGHT_ON_ms = tmp_value; return 1;} 
	else if(strcmp(name, "LIGHT_TO_LDVS_OFF_ms") == 0)			{default_panel_parameter.iLIGHT_TO_LDVS_OFF_ms = tmp_value; return 1;} 
	else if(strcmp(name, "LVDS_TO_PANEL_OFF_ms") == 0)			{default_panel_parameter.iLVDS_TO_PANEL_OFF_ms = tmp_value; return 1;} 
	else if(strcmp(name, "PANEL_OFF_TO_ON_ms") == 0)			{default_panel_parameter.iPANEL_OFF_TO_ON_ms = tmp_value; return 1;} 
	else if(strcmp(name, "BACKLIGHT_PWM_FREQ") == 0)			{default_panel_parameter.iCONFIG_BACKLIGHT_PWM_FREQ = tmp_value; return 1;} 
	else if(strcmp(name, "BACKLIGHT_PWM_DUTY") == 0)			{default_panel_parameter.iCONFIG_BACKLIGHT_PWM_DUTY = tmp_value; return 1;} 
	else if(strcmp(name, "FIX_LAST_LINE_ENABLE") == 0)			{default_panel_parameter.iFIX_LAST_LINE_ENABLE = tmp_value; return 1;} 
	else if(strcmp(name, "FIX_LAST_LINE_4X_ENABLE") == 0)		{default_panel_parameter.iFIX_LAST_LINE_4X_ENABLE = tmp_value; return 1;} 
	else if(strcmp(name, "VFLIP") == 0)							{default_panel_parameter.iVFLIP = tmp_value; return 1;} 
	else if(strcmp(name, "PICASSO_CONTROL_ON") == 0)			{default_panel_parameter.iPICASSO_CONTROL_ON = tmp_value; return 1;} 
	else if(strcmp(name, "3D_DISPLAY_SUPPORT") == 0)			{default_panel_parameter.i3D_DISPLAY_SUPPORT = tmp_value; return 1;} 
	else if(strcmp(name, "3D_LINE_ALTERNATIVE_SUPPORT") == 0)	{default_panel_parameter.i3D_LINE_ALTERNATIVE_SUPPORT = tmp_value; return 1;} 
	else if(strcmp(name, "3D_PR_OUTPUT_LR_SWAP") == 0)			{default_panel_parameter.i3D_PR_OUTPUT_LR_SWAP = tmp_value; return 1;} 
	else if(strcmp(name, "3D_SG_OUTPUT_120HZ_ON") == 0)			{default_panel_parameter.i3D_SG_OUTPUT_120HZ_ON = tmp_value; return 1;} 
	else if(strcmp(name, "3D_SG_24HZ_OUTPUT_FHD_ON") == 0)		{default_panel_parameter.i3D_SG_24HZ_OUTPUT_FHD_ON = tmp_value; return 1;} 
	else if(strcmp(name, "SCALER_2D_3D_CVT_HWSHIFT_ENABLE") == 0){default_panel_parameter.iSCALER_2D_3D_CVT_HWSHIFT_ENABLE = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_VERTICAL_TOTAL_50Hz_MIN") == 0)	{default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL_50Hz_MIN = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_VERTICAL_TOTAL_50Hz_MAX") == 0)	{default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL_50Hz_MAX = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_VERTICAL_TOTAL_60Hz_MIN") == 0)	{default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL_60Hz_MIN = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_VERTICAL_TOTAL_60Hz_MAX") == 0)	{default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL_60Hz_MAX = tmp_value; return 1;} 
	else if(strcmp(name, "LVDS_4_PORTS_INDEX") == 0)			{default_panel_parameter.iCONFIG_LVDS_4_PORTS_INDEX = tmp_value; return 1;} 
	else if(strcmp(name, "LVDS_PN_SWAP") == 0)					{default_panel_parameter.iCONFIG_LVDS_PN_SWAP = tmp_value; return 1;} 
	else if(strcmp(name, "LVDS_MIRROR") == 0)					{default_panel_parameter.iCONFIG_LVDS_MIRROR = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_PORT_CONFIG1") == 0)			{default_panel_parameter.iCONFIG_DISPLAY_PORT_CONFIG1 = tmp_value; return 1;} 
	else if(strcmp(name, "DISPLAY_PORT_CONFIG2") == 0)			{default_panel_parameter.iCONFIG_DISPLAY_PORT_CONFIG2 = tmp_value; return 1;} 
	else if(strcmp(name, "SR_MODE") == 0)						{default_panel_parameter.iCONFIG_SR_MODE = tmp_value; return 1;} 
	else if(strcmp(name, "SR_PIXEL_MODE") == 0)					{default_panel_parameter.iCONFIG_SR_PIXEL_MODE = tmp_value; return 1;} 
	else if(strcmp(name, "SFG_SEG_NUM") == 0)					{default_panel_parameter.iCONFIG_SFG_SEG_NUM = tmp_value; return 1;} 
	else if(strcmp(name, "SFG_PORT_NUM") == 0)					{default_panel_parameter.iCONFIG_SFG_PORT_NUM = tmp_value; return 1;} 
	else if(strcmp(name, "PANEL_TYPE") == 0)					{default_panel_parameter.iCONFIG_PANEL_TYPE = tmp_value; return 1;} 
	else if(strcmp(name, "PANEL_CUSTOM_INDEX") == 0)			{default_panel_parameter.iCONFIG_PANEL_CUSTOM_INDEX = tmp_value; return 1;} 
	else if(strcmp(name, "3D_DISPLAY_TIMING") == 0)				{default_panel_parameter.i3D_DISPLAY_TIMING = tmp_value; return 1;} 
	else if(strcmp(name, "CUSTOMER_PANEL_ID") == 0)             {default_panel_parameter.iCONFIG_CUSTOMER_PANEL_ID = tmp_value; return 1;} 
//	else if(strcmp(name, "DISP_RESVER05") == 0)                 {default_panel_parameter.iCONFIG_DISP_RESVER05 = tmp_value; return 1;} 
//	else if(strcmp(name, "DISP_RESVER06") == 0)                 {default_panel_parameter.iCONFIG_DISP_RESVER06 = tmp_value; return 1;} 	
	else if(strcmp(name, "PANEL_WIDTH_MM") == 0)                {default_panel_parameter.iPANEL_WIDTH_MM = tmp_value; return 1;} 
	else if(strcmp(name, "PANEL_HEIGHT_MM") == 0)               {default_panel_parameter.iPANEL_HEIGHT_MM = tmp_value; return 1;} 
	else if(strcmp(name, "BACKLIGHT_PWM_48HZ_FREQ") == 0)       {default_panel_parameter.iBACKLIGHT_PWM_48HZ_FREQ = tmp_value; return 1;} 
	else if(strcmp(name, "BACKLIGHT_PWM_50HZ_FREQ") == 0)       {default_panel_parameter.iBACKLIGHT_PWM_50HZ_FREQ = tmp_value; return 1;} 
	else if(strcmp(name, "BACKLIGHT_PWM_60HZ_FREQ") == 0)       {default_panel_parameter.iBACKLIGHT_PWM_60HZ_FREQ  = tmp_value; return 1;} 
	else if(strcmp(name, "DISP_PANEL_NAME") == 0)				{strcpy(default_panel_parameter.sPanelName,value);return 1;}
	else
		printf(" ini_parse error! \n<<name=%s,value =%d> \n",name,tmp_value);

	return 0;
}

int CusApi_env_setup_env_panel(void)
{
#ifdef CONFIG_SYS_PANEL_SUPPORT_INI_FILE
	char *raw_ptr = NULL;
	int file_len = 0;
	char *path = PANEL_INI_FILE_NAME;

	if (factory_read(path, &raw_ptr, &file_len))
	{
		printf(":ERROR:--------is not find %s\n", path);
		return 0;
	}

	memset(&default_panel_parameter, 0, sizeof(PANEL_CONFIG_PARAMETER));
	ini_parse(raw_ptr, file_len, ini_panel_handler, (void *)"PANEL");

	return 1;	
#else
	return 0;
#endif
}
