#include <common.h>
#include <asm/arch/fw_info.h>
#include <asm/arch/system.h>
#ifdef CONFIG_CUSTOM_PQ_SELECT
#include <factorylib.h>
#include <factorylib_ro.h>
#ifdef Config_EXT4_Load_TvConfigs_TRUE
#include <asm/arch/tvconfiglib_ext4.h>
#endif
#ifdef Config_EXT4_Load_Takeover_TRUE
#include <asm/arch/takeoverlib_ext4.h>
#endif

#define TMP_FACTORY "tmp/factory/"
#define VARIATION_TABLE_FILE	TMP_FACTORY "variation_table.csv"
#define MODEL_ENV_FILE_NAME		TMP_FACTORY "Model_Env.xml"
#define DYANAMIC_ENV_FILE_NAME TMP_FACTORY "Dynamic_Env.txt"
#define PN_COMMON_FILE_NAME 	TMP_FACTORY "PnCommon.txt"
#define PIQ_SECT_1_FILE_NAME 	TMP_FACTORY "PiQ_Sect_1.txt"
#define PIQ_SECT_2_FILE_NAME	TMP_FACTORY "PiQ_Sect_2.txt"
#define OUTPUT_TIMING_FILE_NAME 	TMP_FACTORY "OutputTiming.txt"
#define PANELIDERROR_ENV_FILE_NAME	TMP_FACTORY"Panel_ID_Error.txt"


#define PANEL_ID				"panel_id"
#define SERIAL_CODE				"serialNumber"
#define PQ_VARIATION			"pq_variation"
#define PRODUCT_CODE			"product_code"
#define MODEL_ENV_VERSION       "model_env_version"
#define PQ_FOLDER "bin_panel/PanelParam/"
#define DEFAULT_PQ_FILE_NAME		TMP_FACTORY PQ_FOLDER "vip_default_pq.bin"
#define DEFAULT_PQ_EXTEND_FILE_NAME	TMP_FACTORY PQ_FOLDER "vip_default_pq_extend.bin"
#define PQ_EXTEND_FILE_PREFIX		TMP_FACTORY PQ_FOLDER "vip_"
#define PQ_FILE_SUFFIX				"_pq.bin"
#define PQ_EXTEND_FILE_SUFFIX		"_pq_extend.bin"
#define PQ_DEFAULT				"default"
#define TMP_FACTORY_RO "tmp/factory_ro/"
#define FAC_PRODUCT_CODE_FILE_NAME			TMP_FACTORY "productCode.xml"
#define FAC_RO_SONY_MODEL_ENV		TMP_FACTORY_RO "Sony_Model_Env/"
#define TAKEOVER "takeover/"
#define TAKEOVER_PRODUCT_CODE_FILE_NAME		TAKEOVER "productCode.xml"

int CusApi_env_readXmlFile(const char* pFileName, const char *pItemName, char *pParameter, size_t parameterLen);
int CusApi_env_readEnvTxtFile(char *FilePath, const char *pItemName, char *pParameter);
int CusApi_env_readxml_key_value_from_buf(const char *pFileBuf,const char *pKey, char *pValue, size_t valueLen);

bool factorySave = false;
bool bIsUpdateModelEnv = false;
#endif

void CusApi_env_relocate(void)
{
	char* kmdfixed = getenv("kmdfixed");
#ifdef CONFIG_CUSTOM_SN_PANEL
	if(getenv("PANEL_DEBUG") == NULL)
	{
		setenv("PANEL_DEBUG", "1");
	}

	if(getenv("rtk_pn") == NULL)
	{
		setenv("rtk_pn", "0");
	}
#endif
	if(kmdfixed == NULL)
	{
		setenv("kmdfixed","on");
	}
}

void CusApi_env_set(char *name, char *value)
{
}

#ifdef CONFIG_CUSTOM_SN_PANEL

#include <parse_h.h>
#define  ST_DONE										0xfe
#define  ST_ERROR										0xff
#define  ST_START										0
#define  ST_GET_DEFINE									1
#define  ST_GET_STRING									2	// for parse_h


/************************************************************************
 *							parse_ini
 ************************************************************************/
uint
getSnStr(
	char *target_str,
	uint target_str_length,
	char *src_addr,
	uint length,
	char* pRetVal,
	char **pRetaddr)
{
	uint state		 = ST_START;
	char   *fin_addr, *s= NULL;
	uint final_num = 0;
	//int i=0;
	int targlen=0;
	fin_addr = src_addr + length ;
	s= src_addr ;
	int checkfinish=0;
	char retStr[30]={0};

	if(final_num)
		;
	//printf("s_00 0x%c\n",s);
	while( (state != ST_DONE) && (state != ST_ERROR) && (s < fin_addr) )
	{
		switch( state )
		{
		  case ST_START :
			if ((strncmp(s, target_str, target_str_length) == 0)) {
				//printf("--ST_START_001--\n");
			//for(i=0;i<target_str_length;i++){
			//	printf("%x ",*(s+i));
			//}
			state = ST_GET_DEFINE;
			s+=target_str_length;
			//printf("\n %x \n",*(s));
			}
			else
				s++;

			break;

		  case ST_GET_DEFINE :
			//printf("--ST_GET_DEFINE_00--\n");
			if (strncmp(s, "=", strlen("=")) == 0){
				state = ST_GET_STRING ;
				s+=strlen("=");
			}
			else
				s++ ;

			break;
		  case ST_GET_STRING :
			//printf("--ST_GET_STRING_00--\n");
			if(*(s+targlen)==0x0a){
				//return 0; //ok
				checkfinish=1;
			}
			else{
				retStr[targlen]=*(s+targlen);
				targlen++;
				printf("%x",*(s+targlen));
				if(targlen> 30){
					//printf("--targlen> 30--\n");
					return 0; //ok
				}

			}

			if(checkfinish){
				//printf("targlen =%d\n",targlen);
				printf("retStr %s\n",retStr);
				*pRetaddr = s;
				strncpy(pRetVal, retStr, targlen);
				checkfinish=0;
				return 0; //ok
			}
			break;

		  default :
			break ;
		}

		if (s>=fin_addr){
			state = ST_DONE ;
		}
	}

	if( state == ST_DONE )
	{
#ifndef CONFIG_LESS_CONSOLE
		printf("%s not found \n", target_str) ;
#endif
	 return 1; //fail
	}

	return 1; //fail

}

uint
setSnStr(
	char *target_str,
	uint target_str_length,
	char *set_str,
	uint set_str_length,
	char *src_addr,
	uint length,
	char* pRetVal,
	char **pRetaddr)
{
	uint state		 = ST_START;
	char   *fin_addr, *s= NULL;
	uint final_num = 0;
	int i=0;
	int targlen=0;
	fin_addr = src_addr + length ;
	s= src_addr ;
	int checkfinish=0;
	char retStr[30]={0};
	int jj=0;
	//int diff_len=0;
	char cp_tail[1024]={0};
	//int diff_s=0;
	int strSiftLen=0;

	char *FillPointA=NULL;
	char *FillPointB=NULL;
	int FillLen=0;

	if(cp_tail==NULL)
		;

	if(final_num)
		;
	printf("parse_set_ini\n start addr 0x%x \n",(unsigned int)src_addr);
	//printf("s_00 0x%c\n",s);
	while( (state != ST_DONE) && (state != ST_ERROR) && (s < fin_addr) )
	{
		if (s>=fin_addr){
			state = ST_DONE ;
		}

		switch( state )
		{
		  case ST_START :
			if ((strncmp(s, target_str, target_str_length) == 0)) {
				printf("--ST_START_001 \n strSift =%d--\n",strSiftLen);
				printf("--get addr =0x%x\n",(unsigned int)s);
				printf("--diff addr =0x%x\n",(unsigned int)s-(unsigned int)src_addr);
				for(i=0;i<target_str_length;i++){
					printf("%c",*(s+i));

				}
				state = ST_GET_DEFINE;
				s+=target_str_length-1;

				printf("\n %x \n",*(s));// A =,A pos.
				//FillPointA=s++;
				//printf("--FillPointA=0x%x--\n",(unsigned int)FillPointA);
			}
			else{
				strSiftLen++;
				printf("%c",*(s));
				s++;
			}

			break;

		  case ST_GET_DEFINE :
			printf("--ST_GET_DEFINE_00--\n");
			if (strncmp(s, "=", strlen("=")) == 0){
				state = ST_GET_STRING ;
				printf("--ST_GET_STRING_00 =%d--\n",strlen("="));
				//s+=strlen("=");
				FillPointA=s+strlen("=");
				printf("%x\n",*FillPointA);
				printf("--FillPointA=0x%x--\n",(unsigned int)FillPointA);

			}
			else
				s++ ;

			break;
		  case ST_GET_STRING :
			if(*(s+FillLen)==0x0a){
				//return 0; //ok
				checkfinish=1;

				printf("--FillLen=%d--\n",FillLen);
			}
			else{
				//printf("--Get str--\n");
				FillLen++;
				printf("%x",*(s+FillLen));
				if(FillLen> 30){
					printf("--targlen> 30--\n");
					return 0; //ok
				}

			}

			if(checkfinish){
				printf("FillLen =%d\n",FillLen);
				printf("set_len =%d\n",set_str_length);
				FillPointB=s+FillLen+1;
				printf("--FillPointB=0x%x--\n",(unsigned int)FillPointB);
				int diffLen =(unsigned int)fin_addr-(unsigned int)FillPointB;

				printf("----bk tail-----\n");
				for(jj=0;jj<diffLen;jj++){
					cp_tail[jj]=*(FillPointB+jj);
					printf("%c",cp_tail[jj]);
				}
				printf("----bk tail end-----\n");

				if(FillLen==set_str_length){
					s =FillPointA;// 0xFF
					printf("case: FillLen==set_str_length\n");

					printf("check set str\n");
					for(jj=0;jj<set_str_length;jj++){
						*(s+jj)=*(set_str+jj);
						printf("%x ",*(set_str+jj));
					}

					printf("check fill str\n");
					for(jj=0;jj<FillLen;jj++){
						*(s+jj)=*(set_str+jj);
						printf("%x ",*(s+jj));
					}

					printf("check move str\n");
					for(jj=0;jj<FillLen;jj++){
						*(s+jj)=*(set_str+jj);
						printf("%x ",*(s+jj));
					}


					printf("check all\n");
					for(jj=0;jj<length;jj++){

					printf("%c",*(src_addr+jj));
					}

				}

				if(targlen >set_str_length){
					printf("case: targlen > set_str_length\n");
					int addLen= targlen-set_str_length;

					//cp setting string
					for(jj=0;jj<set_str_length;jj++){
						*(s+jj)=*(set_str+jj);
					}

					//move to tail
					s+=set_str_length;

					//cp tail
					for(jj=0;jj<diffLen;jj++){
						*(s+jj)=cp_tail[jj];
					}

					printf("--check final print--\n");
					for(jj=0;jj<(length+addLen);jj++){
						printf("%c",*(src_addr+jj));
					}

				}



				//printf("%s\n",retStr);
				*pRetaddr = s;
				strncpy(pRetVal, retStr, targlen);
				checkfinish=0;
				return 0; //ok
			}

			//return final_num ;//atoi(s) ;

			//state = ST_START;
			//s++ ;
			break;

		  default :
			break ;
		}

		if (s>=fin_addr){
			state = ST_DONE ;
		}
	}

	if( state == ST_DONE )
	{
#ifndef CONFIG_LESS_CONSOLE
		printf("%s not found \n", target_str) ;
#endif
	 return 1; //fail
	}

	return 1; //fail

}

int ID_match=0;

int IsID_Match(void){
	return ID_match;

}

void setID_Match(int en)
{
	ID_match = en;
}
#endif

int read_file_to_buf(const char *pFileName, char **pFileBuf, int *pFileLen)
{
    if(pFileName == strstr(pFileName, TMP_FACTORY)) {
        if (factory_read((char*)pFileName,pFileBuf,pFileLen)) {
            printf("can't find file:%s !\n", pFileName);
            return -1;
        }
    }

    if(pFileName == strstr(pFileName, TMP_FACTORY_RO)) {
        if (factory_ro_read((char*)pFileName,pFileBuf,pFileLen)) {
            printf("can't find file:%s !\n", pFileName);
            return -1;
        }
    }
#ifdef Config_EXT4_Load_Takeover_TRUE
    if(pFileName == strstr(pFileName, TAKEOVER)) {
        if (takeover_read((char*)pFileName,pFileBuf,pFileLen)) {
            printf("can't find file:%s !\n", pFileName);
            return -1;
        }
    }
#endif
    printf("[trace code] %s, file_length = %d\n", pFileName,*pFileLen);
    if (!*pFileBuf)
        return -2;
    return 0;
}
int CusApi_env_readxml_key_value_from_buf(const char *pFileBuf, const char *pKey, char *pValue, size_t valueLen)
{
    char *tmp_str = NULL;
    char *start_ptr = NULL;
    char *end_ptr = NULL;
    size_t act_len = 0;
    char tmp_elem[64] = {0};

    if(!pFileBuf || !pKey || valueLen == 0)
    {
        printf("file_buf %s\nkey : %s\nvalue_len :%d\n",pFileBuf,pKey,valueLen);
        printf("Failed to read variable\n");
        return -2;
    }

    snprintf(tmp_elem,sizeof(tmp_elem)-1,"<%s value=\"",pKey);
    tmp_str = strstr(pFileBuf, tmp_elem);
    if (!tmp_str)
    {
        printf("%s does not exist!\n",pKey);
        return -1;
    }
    start_ptr = tmp_str + strlen(tmp_elem);
    end_ptr = strchr(start_ptr, '\"');
    if(!end_ptr)
        return -2;
    act_len = end_ptr - start_ptr;
    if (valueLen < act_len)
    {
        printf("Value length too big   current size:%zu   max size:%zu\n",act_len,valueLen);
        return -1;
    }
    strncpy(pValue,start_ptr,act_len);
    return 0;
}


#ifdef CONFIG_CUSTOM_PQ_SELECT

int CusApi_env_readEnvTxtFile(char *FilePath, const char *pItemName, char *pParameter)
{
    char *file_buf = NULL;
    int file_length = 0;
    char buffer1[32] = {0};
    char buffer2[32] = {0};
    int charcount = 0, linecount = 0, buffercount = 0;
    char tmp_byte = 0;
    bool isitem = true;
    bool isnext = true;

     if(!FilePath)
        return 1;
//    printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//    printf("[trace code] ItemName = %s, \n", pItemName);
    printf("[trace code] %s, %s, ItemName = %s\n", __FILE__, __FUNCTION__, pItemName);
    if (factory_read(FilePath, &file_buf, &file_length)){
        printf("can't find file:%s!\n", FilePath);
        return 1;
    }
//        printf("[trace code] %s, file_length = %d\n", DYANAMIC_ENV_FILE_NAME, file_length);
#if 0
    if(file_length == 0)
    {
        char ln_dest_path[100] = {0};
//        printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
        if(factory_read_link_dest_path(MODEL_ENV_FILE_NAME, ln_dest_path))
        {
            printf("can't read link dest path:%s!\n", MODEL_ENV_FILE_NAME);
            return ret;
        }
//        printf("[trace code] ln_dest_path = %s\n", ln_dest_path);
        file_buf = NULL;
        if (factory_read(ln_dest_path+1, &file_buf, &file_length)){
            printf("can't find file:%s !\n", ln_dest_path);
            return ret;
        }
//        printf("[trace code] %s, file_length = %d\n", ln_dest_path, file_length);
    }
#endif
	if(file_length > 0)
	{
//        printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
        for (charcount=0; charcount<file_length; charcount++)
        {
            tmp_byte = file_buf[charcount];
            //if((tmp_byte ==  '\n')||(tmp_byte == '\r')||(tmp_byte == '\0'))
            if((tmp_byte !=  '\n')&&(tmp_byte != '\r')&&(charcount==file_length-1))
            {
                if(isnext == true)
                {
                    isnext = false;
                    if(!strcmp(pItemName, buffer1))
                    {
                        sprintf(pParameter, "%s%c", buffer2,tmp_byte);
                        printf("[trace code] %s=%s\n", pItemName, pParameter);
                        return 0;
                    }
                    memset(buffer1,'\0',sizeof(buffer1));
                    memset(buffer2,'\0',sizeof(buffer2));
                    buffercount = 0;
                    linecount++;
                    isitem = true;
                }
            }
            else if((tmp_byte ==  '\n')||(tmp_byte == '\r'))
            {
                if(isnext == true)
                {
                    isnext = false;
                    //printf("[trace code] [%d] %s=%s\n", charcount, buffer1, buffer2);

                    if(!strcmp(pItemName, buffer1))
                    {
                        sprintf(pParameter, "%s", buffer2);
                        printf("[trace code] %s=%s\n", pItemName, pParameter);
                        return 0;
                    }
                    memset(buffer1,'\0',sizeof(buffer1));
                    memset(buffer2,'\0',sizeof(buffer2));
                    buffercount = 0;
                    linecount++;
                    isitem = true;
                }
            }
            else if((tmp_byte ==  '='))
            {
                isitem = false;
                buffercount = 0;
            }
            else
            {
                isnext = true;
                if(isitem)
                    buffer1[buffercount] = tmp_byte;
                else
                    buffer2[buffercount] = tmp_byte;
                buffercount++;
            }
        }
	}
    //printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
    return -1;
}

int CusApi_env_readXmlFile(const char* pFileName, const char *pItemName, char *pParameter, size_t parameterLen)
{
    char *file_buf = NULL;
    int file_length = 0;
    int ret = 0;

    ret = read_file_to_buf(pFileName, &file_buf, &file_length);
    if (ret != 0)
    {
        printf ("Failed to load %s to buffer! ret:%d\n",pFileName,ret);
        return ret;
    }
    ret = CusApi_env_readxml_key_value_from_buf(file_buf, pItemName, pParameter, parameterLen);
    if(ret != 0)
    {
        printf ("Failed to get %s from buffer! ret:%d\n",pItemName,ret);
        return ret;
    }

    printf("[trace code] %s=%s\n", pItemName, pParameter);

//    printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
    return ret;
}

bool CusApi_env_writeEnvFile(int textFile, char *pItemName, char *pParameter)
{
	bool ret = false;
	char *r_file_buf = NULL;
	char w_file_buf[837] = {0};
	int file_length = 0;
	char line_buffer1[64] = {0};
	char buffer1[32] = {0};
	char buffer2[32] = {0};
	int charcount = 0, buffercount = 0;
	char tmp_byte = 0;
	bool isitem = true;
	bool newItem = true;
	bool next = false;
	char* pfileName = NULL;

//	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);

	if (pItemName == NULL || pParameter == NULL)
		return ret;
//	printf("[trace code]  %s=%s \n", pItemName, pParameter);
/*
    if (!strcmp(pItemName, PANEL_ID))
    {
        if (factory_read(DYANAMIC_ENV_FILE_NAME, &r_file_buf, &file_length)){
            printf("can't find file:%s!\n", DYANAMIC_ENV_FILE_NAME);
            return ret;
        }
    }
    else
    {
        if (factory_read(MODEL_ENV_FILE_NAME, &r_file_buf, &file_length)){
            printf("can't find file:%s!\n", MODEL_ENV_FILE_NAME);
            return ret;
        }
    }
*/
	switch(textFile)
	{
		case 0:
                    printf("cannot edit file:%s!\n", MODEL_ENV_FILE_NAME);
                    return ret;
		case 1:
			pfileName = DYANAMIC_ENV_FILE_NAME;
			break;
		case 2:
			pfileName = PN_COMMON_FILE_NAME;
			break;
		case 3:
			pfileName = PIQ_SECT_1_FILE_NAME;
			break;
		case 4:
			pfileName = PIQ_SECT_2_FILE_NAME;
			break;
		case 5:
			pfileName = OUTPUT_TIMING_FILE_NAME;
			break;
            case 6:
                    pfileName = PANELIDERROR_ENV_FILE_NAME;
                    break;
		default:
			return ret;
	}
	if (factory_read(pfileName, &r_file_buf, &file_length)){
		printf("can't find file:%s!\n", OUTPUT_TIMING_FILE_NAME);
		return ret;
	}
//	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//	printf("[trace code] n=0x%x, r=0x%x, 0=0x%x\n", '\n', '\r', '\0');
//	printf("[trace code] file_length = %d\n", file_length);
//	printf("%s\n\n", r_file_buf);

    if(file_length == 0)
    {
        char ln_dest_path[100] = {0};
//        printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
		if(factory_read_link_dest_path(pfileName, ln_dest_path))
        {
            printf("can't read link dest path:%s!\n", pfileName);
            return ret;
        }
//        printf("[trace code] ln_dest_path = %s\n", ln_dest_path);
        r_file_buf = NULL;
        if (factory_read(ln_dest_path+1, &r_file_buf, &file_length)){
            printf("can't find file:%s !\n", ln_dest_path);
            return ret;
        }
//        printf("[trace code] %s, file_length = %d\n", ln_dest_path, file_length);
    }

	if(file_length > 0)
	{
//		printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
		for (charcount=0; charcount<file_length; charcount++)
		{
			tmp_byte = r_file_buf[charcount];
//			printf("[trace code] r_file_buf[%d] = %c, 0x%x\n", charcount, tmp_byte, tmp_byte);
			if((tmp_byte ==  '\n')||(tmp_byte == '\r'))
			{
//				printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
				if(next == true)
				{
					next = false;
//					printf("[trace code] lineBuffer %s=%s\n", buffer1, buffer2);
					if(!strcmp(pItemName, buffer1))
					{
//						printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
						newItem = false;
						sprintf(line_buffer1, "%s=%s%c%c", pItemName, pParameter, '\r', '\n');
//						printf("[trace code] line_buffer1: %s\n\n", line_buffer1);
						strcat(w_file_buf, line_buffer1);
//						printf("**********************************************\n");
//						printf("%s", w_file_buf);
//						printf("**********************************************\n");
			  		}
					else
					{
//						printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
						sprintf(line_buffer1, "%s=%s%c%c", buffer1, buffer2, '\r', '\n');
//						printf("[trace code] line_buffer1: %s\n\n", line_buffer1);
						strcat(w_file_buf, line_buffer1);
//						printf("**********************************************\n");
//						printf("%s", w_file_buf);
//						printf("**********************************************\n");
					}
					memset(line_buffer1,'\0',sizeof(line_buffer1));
					memset(buffer1,'\0',sizeof(buffer1));
					memset(buffer2,'\0',sizeof(buffer2));
					buffercount = 0;
					isitem = true;
				}
			}
			else if((tmp_byte ==  '='))
			{
//				printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
				isitem = false;
				buffercount = 0;
			}
			else
			{
				next = true;
				if(isitem)
					buffer1[buffercount] = tmp_byte;
				else
					buffer2[buffercount] = tmp_byte;
				buffercount++;
			}
		}
//		printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//		printf("[trace code] newItem = %d\n", newItem);
		if (newItem)
		{
//			printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
			sprintf(line_buffer1, "%s=%s%c%c", pItemName, pParameter, '\r', '\n');
			strcat(w_file_buf, line_buffer1);
//			printf("**********************************************\n");
//			printf("%s", w_file_buf);
//			printf("**********************************************\n");
		}
//		printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
		file_length = sizeof(w_file_buf);
//		printf("[trace code] w_file_length = %d\n", sizeof(w_file_buf));
		for(charcount=0; charcount<file_length; charcount++)
		{
			if(w_file_buf[charcount]=='\0')
				break;
		}
//		printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//		printf("[trace code] w_file_buf charcount = %d\n", charcount);
//		printf("**********************************************\n");
//		printf("%s", w_file_buf);
//		printf("**********************************************\n");
/*
        if (!strcmp(pItemName, PANEL_ID))
        {
            factory_write(DYANAMIC_ENV_FILE_NAME, w_file_buf, charcount);
        }
        else
        {
            factory_write(MODEL_ENV_FILE_NAME, w_file_buf, charcount);
        }
*/
		switch(textFile)
            {
                case 0:
                    break;
                case 1:
                    factory_write(DYANAMIC_ENV_FILE_NAME, w_file_buf, charcount);
                    break;
                case 2:
                    factory_write(PN_COMMON_FILE_NAME, w_file_buf, charcount);
                    break;
                case 3:
                    factory_write(PIQ_SECT_1_FILE_NAME, w_file_buf, charcount);
                    break;
                case 4:
                    factory_write(PIQ_SECT_2_FILE_NAME, w_file_buf, charcount);
                    break;
                case 5:
                    factory_write(OUTPUT_TIMING_FILE_NAME, w_file_buf, charcount);
                    break;
                case 6:
                    factory_write(PANELIDERROR_ENV_FILE_NAME, w_file_buf, charcount);
                    break;
                default:
                    return ret;
            }
		if (textFile == 0 || textFile == 1)
		{
			factorySave = true;
        	//factory_save();
		}
        ret = true;
	}
//	printf("[trace code]  %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
	return ret;
}

bool CusApi_env_setFactorySave(void)
{
	factorySave = true;
	return true;
}

bool CusApi_env_syncFactorySave(void)
{
	if(factorySave)
		factory_save();
	factorySave = false;
	return true;
}

#ifdef Config_EXT4_Factory_Enable_TRUE
bool CusApi_env_createModelEnvFile(char *pFileName)
{
	bool ret = false;
	char *file_buf = NULL;
	int file_length = 0;
	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
	printf("[trace code] pFileName = %s\n", pFileName);

	if (factory_ro_read(pFileName, &file_buf, &file_length)){
		printf("can't find file:%s!\n", pFileName);
		return ret;
	}
	printf("[trace code] MODEL_ENV_FILE_NAME = %s\n", MODEL_ENV_FILE_NAME);
	factory_delete(MODEL_ENV_FILE_NAME);
	if(factory_write(MODEL_ENV_FILE_NAME, file_buf, file_length)==0)
		factorySave = true;
    bIsUpdateModelEnv = true;
	return true;
}
#else
bool CusApi_env_createModelEnvFile(char *pFileName)
{
	bool ret = false;
	char *file_buf = NULL;
	int file_length = 0;
	//char tempPath[128] = {0};
	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
	//sprintf(tempPath, "%s%s", FAC_RO_SONY_MODEL_ENV, pFileName);
	printf("[trace code] pFileName = %s\n", pFileName);

	if (factory_ro_read(pFileName, &file_buf, &file_length)){
		printf("can't find file:%s!\n", pFileName);
		return ret;
	}
	printf("[trace code] MODEL_ENV_FILE_NAME = %s\n", MODEL_ENV_FILE_NAME);
	factory_delete(MODEL_ENV_FILE_NAME);
	if(factory_write(MODEL_ENV_FILE_NAME, file_buf, file_length)==0)
		factorySave = true;
    bIsUpdateModelEnv = true;
	return true;
}
#endif

#if 1
#define TAKEOVER_TEST_PATH "takeover/test.xml"
bool CusApi_env_createModelEnvFile_takeover(char *pFileName)
{
	bool ret = false;
	char *file_buf = NULL;
	int file_length = 0;
	//char tempPath[128] = {0};
	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
	//sprintf(tempPath, "%s%s", FAC_RO_SONY_MODEL_ENV, pFileName);
	printf("[trace code] pFileName = %s\n", pFileName);

	if (factory_ro_read(pFileName, &file_buf, &file_length)){
		printf("can't find file:%s!\n", pFileName);
		return ret;
	}
#ifdef Config_EXT4_Load_Takeover_TRUE
	printf("[trace code] TAKEOVER_TEST_FILE_NAME = %s\n", TAKEOVER_TEST_PATH);
	printf("[trace code] file_length = %d\n", file_length);
	if(takeover_write(TAKEOVER_TEST_PATH, file_buf, file_length))
	{
		printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
		printf("[trace code] takeover write fail !!!!!!!!!!!\n");
	}
	else
	{
		char *r_file_buf = NULL;
		int file_length = 0;
		char tmpbuffer[20]={0};
    	if (0 != takeover_read(TAKEOVER_TEST_PATH, &r_file_buf, &file_length))
        {
			printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
			printf("[trace code] takeover read fail !!!!!!!!!!!\n");
			return true;
		}
		for(int i=0;i<20;i++)
		{
			tmpbuffer[i]=r_file_buf[i];
		}
		printf("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\n");
		printf("%s\n",tmpbuffer);
		printf("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\n");
	}
#endif
	return true;
}
#endif

#ifdef Config_EXT4_Factory_Enable_TRUE
bool CusApi_env_searchModelEnvFile(char *pParameter, char *pFileName, int size)
{
	char tmpPath[49] = {0};

    if(pFileName == NULL || size == 0) return 0;

	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
	// Model_Env_P99000005_VN3_FY19-49CVT1.txt
	sprintf(tmpPath, "%s%s", "Model_Env_", pParameter);
	printf("[trace code] tmpPath = %s\n", tmpPath);

	strncpy(pFileName, FAC_RO_SONY_MODEL_ENV, size);
	if(factory_ro_find_file(FAC_RO_SONY_MODEL_ENV, tmpPath, pFileName + strlen(pFileName)) < 0)
	{
		printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
		printf("not found ModelEnv file\n");
		return 0;
	}
	return true;
}
#else
bool CusApi_env_searchModelEnvFile(char *pParameter, char *pFileName, int size)
{
	bool ret = false;
#if 0
	int fd;
	//int sum;
	char *header;  //512 bytes
	char tmpPath[49] = {0};

	//unsigned char print_prefix[32] = "";

	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
	fd = rtk_mem_info->factory_ro_data_addr;
	// Model_Env_P99000005_VN3_FY19-49CVT1.txt
	sprintf(tmpPath, "%s%s", "tmp/factory_ro/Sony_Model_Env/Model_Env_", pParameter);
	printf("[trace code] tmpPath = %s\n", tmpPath);

	//strcpy((char *)print_prefix, "tmp/factory_ro/Sony_Model_Env/");

	for (;;)
    {
		int len;

		header = (char *)fd;
		if (header[0] == 0) {
			return 0;
		}
		if (tar_check_header(header) < 0) {
			return 0;
		}
		if (header[0] == '\0') {
			printf("tar end,not found \n");
			break;
		}

		//printf("filename = %s\n", header);

		// match name
		if (!strncmp(tmpPath, header, 49))
		{
			// found it!
			printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
			sprintf(pFileName, "%s", header);
			printf("[trace code] find filename = %s\n", pFileName);
			break;
		}

		len = simple_strtol(header + 124,0,8);
		len = ((len + 511) / 512 + 1)*512;

		fd += len ;
	}
#endif
	return ret;
}
#endif

bool CusApi_env_selectModelEnvFile(void)
{
	char env_product_code[10]={0};
	char xml_productCode[10]={0};
	char fileName[100]={0};
	char factory_env_version[5]={0};
    char customer_data_env_version[5]={0};
    int ret = 0;
    printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
    ret = CusApi_env_readXmlFile(FAC_PRODUCT_CODE_FILE_NAME,"productCode", xml_productCode,sizeof(xml_productCode));
    printf("[trace code] Read FAC_PRODUCT_CODE_FILE_NAME ret=%d productCode = %s\n",ret,xml_productCode);
    if( ret != 0 || (strcmp("", xml_productCode) == 0))
    {
        ret = CusApi_env_readXmlFile(TAKEOVER_PRODUCT_CODE_FILE_NAME,"productCode", xml_productCode,sizeof(xml_productCode));
        if (ret != 0)
        {
            printf("Failed to get %s! ret: %d\n",xml_productCode,ret);
            return false;
        }
    }
    printf("[trace code] productCode = %s\n", xml_productCode);
	if(CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, PRODUCT_CODE, env_product_code,sizeof(env_product_code)) != 0){
		printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
		printf("can't find file:%s!\n", MODEL_ENV_FILE_NAME);

		CusApi_env_searchModelEnvFile(xml_productCode, fileName, sizeof(fileName));
		CusApi_env_createModelEnvFile(fileName);
		//CusApi_env_createModelEnvFile_takeover(fileName);	// takeover test code
	}
	else if (strcmp(env_product_code, xml_productCode) != 0)
	{
		printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
		printf("[trace code] product_code = %s\n", env_product_code);
		//factory_delete(MODEL_ENV_FILE_NAME);
		CusApi_env_searchModelEnvFile(xml_productCode, fileName, sizeof(fileName));
		CusApi_env_createModelEnvFile(fileName);
		//CusApi_env_createModelEnvFile_takeover(fileName);	// takeover test code
	}
    else
    {
        CusApi_env_searchModelEnvFile(xml_productCode, fileName, sizeof(fileName));
        CusApi_env_readXmlFile(fileName, MODEL_ENV_VERSION, customer_data_env_version,sizeof(customer_data_env_version));
        CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, MODEL_ENV_VERSION, factory_env_version,sizeof(factory_env_version));
        if (strcmp(factory_env_version, customer_data_env_version) != 0)
        {
            //factory_delete(MODEL_ENV_FILE_NAME);
            CusApi_env_createModelEnvFile(fileName);
			//CusApi_env_createModelEnvFile_takeover(fileName);	// takeover test code
        }
    }
	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
	return true;
}

#define TVCONFIG_PATH "tvconfigs/tv.config"
#define TVCONFIG_TMP_PATH "tvconfigs/tv.config_tmp"


typedef struct _ModelEnvAboutTvConfig{
    unsigned char atv_system;
    unsigned char atv_cable;
    unsigned char atv_antenna;
    unsigned char dtv_system;
    unsigned char dtv_cable;
    unsigned char dtv_antenna;
    unsigned char dtv_satellite;
    bool enable_ci;
    bool enable_mheg5;
    bool enable_tt;
    bool enable_ginga;
    bool enable_cc;
    bool enable_ntsc_cc;
    bool enable_atsc_cc;
    bool enable_isdb_cc;
}ModelEnvAboutTvConfig;

ModelEnvAboutTvConfig mModelEnvAboutTvConfig;
bool parserModelEnv(void)
{
    char retBuf[16];
    memset(&mModelEnvAboutTvConfig, 0, sizeof(ModelEnvAboutTvConfig));
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "atv_system", retBuf,sizeof(retBuf)))
        mModelEnvAboutTvConfig.atv_system=simple_strtoul(retBuf, NULL, 10);
    else
        return false;
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "atv_cable", retBuf,sizeof(retBuf)))
        mModelEnvAboutTvConfig.atv_cable=simple_strtoul(retBuf, NULL, 10);
    else
        return false;
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "atv_antenna", retBuf,sizeof(retBuf)))
        mModelEnvAboutTvConfig.atv_antenna=simple_strtoul(retBuf, NULL, 10);
    else
        return false;
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "dtv_system", retBuf,sizeof(retBuf)))
        mModelEnvAboutTvConfig.dtv_system=simple_strtoul(retBuf, NULL, 10);
    else
        return false;
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "dtv_cable", retBuf,sizeof(retBuf)))
        mModelEnvAboutTvConfig.dtv_cable=simple_strtoul(retBuf, NULL, 10);
    else
        return false;
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "dtv_antenna", retBuf,sizeof(retBuf)))
        mModelEnvAboutTvConfig.dtv_antenna=simple_strtoul(retBuf, NULL, 10);
    else
        return false;
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "dtv_satellite", retBuf,sizeof(retBuf)))
        mModelEnvAboutTvConfig.dtv_satellite=simple_strtoul(retBuf, NULL, 10);
    else
        return false;
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "enable_ci", retBuf,sizeof(retBuf))){
        if (0 == strncmp("true", retBuf, 4))
           mModelEnvAboutTvConfig.enable_ci = true;
        else
           mModelEnvAboutTvConfig.enable_ci = false;
    }
    else
        return false;
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "enable_mheg5", retBuf,sizeof(retBuf))){
        if (0 == strncmp("true", retBuf, 4))
           mModelEnvAboutTvConfig.enable_mheg5 = true;
        else
           mModelEnvAboutTvConfig.enable_mheg5 = false;
    }
    else
        return false;
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "enable_tt", retBuf,sizeof(retBuf))){
        if (0 == strncmp("true", retBuf, 4))
           mModelEnvAboutTvConfig.enable_tt = true;
        else
           mModelEnvAboutTvConfig.enable_tt = false;
    }
    else
        return false;
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "enable_ginga", retBuf,sizeof(retBuf))){
        if (0 == strncmp("true", retBuf, 4))
           mModelEnvAboutTvConfig.enable_ginga = true;
        else
           mModelEnvAboutTvConfig.enable_ginga = false;
    }
    else
        return false;
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "enable_cc", retBuf,sizeof(retBuf))){
        if (0 == strncmp("true", retBuf, 4))
           mModelEnvAboutTvConfig.enable_cc = true;
        else
           mModelEnvAboutTvConfig.enable_cc = false;
    }
    else
        return false;
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "enable_ntsc_cc", retBuf,sizeof(retBuf))){
        if (0 == strncmp("true", retBuf, 4))
           mModelEnvAboutTvConfig.enable_ntsc_cc = true;
        else
           mModelEnvAboutTvConfig.enable_ntsc_cc = false;
    }
    else
        return false;
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "enable_atsc_cc", retBuf,sizeof(retBuf))){
        if (0 == strncmp("true", retBuf, 4))
           mModelEnvAboutTvConfig.enable_atsc_cc = true;
        else
           mModelEnvAboutTvConfig.enable_atsc_cc = false;
    }
    else
        return false;
    if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, "enable_isdb_cc", retBuf,sizeof(retBuf))){
        if (0 == strncmp("true", retBuf, 4))
           mModelEnvAboutTvConfig.enable_isdb_cc = true;
        else
           mModelEnvAboutTvConfig.enable_isdb_cc = false;
    }
    else
        return false;

    return true;
}

#ifdef Config_EXT4_Load_TvConfigs_TRUE
bool syncTvConfigWithModelEnv(void)
{
    bool ret = false;
	char *r_file_buf = NULL;
	char w_file_buf[1280] = {0};
	int file_length = 0;
	char line_buffer1[80] = {0};
	char buffer1[48] = {0};
	char buffer2[32] = {0};
    char tmp_byte;
    int indexOfLineStart = 0;
    int indexOfLineEnd = 0;
    int indexOfEqualSymbol = 0;
    int i = 0;
    int len =  0;
    bool isHalt = false;
    int total_output_len = 0;

    if (!bIsUpdateModelEnv)
        return true;

    if (parserModelEnv() == false)
        return false;

    if (0 != tvconfig_read(TVCONFIG_PATH, &r_file_buf, &file_length))
        return false;
    printf("[trace code] %s_%d, file_length=%d, bIsUpdateModelEnv=%d\n", __FUNCTION__, __LINE__, file_length, bIsUpdateModelEnv);
    if (file_length > 0){
        indexOfLineStart = indexOfLineEnd = 0;
        for (i=0; i<file_length; i++)
        {
            tmp_byte = r_file_buf[i];
            //printf("i=%d, byte=%c\n", i, tmp_byte);
            if (tmp_byte == '='){
                indexOfEqualSymbol = i;
            }
            else if((tmp_byte ==  '\n')||(tmp_byte == '\r')) {
                indexOfLineEnd = i;
                if (indexOfLineStart == indexOfLineEnd) // \r & \n are appeared consecutively.
                {
                    indexOfLineStart = indexOfLineEnd + 1;
                    continue;
                }
                len = (indexOfLineEnd - indexOfLineStart + 1);
                //printf("[tvconfig] %s_%d, indexOfLineStart=%d, Equal=%d, End=%d, len=%d\n", __FUNCTION__, __LINE__, indexOfLineStart, indexOfEqualSymbol, indexOfLineEnd, len);
                if (len >= 80){
                    isHalt = true;
                    printf("[tvconfig], the len of line >= 80, stop syncing\n");
                    break;
                }
                memcpy(line_buffer1, &r_file_buf[indexOfLineStart], len);
                line_buffer1[len]='\0';
                //printf("[tvconfig] %s_%d, %s\n", __FUNCTION__, __LINE__, line_buffer1);
                len = (indexOfEqualSymbol-indexOfLineStart);
                if (len >= 48){
                    isHalt = true;
                    printf("[tvconfig], the len of buffer1 >= 48, stop syncing\n");
                    break;
                }
                memcpy(buffer1, &line_buffer1[0], len);
                buffer1[len]='\0';

                len = (indexOfLineEnd-indexOfEqualSymbol);
                if (len >= 32){
                    isHalt = true;
                    printf("[tvconfig], the len of buffer2 >= 32, stop syncing\n");
                    break;
                }
                memcpy(buffer2, &line_buffer1[indexOfEqualSymbol-indexOfLineStart+1], len);
                buffer2[len]='\0';

                //printf("[tvconfig] %s_%d, %s %s\n", __FUNCTION__, __LINE__, buffer1, buffer2);
                if(0 == strcmp("persist.vendor.rtk.tv.atv_system", buffer1))
                {
                    sprintf(line_buffer1, "%s=%d\n", buffer1, mModelEnvAboutTvConfig.atv_system);
                }
                else if(0 == strcmp("persist.vendor.rtk.tv.atv_cable", buffer1))
                {
                    sprintf(line_buffer1, "%s=%d\n", buffer1, mModelEnvAboutTvConfig.atv_cable);
                }
                else if(0 == strcmp("persist.vendor.rtk.tv.atv_antenna", buffer1))
                {
                    sprintf(line_buffer1, "%s=%d\n", buffer1, mModelEnvAboutTvConfig.atv_antenna);
                }
                else if(0 == strcmp("persist.vendor.rtk.tv.dtv_system", buffer1))
                {
                    sprintf(line_buffer1, "%s=%d\n", buffer1, mModelEnvAboutTvConfig.dtv_system);
                }
                else if(0 == strcmp("persist.vendor.rtk.tv.dtv_cable", buffer1))
                {
                    sprintf(line_buffer1, "%s=%d\n", buffer1, mModelEnvAboutTvConfig.dtv_cable);
                }
                else if(0 == strcmp("persist.vendor.rtk.tv.dtv_antenna", buffer1))
                {
                    sprintf(line_buffer1, "%s=%d\n", buffer1, mModelEnvAboutTvConfig.dtv_antenna);
                }
                else if(0 == strcmp("persist.vendor.rtk.tv.dtv_satellite", buffer1))
                {
                    sprintf(line_buffer1, "%s=%d\n", buffer1, mModelEnvAboutTvConfig.dtv_satellite);
                }
                else if(0 == strcmp("persist.vendor.rtk.tv.enable_ci", buffer1))
                {
                    if (mModelEnvAboutTvConfig.enable_ci == true)
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "true");
                    else
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "false");
                }
                else if(0 == strcmp("persist.vendor.rtk.tv.enable_mheg5", buffer1))
                {
                    if (mModelEnvAboutTvConfig.enable_mheg5 == true)
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "true");
                    else
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "false");
                }
                else if(0 == strcmp("persist.vendor.rtk.tv.enable_tt", buffer1))
                {
                    if (mModelEnvAboutTvConfig.enable_tt == true)
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "true");
                    else
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "false");
                }
                else if(0 == strcmp("persist.vendor.rtk.tv.enable_ginga", buffer1))
                {
                    if (mModelEnvAboutTvConfig.enable_ginga == true)
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "true");
                    else
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "false");
                }
                else if(0 == strcmp("persist.vendor.rtk.tv.enable_cc", buffer1))
                {
                    if (mModelEnvAboutTvConfig.enable_cc == true)
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "true");
                    else
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "false");
                }
                else if(0 == strcmp("persist.vendor.rtk.tv.enable_ntsc_cc", buffer1))
                {
                    if (mModelEnvAboutTvConfig.enable_ntsc_cc == true)
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "true");
                    else
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "false");
                }
                else if(0 == strcmp("persist.vendor.rtk.tv.enable_atsc_cc", buffer1))
                {
                    if (mModelEnvAboutTvConfig.enable_atsc_cc == true)
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "true");
                    else
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "false");
                }
                else if(0 == strcmp("persist.vendor.rtk.tv.enable_isdb_cc", buffer1))
                {
                    if (mModelEnvAboutTvConfig.enable_isdb_cc == true)
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "true");
                    else
                        sprintf(line_buffer1, "%s=%s\n", buffer1, "false");
                }

                total_output_len+=strlen(line_buffer1);
                strcat(w_file_buf, line_buffer1);

                indexOfLineStart = indexOfLineEnd+1;
            }
        }

        if (isHalt == false){
            file_length = sizeof(w_file_buf);
            printf("[trace code] w_file_length = %d, total_output_len=%d\n", sizeof(w_file_buf), total_output_len);
            ret = tvconfig_write(TVCONFIG_PATH,w_file_buf,total_output_len);
        }
    }

    return (ret != 0) ? false:true;
}
#endif

#if 0
bool CusApi_env_deletePQbin(char *pParameter)
{
	bool ret = false;
	char *file_buf = NULL;
	int file_length = 0;
    char buffer1[16] = {0};
    char buffer2[16] = {0};
    char buffer3[16] = {0};
	int charcount = 0, buffercount = 0;
	char tmp_byte = 0;
	int useBuffer = 1;
	char *dst_addr = NULL;
	int dst_length = 0;
	bool deleteDefault = true;
	char cur_pqfile[128] = {0};
	bool factorySave = false;

	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
    if (pParameter == NULL)
        return ret;

//    printf("[trace code] pParameter=%s, length=%d\n", pParameter, sizeof(pParameter));
    if (factory_read(VARIATION_TABLE_FILE, &file_buf, &file_length)){
        printf("can't find file:%s!\n", VARIATION_TABLE_FILE);
        return ret;
    }
//	printf("[trace code] file_length = %d\n", file_length);
//	printf("%s\n", file_buf);
    if(file_length > 0)
    {
        for (charcount=0; charcount<file_length; charcount++)
        {
            tmp_byte = file_buf[charcount];
            if((tmp_byte ==  '\n')||(tmp_byte == '\r')||(tmp_byte == '\0'))
            {
//            	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//				printf("[trace code] %s,%s,%s\n", buffer1, buffer2, buffer3);
                if(!strcmp(pParameter, buffer3))
				{
                    if(deleteDefault)
                    {
//                    	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
                    	// check default pq file exsit or not
                        ret = factory_read(DEFAULT_PQ_FILE_NAME, &dst_addr, &dst_length);
                        if(ret == 0){
                            // delete default pq_extend file
//                            printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
                            ret = factory_delete(DEFAULT_PQ_FILE_NAME);
                            if(ret){
                                printf("Delete %s fail!\r\n", DEFAULT_PQ_FILE_NAME);
                            }else{
//                                printf("Delete %s file...\r\n", DEFAULT_PQ_FILE_NAME);
                                factorySave = true;
                            }
                        }
                        // check default pq_extend file exsit or not
//                        printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
                        ret = factory_read(DEFAULT_PQ_EXTEND_FILE_NAME, &dst_addr, &dst_length);
                        if(ret == 0){
                            // delete default pq_extend file
                            ret = factory_delete(DEFAULT_PQ_EXTEND_FILE_NAME);
                            if(ret){
                                printf("Delete %s fail!\r\n", DEFAULT_PQ_EXTEND_FILE_NAME);
                            }else{
//                                printf("Delete %s file...\r\n", DEFAULT_PQ_EXTEND_FILE_NAME);
								factorySave = true;
                            }
                        }
						deleteDefault = false;
                    }
                }
                else
                {
//                	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//					printf("[trace code] %s,%s,%s\n", buffer1, buffer2, buffer3);
                    snprintf(cur_pqfile, sizeof(cur_pqfile), "%s%s%s", PQ_EXTEND_FILE_PREFIX, buffer3, PQ_FILE_SUFFIX);
//					printf("[trace code] cur_pqfile =%s\n", cur_pqfile);
					ret = factory_read(cur_pqfile, &dst_addr, &dst_length);
                    if(ret == 0){
                        // delete default pq_xxxx file
                        ret = factory_delete(cur_pqfile);
                        if(ret){
                            printf("Delete %s fail!\r\n", cur_pqfile);
                        }else{
//                            printf("Delete %s file...\r\n", cur_pqfile);
							factorySave = true;
                        }
                    }
					snprintf(cur_pqfile, sizeof(cur_pqfile), "%s%s%s", PQ_EXTEND_FILE_PREFIX, buffer3, PQ_EXTEND_FILE_SUFFIX);
//					printf("[trace code] cur_pqfile =%s\n", cur_pqfile);
					ret = factory_read(cur_pqfile, &dst_addr, &dst_length);
                    if(ret == 0){
                        // delete default pq_xxxx file
                        ret = factory_delete(cur_pqfile);
                        if(ret){
                            printf("Delete %s fail!\r\n", cur_pqfile);
                        }else{
//                            printf("Delete %s file...\r\n", cur_pqfile);
							factorySave = true;
                        }
                    }
                }
				memset(buffer1,'\0',sizeof(buffer1));
				memset(buffer2,'\0',sizeof(buffer2));
				memset(buffer3,'\0',sizeof(buffer3));
				buffercount = 0;
				useBuffer = 1;
			}
			else if((tmp_byte ==  ','))
			{
				if(useBuffer==1)
					useBuffer = 2;
				else if(useBuffer==2)
					useBuffer = 3;
				else
					useBuffer = 1;
				buffercount = 0;
			}
			else
			{
				if(useBuffer == 1)
					buffer1[buffercount] = tmp_byte;
				else if(useBuffer == 2)
					buffer2[buffercount] = tmp_byte;
				else
					buffer3[buffercount] = tmp_byte;
				buffercount++;
			}
		}
	}
    if(factorySave == true)
    {
        factory_save();
    }
	return true;
}

bool CusApi_env_readVariationTable(char *pPanelID, char *pPQVariation, char *pPQIndex)
{
	bool ret = false;
	char *file_buf = NULL;
	int file_length = 0;
	char buffer1[16] = {0};
	char buffer2[16] = {0};
	char buffer3[16] = {0};
	int charcount = 0, buffercount = 0;
	char tmp_byte = 0;
	int useBuffer = 1;

//	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);


	if (pPanelID == NULL || pPQVariation == NULL || pPQIndex == NULL)
		return ret;

//	printf("[trace code] pPanelID=%s, pPQVariation=%s\n", pPanelID, pPQVariation);
	if (factory_read(VARIATION_TABLE_FILE, &file_buf, &file_length)){
		printf("can't find file:%s!\n", VARIATION_TABLE_FILE);
		return ret;
	}
	if(file_length > 0)
	{
		for (charcount=0; charcount<file_length; charcount++)
		{
			tmp_byte = file_buf[charcount];
			if((tmp_byte ==  '\n')||(tmp_byte == '\r')||(tmp_byte == '\0'))
			{
				if(!strcmp(pPanelID, buffer1) && !strcmp(pPQVariation, buffer2))
				{
					sprintf(pPQIndex, "%s", buffer3);
					ret = true;
					printf("[trace code] %s,%s,%s\n", pPanelID, pPQVariation, pPQIndex);
					return ret;
		  		}
				memset(buffer1,'\0',sizeof(buffer1));
				memset(buffer2,'\0',sizeof(buffer2));
				memset(buffer3,'\0',sizeof(buffer3));
				buffercount = 0;
				useBuffer = 1;
			}
			else if((tmp_byte ==  ','))
			{
				if(useBuffer==1)
					useBuffer = 2;
				else if(useBuffer==2)
					useBuffer = 3;
				else
					useBuffer = 1;
				buffercount = 0;
			}
			else
			{
				if(useBuffer == 1)
					buffer1[buffercount] = tmp_byte;
				else if(useBuffer == 2)
					buffer2[buffercount] = tmp_byte;
				else
					buffer3[buffercount] = tmp_byte;
				buffercount++;
			}
		}
	}
//	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
	return ret;
}

bool CusApi_env_get_PQ_file_name(char *pParameter)
{
	char pannelID[64] = {0};
	char tmpPannelID[64] = {0};
	char pqVariation[64] = {0};
	char tmpPQVariation[64] = {0};

//	printf("[trace code]  %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
	if (pParameter == NULL)
	{
//		printf("[trace code]  %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
		return false;
	}
	if(CusApi_env_readEnvTxtFile(PANEL_ID, pannelID) != 0)
		return false;
//	printf("[trace code] PANEL_ID=%s\n", pannelID);
	if(!strcmp(pannelID, "YS9S003HNG0101"))
		sprintf(tmpPannelID, "%s", "0");
	else if(!strcmp(pannelID, "YS9S005HNG0101"))
		sprintf(tmpPannelID, "%s", "1");
	else if(!strcmp(pannelID, "YS9S007CND0101"))
		sprintf(tmpPannelID, "%s", "2");
	else if(!strcmp(pannelID, "YS9S009CND0101"))
		sprintf(tmpPannelID, "%s", "3");
	else if(!strcmp(pannelID, "YS7S430HNG0101"))
		sprintf(tmpPannelID, "%s", "4");
	else if(!strcmp(pannelID, "YS7S490HNG0101"))
		sprintf(tmpPannelID, "%s", "5");
	else if(!strcmp(pannelID, "YS8S007CND0101"))
		sprintf(tmpPannelID, "%s", "6");
	else if(!strcmp(pannelID, "YS8P009CND0101"))
		sprintf(tmpPannelID, "%s", "7");
//	printf("[trace code] tmpPannelID=%s\n", tmpPannelID);

	if(CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, PQ_VARIATION, pqVariation,sizeof(pqVariation)) != 0)
//	printf("[trace code] PQ_VARIATION=%s\n", pqVariation);
		return false;
	sprintf(tmpPQVariation, "%ld", simple_strtoul(pqVariation, NULL, 10));
/*
	if(!strcmp(pqVariation, "0x00"))
		sprintf(tmpPQVariation, "%s", "0");
	else if(!strcmp(pqVariation, "0x01"))
		sprintf(tmpPQVariation, "%s", "1");
	else if(!strcmp(pqVariation, "0x02"))
		sprintf(tmpPQVariation, "%s", "2");
	else if(!strcmp(pqVariation, "0x03"))
		sprintf(tmpPQVariation, "%s", "3");
	else if(!strcmp(pqVariation, "0x04"))
		sprintf(tmpPQVariation, "%s", "4");
	else if(!strcmp(pqVariation, "0x05"))
		sprintf(tmpPQVariation, "%s", "5");
	else if(!strcmp(pqVariation, "0x06"))
		sprintf(tmpPQVariation, "%s", "6");
	else if(!strcmp(pqVariation, "0x07"))
		sprintf(tmpPQVariation, "%s", "7");
*/
//	printf("[trace code] tmpPQVariation=%s\n", tmpPQVariation);

	return CusApi_env_readVariationTable(tmpPannelID, tmpPQVariation, pParameter);
//	printf("[trace code]  %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//	printf("[trace code] PQ_Index=%s\n", pParameter);
//	CusApi_env_deletePQbin(pParameter);
}
#endif
#endif

/*
#define PN_COMMON_FILE_NAME 	"tmp/factory/PnCommon.txt"

bool CusApi_env_writePnCommonFile(char *pItemName, char *pParameter)
{
	bool ret = false;
	char *r_file_buf = NULL;
	char w_file_buf[1904] = {0};
	int file_length = 0;
	char line_buffer1[64] = {0};
	char buffer1[32] = {0};
	char buffer2[32] = {0};
	int charcount = 0, buffercount = 0;
	char tmp_byte = 0;
	bool isitem = true;
	bool newItem = true;
	bool next = false;

	//printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);

	if (pItemName == NULL || pParameter == NULL)
		return ret;
	//printf("[trace code]  %s=%s \n", pItemName, pParameter);
	if (!strcmp(pItemName, PANEL_ID))
	{
#if 0	// need check
		if (factory_read(DYANAMIC_ENV_FILE_NAME, &r_file_buf, &file_length)){
			printf("can't find file:%s!\n", DYANAMIC_ENV_FILE_NAME);
			return ret;
		}
#else
	if (factory_read(PN_COMMON_FILE_NAME, &r_file_buf, &file_length)){
		printf("can't find file:%s!\n", PN_COMMON_FILE_NAME);
		return ret;
	}
#endif
	}
	else
	{
		if (factory_read(PN_COMMON_FILE_NAME, &r_file_buf, &file_length)){
			printf("can't find file:%s!\n", PN_COMMON_FILE_NAME);
			return ret;
		}
	}


//	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//	printf("[trace code] n=0x%x, r=0x%x, 0=0x%x\n", '\n', '\r', '\0');
//	printf("[trace code] file_length = %d\n", file_length);
//	printf("%s\n\n", r_file_buf);
	if(file_length > 0)
	{
//		printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
		for (charcount=0; charcount<file_length; charcount++)
		{
			tmp_byte = r_file_buf[charcount];
//			printf("[trace code] r_file_buf[%d] = %c, 0x%x\n", charcount, tmp_byte, tmp_byte);
			if((tmp_byte ==  '\n')||(tmp_byte == '\r'))
			{
//				printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
				if(next == true)
				{
					next = false;
//					printf("[trace code] lineBuffer %s=%s\n", buffer1, buffer2);
					if(!strcmp(pItemName, buffer1))
					{
//						printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
						newItem = false;
						sprintf(line_buffer1, "%s=%s%c%c", pItemName, pParameter, '\r', '\n');
//						printf("[trace code] line_buffer1: %s\n\n", line_buffer1);
						strcat(w_file_buf, line_buffer1);
//						printf("**********************************************\n");
//						printf("%s", w_file_buf);
//						printf("**********************************************\n");
					}
					else
					{
//						printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
						sprintf(line_buffer1, "%s=%s%c%c", buffer1, buffer2, '\r', '\n');
//						printf("[trace code] line_buffer1: %s\n\n", line_buffer1);
						strcat(w_file_buf, line_buffer1);
//						printf("**********************************************\n");
//						printf("%s", w_file_buf);
//						printf("**********************************************\n");
					}
					memset(line_buffer1,'\0',sizeof(line_buffer1));
					memset(buffer1,'\0',sizeof(buffer1));
					memset(buffer2,'\0',sizeof(buffer2));
					buffercount = 0;
					isitem = true;
				}
			}
			else if((tmp_byte ==  '='))
			{
//				printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
				isitem = false;
				buffercount = 0;
			}
			else
			{
				next = true;
				if(isitem)
					buffer1[buffercount] = tmp_byte;
				else
					buffer2[buffercount] = tmp_byte;
				buffercount++;
			}
		}
//		printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//		printf("[trace code] newItem = %d\n", newItem);
		if (newItem)
		{
//			printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
			sprintf(line_buffer1, "%s=%s%c%c", pItemName, pParameter, '\r', '\n');
			strcat(w_file_buf, line_buffer1);
//			printf("**********************************************\n");
//			printf("%s", w_file_buf);
//			printf("**********************************************\n");
		}
//		printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
		file_length = sizeof(w_file_buf);
		//printf("[trace code] w_file_length = %d\n", sizeof(w_file_buf));
		for(charcount=0; charcount<file_length; charcount++)
		{
			if(w_file_buf[charcount]=='\0')
				break;
		}
//		printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
//		printf("[trace code] w_file_buf charcount = %d\n", charcount);
//		printf("**********************************************\n");
//		printf("%s", w_file_buf);
//		printf("**********************************************\n");
		if (!strcmp(pItemName, PANEL_ID))
		{
			//factory_write(DYANAMIC_ENV_FILE_NAME, w_file_buf, charcount); // need check
			factory_write(PN_COMMON_FILE_NAME, w_file_buf, charcount);
		}
		else
		{
		factory_write(PN_COMMON_FILE_NAME, w_file_buf, charcount);
		}
		//factory_save();
		ret = true;
	}
//	printf("[trace code]  %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
	return ret;
}
*/

