/************************************************************************
 *
 *  panel.h
 *
 ************************************************************************/

#ifndef PANEL_API_H
#define PANEL_API_H

#define S_OK	0
#define S_FALSE -1
/************************************************************************
 *  Include files
 ************************************************************************/
#include <config.h>

/************************************************************************
 *  Public functions
 ************************************************************************/

void vbe_disp_lane_power_off(void);
void vbe_disp_lane_power_on(void);
void panel_init_1st(void);
void panel_init_2nd(void);
int panel_init(void);
//void disable_force_bg(void);
void panel_interface_common(void);
void panel_dpg_enable(void);
unsigned int Get_DISPLAY_PANEL_MPLUS_RGBW(void);
unsigned int Get_DISPLAY_PANEL_BOW_RGBW(void);

extern bool CusApi_panel_interface_common(void);
extern void CusApi_panel_i2c_init(void);
extern void CusApi_panel_customized_setting(void);

void PA168_i2c_cmd(void);
#if 0
typedef enum {
	P_LVDS_2K1K,	//VDS output 2k1k timing only
	P_VBY1_4K2K,	//V By 1	 output 4k2k timing only
	P_LVDS_4K_2K,	//LVDS output 4k2k and 2k1k timing
	P_EPI_TYPE,
	P_LVDS_TO_HDMI,
	P_DISP_TO_TVOX,
	P_RESERVED
}PANEL_TYPE;

typedef enum {
	VBY_ONE_PANEL_CHINA_STAR_4K2K_VBY1,
	VBY_ONE_PANEL_CMI_V500_4K2K_VBY1,
	VBY_ONE_PANEL_CMI_60_4K2K_VBY1,
	VBY_ONE_PANEL_RESERVED
}VBY_ONE_PANEL_TYPE; //VBY1 PANEL_CUSTOM_INDEX;

typedef enum {
	P_NO_DEFINED = 0,
	P_M3_CMI_55 = 1,		// Millet3 + CMI 55" 4k2k panel
	P_M3_CMI_55_P1032 = 3,	// Millet3 + TV010 CMI 55" 4k2k panel
	P_SKY_RDL420FY_ADF,
	P_SKY_SDL470FY_LDF,
	P_SKY_SDL550FY_LDF,
	P_SKY_V420DK1_LS1,
	P_SKY_V500DK2_LS1,
	P_MILLET_SERIES_PANEL_MAX = 0x50,
	P_PA168_AU_55,		// PA168 + AU 55" 4k2k panel
}LVDS_4K2K_PANEL_INDEX; //LVDS 4K2K PANEL_CUSTOM_INDEX;
#else

typedef enum {
	P_LVDS_2K1K,				//VDS output 2k1k timing only
	P_VBY1_4K2K,				//V By 1	 output 4k2k timing only
	P_LVDS_4K_2K_BOOTCODE_2K,	//LVDS output 4k2k and 2k1k timing, bootcode use 2k1k120
	P_LVDS_4K_2K_BOOTCODE_4K,	//LVDS output 4k2k and 2k1k timing, bootcode use 4k2k30
	P_EPI_TYPE,
	P_LVDS_TO_HDMI,
	P_DISP_TO_TVOX,
	P_MINI_LVDS,
	P_VBY1_TO_LVDS,
	P_VBY1_TO_HDMI,
	P_VBY1_TO_LVDS_2K,
	P_HSLVDS_TYPE,
	P_CEDS,
	P_CHPI,
	P_ISP,
	P_VBY1_TO_LVDS_TO_HDMI,
	P_USIT,
	P_RESERVED,

        P_PANEL_TYPE_MAX
}PANEL_TYPE;

#if defined(Config_Board_TV010_PANEL)
  typedef enum {
	P_VBY1_2K1K = P_PANEL_TYPE_MAX+1,
  }PANEL_TYPE_EX;
#else
  #define P_VBY1_2K1K        P_VBY1_4K2K
#endif

typedef enum {
	VBY_ONE_PANEL_INX8903_4K2K_600M_1S_8L,
	VBY_ONE_PANEL_LG_4K2K_600M_1S_8L,
	VBY_ONE_PANEL_CHINASTAR_4K2K_600M_2S_8L,
	VBY_ONE_PANEL_LG_4K2K_120HZ_1S_16L,
	VBY_ONE_PANEL_LG_4K2K_120HZ_2S_16L,
	VBY_ONE_PANEL_LG_4K2K_120HZ_4S_16L,
	VBY_ONE_PANEL_innolux_4K2K_600M_1S_8L,
	VBY_ONE_PANEL_LG_4K2K_600M_2S_8L,
	VBY_ONE_PANEL_LG_OLED_4K2K_120HZ_4S_16L,
	VBY_ONE_PANEL_SAMSUNG_LSC650FN10_4K2K_2S_8L,
	VBY_ONE_PANEL_SAMSUNG_LSC750FF03_G_4K2K_2S_16L,
	VBY_ONE_PANEL_SAMSUNG_LSC750FF04_G_4K2K_2S_16L,
	VBY_ONE_PANEL_AUO_T500QVN03P7_4K2K_2S_8L,
	VBY_ONE_PANEL_AUO_T550QVN05P6_4K2K_2S_8L,
	VBY_ONE_PANEL_AUO_T650QVN08P7_4K2K_2S_16L,
	VBY_ONE_PANEL_4K2K_to_H5X,
	VBY_ONE_PANEL_LG_4K2K_600M_1S_8L_NEW, // add to support 4K panel pwm problem
	VBY_ONE_PANEL_4K2K_TO_HDMI_2K1K,

	/* 4k2k30 / 2k1k120 dynamic output timing series*/
	DYNAMIC_OUTPUT_PANEL_SERIES_BEGIN=0x20,
	P_M3_CMI_55,		// Millet3 + CMI 55" 4k2k panel
	P_M3_CMI_55_P1032,	// Millet3 + Skyworth CMI 55" 4k2k panel
	P_SKY_V420DK1_LS1,
	P_SKY_V500DK2_LS1,
	VBY_ONE_PANEL_INX8903_4K2K_VBY1,
	VBY_ONE_PANEL_INX8901_4K2K_VBY1,		// Millet4
	VBY_ONE_PANEL_INX8922_4K2K_VBY1,
	P_M4_Default_4k2k,
	P_M4_Default_2k1k,
	P_PA168_AU_55,
	DYNAMIC_OUTPUT_PANEL_SERIES_MAX=0x30,

	/* USIT Panel */
	P_USIT_BEGIN = 0x51,
	P_USIT_50INCH_UHD60_12LANE,
	P_USIT_PANEL_MAX = 0x60,

	VBY_ONE_PANEL_RTK_VB1_4K2K_TO_LVDS,
	VBY_ONE_PANEL_RTK_VB1_4K2K_TO_LVDS_NEW_VER,

	P_EPI_LG_47_ART5,
	P_EPI_LG_43_4K2K,
	P_EPI_LG_49_4K2K,
	P_EPI_LG_65_4K2K,
	P_EPI_LG_V18_49INCH_UHD60_6LANE_FINAL_DISABLE_MPLUS,
	P_EPI_LG_V18_49INCH_UHD60_6LANE_DISABLE_MPLUS,
	P_EPI_LG_V18_55INCH_UHD60_6LANE_FINAL_DISABLE_MPLUS,
	P_EPI_LG_V18_55INCH_UHD60_6LANE_DISABLE_MPLUS,
	P_EPI_LG_V18_65INCH_UHD60_8LANE_DISABLE_MPLUS,
	/* MPLUS RGBW IP*/
	P_EPI_LG_MPLUS_RGBW_PANEL_BEGIN=0x81,
	P_EPI_LG_LC430DGG_UHD60_12LANE,
	P_EPI_LG_LC430EGG_UHD60_6LANE,
	P_EPI_LG_LC550EGG_UHD60_6LANE,
	P_EPI_LG_LC490EGG_UHD60_6LANE,
	P_EPI_LG_SJ8000_UHD120_12LANE,
	P_EPI_LG_V18_49INCH_UHD60_6LANE,
	P_EPI_LG_V18_49INCH_UHD60_6LANE_FINAL,
	P_EPI_LG_V18_55UJ63_UHD60_6LANE,
	P_EPI_LG_V18_55UJ63_UHD60_6LANE_FINAL,
	P_EPI_LG_V18_65INCH_UHD60_8LANE,
	P_EPI_LG_V17_55INCH_UHD60_6LANE,
	P_EPI_LG_V20_49INCH_UHD60_6LANE,
	P_EPI_LG_MPLUS_RGBW_PANEL_MAX=0xA0,
	/* BOE RGBW IP*/
	P_CEDS_LG_BOE_RGBW_PANEL_BEGIN=0xA1,
	P_CEDS_LG_HV430QUB_UHD60_12LANE,
	P_CEDS_LG_HV490QUB_UHD60_12LANE,
	P_CEDS_LG_HV550QUB_UHD60_12LANE,
	P_CEDS_LG_49INCH_UHD60_12LANE,
	P_CEDS_LG_BOE_RGBW_PANEL_MAX=0xB0,
	/* mLVDS Panel*/
	P_MINI_LVDS_PANEL_BEGIN=0xB1,
	P_MINI_LVDS_CSOT_PANEL,
	P_MINI_LVDS_BOE_PANEL,
	P_MINI_LVDS_SHARP_70_PANEL,
	P_MINI_LVDS_PANEL_MAX=0xC0,
	/* CEDS Panel*/
	P_CEDS_PANEL_BEGIN=0xC1,
	P_CEDS_BOE_HV550QUB_H81_PANEL,
	P_CEDS_PANEL_MAX=0xD0,
	/* CHPI Panel */
	P_CHPI_BEGIN = 0xD1,
	P_CHPI_55INCH_UHD60_6LANE_HIMAX,
	P_CHPI_55INCH_UHD60_6LANE_ILITEK,
	P_CHPI_55INCH_UHD60_6LANE_RAYDIUM,
	P_CHPI_BC_TRIGGER,
	P_CHPI_PANEL_MAX = 0xE0,
	/* ISP Panel */
	P_ISP_BEGIN = 0xE1,
	P_ISP_50INCH_UHD60_12LANE,
	P_ISP_43INCH_UHD60_12LANE,
	P_ISP_PANEL_MAX = 0xF0,

	P_PANEL_CUSTOM_INDEX_MAX
}PANEL_CUSTOM_INDEX;	//PANEL_CUSTOM_INDEX;

#if defined(Config_Board_TV010_PANEL)
  typedef enum {
	VBY_ONE_PANEL_LG_OLED_2K1K_120HZ_1S_4L = P_PANEL_CUSTOM_INDEX_MAX+1,
	P_M4_Default_2k1k_2lane,
	P_EPI_LG_55_4K2K,
	P_EPI_LG_LC490DGG_UHD60_12LANE,
	P_EPI_LG_LC550DGG_UHD60_12LANE,
	P_EPI_LG_LC550V16_UHD60_12LANE,
  }PANEL_CUSTOM_INDEX_EX;
#else
  #define VBY_ONE_PANEL_LG_OLED_2K1K_120HZ_1S_4L  VBY_ONE_PANEL_innolux_4K2K_600M_1S_8L
  #define P_M4_Default_2k1k_2lane                 P_M4_Default_2k1k
  #define P_EPI_LG_55_4K2K                        P_EPI_LG_65_4K2K
  #define P_EPI_LG_LC490DGG_UHD60_12LANE          P_EPI_LG_LC430DGG_UHD60_12LANE
  #define P_EPI_LG_LC550DGG_UHD60_12LANE          P_EPI_LG_LC430DGG_UHD60_12LANE
  #define P_EPI_LG_LC550V16_UHD60_12LANE          P_EPI_LG_LC430DGG_UHD60_12LANE
#endif

typedef enum {
	P_EPI_LG_43_UHD_1 = 0x01,
	P_EPI_LG_49_UHD_1 ,
	P_EPI_LG_55_UHD_1,
	P_EPI_LG_65_UHD_1,
}PANEL_GAMMA_TYPE;

typedef enum {
	_3D_TIMING_2K1K_60,
	_3D_TIMING_2K05K120,
	_3D_TIMING_2K05K240,
	_3D_TIMING_2K1K_120,
	_3D_TIMING_2K1K_240,
	_3D_TIMING_4K1K_120,
	_3D_TIMING_4K05K_240,
	_3D_TIMING_4K1K_240,
	_3D_TIMING_4K2K_120,
}PANEL_3D_TIMING_INDEX;	//PANEL_CUSTOM_INDEX;


#endif // __PANEL_API_H__

typedef enum {
	P_LVDS_2K1K_NO_DEFINED =0,
	P_IWATT7018_LG_42_SFK1=4,
	P_IWATT7018_LG_47_SFK1 =5
}LVDS_2K1K_PANEL_INDEX; //LVDS 2K1K PANEL_CUSTOM_INDEX;


/************************************************************************
 *  Private functions
 ************************************************************************/

#endif /* #ifndef PANEL_API_H */
