#ifndef _SNAPSHOT_LOG_H
#define _SNAPSHOT_LOG_H

#define MAX_LOG_CNT (16)
#define MAX_LOG_STR_LEN (26)
#define LOG_MAGIC_NUM (0x04010312)
typedef enum {
    SNAPSHOT_REMAKE_REASON_INIT = 0,
    SNAPSHOT_REMAKE_REASON_UNKNOWN = 0,
    SNAPSHOT_REMAKE_POWERONLY,
    SNAPSHOT_REMAKE_FACTORYDEFAULT,
    SNAPSHOT_REMAKE_MAC_CHANGE,
    SNAPSHOT_REMAKE_WIDEVINE_CHANGE,
    SNAPSHOT_REMAKE_TOOLOPTION_CHANGE,
    SNAPSHOT_REMAKE_COUNTRYGROUP_CHANGE,
    SNAPSHOT_REMAKE_MODELNAME_CHANGE,
    SNAPSHOT_REMAKE_SERIAL_CHANGE,
    SNAPSHOT_REMAKE_DEBUGLEVEL_CHANGE,
    SNAPSHOT_REMAKE_SBPROPERTY_CHANGE,
    SNAPSHOT_REMAKE_VIDEODELAY_CHANGE,
    SNAPSHOT_REMAKE_REASON_END
} SNAPSHOT_REMAKE_REASON_T;

typedef enum {
    SNAPSHOT_ERROR_REASON_INIT = 0,
    SNAPSHOT_ERROR_UNKNOWN = 0,
    SNAPSHOT_VERIFY_APP_ERROR,
    SNAPSHOT_INVALID_PARTITION_ERROR,
    SNAPSHOT_EMMC_READ_ERROR,
    SNAPSHOT_DEPPART_MISMATCH_ERROR,
    SNAPSHOT_MEMALLOC_ERROR,
    SNAPSHOT_UNCOMP_RESTORE_ERROR,
    SNAPSHOT_COMP_RESTORE_ERROR,
    SNAPSHOT_VERIFY_ERROR,
    SNAPSHOT_TZ_LOAD_ERROR,
    SNAPSHOT_ERROR_REASON_END
} SNAPSHOT_ERROR_REASON_T;

typedef enum {
    SNAPSHOT_LOG_TYPE_INIT = 0,
    SNAPSHOT_LOG_TYPE_UNKNOWN = 0,
    SNAPSHOT_LOG_REMAKE_REASON,
    SNAPSHOT_LOG_ERROR,
    SNAPSHOT_LOG_TYPE_END
} SNAPSHOT_LOG_TYPE_T;

typedef struct {
    unsigned short type;
    unsigned short seqId;
    int time;
    unsigned short reason;
    unsigned char logDetail[MAX_LOG_STR_LEN];
} SNAPSHOT_LOG_T;

typedef struct {
    int magic;
    unsigned short logCnt;
    unsigned short curSeq;
    SNAPSHOT_LOG_T logs[MAX_LOG_CNT];
} SNAPSHOT_LOG_HEADER_T;

int SNAPSHOT_Log(SNAPSHOT_LOG_TYPE_T type, unsigned short reason, char *detail, int user_mode);
int SNAPSHOT_PrintLog(void);
int SNAPSHOT_RemoveLogHeader(void);

#endif

