#include <qc_verify_common.h>
#include <qc_verify.h>
#include <rtd_types_qc.h>
#include "cbus_pmm_reg.h"
#include "cbus_reg.h"
#include "ecbus_rx_dphy_reg.h"
#include "ecbus_rx_reg.h"
#include "pinmux_pmm_reg.h"
#include "dfe_hdmi_rx_phy_reg.h"
#include "hdmi_clkdet_reg.h"
#include "rbusMiscDDCReg.h"
#include "hdmi_reg.h"
#include "cbus_BURST_ID.h"

bool SET_HPD(void);
bool SET_INT(int,int);
bool WRITE_STAT(int,int);
bool WRITE_XSTAT(int,int);
bool MSC_MSG(int,int);
bool READ_DEVCAP(int);
bool READ_XDEVCAP(int);
bool GET_DDC_ERRORCODE(void);
bool GET_MSC_ERRORCODE(void);
bool GET_STATE(void);
bool drvif_CBUS_RX_APHY_initial(void);
bool drvif_CBUS_RX_DPHY_initial(void);
bool drvif_CBUS_RX_MAC_initial(void);
bool drvif_CBUS_RX_Capability_Register_Table(void);
bool drvif_switch_to_oCBUS(void);
bool drvif_switch_to_eCBUS(void);
bool drvif_eCBUS_Start_Up(void);
bool drvif_eCBUS_Shut_Down(void);
bool drvif_eCBUS_TDM_Slot_Sync(void);
bool drvif_eCBUS_eMSC_Link_Training(void);
bool drvif_Enable_MHL_Z0(void);
bool drvif_Measure_CK_GDI(void);
bool drvif_Set_eMSC_TX_Slot_Map(void);
bool drvif_Check_eMSC_RX_Slot_Map(void);
bool drvif_List_eMSC_Slot_Map(void);
bool drvif_CBUS_Discovery(void);
bool drvif_Send_Block_Transaction(int*,int);
bool drvif_CBUS_RX_EDIDLoad(unsigned char*,UINT16) ;
bool drvif_CBUS_RX_EDIDEnable(UINT8) ;
void drvif_CBUS_RX_EDID_DDC12_AUTO_Enable(UINT8) ;
void drvif_CBUS_RX_LoadEDID(unsigned char*,int);
int Send_Block_BLK_RCV_BUFFER_INFO(void);
int Send_Block_EMSC_SUPPORT(void);

int Send_count_of_REQ;							//  Count of eMSC REQ
int Send_RX_UNLOAD_ACK = 0;					// RX_UNLOAD_ACK of eMSC Block Transaction Standard Transport Header, Real_Number =  Set_Number
int Send_LENGTH_REMAINING = 0;					// LENGTH_REMAINING of eMSC Block Transaction Standard Transport Header, Real_Number =  Set_Number
int Send_Block_data_array[256] = {};					// BURST_ID Data Array

int Recv_RX_UNLOAD_ACK = 0;
int Recv_LENGTH_REMAINING = 0;

int PEER_BLK_RX_BUFFER_AVAIL = 256;
int PEER_BLK_RX_BUFFER_done = 0;
int PEER_BLK_RX_BUFFER_SIZE = 256;

int Send_heat_beat_ms = 0;

int Block_Transaction_ok = 0;
int Block_Transaction_timeout = 1;
int Block_Transaction_peer_out_of_space = 2;

UINT8 hdmi_Cbus_RX_edid[256] =
{
	//monitor table
	0x00,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x4a,0x8b,0x3b,0x2a,0x01,0x01,0x01,0x01,
	0x0d,0x16,0x01,0x03,0x80,0x3c,0x22,0x78,0x2a,0x2c,0xc5,0xa5,0x55,0x54,0xa1,0x27,
	0x0c,0x50,0x54,0xad,0xcf,0x00,0xd1,0xc0,0x81,0x80,0x81,0xc0,0x95,0x00,0xb3,0x00,
	0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x1d,0x00,0x72,0x51,0xd0,0x1e,0x20,0x6e,0x28,
	0x55,0x00,0x40,0x84,0x63,0x00,0x00,0x1e,0x66,0x21,0x50,0xb0,0x51,0x00,0x1b,0x30,
	0x40,0x70,0x36,0x00,0x56,0x50,0x21,0x00,0x00,0x1e,0x00,0x00,0x00,0xfc,0x00,0x56,
	0x53,0x32,0x37,0x30,0x42,0x47,0x54,0x57,0x50,0x0a,0x20,0x20,0x00,0x00,0x00,0xfd,
	0x00,0x38,0x4b,0x1e,0x53,0x11,0x00,0x0a,0x20,0x20,0x20,0x20,0x20,0x20,0x01,0xe7,
	0x02,0x03,0x22,0xf1,0x4f,0xa2,0x14,0x10,0x1f,0x04,0x13,0x03,0x12,0x02,0x11,0x01,
	0x06,0x07,0x15,0x16,0x23,0x09,0x07,0x01,0x83,0x01,0x00,0x00,0x65,0x03,0x0c,0x00,
	0x20,0x00,0x8c,0x0a,0xd0,0x8a,0x20,0xe0,0x2d,0x10,0x10,0x3e,0x96,0x00,0x56,0x50,
	0x21,0x00,0x00,0x18,0x01,0x1d,0x00,0x72,0x51,0xd0,0x1e,0x20,0x6e,0x28,0x55,0x00,
	0x56,0x50,0x21,0x00,0x00,0x1e,0x8c,0x0a,0xd0,0x8a,0x20,0xe0,0x2d,0x10,0x10,0x3e,
	0x96,0x00,0x56,0x50,0x21,0x00,0x00,0x18,0x8c,0x0a,0xd0,0x90,0x20,0x40,0x31,0x20,
	0x0c,0x40,0x55,0x00,0x56,0x50,0x21,0x00,0x00,0x18,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x2a,
};

int QC_Verifier_CBUS_RX(void)
{

	int timeout_cnt;
	rtd_maskl(0xb8000104,0xFFFFBBFF,0x00004400);	// CBUS Reset Release
	rtd_maskl(0xb8000114,0xFFFFBBFF,0x00004400);	// CBUS Clock Enable
	rtd_maskl(0xb8060034,0xFFFFFFEF,0x00000010);	// CBUS Reset Release standny
	rtd_maskl(0xb8060044,0xFFFFFFEF,0x00000010);	// CBUS Reset Enable standny

#if CONFIG_FT
	if (!drvif_CBUS_RX_APHY_initial()) {return FAILED;}
	if (!drvif_CBUS_RX_DPHY_initial()) {return FAILED;}
	if (!drvif_CBUS_RX_MAC_initial()) {return FAILED;}
	if (!drvif_switch_to_eCBUS()) {return FAILED;}

	timer_7_reset();
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask,0);														// DPHY Reset
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask,ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask);	// DPHY Reset Release

	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_pwup_mask,0);																// MAC Power Disable
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_reset_mask,ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_reset_mask);					// MAC Reset
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_pwup_mask,ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_pwup_mask);					// MAC Power Enable
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_reset_mask,0);																// MAC Reset Release

	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type(0));				// BTX = S0
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CALIB_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CALIB_CTRL_tx_calib_en_mask,0);												// DPHY TX edge Auto-K Disable
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_pos_manual_mask,ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_pos_manual_mask);	// DPHY RX edge Manual Mode

	printf("Finding RX Edge Position...");
	int rx_edge[3] = {0,0,0};
	int edge_error = 0x20;
	int i;
	timeout_cnt = 0;
	while (timeout_cnt <= 1000)
	{
		for (i = 0; i < 3; i++)
		{
			rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_position_m_5_0_mask,ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_position_m_5_0(0x10));	// RX edge initial position set 0x10
			rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_calib_en_mask,0);																			// Auto find RX Edge Disable
			rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_calib_en_mask,ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_calib_en_mask);					// Auto find RX Edge Enable
			udelay(5);
			timeout_cnt = timeout_cnt + 5;
			rx_edge[i] = rtd_inl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_RESULT_reg) & ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_RESULT_edge_calib_position_5_0_mask;	// find RX Edge
			edge_error = rtd_inl(ECBUS_RX_DPHY_ECBUS_DPHY_FLAG_reg) & ECBUS_RX_DPHY_ECBUS_DPHY_FLAG_edge_error_mask;								// find RX Edge error
			if (edge_error == ECBUS_RX_DPHY_ECBUS_DPHY_FLAG_edge_error_mask)
			{
				i = 0;
				break;
			}
		}
		if ((i != 0) && (rx_edge[0] == rx_edge[1]) && (rx_edge[1] == rx_edge[2]) && (rx_edge[0] != 0))
		{
			break;
		}
	}

	if (timeout_cnt > 1000)
	{
		printf("\nTimeout for DPHY Find RX Edge : > 5ms\n");
		return FAILED;
	}

	printf("OK!\n");
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_position_m_5_0_mask,ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_position_m_5_0(((rx_edge[1] - 3 + 40) % 40)));
#if 1 // for merlin settings
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_tx_phase_ini_5_0_mask,ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_tx_phase_ini_5_0(35));
	mdelay(5);
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type(3));	// BTX = S1
	mdelay(9);
	printf("Sink begins to send back COMMA1\n");
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type(1));	// BTX = COMMA1

	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask,0);												// COMMA2 detect disable
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_DET_reg,~(ECBUS_RX_ECBUS_STARTUP_DET_comma2_loss_irq_mask | ECBUS_RX_ECBUS_STARTUP_DET_comma2_rcv_irq_mask),(ECBUS_RX_ECBUS_STARTUP_DET_comma2_loss_irq_mask | ECBUS_RX_ECBUS_STARTUP_DET_comma2_rcv_irq_mask));	// Clear COMMA2 Detect/Loss Flag
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_comma2_loss_thd_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_get_comma2_loss_thd(0));	// COMMA2 Debounce Loss = 1
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask,ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask);				// COMMA2 detect Enable


#else // for mag2 settings
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_tx_phase_ini_5_0_mask,ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_get_tx_phase_ini_5_0((14 + 3 + 40) % 40));

	printf("DPHY RX Edge has Found (from Source send stable clock) : %dms\n",rtd_inl(TC7CVR)/27000);
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type(1));	// BTX = COMMA1

	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask,1);	// COMMA2 Detect Enable
#endif

	mdelay(150);

	int comma2_rcv = ECBUS_RX_ECBUS_STARTUP_DET_get_comma2_rcv_irq(rtd_inl(ECBUS_RX_ECBUS_STARTUP_DET_reg));
	int comma2_loss = ECBUS_RX_ECBUS_STARTUP_DET_get_comma2_loss_irq(rtd_inl(ECBUS_RX_ECBUS_STARTUP_DET_reg));

	printf("\n\n\nrtd_inl(ECBUS_RX_ECBUS_STARTUP_DET_reg) = 0x%X\n",rtd_inl(ECBUS_RX_ECBUS_STARTUP_DET_reg));
	printf("comma2_rcv = %d\n",comma2_rcv);
	printf("comma2_loss = %d\n\n\n\n",comma2_loss);

	if (comma2_rcv)
	{
		printf("COMMA2 Detected...");
		if (comma2_loss)
		{
			printf("but Loss Happen!!!\n\n\n");
			return FAILED;
		} else
		{
			printf("OK!!!\n\n\n");
			return SUCCESS;
		}
	} else
	{
		printf("Fail to detected COMMA2!!!\n\n\n");
		return FAILED;
	}

#else

	// ----------------------------------------------------------------------------------
	// initial CBUS_RX APHY, DPHY, MAC, Capability Register,  EDID
	// ----------------------------------------------------------------------------------
	rtd_maskl(HDMI_HDMI_VCR_reg,~HDMI_HDMI_VCR_cbus_ddc_chsel_mask,HDMI_HDMI_VCR_cbus_ddc_chsel_mask);	// DDC select source from cbus
	drvif_CBUS_RX_LoadEDID(hdmi_Cbus_RX_edid,256);
	if (!drvif_CBUS_RX_APHY_initial()) {return FAILED;}
	if (!drvif_CBUS_RX_DPHY_initial()) {return FAILED;}
	if (!drvif_CBUS_RX_MAC_initial()) {return FAILED;}
	if (!drvif_CBUS_RX_Capability_Register_Table()) {return FAILED;}

	// ----------------------------------------------------------------------------------
	// eCBUS Discovery
	// ----------------------------------------------------------------------------------
	rtd_maskl(PINMUX_PMM_ST_GPIO_CFG_3_reg,~PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_ps_mask,PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_ps(0xF));
	rtd_maskl(0xb8061100,~(0x4000),0);	// GPIO_14 is GPI
	if  ((rtd_inl(0xb8061110) & 0x4000) == 0x4000)
	{
		printf("MHL Cable is Detected !!!\n");
		rtd_maskl(CBUS_PMM_CBUS_STANDBY_08_reg,~CBUS_PMM_CBUS_STANDBY_08_cable_det_mask,CBUS_PMM_CBUS_STANDBY_08_cable_det_mask);		// MHL Cable is attached
		if (!drvif_CBUS_Discovery()) {return FAILED;}
	}
	else
	{
		printf("No MHL Cable Detect !!!\n\n\n");
		return FAILED;
	}

	// ----------------------------------------------------------------------------------
	// Source Output AV Link Data
	// ----------------------------------------------------------------------------------
	if(!WRITE_STAT(0x31,0x08)) {return FAILED;}	// LINK_MODE(PATH_EN)
	//while (((rtd_inl(CBUS_CBUS_MSC_06_reg) & CBUS_CBUS_MSC_06_wr_stat_irq_mask) != CBUS_CBUS_MSC_06_wr_stat_irq_mask)) {}
	//rtd_outl(0xb800A278,0x00C04008);                // Clear path_en & clk_mode_chg Flag

	printf("Waiting for Source send MSC_MSG(RAP{CONTENT_ON})...");

	timeout_cnt = 0;
	while ((((rtd_inl(CBUS_CBUS_MSC_06_reg) & CBUS_CBUS_MSC_06_rap_irq_mask) != CBUS_CBUS_MSC_06_rap_irq_mask) || (rtd_inl(CBUS_CBUS_MSC_12_reg)  != 0x00000010)) && (timeout_cnt <= 500))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
	}

	if (timeout_cnt > 500)
	{
		printf("\nTimeout for waiting MSC_MSG(RAP{CONTENT_ON}) : > 500ms\n");
		return FAILED;
	}
	rtd_outl(CBUS_CBUS_MSC_06_reg,CBUS_CBUS_MSC_06_rap_irq_mask);				// Clear RAP Flag
	rtd_outl(CBUS_CBUS_MSC_06_reg,CBUS_CBUS_MSC_06_get_msg_irq_mask);			// Clear MSC_CMD Flag
	rtd_outl(CBUS_CBUS_MSC_06_reg,CBUS_CBUS_MSC_06_allmsc_cmd_irq_mask);		// Clear All MSC_CMD Flag
	printf("OK!\n");
	if(!MSC_MSG(0x21,0x00)) {return FAILED;}										// Reply MSC_MSG(RAPK{No_Error})

	// ----------------------------------------------------------------------------------
	// eMSC Link Training & Maintenance
	// ----------------------------------------------------------------------------------
	if(!drvif_Set_eMSC_TX_Slot_Map()) {return FAILED;}
	if(!drvif_eCBUS_eMSC_Link_Training()) {return FAILED;}
	rtd_outl(ECBUS_RX_ECBUS_EMSC_RX_ADDR_reg,0);			// Reset eMSC RX Buffet Write Pointer
	rtd_outl(ECBUS_RX_ECBUS_EMSC_TX_ADDR_reg,0);			// Reset eMSC TX Buffet Write Pointer
	if(!drvif_Check_eMSC_RX_Slot_Map()) {return FAILED;}
	if(!drvif_List_eMSC_Slot_Map()) {return FAILED;}
return 0;
	// ----------------------------------------------------------------------------------
	// eMSC Block Transaction
	// ----------------------------------------------------------------------------------
	int recv_data_byte, temp, i;
	rtd_outl(ECBUS_RX_ECBUS_EMSC_TRANS_DET_3_reg,ECBUS_RX_ECBUS_EMSC_TRANS_DET_3_emsc_rx_done_irq_mask);	// Clear rx_done Flag

	// Block Transaction
	printf("\n\n");
	while(1)
	{
		if (rtd_inl(ECBUS_RX_ECBUS_EMSC_RX_BLK_CNT_reg) != 0)
		{
			// Receive Block Transaction
			Recv_RX_UNLOAD_ACK = rtd_inl(ECBUS_RX_ECBUS_EMSC_RX_DATA_reg);
			Recv_LENGTH_REMAINING = rtd_inl(ECBUS_RX_ECBUS_EMSC_RX_DATA_reg);
			printf("Recv_RX_UNLOAD_ACK = 0x%02X ; Recv_LENGTH_REMAINING = 0x%02X;\n",Recv_RX_UNLOAD_ACK,Recv_LENGTH_REMAINING);
			for (i = 0; i < Recv_LENGTH_REMAINING; i++)
			{
				recv_data_byte = rtd_inl(ECBUS_RX_ECBUS_EMSC_RX_DATA_reg);
				printf("0x%02X ",recv_data_byte);
				if ((i == 0) && (recv_data_byte == 0x00) && (PEER_BLK_RX_BUFFER_done == 0)) {PEER_BLK_RX_BUFFER_done++;}
				if ((i == 1) && (recv_data_byte == 0x63) && (PEER_BLK_RX_BUFFER_done == 1)) {PEER_BLK_RX_BUFFER_done++;}
				if ((i == 2) && (PEER_BLK_RX_BUFFER_done == 2))
				{
					PEER_BLK_RX_BUFFER_SIZE = recv_data_byte;
					PEER_BLK_RX_BUFFER_done++;
				}
				if ((i == 3) && (PEER_BLK_RX_BUFFER_done == 3))
				{
					PEER_BLK_RX_BUFFER_SIZE = PEER_BLK_RX_BUFFER_SIZE + recv_data_byte * 256;
					PEER_BLK_RX_BUFFER_AVAIL = PEER_BLK_RX_BUFFER_SIZE - (256 - PEER_BLK_RX_BUFFER_AVAIL);
					PEER_BLK_RX_BUFFER_done++;
				}
			}
			PEER_BLK_RX_BUFFER_AVAIL = PEER_BLK_RX_BUFFER_AVAIL + Recv_RX_UNLOAD_ACK;
			Send_RX_UNLOAD_ACK = Send_RX_UNLOAD_ACK + (Recv_LENGTH_REMAINING + 2);
			rtd_outl(ECBUS_RX_ECBUS_EMSC_TRANS_CTRL_reg,ECBUS_RX_ECBUS_EMSC_TRANS_CTRL_block_fw_done_mask);		// Block f/w Done
			printf("\nPEER_BLK_RX_BUFFER_AVAIL = %d\n\n",PEER_BLK_RX_BUFFER_AVAIL);
		}

		// Send Block Transaction
		i = 0;
		if (Send_heat_beat_ms < 40)
		{
			mdelay(1);
			Send_heat_beat_ms++;
		} else
		{
			switch(i)
			{
				case 0:
					temp = Send_Block_BLK_RCV_BUFFER_INFO();
					if (temp == Block_Transaction_ok) {i++;}
					if (temp == Block_Transaction_timeout) {return FAILED;}
					break;
				case 1:
					temp = Send_Block_EMSC_SUPPORT();
					if (temp == Block_Transaction_ok) {i++;}
					if (temp == Block_Transaction_timeout) {return FAILED;}
					break;
				default:
					temp = Send_Block_BLK_RCV_BUFFER_INFO();
					if (temp == Block_Transaction_timeout) {return FAILED;}
			}
			Send_heat_beat_ms = 0;
		}

	}

	return SUCCESS;

#endif

}

int Send_Block_EMSC_SUPPORT(void)
{
	int tx_checksum, i;

	Send_count_of_REQ = 17;
	if (PEER_BLK_RX_BUFFER_AVAIL >= Send_count_of_REQ*3)
	{
		Send_LENGTH_REMAINING = Send_count_of_REQ + 1 - 2;
		Send_Block_data_array[0] = Send_RX_UNLOAD_ACK;
		Send_Block_data_array[1] = Send_LENGTH_REMAINING;
		Send_Block_data_array[2] = _EMSC_SUPPORT_H;
		Send_Block_data_array[3] = _EMSC_SUPPORT_L;
		Send_Block_data_array[4] = 0;						// Checksum
		Send_Block_data_array[5] = 16;						// Total Entire = 16
		Send_Block_data_array[6] = 1;						// SEQ = 1
		Send_Block_data_array[7] = 5;						// NUM_ENT = 5
		Send_Block_data_array[8] = _3D_VIC_H;
		Send_Block_data_array[9] = _3D_VIC_L;
		Send_Block_data_array[10] = _3D_DTD_H;
		Send_Block_data_array[11] = _3D_DTD_L;
		Send_Block_data_array[12] = _HEV_VIC_H;
		Send_Block_data_array[13] = _HEV_VIC_L;
		Send_Block_data_array[14] = _HEV_DTDA_H;
		Send_Block_data_array[15] = _HEV_DTDA_L;
		Send_Block_data_array[16] = _HEV_DTDB_H;
		Send_Block_data_array[17] = _HEV_DTDB_L;
		tx_checksum = 0;
		for (i = 2; i < Send_count_of_REQ + 1 -2; i++)	{tx_checksum = tx_checksum + Send_Block_data_array[i];}
		Send_Block_data_array[4] = 256 - (tx_checksum % 256);// Checksum
		if(!drvif_Send_Block_Transaction(Send_Block_data_array,Send_count_of_REQ)) {return Block_Transaction_timeout;}

		Send_count_of_REQ = 17;
		Send_LENGTH_REMAINING = Send_count_of_REQ + 1 - 2;
		Send_Block_data_array[0] = Send_RX_UNLOAD_ACK;
		Send_Block_data_array[1] = Send_LENGTH_REMAINING;
		Send_Block_data_array[2] = _EMSC_SUPPORT_H;
		Send_Block_data_array[3] = _EMSC_SUPPORT_L;
		Send_Block_data_array[4] = 0;						// Checksum
		Send_Block_data_array[5] = 16;						// Total Entire = 16
		Send_Block_data_array[6] = 2;						// SEQ = 2
		Send_Block_data_array[7] = 5;						// NUM_ENT = 5
		Send_Block_data_array[8] = _VC_ASSIGN_H										;
		Send_Block_data_array[9] = _VC_ASSIGN_L;

		Send_Block_data_array[10] = _VC_CONFIRM_H;
		Send_Block_data_array[11] = _VC_CONFIRM_L;
		Send_Block_data_array[12] = _AUD_DELAY_H;
		Send_Block_data_array[13] = _AUD_DELAY_L;
		Send_Block_data_array[14] = _BIST_SETUP_H;
		Send_Block_data_array[15] = _BIST_SETUP_L;
		Send_Block_data_array[16] = _BIST_RETURN_STAT_H;
		Send_Block_data_array[17] = _BIST_RETURN_STAT_L;
		tx_checksum = 0;
		for (i = 2; i < Send_count_of_REQ + 1 -2; i++)	{tx_checksum = tx_checksum + Send_Block_data_array[i];}
		Send_Block_data_array[4] = 256 - (tx_checksum % 256);// Checksum
		if(!drvif_Send_Block_Transaction(Send_Block_data_array,Send_count_of_REQ)) {return Block_Transaction_timeout;}

		Send_count_of_REQ = 17;
		Send_LENGTH_REMAINING = Send_count_of_REQ + 1 - 2;
		Send_Block_data_array[0] = Send_RX_UNLOAD_ACK;
		Send_Block_data_array[1] = Send_LENGTH_REMAINING;
		Send_Block_data_array[2] = _EMSC_SUPPORT_H;
		Send_Block_data_array[3] = _EMSC_SUPPORT_L;
		Send_Block_data_array[4] = 0;						// Checksum
		Send_Block_data_array[5] = 16;						// Total Entire = 16
		Send_Block_data_array[6] = 3;						// SEQ = 3
		Send_Block_data_array[7] = 5;						// NUM_ENT = 5
		Send_Block_data_array[8] = _BIST_DISCARD_H										;
		Send_Block_data_array[9] = _BIST_DISCARD_L;
		Send_Block_data_array[10] = _BIST_ECHO_REQUEST_H;
		Send_Block_data_array[11] = _BIST_ECHO_REQUEST_L;
		Send_Block_data_array[12] = _BIST_ECHO_RESPONSE_H;
		Send_Block_data_array[13] = _BIST_ECHO_RESPONSE_L;
		Send_Block_data_array[14] = _EMSC_SUPPORT_H;
		Send_Block_data_array[15] = _EMSC_SUPPORT_L;
		Send_Block_data_array[16] = _HID_PAYLOAD_H;
		Send_Block_data_array[17] = _HID_PAYLOAD_L;
		tx_checksum = 0;
		for (i = 2; i < Send_count_of_REQ + 1 -2; i++)	{tx_checksum = tx_checksum + Send_Block_data_array[i];}
		Send_Block_data_array[4] = 256 - (tx_checksum % 256);// Checksum
		if(!drvif_Send_Block_Transaction(Send_Block_data_array,Send_count_of_REQ)) {return Block_Transaction_timeout;}

		Send_count_of_REQ = 17;
		Send_LENGTH_REMAINING = Send_count_of_REQ + 1 - 2;
		Send_Block_data_array[0] = Send_RX_UNLOAD_ACK;
		Send_Block_data_array[1] = Send_LENGTH_REMAINING;
		Send_Block_data_array[2] = _EMSC_SUPPORT_H;
		Send_Block_data_array[3] = _EMSC_SUPPORT_L;
		Send_Block_data_array[4] = 0;						// Checksum
		Send_Block_data_array[5] = 16;						// Total Entire = 16
		Send_Block_data_array[6] = 4;						// SEQ = 4
		Send_Block_data_array[7] = 1;						// NUM_ENT = 1
		Send_Block_data_array[8] = _BLK_RCV_BUFFER_INFO_H										;
		Send_Block_data_array[9] = _BLK_RCV_BUFFER_INFO_L;
		Send_Block_data_array[10] = 0;
		Send_Block_data_array[11] = 0;
		Send_Block_data_array[12] = 0;
		Send_Block_data_array[13] = 0;
		Send_Block_data_array[14] = 0;
		Send_Block_data_array[15] = 0;
		Send_Block_data_array[16] = 0;
		Send_Block_data_array[17] = 0;
		tx_checksum = 0;
		for (i = 2; i < Send_count_of_REQ + 1 -2; i++)	{tx_checksum = tx_checksum + Send_Block_data_array[i];}
		Send_Block_data_array[4] = 256 - (tx_checksum % 256);// Checksum
		if(!drvif_Send_Block_Transaction(Send_Block_data_array,Send_count_of_REQ)) {return Block_Transaction_timeout;}

		Send_RX_UNLOAD_ACK = 0;
		printf("PEER_BLK_RX_BUFFER_AVAIL = %d\n\n",PEER_BLK_RX_BUFFER_AVAIL);
		return Block_Transaction_ok;
	}
	return Block_Transaction_peer_out_of_space;
}

int Send_Block_BLK_RCV_BUFFER_INFO(void)
{
	Send_count_of_REQ = 5;
	if (PEER_BLK_RX_BUFFER_AVAIL >= Send_count_of_REQ)
	{
		PEER_BLK_RX_BUFFER_AVAIL = PEER_BLK_RX_BUFFER_AVAIL - (Send_count_of_REQ + 1);
		Send_LENGTH_REMAINING = Send_count_of_REQ + 1 - 2;
		Send_Block_data_array[0] = Send_RX_UNLOAD_ACK;
		Send_Block_data_array[1] = Send_LENGTH_REMAINING;
		Send_Block_data_array[2] = _BLK_RCV_BUFFER_INFO_H;
		Send_Block_data_array[3] = _BLK_RCV_BUFFER_INFO_L;
		Send_Block_data_array[4] = _BLK_RCV_BUFFER_SIZE_L;
		Send_Block_data_array[5] = _BLK_RCV_BUFFER_SIZE_H;
		if(!drvif_Send_Block_Transaction(Send_Block_data_array,Send_count_of_REQ)) {return  Block_Transaction_timeout;}
		Send_RX_UNLOAD_ACK = 0;
		printf("PEER_BLK_RX_BUFFER_AVAIL = %d\n\n",PEER_BLK_RX_BUFFER_AVAIL);
		return Block_Transaction_ok;
	}
	return Block_Transaction_peer_out_of_space;
}

bool drvif_Send_Block_Transaction(int* emsc_txbuf_wdata, int count)
{
	int i, timeout_cnt;
	rtd_outl(ECBUS_RX_ECBUS_EMSC_TRANS_DET_3_reg,ECBUS_RX_ECBUS_EMSC_TRANS_DET_3_emsc_tx_done_irq_mask);
	rtd_outl(ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_reg,(ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_crc_inverted_mask | ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_get_error_mask | ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_get_nack_mask | ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_time_out_mask));

	// Step1 : Write Block Transaction Data Byte to TX Buffer
	for (i = 0; i <= count; i++) {rtd_outl(ECBUS_RX_ECBUS_EMSC_TX_DATA_reg,emsc_txbuf_wdata[i]);}

	// Step2 : Set Count Value of REQ Command
	rtd_outl(ECBUS_RX_ECBUS_EMSC_TX_REQ_CNT_reg,count);

	// Step3 : Send Block Transaction
	rtd_maskl(ECBUS_RX_ECBUS_EMSC_TRANS_CTRL_reg,~ECBUS_RX_ECBUS_EMSC_TRANS_CTRL_emsc_tx_sent_mask,ECBUS_RX_ECBUS_EMSC_TRANS_CTRL_emsc_tx_sent_mask);
	printf("Waiting for Send Block Transaction...");

	// Step4 : Wait eMSC TX Done
	timeout_cnt = 0;
	while ((((rtd_inl(ECBUS_RX_ECBUS_EMSC_TRANS_DET_3_reg) & ECBUS_RX_ECBUS_EMSC_TRANS_DET_3_emsc_tx_done_irq_mask) != ECBUS_RX_ECBUS_EMSC_TRANS_DET_3_emsc_tx_done_irq_mask) || ((rtd_inl(ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_reg) & (ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_crc_inverted_mask | ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_get_error_mask | ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_get_nack_mask | ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_time_out_mask)) != 0)) & (timeout_cnt <= 100))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
	}

	if (timeout_cnt > 100)
	{
		printf("\nTimeout for Send Block Transaction: > 100ms\n");
		return FALSE;
	}

	if ((rtd_inl(ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_reg) & (ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_crc_inverted_mask | ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_get_error_mask | ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_get_nack_mask | ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_time_out_mask)) != 0)
	{
		if ((rtd_inl(ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_reg) & ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_crc_inverted_mask) == ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_crc_inverted_mask) { printf("\nTX Send Inverted CRC Because of get_invaild\n");}
		if ((rtd_inl(ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_reg) & ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_get_error_mask) == ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_get_error_mask) { printf("\nTX Get Error\n");}
		if ((rtd_inl(ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_reg) & ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_get_nack_mask) == ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_get_nack_mask) { printf("\nTX Get NACK\n");}
		if ((rtd_inl(ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_reg) & ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_time_out_mask) == ECBUS_RX_ECBUS_EMSC_TRANS_DET_4_tx_time_out_mask) { printf("\nTX Timout\n");}
		return FALSE;
	}
	printf("OK\n");
	return TRUE;

}

bool SET_HPD(void)
{
	int clr_flag = CBUS_FW0_REQ_05_fw0_fin_mask | CBUS_FW0_REQ_05_fw0_cmd_event_mask | CBUS_FW0_REQ_05_fw0_data_event_mask | CBUS_FW0_REQ_05_fw0_rcv_err_mask;
	int timeout_cnt = 0;
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_head_mask,CBUS_FW0_REQ_00_fw0_head(0x2));		// MSC Channel
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_tx_case_mask,CBUS_FW0_REQ_00_fw0_tx_case(0x1));	// MSC(cmd1)
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_fifo_clr_mask,CBUS_FW0_REQ_00_fw0_fifo_clr_mask);		// Clear FIFO
	rtd_outl(CBUS_FW0_REQ_01_reg,CBUS_FW0_REQ_01_get_fw0_cmd1(0x64));  	// cmd1 = SET_HPD
	rtd_maskl(CBUS_FW0_REQ_05_reg,~CBUS_FW0_REQ_05_fw0_wait_case_mask,CBUS_FW0_REQ_05_get_fw0_wait_case(0x1));	// Wait cmd
	rtd_maskl(CBUS_FW0_REQ_05_reg,~clr_flag,clr_flag);		// Clear Receive Flag
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_req_mask,CBUS_FW0_REQ_00_fw0_req_mask);			// Transmit cmd
	printf("Sending SET_HPD() => ");

	while (((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_fin_mask) != (CBUS_FW0_REQ_05_fw0_fin_mask)) && (timeout_cnt <= 100))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
	}

	if (timeout_cnt > 100)
	{
		printf("Reply Timout\n");
		return FALSE;
	}

	if ((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_rcv_err_mask) == CBUS_FW0_REQ_05_fw0_rcv_err_mask)
	{
		printf("reply error\n");
		return FALSE;
	}

	printf("reply cmd = 0x%02X\n",rtd_inl(CBUS_FW0_REQ_06_reg));	// Reply cmd
	return TRUE;
}

bool SET_INT(int offset, int data)
{
	int clr_flag = CBUS_FW0_REQ_05_fw0_fin_mask | CBUS_FW0_REQ_05_fw0_cmd_event_mask | CBUS_FW0_REQ_05_fw0_data_event_mask | CBUS_FW0_REQ_05_fw0_rcv_err_mask;
	int timeout_cnt = 0;
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_head_mask,CBUS_FW0_REQ_00_fw0_head(0x2));		// MSC Channel
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_tx_case_mask,CBUS_FW0_REQ_00_fw0_tx_case(0x3));	// MSC(cmd1+offset+data)
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_fifo_clr_mask,CBUS_FW0_REQ_00_fw0_fifo_clr_mask);		// Clear FIFO
	rtd_outl(CBUS_FW0_REQ_01_reg,CBUS_FW0_REQ_01_get_fw0_cmd1(0x60));  	// cmd1 = SET_INT
	rtd_outl(CBUS_FW0_REQ_03_reg,CBUS_FW0_REQ_03_fw0_offset(offset));		// offset = 0x20~0x2F
	rtd_outl(CBUS_FW0_REQ_04_reg,CBUS_FW0_REQ_04_fw0_data(data));			// data
	rtd_maskl(CBUS_FW0_REQ_05_reg,~CBUS_FW0_REQ_05_fw0_wait_case_mask,CBUS_FW0_REQ_05_get_fw0_wait_case(0x1));	// Wait cmd
	rtd_maskl(CBUS_FW0_REQ_05_reg,~clr_flag,clr_flag);		// Clear Receive Flag
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_req_mask,CBUS_FW0_REQ_00_fw0_req_mask);			// Transmit cmd
	printf("Sending SET_INT(offset = 0x%02X, data = 0x%02X) => ",offset,data);

	while (((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_fin_mask) != CBUS_FW0_REQ_05_fw0_fin_mask) && (timeout_cnt <= 100))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
	}

	if (timeout_cnt > 100)
	{
		printf("Reply Timout\n");
		return FALSE;
	}

	if ((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_rcv_err_mask) == CBUS_FW0_REQ_05_fw0_rcv_err_mask)
	{
		printf("reply error\n");
		return FALSE;
	}

	printf("reply cmd = 0x%02X\n",rtd_inl(CBUS_FW0_REQ_06_reg)); // Reply cmd
	return TRUE;
}

bool WRITE_STAT(int offset, int data)
{
	int clr_flag = CBUS_FW0_REQ_05_fw0_fin_mask | CBUS_FW0_REQ_05_fw0_cmd_event_mask | CBUS_FW0_REQ_05_fw0_data_event_mask | CBUS_FW0_REQ_05_fw0_rcv_err_mask;
	int timeout_cnt = 0;
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_head_mask,CBUS_FW0_REQ_00_fw0_head(0x2));		// MSC Channel
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_tx_case_mask,CBUS_FW0_REQ_00_fw0_tx_case(0x3));	// MSC(cmd1+offset+data)
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_fifo_clr_mask,CBUS_FW0_REQ_00_fw0_fifo_clr_mask);		// Clear FIFO
	rtd_outl(CBUS_FW0_REQ_01_reg,CBUS_FW0_REQ_01_get_fw0_cmd1(0x60));  	// cmd1 = WRITE_STAT
	rtd_outl(CBUS_FW0_REQ_03_reg,CBUS_FW0_REQ_03_fw0_offset(offset));		// offset = 0x30~0x3F
	rtd_outl(CBUS_FW0_REQ_04_reg,CBUS_FW0_REQ_04_fw0_data(data));			// data
	rtd_maskl(CBUS_FW0_REQ_05_reg,~CBUS_FW0_REQ_05_fw0_wait_case_mask,CBUS_FW0_REQ_05_get_fw0_wait_case(0x1));	// Wait cmd
	rtd_maskl(CBUS_FW0_REQ_05_reg,~clr_flag,clr_flag);		// Clear Receive Flag
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_req_mask,CBUS_FW0_REQ_00_fw0_req_mask);			// Transmit cmd
	printf("Sending WRITE_STAT(offset = 0x%02X, data = 0x%02X) => ",offset,data);

	while (((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_fin_mask) != CBUS_FW0_REQ_05_fw0_fin_mask) && (timeout_cnt <= 100))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
	}

	if (timeout_cnt > 100)
	{
		printf("Reply Timout\n");
		return FALSE;
	}

	if ((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_rcv_err_mask) == CBUS_FW0_REQ_05_fw0_rcv_err_mask)
	{
		printf("reply error\n");
		return FALSE;
	}

	printf("reply cmd = 0x%02X\n",rtd_inl(CBUS_FW0_REQ_06_reg)); // Reply cmd
	return TRUE;
}

bool WRITE_XSTAT(int offset, int data)
{
	int clr_flag = CBUS_FW0_REQ_05_fw0_fin_mask | CBUS_FW0_REQ_05_fw0_cmd_event_mask | CBUS_FW0_REQ_05_fw0_data_event_mask | CBUS_FW0_REQ_05_fw0_rcv_err_mask;
	int timeout_cnt = 0;
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_head_mask,CBUS_FW0_REQ_00_fw0_head(0x2));		// MSC Channel
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_tx_case_mask,CBUS_FW0_REQ_00_fw0_tx_case(0x3));	// MSC(cmd1+offset+data)
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_fifo_clr_mask,CBUS_FW0_REQ_00_fw0_fifo_clr_mask);		// Clear FIFO
	rtd_outl(CBUS_FW0_REQ_01_reg,CBUS_FW0_REQ_01_get_fw0_cmd1(0x70));  	// cmd1 = WRITE_XSTAT
	rtd_outl(CBUS_FW0_REQ_03_reg,CBUS_FW0_REQ_03_fw0_offset(offset));		// offset = 0x90~0xAF
	rtd_outl(CBUS_FW0_REQ_04_reg,CBUS_FW0_REQ_04_fw0_data(data));			// data
	rtd_maskl(CBUS_FW0_REQ_05_reg,~CBUS_FW0_REQ_05_fw0_wait_case_mask,CBUS_FW0_REQ_05_get_fw0_wait_case(0x1));	// Wait cmd
	rtd_maskl(CBUS_FW0_REQ_05_reg,~clr_flag,clr_flag);		// Clear Receive Flag
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_req_mask,CBUS_FW0_REQ_00_fw0_req_mask);			// Transmit cmd
	printf("Sending WRITE_XSTAT(offset = 0x%02X, data = 0x%02X) => ",offset,data);

	while (((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_fin_mask) != CBUS_FW0_REQ_05_fw0_fin_mask) && (timeout_cnt <= 100))
	{
		mdelay(1);
		timeout_cnt =  timeout_cnt + 1;
	}

	if (timeout_cnt > 100)
	{
		printf("Reply Timout\n");
		return FALSE;
	}

	if ((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_rcv_err_mask) == CBUS_FW0_REQ_05_fw0_rcv_err_mask)
	{
		printf("reply error\n");
		return FALSE;
	}

	printf("reply cmd = 0x%02X\n",rtd_inl(CBUS_FW0_REQ_06_reg)); // Reply cmd
	return TRUE;
}

bool MSC_MSG(int offset, int data)
{
	int clr_flag = CBUS_FW0_REQ_05_fw0_fin_mask | CBUS_FW0_REQ_05_fw0_cmd_event_mask | CBUS_FW0_REQ_05_fw0_data_event_mask | CBUS_FW0_REQ_05_fw0_rcv_err_mask;
	int timeout_cnt = 0;
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_head_mask,CBUS_FW0_REQ_00_fw0_head(0x2));		// MSC Channel
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_tx_case_mask,CBUS_FW0_REQ_00_fw0_tx_case(0x3));	// MSC(cmd1+offset+data)
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_fifo_clr_mask,CBUS_FW0_REQ_00_fw0_fifo_clr_mask);		// Clear FIFO
	rtd_outl(CBUS_FW0_REQ_01_reg,CBUS_FW0_REQ_01_get_fw0_cmd1(0x68));  	// cmd1 = MSC_MSG
	rtd_outl(CBUS_FW0_REQ_03_reg,CBUS_FW0_REQ_03_fw0_offset(offset));		// offset
	rtd_outl(CBUS_FW0_REQ_04_reg,CBUS_FW0_REQ_04_fw0_data(data));			// data
	rtd_maskl(CBUS_FW0_REQ_05_reg,~CBUS_FW0_REQ_05_fw0_wait_case_mask,CBUS_FW0_REQ_05_get_fw0_wait_case(0x1));	// Wait cmd
	rtd_maskl(CBUS_FW0_REQ_05_reg,~clr_flag,clr_flag);		// Clear Receive Flag
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_req_mask,CBUS_FW0_REQ_00_fw0_req_mask);			// Transmit cmd
	printf("Sending MSC_MSG(offset = 0x%02X, data = 0x%02X) => ",offset,data);

	while (((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_fin_mask) != CBUS_FW0_REQ_05_fw0_fin_mask) && (timeout_cnt <= 100))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
	}

	if (timeout_cnt > 100)
	{
		printf("Reply Timout\n");
		return FALSE;
	}

	if ((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_rcv_err_mask) == CBUS_FW0_REQ_05_fw0_rcv_err_mask)
	{
		printf("reply error\n");
		return FALSE;
	}

	printf("reply cmd = 0x%02X\n",rtd_inl(CBUS_FW0_REQ_06_reg)); // Reply cmd
	return TRUE;
}

bool READ_DEVCAP(int offset)
{
	int clr_flag = CBUS_FW0_REQ_05_fw0_fin_mask | CBUS_FW0_REQ_05_fw0_cmd_event_mask | CBUS_FW0_REQ_05_fw0_data_event_mask | CBUS_FW0_REQ_05_fw0_rcv_err_mask;
	int timeout_cnt = 0;
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_head_mask,CBUS_FW0_REQ_00_fw0_head(0x2));		// MSC Channel
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_tx_case_mask,CBUS_FW0_REQ_00_fw0_tx_case(0x5));	// MSC(cmd1+offset)
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_fifo_clr_mask,CBUS_FW0_REQ_00_fw0_fifo_clr_mask);		// Clear FIFO
	rtd_outl(CBUS_FW0_REQ_01_reg,CBUS_FW0_REQ_01_get_fw0_cmd1(0x61));  	// cmd1 = READ_DEVCAP
	rtd_outl(CBUS_FW0_REQ_03_reg,CBUS_FW0_REQ_03_fw0_offset(offset));		// offset = 0x00~0x0F
	rtd_maskl(CBUS_FW0_REQ_05_reg,~CBUS_FW0_REQ_05_fw0_wait_case_mask,CBUS_FW0_REQ_05_get_fw0_wait_case(0x3));	// Wait cmd + data
	rtd_maskl(CBUS_FW0_REQ_05_reg,~clr_flag,clr_flag);		// Clear Receive Flag
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_req_mask,CBUS_FW0_REQ_00_fw0_req_mask);			// Transmit cmd
	printf("Sending READ_DEVCAP(offset = 0x%02X) => ",offset);

	while (((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_fin_mask) != CBUS_FW0_REQ_05_fw0_fin_mask) && (timeout_cnt <= 100))
	{
		mdelay(1);
		timeout_cnt =  timeout_cnt + 1;
	}

	if (timeout_cnt > 100)
	{
		printf("Reply Timout\n");
		return FALSE;
	}

	if ((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_rcv_err_mask) == CBUS_FW0_REQ_05_fw0_rcv_err_mask)
	{
		printf("reply error\n");
		return FALSE;
	}

	printf("reply cmd = 0x%02X, data = 0x%02X\n",rtd_inl(CBUS_FW0_REQ_06_reg),rtd_inl(CBUS_FW0_REQ_07_reg)); // Reply data & cmd
	return TRUE;
}

bool READ_XDEVCAP(int offset)
{
	int clr_flag = CBUS_FW0_REQ_05_fw0_fin_mask | CBUS_FW0_REQ_05_fw0_cmd_event_mask | CBUS_FW0_REQ_05_fw0_data_event_mask | CBUS_FW0_REQ_05_fw0_rcv_err_mask;
	int timeout_cnt = 0;
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_head_mask,CBUS_FW0_REQ_00_fw0_head(0x2));		// MSC Channel
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_tx_case_mask,CBUS_FW0_REQ_00_fw0_tx_case(0x5));	// MSC(cmd1+offset)
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_fifo_clr_mask,CBUS_FW0_REQ_00_fw0_fifo_clr_mask);		// Clear FIFO
	rtd_outl(CBUS_FW0_REQ_01_reg,CBUS_FW0_REQ_01_get_fw0_cmd1(0x71));  	// cmd1 = READ_XDEVCAP
	rtd_outl(CBUS_FW0_REQ_03_reg,CBUS_FW0_REQ_03_fw0_offset(offset));		// offset = 0x80~0x8F
	rtd_maskl(CBUS_FW0_REQ_05_reg,~CBUS_FW0_REQ_05_fw0_wait_case_mask,CBUS_FW0_REQ_05_get_fw0_wait_case(0x3));	// Wait cmd + data
	rtd_maskl(CBUS_FW0_REQ_05_reg,~clr_flag,clr_flag);		// Clear Receive Flag
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_req_mask,CBUS_FW0_REQ_00_fw0_req_mask);			// Transmit cmd
	printf("Sending XREAD_DEVCAP(offset = 0x%02X) => ",offset);

	while (((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_fin_mask) != CBUS_FW0_REQ_05_fw0_fin_mask) && (timeout_cnt <= 100))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
	}

	if (timeout_cnt > 100)
	{
		printf("Reply Timout\n");
		return FALSE;
	}

	if ((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_rcv_err_mask) == CBUS_FW0_REQ_05_fw0_rcv_err_mask)
	{
		printf("reply error\n");
		return FALSE;
	}

	printf("reply cmd = 0x%02X, data = 0x%02X\n",rtd_inl(CBUS_FW0_REQ_06_reg),rtd_inl(CBUS_FW0_REQ_07_reg)); // Reply data & cmd
	return TRUE;
}

bool GET_DDC_ERRORCODE(void)
{
	int clr_flag = CBUS_FW0_REQ_05_fw0_fin_mask | CBUS_FW0_REQ_05_fw0_cmd_event_mask | CBUS_FW0_REQ_05_fw0_data_event_mask | CBUS_FW0_REQ_05_fw0_rcv_err_mask;
	int timeout_cnt = 0;
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_head_mask,CBUS_FW0_REQ_00_fw0_head(0x2));		// MSC Channel
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_tx_case_mask,CBUS_FW0_REQ_00_fw0_tx_case(0x1));	// MSC(cmd1)
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_fifo_clr_mask,CBUS_FW0_REQ_00_fw0_fifo_clr_mask);		// Clear FIFO
	rtd_outl(CBUS_FW0_REQ_01_reg,CBUS_FW0_REQ_01_get_fw0_cmd1(0x6A));  	// cmd1 = GET_DDC_ERRORCODE
	rtd_maskl(CBUS_FW0_REQ_05_reg,~CBUS_FW0_REQ_05_fw0_wait_case_mask,CBUS_FW0_REQ_05_get_fw0_wait_case(0x2));	// Wait data
	rtd_maskl(CBUS_FW0_REQ_05_reg,~clr_flag,clr_flag);		// Clear Receive Flag
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_req_mask,CBUS_FW0_REQ_00_fw0_req_mask);			// Transmit cmd
	printf("Sending GET_DDC_ERRORCODE() => ");

	while (((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_fin_mask) != CBUS_FW0_REQ_05_fw0_fin_mask) && (timeout_cnt <= 100))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
	}

	if (timeout_cnt > 100)
	{
		printf("Reply Timout\n");
		return FALSE;
	}

	if ((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_rcv_err_mask) == CBUS_FW0_REQ_05_fw0_rcv_err_mask)
	{
		printf("reply error\n");
		return FALSE;
	}

	printf("reply data = 0x%02X\n",rtd_inl(CBUS_FW0_REQ_07_reg)); // Reply data
	return TRUE;
}

bool GET_MSC_ERRORCODE(void)
{
	int clr_flag = CBUS_FW0_REQ_05_fw0_fin_mask | CBUS_FW0_REQ_05_fw0_cmd_event_mask | CBUS_FW0_REQ_05_fw0_data_event_mask | CBUS_FW0_REQ_05_fw0_rcv_err_mask;
	int timeout_cnt = 0;
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_head_mask,CBUS_FW0_REQ_00_fw0_head(0x2));		// MSC Channel
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_tx_case_mask,CBUS_FW0_REQ_00_fw0_tx_case(0x1));	// MSC(cmd1)
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_fifo_clr_mask,CBUS_FW0_REQ_00_fw0_fifo_clr_mask);		// Clear FIFO
	rtd_outl(CBUS_FW0_REQ_01_reg,CBUS_FW0_REQ_01_get_fw0_cmd1(0x6B));  	// cmd1 = GET_MSC_ERRORCODE
	rtd_maskl(CBUS_FW0_REQ_05_reg,~CBUS_FW0_REQ_05_fw0_wait_case_mask,CBUS_FW0_REQ_05_get_fw0_wait_case(0x2));	// Wait data
	rtd_maskl(CBUS_FW0_REQ_05_reg,~clr_flag,clr_flag);		// Clear Receive Flag
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_req_mask,CBUS_FW0_REQ_00_fw0_req_mask);			// Transmit cmd
	printf("Sending GET_MSC_ERRORCODE() => ");

	while (((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_fin_mask) != CBUS_FW0_REQ_05_fw0_fin_mask) && (timeout_cnt <= 100))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;;
	}

	if (timeout_cnt > 100)
	{
		printf("Reply Timout\n");
		return FALSE;
	}

	if ((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_rcv_err_mask) == CBUS_FW0_REQ_05_fw0_rcv_err_mask)
	{
		printf("reply error\n");
		return FALSE;
	}

	printf("reply data = 0x%02X\n",rtd_inl(CBUS_FW0_REQ_07_reg)); // Reply data
	return TRUE;
}

bool GET_STATE(void)
{
	int clr_flag = CBUS_FW0_REQ_05_fw0_fin_mask | CBUS_FW0_REQ_05_fw0_cmd_event_mask | CBUS_FW0_REQ_05_fw0_data_event_mask | CBUS_FW0_REQ_05_fw0_rcv_err_mask;
	int timeout_cnt = 0;
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_head_mask,CBUS_FW0_REQ_00_fw0_head(0x2));		// MSC Channel
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_tx_case_mask,CBUS_FW0_REQ_00_fw0_tx_case(0x1));	// MSC(cmd1)
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_fifo_clr_mask,CBUS_FW0_REQ_00_fw0_fifo_clr_mask);		// Clear FIFO
	rtd_outl(CBUS_FW0_REQ_01_reg,CBUS_FW0_REQ_01_get_fw0_cmd1(0x62));  	// cmd1 = GET_STATE
	rtd_maskl(CBUS_FW0_REQ_05_reg,~CBUS_FW0_REQ_05_fw0_wait_case_mask,CBUS_FW0_REQ_05_get_fw0_wait_case(0x2));	// Wait data
	rtd_maskl(CBUS_FW0_REQ_05_reg,~clr_flag,clr_flag);		// Clear Receive Flag
	rtd_maskl(CBUS_FW0_REQ_00_reg,~CBUS_FW0_REQ_00_fw0_req_mask,CBUS_FW0_REQ_00_fw0_req_mask);			// Transmit cmd
	printf("Sending GET_STATE() => ");

	while (((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_fin_mask) != CBUS_FW0_REQ_05_fw0_fin_mask) && (timeout_cnt <= 100))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;;
	}

	if (timeout_cnt > 100)
	{
		printf("Reply Timout\n");
		return FALSE;
	}

	if ((rtd_inl(CBUS_FW0_REQ_05_reg) & CBUS_FW0_REQ_05_fw0_rcv_err_mask) == CBUS_FW0_REQ_05_fw0_rcv_err_mask)
	{
		printf("reply error\n");
		return FALSE;
	}

	printf("reply data = 0x%02X\n",rtd_inl(CBUS_FW0_REQ_07_reg)); // Reply data
	return TRUE;
}

bool drvif_CBUS_RX_APHY_initial(void)
{
	rtd_outl(0xb8062B30,0x00080B03);		// R50(-) = 0x8 (for echo-cancelling input), Enable CBUS RX/TX BAIS & LDO
	rtd_outl(0xb8062B34,0x00000000);
	rtd_outl(0xb8062B38,0x030A3608);
	rtd_outl(0xb8062B3C,0x00000400);
	rtd_outl(0xb8062B40,0x0307108E);		// R100K Auto-K Enable
	rtd_outl(0xb8062B44,0x1D084643);		// R50(+) = 0x8, R50 Auto-K disable
	rtd_outl(0xb8062B48,0x84042E44);		// eCBUS PLL output = 27MHz*48/6 = 600MHz
	return TRUE;
}

bool drvif_CBUS_RX_DPHY_initial(void)
{
	rtd_outl(0xb8062F00,0x00000010);		// DPHY disable and reset, use 1 stage bub_remove
	rtd_outl(0xb8062F04,0x00000080);		// RX edge position manual mode Enable
	rtd_outl(0xb8062F0C,0x00000090);		// stat detection circuit enable and auto mode
	rtd_outl(0xb8062F10,0x0000000A);		// define timeout threshold value for state detection (COMMA2)
	rtd_outl(0xb8062F14,0x00000004);		// stat_diff_th
	rtd_outl(0xb8062F24,0x00000090);		// ini_bound_en, tx edge auto-k disable
	rtd_outl(0xb8062F28,0x00000002);		// ini_timeout
	rtd_outl(0xb8062F2C,0x00000004);		// ini_wait_cnt
	rtd_outl(0xb8062F30,0x00000014);		// nth_ini
	rtd_outl(0xb8062F34,0x00000006);		// ini_cnt, ini_eq_th[8]
	rtd_outl(0xb8062F38,0x00000032);		// ini_eq_th[7:0], ini_eq_th = 0x32
	rtd_outl(0xb8062F4C,0x00000008);		// DPHY PTG Disable, txdata_delay = 8
	rtd_outl(0xb8062F50,0x0000000B);		// tx_phase_ini
	rtd_outl(0xb8062F54,0x00000000);		// tx_phase_max
	rtd_outl(0xb8062F58,0x00000000);		// tx_phase_min
	rtd_outl(0xb8062F60,0x00000001);		// adapt_mode => 1(min) & 0(max)
	rtd_outl(0xb8062F64,0x00000000);		// adapter_timer = 0
	rtd_outl(0xb8062F68,0x00000014);		// nth_one_m = 20
	rtd_outl(0xb8062F6C,0x00000014);		// nth_zero_m = 20
	rtd_outl(0xb8062F80,0x00000080);		// rx_timeout = 128
	rtd_outl(0xb8062F84,0x00000002);		// comma2_pattern[9:8]
	rtd_outl(0xb8062F88,0x0000007C);		// comma2_pattern[7:0], comma2_pattern = 0x27C
	rtd_outl(0xb8062F90,0x00000000);
	rtd_outl(0xb8062F94,0x00000000);
	rtd_outl(0xb8062F98,0x00000000);
	rtd_outl(0xb8062F9C,0x00000001);		// DPHY Debug Pin enable
	rtd_outl(0xb8062FA0,0x00000000);
	return TRUE;
}

bool drvif_CBUS_RX_MAC_initial(void)
{
	rtd_outl(0xb800A500,0x000000C2);		// MAC Power Disable, LSB First
	rtd_outl(0xb800A504,0x0000004C);		// COMMA2 Debounce Detect = 8, Loss = 1, COMMA1/2 LSB First
	rtd_outl(0xb800A508,0x00000010);		// Check COMMA2 with Disparity
	rtd_outl(0xb800A514,0x000000FF);		// COM1/COM2/Loss/Err Debounce
	rtd_outl(0xb800A520,0x00000010);		// Check COM1 Loss
	rtd_outl(0xb800A524,0x00000085);		// Set Sink TX Slot0
	rtd_outl(0xb800A528,0x000000A0);		// Check Source RX Slot0
	rtd_outl(0xb800A530,0x00000012);		// eMSC Reset
	rtd_outl(0xb800A538,0x00000003);		// eMSC TX Sync threshold
	rtd_outl(0xb800A5F8,0x00000000);		// CBUS1 CRC Swap
	return TRUE;
}

bool drvif_CBUS_RX_Capability_Register_Table(void)
{
	rtd_outl(0xb800A004,0x00000032);		// MHL3.2
	rtd_outl(0xb800A008,0x00000001);		// Device Sink, Output VBUS 900mA
	rtd_outl(0xb800A00C,0x00000000);		// Apaptor ID MSB
	rtd_outl(0xb800A010,0x00000000);		// Apaptor ID LSB
	rtd_outl(0xb800A014,0x0000003F);		// Support VGA, Data Island, PP-Mode, YUV(422/444), RGB(444)
	rtd_outl(0xb800A018,0x00000003);		// 2ch/8ch PCM Audio
	rtd_outl(0xb800A01C,0x00000000);		// VT Mode
	rtd_outl(0xb800A020,0x00000041);		// Audio output, Display output
	rtd_outl(0xb800A024,0x0000000F);		// MHL B/W
	rtd_outl(0xb800A028,0x0000005F);		// RBP, UCP_RX, UCP_TX, SP, RAP, RCP Support
	rtd_outl(0xb800A02C,0x000000AB);		// Device ID LSB
	rtd_outl(0xb800A030,0x000000CD);		// Device ID MSB
	rtd_outl(0xb800A034,0x00000010);		// Scratchpad_size = 16-Byte
	rtd_outl(0xb800A038,0x00000033);		// STAT_size = 4-Byte, INT_size = 4-Byte
	rtd_outl(0xb800A180,0x00000003);		// eCBUS-S 8-bit Mode support only
	rtd_outl(0xb800A184,0x00000007);		// TMDS Support 6Gbps
	rtd_outl(0xb800A188,0x00000012);		// HID Device, Charger, USB Device
	rtd_outl(0xb800A18C,0x00000000);		// Not Support Phone function
	rtd_outl(0xb800A190,0x00000000);		// ACRFD_DIV_SUPPORT
	rtd_outl(0xb800A400,0x00000080);		// CBUS3 Function Enable, CBUS1 Disable
	return TRUE;
}

bool drvif_switch_to_oCBUS(void)
{
	rtd_maskl(CBUS_PMM_CBUS_PHY_5_reg,~CBUS_PMM_CBUS_PHY_5_en_buf_ecbusrx_mask,0);			//Disable eCBUS Driver & echo-cancelling circuit
	rtd_maskl(CBUS_PMM_CBUS_PHY_6_reg,~CBUS_PMM_CBUS_PHY_6_pll_pow_ecbusrx_mask,0);			// Disable eCBUS PLL
	rtd_maskl(CBUS_PMM_CBUS_PHY_6_reg,~CBUS_PMM_CBUS_PHY_6_pll_ldo_pow_ecbusrx_mask,0);		// Disable eCBUS LDO
	rtd_maskl(CBUS_PMM_CBUS_PHY_4_reg,~CBUS_PMM_CBUS_PHY_4_en_cbus_rx_mask,CBUS_PMM_CBUS_PHY_4_en_cbus_rx_mask);					// Enable CBUS_RX
	rtd_maskl(CBUS_PMM_CBUS_PHY_4_reg,~CBUS_PMM_CBUS_PHY_4_sel_cbusb_gpio_rx_mask,0);												// Pinshare to CBUS
	rtd_maskl(CBUS_PMM_CBUS_PHY_4_reg,~CBUS_PMM_CBUS_PHY_4_mhl_bmos_en_rx_mask,CBUS_PMM_CBUS_PHY_4_mhl_bmos_en_rx_mask);		// Enable CBUS_RX BMOS
	rtd_maskl(CBUS_PMM_CBUS_PHY_4_reg,~CBUS_PMM_CBUS_PHY_4_en_res_cal_cbus_rx_mask,0);												// R100K Auto-K Trigger Disable
	rtd_maskl(CBUS_PMM_CBUS_PHY_4_reg,~CBUS_PMM_CBUS_PHY_4_en_res_cal_cbus_rx_mask,CBUS_PMM_CBUS_PHY_4_en_res_cal_cbus_rx_mask);	// R100K Auto-K Trigger
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_reg,ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_en_mask,0);								// eCBUS DPHY Disable
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_reg,ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask,0);							// eCBUS DPHY Reset
	rtd_maskl(CBUS_oCBUS_CTRL_00_reg,~CBUS_oCBUS_CTRL_00_cbus1_en_mask,0);															// CBUS1 Disable
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_pwup_mask,0);									// MAC Power Disable
	rtd_maskl(ECBUS_RX_ECBUS_EMSC_SYNC_CTRL_reg,~ECBUS_RX_ECBUS_EMSC_SYNC_CTRL_emsc_reset_mask,ECBUS_RX_ECBUS_EMSC_SYNC_CTRL_emsc_reset_mask);	// eMSC Reset

	printf("Waiting for R100K Auto-K Finish, about 100us...");
	int timeout_cnt = 0;
	while ((CBUS_PMM_CBUS_PHY_4_get_cbus_1kohm_cal_ok(rtd_inl(CBUS_PMM_CBUS_PHY_4)) != 1) && (timeout_cnt <= 15))
	{
		udelay(1);
		timeout_cnt = timeout_cnt + 1;
	}

	if (timeout_cnt > 15)
	{
		printf("\nTimeout for R100K Auto-K : > 15us\n");
		return FALSE;
	}

	printf("OK!\n");
	return TRUE;
}

bool drvif_switch_to_eCBUS(void)
{
	rtd_maskl(CBUS_PMM_CBUS_PHY_4_reg,~CBUS_PMM_CBUS_PHY_4_en_cbus_rx_mask,0);				// Disable CBUS_RX
	rtd_maskl(CBUS_PMM_CBUS_PHY_4_reg,~CBUS_PMM_CBUS_PHY_4_sel_cbusb_gpio_rx_mask,0);		// Pinshare to CBUS
	rtd_maskl(CBUS_PMM_CBUS_PHY_4_reg,~CBUS_PMM_CBUS_PHY_4_mhl_bmos_en_rx_mask,0);		// Disable CBUS_RX BMOS
	rtd_maskl(CBUS_PMM_CBUS_PHY_5_reg,~CBUS_PMM_CBUS_PHY_5_en_buf_ecbusrx_mask,CBUS_PMM_CBUS_PHY_5_en_buf_ecbusrx_mask);			//Enable eCBUS Driver & echo-cancelling circuit
	rtd_maskl(CBUS_PMM_CBUS_PHY_6_reg,~CBUS_PMM_CBUS_PHY_6_pll_pow_ecbusrx_mask,CBUS_PMM_CBUS_PHY_6_pll_pow_ecbusrx_mask);			// Enable eCBUS PLL
	rtd_maskl(CBUS_PMM_CBUS_PHY_6_reg,~CBUS_PMM_CBUS_PHY_6_pll_ldo_pow_ecbusrx_mask,CBUS_PMM_CBUS_PHY_6_pll_ldo_pow_ecbusrx_mask);	// Enable eCBUS LDO
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_en_mask,ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_en_mask);		// eCBUS DPHY Enable
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask,ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask);	// eCBUS DPHY Reset Release
	rtd_maskl(CBUS_oCBUS_CTRL_00_reg,~CBUS_oCBUS_CTRL_00_cbus1_en_mask,CBUS_oCBUS_CTRL_00_cbus1_en_mask);							// CBUS1 Enable
	return TRUE;
}

bool drvif_eCBUS_Start_Up(void)
{
	timer_7_reset();
	int timeout_cnt;
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask,0);														// DPHY Reset
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask,ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask);	// DPHY Reset Release

	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_pwup_mask,0);																// MAC Power Disable
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_reset_mask,ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_reset_mask);					// MAC Reset
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_pwup_mask,ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_pwup_mask);					// MAC Power Enable
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_reset_mask,0);																// MAC Reset Release

	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type(0));				// BTX = S0
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CALIB_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CALIB_CTRL_tx_calib_en_mask,0);												// DPHY TX edge Auto-K Disable
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_pos_manual_mask,ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_pos_manual_mask);	// DPHY RX edge Manual Mode

	printf("Finding RX Edge Position...");
	int rx_edge[3] = {0,0,0};
	int edge_error = 0x20;
	int i;
	timeout_cnt = 0;
	while (timeout_cnt <= 1000)
	{
		for (i = 0; i < 3; i++)
		{
			rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_position_m_5_0_mask,ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_position_m_5_0(0x10));	// RX edge initial position set 0x10
			rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_calib_en_mask,0);																			// Auto find RX Edge Disable
			rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_calib_en_mask,ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_calib_en_mask);					// Auto find RX Edge Enable
			udelay(5);
			timeout_cnt = timeout_cnt + 5;
			rx_edge[i] = rtd_inl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_RESULT_reg) & ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_RESULT_edge_calib_position_5_0_mask;	// find RX Edge
			edge_error = rtd_inl(ECBUS_RX_DPHY_ECBUS_DPHY_FLAG_reg) & ECBUS_RX_DPHY_ECBUS_DPHY_FLAG_edge_error_mask;								// find RX Edge error
			if (edge_error == ECBUS_RX_DPHY_ECBUS_DPHY_FLAG_edge_error_mask)
			{
				i = 0;
				break;
			}
		}
		if ((i != 0) && (rx_edge[0] == rx_edge[1]) && (rx_edge[1] == rx_edge[2]) && (rx_edge[0] != 0))
		{
			break;
		}
	}

	if (timeout_cnt > 1000)
	{
		printf("\nTimeout for DPHY Find RX Edge : > 5ms\n");
		return FALSE;
	}

	printf("OK!\n");
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_position_m_5_0_mask,ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_position_m_5_0(((rx_edge[1] - 3 + 40) % 40)));
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_tx_phase_ini_5_0_mask,ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_get_tx_phase_ini_5_0((14 + 3 + 40) % 40));

	printf("DPHY RX Edge has Found (from Source send stable clock) : %dms\n",rtd_inl(TC7CVR)/27000);
	i = rtd_inl(TC7CVR)/27000;
	if (i < 12)	{mdelay(12-i);}

	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type(3));	// BTX = S1
	printf("Sink begin to send back clock (from Source send stable clock) : %dms\n",rtd_inl(TC7CVR)/27000);
	timer_7_reset();
	i = rtd_inl(TC7CVR)/27000;
	if (i < 12) {mdelay(12-i);}

	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type(1));	// BTX = COMMA1
	printf("Sink begin to send back COMMA1 (from Sink begin to send back clock) : %dms\n",rtd_inl(TC7CVR)/27000);
	timer_7_reset();

	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask,0);												// COMMA2 detect disable
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_DET_reg,~(ECBUS_RX_ECBUS_STARTUP_DET_comma2_loss_irq_mask | ECBUS_RX_ECBUS_STARTUP_DET_comma2_rcv_irq_mask),(ECBUS_RX_ECBUS_STARTUP_DET_comma2_loss_irq_mask | ECBUS_RX_ECBUS_STARTUP_DET_comma2_rcv_irq_mask));	// Clear COMMA1 Detect/Loss Flag
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_comma2_loss_thd_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_get_comma2_loss_thd(0));	// COMMA2 Debounce Loss = 1
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask,ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask);				// COMMA2 detect Enable

	printf("Detect COMMA2...");
	timeout_cnt = 0;
	while (((rtd_inl(ECBUS_RX_ECBUS_STARTUP_DET_reg) & (ECBUS_RX_ECBUS_STARTUP_DET_comma2_loss_irq_mask | ECBUS_RX_ECBUS_STARTUP_DET_comma2_rcv_irq_mask)) != ECBUS_RX_ECBUS_STARTUP_DET_comma2_rcv_irq_mask) & (timeout_cnt <= 30000))
	{
		udelay(5);
		timeout_cnt = timeout_cnt + 5;
		if ((rtd_inl(ECBUS_RX_ECBUS_STARTUP_DET_reg) & (ECBUS_RX_ECBUS_STARTUP_DET_comma2_loss_irq_mask | ECBUS_RX_ECBUS_STARTUP_DET_comma2_rcv_irq_mask)) == (ECBUS_RX_ECBUS_STARTUP_DET_comma2_loss_irq_mask | ECBUS_RX_ECBUS_STARTUP_DET_comma2_rcv_irq_mask))
		{
			rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask,0);													// COMMA2 detect Disable
			rtd_maskl(ECBUS_RX_ECBUS_STARTUP_DET_reg,~(ECBUS_RX_ECBUS_STARTUP_DET_comma2_loss_irq_mask | ECBUS_RX_ECBUS_STARTUP_DET_comma2_rcv_irq_mask),(ECBUS_RX_ECBUS_STARTUP_DET_comma2_loss_irq_mask | ECBUS_RX_ECBUS_STARTUP_DET_comma2_rcv_irq_mask));	// Clear Flag
			rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask,ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask);	// COMMA2 detect Enable
		}
	}

	if (timeout_cnt > 30000)
	{
		printf("\nTimeout for Detect COMMA2 : > 30ms\n");
		return FALSE;
	}

	printf("OK!\nSink has detected COMMA2 (from Sink begin to send COMMA1) : %dms\n",rtd_inl(TC7CVR)/27000);

	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type(2));	// BTX = COMMA2
	printf("Sink begin to send COMMA2 (from Sink begin to send COMMA1) : %dms\n",rtd_inl(TC7CVR)/27000);
	timer_7_reset();

	printf("Waiting for Source Enter Active State...");
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_comma2_loss_thd_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_get_comma2_loss_thd(3));        // COMMA2 Debounce Loss = 8
	while ((rtd_inl(ECBUS_RX_ECBUS_STARTUP_DET_reg) & (ECBUS_RX_ECBUS_STARTUP_DET_comma2_loss_irq_mask | ECBUS_RX_ECBUS_STARTUP_DET_comma2_rcv_irq_mask)) != (ECBUS_RX_ECBUS_STARTUP_DET_comma2_loss_irq_mask | ECBUS_RX_ECBUS_STARTUP_DET_comma2_rcv_irq_mask)) {}
	printf("OK!\nSource begin to Enter Active State (from Sink begin to send COMMA2) : %dms\n",rtd_inl(TC7CVR)/27000);
	return TRUE;
}

bool drvif_eCBUS_Shut_Down(void)
{
	printf("\n\nBegin CBUS Discovery !!!\n");
	if(!drvif_switch_to_oCBUS()) {return FAILED;}	// oCBUS APHY Enable, eCBUS APHY Disable

	if(!GET_STATE())
	{
		printf("Waiting for Wake-up & Discovery pulse...");
		int timeout_cnt = 0;
		while (((rtd_inl(CBUS_PMM_CBUS_STANDBY_00_reg) & 0xC) != 0xC) && (timeout_cnt <= 1500))
		{
			mdelay(1);
			timeout_cnt = timeout_cnt + 1;
		}

		if (timeout_cnt > 1500)

		{
			printf("\nTimeout for waiting Wake-Up & Discovery Pulse : > 1500ms\n");
			return FALSE;
		}

		rtd_outl(CBUS_PMM_CBUS_STANDBY_00_reg,0xC);	// Clear Wake-up & Discovery pulse Flag
		printf("OK!\n");
	}

	return TRUE;
}

bool drvif_eCBUS_TDM_Slot_Sync(void)
{
	timer_7_reset();
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask,0);	// COMMA2 detect Disable
	printf("\n\nStart TDM Slot Sync Procedure...");
	rtd_outl(ECBUS_RX_ECBUS_TDM_SYNC_CTRL_reg,ECBUS_RX_ECBUS_TDM_SYNC_CTRL_com1_det_en_mask);	// Enable detect COM1 Circuit
	rtd_maskl(ECBUS_RX_ECBUS_TDM_SYNC_DET_2_reg,~(ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_loss_irq_mask | ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_irq_mask),(ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_loss_irq_mask | ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_irq_mask));	// Clear COM1 Detect/Loss Flag
	rtd_outl(ECBUS_RX_ECBUS_TDM_SYNC_CTRL_reg,(ECBUS_RX_ECBUS_TDM_SYNC_CTRL_com1_det_en_mask | ECBUS_RX_ECBUS_TDM_SYNC_CTRL_enter_tdm_active_mask));					// Enter_TDM_Active

	int timeout_cnt = 0;
	while (((rtd_inl(ECBUS_RX_ECBUS_TDM_SYNC_DET_2_reg) & (ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_loss_irq_mask | ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_irq_mask)) != ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_irq_mask) && (timeout_cnt <= 5))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
		if ((rtd_inl(ECBUS_RX_ECBUS_TDM_SYNC_DET_2_reg) & (ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_loss_irq_mask | ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_irq_mask)) == (ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_loss_irq_mask | ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_irq_mask))
		{
			rtd_maskl(ECBUS_RX_ECBUS_TDM_SYNC_DET_2_reg,~(ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_loss_irq_mask | ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_irq_mask),(ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_loss_irq_mask | ECBUS_RX_ECBUS_TDM_SYNC_DET_2_tdm_sync_irq_mask));
			break;
        	}
	}

	if (timeout_cnt > 5)
	{
		printf("\nTimeout for TDM Slot Sync : > 5ms\n");
		return FALSE;
	}

	printf("OK!\nSink has detected IDLE-COM1 (from Source Enate Active State) : %dms\n",rtd_inl(TC7CVR)/27000);
	return TRUE;
}

bool drvif_eCBUS_eMSC_Link_Training(void)
{
	int emsc_pass_mask = ECBUS_RX_ECBUS_EMSC_SYNC_DET_slot_det_done_mask | ECBUS_RX_ECBUS_EMSC_SYNC_DET_emsc_link_done_mask | ECBUS_RX_ECBUS_EMSC_SYNC_DET_mark_rcv_mask | ECBUS_RX_ECBUS_EMSC_SYNC_DET_rx_sync_meet_mask | ECBUS_RX_ECBUS_EMSC_SYNC_DET_sync_rcv_mask;
	int emsc_fail_mask = ECBUS_RX_ECBUS_EMSC_SYNC_DET_mark_loss_irq_mask | ECBUS_RX_ECBUS_EMSC_SYNC_DET_sync_loss_mask;
	rtd_maskl(ECBUS_RX_ECBUS_EMSC_SYNC_CTRL_reg,~ECBUS_RX_ECBUS_EMSC_SYNC_CTRL_emsc_reset_mask,ECBUS_RX_ECBUS_EMSC_SYNC_CTRL_emsc_reset_mask);	// eMSC Reset
	rtd_maskl(ECBUS_RX_ECBUS_EMSC_SYNC_CTRL_reg,~ECBUS_RX_ECBUS_EMSC_SYNC_CTRL_emsc_reset_mask,0);													// eMSC Reset Release
	printf("Waiting for eMSC Link Training...");

	int timeout_cnt  = 0;
	while ((((rtd_inl(ECBUS_RX_ECBUS_EMSC_SYNC_DET_reg) & emsc_pass_mask) != emsc_pass_mask)) && (timeout_cnt <= 5))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
		if (((rtd_inl(ECBUS_RX_ECBUS_EMSC_SYNC_DET_reg) & emsc_fail_mask) == ECBUS_RX_ECBUS_EMSC_SYNC_DET_sync_loss_mask) || ((rtd_inl(ECBUS_RX_ECBUS_EMSC_SYNC_DET_reg) & emsc_fail_mask) == ECBUS_RX_ECBUS_EMSC_SYNC_DET_mark_loss_irq_mask))
		{
			rtd_outl(ECBUS_RX_ECBUS_EMSC_SYNC_DET_reg,0xFE);
		}
		printf("\neMSC Link Training Fail : 0xb800A53C = %02X\n",rtd_inl(ECBUS_RX_ECBUS_EMSC_SYNC_DET_reg));
	}

	if (timeout_cnt > 5)
	{
		printf("\nTimeout for eMSC Link Training : > 5ms\n");
		return FALSE;
	}

	printf("OK!\n");
	return TRUE;
}

bool drvif_Enable_MHL_Z0(void)
{
	rtd_maskl(DFE_HDMI_RX_PHY_Z0POW_reg,~DFE_HDMI_RX_PHY_Z0POW_reg_z0_z0pow_b_mask,DFE_HDMI_RX_PHY_Z0POW_reg_z0_z0pow_b(7));
	rtd_maskl(DFE_HDMI_RX_PHY_Z0POW_reg,~DFE_HDMI_RX_PHY_Z0POW_reg_z0_z0pow_ck_mask,DFE_HDMI_RX_PHY_Z0POW_reg_z0_z0pow_ck(7));
	rtd_maskl(DFE_HDMI_RX_PHY_Z0POW_reg,~DFE_HDMI_RX_PHY_Z0POW_reg_z0_z0pow_g_mask,DFE_HDMI_RX_PHY_Z0POW_reg_z0_z0pow_g(7));
	rtd_maskl(DFE_HDMI_RX_PHY_Z0POW_reg,~DFE_HDMI_RX_PHY_Z0POW_reg_z0_z0pow_r_mask,DFE_HDMI_RX_PHY_Z0POW_reg_z0_z0pow_r(7));
	rtd_maskl(DFE_HDMI_RX_PHY_Z0POW_reg,~DFE_HDMI_RX_PHY_Z0POW_reg_z0_z100_en_mask,DFE_HDMI_RX_PHY_Z0POW_reg_z0_z100_en(4));
	rtd_maskl(DFE_HDMI_RX_PHY_Z0POW_reg,~DFE_HDMI_RX_PHY_Z0POW_reg_z0_z300pow_mask,DFE_HDMI_RX_PHY_Z0POW_reg_z0_z300pow(4));
	rtd_maskl(DFE_HDMI_RX_PHY_Z0POW_reg,~DFE_HDMI_RX_PHY_Z0POW_reg_z0_z300_sel_mask,DFE_HDMI_RX_PHY_Z0POW_reg_z0_z300_sel(4));
	return TRUE;
}

bool drvif_Measure_CK_GDI(void)
{
	int cnt_start = 0x1;
	int cnt_end = 0x7FF;
	int xtal_cnt = (int)((cnt_end - cnt_start)*27/75);
	rtd_maskl(0xb8060044,0xFFFFFEFF,0x00000100);	// Clock enable bit for HDMI Clock Detection
	rtd_maskl(0xb8060058,0xFFFFFFF7,0x00000008);	// Clock Source Select CK_GDI
	rtd_maskl(HDMI_CLKDET_GDI_TMDSCLK_SETTING_00_reg,~HDMI_CLKDET_GDI_TMDSCLK_SETTING_00_dclk_cnt_start_mask,HDMI_CLKDET_GDI_TMDSCLK_SETTING_00_dclk_cnt_start(cnt_start));
	rtd_maskl(HDMI_CLKDET_GDI_TMDSCLK_SETTING_00_reg,~HDMI_CLKDET_GDI_TMDSCLK_SETTING_00_dclk_cnt_end_mask,HDMI_CLKDET_GDI_TMDSCLK_SETTING_00_dclk_cnt_end(cnt_end));
	rtd_maskl(HDMI_CLKDET_GDI_TMDSCLK_SETTING_01_reg,~HDMI_CLKDET_GDI_TMDSCLK_SETTING_01_target_for_maximum_clk_counter_mask,HDMI_CLKDET_GDI_TMDSCLK_SETTING_01_target_for_maximum_clk_counter(xtal_cnt+1));	// Result of XTAL Count CK_GDI max
	rtd_maskl(HDMI_CLKDET_GDI_TMDSCLK_SETTING_01_reg,~HDMI_CLKDET_GDI_TMDSCLK_SETTING_01_target_for_minimum_clk_counter_mask,HDMI_CLKDET_GDI_TMDSCLK_SETTING_01_target_for_minimum_clk_counter(xtal_cnt-1));	// Result of XTAL Count CK_GDI min
	rtd_maskl(HDMI_CLKDET_GDI_TMDSCLK_SETTING_02_reg,~HDMI_CLKDET_GDI_TMDSCLK_SETTING_02_clk_counter_err_threshold_mask,HDMI_CLKDET_GDI_TMDSCLK_SETTING_02_clk_counter_err_threshold(3));	// Measure  error threshold = 3
	rtd_maskl(HDMI_CLKDET_GDI_TMDSCLK_SETTING_02_reg,~HDMI_CLKDET_GDI_TMDSCLK_SETTING_02_clk_counter_debounce_mask,HDMI_CLKDET_GDI_TMDSCLK_SETTING_02_clk_counter_debounce(16));			// Measure 16 Time, total need about 1ms

	printf("Waiting for Source send 75MHz Stable Clock...");
	timer_7_reset();

	int timeout_cnt  = 0;
	while (((HDMI_CLKDET_CLKDETSR_get_clk_in_target(rtd_inl(HDMI_CLKDET_CLKDETSR_reg))) != 1) && (timeout_cnt <= 300))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
		rtd_maskl(HDMI_CLKDET_CLKDETCR_reg,~HDMI_CLKDET_CLKDETCR_clock_det_en_mask,0);	// CK_GDI Clock Detect Disable
		rtd_outl(HDMI_CLKDET_CLKDETSR_reg,(HDMI_CLKDET_CLKDETSR_clk_in_target_mask | HDMI_CLKDET_CLKDETSR_tmds_chg_irq_mask));	// Clear Flag
		//while ((rtd_inl(HDMI_CLKDET_CLKDETSR_reg) & (HDMI_CLKDET_CLKDETSR_clk_in_target_mask | HDMI_CLKDET_CLKDETSR_tmds_chg_irq_mask)) != 0) {}
		rtd_maskl(HDMI_CLKDET_CLKDETCR_reg,~HDMI_CLKDET_CLKDETCR_clock_det_en_mask,HDMI_CLKDET_CLKDETCR_clock_det_en_mask);	// CK_GDI Clock Detect Enable
		while (rtd_inl(HDMI_CLKDET_CLKDETSR_reg) != (HDMI_CLKDET_CLKDETSR_clk_in_target_mask | HDMI_CLKDET_CLKDETSR_tmds_chg_irq_mask)) {}
		rtd_outl(HDMI_CLKDET_CLKDETSR_reg,HDMI_CLKDET_CLKDETSR_tmds_chg_irq_mask);		// Clear Clock Change Flag
	}

	if (timeout_cnt > 300)
	{
		printf("\nTimeout for Source send 75MHz Stable Clock : > 300ms\n");
		return FALSE;
	}

	printf("OK! => Take %dms\n",rtd_inl(TC7CVR)/27000);
	return TRUE;
}

bool drvif_Set_eMSC_TX_Slot_Map(void)
{
	rtd_maskl(ECBUS_RX_ECBUS_EMSC_SLOT_MAP_1_reg,~ECBUS_RX_ECBUS_EMSC_SLOT_MAP_1_emsc_slot_map_h_mask,ECBUS_RX_ECBUS_EMSC_SLOT_MAP_1_emsc_slot_map_h(0x4));
	rtd_maskl(ECBUS_RX_ECBUS_EMSC_SLOT_MAP_2_reg,~ECBUS_RX_ECBUS_EMSC_SLOT_MAP_2_emsc_slot_map_m_mask,ECBUS_RX_ECBUS_EMSC_SLOT_MAP_2_emsc_slot_map_m(0x10));
	rtd_maskl(ECBUS_RX_ECBUS_EMSC_SLOT_MAP_3_reg,~ECBUS_RX_ECBUS_EMSC_SLOT_MAP_3_emsc_slot_map_l_mask,ECBUS_RX_ECBUS_EMSC_SLOT_MAP_3_emsc_slot_map_l(0x41));
	return TRUE;
}

bool drvif_Check_eMSC_RX_Slot_Map(void)
{
	printf("Find & Check eMSC TX/RX Slots Position...");
	int emsc_slot_map_h = ECBUS_RX_ECBUS_EMSC_SLOT_MAP_1_get_emsc_slot_map_h(rtd_inl(ECBUS_RX_ECBUS_EMSC_SLOT_MAP_1_reg));
	int emsc_slot_map_m = ECBUS_RX_ECBUS_EMSC_SLOT_MAP_2_get_emsc_slot_map_m(rtd_inl(ECBUS_RX_ECBUS_EMSC_SLOT_MAP_2_reg));
	int emsc_slot_map_l = ECBUS_RX_ECBUS_EMSC_SLOT_MAP_3_get_emsc_slot_map_l(rtd_inl(ECBUS_RX_ECBUS_EMSC_SLOT_MAP_3_reg));
	int source_slot_map_h = ECBUS_RX_ECBUS_EMSC_SOURCE_SLOT_DET_1_get_sourse_slot_map_h(rtd_inl(ECBUS_RX_ECBUS_EMSC_SOURCE_SLOT_DET_1_reg));
	int source_slot_map_m = ECBUS_RX_ECBUS_EMSC_SOURCE_SLOT_DET_2_get_sourse_slot_map_m(rtd_inl(ECBUS_RX_ECBUS_EMSC_SOURCE_SLOT_DET_2_reg));
	int source_slot_map_l = ECBUS_RX_ECBUS_EMSC_SOURCE_SLOT_DET_3_get_sourse_slot_map_l(rtd_inl(ECBUS_RX_ECBUS_EMSC_SOURCE_SLOT_DET_3_reg));

	int timeout_cnt  = 0;
	while (((emsc_slot_map_h != source_slot_map_h) || (emsc_slot_map_m != source_slot_map_m) || (emsc_slot_map_l != source_slot_map_l)) && (timeout_cnt <= 5))
	{
		mdelay(5);
		timeout_cnt = timeout_cnt + 5;
		source_slot_map_h = rtd_inl(ECBUS_RX_ECBUS_EMSC_SOURCE_SLOT_DET_1_reg);
    		source_slot_map_m = rtd_inl(ECBUS_RX_ECBUS_EMSC_SOURCE_SLOT_DET_2_reg);
    		source_slot_map_l = rtd_inl(ECBUS_RX_ECBUS_EMSC_SOURCE_SLOT_DET_3_reg);
	}

	if (timeout_cnt > 5)
	{
		printf("\nTimeout for Find eMSC RX Slots Position : > 5ms\n");
		return FALSE;
	}

	printf("Correct\n");
	return TRUE;
}

bool drvif_List_eMSC_Slot_Map(void)
{
	int i;
	int emsc_slot_map_h = ECBUS_RX_ECBUS_EMSC_SLOT_MAP_1_get_emsc_slot_map_h(rtd_inl(ECBUS_RX_ECBUS_EMSC_SLOT_MAP_1_reg));
	int emsc_slot_map_m = ECBUS_RX_ECBUS_EMSC_SLOT_MAP_2_get_emsc_slot_map_m(rtd_inl(ECBUS_RX_ECBUS_EMSC_SLOT_MAP_2_reg));
	int emsc_slot_map_l = ECBUS_RX_ECBUS_EMSC_SLOT_MAP_3_get_emsc_slot_map_l(rtd_inl(ECBUS_RX_ECBUS_EMSC_SLOT_MAP_3_reg));

	printf("\nSlot[0] is CBUS1\n");

	for (i = 0; i < 8; i++)
	{
		if (((emsc_slot_map_l >> i) & 0x1) == 0x1)
		{
			printf("Slot[%d] is eMSC\n",i+1);
		} else
		{
			printf("Slot[%d] is <No use> or <T-CBUS> or <Audio Data Tunnel>\n",i+1);
		}
	}

	for (i = 0; i < 8; i++)
	{
		if (((emsc_slot_map_m >> i) & 0x1) == 0x1)
		{
			printf("Slot[%d] is eMSC\n",i+9);
		} else
		{
			printf("Slot[%d] is <No use> or <T-CBUS> or <Audio Data Tunnel>\n",i+9);
		}
	}

	for (i = 0; i < 8; i++)
	{
		if (((emsc_slot_map_h >> i) & 0x1) == 0x1)
		{
			printf("Slot[%d] is eMSC\n",i+17);
		} else
		{
			printf("Slot[%d] is <No use> or <T-CBUS> or <Audio Data Tunnel>\n",i+17);
		}
	}
	printf("\n\n");
	return TRUE;
}

bool drvif_CBUS_Discovery(void)
{
	int timeout_cnt;

	// ----------------------------------------------------------------------------------
	//  Begin to connect CBUS
	// ----------------------------------------------------------------------------------
	printf("\n\nBegin CBUS Discovery !!!\n");
	if(!drvif_switch_to_oCBUS()) {return FAILED;}	// oCBUS APHY Enable, eCBUS APHY Disable
	if(!drvif_Enable_MHL_Z0()) {return FAILED;}	// MHL Z0 Attach

	printf("Waiting for Wake-up & Discovery pulse...");
	timeout_cnt = 0;
	while (((rtd_inl(CBUS_PMM_CBUS_STANDBY_00_reg) & 0xC) != 0xC) && (timeout_cnt <= 1500))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
	}

	if (timeout_cnt > 1500)
	{
		printf("\nTimeout for waiting Wake-Up & Discovery Pulse : > 1500ms\n");
		return FALSE;
	}

	rtd_outl(CBUS_PMM_CBUS_STANDBY_00_reg,0xC);	// Clear Wake-up & Discovery pulse Flag
	printf("OK!\n");


	// ----------------------------------------------------------------------------------
	// MHL3.2 Standard Figure 8-19
	// ----------------------------------------------------------------------------------
	int wr_stat_irq = 0;
	int MHL_VERSION_STAT = 0;
	int CONNECTED_RDY_1_0 = 0;
	int RCHANGE_INT_0 = 0;
	printf("Waiting for MHL_VERSION_STAT, DCAP_RDY, XDECCAP_SUPP, DCAP_CHG...");
	timeout_cnt = 0;
	while (((wr_stat_irq != 1) || (MHL_VERSION_STAT < 0x30) || (CONNECTED_RDY_1_0 != 0x3) || (RCHANGE_INT_0 == 0x1)) && (timeout_cnt <= 100))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
		wr_stat_irq =	CBUS_CBUS_MSC_06_get_wr_stat_irq(rtd_inl(CBUS_CBUS_MSC_06_reg));		// WRITE_STAT Received Flag
		MHL_VERSION_STAT = rtd_inl(CBUS_MSC_REG_32_reg);										// Received WRITE_STAT{MHL_VERSION}
		CONNECTED_RDY_1_0 = (rtd_inl(CBUS_MSC_REG_30_reg) & 0x3);								// Received WRITE_STAT{DCAP_RDY,XDECCAP_SUPP}
		RCHANGE_INT_0 = CBUS_MSC_REG_20_get_dcap_chg(rtd_inl(CBUS_MSC_REG_20_reg));		// Received SET_INT{DCAP_CHG}
	}
	if (timeout_cnt > 100)
	{
		printf("\nTimeout for waiting MHL_VERSION_STAT, DCAP_RDY, XDECCAP_SUPP, DCAP_CHG : > 100ms\n");
		return FALSE;
	}
	rtd_outl(CBUS_CBUS_MSC_06_reg,CBUS_CBUS_MSC_06_wr_stat_irq_mask);    						// Clear WRITE_STAT Flag
	rtd_outl(CBUS_CBUS_MSC_06_reg,CBUS_CBUS_MSC_06_allmsc_cmd_irq_mask);					// Clear All MSC_CMD Flag
	printf("OK!\n");

	// ----------------------------------------------------------------------------------
	// MHL3.2 Standard Figure 8-20
	// ----------------------------------------------------------------------------------
	if (!WRITE_STAT(0x32,0x32)) {return FAILED;}	// MHL_VERSION_STAT = 3.2
	if (!WRITE_STAT(0x30,0x03)) {return FAILED;}	// CONNECTED_RDY(DCAP_RDY), CONNECTED_RDY(XDEVCAP_SUPP)
	if (!SET_INT(0x20,0x01)) {return FAILED;}		// RCHANGE_INT(DCAP_CHG)

	// Wait for Source send READ_XDEVCAP(ECBUS_SPEEDS)
	printf("Waiting for Source send READ_XDEVCAP(ECBUS_SPEEDS)...");
	timeout_cnt = 0;
	while ((CBUS_oCBUS_CTRL_10_get_rd_xdevcap_irq(rtd_inl(CBUS_oCBUS_CTRL_10_reg) ) != 1) && (timeout_cnt <= 50))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
	}
	if (timeout_cnt > 50)
	{
		printf("\nTimeout for waiting READ_XDEVCAP(ECBUS_SPEEDS) : > 50ms\n");
		return FALSE;
	}
	rtd_outl(CBUS_oCBUS_CTRL_10_reg,CBUS_oCBUS_CTRL_10_rd_xdevcap_irq_mask);					// Clear READ_XDEVCAP Flag
	printf("OK!\n");

	// ----------------------------------------------------------------------------------
	// MHL3.2 Standard Figure 8-21 (include eCBUS Start-Up)
	// ----------------------------------------------------------------------------------
	// Wait for Source send RAP(CBUS_MODE_UP)
	printf("Waiting for Source send MSC_MSG(RAP){CBUS_MODE_UP}...");
	timeout_cnt = 0;
	while (((CBUS_CBUS_MSC_06_get_rap_irq(rtd_inl(CBUS_CBUS_MSC_06_reg)) != 1) || (rtd_inl(CBUS_CBUS_MSC_12_reg) != 0x21)) && (timeout_cnt <= 50))
	{
		mdelay(1);
		timeout_cnt =  timeout_cnt + 1;
	}
	if (timeout_cnt > 50)
	{
		printf("\nTimeout for waiting MSC_MSG(RAP){CBUS_MODE_UP} : > 50ms\n");
		return FALSE;
	}
	rtd_outl(CBUS_CBUS_MSC_06_reg,CBUS_CBUS_MSC_06_rap_irq_mask);				// Clear RAP Flag
	rtd_outl(CBUS_CBUS_MSC_06_reg,CBUS_CBUS_MSC_06_get_msg_irq_mask);			// Clear MSC_CMD Flag
	rtd_outl(CBUS_CBUS_MSC_06_reg,CBUS_CBUS_MSC_06_allmsc_cmd_irq_mask);		// Clear All MSC_CMD Flag
	printf("OK!\n");

	if (!MSC_MSG(0x21,0x00)) {return FAILED;}	// Reply MSC_MSG(RAPK{No_Error})

	printf("\n\nStart eCBUS Start-Up procedure!!!\n");
	drvif_switch_to_eCBUS();							// oCBUS APHY Disable, eCBUS APHY Enable
	if(!drvif_Measure_CK_GDI()) {return FAILED;}		// Measure CK_GDI
	if(!drvif_eCBUS_Start_Up()) {return FAILED;}		// eCBUS Start-Up
	if(!drvif_eCBUS_TDM_Slot_Sync()) {return FAILED;}	// TDM Slot Sync Procedure
	// Source will send READ_DEVCAP/READ_XDEVCAP to Read Sink's all Cabability Register

	// ----------------------------------------------------------------------------------
	// MHL3.2 Standard Figure 8-22
	// ----------------------------------------------------------------------------------
	if (!SET_HPD()) {return FAILED;}			// SET_HPD()
	if (!SET_INT(0x21,0x02)) {return FAILED;}	// SET_INT(EDID_CHG)
	// Source Read Sink EDID Data
	printf("Waiting for Source send SET_INT(FEAT_REQ)...");
	timeout_cnt = 0;
	while ((((rtd_inl(CBUS_CBUS_MSC_06_reg) & CBUS_CBUS_MSC_06_wr_stat_irq_mask) != CBUS_CBUS_MSC_06_wr_stat_irq_mask) || ((rtd_inl(CBUS_MSC_REG_20_reg) & CBUS_MSC_REG_20_feat_req_mask) != CBUS_MSC_REG_20_feat_req_mask)) && (timeout_cnt <= 3000))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
	}
	if (timeout_cnt > 3000)
	{
		printf("\nTimeout for waiting SET_INT(FEAT_REQ) : > 3000ms\n");
		return FALSE;
	}
	printf("OK!\n");
	rtd_outl(CBUS_CBUS_MSC_06_reg,CBUS_CBUS_MSC_06_wr_stat_irq_mask);		// Clear WRITE_STAT Flag
	rtd_outl(CBUS_CBUS_MSC_06_reg,CBUS_CBUS_MSC_06_allmsc_cmd_irq_mask);	// Clear All MSC_CMD Flag
	rtd_outl(CBUS_MSC_REG_20_reg,CBUS_MSC_REG_20_feat_req_mask);				// Clear FEAT_REQ_CHG
	// Sink Reply All Feature here
	if (!SET_INT(0x20,0x40)) {return FAILED;}	// SET_INT(FEAT_COMPLETE)

	// ----------------------------------------------------------------------------------
	// MHL3.2 Standard Figure 8-24
	// ----------------------------------------------------------------------------------
	printf("Waiting for Source send WRITE_STAT(DCAP_RDY) & SET_INT(DCAP_CHG)...");

	#if 0
	// Waiting for WRITE_STAT(MHL_VERSION_STAT)
	while ((rtd_inl(CBUS_CBUS_MSC_06_reg) & CBUS_CBUS_MSC_06_wr_stat_irq_mask) != CBUS_CBUS_MSC_06_wr_stat_irq_mask) {}
	if (rtd_inl(CBUS_MSC_REG_32_reg) < 0x30)
	{
		printf("Source MHL_VERSION_STAT is not 3.x\n\n\n");
		return FAILED;
	}
	#endif

	// Waiting for WRITE_STAT(DCAP_RDY)
	timeout_cnt = 0;
	while (((rtd_inl(CBUS_MSC_REG_30_reg) & CBUS_MSC_REG_30_dcap_rdy_mask) != CBUS_MSC_REG_30_dcap_rdy_mask) && (timeout_cnt <= 500))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
	}
	if (timeout_cnt > 500)
	{
		printf("\nTimeout for waiting WRITE_STAT(DCAP_RDY) : > 500ms\n");
		return FALSE;
	}

	// Waiting for SET_INT(DCAP_CHG)
	timeout_cnt = 0;
	while ((((rtd_inl(CBUS_CBUS_MSC_06_reg) & CBUS_CBUS_MSC_06_dcap_rdy_chg_mask) != CBUS_CBUS_MSC_06_dcap_rdy_chg_mask) || ((rtd_inl(CBUS_MSC_REG_20_reg) & CBUS_MSC_REG_20_dcap_chg_mask) != CBUS_MSC_REG_20_dcap_chg_mask)) && (timeout_cnt <= 500))
	{
		mdelay(1);
		timeout_cnt = timeout_cnt + 1;
	}
	if (timeout_cnt > 500)
	{
		printf("\nTimeout for waiting SET_INT(DCAP_CHG) : > 500ms\n");
		return FALSE;
	}

	rtd_outl(CBUS_CBUS_MSC_06_reg,CBUS_CBUS_MSC_06_dcap_rdy_chg_mask);		// Clear DCAP_CHG Flag
	rtd_outl(CBUS_CBUS_MSC_06_reg,CBUS_CBUS_MSC_06_wr_stat_irq_mask);		// Clear WRITE_STAT Flag
	rtd_outl(CBUS_CBUS_MSC_06_reg,CBUS_CBUS_MSC_06_allmsc_cmd_irq_mask);	// Clear All MSC_CMD Flag
	rtd_outl(CBUS_MSC_REG_20_reg,CBUS_MSC_REG_20_dcap_chg_mask);			// Clear DCAP_CHG
	printf("OK!\n\n");

	printf("Sink Read Capability Register & Extended Capability Register\n");
	int i;

	for (i = 0x0; i <= 0xF; i++)
	{
		if (!READ_DEVCAP(i)) {return FAILED;}
	}

	for (i = 0x80; i <= 0x8F; i++)
	{
		if (!READ_XDEVCAP(i)) {return FAILED;}
	}
	printf("\n\n");

	// ----------------------------------------------------------------------------------
	// MHL3.2 Standard Figure 8-25
	// ----------------------------------------------------------------------------------
	if(!SET_INT(0x20,0x20)) {return FAILED;}		// SET_INT(FEAT_REQ)
	// Sink Receive All Feature here
	rtd_outl(CBUS_MSC_REG_20_reg,CBUS_MSC_REG_20_feat_complete_mask);	// Clear DCAP_CHG
	printf("CBUS Discovery Finish!!!\n\n\n");

	return TRUE;
}

bool drvif_CBUS_RX_EDIDLoad(unsigned char* EDID, UINT16 len)
{
	UINT32 Edid_addr;
	UINT16 i;

	Edid_addr = DDC5_CBUS_DDC_reg ;
	//Disable DDC func, write EDID data to sram
	rtd_maskl(Edid_addr + REG_EDID_CTL_OFFSET, ~DDC1_EDID_CR_edid_en_mask, DDC1_EDID_CR_edid_en(0));

	for(i=0; i< len; i++) //total 0 ~ 127
		rtd_outl(Edid_addr+REG_DDC_SIR_OFFSET, i),
		rtd_outl(Edid_addr+REG_DDC_SAP_OFFSET, EDID[i]);
		//HDMI_PRINTF("drvif_CBUS_EDIDLoad index = %d , value = %d  \n", i,EDID[i]);
	rtd_outl(Edid_addr, 0x30);
	//Enable DDC func
	rtd_maskl(Edid_addr + REG_EDID_CTL_OFFSET, ~DDC1_EDID_CR_edid_en_mask, DDC1_EDID_CR_edid_en(1));
	return TRUE;
}

bool drvif_CBUS_RX_EDIDEnable(UINT8 enable)
{
	UINT32 Edid_addr;
	Edid_addr = DDC5_CBUS_DDC_reg ;
	rtd_maskl(Edid_addr+REG_EDID_CTL_OFFSET, ~DDC1_EDID_CR_edid_en_mask, DDC1_EDID_CR_edid_en((enable)?1:0));
	return TRUE;
}

void drvif_CBUS_RX_EDID_DDC12_AUTO_Enable(UINT8 enable)
{
	UINT32 Edid_addr;

	Edid_addr = DDC5_CBUS_DDC_reg ;
	rtd_maskl(Edid_addr +REG_EDID_CTL_OFFSET, ~(DDC1_EDID_CR_ddc1_force_mask | DDC1_EDID_CR_ddc2b_force_mask),
				(DDC1_EDID_CR_ddc1_force(0) | DDC1_EDID_CR_ddc2b_force((enable)?0:1)));

}

void drvif_CBUS_RX_LoadEDID(unsigned char *EDID, int len)
{
    rtd_maskl(HDMI_HDCP_PCR_reg, ~HDMI_HDCP_PCR_km_clk_sel_mask, 0);
    drvif_CBUS_RX_EDIDLoad(EDID,len);
    drvif_CBUS_RX_EDIDEnable(1);
    drvif_CBUS_RX_EDID_DDC12_AUTO_Enable(0);
}
