//-----------------------------------------------------------------------------
// The confidential and proprietary information contained in this file may
// only be used by a person authorised under and to the extent permitted
// by a subsisting licensing agreement from ARM Limited or its affiliates.
//
//            (C) COPYRIGHT 2015, 2017 ARM Limited or its affiliates.
//                ALL RIGHTS RESERVED
//
// This entire notice must be reproduced on all copies of this file
// and copies of this file may only be made by a person if such person is
// permitted to do so under the terms of a subsisting license agreement
// from ARM Limited or its affiliates.
//
//      Release Information : r0p0-00eac0
//
//-----------------------------------------------------------------------------
//


#include <stdio.h>
#include <stdlib.h>
#include <rt_misc.h>
#include <time.h>
#include "platform.h"
#include "common.h"


__asm(" .global __use_no_semihosting_swi\n");

/*-------------------------------------------------------------------------------
 * I/O Routines
 * These need porting to destination platform
 *------------------------------------------------------------------------------*/


/* #define UART0BASE 0x1c090000 */

volatile char *tube    = (volatile char *)UART0BASE;


void uart_putc (int c)
{
  /* Wait until FIFO is not full */
  while (read32(tube + 0x18) & (1 << 5)) {};
  write32(tube,c);
#if defined(FASTMODELS) || defined(FPGA)
	if (c == '\n')
	{
		while (read32(tube + 0x18) & (1 << 5)) {};
		write32(tube, '\r');
	}
#endif
};

void uart_puts (const char *s)
{
  while (*s) {
	  uart_putc(*s++);
  }
}
/*-------------------------------------------------------------------------------
 * RVCT - remapping of I/O routines to make printf work 
 *------------------------------------------------------------------------------*/
int fputc(int c, FILE *stream)
{
    /* Only output console data to tube */
	if (c == 0) {
		return feof(stream);
	} else {
        if (stream == stdout || stream == stderr) {
          uart_putc(c);
        }
        return c;
	}
}

void _sys_exit(int c)
{
  uart_putc(4);
  while(1);
}

extern void _ttywrch(int c)
{
    fputc(c, (void *)0);
}

const char __stdin_name[]  = "stdin";
const char __stdout_name[] = "stdout";
const char __stderr_name[] = "stderr";

int _sys_open(const char * name, int openmode) {}
int _sys_close(int fh) {}
int _sys_write(int fh, const unsigned char * buf, unsigned len, int mode) {}
int _sys_seek(int fh, long pos) {}
int _sys_istty(int fh) {}
long _sys_flen(int fh) {}

clock_t clock(void) {}
void _clock_init(void) {}
time_t time(time_t *tt) {}

extern char *_sys_command_string(char *cmd, int l)
{
    *cmd = 0;
    return cmd;
}
