#ifndef _MHL_TX_TABLE_H_INCLUDED_
#define _MHL_TX_TABLE_H_INCLUDED_

#include "hdmi_tx_struct_def.h"


pll_div_param_st pll_div_8bit_mhl_table[HDMI_TX_VIDEO_TIMING_NUM] = {
	/*
	 * Discription : pll div table for 8bit deep color
	 * Table format : {{set1},{set2}}
	 *  	{set1}	: {tvpll_ncode, tvpll_fcode, tvpll_pre_div, tmds_div, pix_div}
	 	{set2}	: {txpll_m1, txpll_m2, txpll_kvco, mac_div}
	 * Table index  :
	 *      HDMI_TX_VIDEO_TIMING_NUM : see hdmi_tx_video_format_index
	 */
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}},	// 480i60, 27M    	
	{{24, 0, 0, 0x6, 0x13}, {2, 2, 0, 0x2}},       // 480p60, 27M    
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}},       // 576i50, 27M    
	{{24, 0, 0, 0x6, 0x13}, {2, 2, 0, 0x2}},       // 576p50, 27M    
	{{33, 0, 1, 0x2, 0x11}, {0, 2, 0, 0x2}},       // 720p60, 74.25M 
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}},       // 1080i50, 74.25M
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}},       // 1080i60, 74.25M
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}},       // 1080p24, 74.25M
	{{33, 0, 1, 0x2, 0x11}, {0, 2, 0, 0x2}},        // 720p50, 74.25M 
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}}, // 1080P@50 needs to change to pp mode
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}}, // 1080P@60 needs to change to pp mode
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}}, // 2160P@30 doesn't support
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}}, // 800x600@72 doesn't support
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}}, // 1600x1200@85 doesn't support
};

pll_div_param_st pll_div_pp_mode_mhl_table[HDMI_TX_VIDEO_TIMING_NUM] = {
	/*
	 * Discription : pll div table for 8bit deep color
	 * Table format : {{set1},{set2}}
	 *  	{set1}	: {tvpll_ncode, tvpll_fcode, tvpll_pre_div, tmds_div, pix_div}
	 	{set2}	: {txpll_m1, txpll_m2, txpll_kvco, mac_div}
	 * Table index  :
	 *      HDMI_TX_VIDEO_TIMING_NUM : see hdmi_tx_video_format_index
	 */
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}},	// 480i60, 27M    
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}},       // 480p60, 27M    
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}},      // 576i50, 27M    
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}},       // 576p50, 27M    
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}},       // 720p60, 74.25M 
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}},       // 1080i50, 74.25M
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}},       // 1080i60, 74.25M
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}},       // 1080p24, 74.25M
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}},       // 720p50, 74.25M 
	{{22, 0, 0, 0x2, 0x2}, {1, 2, 1, 1}},	// 1080p50, 148.5M        
	{{22, 0, 0, 0x2, 0x2}, {1, 2, 1, 1}},      // 1080p60, 148.5M
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}}, // 2160P@30 doesn't support
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}}, // 800x600@72 doesn't support
	{{0, 0, 0, 0, 0}, {0, 0, 0, 0}}, // 1600x1200@85 doesn't support
};


pll_analog_param_st pll_analog_mhl_table[HDMI_TX_VIDEO_TIMING_NUM] = {
	/*
	 * Discription : pll analog param table for 8bit deep color
	 * Table format : {{set1}, {set2}} every row (video format)
	 *  	{set1}  : {tv_cp, tv_cs, tv_icp, tv_rs}
	 *  	{set2}  : { tx_pll_icp, tx_pll_rs, tx_pll_cp, tx_pll_cs}	
	 * Table index  :
	 *      HDMI_TX_VIDEO_TIMING_NUM : see hdmi_tx_video_format_index
	 */
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}}, 	// 480i60, 27M    
	{{0x0, 0x0, 0x6, 0x2}, {0x1, 0x0, 0x3, 0x3}},   // 480p60, 27M    
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},   // 576i50, 27M    
	{{0x0, 0x0, 0x6, 0x2}, {0x1, 0x0, 0x3, 0x3}},   // 576p50, 27M    
	{{0x0, 0x0, 0x6, 0x2}, {0x1, 0x0, 0x3, 0x3}},    // 720p60, 74.25M 
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},     // 1080i50, 74.25M
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},    // 1080i60, 74.25M
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},     // 1080p24, 74.25M
	{{0x0, 0x0, 0x6, 0x2}, {0x1, 0x0, 0x3, 0x3}},      // 720p50, 74.25M 
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},   // 1080p50, 148.5M
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},     // 1080p60, 148.5M
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},  // 2160P@30 doesn't support
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},  // 800x600@72 doesn't support
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},  // 1600x1200@85 doesn't support
};


pll_analog_param_st pll_analog_mhl_pp_mode_table[HDMI_TX_VIDEO_TIMING_NUM] = {
	/*
	 * Discription : pll analog param table for 8bit deep color
	 * Table format : {{set1}, {set2}} every row (video format)
	 *  	{set1}  : {tv_cp, tv_cs, tv_icp, tv_rs}
	 *  	{set2}  : { tx_pll_icp, tx_pll_rs, tx_pll_cp, tx_pll_cs}	
	 * Table index  :
	 *      HDMI_TX_VIDEO_TIMING_NUM : see hdmi_tx_video_format_index
	 */
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}}, 	// 480i60, 27M    
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},   // 480p60, 27M    
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},   // 576i50, 27M    
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},   // 576p50, 27M    
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},    // 720p60, 74.25M 
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},     // 1080i50, 74.25M
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},    // 1080i60, 74.25M
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},     // 1080p24, 74.25M
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},     // 720p50, 74.25M 
	{{0x0, 0x0, 0x6, 0x2}, {0x1, 0x0, 0x3, 0x3}},   // 1080p50, 148.5M
	{{0x0, 0x0, 0x6, 0x2}, {0x1, 0x0, 0x3, 0x3}},     // 1080p60, 148.5M
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},  // 2160P@30 doesn't support
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},  // 800x600@72 doesn't support
	{{0x0, 0x0, 0x0, 0x0}, {0x0, 0x0, 0x0, 0x0}},  // 1600x1200@85 doesn't support
};


mhl_tx_swing_st mhl_tx_swing_dpc_8bit_table[HDMI_TX_VIDEO_TIMING_NUM] = {
	/*
	 * Discription : hdmi tx swing for 8bit deep color
	 * Table format : {{set1}, {set2}, {set3}, {set4}}
	 *  	{set1}	: {enable pre-emphasis, pre-emphasis, driver, slew, termination R, termination C, enable enlarge}
	 *  	{set2}	: {enable pre-emphasis, pre-emphasis, driver, slew, enable termination C, termination C, delay control}
	 * Table index  :
	 *      HDMI_TX_VIDEO_TIMING_NUM : see hdmi_tx_video_format_index
	 */
	{							// 480i60, 27M
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 480p60, 27M
			{0, 0x5, 0x7, 0, 0x3, 0, 0},		//B channel
			{1, 0x3, 0x7, 0, 1, 0, 0},		// CLK channel
	},
	{							// 576i50, 27M
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 576p50, 27M
			{0, 0x5, 0x7, 0, 0x3, 0, 0},		//B channel
			{1, 0x3, 0x7, 0, 1, 0, 0},		// CLK channel
	},
	{							// 720p60, 74.25M
			{1, 0x1, 0x7, 0, 0x3, 0, 0},		//B channel
			{1, 0x3, 0x7, 0, 1, 0, 0},		// CLK channel
	},
	{							// 1080i50, 74.25M
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 1080i60, 74.25M
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 1080p24, 74.25M
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 720p50, 74.25M
			{1, 0x1, 0x7, 0, 0x3, 0, 0},		//B channel
			{1, 0x3, 0x7, 0, 1, 0, 0},		// CLK channel
	},
	{							// 1080p50, 148.5M, no support
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 1080p60, 148.5M, no support
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 3840x2160@30, 297M, no support
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 1600x1200@85, 297M, no support
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 800x600@72, 50M, no support
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
};

mhl_tx_swing_st mhl_tx_swing_pp_mode_table[HDMI_TX_VIDEO_TIMING_NUM] = {
	/*
	 * Discription : hdmi tx swing for 8bit deep color
	 * Table format : {{set1}, {set2}, {set3}, {set4}}
	 *  	{set1}	: {enable pre-emphasis, pre-emphasis, driver, slew, termination R, termination C, enable enlarge}
	 *  	{set2}	: {enable pre-emphasis, pre-emphasis, driver, slew, enable termination C, termination C, delay control}
	 * Table index  :
	 *      HDMI_TX_VIDEO_TIMING_NUM : see hdmi_tx_video_format_index
	 */
	{							// 480i60, 27M
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 480p60, 27M
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 576i50, 27M
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 576p50, 27M
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 720p60, 74.25M
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 1080i50, 74.25M
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 1080i60, 74.25M
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 1080p24, 74.25M
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 720p50, 74.25M
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 1080p50, 148.5M
			{1, 0x2, 0x7, 0, 0x3, 0, 0},		//B channel
			{1, 0x3, 0x7, 0, 1, 0, 0},		// CLK channel
	},
	{							// 1080p60, 148.5M
			{1, 0x2, 0x7, 0, 0x3, 0, 0},		//B channel
			{1, 0x3, 0x7, 0, 1, 0, 0},		// CLK channel
	},
	{							// 3840x2160@30, 297M, no support
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 1600x1200@85, 297M, no support
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
	{							// 800x600@72, 50M, no support
			{0, 0, 0, 0, 0, 0, 0},		//B channel
			{0, 0, 0, 0, 0, 0, 0},		// CLK channel
	},
};

#endif
