#ifndef __DEMOD_REALTEK_COMMON_H__
#define __DEMOD_REALTEK_COMMON_H__

#include <qc_verify_common.h>
#include "demod_rtk_def.h"
#include "../include/ifd_merlin3/tv_sb1_ana_reg.h"
#include "../include/ifd_merlin3/sys_reg_reg.h"
#include "../include/ifd_merlin3/diseqc_reg.h"
#include "../include/ifd_merlin3/img_demod_bus_reg.h"
#include "../include/ifd_merlin3/hdic_register_bus_reg.h"
#include "../ifd_analog.h"
#include "foundation.h"
#include "message_func_rtk.h"

//#define DEMOD_DVBT2_METACLOCK_594MHZ
//#define DEMOD_DTMB_DTVFRONTEND_BYPASS
#define DEMOD_DTMB_DTVFRONTEND_DOWDSAMPLE

//#define DEMOD_LDR_CAHNGE_BY_FILE
#define DEMOD_MEM_START_PHYS 0x02000000
#define DEMOD_MEM_END_PHYS 0x027fffff
#define DEMOD_MEM_LENGTH 0x00800000

#ifndef _TRUE
#define _TRUE 1
#endif
#ifndef _FALSE
#define _FALSE 0
#endif

#define _BIT(x)       (1UL <<x)
#ifndef _BIT0
#define _BIT0          _BIT(0 )
#define _BIT1          _BIT(1 )
#define _BIT2          _BIT(2 )
#define _BIT3          _BIT(3 )
#define _BIT4          _BIT(4 )
#define _BIT5          _BIT(5 )
#define _BIT6          _BIT(6 )
#define _BIT7          _BIT(7 )
#define _BIT8          _BIT(8 )
#define _BIT9          _BIT(9 )
#define _BIT10         _BIT(10)
#define _BIT11         _BIT(11)
#define _BIT12         _BIT(12)
#define _BIT13         _BIT(13)
#define _BIT14         _BIT(14)
#define _BIT15         _BIT(15)
#define _BIT16         _BIT(16)
#define _BIT17         _BIT(17)
#define _BIT18         _BIT(18)
#define _BIT19         _BIT(19)
#define _BIT20         _BIT(20)
#define _BIT21         _BIT(21)
#define _BIT22         _BIT(22)
#define _BIT23         _BIT(23)
#define _BIT24         _BIT(24)
#define _BIT25         _BIT(25)
#define _BIT26         _BIT(26)
#define _BIT27         _BIT(27)
#define _BIT28         _BIT(28)
#define _BIT29         _BIT(29)
#define _BIT30         _BIT(30)
#define _BIT31         _BIT(31)
#endif

typedef enum {
	PGAFIX_N7DB = -7,
	PGAFIX_N6DB = -6,
	PGAFIX_N5DB = -5,
	PGAFIX_N4DB = -5,
	PGAFIX_N3DB = -5,
	PGAFIX_N2DB = -5,
	PGAFIX_N1DB = -5,
	PGAFIX_0DB = 0,
	PGAFIX_1DB = 1,
	PGAFIX_2DB = 2,
	PGAFIX_3DB = 3,
	PGAFIX_4DB = 4,
	PGAFIX_5DB = 5,
	PGAFIX_6DB = 6,
	PGAFIX_7DB = 7,
	PGAFIX_8DB = 8,
	PGAFIX_9DB = 9,
	PGAFIX_10DB = 10,
	PGAFIX_11DB = 11,
	PGAFIX_12DB = 12,
} IFADCGAIN;


int DtvGetChipVersion(void);
int DtvGetICVersion(void);
int DtvPGAControl(unsigned char on, IFADCGAIN val);
int DtvDemodInitialization(RTK_DEMOD_MODE mode, int force_rst);
int DtvDemodCheckPll(RTK_DEMOD_MODE mode);
int DtvDemodPllSettingCheck(RTK_DEMOD_MODE mode);
int DtvDemodCRTSettingCheck(void);
int DtvDemodClockEnable(unsigned char On);
int DtvIsDemodClockEnable(RTK_DEMOD_MODE mode);
int DtvDemodPowerControl(unsigned char On);
int DtvDemodGetPowerStatus(void);
int DtvDemodAdcPower(unsigned char on);
int DtvDemodAdcPowerCheck(void);
int GetDemodTvSysMode(TV_SYSTEM_TYPE* mode);
int CheckDemodReset(RTK_DEMOD_MODE mode);
void ClearDemodReset(RTK_DEMOD_MODE mode);
void DtvDumpShareRegStatus(void);
int AtvDemodInitialization(RTK_DEMOD_MODE mode);
int AtvDemodPowerControl(unsigned char On);
int DtvDemodDMAAllocateMemory(void);
int DtvDemodDMADump(BASE_INTERFACE_MODULE* pBaseInterface, unsigned char DeviceAddr, unsigned char mode);
int ImgIndirectRegAccess(unsigned int RegAddr, unsigned int RegVal);

#ifdef DEMOD_LDR_CAHNGE_BY_FILE
struct device* get_rtkdemod_device_ptr(void);
#endif

#define RTK_DEMOD_BIF_TX_FIFO_DEPTH       16
#define RTK_DEMOD_BIF_RX_FIFO_DEPTH       16

#if 0
extern void __realtek_wait_ms(
	BASE_INTERFACE_MODULE*      pBaseInterface,
	unsigned long               ms
);

extern int __realtek_i2c_write(
	BASE_INTERFACE_MODULE*      pBaseInterface,
	unsigned char               DeviceAddr,
	const unsigned char*        pWritingBytes,
	unsigned long               ByteNum
);

extern int __realtek_i2c_read(
	BASE_INTERFACE_MODULE*      pBaseInterface,
	unsigned char               DeviceAddr,
	unsigned char*              pReadingBytes,
	unsigned long               ByteNum
);

extern int __realtek_rbus_i2c_write(
	BASE_INTERFACE_MODULE*      pBaseInterface,
	unsigned char               DeviceAddr,
	const unsigned char*        pWritingBytes,
	unsigned long               ByteNum
);

extern int __realtek_rbus_i2c_read(
	BASE_INTERFACE_MODULE*      pBaseInterface,
	unsigned char               DeviceAddr,
	unsigned char*              pReadingBytes,
	unsigned long               ByteNum
);
#endif

#define DECODE_RET(x)       ((x==FUNCTION_SUCCESS) ? TUNER_CTRL_OK : TUNER_CTRL_FAIL)
#define ENCODE_RET(x)       ((x==TUNER_CTRL_OK) ?  FUNCTION_SUCCESS : FUNCTION_ERROR)

#define RTK_DEMOD_PRINT_LVL_DBG      0
#define RTK_DEMOD_PRINT_LVL_INFO     1
#define RTK_DEMOD_PRINT_LVL_WARNING  2

#ifndef RTK_DEMOD_PRINT_LVL
#define RTK_DEMOD_PRINT_LVL          RTK_DEMOD_PRINT_LVL_WARNING
#endif


#define RTK_DEMOD_CALLER(fmt, args...)	   do { if (RTK_DEMOD_PRINT_LVL_DBG >= RTK_DEMOD_PRINT_LVL) printk("[DEMOD] Caller, " fmt, ##args);}while(0)
#define RTK_DEMOD_DBG(fmt, args...)        do { if (RTK_DEMOD_PRINT_LVL_DBG >= RTK_DEMOD_PRINT_LVL) printk("[DEMOD] Debug, " fmt, ##args);}while(0)
#define RTK_DEMOD_INFO(fmt, args...)       do { if (RTK_DEMOD_PRINT_LVL_INFO >= RTK_DEMOD_PRINT_LVL) printk("[DEMOD] Info, " fmt, ##args);}while(0)
#define RTK_DEMOD_WARNING(fmt, args...)    do { if (RTK_DEMOD_PRINT_LVL_WARNING >= RTK_DEMOD_PRINT_LVL) printk("[DEMOD] Warning, " fmt, ##args);}while(0)

#endif // __DEMOD_REALTEK_COMMON_H__
