#ifndef _IFD_magellan_H_
#define _IFD_magellan_H_

#ifdef __cplusplus
extern "C" {
#endif

/*------- Include Files ------- */
#include "../include/qc_verify_common.h"
#include "../include/demod/ifd27_reg.h"
#include "../include/demod/ifd49_reg.h"
#include "../include/demod/ifd108_reg.h"
#include "../include/demod/pll27x_reg_reg.h"
#include "../include/demod/tv_sb1_ana_reg.h"
#include "../include/demod/vd_ifd_input_reg.h"
#include "../include/demod/vd_ifd_input_108_reg.h"
#include "../include/rbusVDTopReg.h"
#include "../include/rbusAudio_IOReg.h"

#include "IFD_qc.h"
#include "tuner_atv.h"
#include "tuner_atv_base.h"
#include <platform_lib/board/pcb.h>

#ifdef CONFIG_TUNER_XUGUANG_HFT3_86H_115CW
#include "../drivers/tv/tuner/tuner_rf.h"
#elif defined(CONFIG_TUNER_LOWIF_TYPE)
#ifdef CONFIG_TUNER_NXP_TDA18273
#include "tuner_nxp_tda18273.h"
#endif			
#endif


/*------- Definitions ------- */
#ifndef bool
#define bool char
#endif


#ifndef rtd_maskl
#define rtd_maskl rtdf_maskl
#endif

#ifndef CONFIG_Tuner_Max_NUMBER
#ifdef AFEIF_RTKATV_TUNER_MAX
#define CONFIG_Tuner_Max_NUMBER AFEIF_RTKATV_TUNER_MAX
#else
#define CONFIG_Tuner_Max_NUMBER 1
#endif
#endif

#ifndef CONFIG_Tuner_Max_NUMBER
#define CONFIG_Tuner_Max_NUMBER 1
#endif
#ifndef _Tuner_MAX_NO
#define _Tuner_MAX_NO CONFIG_Tuner_Max_NUMBER
#endif
#define IFD_CODE 
#define IFD_XDATA 
#define _TRUE 1
#define _FALSE 0
//#define I2C_MASTER0		IFD_I2C_MASTER
#define ROS_ENTER_CRITICAL() 
#define ROS_EXIT_CRITICAL()


/*------- Debug Msg Definitions ------- */
typedef enum {
	IFD_MSG_NONE=_ZERO,
	IFD_MSG_TUNER=_BIT0,
	IFD_MSG_SCANCH=_BIT1,
	IFD_MSG_SETCH=_BIT2,
	IFD_MSG_AUTO=_BIT3,
	IFD_MSG_AFC=_BIT4,
	IFD_MSG_ADAPTIVE_TARGET=_BIT5,
	IFD_MSG_CR_STATE=_BIT6,
	IFD_MSG_STRONG_SIGNAL=_BIT7,
	IFD_MSG_DUMP_REG=_BIT8,
	IFD_MSG_AGC_VAR=_BIT9,
	IFD_MSG_INIT=_BIT10,
	IFD_MSG_OTHERS=_BIT11,
	IFD_MSG_INFO=_BIT15,
	IFD_MSG_ALL_MSG=0xFFFF,
}IFD_MSG_LEVEL;

extern IFD_MSG_LEVEL  g_ifd_msg_level;

#define IFD_CALLER(ifd_level)  \
{                                                                                      \
    if((g_ifd_msg_level&ifd_level)!=0)                            \
    {                                                                                  \
    	 asm("or $5,$31,$0");                                                 \
    	 printf( "$$$$$$IFD API called at %x --- ");                 \
    }                                                                                  \
}
#define IFD_DEBUG_MSG(ifd_level,string,args...) \
{									\
	if(ifd_level==IFD_MSG_INFO)	\
	{								\
			printf("\n[IFD_DEBUG][INFO]");				\
			printf(string, ##args);				\
	}\
	if(((g_ifd_msg_level&ifd_level)!=0)) {	\
		if(ifd_level==IFD_MSG_TUNER)	\
		{								\
			printf("\n[IFD_DEBUG][TUNER]");				\
		}								\
		if(ifd_level==IFD_MSG_SCANCH)	\
		{								\
			printf("\n[IFD_DEBUG][SCAN_CH]");				\
		}								\
		if(ifd_level==IFD_MSG_SETCH)	\
		{								\
			printf("\n[IFD_DEBUG][SET_CH]");				\
		}								\
		if(ifd_level==IFD_MSG_AUTO)	\
		{								\
			printf("\n[IFD_DEBUG][SET_CH]");				\
		}								\
		if(ifd_level==IFD_MSG_AFC)	\
		{								\
			printf("\n[IFD_DEBUG][AFC]");				\
		}								\
		if(ifd_level==IFD_MSG_ADAPTIVE_TARGET)	\
		{								\
			printf("\n[IFD_DEBUG][ADAPTIVE_TARGET]");				\
		}								\
		if(ifd_level==IFD_MSG_CR_STATE)	\
		{								\
			printf("\n[IFD_DEBUG][CR_STATE]");				\
		}								\
		if(ifd_level==IFD_MSG_STRONG_SIGNAL)	\
		{								\
			printf("\n[IFD_DEBUG][STRONG_SIGNAL]");				\
		}								\
		if(ifd_level==IFD_MSG_DUMP_REG)	\
		{								\
			printf("\n[IFD_DEBUG][DUMP_REG]");				\
		}								\
		if(ifd_level==IFD_MSG_AGC_VAR)	\
		{								\
			printf("\n[IFD_DEBUG][AGC_VAR]");				\
		}								\
		if(ifd_level==IFD_MSG_INIT)	\
		{								\
			printf("\n[IFD_DEBUG][INIT]");				\
		}								\
		if(ifd_level==IFD_MSG_OTHERS)	\
		{								\
			printf("\n[IFD_DEBUG][OTHERS]");				\
		}								\
		printf(string, ##args);				\
	}\
}	


/*------- Version ID Definitions ------- */
#define GET_IFD_VERSION() (rtd_inl(0xb8060000)&0xffff)
typedef enum _IFD_CHIP_VERSION {
	IFD_CHIP_VERSION_VER_A=0x0,
	IFD_CHIP_VERSION_VER_B,
	IFD_CHIP_VERSION_VER_C,
} IFD_CHIP_VERSION;


/*------- Timer Event Definitions ------- */
#define next_time_dont_check_variance g_next_time_dont_check_variance
#define ifd_log_reg_active drv_ifd_periodic_log_reg
#define ifd_log_reg_cancel SLRTIMER_IFD_LOGGER
#define IFD_ScalerTimer_CancelTimerEvent(event) ScalerTimer_CancelTimerEvent(event)
#define IFD_ReactiveTimerEvent(flag, ms, event) ScalerTimer_ReactiveTimerEvent(flag, ms, (SLRTIMER_CALLBACK)event)


/*------- Other Definitions ------- */
extern UINT16  group_delay_table1[];
extern UINT16  group_delay_table2[];
extern UINT16  group_delay_table3[];
extern UINT16  group_delay_table4[];
extern UINT16  group_delay_table5[];

typedef enum _IFD_DEBUG_MODE_CLK_CONFIG {
	CLK54=0,
	CLK49,
	CLK108,
} IFD_DEBUG_MODE_CLK_CONFIG;

typedef enum _IFD_DEBUG_MODE_CONFIG { //Please sync with ifd_factorymode.cpp 
	ADC_OUT=0,
	FIFO_OUT,
	DGAIN_OUT,
	DEMOD_OUT,
	CVBS_OUT,
	AGC_RF,
	AGC_IF,
	AGC_LOOP1_LPF_OUT,
	AGC_LOOP1_MAX_OUT,
	AGC_LOOP1_DGAIN,
	AGC_LOOP1_DIFF_ERR,
	AGC_LOOP1_ERR0,
	AGC_LOOP1_PEAK_ERR,
	AGC_LOOP1_PEAK,
	AGC_LOOP1_LPF_OUT_DGAINED,
	AGC_LOOP2_DGAIN,
	AGC_LOOP2_DIFF_ERR,
	AGC_LOOP2_PEAK_ERR,
	AGC_LOOP2_PEAK,	
	CR_COS,
	CR_LPF_OUT,
	CR_PHASE_ERROR,
	CR_IN,
	SIF_OUT,
	IFD_RESERVE_1,
	IFD_RESERVE_2,
	IFD_DMA_ALL,	
} IFD_DEBUG_MODE_CONFIG;


/*------- IFD local driver ------- */
#include "ifd_analog.h"
#include "ifd_cr.h"
#include "ifd_agc.h"
#include "ifd_video.h"

void drv_ifd_tuner_data_init(void);
void drv_ifd_tuner_BuildTuner(void);
void drv_ifd_user_data_init(void);

#ifdef __cplusplus
}
#endif

#endif // _IFD_PACIFICP_H_
