#ifndef __MHL3_H__
#define __MHL3_H__

#ifdef __cplusplus
extern "C" {
#endif



/*#include <qc_verify_common.h>*/
/*#include <qc_verify.h>*/
#include "rbusTypes.h"

#include "include_mhl3/cbus_pmm_reg.h"
#include "include_mhl3/cbus_reg.h"
#include "include_mhl3/ecbus_rx_dphy_reg.h"
#include "include_mhl3/ecbus_rx_reg.h"
#include "include_mhl3/pinmux_pmm_reg.h"
/*#include "include_mhl3/dfe_hdmi_rx_phy_reg.h"*/
/*#include "include_mhl3/hdmi_clkdet_reg.h"*/
#include "include_mhl3/rbusMiscDDCReg.h"
/*#include "include_mhl3/hdmi_reg.h"*/
#include "include_mhl3/cbus_BURST_ID.h"

#define MHL3_ENABLE 1

#define TRUE 1
#define FALSE 0


#define HEV_VIC_H                     0x00
#define HEV_VIC_L                     0x20
#define VC_ASSIGN_H                0x00
#define VC_ASSIGN_L                 0x38
#define VC_CONFIRM_H              0x00
#define VC_CONFIRM_L               0x39
#define BIST_SETUP_H               0x00
#define BIST_SETUP_L               0x51
#define BIST_RETURN_STAT_H    0x00
#define BIST_RETURN_STAT_L   0x52
#define BIST_DISCARD_H             0x00
#define BIST_DISCARD_L               0x53
#define BIST_ECHO_REQUEST_H   0x00
#define BIST_ECHO_REQUEST_L    0x54
#define BIST_ECHO_RESPONSE_H 0x00
#define BIST_ECHO_RESPONSE_L 0x55
#define EMSC_SUPPORT_H             0x00
#define EMSC_SUPPORT_L               0x61
#define BLK_RCV_BUFFER_INFO_H 0x00
#define BLK_RCV_BUFFER_INFO_L 0x63
#define BITS_PER_PIXEL_FMT_H 0x00
#define BITS_PER_PIXEL_FMT_L 0x64

typedef enum {
	MHL3_INIT,
	MHL3_WAIT_SRC_VER,
	MHL3_WAIT_ECBUS_SPEED,
	MHL3_WAIT_RAP_MODE_UP,
	MHL3_WAIT_CLK,
	MHL3_STARTUP,
	MHL3_TDM_SLOT_SYNC,
	MHL3_ECBUS_DONE,
	MHL3_PATHEN,
	MHL3_READY,
	MHL3_RE_DISCOVERY,
	MHL3_SKIP
} ENUM_MHL3_FSM;

enum {
	CURR_ECBUS_MODE = 0x90,
	AV_LINK_MODE_STATUS,
	AV_LINK_MODE_CONTROL,
	MULTI_SINK_STATUS
};

enum {
	LINK_NO_SIGNAL,
	LINK_CRU_LOCKED,
	LINK_TMDS_NORMAL
};

enum {
	BPP_24,
	BPP_16
};

typedef struct _MHL3_BIST_T_ {
	unsigned char duration;
	unsigned char test_pattern;
	unsigned short fixed;
	unsigned char rdm;
	unsigned char ecbus_tx;
	unsigned char ecbus_rx;
	unsigned short err_cnt;
}MHL3_BIST_T;


extern bool WRITE_XSTAT(int offset, int data);
extern bool mhl3_read_xdevcap(unsigned int offset);

extern void mhl3_init_state(void);
extern unsigned char mhl3_get_src_ver(void);
extern unsigned char mhl3_get_version(void);
extern ENUM_MHL3_FSM mhl3_get_state(void);
extern bool mhl3_ocbus_send_cmd(void);

extern void mhl3_reset(void);
extern void mhl3_disconnect(void);
extern unsigned char mhl3_ecbus_discovery(void);
extern void mhl3_rap_mode_down(void);
extern void mhl3_init_phy_mac(void);
extern void mhl3_go_ocbus(void);

extern unsigned char mhl3_get_bits_per_pixel(void);
extern unsigned char mhl3_get_link_rate(void);
extern void mhl3_check_link_rate(void);
extern void mhl3_xstat_handler(void);
extern void mhl3_bist_ecbus_set(unsigned char duration, unsigned char pattern, unsigned short fixed);
extern void mhl3_bist_avlink_set(unsigned char duration, unsigned char pattern, unsigned short fixed, unsigned char rdm);
extern void mhl3_bist_handler(void);
extern void mhl3_virtual_channel_handler(unsigned char *buf);
extern void mhl3_send_hev_vic(void);
extern void mhl3_send_emsc_support(void);
extern void mhl3_init_block_trans(void);
extern void mhl3_block_handler(void);

#ifdef __cplusplus
}
#endif

#endif

