#include <qc_verify_common.h>
int gpio_vs_gpio(char out_port, UINT32 out_port_num, char in_port, UINT32 in_port_num)
{

UINT32 gpio_err=0;
UINT32 gpo_cr_set,gpo_data_set,gpi_cr_set,gpi_data_set, tmp;
__attribute__ ((unused)) UINT32 gpi_tmp;
//UINT32 in_data,in_int,out_data;
char *in_port_cr,*in_port_data; //,*in_data_value;
char *out_port_cr,*out_port_data;
UINT32 write_data=1;
	
if (in_port=='M'){
	
    in_port_cr=(char *)(0xb801bd00+((in_port_num/31)*4)); // MIS_GPDIR
    in_port_data=(char *)(0xb801bd30+((in_port_num/31)*4)); // GPI Read input

}
else{
 
    in_port_cr=(char *)(0xb8061100+((in_port_num/31)*4)); // ISO_GPDIR
    in_port_data=(char *)(0xb8061110+((in_port_num/31)*4)); //GPI Read input
	
}

if (out_port=='M'){
	
    out_port_cr=(char *)(0xb801bd00+((out_port_num/31)*4)); //MIS_GPDIR
    out_port_data=(char *)(0xb801bd18+((out_port_num/31)*4)); //GPO	
}
else{
    out_port_cr=(char *)(0xb8061100+((out_port_num/31)*4)); // ISO_GPDIR
    out_port_data=(char *)(0xb8061108+((out_port_num/31)*4)); //GPO

}

gpi_cr_set=dw((unsigned int)in_port_cr)|(0x1<<((in_port_num%31)+1))&(~write_data); // in_port_cr = GPDIR > GPI
	
ew((unsigned int)in_port_cr,gpi_cr_set);     //  in_port   set

gpo_cr_set=dw((unsigned int)out_port_cr)|(0x1<<((out_port_num%31)+1))|write_data; // GPDIR > GPO

ew((unsigned int)out_port_cr,gpo_cr_set);   //  set  out_output 

//===============  write 1 ===================================
gpo_data_set=dw((unsigned int)out_port_data)|(0x1<<((out_port_num%31)+1))|write_data;

ew((unsigned int)out_port_data,gpo_data_set); //  output data=1;

udelay(100);

tmp=dw((unsigned int)in_port_data)&(0x1<<((in_port_num%31)+1)); // read GPI value, in_port_data mapping bit= 1

tmp=tmp>>((in_port_num%31)+1);

udelay(100);
if((tmp)==0x1)  
{
gpio_err|=0;
}
else{
printk("Out port write 1 is 1 -> fail \n");
gpio_err|=1;
}
udelay(100);


//===============  write 0 ===================================
gpo_data_set=dw((unsigned int)out_port_data)|(0x1<<((out_port_num%31)+1))&(~write_data);
ew((unsigned int)out_port_data,gpo_data_set); 
udelay(100);         

tmp=dw((unsigned int)in_port_data)&(0x1<<((in_port_num%31)+1));
tmp=tmp>>((in_port_num%31)+1); 
udelay(100);

if((tmp)==0x0)             	
{
gpio_err|=0;
}
else{
printk("Out port write 0 is 0 -> fail \n");
gpio_err|=1;
}

gpo_cr_set = dw((unsigned int)out_port_cr)|(0x1<<((out_port_num%31)+1))&(~write_data);
ew((unsigned int)out_port_cr,gpo_cr_set);   //  clear  output 

// ==========================================================
if(gpio_err==0)
return 0;
else
{
	return 1;
}

}

extern void rtd_part_outl(unsigned int addr, unsigned int B, unsigned int C, unsigned int D);
int Verifier_GPIO(void)
{
	UINT32 gpio_err=0;
	UINT32 gpio_sum=0;
	//jumper	
	//pad_gpio_02		pad_gpio_03
	rtd_part_outl(0xb8000800,15,12,0xf);
	rtd_part_outl(0xb8000800,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',2,'M',3);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 02 vs GPI Main 03 fail \n");
	gpio_err=gpio_vs_gpio('M',3,'M',2);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
  		printk("GPO Main 03 vs GPI Main 02 fail \n");

	//pad_gpio_00_io	pad_gpio_01_io
	rtd_part_outl(0xb8000800,31,28,0xf);
	rtd_part_outl(0xb8000800,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',0,'M',1);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 0 vs GPI Main 1 fail \n");
	gpio_err=gpio_vs_gpio('M',1,'M',0);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 1 vs GPI Main 0 fail \n");

	//pad_gpio_04_io	pad_gpio_05_io	
	rtd_part_outl(0xb8000804,31,28,0xf);
	rtd_part_outl(0xb8000804,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',4,'M',5);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 4 vs GPI Main 5 fail \n");
	gpio_err=gpio_vs_gpio('M',5,'M',4);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 5 vs GPI Main 4 fail \n");

	//pad_gpio_06_io		pad_gpio_07_io	
	rtd_part_outl(0xb8000804,15,12,0xf);
	rtd_part_outl(0xb8000804,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',6,'M',7);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 6 vs GPI Main 7 fail \n");
	gpio_err=gpio_vs_gpio('M',7,'M',6);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 7 vs GPI Main 6 fail \n");

		//pad_gpio_14_io		pad_gpio_15_io	
	rtd_part_outl(0xb800080c,15,12,0xf);
	rtd_part_outl(0xb800080c,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',14,'M',15);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 14 vs GPI Main 15 fail \n");
	gpio_err=gpio_vs_gpio('M',15,'M',14);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 15 vs GPI Main 14 fail \n");


		//pad_gpio_57_io		pad_gpio_58_io	
	rtd_part_outl(0xb8000840,31,28,0xf);
	rtd_part_outl(0xb8000840,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',57,'M',58);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 57 vs GPI Main 58 fail \n");
	gpio_err=gpio_vs_gpio('M',58,'M',57);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 58 vs GPI Main 57 fail \n");

		//pad_gpio_63_io		pad_gpio_64_io	
	rtd_part_outl(0xb8000844,15,12,0xf);
	rtd_part_outl(0xb8000844,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',63,'M',64);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 63 vs GPI Main 64 fail \n");
	gpio_err=gpio_vs_gpio('M',64,'M',63);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 64 vs GPI Main 63 fail \n");

		//pad_gpio_65_io		pad_gpio_66_io	
	rtd_part_outl(0xb8000848,31,28,0xf);
	rtd_part_outl(0xb8000848,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',65,'M',66);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 65 vs GPI Main 66 fail \n");
	gpio_err=gpio_vs_gpio('M',66,'M',65);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 66 vs GPI Main 65 fail \n");


		//pad_gpio_67_io		pad_gpio_68_io	
	rtd_part_outl(0xb8000848,15,12,0xf);
	rtd_part_outl(0xb8000848,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',67,'M',68);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 67 vs GPI Main 68 fail \n");
	gpio_err=gpio_vs_gpio('M',68,'M',67);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 68 vs GPI Main 67 fail \n");


		//pad_gpio_69_io		pad_gpio_70_io	
	rtd_part_outl(0xb800084c,31,28,0xf);
	rtd_part_outl(0xb800084c,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',69,'M',70);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 69 vs GPI Main 70 fail \n");
	gpio_err=gpio_vs_gpio('M',70,'M',69);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 70 vs GPI Main 69 fail \n");

		//pad_gpio_71_io		pad_gpio_72_io	
	rtd_part_outl(0xb800084c,15,12,0xf);
	rtd_part_outl(0xb800084c,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',71,'M',72);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 71 vs GPI Main 72 fail \n");
	gpio_err=gpio_vs_gpio('M',72,'M',71);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 72 vs GPI Main 71 fail \n");

		//pad_gpio_79_io		pad_gpio_80_io	
	rtd_part_outl(0xb8000854,15,12,0xf);
	rtd_part_outl(0xb8000854,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',79,'M',80);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 79 vs GPI Main 80 fail \n");
	gpio_err=gpio_vs_gpio('M',80,'M',79);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 80 vs GPI Main 79 fail \n");

		//pad_gpio_83_io		pad_gpio_84_io	
	rtd_part_outl(0xb800086c,31,28,0xf);
	rtd_part_outl(0xb800086c,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',83,'M',84);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 83 vs GPI Main 84 fail \n");
	gpio_err=gpio_vs_gpio('M',84,'M',83);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 84 vs GPI Main 83 fail \n");

		//pad_gpio_85_io		pad_gpio_86_io	
	rtd_part_outl(0xb800086c,15,12,0xf);
	rtd_part_outl(0xb800086c,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',85,'M',86);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 85 vs GPI Main 86 fail \n");
	gpio_err=gpio_vs_gpio('M',86,'M',85);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 86 vs GPI Main 85 fail \n");

		//pad_gpio_87_io		pad_gpio_88_io	
	rtd_part_outl(0xb8000870,31,28,0xf);
	rtd_part_outl(0xb8000870,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',87,'M',88);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 87 vs GPI Main 88 fail \n");
	gpio_err=gpio_vs_gpio('M',88,'M',87);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 88 vs GPI Main 87 fail \n");

		//pad_gpio_89_io		pad_gpio_90_io	
	rtd_part_outl(0xb8000870,15,12,0xf);
	rtd_part_outl(0xb8000870,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',89,'M',90);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 89 vs GPI Main 90 fail \n");
	gpio_err=gpio_vs_gpio('M',90,'M',89);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 90 vs GPI Main 89 fail \n");

		//pad_gpio_91_io		pad_gpio_92_io	
	rtd_part_outl(0xb8000874,31,28,0xf);
	rtd_part_outl(0xb8000874,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',91,'M',92);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 91 vs GPI Main 92 fail \n");
	gpio_err=gpio_vs_gpio('M',92,'M',91);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 92 vs GPI Main 91 fail \n");

		//pad_gpio_93_io		pad_gpio_94_io	
	rtd_part_outl(0xb8000874,15,12,0xf);
	rtd_part_outl(0xb8000874,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',93,'M',94);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 93 vs GPI Main 94 fail \n");
	gpio_err=gpio_vs_gpio('M',94,'M',93);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 94 vs GPI Main 93 fail \n");

		//pad_gpio_95_io		pad_gpio_96_io	
	rtd_part_outl(0xb8000878,31,28,0xf);
	rtd_part_outl(0xb8000878,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',95,'M',96);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 95 vs GPI Main 96 fail \n");
	gpio_err=gpio_vs_gpio('M',96,'M',95);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 96 vs GPI Main 95 fail \n");

		//pad_gpio_97_io		pad_gpio_98_io	
	rtd_part_outl(0xb8000878,15,12,0xf);
	rtd_part_outl(0xb8000878,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',97,'M',98);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 97 vs GPI Main 98 fail \n");
	gpio_err=gpio_vs_gpio('M',98,'M',97);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 98 vs GPI Main 97 fail \n");

		//pad_gpio_99_io		pad_gpio_100_io	
	rtd_part_outl(0xb800087c,31,28,0xf);
	rtd_part_outl(0xb800087c,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',99,'M',100);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 99 vs GPI Main 100 fail \n");
	gpio_err=gpio_vs_gpio('M',100,'M',99);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 100 vs GPI Main 99 fail \n");

		//pad_gpio_101_io		pad_gpio_102_io	
	rtd_part_outl(0xb800087c,15,12,0xf);
	rtd_part_outl(0xb800087c,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',101,'M',102);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 101 vs GPI Main 102 fail \n");
	gpio_err=gpio_vs_gpio('M',102,'M',101);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 102 vs GPI Main 101 fail \n");

		//pad_gpio_103_io		pad_gpio_104_io	
	rtd_part_outl(0xb8000880,31,28,0xf);
	rtd_part_outl(0xb8000880,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',103,'M',104);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 103vs GPI Main 104 fail \n");
	gpio_err=gpio_vs_gpio('M',104,'M',103);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main104 vs GPI Main 103 fail \n");

		//pad_gpio_105_io		pad_gpio_106_io	
	rtd_part_outl(0xb8000880,15,12,0xf);
	rtd_part_outl(0xb8000880,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',105,'M',106);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 105 vs GPI Main 106 fail \n");
	gpio_err=gpio_vs_gpio('M',106,'M',105);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 106 vs GPI Main 105 fail \n");

		//pad_gpio_107_io		pad_gpio_108_io	
	rtd_part_outl(0xb8000884,31,28,0xf);
	rtd_part_outl(0xb8000884,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',107,'M',108);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 107vs GPI Main 108 fail \n");
	gpio_err=gpio_vs_gpio('M',108,'M',107);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 108 vs GPI Main 107 fail \n");

		//pad_gpio_109_io		pad_gpio_110_io	
	rtd_part_outl(0xb8000884,15,12,0xf);
	rtd_part_outl(0xb8000884,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',109,'M',110);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 109 vs GPI Main 110 fail \n");
	gpio_err=gpio_vs_gpio('M',110,'M',109);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 110 vs GPI Main 109 fail \n");

		//pad_gpio_111_io		pad_gpio_112_io	
	rtd_part_outl(0xb8000888,31,28,0xf);
	rtd_part_outl(0xb8000888,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',111,'M',112);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 111 vs GPI Main 112 fail \n");
	gpio_err=gpio_vs_gpio('M',112,'M',111);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 112 vs GPI Main 111 fail \n");

		//pad_gpio_113_io		pad_gpio_114_io	
	rtd_part_outl(0xb8000888,15,12,0xf);
	rtd_part_outl(0xb8000888,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',113,'M',114);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 113 vs GPI Main 114 fail \n");
	gpio_err=gpio_vs_gpio('M',114,'M',113);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 114 vs GPI Main 113 fail \n");

		//pad_gpio_115_io		pad_gpio_116_io	
	rtd_part_outl(0xb800088c,31,28,0xf);
	rtd_part_outl(0xb800088c,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',115,'M',116);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 115 vs GPI Main 116 fail \n");
	gpio_err=gpio_vs_gpio('M',116,'M',115);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 116 vs GPI Main 115 fail \n");

		//pad_gpio_117_io		pad_gpio_118_io	
	rtd_part_outl(0xb800088c,15,12,0xf);
	rtd_part_outl(0xb800088c,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',117,'M',118);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 117 vs GPI Main 118 fail \n");
	gpio_err=gpio_vs_gpio('M',118,'M',117);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 118 vs GPI Main 117 fail \n");

		//pad_gpio_119_io		pad_gpio_120_io	
	rtd_part_outl(0xb8000890,31,28,0xf);
	rtd_part_outl(0xb8000890,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',119,'M',120);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main119 vs GPI Main 120 fail \n");
	gpio_err=gpio_vs_gpio('M',120,'M',119);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 120 vs GPI Main 119 fail \n");

		//pad_gpio_121_io		pad_gpio_122_io	
	rtd_part_outl(0xb8000890,15,12,0xf);
	rtd_part_outl(0xb8000890,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',121,'M',122);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 121 vs GPI Main 122 fail \n");
	gpio_err=gpio_vs_gpio('M',122,'M',121);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 122 vs GPI Main 121 fail \n");

		//pad_gpio_123_io		pad_gpio_124_io	
	rtd_part_outl(0xb8000894,31,28,0xf);
	rtd_part_outl(0xb8000894,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',123,'M',124);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 123 vs GPI Main 124 fail \n");
	gpio_err=gpio_vs_gpio('M',124,'M',123);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 124 vs GPI Main 123 fail \n");

		//pad_gpio_126_io		pad_gpio_127_io	
	rtd_part_outl(0xb8000894,7,4,0xf);
	rtd_part_outl(0xb8000898,31,28,0xf);
	gpio_err=gpio_vs_gpio('M',126,'M',127);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 126 vs GPI Main 127 fail \n");
	gpio_err=gpio_vs_gpio('M',127,'M',126);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 127 vs GPI Main 126 fail \n");

		//pad_gpio_128_io		pad_gpio_129_io	
	rtd_part_outl(0xb8000898,23,20,0xf);
	rtd_part_outl(0xb8000898,15,12,0xf);
	gpio_err=gpio_vs_gpio('M',128,'M',129);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 128 vs GPI Main 129 fail \n");
	gpio_err=gpio_vs_gpio('M',129,'M',128);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 129 vs GPI Main 128 fail \n");

		//pad_gpio_130_io		pad_gpio_131_io	
	rtd_part_outl(0xb8000898,7,4,0xf);
	rtd_part_outl(0xb800089c,31,28,0xf);
	gpio_err=gpio_vs_gpio('M',130,'M',131);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 130 vs GPI Main 131 fail \n");
	gpio_err=gpio_vs_gpio('M',131,'M',130);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 131 vs GPI Main 130 fail \n");

		//pad_gpio_132_io		pad_gpio_133_io	
	rtd_part_outl(0xb800089c,23,20,0xf);
	rtd_part_outl(0xb800089c,15,12,0xf);
	gpio_err=gpio_vs_gpio('M',132,'M',133);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 132 vs GPI Main 133 fail \n");
	gpio_err=gpio_vs_gpio('M',133,'M',132);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 133 vs GPI Main 132 fail \n");

		//pad_gpio_134_io		pad_gpio_135io	
	rtd_part_outl(0xb800089c,7,4,0xf);
	rtd_part_outl(0xb80008a0,31,28,0xf);
	gpio_err=gpio_vs_gpio('M',134,'M',135);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 134 vs GPI Main 135 fail \n");
	gpio_err=gpio_vs_gpio('M',135,'M',134);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 135 vs GPI Main 134 fail \n");
		
		

		//pad_gpio_151_io		pad_gpio_152_io	
	rtd_part_outl(0xb80008a4,31,28,0xf);
	rtd_part_outl(0xb80008a4,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',151,'M',152);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 151 vs GPI Main 152 fail \n");
	gpio_err=gpio_vs_gpio('M',152,'M',151);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 152 vs GPI Main 151 fail \n");

//=====================
#if defined(Config_Package_type_BGA)
	#define CONFIG_RTK_B22_QC
	
	//pad_st_gpio_24_io	pad_st_gpio_25_io	
	rtd_part_outl(0xb8060214,23,20,0xf);
	rtd_part_outl(0xb8060214,15,12,0xf);
	gpio_err=gpio_vs_gpio('S',24,'S',25);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 24 vs GPI Standby 25 fail \n");
	gpio_err=gpio_vs_gpio('S',25,'S',24);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 25 vs GPI Standby 24 fail \n");
		
	//pad_st_gpio_37_io	pad_st_gpio_38_io	
	rtd_part_outl(0xb8060220,15,12,0xf);
	rtd_part_outl(0xb8060220,15,12 ,0xf);
	gpio_err=gpio_vs_gpio('S',37,'S',37);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 37 vs GPI Standby 37 fail \n");
	gpio_err=gpio_vs_gpio('S',37,'S',37);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 37 vs GPI Standby 37 fail \n");

	
	//pad_st_gpio_41_io	pad_st_gpio_42_io	
	rtd_part_outl(0xb8060224,23,20,0xf);
	rtd_part_outl(0xb8060224,15,12,0xf);
	gpio_err=gpio_vs_gpio('S',41,'S',42);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 41 vs GPI Standby 42 fail \n");
	gpio_err=gpio_vs_gpio('S',42,'S',41);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 42 vs GPI Standby 41 fail \n");

	//pad_st_gpio_43_io	pad_st_gpio_44_io	
	rtd_part_outl(0xb8060228,31,28,0xf);
	rtd_part_outl(0xb8060228,23,20,0xf);
	gpio_err=gpio_vs_gpio('S',43,'S',44);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 43 vs GPI Standby 44 fail \n");
	gpio_err=gpio_vs_gpio('S',44,'S',43);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 44 vs GPI Standby 43 fail \n");

	//pad_st_gpio_47_io	pad_st_gpio_48_io	
	rtd_part_outl(0xb806022c,31,28,0xf);
	rtd_part_outl(0xb806022c,23,20,0xf);
	gpio_err=gpio_vs_gpio('S',47,'S',48);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 47 vs GPI Standby 48 fail \n");
	gpio_err=gpio_vs_gpio('S',48,'S',47);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 48 vs GPI Standby 47 fail \n");

	//pad_st_gpio_53_io	pad_st_gpio_54_io	
	rtd_part_outl(0xb8060230,15,12,0xf);
	rtd_part_outl(0xb8060230,7,4,0xf);
	gpio_err=gpio_vs_gpio('S',53,'S',54);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 53 vs GPI Standby 54 fail \n");
	gpio_err=gpio_vs_gpio('S',54,'S',53);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 54 vs GPI Standby 53 fail \n");

	//pad_st_gpio_55_io	pad_st_gpio_56_io	
	rtd_part_outl(0xb8060234,31,28,0xf);
	rtd_part_outl(0xb8060234,23,20,0xf);
	gpio_err=gpio_vs_gpio('S',55,'S',56);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 55 vs GPI Standby 56 fail \n");
	gpio_err=gpio_vs_gpio('S',56,'S',55);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 56 vs GPI Standby 55 fail \n");

//need long-line jump to others
//4k60

	//pad_gpio_20_io		pad_gpio_23_io	
	rtd_part_outl(0xb8000814,31,28,0xf);
	rtd_part_outl(0xb8000814,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',20,'M',23);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 20 vs GPI Main 23 fail \n");
	gpio_err=gpio_vs_gpio('M',23,'M',20);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 23 vs GPI Main 20 fail \n"); 

	//pad_gpio_29_io		pad_gpio_29_io	
	rtd_part_outl(0xb800081c,23,20,0xf);
	rtd_part_outl(0xb800081c,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',29,'M',29);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 29 vs GPI Main 29 fail \n");
	gpio_err=gpio_vs_gpio('M',29,'M',29);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 29 vs GPI Main 29 fail \n"); 		
				
	//pad_gpio_125_io		pad_gpio_153_io	
	rtd_part_outl(0xb8000894,15,12,0xf);
	rtd_part_outl(0xb80008a4,15,12,0xf);
	gpio_err=gpio_vs_gpio('M',125,'M',153);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 125 vs GPI Main 153 fail \n");
	gpio_err=gpio_vs_gpio('M',153,'M',125);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 153 vs GPI Main 125 fail \n"); 

	//pad_gpio_136_io		pad_gpio_137_io	
	rtd_part_outl(0xb80008a0,23,20,0xf);
	rtd_part_outl(0xb80008a0,15,12,0xf);
	gpio_err=gpio_vs_gpio('M',136,'M',137);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 136 vs GPI Main 137 fail \n");
	gpio_err=gpio_vs_gpio('M',137,'M',136);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 137 vs GPI Main 136 fail \n"); 
		
	//pad_st_gpio_05_io	pad_st_gpio_23_io	
	rtd_part_outl(0xb806020c,23,20,0xf);
	rtd_part_outl(0xb8060214,31,28,0xf);
	gpio_err=gpio_vs_gpio('S',5,'S',23);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 5 vs GPI Standby 23 fail \n");
	gpio_err=gpio_vs_gpio('S',23,'S',5);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 23 vs GPI Standby 5 fail \n");

	//pad_st_gpio_40_io	pad_st_gpio_45_io	
	rtd_part_outl(0xb8060224,23,20,0xf);
	rtd_part_outl(0xb8060228,15,12,0xf);
	gpio_err=gpio_vs_gpio('S',40,'S',45);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 40 vs GPI Standby 45 fail \n");
	gpio_err=gpio_vs_gpio('S',45,'S',40);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 45 vs GPI Standby 40 fail \n");

	//pad_st_gpio_40_io	pad_st_gpio_45_io	
	rtd_part_outl(0xb806022c,7,4,0xf);
	rtd_part_outl(0xb8060230,23,20,0xf);
	gpio_err=gpio_vs_gpio('S',50,'S',52);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 50 vs GPI Standby 52 fail \n");
	gpio_err=gpio_vs_gpio('S',52,'S',50);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 52 vs GPI Standby 50 fail \n");
	
	//pad_st_gpio_57_io	pad_st_gpio_59_io	
	rtd_part_outl(0xb8060234,15,12,0xf);
	rtd_part_outl(0xb8060238,31,28,0xf);
	gpio_err=gpio_vs_gpio('S',57,'S',59);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 57 vs GPI Standby 59 fail \n");
	gpio_err=gpio_vs_gpio('S',59,'S',57);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Standby 59 vs GPI Standby 57 fail \n");		

	//pad_gpio_81_io		pad_gpio_81_io	
	rtd_part_outl(0xb8000858,31,28,0xf);
	rtd_part_outl(0xb8000858,31,28,0xf);
	gpio_err=gpio_vs_gpio('M',81,'M',81);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 81 vs GPI Main 81 fail \n");
	gpio_err=gpio_vs_gpio('M',81,'M',81);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 81 vs GPI Main 81 fail \n"); 
		
			//pad_gpio_13_io		pad_gpio_62_io	
	rtd_part_outl(0xb800080c,23,20,0xf);
	rtd_part_outl(0xb8000844,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',13,'M',62);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 13 vs GPI Main 62 fail \n");
	gpio_err=gpio_vs_gpio('M',62,'M',13);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 62 vs GPI Main 13 fail \n"); 
		
					//pad_gpio_08_io		pad_gpio_08_io	
	rtd_part_outl(0xb8000808,31,28,0xf);
	rtd_part_outl(0xb8000808,31,28,0xf);
	gpio_err=gpio_vs_gpio('M',8,'M',8);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 08 vs GPI Main 08 fail \n");
	gpio_err=gpio_vs_gpio('M',8,'M',8);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 08 vs GPI Main 08 fail \n"); 

//===================================================
#elif defined(Config_Package_type_BGA_27x27)
	#define CONFIG_RTK_B27_QC

		//pad_gpio_154_io		pad_gpio_156_io	
	rtd_part_outl(0xb8000858,15,12,0xf);
	rtd_part_outl(0xb800085c,31,28,0xf);
	gpio_err=gpio_vs_gpio('M',154,'M',156);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 154 vs GPI Main 156 fail \n");
	gpio_err=gpio_vs_gpio('M',156,'M',154);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 156 vs GPI Main 154 fail \n");
		
		//pad_gpio_155_io		pad_gpio_159_io	
	rtd_part_outl(0xb8000858,7,4,0xf);
	rtd_part_outl(0xb800085c,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',155,'M',159);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 155 vs GPI Main 159 fail \n");
	gpio_err=gpio_vs_gpio('M',159,'M',155);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 159 vs GPI Main 155 fail \n");		
		
		//pad_gpio_155_io		pad_gpio_159_io	
	rtd_part_outl(0xb8000860,31,28,0xf);
	rtd_part_outl(0xb800085c,15,12,0xf);
	gpio_err=gpio_vs_gpio('M',158,'M',160);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 158 vs GPI Main 160 fail \n");
	gpio_err=gpio_vs_gpio('M',160,'M',158);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 160 vs GPI Main 158 fail \n");		
		
		//st_gpio_5_io		st_gpio_42_io	
	rtd_part_outl(0xb806020c,23,20,0xf);
	rtd_part_outl(0xb8060224,7,4,0xf);
	gpio_err=gpio_vs_gpio('S',5,'S',42);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 5 vs GPI s 42 fail \n");
	gpio_err=gpio_vs_gpio('S',42,'S',5);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s42 vs GPI s 5 fail \n");		
		
		
		//st_gpio_23_io		st_gpio_25_io	
	rtd_part_outl(0xb8060214,31,28,0xf);
	rtd_part_outl(0xb8060214,15,12,0xf);
	gpio_err=gpio_vs_gpio('S',23,'S',25);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 25 vs GPI s 23 fail \n");
	gpio_err=gpio_vs_gpio('S',25,'S',23);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 23 vs GPI s 25 fail \n");		

			
		
		//st_gpio_24_io		st_gpio_55_io	
	rtd_part_outl(0xb8060214,23,20,0xf);
	rtd_part_outl(0xb8060234,31,28,0xf);
	gpio_err=gpio_vs_gpio('S',24,'S',55);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 24 vs GPI s 24 fail \n");
	gpio_err=gpio_vs_gpio('S',55,'S',24);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 55 vs GPI s 24 fail \n");			
		
		//st_gpio_43_io		st_gpio_44_io	
	rtd_part_outl(0xb8060228,31,28,0xf);
	rtd_part_outl(0xb8060228,23,20,0xf);
	gpio_err=gpio_vs_gpio('S',43,'S',44);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 43 vs GPI s 44 fail \n");
	gpio_err=gpio_vs_gpio('S',44,'S',43);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 44 vs GPI s 43 fail \n");			
		
		//st_gpio_45_io		st_gpio_54_io	
	rtd_part_outl(0xb8060228,15,12,0xf);
	rtd_part_outl(0xb8060230,7,4,0xf);
	gpio_err=gpio_vs_gpio('S',45,'S',54);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 45 vs GPI s 54 fail \n");
	gpio_err=gpio_vs_gpio('S',54,'S',45);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 54 vs GPI s 45 fail \n");			
		
		//st_gpio_47_io		st_gpio_48_io	
	rtd_part_outl(0xb806022c,31,28,0xf);
	rtd_part_outl(0xb806022c,23,20,0xf);
	gpio_err=gpio_vs_gpio('S',47,'S',48);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 47 vs GPI s 48 fail \n");
	gpio_err=gpio_vs_gpio('S',48,'S',47);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 48 vs GPI s 47 fail \n");			
			
		//st_gpio_53_io		st_gpio_56_io	
	rtd_part_outl(0xb8060230,15,12,0xf);
	rtd_part_outl(0xb8060234,23,20,0xf);
	gpio_err=gpio_vs_gpio('S',53,'S',56);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 53 vs GPI s 56 fail \n");
	gpio_err=gpio_vs_gpio('S',56,'S',53);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 56 vs GPI s 53 fail \n");	
			
			//st_gpio_37_io		st_gpio_41_io	
	rtd_part_outl(0xb8060220,15,12,0xf);
	rtd_part_outl(0xb8060224,15,12,0xf);
	gpio_err=gpio_vs_gpio('S',37,'S',41);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 37 vs GPI s 41 fail \n");
	gpio_err=gpio_vs_gpio('S',41,'S',37);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 41 vs GPI s 37 fail \n");		
			
			//st_gpio_50_io		st_gpio_52_io	
	rtd_part_outl(0xb806022C,7,4,0xf);
	rtd_part_outl(0xb8060230,23,20,0xf);
	gpio_err=gpio_vs_gpio('S',50,'S',52);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 50 vs GPI s 52 fail \n");
	gpio_err=gpio_vs_gpio('S',52,'S',50);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 52 vs GPI s 50 fail \n");			
		
/*			//st_gpio_57_io		st_gpio_59_io	
	rtd_part_outl(0xb8060234,15,12,0xf);
	rtd_part_outl(0xb8060238,31,28,0xf);
	gpio_err=gpio_vs_gpio('S',57,'S',59);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 57 vs GPI s 59 fail \n");
	gpio_err=gpio_vs_gpio('S',59,'S',57);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 59 vs GPI s 57 fail \n");	
*/	
		//pad_gpio_125_io		pad_gpio_153_io	
	rtd_part_outl(0xb8000894,15,12,0xf);
	rtd_part_outl(0xb80008a4,15,12,0xf);
	gpio_err=gpio_vs_gpio('M',125,'M',153);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 125 vs GPI Main 153 fail \n");
	gpio_err=gpio_vs_gpio('M',153,'M',125);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 153 vs GPI Main 125 fail \n"); 
		
	//pad_gpio_136_io		pad_gpio_137_io	
	rtd_part_outl(0xb80008a0,23,20,0xf);
	rtd_part_outl(0xb80008a0,15,12,0xf);
	gpio_err=gpio_vs_gpio('M',136,'M',137);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 136 vs GPI Main 137 fail \n");
	gpio_err=gpio_vs_gpio('M',137,'M',136);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 137 vs GPI Main 136 fail \n"); 		
		
		//pad_gpio_81_io		pad_gpio_81_io	
	rtd_part_outl(0xb8000858,31,28,0xf);
	rtd_part_outl(0xb8000858,31,28,0xf);
	gpio_err=gpio_vs_gpio('M',81,'M',81);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 81 vs GPI Main 81 fail \n");
	gpio_err=gpio_vs_gpio('M',81,'M',81);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 81 vs GPI Main 81 fail \n"); 
		
			//st_gpio_39_io		st_gpio_40_io	
	rtd_part_outl(0xb8060224,23,20,0xf);
	rtd_part_outl(0xb8060224,31,28,0xf);
	gpio_err=gpio_vs_gpio('S',39,'S',40);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 39 vs GPI s 40 fail \n");
	gpio_err=gpio_vs_gpio('S',40,'S',39);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO s 40 vs GPI s 39 fail \n");			
		
		//pad_gpio_29_io		pad_gpio_29_io	
	rtd_part_outl(0xb800081c,23,20,0xf);
	rtd_part_outl(0xb800081c,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',29,'M',29);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 29 vs GPI Main 29 fail \n");
	gpio_err=gpio_vs_gpio('M',29,'M',29);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 29 vs GPI Main 29 fail \n"); 		
		
		//pad_gpio_30_io		pad_gpio_30_io	
	rtd_part_outl(0xb800081c,15,12,0xf);
	rtd_part_outl(0xb800081c,15,12,0xf);
	gpio_err=gpio_vs_gpio('M',30,'M',30);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 30 vs GPI Main 30 fail \n");
	gpio_err=gpio_vs_gpio('M',30,'M',30);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 30 vs GPI Main 30 fail \n"); 		
		
		//pad_gpio_20_io		pad_gpio_23_io	
	rtd_part_outl(0xb8000814,31,28,0xf);
	rtd_part_outl(0xb8000814,7,4,0xf);
	gpio_err=gpio_vs_gpio('M',20,'M',23);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 20 vs GPI Main 23 fail \n");
	gpio_err=gpio_vs_gpio('M',23,'M',20);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 23 vs GPI Main 20 fail \n"); 		
		
		//pad_gpio_13_io		pad_gpio_62_io	
	rtd_part_outl(0xb800080c,23,20,0xf);
	rtd_part_outl(0xb8000844,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',13,'M',62);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 13 vs GPI Main 62 fail \n");
	gpio_err=gpio_vs_gpio('M',62,'M',13);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 62 vs GPI Main 13 fail \n"); 
		
 //pad_gpio_08_io		pad_gpio_08_io	
	rtd_part_outl(0xb8000808,31,28,0xf);
	rtd_part_outl(0xb800085c,23,20,0xf);
	gpio_err=gpio_vs_gpio('M',8,'M',157);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 08 vs GPI Main157 fail \n");
	gpio_err=gpio_vs_gpio('M',157,'M',8);
	gpio_sum|=gpio_err;
	if(gpio_err==1)
		printk("GPO Main 157 vs GPI Main 08 fail \n"); 		




#endif


	if(gpio_sum==0) //	  pass return 0  ;	fail  return 1	; 
		return 0;
	else
		return 1;

}
