#include <qc_verify_common.h>
#include "rbusUSB2_TOPReg.h"
#include "rbusUSB3_TOPReg.h"
#include "usb/read_define.h"
#include "usb_init.h"
#include "usb/usb.h"

void _usb_init(void)
{

	///////////USB Clock /////	
	rtd_outl(0xb8000118,0x20041000); // mac clock disable	MAC USB and OTG clock disable
	rtd_outl(0xb8000108,0x20041000); // mac reset	USB MAC AND OTG MAC reset
	rtd_outl(0xb800010c,0x000000f6); // phy reset	USB 2.0 and USB 3.0 phy reset
	wait_ms(5);
	rtd_outl(0xb800010c,0x000000f7);	//USB 2.0 and USB 3.0 phy release
	wait_ms(5);
	rtd_outl(0xb8000118,0x20041001);	//Clock enable bit for MAC USB and OTG
	wait_ms(5);
	rtd_outl(0xb8000118,0x20041000);	//Clock disable bit for MAC USB and OTG
	wait_ms(5);
	rtd_outl(0xb8000108,0x20041001);	//USB MAC AND OTG MAC release
	wait_ms(3);
	rtd_outl(0xb8000118,0x20041001);	//Clock enable bit for MAC USB and OTG

}

void xhci_usb2_mac_init(void)
{

	rtd_outl(USB3_TOP_USB2_PHY_UTMI_VADDR,0x7); // reset utmi0 ~ utmi4
	udelay(300);
	rtd_outl(USB3_TOP_USB2_PHY_UTMI_VADDR,0);


//	rtd_outl(USB3_TOP_ANA_PHY1_VADDR,0x0000000f); // 4 port usb2 power gating

	//2. set the USB2PHYCFG[6]=0 				Suspend USB2.0 HS/FS/LS PHY (SusPHY)
	rtd_outl(0xb8058200,0x00001408);         //change to UTMI 16-bit mode  (check after)
	rtd_outl(0xb8058204,0x00001408); 
	rtd_outl(0xb8058208,0x00001408); 
	rtd_outl(0xb805820c,0x00001408); 



}

void xhci_usb3_mac_init(void)
{
	rtd_outl(USB3_TOP_USB_TMP_1_VADDR,0x0000d1); //keep alive & 27M clock
	rtd_outl(0xb805a000,0x00000002); // disable multi req

}


void ehci_usb2_mac_init(void)
{

	rtd_outl(0xb8012848,0x00001a00);	//SNPS reset
	udelay(1);
	rtd_outl(0xb8012848,0x00001800);	//SNPS release
	
  	rtd_outl(0xb8012848,0x00022800); //Pll keep alive enable 20170816 modify

 	rtd_outl(0xb801280c,0x000000d0);	                        //MAC 1 PORT 0 UTMI reset  //2018/04/28 modify
 	rtd_outl(0xb801282c,0x00000000);				   //MAC1 PORT1 UTMI reset
}






void typec_disable_mux(void)
{

}

void without_typec_usb3_mux_init(void)
{

}

void typec_usb3_mux_init(void)
{

}



void xhci_usb2_phy(void)
{

/////// 0xF4_change Page //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x0000bbbb);  	//Select Page1	
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);
	
	

	/////// 0xE5 page1 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00000f0f); 
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000500);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000500);    // Set REG_N_SSC bit[7:0]
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);


	/////// 0xE6 page1 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00005858); 
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000600);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000600);    // Set REG_F_SSC[12:8] bit[4:0]
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);
	
	/////// 0xE7 page1 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x0000e3e3); 
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000700);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000700);    // Set REG_F_SSC[7:0] bit[7:0]
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);
	

	/////// 0xF4 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00009b9b);  	//Select Page0	
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);

	/////// 0xE0 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00001b1b);  	//Port1 set auto calibration  0x0f->0x1b	2019.05.12
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000000);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000000);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);

	/////// 0xE1 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00001818);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000100);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000100);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);


	/////// 0xE2 /////// 
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00007979);  //0x54->0x79  2019.05.12
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000200);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000200);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);

	/////// 0xE3 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x0000cdcd);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000300);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000300);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);


	///////E5/enable NSQ auto cal////20170607 updated/////////////////////0608 updated///merlin3 no function,only mac5p have////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00006363);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000500);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000500);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);


/////// 0xF4_change Page1 ////
rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x0000bbbb);    //Select Page1
udelay(10);
rtd_outl(GUSB2PHYACC0,0x02000400);
udelay(10);
rtd_outl(GUSB2PHYACC0,0x02000f00);
udelay(10);
rtd_outl(GUSB2PHYACC1,0x02000400);
udelay(10);
rtd_outl(GUSB2PHYACC1,0x02000f00);
udelay(10);

/////// 0xE1/Page1 ////////////////                                                                                                                                                                                                                                                                                                                                                                                                                                                                                /page1 ///////
rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00007777);    // SRCbit[6:4]=7, NSQ_DEV_Cal bit[1]=1,NSQ_HST_Cal bit[0]=1  
udelay(10);
rtd_outl(GUSB2PHYACC0,0x02000600);    
udelay(10);
rtd_outl(GUSB2PHYACC0,0x02000e00);
udelay(10);
rtd_outl(GUSB2PHYACC1,0x02000600);    
udelay(10);
rtd_outl(GUSB2PHYACC1,0x02000e00);
udelay(10);
	


	/////// 0xF4_change Page2 ////20170607 updated////0608 updated///merlin3 no function,only mac5p have////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x0000dbdb);  	//Select Page1	     //9b=page 0, bb=page 1,db=page 2(include DPLL) 
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000400);    //Port 0 wifi port
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000400);    //Port 1 near HDMI Port
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);

/////// 0xE7 page2 //////           
rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00004444);    //bit[7:4]=4,SENH OBJ, bit[3:0]=4,SEND OBJ
udelay(10);
rtd_outl(GUSB2PHYACC0,0x02000700);
udelay(10);
rtd_outl(GUSB2PHYACC0,0x02000e00);
udelay(10);
rtd_outl(GUSB2PHYACC1,0x02000700);
udelay(10);
rtd_outl(GUSB2PHYACC1,0x02000e00);
udelay(10);

#if 0
	/////// 0xE6/page2 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x63636363);  	///bit 1: NSQ auto cal enable  (53: enable Nsq auto cal for port 0)
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000600);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000600);    ///bit 1: NSQ auto cal enable  (53: enable Nsq auto cal for port 1)
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);
#endif

	/////// 0xF4_change Page0 ////20170607 updated////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x9b9b);  	//Select Page1	     //9b=page 0, bb=page 1,db=page 2(include DPLL)
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000400);    //Port 0 wifi port
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000400);    //Port 1 near HDMI Port
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);


	/////// 0xE4 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00006a6a);  	//bit[7:4] disconnt level,bit[3:0]=swing	//disconnect first stage   2019.05.12 0x6c->0x6a
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);
	


	/////// 0xE7 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00006161);  	//bit[7:4] device disconnt level /// 0912 change to  squelch level stage 1 =4   ///manual mode =8    2919.05.12  0x68->0x61
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000700);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000700);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);


	/////// 0xF4 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x0000bbbb);  	//Select Page1
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);

	/////// 0xE0 page1 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00002323);       //Calibration sensitivity(Host/Device)
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000000);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000000);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);

	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00002727);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000000);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000000);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);


	/////// 0xF4 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00009b9b);  	//Select Page0	
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);


	/////// 0xE4 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00006a6a);  	//bit[7:4] disconnt level,bit[3:0]=swing
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);

	/////// 0xE7 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00006161);  	//bit[7:4] device disconnt level  ///1116 modify manual mode and change default =a   2019.05.12 0x41->0x61
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000700);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000700);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);


	/////// 0xE6 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00000101);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000600);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000600);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);
	
	/////// 0xF0 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x0000fcfc);  			
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000000);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000000);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);


	/////// 0xF1 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00008c8c);  //2019.05.12 0x88->0x8c
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000100);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000100);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);


	/////// 0xF2 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00000000);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000200);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000200);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);


	/////// 0xF3 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00001111);  ///0607 not force_suspendm=1
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000300);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000300);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);


	/////// 0xF5 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00001515);  
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000500);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000500);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);

	/////// 0xF6 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00000000); //fix full speed cross eye   //2019.05.12 --> 0x01->0x00
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000600);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000600);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);


	/////// 0xF7 ///////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00008a8a);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000700);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000700);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);


	/////// 0xF4_change Page //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x0000bbbb);  	//Select Page1	
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);

#if 0	//check after
	/////// 0xE1 page1 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x70707070);  	//SRC bit[6:4]
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000100);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000100);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);
#endif

	/////// 0xE2 page1 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00000000);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000200);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000200);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);

	/////// 0xE3 page1 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00000303);   //2019.05.12  0x12->0x03
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000300);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000300);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);

	/////// 0xE4 page1 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00004848);  //2019.05.12 0x00->0x48
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);

#if 0	
	/////// 0xE5 page1 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x0f0f0f0f); 
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000500);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000500);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);

	/////// 0xE6 page1 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x58585858);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000600);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000600);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);

	/////// 0xE7 page1 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0xe3e3e3e3);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000700);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000700);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);
#endif



	/////// page 2 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x0000bdbdb);  	///9b=page 0, bb=page 1,db=page 2(include DPLL)	
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);

	/////// 0xE0 page2 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x0000ffff); //2019.05.12  0xa8->0xff
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000000);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000000);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);


	/////// 0xE1 page2 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x0000ffff);   //2019.05.12  0x11->0xff
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000100);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000100);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);


	/////// 0xE2 page2 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00000000);    //2019.05.12  0xe3->0x00
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000200);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000200);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);
	/////// 0xE3 page2 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00000000);   //2019.05.12  0xf8->0x00
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000300);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000300);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);

	/////// 0xE4 page2 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00001515);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);

	/////// 0xE5 page2 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00008181);  			
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000500);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000500);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);

	/////// 0xE6 page2 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00005353);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000600);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000600);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);
	
#if 0
	/////// 0xE7 page2 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00000000); 
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000700);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000e00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000700);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000e00);
	udelay(10);
#endif
	/////// 0xF4 //////
	rtd_outl(USB3_TOP_VSTATUS0_OUT_VADDR,0x00009b9b);  	//Select Page0
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC0,0x02000f00);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000400);
	udelay(10);
	rtd_outl(GUSB2PHYACC1,0x02000f00);
	udelay(10);

}


//train eq


#if 1

void xhci_usb3_phy1(void)
{
//////////////////////////after usb phy set and do this usb 3.0 phy//////////

	rtd_outl(0xb805a010,0x3);            //srst=1  to do soft reset, //mdio_rdwr=1 b0: read , b1: write
	rtd_inl(0xb805a010);

	rtd_outl(0xb805a010,0x40000c01);     //MDIO_CTR_data(0x4000), MDIO_CTR_phy_reg_addr(0xc),CTR_mdio_rdwr(0x1)//RX_PSAVE_SEL =0
	//MDIO read mode///
	rtd_outl(0xb805a010,0x40000c00);
	rtd_inl(0xb805a010);

	////////////////


	wait_ms(1);            //delay >300us

	rtd_outl(0xb805a010,0xc0000c01);    //MDIO_CTR_data(0xC000), MDIO_CTR_phy_reg_addr(0xc),CTR_mdio_rdwr(0x1)//RX_PSAVE_SEL =1
	rtd_outl(0xb805a010,0xc0000c00);
	rtd_inl(0xb805a010);

	rtd_outl(0xb805a010,0x00572201);     //MDIO_CTR_data(0x0017), MDIO_CTR_phy_addr(0x1),MDIO_CTR_phy_reg_addr(0x2),CTR_mdio_rdwr(0x1)//TX_DEEMP_EN =0
	rtd_outl(0xb805a010,0x00572200);
	rtd_inl(0xb805a010);

	rtd_outl(0xb805a010,0xf2F50401);    //MDIO_CTR_data(0x52F5), MDIO_CTR_phy_reg_addr(0x4),CTR_mdio_rdwr(0x1)//RX_PSAVE_SEL =1
	rtd_outl(0xb805a010,0xf2F50400);
	rtd_inl(0xb805a010);

	rtd_outl(0xb805A088,0x1);            //u3Rxterm_force_val=0,//Rxterm_force_en=0
	rtd_inl(0xb805a088);

	wait_ms(1);
	//////////////////


}



void xhci_usb3_phy(void)
{
	rtd_outl(USB3_TOP_USB3_PHY_PIPE_VADDR,0x1);          ///pipe reset u3 phy
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x400C000d);    // 0x00 -->xxxx00xx  ///0613 Merlin 3///
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xa846010d);  //modify
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x6042020d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x27f1030d);    ///2771-->27F1 0706 modify for 0x03[7]=1 maxhold
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xF2F5040d);    ///32f5-->F2F5 0706 modify for CMU LDO voltage select
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x2ad7050d);   //20180428 modify bit 15=0 Enable EQ clock inverse 
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0006060d);    ///0001--->0006,0706 modify for CMU CP current select
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x3210070d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x3590080d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x367C090d);    ///0613 Merlin 3///
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x96420a0d);  //20181106 modify bit 4:3=00 REG_EQED_SEL ///
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xEB090b0d);   ///0613 Merlin 3///
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xc0000c0d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xf5080d0d);   ///0625 updated/// [5:2]=0100=91.7ohm
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x20100e0d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x8D900f0d);    ///0613 Merlin 3/// 20180428 select USB
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x000c100d);    // 0x10 --> xxxx10xx
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x4c10110d);    //20180428 modify
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xfc00120d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0c81130d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xde01140d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0000150d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0000160d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0000170d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0000180d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x3004190d);   //1004->3004  20181107 modify
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x00851a0d);   //20180428 modify
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x20141b0d);   //20180428 modify
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xc9001c0d);   //20180428 modify
	//rtd_outl(0xb805a010,0xcb1c1c0d); //pipe3
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xa03f1d0d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xc2001e0d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x48031f0c);    // 0x1f --> xxxx1fxx
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xd47a200d);    // page1 0x00 --> xxxx20xx
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x88aa210d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0057220d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xbb64230d);    //0625 updated///0x23[15:12]=1101= 89.5ohm 
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0070240d);   //20180428 modify
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x126c250d);    //0719 modify bit 15=1,U1/U2/U3 can enter.//20180428 modify
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x846a260d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x01d6270d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xf802280d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xff00290d);   //20180428 modify

	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x30402a0d);   //20180428 modify
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x80282b0d);   //20180428 modify
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xffff2c0d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xffff2d0d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x00002e0d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x86352f0d);   //20180428 modify


	
	rtd_outl(USB3_TOP_USB3_PHY_PIPE_VADDR,0x0); //pipe release u3 phy
	udelay(1000);       



	// write 0x09 -> "325c"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x367C090d);
	udelay(20);
	// write 0x09 -> "305c"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x347c090d);
	udelay(20);
	// write 0x09 -> "325c"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x367C090d);	
	udelay(300);
	rtd_outl(USB3_TOP_ANA_PHY0_VADDR,0xe);	//USB3_ANA_PHY  open analog power

	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x00001f0c);
	udelay(20);
	printk("dc offsetdebug=%x\n",rtd_inl(USB3_TOP_MDIO_CTR_VADDR));


//	xhci_usb3_phy1();


	rtd_outl(USB3_TOP_USB_TMP_2_VADDR,0x5); //enable rx term

}

#else
void xhci_usb3_phy()
{
	rtd_outl(USB_USB3_PHY_PIPE_VADDR,0x1);
	// write 0x00 -> "4008"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x4008000d);    // 0x00 -->xxxx00xx
	udelay(20);
	// write 0x01 -> "a846"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xa846010d);
	udelay(20);
	// write 0x02 -> "6042"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x6042020d);
	udelay(20);
	// write 0x03 -> "2771"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x27f1030d); //2771-->27F1 0706 modify for 0x03[7]=1 maxhold
	udelay(20);
	// write 0x04 -> "32f5"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xf2f5040d); /////32f5-->F2F5 0706 modify for CMU LDO voltage select
	udelay(20);
	// write 0x05 -> "ead7"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xead7050d);
	udelay(20);
	// write 0x06 -> "0003"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0001060d); ///0001--->0006,0706 modify for CMU CP current select
	udelay(20);
	// write 0x07 -> "3210"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x3210070d);
	udelay(20);
	// write 0x08 -> "3590"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x3590080d);
	udelay(20);
	// write 0x09 -> "325c"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x325c090d);
	udelay(20);
	// write 0x0a -> "f643"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x96420a0d); ///modify (Auto mode) ///0706 0x0A bit0=0 modify for Auto-eq old mode and c642->9642 for CMU Rs select
	udelay(20);
	// write 0x0b -> "e909"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xe9090b0d);
	udelay(20);
	// write 0x0c -> "c000"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xc0000c0d);
	udelay(20);
	// write 0x0d -> "f510"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xf5100d0d); /////0625 updated/// [5:2]=0100=91.7ohm
	udelay(20);
	// write 0x0e -> "2010"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x20100e0d);
	udelay(20);
	// write 0x0f -> "0e94"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0e904f0d);
	udelay(20);
	// write 0x10 -> "000c"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x000c100d);    // 0x10 --> xxxx10xx
	udelay(20);
	// write 0x11 -> "4c00"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x4c00110d);
	udelay(20);
	// write 0x12 -> "fc00"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xfc00120d);
	udelay(20);
	// write 0x13 -> "0c81"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0c81130d);
	udelay(20);
	// write 0x14 -> "de01"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xde01140d);
	udelay(20);
	// write 0x15 -> "0000"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0000150d);
	udelay(20);
	// write 0x16 -> "0000"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0000160d);
	udelay(20);
	// write 0x17 -> "0000"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0000170d);
	udelay(20);
	// write 0x18 -> "0000"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0000180d);
	udelay(20);
	// write 0x19 -> "4804"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x1004190d); ////modify   //original=4804   for 0701
	udelay(20);
	// write 0x1a -> "1260"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x12601a0d);
	udelay(20);
	// write 0x1b -> "ff0c"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xff0c1b0d);
	udelay(20);
	// write 0x1c -> "cb1c"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xcb1c1c0d);
	udelay(20);
	// write 0x1d -> "a03f"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xa03f1d0d);
	udelay(20);
	// write 0x1e -> "c200"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xc2001e0d);
	udelay(20);
	// write 0x1f -> "4803"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x48031f0c);    // 0x1f --> xxxx1fxx
	udelay(20);
	// write 0x20 -> "d47a"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xd47a200d);    // page1 0x00 --> xxxx20xx
	udelay(20);
	// write 0x21 -> "88aa"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x88aa210d);
	udelay(20);
	// write 0x22 -> "0053"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0053220d);
	udelay(20);
	// write 0x23 -> "db64"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xdb64230d);
	udelay(20);
	// write 0x24 -> "0800"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0800240d);
	udelay(20);
	// write 0x25 -> "0000"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0000250d);
	udelay(20);
	// write 0x26 -> "064a"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x046a260d);
	udelay(20);
	// write 0x27 -> "01d6"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x01d6270d);
	udelay(20);
	// write 0x28 -> "f802"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xf802280d);
	udelay(20);
	// write 0x29 -> "3080"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x3080290d);
	udelay(20);
	// write 0x2a -> "3083"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x30832a0d);
	udelay(20);
	// write 0x2b -> "2038"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x20382b0d);
	udelay(20);
	// write 0x2c -> "ffff"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xffff2c0d);
	udelay(20);
	// write 0x2d -> "ffff"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0xffff2d0d);
	udelay(20);
	// write 0x2e -> "0000"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x00002e0d);
	udelay(20);
	// write 0x2f -> "0040"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x00402f0c);
	udelay(20);
//////U3 and Type c
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0000300d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x77bf310d);     //cc pin //cc1_mode = 1,1 for 3A //
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x6e2f320d);    // //0804 modify cc1 Rp 4.7K  [9:5]=10001
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x7777330d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0002340d);     //disable cc1_Rp_4.7k and disable cc1_detect and select rx1, but disable EN_Switch/////modify cc1 threshold voltage bit [2:0]=010   
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x77bf350d);     //cc2_mode = 1,1  for DFP_3A
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x6e2f360d);    //0804 modify cc2 Rp 4.7K  [9:5]=10001
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x7777370d);
	udelay(20);
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x0002380d);      //disable cc2_Rp_4.7k and enable cc2_detect and select tx1///modify cc2 threshold voltage bit [2:0]=010


	rtd_outl(USB_USB3_PHY_PIPE_VADDR,0x0);	

	udelay(1000);

	// write 0x09 -> "325c"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x325c090d);
	udelay(20);
	// write 0x09 -> "305c"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x305c090d);
	udelay(20);
	// write 0x09 -> "325c"
	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x325c090d);	

	udelay(300);
	rtd_outl(USB_ANA_PHY0_VADDR,0xe);	//USB3_ANA_PHY  open analog power


	rtd_outl(USB3_TOP_MDIO_CTR_VADDR,0x00001f0c);
	udelay(20);
	printk("dc offsetdebug=%x\n",rtd_inl(USB3_TOP_MDIO_CTR_VADDR));

}
#endif





void ehci_usb2_phy(void)
{
	/////// 0xF4_change Page1 //////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0xbb);     //Select Page1//9b=page 0, bb=page 1,db=page 2(tDPLL)
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0xbb);     //Select Page1//9b=page 0, bb=page 1,db=page 2(tDPLL)
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);

	/////// 0xE5/Page1 ///////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x0f);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022500);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x0f);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024500);    // Set REG_N_SSC bit[7:0]
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);

	/////// 0xE6/Page1 ///////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x58);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022600);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x58);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024600);    // Set REG_F_SSC[12:8] bit[4:0]
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);

	/////// 0xE7/Page1 ///////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0xe3);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022700);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0xe3);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024700);    // Set REG_F_SSC[7:0] bit[7:0]
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);

	/////// 0xF4_change Page0 //////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x9b);    //Select Page0
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x9b);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);

/////////////////////0xE0////////////////////////////

	//Mac0 Write EX-Port 0 manual mode

	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x1b);       
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022000);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x1b);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024000);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);

	////////////////E1//////////////////////////


	//Mac0 Write EX-Port 0
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x18);
	udelay(10);               
	rtd_outl(GUSB2PHYACC4,0x00022100);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x18);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024100);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);

	///////////////E2EOP width& Bit //need tuning used RDC scan programming/////////////////////////////


	//Mac0 Write EX-Port 0
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x79);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022200);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x79);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024200);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);

	///////////////  E3 /////////////////////////////


	//Mac0 Write EX-Port 0
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0xcd);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022300);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0xcd);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024300);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);
	
	///////////////   E5/enable NSQ auto cal  ////////////////////////////

	//Mac0 Write EX-Port 0
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x63);            ////61 : disable NSQ auto cal for ex-port0
	udelay(10);
	//rtd_outl(USB2_TOP_VSTATUS_VADDR,0x61)
	rtd_outl(GUSB2PHYACC4,0x00022500);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);     // 0: 3/480e6 cycle is logic 1 ; [5:3]:100: 1.0V,[6]=1(1: 6/480e6 cycle is logic 1) //bit1:NSQ auto cal enable (63)
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x63);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024500);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);


	/////// 0xF4_change Page1 ////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0xbb);    //Select Page1
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0xbb); 
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);

	/////// 0xE1/Page1 ////////////////                                                                                                                                                                                                                                                                                                                                                                                                                                                                                /page1 ///////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x77);    // SRCbit[6:4]=7, NSQ_DEV_Cal bit[1]=1,NSQ_HST_Cal bit[0]=1  
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022600);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x77);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024600);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);

	/////// 0xF4_change Page2 ////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0xdb);    //Select Page2
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0xdbf);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);

	/////// 0xE7 page2 //////           
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x44);    //bit[7:4]=4,SENH OBJ, bit[3:0]=4,SEND OBJ
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022700);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x44);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024700);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);


	///////   Page0   ////////////////

	//Mac0 Write EX-Port 0 
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x9b);               //9b=page 0, bb=page 1,db=page 2(include PLL)
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x9b);               //9b=page 0, bb=page 1,db=page 2(include PLL)
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);

	///////////////////E4 Output Swing////////////////////////////////


	//Mac0 Write EX-Port 0
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x6a);     //[7:4]   disconnect first stage calbration = 6
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x6a);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);


	///////   E7  ////////////////


	//Mac0 Write EX-Port 0 E7  
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x61);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022700);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x61);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024700);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);


	/////////////////////MAC0 change to auto K


	//Mac0 Write EX-Port 0/page1
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0xbb);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0xbb);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);


	
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x23);        //Bit2 ,15k=01
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022000);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x23);        //auto-calibration toggle,0->1
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024000);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);


	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x27);        //Bit2 ,15k=01
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022000);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x27);        //auto-calibration toggle,0->1
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024000);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);

	///////  change Page0   ////////////////


	//Mac0 Write EX-Port 0 
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x9b);               //9b=page 0, bb=page 1,db=page 2(include PLL)
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x9b);               //9b=page 0, bb=page 1,db=page 2(include PLL)
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);
	///////////////////E4 Output Swing////////////////////////////////


	//Mac0 Write EX-Port 0
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x6a);     // [7:4]   disconnect first stage calbration = 6
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x6a);     // [7:4]   disconnect first stage calbration = 6
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);



	///////   E7  ////////////////


	//Mac0 Write EX-Port 0 E7  
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x61);         //Squelch level for offset mode =3 //4/19 modified
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022700);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x61);         //Squelch level for offset mode =3 //4/19 modified
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024700);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);



	///////   E6  ////////////////

	//Mac0 Write EX-Port 0  
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x01);          //bit7=0 for enable LPF in bandgap ;RX booster [1:0]=01 =3.3dB 
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022600);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x01);          //bit7=0 for enable LPF in bandgap ;RX booster [1:0]=01 =3.3dB 
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024600);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);

	///////   F0  ////////////////


	//Mac0 Write EX-Port 0 F0
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0xfc);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022000);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0xfc);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024000);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);

	///////   F1  ////////////////


	//Mac0 Write EX-Port 0 F0
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x8c);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022100);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);

		//Mac0 Write EX-Port 0 F0
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x8c);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024100);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);
	//////   F2  ////////////////

	//Mac0 Write EX-Port 0 F2
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x00);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022200);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	//Mac0 Write EX-Port 0 F2
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x00);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024200);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);
	//////   F3  ////////////////


	//Mac0 Write EX-Port 0 F3
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x11);            ///5/15 modify, bit 5=1,force_suspendm=1
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022300);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x11);            ///5/15 modify, bit 5=1,force_suspendm=1
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024300);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);
	//////   F5  ////////////////


	//Mac0 Write EX-Port 0 F5
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x15);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022500);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x15);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024500);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);


	///////   F6  ////////////////

	//Mac0 Write EX-Port 0 F6
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x00);           //fix full speed cross eye 
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022600);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x00);           //fix full speed cross eye 
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024600);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);
	///////   F7  ////////////////


	//Mac0 Write EX-Port 0 F7
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x8a);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022700);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x8a);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024700);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);



	////////////////////Slew rate 0xE1/Page1//////////////////////


	//Mac0 Write EX-Port 0/page1
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0xbb);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0xbb);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);

#if 0	
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x70);        //slew rate 370ps
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022100);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
#endif

	///////0XE2/Page1//////////

	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x00);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022200);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x00);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024200);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);

	
	///////0XE3/Page1//////////

	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x03);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022300);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x03);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024300);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);
	///////0XE4/Page1//////////


	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x48);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x48);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);

	/////// 0xF4_change Page2 //////
		rtd_outl(USB2_TOP_VSTATUS_VADDR,0xdb);  	///db=page 2
		udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0xdb);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);

	/////// 0xE0/Page2 //////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0xff); 
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022000);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0xff);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024000);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);

	/////// 0xE1 page2 //////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0xff);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022100);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0xff);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024100);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);

	/////// 0xE2 page2 //////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x00);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022200);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x00);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024200);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);


	/////// 0xE3 page2 //////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x00);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022300);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x00);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024300);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);


	/////// 0xE4 page2 //////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x15);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x15);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);

	/////// 0xE5 page2 //////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x81);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022500);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x81);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024500);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);


	/////// 0xE6 page2 //////
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x53);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022600);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022e00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x53);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024600);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024e00);
	udelay(10);

	///////   Page0   ////////////////

	//Mac0 Write EX-Port 0 
	rtd_outl(USB2_TOP_VSTATUS_VADDR,0x9b);              //9b=page 0, bb=page 1,db=page 2( include PLL)
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00022f00);
	udelay(10);
	rtd_outl(USB2_TOP_VSTATUS_2PORT_VADDR,0x9b);              //9b=page 0, bb=page 1,db=page 2( include PLL)
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024400);
	udelay(10);
	rtd_outl(GUSB2PHYACC4,0x00024f00);
	udelay(10);

}


//p2 mode
void exit_p3_mode(void)
{
	rtd_outl(0xb80582c0,0x010C0002);
}


void enter_p3_mode(void)
{
	rtd_outl(0xb80582c0,0x010E0002);
}
