#ifndef _VDC_QC_H
#define _VDC_QC_H

#ifdef __cplusplus
extern "C" {
#endif

#define showbug 0
#define showtrace 1


#define _SUCCESS 0
#define _FAILED 1
#define _NOP ((void)0)

#if showbug
	#define dmsg(fmt, ...) printk(fmt, ##__VA_ARGS__)
#else
	#define dmsg(fmt, ...) _NOP
#endif

#if showtrace
	#define trace(fmt, ...) printk(fmt, ##__VA_ARGS__)
	#define trace_r(addr)                           \
		(void)({                                    \
			unsigned int _0 = (unsigned int)(addr); \
			unsigned int _1 = rtd_inl(_0);          \
			printk("<08%x> 0x%08x\r\n", _0, _1);    \
			0;                                      \
		})
	#define trace_f() printk("+ %s()\r\n", __FUNCTION__)
#else
	#define trace(fmt, ...) _NOP
	#define trace_r(addr) _NOP
	#define trace_f() _NOP
#endif


#define _3D_One_Frame_Use 0x34000

typedef int (*vdc_test_case_t)(void);
typedef void (*vdc_init_clock)(void);
typedef void (*vdc_init_power)(void);

/**
 * -----------------------------------------------------------------------------
 * Function declarations
 * -----------------------------------------------------------------------------
 */
int QC_Verifier_VDC_PQ_EQC(void);
int module_vdc_Test_Memory(void);


#ifdef __cplusplus
}
#endif

#endif //_VDC_QC_H