/**
* @file Mac7p-DesignSpec-ISO_MISC_DRTC
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_DRTC_REG_H_
#define _RBUS_DRTC_REG_H_

#include "rbusTypes.h"



//  DRTC Register Address



#define  DRTC_RTCSEC_VADDR                                  	(0xb8061900)
#define  DRTC_RTCMIN_VADDR                                  	(0xb8061904)
#define  DRTC_RTCHR_VADDR                                   	(0xb8061908)
#define  DRTC_RTCDATE1_VADDR                                	(0xb806190c)
#define  DRTC_RTCDATE2_VADDR                                	(0xb8061910)
#define  DRTC_ALMMIN_VADDR                                  	(0xb8061914)
#define  DRTC_ALMHR_VADDR                                   	(0xb8061918)
#define  DRTC_ALMDATE1_VADDR                                	(0xb806191c)
#define  DRTC_ALMDATE2_VADDR                                	(0xb8061920)
#define  DRTC_RTCSTOP_VADDR                                 	(0xb8061924)
#define  DRTC_ALMHSEC_VADDR                                 	(0xb8061928)
#define  DRTC_RTCEN_VADDR                                   	(0xb806192c)
#define  DRTC_RTCCR_VADDR                                   	(0xb8061930)
#define  DRTC_RTCDIV_VADDR                                  	(0xb8061934)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======DRTC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  rtcsec:7;
    };
}drtc_rtcsec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  rtcmin:6;
    };
}drtc_rtcmin_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  rtchr:5;
    };
}drtc_rtchr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  rtcdate1:8;
    };
}drtc_rtcdate1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  rtcdate2:6;
    };
}drtc_rtcdate2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  almmin:6;
    };
}drtc_almmin_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  almhr:5;
    };
}drtc_almhr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  almdate1:8;
    };
}drtc_almdate1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  almdate2:6;
    };
}drtc_almdate2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  rtcstop:1;
    };
}drtc_rtcstop_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  almhsec:7;
    };
}drtc_almhsec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  rtcen:8;
    };
}drtc_rtcen_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rtc_alarm_int_status:1;
        RBus_UInt32  rtc_date_int_status:1;
        RBus_UInt32  rtc_hour_int_status:1;
        RBus_UInt32  rtc_min_int_status:1;
        RBus_UInt32  rtc_hsec_int_status:1;
        RBus_UInt32  res1:17;
        RBus_UInt32  dummy_2:3;
        RBus_UInt32  rtcrst:1;
        RBus_UInt32  dummy_1:1;
        RBus_UInt32  alarminte:1;
        RBus_UInt32  dainte:1;
        RBus_UInt32  huinte:1;
        RBus_UInt32  muinte:1;
        RBus_UInt32  hsuinte:1;
    };
}drtc_rtccr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  hsec:24;
    };
}drtc_rtcdiv_RBUS;

#else //apply LITTLE_ENDIAN

//======DRTC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rtcsec:7;
        RBus_UInt32  res1:25;
    };
}drtc_rtcsec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rtcmin:6;
        RBus_UInt32  res1:26;
    };
}drtc_rtcmin_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rtchr:5;
        RBus_UInt32  res1:27;
    };
}drtc_rtchr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rtcdate1:8;
        RBus_UInt32  res1:24;
    };
}drtc_rtcdate1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rtcdate2:6;
        RBus_UInt32  res1:26;
    };
}drtc_rtcdate2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  almmin:6;
        RBus_UInt32  res1:26;
    };
}drtc_almmin_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  almhr:5;
        RBus_UInt32  res1:27;
    };
}drtc_almhr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  almdate1:8;
        RBus_UInt32  res1:24;
    };
}drtc_almdate1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  almdate2:6;
        RBus_UInt32  res1:26;
    };
}drtc_almdate2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rtcstop:1;
        RBus_UInt32  res1:31;
    };
}drtc_rtcstop_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  almhsec:7;
        RBus_UInt32  res1:25;
    };
}drtc_almhsec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rtcen:8;
        RBus_UInt32  res1:24;
    };
}drtc_rtcen_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hsuinte:1;
        RBus_UInt32  muinte:1;
        RBus_UInt32  huinte:1;
        RBus_UInt32  dainte:1;
        RBus_UInt32  alarminte:1;
        RBus_UInt32  dummy_1:1;
        RBus_UInt32  rtcrst:1;
        RBus_UInt32  dummy_2:3;
        RBus_UInt32  res1:17;
        RBus_UInt32  rtc_hsec_int_status:1;
        RBus_UInt32  rtc_min_int_status:1;
        RBus_UInt32  rtc_hour_int_status:1;
        RBus_UInt32  rtc_date_int_status:1;
        RBus_UInt32  rtc_alarm_int_status:1;
    };
}drtc_rtccr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hsec:24;
        RBus_UInt32  res1:8;
    };
}drtc_rtcdiv_RBUS;




#endif 


#endif 
