/**
* @file Mac7p-DesignSpec-D-Domain_DMAto3DLUT
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_DMATO3DLUT_REG_H_
#define _RBUS_DMATO3DLUT_REG_H_

#include "rbusTypes.h"



//  DMATO3DLUT Register Address



#define  DMATO3DLUT_DMATO3DLUT_DB_CTL_VADDR                 	(0xb8028900)
#define  DMATO3DLUT_CTI_DMA_RD_RULE_CHECK_UP_D_DOMAIN_VADDR 	(0xb8028904)
#define  DMATO3DLUT_CTI_DMA_RD_RULE_CHECK_LOW_D_DOMAIN_VADDR 	(0xb8028908)
#define  DMATO3DLUT_CTI_DMA_RD_CTRL_D_DOMAIN_VADDR          	(0xb802890c)
#define  DMATO3DLUT_CTI_DMA_RD_STATUS_D_DOMAIN_VADDR        	(0xb8028910)
#define  DMATO3DLUT_CTI_DMA_RD_STATUS1_D_DOMAIN_VADDR       	(0xb8028914)
#define  DMATO3DLUT_CTI_DMA_RD_STATUS2_D_DOMAIN_VADDR       	(0xb8028918)
#define  DMATO3DLUT_CTI_DMA_RD_WATER_MONITOR_D_DOMAIN_VADDR 	(0xb802891c)
#define  DMATO3DLUT_DMATO3DLUT_MBIST_VADDR                  	(0xb8028920)
#define  DMATO3DLUT_DMATO3DLUT_TABLE0_FORMAT0_VADDR         	(0xb8028924)
#define  DMATO3DLUT_DMATO3DLUT_TABLE0_FORMAT1_VADDR         	(0xb8028928)
#define  DMATO3DLUT_DMATO3DLUT_TABLE0_BURST_VADDR           	(0xb802892c)
#define  DMATO3DLUT_DMATO3DLUT_TABLE0_ADDR_VADDR            	(0xb8028930)
#define  DMATO3DLUT_DMATO3DLUT_TABLE0_DMA_VADDR             	(0xb8028934)
#define  DMATO3DLUT_DMATO3DLUT_TABLE0_STATUS_VADDR          	(0xb8028938)
#define  DMATO3DLUT_DMATO3DLUT_TABLE0_ERRSTATUS2IRQ_VADDR   	(0xb802893c)
#define  DMATO3DLUT_DMATO3DLUT_DUMMY_VADDR                  	(0xb8028940)
#define  DMATO3DLUT_DMATO3DLUT_TABLE1_FORMAT0_VADDR         	(0xb8028944)
#define  DMATO3DLUT_DMATO3DLUT_TABLE1_FORMAT1_VADDR         	(0xb8028948)
#define  DMATO3DLUT_DMATO3DLUT_TABLE1_BURST_VADDR           	(0xb802894c)
#define  DMATO3DLUT_DMATO3DLUT_TABLE1_ADDR_VADDR            	(0xb8028950)
#define  DMATO3DLUT_DMATO3DLUT_TABLE1_DMA_VADDR             	(0xb8028954)
#define  DMATO3DLUT_DMATO3DLUT_TABLE1_STATUS_VADDR          	(0xb8028958)
#define  DMATO3DLUT_DMATO3DLUT_TABLE1_ERRSTATUS2IRQ_VADDR   	(0xb802895c)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======DMATO3DLUT register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  db_read:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  wtable_apply:1;
    };
}dmato3dlut_dmato3dlut_db_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dma_up_limit:28;
        RBus_UInt32  res1:4;
    };
}dmato3dlut_cti_dma_rd_rule_check_up_d_domain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dma_low_limit:28;
        RBus_UInt32  res1:4;
    };
}dmato3dlut_cti_dma_rd_rule_check_low_d_domain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  dma_8byte_swap:1;
        RBus_UInt32  dma_4byte_swap:1;
        RBus_UInt32  dma_2byte_swap:1;
        RBus_UInt32  dma_1byte_swap:1;
        RBus_UInt32  max_outstanding:2;
        RBus_UInt32  res2:6;
        RBus_UInt32  force_all_rst:1;
        RBus_UInt32  res3:1;
    };
}dmato3dlut_cti_dma_rd_ctrl_d_domain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  dma_cmd_water:3;
        RBus_UInt32  res2:6;
        RBus_UInt32  dma_data_water:6;
        RBus_UInt32  res3:5;
        RBus_UInt32  cur_outstanding:3;
        RBus_UInt32  res4:3;
        RBus_UInt32  soft_rst_before_cmd_finish:1;
        RBus_UInt32  soft_rst_with_data_left:1;
        RBus_UInt32  res5:3;
    };
}dmato3dlut_cti_dma_rd_status_d_domain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ack_num_error:1;
        RBus_UInt32  last_no_ack_error:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  target_ack_num:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  last_ack_num:7;
        RBus_UInt32  res3:8;
    };
}dmato3dlut_cti_dma_rd_status1_d_domain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}dmato3dlut_cti_dma_rd_status2_d_domain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  monitor_en:1;
        RBus_UInt32  monitor_conti:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  reach_thd:1;
        RBus_UInt32  monitor_thd:6;
        RBus_UInt32  res2:10;
        RBus_UInt32  lowest_water_level:6;
    };
}dmato3dlut_cti_dma_rd_water_monitor_d_domain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dmato3dlut_ls:1;
        RBus_UInt32  dmato3dlut_rmea:1;
        RBus_UInt32  dmato3dlut_rmeb:1;
        RBus_UInt32  dmato3dlut_rma:4;
        RBus_UInt32  dmato3dlut_rmb:4;
        RBus_UInt32  dmato3dlut_test0_a:1;
        RBus_UInt32  dmato3dlut_test0_b:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  dmato3dlut_testrwm_0:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  dmato3dlut_bist_fail_0:1;
        RBus_UInt32  res3:8;
        RBus_UInt32  dmato3dlut_drf_bist_fail_0:1;
    };
}dmato3dlut_dmato3dlut_mbist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_dma_en:1;
        RBus_UInt32  table0_bitwidth:7;
        RBus_UInt32  table0_num_y:8;
        RBus_UInt32  table0_num_x:16;
    };
}dmato3dlut_dmato3dlut_table0_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  table0_id:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  table0_burst_len:7;
        RBus_UInt32  table0_num_z:8;
    };
}dmato3dlut_dmato3dlut_table0_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_burst_num:32;
    };
}dmato3dlut_dmato3dlut_table0_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_mstart:28;
        RBus_UInt32  res1:4;
    };
}dmato3dlut_dmato3dlut_table0_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  table0_remain:7;
    };
}dmato3dlut_dmato3dlut_table0_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wtable_frame_cnt:8;
        RBus_UInt32  frame_act:1;
        RBus_UInt32  frame_act_fw:1;
        RBus_UInt32  res1:21;
        RBus_UInt32  table0_wdone:1;
    };
}dmato3dlut_dmato3dlut_table0_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  table0_status2irq_en:6;
        RBus_UInt32  res2:1;
        RBus_UInt32  table0_err_clr:1;
        RBus_UInt32  table0_err_status:6;
    };
}dmato3dlut_dmato3dlut_table0_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy18028940_31_0:32;
    };
}dmato3dlut_dmato3dlut_dummy_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_dma_en:1;
        RBus_UInt32  table1_bitwidth:7;
        RBus_UInt32  table1_num_y:8;
        RBus_UInt32  table1_num_x:16;
    };
}dmato3dlut_dmato3dlut_table1_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  table1_id:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  table1_burst_len:7;
        RBus_UInt32  table1_num_z:8;
    };
}dmato3dlut_dmato3dlut_table1_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_burst_num:32;
    };
}dmato3dlut_dmato3dlut_table1_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_mstart:28;
        RBus_UInt32  res1:4;
    };
}dmato3dlut_dmato3dlut_table1_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  table1_remain:7;
    };
}dmato3dlut_dmato3dlut_table1_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  table1_wdone:1;
    };
}dmato3dlut_dmato3dlut_table1_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  table1_status2irq_en:6;
        RBus_UInt32  res2:1;
        RBus_UInt32  table1_err_clr:1;
        RBus_UInt32  table1_err_status:6;
    };
}dmato3dlut_dmato3dlut_table1_errstatus2irq_RBUS;

#else //apply LITTLE_ENDIAN

//======DMATO3DLUT register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wtable_apply:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_read:1;
        RBus_UInt32  res1:29;
    };
}dmato3dlut_dmato3dlut_db_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dma_up_limit:28;
    };
}dmato3dlut_cti_dma_rd_rule_check_up_d_domain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dma_low_limit:28;
    };
}dmato3dlut_cti_dma_rd_rule_check_low_d_domain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  force_all_rst:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  max_outstanding:2;
        RBus_UInt32  dma_1byte_swap:1;
        RBus_UInt32  dma_2byte_swap:1;
        RBus_UInt32  dma_4byte_swap:1;
        RBus_UInt32  dma_8byte_swap:1;
        RBus_UInt32  res3:18;
    };
}dmato3dlut_cti_dma_rd_ctrl_d_domain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  soft_rst_with_data_left:1;
        RBus_UInt32  soft_rst_before_cmd_finish:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  cur_outstanding:3;
        RBus_UInt32  res3:5;
        RBus_UInt32  dma_data_water:6;
        RBus_UInt32  res4:6;
        RBus_UInt32  dma_cmd_water:3;
        RBus_UInt32  res5:1;
    };
}dmato3dlut_cti_dma_rd_status_d_domain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  last_ack_num:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  target_ack_num:7;
        RBus_UInt32  res3:7;
        RBus_UInt32  last_no_ack_error:1;
        RBus_UInt32  ack_num_error:1;
    };
}dmato3dlut_cti_dma_rd_status1_d_domain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}dmato3dlut_cti_dma_rd_status2_d_domain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lowest_water_level:6;
        RBus_UInt32  res1:10;
        RBus_UInt32  monitor_thd:6;
        RBus_UInt32  reach_thd:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  monitor_conti:1;
        RBus_UInt32  monitor_en:1;
    };
}dmato3dlut_cti_dma_rd_water_monitor_d_domain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dmato3dlut_drf_bist_fail_0:1;
        RBus_UInt32  res1:8;
        RBus_UInt32  dmato3dlut_bist_fail_0:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  dmato3dlut_testrwm_0:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  dmato3dlut_test0_b:1;
        RBus_UInt32  dmato3dlut_test0_a:1;
        RBus_UInt32  dmato3dlut_rmb:4;
        RBus_UInt32  dmato3dlut_rma:4;
        RBus_UInt32  dmato3dlut_rmeb:1;
        RBus_UInt32  dmato3dlut_rmea:1;
        RBus_UInt32  dmato3dlut_ls:1;
    };
}dmato3dlut_dmato3dlut_mbist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_num_x:16;
        RBus_UInt32  table0_num_y:8;
        RBus_UInt32  table0_bitwidth:7;
        RBus_UInt32  table0_dma_en:1;
    };
}dmato3dlut_dmato3dlut_table0_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_num_z:8;
        RBus_UInt32  table0_burst_len:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  table0_id:4;
        RBus_UInt32  res2:12;
    };
}dmato3dlut_dmato3dlut_table0_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_burst_num:32;
    };
}dmato3dlut_dmato3dlut_table0_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  table0_mstart:28;
    };
}dmato3dlut_dmato3dlut_table0_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_remain:7;
        RBus_UInt32  res1:25;
    };
}dmato3dlut_dmato3dlut_table0_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_wdone:1;
        RBus_UInt32  res1:21;
        RBus_UInt32  frame_act_fw:1;
        RBus_UInt32  frame_act:1;
        RBus_UInt32  wtable_frame_cnt:8;
    };
}dmato3dlut_dmato3dlut_table0_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_err_status:6;
        RBus_UInt32  table0_err_clr:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  table0_status2irq_en:6;
        RBus_UInt32  res2:18;
    };
}dmato3dlut_dmato3dlut_table0_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy18028940_31_0:32;
    };
}dmato3dlut_dmato3dlut_dummy_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_num_x:16;
        RBus_UInt32  table1_num_y:8;
        RBus_UInt32  table1_bitwidth:7;
        RBus_UInt32  table1_dma_en:1;
    };
}dmato3dlut_dmato3dlut_table1_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_num_z:8;
        RBus_UInt32  table1_burst_len:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  table1_id:4;
        RBus_UInt32  res2:12;
    };
}dmato3dlut_dmato3dlut_table1_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_burst_num:32;
    };
}dmato3dlut_dmato3dlut_table1_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  table1_mstart:28;
    };
}dmato3dlut_dmato3dlut_table1_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_remain:7;
        RBus_UInt32  res1:25;
    };
}dmato3dlut_dmato3dlut_table1_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_wdone:1;
        RBus_UInt32  res1:31;
    };
}dmato3dlut_dmato3dlut_table1_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_err_status:6;
        RBus_UInt32  table1_err_clr:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  table1_status2irq_en:6;
        RBus_UInt32  res2:18;
    };
}dmato3dlut_dmato3dlut_table1_errstatus2irq_RBUS;




#endif 


#endif 
