/**
* @file Mac7p-DesignSpec-D-Domain_Local_Contrast
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_LC_REG_H_
#define _RBUS_LC_REG_H_

#include "rbusTypes.h"



//  LC Register Address



#define  LC_LC_GLOBAL_CTRL0_VADDR                           	(0xb802e000)
#define  LC_LC_GLOBAL_CTRL1_VADDR                           	(0xb802e004)
#define  LC_LC_GLOBAL_CTRL2_VADDR                           	(0xb802e008)
#define  LC_LC_GLOBAL_CTRL3_VADDR                           	(0xb802e00c)
#define  LC_LC_GLOBAL_CTRL4_VADDR                           	(0xb802e010)
#define  LC_LC_GLOBAL_CTRL5_VADDR                           	(0xb802e014)
#define  LC_LC_GLOBAL_MAX_CTRL_VADDR                        	(0xb802e018)
#define  LC_LC_GLOBAL_HIST1_VADDR                           	(0xb802e01c)
#define  LC_LC_GLOBAL_HIST2_VADDR                           	(0xb802e020)
#define  LC_LC_GLOBAL_HIST3_VADDR                           	(0xb802e024)
#define  LC_LC_GLOBAL_HIST4_VADDR                           	(0xb802e028)
#define  LC_LC_GLOBAL_HIST5_VADDR                           	(0xb802e02c)
#define  LC_LC_GLOBAL_HIST6_VADDR                           	(0xb802e030)
#define  LC_LC_GLOBAL_HIST7_VADDR                           	(0xb802e034)
#define  LC_LC_GLOBAL_HIST8_VADDR                           	(0xb802e038)
#define  LC_LC_DECISION_CTRL1_VADDR                         	(0xb802e03c)
#define  LC_LC_DECISION_CTRL2_VADDR                         	(0xb802e040)
#define  LC_LC_DECISION_CTRL3_VADDR                         	(0xb802e044)
#define  LC_LC_DECISION_CTRL4_VADDR                         	(0xb802e048)
#define  LC_LC_DECISION_CTRL5_VADDR                         	(0xb802e04c)
#define  LC_LC_SPATIAL_CTRL1_VADDR                          	(0xb802e050)
#define  LC_LC_SPATIAL_CTRL2_VADDR                          	(0xb802e054)
#define  LC_LC_SPATIAL_CTRL3_VADDR                          	(0xb802e058)
#define  LC_LC_SPATIAL_CTRL4_VADDR                          	(0xb802e068)
#define  LC_LC_TEMPORAL_CTRL1_VADDR                         	(0xb802e05c)
#define  LC_LC_TEMPORAL_CTRL2_VADDR                         	(0xb802e060)
#define  LC_LC_TEMPORAL_CTRL3_VADDR                         	(0xb802e064)
#define  LC_LC_INTER_HCTRL3_VADDR                           	(0xb802e06c)
#define  LC_LC_INTER_HCTRL1_VADDR                           	(0xb802e074)
#define  LC_LC_INTER_HCTRL2_VADDR                           	(0xb802e078)
#define  LC_LC_INTER_VCTRL1_VADDR                           	(0xb802e07c)
#define  LC_LC_INTER_VCTRL2_VADDR                           	(0xb802e080)
#define  LC_LC_VTAB_AP_VADDR                                	(0xb802e084)
#define  LC_LC_VTAB_DP_VADDR                                	(0xb802e088)
#define  LC_LC_HTAB_AP_VADDR                                	(0xb802e08c)
#define  LC_LC_HTAB_DP_VADDR                                	(0xb802e090)
#define  LC_LC_SRAM_CTRL_VADDR                              	(0xb802e094)
#define  LC_LC_BLIGHT_AP_VADDR                              	(0xb802e098)
#define  LC_LC_BLIGHT_DP_VADDR                              	(0xb802e09c)
#define  LC_LC_TONEMAPPING_GRID0_0_VADDR                    	(0xb802e0a0)
#define  LC_LC_TONEMAPPING_GRID0_1_VADDR                    	(0xb802e0a4)
#define  LC_LC_TONEMAPPING_GRID0_2_VADDR                    	(0xb802e0a8)
#define  LC_LC_TONEMAPPING_GRID0_3_VADDR                    	(0xb802e0ac)
#define  LC_LC_TONEMAPPING_GRID0_4_VADDR                    	(0xb802e0b0)
#define  LC_LC_TONEMAPPING_GRID0_5_VADDR                    	(0xb802e0b4)
#define  LC_LC_TONEMAPPING_GRID0_6_VADDR                    	(0xb802e0b8)
#define  LC_LC_TONEMAPPING_GRID0_7_VADDR                    	(0xb802e0bc)
#define  LC_LC_TONEMAPPING_GRID0_8_VADDR                    	(0xb802e0c0)
#define  LC_LC_TONEMAPPING_GRID0_9_VADDR                    	(0xb802e0c4)
#define  LC_LC_TONEMAPPING_GRID0_10_VADDR                   	(0xb802e0c8)
#define  LC_LC_TONEMAPPING_GRID0_11_VADDR                   	(0xb802e0cc)
#define  LC_LC_TONEMAPPING_GRID0_12_VADDR                   	(0xb802e0d0)
#define  LC_LC_TONEMAPPING_GRID0_13_VADDR                   	(0xb802e0d4)
#define  LC_LC_TONEMAPPING_GRID0_14_VADDR                   	(0xb802e0d8)
#define  LC_LC_TONEMAPPING_GRID0_15_VADDR                   	(0xb802e0dc)
#define  LC_LC_TONEMAPPING_GRID2_0_VADDR                    	(0xb802e0e0)
#define  LC_LC_TONEMAPPING_GRID2_1_VADDR                    	(0xb802e0e4)
#define  LC_LC_TONEMAPPING_GRID2_2_VADDR                    	(0xb802e0e8)
#define  LC_LC_TONEMAPPING_GRID2_3_VADDR                    	(0xb802e0ec)
#define  LC_LC_TONEMAPPING_GRID2_4_VADDR                    	(0xb802e0f0)
#define  LC_LC_TONEMAPPING_GRID2_5_VADDR                    	(0xb802e0f4)
#define  LC_LC_TONEMAPPING_GRID2_6_VADDR                    	(0xb802e0f8)
#define  LC_LC_TONEMAPPING_GRID2_7_VADDR                    	(0xb802e0fc)
#define  LC_LC_TONEMAPPING_GRID2_8_VADDR                    	(0xb802e100)
#define  LC_LC_TONEMAPPING_GRID2_9_VADDR                    	(0xb802e104)
#define  LC_LC_TONEMAPPING_GRID2_10_VADDR                   	(0xb802e108)
#define  LC_LC_TONEMAPPING_GRID2_11_VADDR                   	(0xb802e10c)
#define  LC_LC_TONEMAPPING_GRID2_12_VADDR                   	(0xb802e110)
#define  LC_LC_TONEMAPPING_GRID2_13_VADDR                   	(0xb802e114)
#define  LC_LC_TONEMAPPING_GRID2_14_VADDR                   	(0xb802e118)
#define  LC_LC_TONEMAPPING_GRID2_15_VADDR                   	(0xb802e11c)
#define  LC_LC_TONEMAPPING_CURVE_SEL_0_VADDR                	(0xb802e120)
#define  LC_LC_TONEMAPPING_CURVE_SEL_1_VADDR                	(0xb802e124)
#define  LC_LC_TONEMAPPING_CURVE_SEL_2_VADDR                	(0xb802e128)
#define  LC_LC_TONEMAPPING_CURVE_SEL_3_VADDR                	(0xb802e12c)
#define  LC_LC_TONEMAPPING_SRAM_ADDR_VADDR                  	(0xb802e130)
#define  LC_LC_TONEMAPPING_SRAM_DATA_VADDR                  	(0xb802e134)
#define  LC_LC_TONEMAPPING_BLENDING_VADDR                   	(0xb802e138)
#define  LC_LC_LOCAL_SHPNR_1ST_GAIN_0_VADDR                 	(0xb802e140)
#define  LC_LC_LOCAL_SHPNR_1ST_GAIN_1_VADDR                 	(0xb802e144)
#define  LC_LC_LOCAL_SHPNR_1ST_GAIN_2_VADDR                 	(0xb802e148)
#define  LC_LC_LOCAL_SHPNR_1ST_GAIN_3_VADDR                 	(0xb802e14c)
#define  LC_LC_LOCAL_SHPNR_1ST_GAIN_4_VADDR                 	(0xb802e150)
#define  LC_LC_LOCAL_SHPNR_1ST_GAIN_5_VADDR                 	(0xb802e154)
#define  LC_LC_LOCAL_SHPNR_1ST_GAIN_6_VADDR                 	(0xb802e158)
#define  LC_LC_LOCAL_SHPNR_1ST_GAIN_7_VADDR                 	(0xb802e15c)
#define  LC_LC_LOCAL_SHPNR_1ST_GAIN_8_VADDR                 	(0xb802e160)
#define  LC_LC_LOCAL_SHPNR_2ND_GAIN_0_VADDR                 	(0xb802e170)
#define  LC_LC_LOCAL_SHPNR_2ND_GAIN_1_VADDR                 	(0xb802e174)
#define  LC_LC_LOCAL_SHPNR_2ND_GAIN_2_VADDR                 	(0xb802e178)
#define  LC_LC_LOCAL_SHPNR_2ND_GAIN_3_VADDR                 	(0xb802e17c)
#define  LC_LC_LOCAL_SHPNR_2ND_GAIN_4_VADDR                 	(0xb802e180)
#define  LC_LC_LOCAL_SHPNR_2ND_GAIN_5_VADDR                 	(0xb802e184)
#define  LC_LC_LOCAL_SHPNR_2ND_GAIN_6_VADDR                 	(0xb802e188)
#define  LC_LC_LOCAL_SHPNR_2ND_GAIN_7_VADDR                 	(0xb802e18c)
#define  LC_LC_LOCAL_SHPNR_2ND_GAIN_8_VADDR                 	(0xb802e190)
#define  LC_LC_DIFF_CTRL0_VADDR                             	(0xb802e1a0)
#define  LC_LC_DIFF_STATUS_VADDR                            	(0xb802e1a4)
#define  LC_LC_DEMO_WINDOW_CTRL0_VADDR                      	(0xb802e1b0)
#define  LC_LC_DEMO_WINDOW_CTRL1_VADDR                      	(0xb802e1b4)
#define  LC_LC_APL_READ_ADDR_VADDR                          	(0xb802e1c0)
#define  LC_LC_APL_READ_DATA_VADDR                          	(0xb802e1c4)
#define  LC_LC_APL_WRITE_ADDR_VADDR                         	(0xb802e1c8)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======LC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e000_31:1;
        RBus_UInt32  lc_apl_en:1;
        RBus_UInt32  lc_local_sharp_en:1;
        RBus_UInt32  lc_tone_mapping_en:1;
        RBus_UInt32  dummy1802e000_27_2:26;
        RBus_UInt32  lc_debugmode:2;
    };
}lc_lc_global_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_db_en:1;
        RBus_UInt32  dummy1802e004_30:1;
        RBus_UInt32  lc_db_apply:1;
        RBus_UInt32  dummy1802e004_28:1;
        RBus_UInt32  lc_db_read_level:1;
        RBus_UInt32  dummy1802e004_26_0:27;
    };
}lc_lc_global_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e008_31_29:3;
        RBus_UInt32  lc_blk_hnum:6;
        RBus_UInt32  dummy1802e008_22_21:2;
        RBus_UInt32  lc_blk_vnum:5;
        RBus_UInt32  dummy1802e008_15_8:8;
        RBus_UInt32  lc_subblk_mode:1;
        RBus_UInt32  lc_gcon_mode:1;
        RBus_UInt32  dummy1802e008_5_4:2;
        RBus_UInt32  lc_hist_mode:2;
        RBus_UInt32  lc_tenable:1;
        RBus_UInt32  lc_valid:1;
    };
}lc_lc_global_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e00c_31_29:3;
        RBus_UInt32  lc_blk_hsize:13;
        RBus_UInt32  dummy1802e00c_15_12:4;
        RBus_UInt32  lc_blk_vsize:12;
    };
}lc_lc_global_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_drf_rme_7:1;
        RBus_UInt32  lc_drf_rme_6:1;
        RBus_UInt32  lc_drf_rme_5:1;
        RBus_UInt32  lc_drf_rme_4:1;
        RBus_UInt32  lc_drf_rme_3:1;
        RBus_UInt32  lc_drf_rme_2:1;
        RBus_UInt32  lc_drf_rme_1:1;
        RBus_UInt32  lc_drf_rme_0:1;
        RBus_UInt32  lc_drf_ls_7:1;
        RBus_UInt32  lc_drf_ls_6:1;
        RBus_UInt32  lc_drf_ls_5:1;
        RBus_UInt32  lc_drf_ls_4:1;
        RBus_UInt32  lc_drf_ls_3:1;
        RBus_UInt32  lc_drf_ls_2:1;
        RBus_UInt32  lc_drf_ls_1:1;
        RBus_UInt32  lc_drf_ls_0:1;
        RBus_UInt32  lc_drf_bist_fail_7:1;
        RBus_UInt32  lc_drf_bist_fail_6:1;
        RBus_UInt32  lc_drf_bist_fail_5:1;
        RBus_UInt32  lc_drf_bist_fail_4:1;
        RBus_UInt32  lc_drf_bist_fail_3:1;
        RBus_UInt32  lc_drf_bist_fail_2:1;
        RBus_UInt32  lc_drf_bist_fail_1:1;
        RBus_UInt32  lc_drf_bist_fail_0:1;
        RBus_UInt32  lc_bist_fail_7:1;
        RBus_UInt32  lc_bist_fail_6:1;
        RBus_UInt32  lc_bist_fail_5:1;
        RBus_UInt32  lc_bist_fail_4:1;
        RBus_UInt32  lc_bist_fail_3:1;
        RBus_UInt32  lc_bist_fail_2:1;
        RBus_UInt32  lc_bist_fail_1:1;
        RBus_UInt32  lc_bist_fail_0:1;
    };
}lc_lc_global_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_drf_rm_7:4;
        RBus_UInt32  lc_drf_rm_6:4;
        RBus_UInt32  lc_drf_rm_5:4;
        RBus_UInt32  lc_drf_rm_4:4;
        RBus_UInt32  lc_drf_rm_3:4;
        RBus_UInt32  lc_drf_rm_2:4;
        RBus_UInt32  lc_drf_rm_1:4;
        RBus_UInt32  lc_drf_rm_0:4;
    };
}lc_lc_global_ctrl5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  lc_global_max:12;
    };
}lc_lc_global_max_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist0:16;
        RBus_UInt32  lc_global_hist1:16;
    };
}lc_lc_global_hist1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist2:16;
        RBus_UInt32  lc_global_hist3:16;
    };
}lc_lc_global_hist2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist4:16;
        RBus_UInt32  lc_global_hist5:16;
    };
}lc_lc_global_hist3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist6:16;
        RBus_UInt32  lc_global_hist7:16;
    };
}lc_lc_global_hist4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist8:16;
        RBus_UInt32  lc_global_hist9:16;
    };
}lc_lc_global_hist5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist10:16;
        RBus_UInt32  lc_global_hist11:16;
    };
}lc_lc_global_hist6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist12:16;
        RBus_UInt32  lc_global_hist13:16;
    };
}lc_lc_global_hist7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist14:16;
        RBus_UInt32  lc_global_hist15:16;
    };
}lc_lc_global_hist8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_maxgain:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_avegain:6;
        RBus_UInt32  res3:12;
        RBus_UInt32  lc_histshiftbit:4;
    };
}lc_lc_decision_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_hist0gain:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_hist1gain:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  lc_hist2gain:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  lc_hist3gain:6;
    };
}lc_lc_decision_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_hist4gain:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_hist5gain:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  lc_hist6gain:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  lc_hist7gain:6;
    };
}lc_lc_decision_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  lc_decaccess_addr:10;
        RBus_UInt32  res2:15;
        RBus_UInt32  lc_decaccess_en:1;
    };
}lc_lc_decision_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  lc_decaccess_data:31;
    };
}lc_lc_decision_ctrl5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_spatialcoef0:4;
        RBus_UInt32  lc_spatialcoef1:4;
        RBus_UInt32  lc_spatialcoef2:4;
        RBus_UInt32  lc_spatialcoef3:4;
        RBus_UInt32  lc_spatialcoef4:4;
        RBus_UInt32  lc_spatialcoef5:4;
        RBus_UInt32  lc_spatialcoef6:4;
        RBus_UInt32  lc_spatialcoef7:4;
    };
}lc_lc_spatial_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_spatialcoef8:4;
        RBus_UInt32  lc_spatialcoef9:4;
        RBus_UInt32  lc_spatialcoef10:4;
        RBus_UInt32  dummy1802e054_19_2:18;
        RBus_UInt32  lc_spatialremapbusy:1;
        RBus_UInt32  lc_spatialremapen:1;
    };
}lc_lc_spatial_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  lc_spatialremapadr:5;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_spatialremaptab1:10;
        RBus_UInt32  res3:2;
        RBus_UInt32  lc_spatialremaptab0:10;
    };
}lc_lc_spatial_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  lc_spatialremaptab_initial:10;
    };
}lc_lc_spatial_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmp_pos0thd:8;
        RBus_UInt32  lc_tmp_pos1thd:8;
        RBus_UInt32  res1:3;
        RBus_UInt32  lc_tmp_posmingain:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  lc_tmp_posmaxgain:5;
    };
}lc_lc_temporal_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmp_neg0thd:8;
        RBus_UInt32  lc_tmp_neg1thd:8;
        RBus_UInt32  res1:3;
        RBus_UInt32  lc_tmp_negmingain:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  lc_tmp_negmaxgain:5;
    };
}lc_lc_temporal_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  lc_tmp_maxdiff:8;
        RBus_UInt32  res2:3;
        RBus_UInt32  lc_tmp_scenechangegain1:5;
        RBus_UInt32  res3:8;
    };
}lc_lc_temporal_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  lc_test1_8:1;
        RBus_UInt32  lc_test1_7:1;
        RBus_UInt32  lc_test1_6:1;
        RBus_UInt32  lc_test1_5:1;
        RBus_UInt32  lc_test1_4:1;
        RBus_UInt32  lc_test1_3:1;
        RBus_UInt32  lc_test1_2:1;
        RBus_UInt32  lc_test1_1:1;
        RBus_UInt32  lc_test1_0:1;
        RBus_UInt32  lc_drf_rm_8:4;
        RBus_UInt32  lc_drf_rme_8:1;
        RBus_UInt32  lc_drf_ls_8:1;
        RBus_UInt32  lc_drf_bist_fail_8:1;
        RBus_UInt32  lc_bist_fail_8:1;
    };
}lc_lc_inter_hctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tab_hsize:8;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_hfactor:20;
    };
}lc_lc_inter_hctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_hinitphase3_right:8;
        RBus_UInt32  res1:3;
        RBus_UInt32  lc_hboundary:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  lc_hinitphase1:1;
        RBus_UInt32  lc_hinitphase2:8;
        RBus_UInt32  lc_hinitphase3_left:8;
    };
}lc_lc_inter_hctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tab_vsize:8;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_vfactor:20;
    };
}lc_lc_inter_vctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_vinitphase3_right:8;
        RBus_UInt32  res1:3;
        RBus_UInt32  lc_vboundary:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  lc_vinitphase1:1;
        RBus_UInt32  lc_vinitphase2:8;
        RBus_UInt32  lc_vinitphase3_left:8;
    };
}lc_lc_inter_vctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e084_31_9:23;
        RBus_UInt32  lc_vtab_adr:9;
    };
}lc_lc_vtab_ap_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e088_31_26:6;
        RBus_UInt32  lc_vtab_dat_msb:10;
        RBus_UInt32  dummy1802e088_15_10:6;
        RBus_UInt32  lc_vtab_dat_lsb:10;
    };
}lc_lc_vtab_dp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e08c_31_9:23;
        RBus_UInt32  lc_htab_adr:9;
    };
}lc_lc_htab_ap_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e090_31_26:6;
        RBus_UInt32  lc_htab_dat_msb:10;
        RBus_UInt32  dummy1802e090_15_10:6;
        RBus_UInt32  lc_htab_dat_lsb:10;
    };
}lc_lc_htab_dp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e094_31_3:29;
        RBus_UInt32  lc_blight_update_en:1;
        RBus_UInt32  lc_blight_sw_mode:1;
        RBus_UInt32  lc_table_sw_mode:1;
    };
}lc_lc_sram_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e098_31_10:22;
        RBus_UInt32  lc_blight_adr:10;
    };
}lc_lc_blight_ap_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e09c_31_26:6;
        RBus_UInt32  lc_blight_dat_msb:10;
        RBus_UInt32  dummy1802e09c_15_10:6;
        RBus_UInt32  lc_blight_dat_lsb:10;
    };
}lc_lc_blight_dp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  res2:12;
        RBus_UInt32  res3:4;
        RBus_UInt32  lc_tmap_g0_th1:12;
    };
}lc_lc_tonemapping_grid0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th2:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th3:12;
    };
}lc_lc_tonemapping_grid0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th4:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th5:12;
    };
}lc_lc_tonemapping_grid0_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th6:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th7:12;
    };
}lc_lc_tonemapping_grid0_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th8:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th9:12;
    };
}lc_lc_tonemapping_grid0_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th10:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th11:12;
    };
}lc_lc_tonemapping_grid0_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th12:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th13:12;
    };
}lc_lc_tonemapping_grid0_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th14:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th15:12;
    };
}lc_lc_tonemapping_grid0_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th16:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th17:12;
    };
}lc_lc_tonemapping_grid0_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th18:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th19:12;
    };
}lc_lc_tonemapping_grid0_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th20:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th21:12;
    };
}lc_lc_tonemapping_grid0_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th22:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th23:12;
    };
}lc_lc_tonemapping_grid0_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th24:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th25:12;
    };
}lc_lc_tonemapping_grid0_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th26:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th27:12;
    };
}lc_lc_tonemapping_grid0_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th28:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th29:12;
    };
}lc_lc_tonemapping_grid0_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th30:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g0_th31:12;
    };
}lc_lc_tonemapping_grid0_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  res2:12;
        RBus_UInt32  res3:4;
        RBus_UInt32  lc_tmap_g2_th1:12;
    };
}lc_lc_tonemapping_grid2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th2:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th3:12;
    };
}lc_lc_tonemapping_grid2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th4:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th5:12;
    };
}lc_lc_tonemapping_grid2_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th6:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th7:12;
    };
}lc_lc_tonemapping_grid2_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th8:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th9:12;
    };
}lc_lc_tonemapping_grid2_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th10:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th11:12;
    };
}lc_lc_tonemapping_grid2_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th12:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th13:12;
    };
}lc_lc_tonemapping_grid2_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th14:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th15:12;
    };
}lc_lc_tonemapping_grid2_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th16:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th17:12;
    };
}lc_lc_tonemapping_grid2_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th18:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th19:12;
    };
}lc_lc_tonemapping_grid2_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th20:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th21:12;
    };
}lc_lc_tonemapping_grid2_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th22:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th23:12;
    };
}lc_lc_tonemapping_grid2_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th24:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th25:12;
    };
}lc_lc_tonemapping_grid2_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th26:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th27:12;
    };
}lc_lc_tonemapping_grid2_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th28:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th29:12;
    };
}lc_lc_tonemapping_grid2_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th30:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_g2_th31:12;
    };
}lc_lc_tonemapping_grid2_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_tmap_curve0_grid:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_tmap_curve0_tone:10;
        RBus_UInt32  res3:2;
        RBus_UInt32  lc_tmap_curve1_grid:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  lc_tmap_curve1_tone:10;
    };
}lc_lc_tonemapping_curve_sel_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_tmap_curve2_grid:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_tmap_curve2_tone:10;
        RBus_UInt32  res3:2;
        RBus_UInt32  lc_tmap_curve3_grid:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  lc_tmap_curve3_tone:10;
    };
}lc_lc_tonemapping_curve_sel_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_tmap_curve4_grid:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_tmap_curve4_tone:10;
        RBus_UInt32  res3:2;
        RBus_UInt32  lc_tmap_curve5_grid:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  lc_tmap_curve5_tone:10;
    };
}lc_lc_tonemapping_curve_sel_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_tmap_curve6_grid:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_tmap_curve6_tone:10;
        RBus_UInt32  res3:2;
        RBus_UInt32  lc_tmap_curve7_grid:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  lc_tmap_curve7_tone:10;
    };
}lc_lc_tonemapping_curve_sel_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  lc_tmap_sram_num:3;
        RBus_UInt32  res2:11;
        RBus_UInt32  lc_tmap_sram_addr:5;
    };
}lc_lc_tonemapping_sram_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  lc_tmap_sram_ds:8;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_tmap_sram_dp:12;
    };
}lc_lc_tonemapping_sram_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  lc_tmap_slope_unit:1;
        RBus_UInt32  res2:8;
        RBus_UInt32  lc_tmap_blend_factor:8;
    };
}lc_lc_tonemapping_blending_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_0:8;
        RBus_UInt32  lc_gain_by_yin_1:8;
        RBus_UInt32  lc_gain_by_yin_2:8;
        RBus_UInt32  lc_gain_by_yin_3:8;
    };
}lc_lc_local_shpnr_1st_gain_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_4:8;
        RBus_UInt32  lc_gain_by_yin_5:8;
        RBus_UInt32  lc_gain_by_yin_6:8;
        RBus_UInt32  lc_gain_by_yin_7:8;
    };
}lc_lc_local_shpnr_1st_gain_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_8:8;
        RBus_UInt32  lc_gain_by_yin_9:8;
        RBus_UInt32  lc_gain_by_yin_10:8;
        RBus_UInt32  lc_gain_by_yin_11:8;
    };
}lc_lc_local_shpnr_1st_gain_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_12:8;
        RBus_UInt32  lc_gain_by_yin_13:8;
        RBus_UInt32  lc_gain_by_yin_14:8;
        RBus_UInt32  lc_gain_by_yin_15:8;
    };
}lc_lc_local_shpnr_1st_gain_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_16:8;
        RBus_UInt32  lc_gain_by_yin_17:8;
        RBus_UInt32  lc_gain_by_yin_18:8;
        RBus_UInt32  lc_gain_by_yin_19:8;
    };
}lc_lc_local_shpnr_1st_gain_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_20:8;
        RBus_UInt32  lc_gain_by_yin_21:8;
        RBus_UInt32  lc_gain_by_yin_22:8;
        RBus_UInt32  lc_gain_by_yin_23:8;
    };
}lc_lc_local_shpnr_1st_gain_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_24:8;
        RBus_UInt32  lc_gain_by_yin_25:8;
        RBus_UInt32  lc_gain_by_yin_26:8;
        RBus_UInt32  lc_gain_by_yin_27:8;
    };
}lc_lc_local_shpnr_1st_gain_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_28:8;
        RBus_UInt32  lc_gain_by_yin_29:8;
        RBus_UInt32  lc_gain_by_yin_30:8;
        RBus_UInt32  lc_gain_by_yin_31:8;
    };
}lc_lc_local_shpnr_1st_gain_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_32:8;
        RBus_UInt32  res1:21;
        RBus_UInt32  lc_gain_by_yin_divisor:3;
    };
}lc_lc_local_shpnr_1st_gain_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_0:8;
        RBus_UInt32  lc_gain_by_ydiff_1:8;
        RBus_UInt32  lc_gain_by_ydiff_2:8;
        RBus_UInt32  lc_gain_by_ydiff_3:8;
    };
}lc_lc_local_shpnr_2nd_gain_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_4:8;
        RBus_UInt32  lc_gain_by_ydiff_5:8;
        RBus_UInt32  lc_gain_by_ydiff_6:8;
        RBus_UInt32  lc_gain_by_ydiff_7:8;
    };
}lc_lc_local_shpnr_2nd_gain_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_8:8;
        RBus_UInt32  lc_gain_by_ydiff_9:8;
        RBus_UInt32  lc_gain_by_ydiff_10:8;
        RBus_UInt32  lc_gain_by_ydiff_11:8;
    };
}lc_lc_local_shpnr_2nd_gain_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_12:8;
        RBus_UInt32  lc_gain_by_ydiff_13:8;
        RBus_UInt32  lc_gain_by_ydiff_14:8;
        RBus_UInt32  lc_gain_by_ydiff_15:8;
    };
}lc_lc_local_shpnr_2nd_gain_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_16:8;
        RBus_UInt32  lc_gain_by_ydiff_17:8;
        RBus_UInt32  lc_gain_by_ydiff_18:8;
        RBus_UInt32  lc_gain_by_ydiff_19:8;
    };
}lc_lc_local_shpnr_2nd_gain_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_20:8;
        RBus_UInt32  lc_gain_by_ydiff_21:8;
        RBus_UInt32  lc_gain_by_ydiff_22:8;
        RBus_UInt32  lc_gain_by_ydiff_23:8;
    };
}lc_lc_local_shpnr_2nd_gain_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_24:8;
        RBus_UInt32  lc_gain_by_ydiff_25:8;
        RBus_UInt32  lc_gain_by_ydiff_26:8;
        RBus_UInt32  lc_gain_by_ydiff_27:8;
    };
}lc_lc_local_shpnr_2nd_gain_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_28:8;
        RBus_UInt32  lc_gain_by_ydiff_29:8;
        RBus_UInt32  lc_gain_by_ydiff_30:8;
        RBus_UInt32  lc_gain_by_ydiff_31:8;
    };
}lc_lc_local_shpnr_2nd_gain_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_32:8;
        RBus_UInt32  res1:21;
        RBus_UInt32  lc_gain_by_ydiff_divisor:3;
    };
}lc_lc_local_shpnr_2nd_gain_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_ydiff_measure_en:1;
        RBus_UInt32  res1:19;
        RBus_UInt32  lc_ydiff_abs_th:12;
    };
}lc_lc_diff_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  lc_ydiff_over_abs_th:25;
    };
}lc_lc_diff_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_demo_en:1;
        RBus_UInt32  lc_demo_mode:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_demo_top:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  lc_demo_bottom:12;
    };
}lc_lc_demo_window_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  lc_demo_left:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  lc_demo_right:13;
    };
}lc_lc_demo_window_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_apl_mod:1;
        RBus_UInt32  res1:20;
        RBus_UInt32  lc_apl_idx:1;
        RBus_UInt32  lc_apl_addr:10;
    };
}lc_lc_apl_read_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  lc_apl_sram_read_idx:1;
        RBus_UInt32  lc_apl_sram_read_addr:10;
        RBus_UInt32  lc_apl_dat_msb:10;
        RBus_UInt32  lc_apl_dat_lsb:10;
    };
}lc_lc_apl_read_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:21;
        RBus_UInt32  lc_apl_sram_write_idx:1;
        RBus_UInt32  lc_apl_sram_write_addr:10;
    };
}lc_lc_apl_write_addr_RBUS;

#else //apply LITTLE_ENDIAN

//======LC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_debugmode:2;
        RBus_UInt32  dummy1802e000_27_2:26;
        RBus_UInt32  lc_tone_mapping_en:1;
        RBus_UInt32  lc_local_sharp_en:1;
        RBus_UInt32  lc_apl_en:1;
        RBus_UInt32  dummy1802e000_31:1;
    };
}lc_lc_global_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e004_26_0:27;
        RBus_UInt32  lc_db_read_level:1;
        RBus_UInt32  dummy1802e004_28:1;
        RBus_UInt32  lc_db_apply:1;
        RBus_UInt32  dummy1802e004_30:1;
        RBus_UInt32  lc_db_en:1;
    };
}lc_lc_global_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_valid:1;
        RBus_UInt32  lc_tenable:1;
        RBus_UInt32  lc_hist_mode:2;
        RBus_UInt32  dummy1802e008_5_4:2;
        RBus_UInt32  lc_gcon_mode:1;
        RBus_UInt32  lc_subblk_mode:1;
        RBus_UInt32  dummy1802e008_15_8:8;
        RBus_UInt32  lc_blk_vnum:5;
        RBus_UInt32  dummy1802e008_22_21:2;
        RBus_UInt32  lc_blk_hnum:6;
        RBus_UInt32  dummy1802e008_31_29:3;
    };
}lc_lc_global_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_blk_vsize:12;
        RBus_UInt32  dummy1802e00c_15_12:4;
        RBus_UInt32  lc_blk_hsize:13;
        RBus_UInt32  dummy1802e00c_31_29:3;
    };
}lc_lc_global_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_bist_fail_0:1;
        RBus_UInt32  lc_bist_fail_1:1;
        RBus_UInt32  lc_bist_fail_2:1;
        RBus_UInt32  lc_bist_fail_3:1;
        RBus_UInt32  lc_bist_fail_4:1;
        RBus_UInt32  lc_bist_fail_5:1;
        RBus_UInt32  lc_bist_fail_6:1;
        RBus_UInt32  lc_bist_fail_7:1;
        RBus_UInt32  lc_drf_bist_fail_0:1;
        RBus_UInt32  lc_drf_bist_fail_1:1;
        RBus_UInt32  lc_drf_bist_fail_2:1;
        RBus_UInt32  lc_drf_bist_fail_3:1;
        RBus_UInt32  lc_drf_bist_fail_4:1;
        RBus_UInt32  lc_drf_bist_fail_5:1;
        RBus_UInt32  lc_drf_bist_fail_6:1;
        RBus_UInt32  lc_drf_bist_fail_7:1;
        RBus_UInt32  lc_drf_ls_0:1;
        RBus_UInt32  lc_drf_ls_1:1;
        RBus_UInt32  lc_drf_ls_2:1;
        RBus_UInt32  lc_drf_ls_3:1;
        RBus_UInt32  lc_drf_ls_4:1;
        RBus_UInt32  lc_drf_ls_5:1;
        RBus_UInt32  lc_drf_ls_6:1;
        RBus_UInt32  lc_drf_ls_7:1;
        RBus_UInt32  lc_drf_rme_0:1;
        RBus_UInt32  lc_drf_rme_1:1;
        RBus_UInt32  lc_drf_rme_2:1;
        RBus_UInt32  lc_drf_rme_3:1;
        RBus_UInt32  lc_drf_rme_4:1;
        RBus_UInt32  lc_drf_rme_5:1;
        RBus_UInt32  lc_drf_rme_6:1;
        RBus_UInt32  lc_drf_rme_7:1;
    };
}lc_lc_global_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_drf_rm_0:4;
        RBus_UInt32  lc_drf_rm_1:4;
        RBus_UInt32  lc_drf_rm_2:4;
        RBus_UInt32  lc_drf_rm_3:4;
        RBus_UInt32  lc_drf_rm_4:4;
        RBus_UInt32  lc_drf_rm_5:4;
        RBus_UInt32  lc_drf_rm_6:4;
        RBus_UInt32  lc_drf_rm_7:4;
    };
}lc_lc_global_ctrl5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_max:12;
        RBus_UInt32  res1:20;
    };
}lc_lc_global_max_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist1:16;
        RBus_UInt32  lc_global_hist0:16;
    };
}lc_lc_global_hist1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist3:16;
        RBus_UInt32  lc_global_hist2:16;
    };
}lc_lc_global_hist2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist5:16;
        RBus_UInt32  lc_global_hist4:16;
    };
}lc_lc_global_hist3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist7:16;
        RBus_UInt32  lc_global_hist6:16;
    };
}lc_lc_global_hist4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist9:16;
        RBus_UInt32  lc_global_hist8:16;
    };
}lc_lc_global_hist5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist11:16;
        RBus_UInt32  lc_global_hist10:16;
    };
}lc_lc_global_hist6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist13:16;
        RBus_UInt32  lc_global_hist12:16;
    };
}lc_lc_global_hist7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_global_hist15:16;
        RBus_UInt32  lc_global_hist14:16;
    };
}lc_lc_global_hist8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_histshiftbit:4;
        RBus_UInt32  res1:12;
        RBus_UInt32  lc_avegain:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_maxgain:6;
        RBus_UInt32  res3:2;
    };
}lc_lc_decision_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_hist3gain:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_hist2gain:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_hist1gain:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  lc_hist0gain:6;
        RBus_UInt32  res4:2;
    };
}lc_lc_decision_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_hist7gain:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_hist6gain:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_hist5gain:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  lc_hist4gain:6;
        RBus_UInt32  res4:2;
    };
}lc_lc_decision_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_decaccess_en:1;
        RBus_UInt32  res1:15;
        RBus_UInt32  lc_decaccess_addr:10;
        RBus_UInt32  res2:6;
    };
}lc_lc_decision_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_decaccess_data:31;
        RBus_UInt32  res1:1;
    };
}lc_lc_decision_ctrl5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_spatialcoef7:4;
        RBus_UInt32  lc_spatialcoef6:4;
        RBus_UInt32  lc_spatialcoef5:4;
        RBus_UInt32  lc_spatialcoef4:4;
        RBus_UInt32  lc_spatialcoef3:4;
        RBus_UInt32  lc_spatialcoef2:4;
        RBus_UInt32  lc_spatialcoef1:4;
        RBus_UInt32  lc_spatialcoef0:4;
    };
}lc_lc_spatial_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_spatialremapen:1;
        RBus_UInt32  lc_spatialremapbusy:1;
        RBus_UInt32  dummy1802e054_19_2:18;
        RBus_UInt32  lc_spatialcoef10:4;
        RBus_UInt32  lc_spatialcoef9:4;
        RBus_UInt32  lc_spatialcoef8:4;
    };
}lc_lc_spatial_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_spatialremaptab0:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_spatialremaptab1:10;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_spatialremapadr:5;
        RBus_UInt32  res3:3;
    };
}lc_lc_spatial_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_spatialremaptab_initial:10;
        RBus_UInt32  res1:22;
    };
}lc_lc_spatial_ctrl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmp_posmaxgain:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  lc_tmp_posmingain:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  lc_tmp_pos1thd:8;
        RBus_UInt32  lc_tmp_pos0thd:8;
    };
}lc_lc_temporal_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmp_negmaxgain:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  lc_tmp_negmingain:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  lc_tmp_neg1thd:8;
        RBus_UInt32  lc_tmp_neg0thd:8;
    };
}lc_lc_temporal_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  lc_tmp_scenechangegain1:5;
        RBus_UInt32  res2:3;
        RBus_UInt32  lc_tmp_maxdiff:8;
        RBus_UInt32  res3:8;
    };
}lc_lc_temporal_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_bist_fail_8:1;
        RBus_UInt32  lc_drf_bist_fail_8:1;
        RBus_UInt32  lc_drf_ls_8:1;
        RBus_UInt32  lc_drf_rme_8:1;
        RBus_UInt32  lc_drf_rm_8:4;
        RBus_UInt32  lc_test1_0:1;
        RBus_UInt32  lc_test1_1:1;
        RBus_UInt32  lc_test1_2:1;
        RBus_UInt32  lc_test1_3:1;
        RBus_UInt32  lc_test1_4:1;
        RBus_UInt32  lc_test1_5:1;
        RBus_UInt32  lc_test1_6:1;
        RBus_UInt32  lc_test1_7:1;
        RBus_UInt32  lc_test1_8:1;
        RBus_UInt32  res1:15;
    };
}lc_lc_inter_hctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_hfactor:20;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tab_hsize:8;
    };
}lc_lc_inter_hctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_hinitphase3_left:8;
        RBus_UInt32  lc_hinitphase2:8;
        RBus_UInt32  lc_hinitphase1:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  lc_hboundary:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  lc_hinitphase3_right:8;
    };
}lc_lc_inter_hctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_vfactor:20;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tab_vsize:8;
    };
}lc_lc_inter_vctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_vinitphase3_left:8;
        RBus_UInt32  lc_vinitphase2:8;
        RBus_UInt32  lc_vinitphase1:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  lc_vboundary:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  lc_vinitphase3_right:8;
    };
}lc_lc_inter_vctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_vtab_adr:9;
        RBus_UInt32  dummy1802e084_31_9:23;
    };
}lc_lc_vtab_ap_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_vtab_dat_lsb:10;
        RBus_UInt32  dummy1802e088_15_10:6;
        RBus_UInt32  lc_vtab_dat_msb:10;
        RBus_UInt32  dummy1802e088_31_26:6;
    };
}lc_lc_vtab_dp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_htab_adr:9;
        RBus_UInt32  dummy1802e08c_31_9:23;
    };
}lc_lc_htab_ap_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_htab_dat_lsb:10;
        RBus_UInt32  dummy1802e090_15_10:6;
        RBus_UInt32  lc_htab_dat_msb:10;
        RBus_UInt32  dummy1802e090_31_26:6;
    };
}lc_lc_htab_dp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_table_sw_mode:1;
        RBus_UInt32  lc_blight_sw_mode:1;
        RBus_UInt32  lc_blight_update_en:1;
        RBus_UInt32  dummy1802e094_31_3:29;
    };
}lc_lc_sram_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_blight_adr:10;
        RBus_UInt32  dummy1802e098_31_10:22;
    };
}lc_lc_blight_ap_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_blight_dat_lsb:10;
        RBus_UInt32  dummy1802e09c_15_10:6;
        RBus_UInt32  lc_blight_dat_msb:10;
        RBus_UInt32  dummy1802e09c_31_26:6;
    };
}lc_lc_blight_dp_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th1:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  res2:12;
        RBus_UInt32  res3:4;
    };
}lc_lc_tonemapping_grid0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th3:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th2:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th5:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th4:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th7:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th6:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th9:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th8:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th11:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th10:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th13:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th12:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th15:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th14:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th17:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th16:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th19:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th18:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th21:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th20:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th23:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th22:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th25:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th24:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th27:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th26:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th29:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th28:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g0_th31:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g0_th30:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid0_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th1:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  res2:12;
        RBus_UInt32  res3:4;
    };
}lc_lc_tonemapping_grid2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th3:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th2:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th5:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th4:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th7:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th6:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th9:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th8:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th11:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th10:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th13:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th12:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th15:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th14:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th17:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th16:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th19:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th18:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th21:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th20:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th23:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th22:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th25:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th24:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th27:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th26:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th29:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th28:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_g2_th31:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_g2_th30:12;
        RBus_UInt32  res2:4;
    };
}lc_lc_tonemapping_grid2_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_curve1_tone:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_tmap_curve1_grid:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_tmap_curve0_tone:10;
        RBus_UInt32  res3:2;
        RBus_UInt32  lc_tmap_curve0_grid:2;
        RBus_UInt32  res4:2;
    };
}lc_lc_tonemapping_curve_sel_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_curve3_tone:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_tmap_curve3_grid:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_tmap_curve2_tone:10;
        RBus_UInt32  res3:2;
        RBus_UInt32  lc_tmap_curve2_grid:2;
        RBus_UInt32  res4:2;
    };
}lc_lc_tonemapping_curve_sel_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_curve5_tone:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_tmap_curve5_grid:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_tmap_curve4_tone:10;
        RBus_UInt32  res3:2;
        RBus_UInt32  lc_tmap_curve4_grid:2;
        RBus_UInt32  res4:2;
    };
}lc_lc_tonemapping_curve_sel_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_curve7_tone:10;
        RBus_UInt32  res1:2;
        RBus_UInt32  lc_tmap_curve7_grid:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_tmap_curve6_tone:10;
        RBus_UInt32  res3:2;
        RBus_UInt32  lc_tmap_curve6_grid:2;
        RBus_UInt32  res4:2;
    };
}lc_lc_tonemapping_curve_sel_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_sram_addr:5;
        RBus_UInt32  res1:11;
        RBus_UInt32  lc_tmap_sram_num:3;
        RBus_UInt32  res2:13;
    };
}lc_lc_tonemapping_sram_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_sram_dp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_tmap_sram_ds:8;
        RBus_UInt32  res2:8;
    };
}lc_lc_tonemapping_sram_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_tmap_blend_factor:8;
        RBus_UInt32  res1:8;
        RBus_UInt32  lc_tmap_slope_unit:1;
        RBus_UInt32  res2:15;
    };
}lc_lc_tonemapping_blending_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_3:8;
        RBus_UInt32  lc_gain_by_yin_2:8;
        RBus_UInt32  lc_gain_by_yin_1:8;
        RBus_UInt32  lc_gain_by_yin_0:8;
    };
}lc_lc_local_shpnr_1st_gain_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_7:8;
        RBus_UInt32  lc_gain_by_yin_6:8;
        RBus_UInt32  lc_gain_by_yin_5:8;
        RBus_UInt32  lc_gain_by_yin_4:8;
    };
}lc_lc_local_shpnr_1st_gain_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_11:8;
        RBus_UInt32  lc_gain_by_yin_10:8;
        RBus_UInt32  lc_gain_by_yin_9:8;
        RBus_UInt32  lc_gain_by_yin_8:8;
    };
}lc_lc_local_shpnr_1st_gain_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_15:8;
        RBus_UInt32  lc_gain_by_yin_14:8;
        RBus_UInt32  lc_gain_by_yin_13:8;
        RBus_UInt32  lc_gain_by_yin_12:8;
    };
}lc_lc_local_shpnr_1st_gain_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_19:8;
        RBus_UInt32  lc_gain_by_yin_18:8;
        RBus_UInt32  lc_gain_by_yin_17:8;
        RBus_UInt32  lc_gain_by_yin_16:8;
    };
}lc_lc_local_shpnr_1st_gain_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_23:8;
        RBus_UInt32  lc_gain_by_yin_22:8;
        RBus_UInt32  lc_gain_by_yin_21:8;
        RBus_UInt32  lc_gain_by_yin_20:8;
    };
}lc_lc_local_shpnr_1st_gain_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_27:8;
        RBus_UInt32  lc_gain_by_yin_26:8;
        RBus_UInt32  lc_gain_by_yin_25:8;
        RBus_UInt32  lc_gain_by_yin_24:8;
    };
}lc_lc_local_shpnr_1st_gain_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_31:8;
        RBus_UInt32  lc_gain_by_yin_30:8;
        RBus_UInt32  lc_gain_by_yin_29:8;
        RBus_UInt32  lc_gain_by_yin_28:8;
    };
}lc_lc_local_shpnr_1st_gain_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_yin_divisor:3;
        RBus_UInt32  res1:21;
        RBus_UInt32  lc_gain_by_yin_32:8;
    };
}lc_lc_local_shpnr_1st_gain_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_3:8;
        RBus_UInt32  lc_gain_by_ydiff_2:8;
        RBus_UInt32  lc_gain_by_ydiff_1:8;
        RBus_UInt32  lc_gain_by_ydiff_0:8;
    };
}lc_lc_local_shpnr_2nd_gain_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_7:8;
        RBus_UInt32  lc_gain_by_ydiff_6:8;
        RBus_UInt32  lc_gain_by_ydiff_5:8;
        RBus_UInt32  lc_gain_by_ydiff_4:8;
    };
}lc_lc_local_shpnr_2nd_gain_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_11:8;
        RBus_UInt32  lc_gain_by_ydiff_10:8;
        RBus_UInt32  lc_gain_by_ydiff_9:8;
        RBus_UInt32  lc_gain_by_ydiff_8:8;
    };
}lc_lc_local_shpnr_2nd_gain_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_15:8;
        RBus_UInt32  lc_gain_by_ydiff_14:8;
        RBus_UInt32  lc_gain_by_ydiff_13:8;
        RBus_UInt32  lc_gain_by_ydiff_12:8;
    };
}lc_lc_local_shpnr_2nd_gain_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_19:8;
        RBus_UInt32  lc_gain_by_ydiff_18:8;
        RBus_UInt32  lc_gain_by_ydiff_17:8;
        RBus_UInt32  lc_gain_by_ydiff_16:8;
    };
}lc_lc_local_shpnr_2nd_gain_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_23:8;
        RBus_UInt32  lc_gain_by_ydiff_22:8;
        RBus_UInt32  lc_gain_by_ydiff_21:8;
        RBus_UInt32  lc_gain_by_ydiff_20:8;
    };
}lc_lc_local_shpnr_2nd_gain_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_27:8;
        RBus_UInt32  lc_gain_by_ydiff_26:8;
        RBus_UInt32  lc_gain_by_ydiff_25:8;
        RBus_UInt32  lc_gain_by_ydiff_24:8;
    };
}lc_lc_local_shpnr_2nd_gain_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_31:8;
        RBus_UInt32  lc_gain_by_ydiff_30:8;
        RBus_UInt32  lc_gain_by_ydiff_29:8;
        RBus_UInt32  lc_gain_by_ydiff_28:8;
    };
}lc_lc_local_shpnr_2nd_gain_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_gain_by_ydiff_divisor:3;
        RBus_UInt32  res1:21;
        RBus_UInt32  lc_gain_by_ydiff_32:8;
    };
}lc_lc_local_shpnr_2nd_gain_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_ydiff_abs_th:12;
        RBus_UInt32  res1:19;
        RBus_UInt32  lc_ydiff_measure_en:1;
    };
}lc_lc_diff_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_ydiff_over_abs_th:25;
        RBus_UInt32  res1:7;
    };
}lc_lc_diff_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_demo_bottom:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  lc_demo_top:12;
        RBus_UInt32  res2:2;
        RBus_UInt32  lc_demo_mode:1;
        RBus_UInt32  lc_demo_en:1;
    };
}lc_lc_demo_window_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_demo_right:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  lc_demo_left:13;
        RBus_UInt32  res2:3;
    };
}lc_lc_demo_window_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_apl_addr:10;
        RBus_UInt32  lc_apl_idx:1;
        RBus_UInt32  res1:20;
        RBus_UInt32  lc_apl_mod:1;
    };
}lc_lc_apl_read_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_apl_dat_lsb:10;
        RBus_UInt32  lc_apl_dat_msb:10;
        RBus_UInt32  lc_apl_sram_read_addr:10;
        RBus_UInt32  lc_apl_sram_read_idx:1;
        RBus_UInt32  res1:1;
    };
}lc_lc_apl_read_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lc_apl_sram_write_addr:10;
        RBus_UInt32  lc_apl_sram_write_idx:1;
        RBus_UInt32  res1:21;
    };
}lc_lc_apl_write_addr_RBUS;




#endif 


#endif 
