/**
* @file rbusOshReg.h
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2016/6/3
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_OSH_REG_H_
#define _RBUS_OSH_REG_H_

#include "rbusTypes.h"



//  OSH Register Address



#define  OSH_OSD_SPLIT_HEADER_EN_VADDR                      	(0xb8029800)
#define  OSH_OSD_SPLIT_EMPTY_PIXEL_VADDR                    	(0xb8029804)
#define  OSH_OSD_SPLIT_HEADER_00_VADDR                      	(0xb8029810)
#define  OSH_OSD_SPLIT_HEADER_01_VADDR                      	(0xb8029814)
#define  OSH_OSD_SPLIT_HEADER_02_VADDR                      	(0xb8029818)
#define  OSH_OSD_SPLIT_HEADER_03_VADDR                      	(0xb802981c)
#define  OSH_OSD_SPLIT_HEADER_04_VADDR                      	(0xb8029820)
#define  OSH_OSD_SPLIT_HEADER_05_VADDR                      	(0xb8029824)
#define  OSH_OSD_SPLIT_HEADER_06_VADDR                      	(0xb8029828)
#define  OSH_OSD_SPLIT_HEADER_07_VADDR                      	(0xb802982c)
#define  OSH_OSD_SPLIT_HEADER_08_VADDR                      	(0xb8029830)
#define  OSH_OSD_SPLIT_HEADER_09_VADDR                      	(0xb8029834)
#define  OSH_OSD_SPLIT_HEADER_10_VADDR                      	(0xb8029838)
#define  OSH_OSD_SPLIT_HEADER_11_VADDR                      	(0xb802983c)
#define  OSH_OSD_SPLIT_HEADER_12_VADDR                      	(0xb8029840)
#define  OSH_OSD_SPLIT_HEADER_13_VADDR                      	(0xb8029844)
#define  OSH_OSD_SPLIT_HEADER_14_VADDR                      	(0xb8029848)
#define  OSH_OSD_SPLIT_HEADER_15_VADDR                      	(0xb802984c)
#define  OSH_OSD_SPLIT_HEADER_16_VADDR                      	(0xb8029850)
#define  OSH_OSD_SPLIT_HEADER_17_VADDR                      	(0xb8029854)
#define  OSH_OSD_SPLIT_HEADER_18_VADDR                      	(0xb8029858)
#define  OSH_OSD_SPLIT_HEADER_19_VADDR                      	(0xb802985c)
#define  OSH_OSD_SPLIT_HEADER_20_VADDR                      	(0xb8029860)
#define  OSH_OSD_SPLIT_HEADER_21_VADDR                      	(0xb8029864)
#define  OSH_OSD_SPLIT_HEADER_22_VADDR                      	(0xb8029868)
#define  OSH_OSD_SPLIT_HEADER_23_VADDR                      	(0xb802986c)
#define  OSH_OSD_SPLIT_DB_CTRL_VADDR                        	(0xb8029870)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======OSH register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  header_h_sta:13;
        RBus_UInt32  res2:15;
        RBus_UInt32  header_en:1;
    };
}osh_osd_split_header_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  data_empty_a:8;
        RBus_UInt32  data_empty_r:8;
        RBus_UInt32  data_empty_g:8;
        RBus_UInt32  data_empty_b:8;
    };
}osh_osd_split_empty_pixel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header0:32;
    };
}osh_osd_split_header_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header1:32;
    };
}osh_osd_split_header_01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header2:32;
    };
}osh_osd_split_header_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header3:32;
    };
}osh_osd_split_header_03_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header4:32;
    };
}osh_osd_split_header_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header5:32;
    };
}osh_osd_split_header_05_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header6:32;
    };
}osh_osd_split_header_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header7:32;
    };
}osh_osd_split_header_07_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header8:32;
    };
}osh_osd_split_header_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header9:32;
    };
}osh_osd_split_header_09_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header10:32;
    };
}osh_osd_split_header_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header11:32;
    };
}osh_osd_split_header_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header12:32;
    };
}osh_osd_split_header_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header13:32;
    };
}osh_osd_split_header_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header14:32;
    };
}osh_osd_split_header_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header15:32;
    };
}osh_osd_split_header_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header16:32;
    };
}osh_osd_split_header_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header17:32;
    };
}osh_osd_split_header_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header18:32;
    };
}osh_osd_split_header_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header19:32;
    };
}osh_osd_split_header_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header20:32;
    };
}osh_osd_split_header_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header21:32;
    };
}osh_osd_split_header_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header22:32;
    };
}osh_osd_split_header_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header23:32;
    };
}osh_osd_split_header_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  db_read:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_load:1;
    };
}osh_osd_split_db_ctrl_RBUS;

#else //apply LITTLE_ENDIAN

//======OSH register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header_en:1;
        RBus_UInt32  res1:15;
        RBus_UInt32  header_h_sta:13;
        RBus_UInt32  res2:3;
    };
}osh_osd_split_header_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  data_empty_b:8;
        RBus_UInt32  data_empty_g:8;
        RBus_UInt32  data_empty_r:8;
        RBus_UInt32  data_empty_a:8;
    };
}osh_osd_split_empty_pixel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header0:32;
    };
}osh_osd_split_header_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header1:32;
    };
}osh_osd_split_header_01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header2:32;
    };
}osh_osd_split_header_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header3:32;
    };
}osh_osd_split_header_03_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header4:32;
    };
}osh_osd_split_header_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header5:32;
    };
}osh_osd_split_header_05_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header6:32;
    };
}osh_osd_split_header_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header7:32;
    };
}osh_osd_split_header_07_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header8:32;
    };
}osh_osd_split_header_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header9:32;
    };
}osh_osd_split_header_09_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header10:32;
    };
}osh_osd_split_header_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header11:32;
    };
}osh_osd_split_header_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header12:32;
    };
}osh_osd_split_header_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header13:32;
    };
}osh_osd_split_header_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header14:32;
    };
}osh_osd_split_header_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header15:32;
    };
}osh_osd_split_header_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header16:32;
    };
}osh_osd_split_header_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header17:32;
    };
}osh_osd_split_header_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header18:32;
    };
}osh_osd_split_header_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header19:32;
    };
}osh_osd_split_header_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header20:32;
    };
}osh_osd_split_header_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header21:32;
    };
}osh_osd_split_header_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header22:32;
    };
}osh_osd_split_header_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  header23:32;
    };
}osh_osd_split_header_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  db_load:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_read:1;
        RBus_UInt32  res1:29;
    };
}osh_osd_split_db_ctrl_RBUS;




#endif 


#endif 
