/**
* @file rbusTCReg.h
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2016/6/3
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_TC_REG_H_
#define _RBUS_TC_REG_H_

#include "rbusTypes.h"



//  TC Register Address



#define  TC_TCHDR_ENABLE_VADDR                              	(0xb8022800)
#define  TC_TCHDR_RANGE_ADAPTATION_CTRL0_VADDR              	(0xb8022804)
#define  TC_TCHDR_RANGE_ADAPTATION_CTRL1_VADDR              	(0xb8022808)
#define  TC_TCHDR_RANGE_ADAPTATION_CTRL2_VADDR              	(0xb802280c)
#define  TC_TCHDR_L_COMPUTE_VADDR                           	(0xb8022810)
#define  TC_TCHDR_C_LUT_CTRL0_VADDR                         	(0xb8022814)
#define  TC_TCHDR_C_LUT_CTRL1_VADDR                         	(0xb8022818)
#define  TC_TCHDR_C_LUT_WR_DATA_VADDR                       	(0xb802281c)
#define  TC_TCHDR_C_LUT_RD_DATA_VADDR                       	(0xb8022820)
#define  TC_TCHDR_S_LUT_CTRL0_VADDR                         	(0xb8022888)
#define  TC_TCHDR_S_LUT_CTRL1_VADDR                         	(0xb802288c)
#define  TC_TCHDR_S_LUT_WR_DATA_VADDR                       	(0xb8022890)
#define  TC_TCHDR_S_LUT_RD_DATA_VADDR                       	(0xb8022894)
#define  TC_TCHDR_I_LUT_CTRL0_VADDR                         	(0xb8022898)
#define  TC_TCHDR_I_LUT_CTRL1_VADDR                         	(0xb802289c)
#define  TC_TCHDR_I_LUT_WR_DATA_VADDR                       	(0xb80228a0)
#define  TC_TCHDR_I_LUT_RD_DATA_VADDR                       	(0xb80228a4)
#define  TC_TCHDR_P_LUT_CTRL0_VADDR                         	(0xb8022824)
#define  TC_TCHDR_P_LUT_CTRL1_VADDR                         	(0xb8022828)
#define  TC_TCHDR_P_LUT_CTRL2_VADDR                         	(0xb802282c)
#define  TC_TCHDR_P_LUT_CTRL3_VADDR                         	(0xb8022830)
#define  TC_TCHDR_P_LUT_WR_DATA_VADDR                       	(0xb8022834)
#define  TC_TCHDR_P_LUT_RD_DATA_VADDR                       	(0xb8022838)
#define  TC_TCHDR_T_COMPUTE0_VADDR                          	(0xb802283c)
#define  TC_TCHDR_T_COMPUTE1_VADDR                          	(0xb8022840)
#define  TC_TCHDR_M_COMPUTE0_VADDR                          	(0xb8022844)
#define  TC_TCHDR_M_COMPUTE1_VADDR                          	(0xb8022848)
#define  TC_TCHDR_D_LUT_STEP_VADDR                          	(0xb802284c)
#define  TC_TCHDR_D_LUT_THRESHOLD0_VADDR                    	(0xb8022850)
#define  TC_TCHDR_D_LUT_THRESHOLD1_VADDR                    	(0xb8022854)
#define  TC_TCHDR_D_LUT_CTRL0_VADDR                         	(0xb8022858)
#define  TC_TCHDR_D_LUT_CTRL1_VADDR                         	(0xb802285c)
#define  TC_TCHDR_D_LUT_WR_DATA0_VADDR                      	(0xb8022860)
#define  TC_TCHDR_D_LUT_WR_DATA1_VADDR                      	(0xb8022864)
#define  TC_TCHDR_D_LUT_WR_DATA2_VADDR                      	(0xb8022868)
#define  TC_TCHDR_D_LUT_RD_DATA0_VADDR                      	(0xb802286c)
#define  TC_TCHDR_D_LUT_RD_DATA1_VADDR                      	(0xb8022870)
#define  TC_TCHDR_D_LUT_RD_DATA2_VADDR                      	(0xb8022874)
#define  TC_TCHDR_DOUBLE_BUFFER_CTRL_VADDR                  	(0xb8022878)
#define  TC_TCHDR_CD_LUT_MBIST_VADDR                        	(0xb802287c)
#define  TC_TCHDR_P_LUT_MBIST_VADDR                         	(0xb8022880)
#define  TC_TCHDR_SI_LUT_MBIST_VADDR                        	(0xb8022884)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======TC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  tc_certification_bitout:1;
        RBus_UInt32  certification_enable:1;
        RBus_UInt32  tc_enable:1;
    };
}tc_tchdr_enable_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  footroom_int:10;
    };
}tc_tchdr_range_adaptation_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  c_headroom_int:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  l_headroom_int:10;
    };
}tc_tchdr_range_adaptation_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  inv_chroma_limited_range_ratio_int:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  inv_y_limited_range_ratio_int:11;
    };
}tc_tchdr_range_adaptation_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  alpha_b:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  alpha_a:13;
    };
}tc_tchdr_l_compute_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  c_lut_rw_sel:2;
    };
}tc_tchdr_c_lut_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  c_lut_write_en:1;
        RBus_UInt32  c_lut_read_en:1;
        RBus_UInt32  c_lut_rw_addr:6;
    };
}tc_tchdr_c_lut_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  c_wr_lut_data0:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  c_wr_lut_data1:11;
    };
}tc_tchdr_c_lut_wr_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  c_rd_lut_data0:11;
        RBus_UInt32  res2:5;
        RBus_UInt32  c_rd_lut_data1:11;
    };
}tc_tchdr_c_lut_rd_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  s_lut_rw_sel:2;
    };
}tc_tchdr_s_lut_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  s_lut_write_en:1;
        RBus_UInt32  s_lut_read_en:1;
        RBus_UInt32  s_lut_rw_addr:6;
    };
}tc_tchdr_s_lut_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  s_wr_lut_data0:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  s_wr_lut_data1:10;
    };
}tc_tchdr_s_lut_wr_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  s_rd_lut_data0:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  s_rd_lut_data1:10;
    };
}tc_tchdr_s_lut_rd_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  i_lut_rw_sel:2;
    };
}tc_tchdr_i_lut_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  i_lut_write_en:1;
        RBus_UInt32  i_lut_read_en:1;
        RBus_UInt32  i_lut_rw_addr:6;
    };
}tc_tchdr_i_lut_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  i_wr_lut_data0:8;
        RBus_UInt32  res2:8;
        RBus_UInt32  i_wr_lut_data1:8;
    };
}tc_tchdr_i_lut_wr_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  i_rd_lut_data0:8;
        RBus_UInt32  res2:8;
        RBus_UInt32  i_rd_lut_data1:8;
    };
}tc_tchdr_i_lut_rd_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  p_lut_acc_sel:1;
        RBus_UInt32  p_lut_rw_sel:2;
    };
}tc_tchdr_p_lut_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  p_lut_write_en:1;
        RBus_UInt32  p_lut_read_en:1;
    };
}tc_tchdr_p_lut_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  p_lut_acc_ready:1;
        RBus_UInt32  res1:25;
        RBus_UInt32  p_lut_rw_addr:6;
    };
}tc_tchdr_p_lut_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  p_fw_lut0_rd_acc:1;
        RBus_UInt32  p_fw_lut0_wr_acc:1;
        RBus_UInt32  p_hw_lut0_rd_acc:1;
        RBus_UInt32  p_fw_lut1_rd_acc:1;
        RBus_UInt32  p_fw_lut1_wr_acc:1;
        RBus_UInt32  p_hw_lut1_rd_acc:1;
    };
}tc_tchdr_p_lut_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  p_wr_lut_data0:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  p_wr_lut_data1:14;
    };
}tc_tchdr_p_lut_wr_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  p_rd_lut_data0:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  p_rd_lut_data1:14;
    };
}tc_tchdr_p_lut_rd_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  oct1:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  oct0:10;
    };
}tc_tchdr_t_compute0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  oct2:10;
    };
}tc_tchdr_t_compute1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  oct4:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  oct3:10;
    };
}tc_tchdr_m_compute0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  oct6:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  oct5:10;
    };
}tc_tchdr_m_compute1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  dlut_step3:4;
        RBus_UInt32  dlut_step2:4;
        RBus_UInt32  dlut_step1:4;
        RBus_UInt32  dlut_step0:4;
    };
}tc_tchdr_d_lut_step_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  dlut_threshold1:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  dlut_threshold0:13;
    };
}tc_tchdr_d_lut_threshold0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  dlut_threshold2:13;
    };
}tc_tchdr_d_lut_threshold1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  d_lut_rw_sel:2;
    };
}tc_tchdr_d_lut_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  d_lut_write_en:1;
        RBus_UInt32  d_lut_read_en:1;
        RBus_UInt32  d_lut_rw_addr:6;
    };
}tc_tchdr_d_lut_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  d_wr_lut_data0:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  d_wr_lut_data1:12;
    };
}tc_tchdr_d_lut_wr_data0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  d_wr_lut_data2:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  d_wr_lut_data3:12;
    };
}tc_tchdr_d_lut_wr_data1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  d_wr_lut_data4:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  d_wr_lut_data5:12;
    };
}tc_tchdr_d_lut_wr_data2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  d_rd_lut_data0:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  d_rd_lut_data1:12;
    };
}tc_tchdr_d_lut_rd_data0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  d_rd_lut_data2:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  d_rd_lut_data3:12;
    };
}tc_tchdr_d_lut_rd_data1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  d_rd_lut_data4:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  d_rd_lut_data5:12;
    };
}tc_tchdr_d_lut_rd_data2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  tc_db_en:1;
        RBus_UInt32  tc_db_read_sel:1;
        RBus_UInt32  tc_db_apply:1;
    };
}tc_tchdr_double_buffer_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tchdr_cdlut_ls:1;
        RBus_UInt32  tchdr_cdlut_rme:1;
        RBus_UInt32  tchdr_cdlut_rm:4;
        RBus_UInt32  res1:10;
        RBus_UInt32  tchdr_cdlut_bist_fail_7:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_6:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_5:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_4:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_3:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_2:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_1:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_0:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_7:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_6:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_5:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_4:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_3:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_2:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_1:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_0:1;
    };
}tc_tchdr_cd_lut_mbist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tchdr_plut_ls:1;
        RBus_UInt32  tchdr_plut_rme:1;
        RBus_UInt32  tchdr_plut_rm:4;
        RBus_UInt32  res1:14;
        RBus_UInt32  tchdr_plut_bist_fail_3:1;
        RBus_UInt32  tchdr_plut_bist_fail_2:1;
        RBus_UInt32  tchdr_plut_bist_fail_1:1;
        RBus_UInt32  tchdr_plut_bist_fail_0:1;
        RBus_UInt32  res2:4;
        RBus_UInt32  tchdr_plut_drf_bist_fail_3:1;
        RBus_UInt32  tchdr_plut_drf_bist_fail_2:1;
        RBus_UInt32  tchdr_plut_drf_bist_fail_1:1;
        RBus_UInt32  tchdr_plut_drf_bist_fail_0:1;
    };
}tc_tchdr_p_lut_mbist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tchdr_silut_ls:1;
        RBus_UInt32  tchdr_silut_rme:1;
        RBus_UInt32  tchdr_silut_rm:4;
        RBus_UInt32  res1:18;
        RBus_UInt32  tchdr_silut_bist_fail_3:1;
        RBus_UInt32  tchdr_silut_bist_fail_2:1;
        RBus_UInt32  tchdr_silut_bist_fail_1:1;
        RBus_UInt32  tchdr_silut_bist_fail_0:1;
        RBus_UInt32  tchdr_silut_drf_bist_fail_3:1;
        RBus_UInt32  tchdr_silut_drf_bist_fail_2:1;
        RBus_UInt32  tchdr_silut_drf_bist_fail_1:1;
        RBus_UInt32  tchdr_silut_drf_bist_fail_0:1;
    };
}tc_tchdr_si_lut_mbist_RBUS;

#else //apply LITTLE_ENDIAN

//======TC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tc_enable:1;
        RBus_UInt32  certification_enable:1;
        RBus_UInt32  tc_certification_bitout:1;
        RBus_UInt32  res1:29;
    };
}tc_tchdr_enable_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  footroom_int:10;
        RBus_UInt32  res1:22;
    };
}tc_tchdr_range_adaptation_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  l_headroom_int:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  c_headroom_int:10;
        RBus_UInt32  res2:6;
    };
}tc_tchdr_range_adaptation_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  inv_y_limited_range_ratio_int:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  inv_chroma_limited_range_ratio_int:11;
        RBus_UInt32  res2:5;
    };
}tc_tchdr_range_adaptation_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  alpha_a:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  alpha_b:13;
        RBus_UInt32  res2:3;
    };
}tc_tchdr_l_compute_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_lut_rw_sel:2;
        RBus_UInt32  res1:30;
    };
}tc_tchdr_c_lut_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_lut_rw_addr:6;
        RBus_UInt32  c_lut_read_en:1;
        RBus_UInt32  c_lut_write_en:1;
        RBus_UInt32  res1:24;
    };
}tc_tchdr_c_lut_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_wr_lut_data1:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  c_wr_lut_data0:11;
        RBus_UInt32  res2:5;
    };
}tc_tchdr_c_lut_wr_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_rd_lut_data1:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  c_rd_lut_data0:11;
        RBus_UInt32  res2:5;
    };
}tc_tchdr_c_lut_rd_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s_lut_rw_sel:2;
        RBus_UInt32  res1:30;
    };
}tc_tchdr_s_lut_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s_lut_rw_addr:6;
        RBus_UInt32  s_lut_read_en:1;
        RBus_UInt32  s_lut_write_en:1;
        RBus_UInt32  res1:24;
    };
}tc_tchdr_s_lut_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s_wr_lut_data1:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  s_wr_lut_data0:10;
        RBus_UInt32  res2:6;
    };
}tc_tchdr_s_lut_wr_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s_rd_lut_data1:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  s_rd_lut_data0:10;
        RBus_UInt32  res2:6;
    };
}tc_tchdr_s_lut_rd_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  i_lut_rw_sel:2;
        RBus_UInt32  res1:30;
    };
}tc_tchdr_i_lut_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  i_lut_rw_addr:6;
        RBus_UInt32  i_lut_read_en:1;
        RBus_UInt32  i_lut_write_en:1;
        RBus_UInt32  res1:24;
    };
}tc_tchdr_i_lut_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  i_wr_lut_data1:8;
        RBus_UInt32  res1:8;
        RBus_UInt32  i_wr_lut_data0:8;
        RBus_UInt32  res2:8;
    };
}tc_tchdr_i_lut_wr_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  i_rd_lut_data1:8;
        RBus_UInt32  res1:8;
        RBus_UInt32  i_rd_lut_data0:8;
        RBus_UInt32  res2:8;
    };
}tc_tchdr_i_lut_rd_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  p_lut_rw_sel:2;
        RBus_UInt32  p_lut_acc_sel:1;
        RBus_UInt32  res1:29;
    };
}tc_tchdr_p_lut_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  p_lut_read_en:1;
        RBus_UInt32  p_lut_write_en:1;
        RBus_UInt32  res1:30;
    };
}tc_tchdr_p_lut_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  p_lut_rw_addr:6;
        RBus_UInt32  res1:25;
        RBus_UInt32  p_lut_acc_ready:1;
    };
}tc_tchdr_p_lut_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  p_hw_lut1_rd_acc:1;
        RBus_UInt32  p_fw_lut1_wr_acc:1;
        RBus_UInt32  p_fw_lut1_rd_acc:1;
        RBus_UInt32  p_hw_lut0_rd_acc:1;
        RBus_UInt32  p_fw_lut0_wr_acc:1;
        RBus_UInt32  p_fw_lut0_rd_acc:1;
        RBus_UInt32  res1:26;
    };
}tc_tchdr_p_lut_ctrl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  p_wr_lut_data1:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  p_wr_lut_data0:14;
        RBus_UInt32  res2:2;
    };
}tc_tchdr_p_lut_wr_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  p_rd_lut_data1:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  p_rd_lut_data0:14;
        RBus_UInt32  res2:2;
    };
}tc_tchdr_p_lut_rd_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  oct0:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  oct1:10;
        RBus_UInt32  res2:6;
    };
}tc_tchdr_t_compute0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  oct2:10;
        RBus_UInt32  res1:22;
    };
}tc_tchdr_t_compute1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  oct3:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  oct4:10;
        RBus_UInt32  res2:6;
    };
}tc_tchdr_m_compute0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  oct5:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  oct6:10;
        RBus_UInt32  res2:6;
    };
}tc_tchdr_m_compute1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dlut_step0:4;
        RBus_UInt32  dlut_step1:4;
        RBus_UInt32  dlut_step2:4;
        RBus_UInt32  dlut_step3:4;
        RBus_UInt32  res1:16;
    };
}tc_tchdr_d_lut_step_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dlut_threshold0:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  dlut_threshold1:13;
        RBus_UInt32  res2:3;
    };
}tc_tchdr_d_lut_threshold0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dlut_threshold2:13;
        RBus_UInt32  res1:19;
    };
}tc_tchdr_d_lut_threshold1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d_lut_rw_sel:2;
        RBus_UInt32  res1:30;
    };
}tc_tchdr_d_lut_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d_lut_rw_addr:6;
        RBus_UInt32  d_lut_read_en:1;
        RBus_UInt32  d_lut_write_en:1;
        RBus_UInt32  res1:24;
    };
}tc_tchdr_d_lut_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d_wr_lut_data1:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  d_wr_lut_data0:12;
        RBus_UInt32  res2:4;
    };
}tc_tchdr_d_lut_wr_data0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d_wr_lut_data3:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  d_wr_lut_data2:12;
        RBus_UInt32  res2:4;
    };
}tc_tchdr_d_lut_wr_data1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d_wr_lut_data5:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  d_wr_lut_data4:12;
        RBus_UInt32  res2:4;
    };
}tc_tchdr_d_lut_wr_data2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d_rd_lut_data1:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  d_rd_lut_data0:12;
        RBus_UInt32  res2:4;
    };
}tc_tchdr_d_lut_rd_data0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d_rd_lut_data3:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  d_rd_lut_data2:12;
        RBus_UInt32  res2:4;
    };
}tc_tchdr_d_lut_rd_data1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d_rd_lut_data5:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  d_rd_lut_data4:12;
        RBus_UInt32  res2:4;
    };
}tc_tchdr_d_lut_rd_data2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tc_db_apply:1;
        RBus_UInt32  tc_db_read_sel:1;
        RBus_UInt32  tc_db_en:1;
        RBus_UInt32  res1:29;
    };
}tc_tchdr_double_buffer_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_0:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_1:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_2:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_3:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_4:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_5:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_6:1;
        RBus_UInt32  tchdr_cdlut_drf_bist_fail_7:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_0:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_1:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_2:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_3:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_4:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_5:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_6:1;
        RBus_UInt32  tchdr_cdlut_bist_fail_7:1;
        RBus_UInt32  res1:10;
        RBus_UInt32  tchdr_cdlut_rm:4;
        RBus_UInt32  tchdr_cdlut_rme:1;
        RBus_UInt32  tchdr_cdlut_ls:1;
    };
}tc_tchdr_cd_lut_mbist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tchdr_plut_drf_bist_fail_0:1;
        RBus_UInt32  tchdr_plut_drf_bist_fail_1:1;
        RBus_UInt32  tchdr_plut_drf_bist_fail_2:1;
        RBus_UInt32  tchdr_plut_drf_bist_fail_3:1;
        RBus_UInt32  res1:4;
        RBus_UInt32  tchdr_plut_bist_fail_0:1;
        RBus_UInt32  tchdr_plut_bist_fail_1:1;
        RBus_UInt32  tchdr_plut_bist_fail_2:1;
        RBus_UInt32  tchdr_plut_bist_fail_3:1;
        RBus_UInt32  res2:14;
        RBus_UInt32  tchdr_plut_rm:4;
        RBus_UInt32  tchdr_plut_rme:1;
        RBus_UInt32  tchdr_plut_ls:1;
    };
}tc_tchdr_p_lut_mbist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tchdr_silut_drf_bist_fail_0:1;
        RBus_UInt32  tchdr_silut_drf_bist_fail_1:1;
        RBus_UInt32  tchdr_silut_drf_bist_fail_2:1;
        RBus_UInt32  tchdr_silut_drf_bist_fail_3:1;
        RBus_UInt32  tchdr_silut_bist_fail_0:1;
        RBus_UInt32  tchdr_silut_bist_fail_1:1;
        RBus_UInt32  tchdr_silut_bist_fail_2:1;
        RBus_UInt32  tchdr_silut_bist_fail_3:1;
        RBus_UInt32  res1:18;
        RBus_UInt32  tchdr_silut_rm:4;
        RBus_UInt32  tchdr_silut_rme:1;
        RBus_UInt32  tchdr_silut_ls:1;
    };
}tc_tchdr_si_lut_mbist_RBUS;




#endif 


#endif 
