/**
* @file Merlin3-DesignSpec-D-Domain_LGD_AVCom
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/6/9
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_AVCOM_REG_H_
#define _RBUS_AVCOM_REG_H_

#include "rbusTypes.h"



//  AVCOM Register Address



#define  AVCOM_AVCOM_NETLIST00_VADDR                        	(0xb802df00)
#define  AVCOM_AVCOM_NETLIST01_VADDR                        	(0xb802df04)
#define  AVCOM_AVCOM_NETLIST02_VADDR                        	(0xb802df08)
#define  AVCOM_AVCOM_NETLIST03_VADDR                        	(0xb802df0c)
#define  AVCOM_AVCOM_NETLIST04_VADDR                        	(0xb802df10)
#define  AVCOM_AVCOM_NETLIST05_VADDR                        	(0xb802df14)
#define  AVCOM_AVCOM_NETLIST06_VADDR                        	(0xb802df18)
#define  AVCOM_AVCOM_NETLIST07_VADDR                        	(0xb802df1c)
#define  AVCOM_AVCOM_NETLIST08_VADDR                        	(0xb802df20)
#define  AVCOM_AVCOM_NETLIST09_VADDR                        	(0xb802df24)
#define  AVCOM_AVCOM_NETLIST10_VADDR                        	(0xb802df28)
#define  AVCOM_AVCOM_NETLIST11_VADDR                        	(0xb802df2c)
#define  AVCOM_AVCOM_NETLIST12_VADDR                        	(0xb802df30)
#define  AVCOM_AVCOM_NETLIST13_VADDR                        	(0xb802df34)
#define  AVCOM_AVCOM_NETLIST14_VADDR                        	(0xb802df38)
#define  AVCOM_AVCOM_DUMMY0_VADDR                           	(0xb802df3c)
#define  AVCOM_AVCOM_DUMMY1_VADDR                           	(0xb802df40)
#define  AVCOM_AVCOM_WRAP0_VADDR                            	(0xb802df44)
#define  AVCOM_AVCOM_WRAP1_VADDR                            	(0xb802df48)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======AVCOM register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg03:8;
        RBus_UInt32  reg02:8;
        RBus_UInt32  reg01:8;
        RBus_UInt32  reg00:8;
    };
}avcom_avcom_netlist00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg07:8;
        RBus_UInt32  reg06:8;
        RBus_UInt32  reg05:8;
        RBus_UInt32  reg04:8;
    };
}avcom_avcom_netlist01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg0b:8;
        RBus_UInt32  reg0a:8;
        RBus_UInt32  reg09:8;
        RBus_UInt32  reg08:8;
    };
}avcom_avcom_netlist02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg0f:8;
        RBus_UInt32  reg0e:8;
        RBus_UInt32  reg0d:8;
        RBus_UInt32  reg0c:8;
    };
}avcom_avcom_netlist03_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg13:8;
        RBus_UInt32  reg12:8;
        RBus_UInt32  reg11:8;
        RBus_UInt32  reg10:8;
    };
}avcom_avcom_netlist04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg17:8;
        RBus_UInt32  reg16:8;
        RBus_UInt32  reg15:8;
        RBus_UInt32  reg14:8;
    };
}avcom_avcom_netlist05_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg1b:8;
        RBus_UInt32  reg1a:8;
        RBus_UInt32  reg19:8;
        RBus_UInt32  reg18:8;
    };
}avcom_avcom_netlist06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg1f:8;
        RBus_UInt32  reg1e:8;
        RBus_UInt32  reg1d:8;
        RBus_UInt32  reg1c:8;
    };
}avcom_avcom_netlist07_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg23:8;
        RBus_UInt32  reg22:8;
        RBus_UInt32  reg21:8;
        RBus_UInt32  reg20:8;
    };
}avcom_avcom_netlist08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg27:8;
        RBus_UInt32  reg26:8;
        RBus_UInt32  reg25:8;
        RBus_UInt32  reg24:8;
    };
}avcom_avcom_netlist09_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg2b:8;
        RBus_UInt32  reg2a:8;
        RBus_UInt32  reg29:8;
        RBus_UInt32  reg28:8;
    };
}avcom_avcom_netlist10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg2f:8;
        RBus_UInt32  reg2e:8;
        RBus_UInt32  reg2d:8;
        RBus_UInt32  reg2c:8;
    };
}avcom_avcom_netlist11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg33:8;
        RBus_UInt32  reg32:8;
        RBus_UInt32  reg31:8;
        RBus_UInt32  reg30:8;
    };
}avcom_avcom_netlist12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg37:8;
        RBus_UInt32  reg36:8;
        RBus_UInt32  reg35:8;
        RBus_UInt32  reg34:8;
    };
}avcom_avcom_netlist13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg3b:8;
        RBus_UInt32  reg3a:8;
        RBus_UInt32  reg39:8;
        RBus_UInt32  reg38:8;
    };
}avcom_avcom_netlist14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  dummy1802df3c_7_0:8;
    };
}avcom_avcom_dummy0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  dummy1802df40_7_0:8;
    };
}avcom_avcom_dummy1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  avcom_wrap_en:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  avcom_dbg_en:1;
        RBus_UInt32  epi_de_delay_v:4;
        RBus_UInt32  res3:4;
        RBus_UInt32  epi_de_delay_h:12;
    };
}avcom_avcom_wrap0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  epi_de_sel:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  epi_pol_sel:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  epi_h2d_sel:6;
        RBus_UInt32  res4:8;
    };
}avcom_avcom_wrap1_RBUS;

#else //apply LITTLE_ENDIAN

//======AVCOM register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg00:8;
        RBus_UInt32  reg01:8;
        RBus_UInt32  reg02:8;
        RBus_UInt32  reg03:8;
    };
}avcom_avcom_netlist00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg04:8;
        RBus_UInt32  reg05:8;
        RBus_UInt32  reg06:8;
        RBus_UInt32  reg07:8;
    };
}avcom_avcom_netlist01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg08:8;
        RBus_UInt32  reg09:8;
        RBus_UInt32  reg0a:8;
        RBus_UInt32  reg0b:8;
    };
}avcom_avcom_netlist02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg0c:8;
        RBus_UInt32  reg0d:8;
        RBus_UInt32  reg0e:8;
        RBus_UInt32  reg0f:8;
    };
}avcom_avcom_netlist03_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg10:8;
        RBus_UInt32  reg11:8;
        RBus_UInt32  reg12:8;
        RBus_UInt32  reg13:8;
    };
}avcom_avcom_netlist04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg14:8;
        RBus_UInt32  reg15:8;
        RBus_UInt32  reg16:8;
        RBus_UInt32  reg17:8;
    };
}avcom_avcom_netlist05_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg18:8;
        RBus_UInt32  reg19:8;
        RBus_UInt32  reg1a:8;
        RBus_UInt32  reg1b:8;
    };
}avcom_avcom_netlist06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg1c:8;
        RBus_UInt32  reg1d:8;
        RBus_UInt32  reg1e:8;
        RBus_UInt32  reg1f:8;
    };
}avcom_avcom_netlist07_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg20:8;
        RBus_UInt32  reg21:8;
        RBus_UInt32  reg22:8;
        RBus_UInt32  reg23:8;
    };
}avcom_avcom_netlist08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg24:8;
        RBus_UInt32  reg25:8;
        RBus_UInt32  reg26:8;
        RBus_UInt32  reg27:8;
    };
}avcom_avcom_netlist09_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg28:8;
        RBus_UInt32  reg29:8;
        RBus_UInt32  reg2a:8;
        RBus_UInt32  reg2b:8;
    };
}avcom_avcom_netlist10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg2c:8;
        RBus_UInt32  reg2d:8;
        RBus_UInt32  reg2e:8;
        RBus_UInt32  reg2f:8;
    };
}avcom_avcom_netlist11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg30:8;
        RBus_UInt32  reg31:8;
        RBus_UInt32  reg32:8;
        RBus_UInt32  reg33:8;
    };
}avcom_avcom_netlist12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg34:8;
        RBus_UInt32  reg35:8;
        RBus_UInt32  reg36:8;
        RBus_UInt32  reg37:8;
    };
}avcom_avcom_netlist13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  reg38:8;
        RBus_UInt32  reg39:8;
        RBus_UInt32  reg3a:8;
        RBus_UInt32  reg3b:8;
    };
}avcom_avcom_netlist14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802df3c_7_0:8;
        RBus_UInt32  res1:24;
    };
}avcom_avcom_dummy0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802df40_7_0:8;
        RBus_UInt32  res1:24;
    };
}avcom_avcom_dummy1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  epi_de_delay_h:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  epi_de_delay_v:4;
        RBus_UInt32  avcom_dbg_en:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  avcom_wrap_en:1;
        RBus_UInt32  res3:3;
    };
}avcom_avcom_wrap0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  epi_h2d_sel:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  epi_pol_sel:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  epi_de_sel:6;
        RBus_UInt32  res4:2;
    };
}avcom_avcom_wrap1_RBUS;




#endif 


#endif 
