/**
* @file Merlin3-DesignSpec-D-Domain_OSD_security
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/6/9
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_OSD_SECURITY_REG_H_
#define _RBUS_OSD_SECURITY_REG_H_

#include "rbusTypes.h"



//  OSD_SECURITY Register Address



#define  OSD_SECURITY_OSD_SECURITY_VADDR                    	(0xb802e600)
#define  OSD_SECURITY_OSD_SECURITY_MIXER_CTRL2_VADDR        	(0xb802e604)
#define  OSD_SECURITY_OSD_SECURITY_MIXER_SEL_VADDR          	(0xb802e608)
#define  OSD_SECURITY_OSD_SECURITY_LINE_BUFFER_STA_VADDR    	(0xb802e618)
#define  OSD_SECURITY_OSD_SECURITY_LINE_BUFFER_SIZE_VADDR   	(0xb802e61c)
#define  OSD_SECURITY_OSD_SECURITY_GDMA_SWITCH_VADDR        	(0xb802e620)
#define  OSD_SECURITY_OSD_SECURITY_GDMA_VADDR               	(0xb802e624)
#define  OSD_SECURITY_OSD_SECURITY_GDMA_ADDR_VADDR          	(0xb802e628)
#define  OSD_SECURITY_OSD_SECURITY_GDMA_SIZE_VADDR          	(0xb802e62c)
#define  OSD_SECURITY_OSD_SECURITY_DB_CTRL_VADDR            	(0xb802e630)
#define  OSD_SECURITY_OSD_SECURITY_SR_1_SCALEUP_CTRL0_VADDR 	(0xb802e640)
#define  OSD_SECURITY_OSD_SECURITY_SR_1_SCALEUP_CTRL1_VADDR 	(0xb802e644)
#define  OSD_SECURITY_OSD_SECURITY_SR_1_H_LOCATION_CTRL_VADDR 	(0xb802e648)
#define  OSD_SECURITY_OSD_SECURITY_SR_1_V_LOCATION_CTRL_VADDR 	(0xb802e64c)
#define  OSD_SECURITY_OSD_SECURITY_SR_1_HCOEFF_VADDR        	(0xb802e650)
#define  OSD_SECURITY_OSD_SECURITY_SR_1_VCOEFF_VADDR        	(0xb802e654)
#define  OSD_SECURITY_OSD_SECURITY_MIXER_B1_VADDR           	(0xb802e670)
#define  OSD_SECURITY_OSD_SECURITY_MIXER_B2_VADDR           	(0xb802e674)
#define  OSD_SECURITY_OSD_SECURITY_MIXER_B3_VADDR           	(0xb802e678)
#define  OSD_SECURITY_OSD_SECURITY_OSD_GAMMA_DYNAMIC_REGION_D3_D2_VADDR 	(0xb802e67c)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======OSD_SECURITY register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  c3_security_en:1;
        RBus_UInt32  c2_security_en:1;
        RBus_UInt32  c1_security_en:1;
        RBus_UInt32  c0_security_en:1;
        RBus_UInt32  res2:23;
        RBus_UInt32  osd_security_en:1;
    };
}osd_security_osd_security_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e604_31_28:4;
        RBus_UInt32  d1_m3:3;
        RBus_UInt32  d1_m2:3;
        RBus_UInt32  d1_m1:3;
        RBus_UInt32  d1_m0:3;
        RBus_UInt32  res1:2;
        RBus_UInt32  osd1_gamma_zone_type:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  osd_gamma_position:3;
        RBus_UInt32  dynamic_region_en:1;
        RBus_UInt32  mixer_gamma2_en:1;
        RBus_UInt32  mixer_osd3x3_en:1;
        RBus_UInt32  mixer_gamma1_en:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  mixero1_en:1;
        RBus_UInt32  mixer_en:1;
    };
}osd_security_osd_security_mixer_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  c3_plane_alpha_en:1;
        RBus_UInt32  c2_plane_alpha_en:1;
        RBus_UInt32  c1_plane_alpha_en:1;
        RBus_UInt32  c0_plane_alpha_en:1;
        RBus_UInt32  res2:9;
        RBus_UInt32  c3_sel:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  c2_sel:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  c1_sel:3;
        RBus_UInt32  res5:1;
        RBus_UInt32  c0_sel:3;
    };
}osd_security_osd_security_mixer_sel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  sta_l4:4;
        RBus_UInt32  res2:12;
    };
}osd_security_osd_security_line_buffer_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  size_l4:4;
        RBus_UInt32  res2:12;
    };
}osd_security_osd_security_line_buffer_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:21;
        RBus_UInt32  osdsr3_switch_to:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  osdsr2_switch_to:3;
        RBus_UInt32  res3:4;
    };
}osd_security_osd_security_gdma_switch_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  osd1_1b:1;
        RBus_UInt32  osd1_2b:1;
        RBus_UInt32  osd1_4b:1;
        RBus_UInt32  osd1_8b:1;
        RBus_UInt32  osd1_wi_endian:1;
        RBus_UInt32  osd1_rgb_out:1;
        RBus_UInt32  osd1_rotate:1;
        RBus_UInt32  osd1_en:1;
    };
}osd_security_osd_security_gdma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd1_wi_addr:32;
    };
}osd_security_osd_security_gdma_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osd1_w:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  osd1_h:13;
    };
}osd_security_osd_security_gdma_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  link_with_smooth_toggle:1;
        RBus_UInt32  res1:28;
        RBus_UInt32  db_read:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_load:1;
    };
}osd_security_osd_security_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_factor:20;
    };
}osd_security_osd_security_sr_1_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:2;
        RBus_UInt32  hor_factor:20;
    };
}osd_security_osd_security_sr_1_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  osd_width:13;
    };
}osd_security_osd_security_sr_1_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  osd_height:12;
    };
}osd_security_osd_security_sr_1_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_hor_c0_0:8;
        RBus_UInt32  sr_hor_c0_1:8;
        RBus_UInt32  sr_hor_c1_0:8;
        RBus_UInt32  sr_hor_c1_1:8;
    };
}osd_security_osd_security_sr_1_hcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_ver_c0_0:8;
        RBus_UInt32  sr_ver_c0_1:8;
        RBus_UInt32  sr_ver_c1_0:8;
        RBus_UInt32  sr_ver_c1_1:8;
    };
}osd_security_osd_security_sr_1_vcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  b1_k1:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  b1_k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  b1_k3:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  b1_k4:6;
    };
}osd_security_osd_security_mixer_b1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  b2_k1:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  b2_k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  b2_k3:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  b2_k4:6;
    };
}osd_security_osd_security_mixer_b2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  b3_k1:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  b3_k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  b3_k3:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  b3_k4:6;
    };
}osd_security_osd_security_mixer_b3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  d3_m3:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  d3_m2:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  d3_m1:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  d3_m0:3;
        RBus_UInt32  res5:1;
        RBus_UInt32  d2_m3:3;
        RBus_UInt32  res6:1;
        RBus_UInt32  d2_m2:3;
        RBus_UInt32  res7:1;
        RBus_UInt32  d2_m1:3;
        RBus_UInt32  res8:1;
        RBus_UInt32  d2_m0:3;
    };
}osd_security_osd_security_osd_gamma_dynamic_region_d3_d2_RBUS;

#else //apply LITTLE_ENDIAN

//======OSD_SECURITY register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_security_en:1;
        RBus_UInt32  res1:23;
        RBus_UInt32  c0_security_en:1;
        RBus_UInt32  c1_security_en:1;
        RBus_UInt32  c2_security_en:1;
        RBus_UInt32  c3_security_en:1;
        RBus_UInt32  res2:4;
    };
}osd_security_osd_security_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mixer_en:1;
        RBus_UInt32  mixero1_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  mixer_gamma1_en:1;
        RBus_UInt32  mixer_osd3x3_en:1;
        RBus_UInt32  mixer_gamma2_en:1;
        RBus_UInt32  dynamic_region_en:1;
        RBus_UInt32  osd_gamma_position:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  osd1_gamma_zone_type:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  d1_m0:3;
        RBus_UInt32  d1_m1:3;
        RBus_UInt32  d1_m2:3;
        RBus_UInt32  d1_m3:3;
        RBus_UInt32  dummy1802e604_31_28:4;
    };
}osd_security_osd_security_mixer_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c0_sel:3;
        RBus_UInt32  res1:1;
        RBus_UInt32  c1_sel:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  c2_sel:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  c3_sel:3;
        RBus_UInt32  res4:9;
        RBus_UInt32  c0_plane_alpha_en:1;
        RBus_UInt32  c1_plane_alpha_en:1;
        RBus_UInt32  c2_plane_alpha_en:1;
        RBus_UInt32  c3_plane_alpha_en:1;
        RBus_UInt32  res5:4;
    };
}osd_security_osd_security_mixer_sel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  sta_l4:4;
        RBus_UInt32  res2:16;
    };
}osd_security_osd_security_line_buffer_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  size_l4:4;
        RBus_UInt32  res2:16;
    };
}osd_security_osd_security_line_buffer_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  osdsr2_switch_to:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  osdsr3_switch_to:3;
        RBus_UInt32  res3:21;
    };
}osd_security_osd_security_gdma_switch_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd1_en:1;
        RBus_UInt32  osd1_rotate:1;
        RBus_UInt32  osd1_rgb_out:1;
        RBus_UInt32  osd1_wi_endian:1;
        RBus_UInt32  osd1_8b:1;
        RBus_UInt32  osd1_4b:1;
        RBus_UInt32  osd1_2b:1;
        RBus_UInt32  osd1_1b:1;
        RBus_UInt32  res1:24;
    };
}osd_security_osd_security_gdma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd1_wi_addr:32;
    };
}osd_security_osd_security_gdma_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd1_h:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  osd1_w:13;
        RBus_UInt32  res2:3;
    };
}osd_security_osd_security_gdma_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  db_load:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_read:1;
        RBus_UInt32  res1:28;
        RBus_UInt32  link_with_smooth_toggle:1;
    };
}osd_security_osd_security_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ver_factor:20;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_zoom_en:1;
    };
}osd_security_osd_security_sr_1_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hor_factor:20;
        RBus_UInt32  res1:2;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:1;
        RBus_UInt32  h_zoom_en:1;
    };
}osd_security_osd_security_sr_1_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_width:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_security_osd_security_sr_1_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_height:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
    };
}osd_security_osd_security_sr_1_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_hor_c1_1:8;
        RBus_UInt32  sr_hor_c1_0:8;
        RBus_UInt32  sr_hor_c0_1:8;
        RBus_UInt32  sr_hor_c0_0:8;
    };
}osd_security_osd_security_sr_1_hcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_ver_c1_1:8;
        RBus_UInt32  sr_ver_c1_0:8;
        RBus_UInt32  sr_ver_c0_1:8;
        RBus_UInt32  sr_ver_c0_0:8;
    };
}osd_security_osd_security_sr_1_vcoeff_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  b1_k4:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  b1_k3:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  b1_k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  b1_k1:6;
        RBus_UInt32  res4:2;
    };
}osd_security_osd_security_mixer_b1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  b2_k4:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  b2_k3:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  b2_k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  b2_k1:6;
        RBus_UInt32  res4:2;
    };
}osd_security_osd_security_mixer_b2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  b3_k4:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  b3_k3:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  b3_k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  b3_k1:6;
        RBus_UInt32  res4:2;
    };
}osd_security_osd_security_mixer_b3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d2_m0:3;
        RBus_UInt32  res1:1;
        RBus_UInt32  d2_m1:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  d2_m2:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  d2_m3:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  d3_m0:3;
        RBus_UInt32  res5:1;
        RBus_UInt32  d3_m1:3;
        RBus_UInt32  res6:1;
        RBus_UInt32  d3_m2:3;
        RBus_UInt32  res7:1;
        RBus_UInt32  d3_m3:3;
        RBus_UInt32  res8:1;
    };
}osd_security_osd_security_osd_gamma_dynamic_region_d3_d2_RBUS;




#endif 


#endif 
