/**
* @file Merlin3-DesignSpec-D-Domain_two_step_UZU
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/6/9
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_TWO_STEP_UZU_REG_H_
#define _RBUS_TWO_STEP_UZU_REG_H_

#include "rbusTypes.h"



//  TWO_STEP_UZU Register Address



#define  TWO_STEP_UZU_MFLTI_CTRL_VADDR                      	(0xb8029b04)
#define  TWO_STEP_UZU_SR_12TAP_DERING_CTRL_VADDR            	(0xb8029b08)
#define  TWO_STEP_UZU_SR_12TAP_DERING_VADDR                 	(0xb8029b0c)
#define  TWO_STEP_UZU_SR_CTRL_VADDR                         	(0xb8029b10)
#define  TWO_STEP_UZU_H12_Y_PH0_COEFF00_VADDR               	(0xb8029b80)
#define  TWO_STEP_UZU_H12_Y_PH0_COEFF01_VADDR               	(0xb8029b84)
#define  TWO_STEP_UZU_H12_Y_PH0_COEFF02_VADDR               	(0xb8029b88)
#define  TWO_STEP_UZU_H12_Y_PH0_COEFF03_VADDR               	(0xb8029b8c)
#define  TWO_STEP_UZU_H12_Y_PH0_COEFF04_VADDR               	(0xb8029b90)
#define  TWO_STEP_UZU_H12_Y_PH0_COEFF05_VADDR               	(0xb8029b94)
#define  TWO_STEP_UZU_H12_Y_PH1_COEFF00_VADDR               	(0xb8029b98)
#define  TWO_STEP_UZU_H12_Y_PH1_COEFF01_VADDR               	(0xb8029b9c)
#define  TWO_STEP_UZU_H12_Y_PH1_COEFF02_VADDR               	(0xb8029ba0)
#define  TWO_STEP_UZU_H12_Y_PH1_COEFF03_VADDR               	(0xb8029ba4)
#define  TWO_STEP_UZU_H12_Y_PH1_COEFF04_VADDR               	(0xb8029ba8)
#define  TWO_STEP_UZU_H12_Y_PH1_COEFF05_VADDR               	(0xb8029bac)
#define  TWO_STEP_UZU_H4_Y_PH0_COEFF00_VADDR                	(0xb8029bb0)
#define  TWO_STEP_UZU_H4_Y_PH0_COEFF01_VADDR                	(0xb8029bb4)
#define  TWO_STEP_UZU_H4_Y_PH1_COEFF00_VADDR                	(0xb8029bb8)
#define  TWO_STEP_UZU_H4_Y_PH1_COEFF01_VADDR                	(0xb8029bbc)
#define  TWO_STEP_UZU_V4_Y_PH0_COEFF00_VADDR                	(0xb8029bc0)
#define  TWO_STEP_UZU_V4_Y_PH0_COEFF01_VADDR                	(0xb8029bc4)
#define  TWO_STEP_UZU_V4_Y_PH1_COEFF00_VADDR                	(0xb8029bc8)
#define  TWO_STEP_UZU_V4_Y_PH1_COEFF01_VADDR                	(0xb8029bcc)
#define  TWO_STEP_UZU_H4_C_PH0_COEFF00_VADDR                	(0xb8029bd0)
#define  TWO_STEP_UZU_H4_C_PH0_COEFF01_VADDR                	(0xb8029bd4)
#define  TWO_STEP_UZU_H4_C_PH1_COEFF00_VADDR                	(0xb8029bd8)
#define  TWO_STEP_UZU_H4_C_PH1_COEFF01_VADDR                	(0xb8029bdc)
#define  TWO_STEP_UZU_V4_C_PH0_COEFF00_VADDR                	(0xb8029be0)
#define  TWO_STEP_UZU_V4_C_PH0_COEFF01_VADDR                	(0xb8029be4)
#define  TWO_STEP_UZU_V4_C_PH1_COEFF00_VADDR                	(0xb8029be8)
#define  TWO_STEP_UZU_V4_C_PH1_COEFF01_VADDR                	(0xb8029bec)
#define  TWO_STEP_UZU_SR_DEBUG0_VADDR                       	(0xb8029b40)
#define  TWO_STEP_UZU_SR_DEBUG1_VADDR                       	(0xb8029b44)
#define  TWO_STEP_UZU_SR_DEBUG2_VADDR                       	(0xb8029b48)
#define  TWO_STEP_UZU_SR_CRC_CTRL1_VADDR                    	(0xb8029b4c)
#define  TWO_STEP_UZU_SR_CRC_RESULT1_VADDR                  	(0xb8029b50)
#define  TWO_STEP_UZU_SR_DB_CTRL_VADDR                      	(0xb8029b54)
#define  TWO_STEP_UZU_TWO_STEP_UZU_BIST_VADDR               	(0xb8029b58)
#define  TWO_STEP_UZU_SR_TIMING_0_VADDR                     	(0xb8029b60)
#define  TWO_STEP_UZU_SR_TIMING_1_VADDR                     	(0xb8029b64)
#define  TWO_STEP_UZU_SR_TIMING_2_VADDR                     	(0xb8029b68)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======TWO_STEP_UZU register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mflti_en:1;
        RBus_UInt32  mflti_blend_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  mflti_blend_gain:5;
        RBus_UInt32  res2:2;
        RBus_UInt32  mflti_blend_offset:6;
        RBus_UInt32  h_range:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  res4:13;
    };
}two_step_uzu_mflti_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  dering_edgelevel_gain:4;
        RBus_UInt32  res2:2;
        RBus_UInt32  sr_hor_tap_sel:2;
    };
}two_step_uzu_sr_12tap_dering_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  level_flatness_coeff:3;
        RBus_UInt32  dering_dbg_mode:2;
        RBus_UInt32  h4h12_blend_range:2;
        RBus_UInt32  h4h12_blend_lowbound:8;
        RBus_UInt32  lpf_blend_mask_sel:1;
        RBus_UInt32  level_maxmin_coeff:3;
        RBus_UInt32  h4h12_blend_en:1;
        RBus_UInt32  lpf_blend_en:1;
        RBus_UInt32  lpf_blend_range:2;
        RBus_UInt32  lpf_blend_lowbound:8;
    };
}two_step_uzu_sr_12tap_dering_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:17;
        RBus_UInt32  sr_hor_ini:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  sr_ver_ini:7;
    };
}two_step_uzu_sr_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c0_1:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h12_y_c0_0:12;
    };
}two_step_uzu_h12_y_ph0_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c0_3:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h12_y_c0_2:12;
    };
}two_step_uzu_h12_y_ph0_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c0_5:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h12_y_c0_4:12;
    };
}two_step_uzu_h12_y_ph0_coeff02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c0_7:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h12_y_c0_6:12;
    };
}two_step_uzu_h12_y_ph0_coeff03_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c0_9:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h12_y_c0_8:12;
    };
}two_step_uzu_h12_y_ph0_coeff04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c0_11:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h12_y_c0_10:12;
    };
}two_step_uzu_h12_y_ph0_coeff05_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c1_1:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h12_y_c1_0:12;
    };
}two_step_uzu_h12_y_ph1_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c1_3:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h12_y_c1_2:12;
    };
}two_step_uzu_h12_y_ph1_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c1_5:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h12_y_c1_4:12;
    };
}two_step_uzu_h12_y_ph1_coeff02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c1_7:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h12_y_c1_6:12;
    };
}two_step_uzu_h12_y_ph1_coeff03_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c1_9:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h12_y_c1_8:12;
    };
}two_step_uzu_h12_y_ph1_coeff04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c1_11:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h12_y_c1_10:12;
    };
}two_step_uzu_h12_y_ph1_coeff05_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_y_c0_1:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h4_y_c0_0:12;
    };
}two_step_uzu_h4_y_ph0_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_y_c0_3:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h4_y_c0_2:12;
    };
}two_step_uzu_h4_y_ph0_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_y_c1_1:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h4_y_c1_0:12;
    };
}two_step_uzu_h4_y_ph1_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_y_c1_3:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h4_y_c1_2:12;
    };
}two_step_uzu_h4_y_ph1_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_y_c0_1:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  v4_y_c0_0:12;
    };
}two_step_uzu_v4_y_ph0_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_y_c0_3:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  v4_y_c0_2:12;
    };
}two_step_uzu_v4_y_ph0_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_y_c1_1:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  v4_y_c1_0:12;
    };
}two_step_uzu_v4_y_ph1_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_y_c1_3:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  v4_y_c1_2:12;
    };
}two_step_uzu_v4_y_ph1_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_c_c0_1:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h4_c_c0_0:12;
    };
}two_step_uzu_h4_c_ph0_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_c_c0_3:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h4_c_c0_2:12;
    };
}two_step_uzu_h4_c_ph0_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_c_c1_1:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h4_c_c1_0:12;
    };
}two_step_uzu_h4_c_ph1_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_c_c1_3:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  h4_c_c1_2:12;
    };
}two_step_uzu_h4_c_ph1_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_c_c0_1:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  v4_c_c0_0:12;
    };
}two_step_uzu_v4_c_ph0_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_c_c0_3:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  v4_c_c0_2:12;
    };
}two_step_uzu_v4_c_ph0_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_c_c1_1:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  v4_c_c1_0:12;
    };
}two_step_uzu_v4_c_ph1_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_c_c1_3:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  v4_c_c1_2:12;
    };
}two_step_uzu_v4_c_ph1_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  sr_dbg_mode:4;
        RBus_UInt32  res2:3;
        RBus_UInt32  sr_dbg_inv:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  sr_dbg_en:1;
    };
}two_step_uzu_sr_debug0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  sr_dbg_h_sta:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  sr_dbg_h_end:12;
    };
}two_step_uzu_sr_debug1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  sr_dbg_v_sta:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  sr_dbg_v_end:12;
    };
}two_step_uzu_sr_debug2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy18029b4c_31_2:30;
        RBus_UInt32  sr_crc_conti:1;
        RBus_UInt32  sr_crc_start:1;
    };
}two_step_uzu_sr_crc_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_cur_result:32;
    };
}two_step_uzu_sr_crc_result1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_read_level:1;
        RBus_UInt32  db_apply:1;
    };
}two_step_uzu_sr_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ls:1;
        RBus_UInt32  rme:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  rm:4;
        RBus_UInt32  res2:16;
        RBus_UInt32  drf_bist_fail_3:1;
        RBus_UInt32  drf_bist_fail_2:1;
        RBus_UInt32  drf_bist_fail_1:1;
        RBus_UInt32  drf_bist_fail_0:1;
        RBus_UInt32  bist_fail_3:1;
        RBus_UInt32  bist_fail_2:1;
        RBus_UInt32  bist_fail_1:1;
        RBus_UInt32  bist_fail_0:1;
    };
}two_step_uzu_two_step_uzu_bist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rd_line_wr_st_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  rd_line0_wr_line:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  rd_line0_wr_pxl:12;
    };
}two_step_uzu_sr_timing_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  rd_line1_wr_line:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  rd_line1_wr_pxl:12;
    };
}two_step_uzu_sr_timing_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  rd_line2_wr_line:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  rd_line2_wr_pxl:12;
    };
}two_step_uzu_sr_timing_2_RBUS;

#else //apply LITTLE_ENDIAN

//======TWO_STEP_UZU register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  res2:1;
        RBus_UInt32  h_range:2;
        RBus_UInt32  mflti_blend_offset:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  mflti_blend_gain:5;
        RBus_UInt32  res4:1;
        RBus_UInt32  mflti_blend_en:1;
        RBus_UInt32  mflti_en:1;
    };
}two_step_uzu_mflti_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_hor_tap_sel:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  dering_edgelevel_gain:4;
        RBus_UInt32  res2:24;
    };
}two_step_uzu_sr_12tap_dering_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lpf_blend_lowbound:8;
        RBus_UInt32  lpf_blend_range:2;
        RBus_UInt32  lpf_blend_en:1;
        RBus_UInt32  h4h12_blend_en:1;
        RBus_UInt32  level_maxmin_coeff:3;
        RBus_UInt32  lpf_blend_mask_sel:1;
        RBus_UInt32  h4h12_blend_lowbound:8;
        RBus_UInt32  h4h12_blend_range:2;
        RBus_UInt32  dering_dbg_mode:2;
        RBus_UInt32  level_flatness_coeff:3;
        RBus_UInt32  res1:1;
    };
}two_step_uzu_sr_12tap_dering_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_ver_ini:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  sr_hor_ini:7;
        RBus_UInt32  res2:17;
    };
}two_step_uzu_sr_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h12_y_c0_0:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c0_1:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h12_y_ph0_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h12_y_c0_2:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c0_3:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h12_y_ph0_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h12_y_c0_4:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c0_5:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h12_y_ph0_coeff02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h12_y_c0_6:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c0_7:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h12_y_ph0_coeff03_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h12_y_c0_8:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c0_9:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h12_y_ph0_coeff04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h12_y_c0_10:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c0_11:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h12_y_ph0_coeff05_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h12_y_c1_0:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c1_1:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h12_y_ph1_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h12_y_c1_2:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c1_3:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h12_y_ph1_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h12_y_c1_4:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c1_5:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h12_y_ph1_coeff02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h12_y_c1_6:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c1_7:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h12_y_ph1_coeff03_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h12_y_c1_8:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c1_9:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h12_y_ph1_coeff04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h12_y_c1_10:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h12_y_c1_11:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h12_y_ph1_coeff05_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h4_y_c0_0:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_y_c0_1:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h4_y_ph0_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h4_y_c0_2:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_y_c0_3:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h4_y_ph0_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h4_y_c1_0:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_y_c1_1:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h4_y_ph1_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h4_y_c1_2:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_y_c1_3:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h4_y_ph1_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v4_y_c0_0:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_y_c0_1:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_v4_y_ph0_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v4_y_c0_2:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_y_c0_3:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_v4_y_ph0_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v4_y_c1_0:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_y_c1_1:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_v4_y_ph1_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v4_y_c1_2:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_y_c1_3:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_v4_y_ph1_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h4_c_c0_0:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_c_c0_1:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h4_c_ph0_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h4_c_c0_2:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_c_c0_3:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h4_c_ph0_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h4_c_c1_0:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_c_c1_1:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h4_c_ph1_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h4_c_c1_2:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  h4_c_c1_3:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_h4_c_ph1_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v4_c_c0_0:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_c_c0_1:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_v4_c_ph0_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v4_c_c0_2:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_c_c0_3:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_v4_c_ph0_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v4_c_c1_0:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_c_c1_1:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_v4_c_ph1_coeff00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v4_c_c1_2:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  v4_c_c1_3:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_v4_c_ph1_coeff01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_dbg_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  sr_dbg_inv:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  sr_dbg_mode:4;
        RBus_UInt32  res3:20;
    };
}two_step_uzu_sr_debug0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_dbg_h_end:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  sr_dbg_h_sta:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_sr_debug1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_dbg_v_end:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  sr_dbg_v_sta:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_sr_debug2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_start:1;
        RBus_UInt32  sr_crc_conti:1;
        RBus_UInt32  dummy18029b4c_31_2:30;
    };
}two_step_uzu_sr_crc_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_crc_cur_result:32;
    };
}two_step_uzu_sr_crc_result1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  db_apply:1;
        RBus_UInt32  db_read_level:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  res1:29;
    };
}two_step_uzu_sr_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bist_fail_0:1;
        RBus_UInt32  bist_fail_1:1;
        RBus_UInt32  bist_fail_2:1;
        RBus_UInt32  bist_fail_3:1;
        RBus_UInt32  drf_bist_fail_0:1;
        RBus_UInt32  drf_bist_fail_1:1;
        RBus_UInt32  drf_bist_fail_2:1;
        RBus_UInt32  drf_bist_fail_3:1;
        RBus_UInt32  res1:16;
        RBus_UInt32  rm:4;
        RBus_UInt32  res2:2;
        RBus_UInt32  rme:1;
        RBus_UInt32  ls:1;
    };
}two_step_uzu_two_step_uzu_bist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rd_line0_wr_pxl:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  rd_line0_wr_line:12;
        RBus_UInt32  res2:3;
        RBus_UInt32  rd_line_wr_st_en:1;
    };
}two_step_uzu_sr_timing_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rd_line1_wr_pxl:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  rd_line1_wr_line:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_sr_timing_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rd_line2_wr_pxl:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  rd_line2_wr_line:12;
        RBus_UInt32  res2:4;
    };
}two_step_uzu_sr_timing_2_RBUS;




#endif 


#endif 
