#include <common.h>
#include <command.h>
#include <drivers/rng/rtk_rng.h>

int do_rng(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
    int i, rng_count;

    if (argc < 2)
        return CMD_RET_USAGE;

    rng_count = (int)simple_strtoul(argv[1], NULL, 10);

    if(rng_count < 1 || rng_count > 99)
        rng_count = 1;

    for (i = 0; i < rng_count; i++) {
        printf("%2d. %08x \n", i + 1, get_random_number());
    }

    return 0;
}

U_BOOT_CMD(
    rng,    2,  0,  do_rng,
    "random number generator",
    "<counts>\n"
    "    - Specified how many random numbers will be generated.(Max counts:99)\n"
);