/************************************************************************
 *
 *  otp_info.h
 *
 *  Public header file for Nike OTP info
 *
 ************************************************************************/
#ifndef OTP_INFO_H
#define OTP_INFO_H

/************************************************************************
 *  Definition
 ************************************************************************/
 /*
#define OTP_BIT_NUM            (6 * 1024)		// 6Kb
#define OTP_SIZE               (OTP_BIT_NUM / 8)

#define BIT_OFFSET(number)     ((number / 32) * 4)	// register offset of input OTP bit number
#define BIT_SHIFT(number)      (number % 32)		// register shift of input OTP bit number

#define LEN_32BIT	       (32 / 8)
#define LEN_64BIT	       (64 / 8)
#define LEN_128BIT	       (128 / 8)
#define LEN_552BIT	       (552 / 8)
*/

/* OTP state */
#define TWO_STATE_VIRGIN	0
#define TWO_STATE_DEFAULT       1
#define TWO_STATE_SECURE        3

#define THREE_STATE_VIRGIN	0
#define THREE_STATE_DEFAULT     1
#define THREE_STATE_PROTECTED   3
#define THREE_STATE_SECURE      7
#define THREE_STATE_SECURE1     3
#define THREE_STATE_SECURE2     5

#define FOUR_STATE_VIRGIN	0
#define FOUR_STATE_DEFAULT      1
#define FOUR_STATE_SECURE1      3
#define FOUR_STATE_SECURE2      5
#define FOUR_STATE_SECURE3      9

/************************************************************************
 *  Public functions
 ************************************************************************/
int get_2state_OTP(unsigned int value);
int get_3state_OTP_progressive(unsigned int value);
int get_3state_OTP_split(unsigned int value);
int get_4state_OTP_split(unsigned int value);

#endif /* #ifndef OTP_INFO_H */

