

/************************************************************************
 *  Include files
 ************************************************************************/

#include <common.h>
#include <malloc.h>
#include <linux/ctype.h>
#include <panel.h>

#include <panel_config_parameter.h>

#include <asm/io.h>
#include <platform_lib/board/pcb_mgr.h>
#include <platform_lib/board/pcb.h>
#include <asm/arch/factorylib.h>
#include <asm/arch/factorylib_ro.h>
#include "cus_bootparam.h"

#include <wakeup.h>
#include <sys_reg_reg.h>
#include <ssrs_reg.h>
#include <sdemura_reg.h>
#include <ppoverlay_reg.h>


//#include <asm/arch/panel/panel_setting.h>
extern int CusApi_env_readEnvTxtFile(char *FilePath, const char *pItemName, char *pParameter);
extern uchar boot_panel_type;
extern uchar Mura_CUC_data_transfer;

/************************************************************************
 *  Definitions
 ************************************************************************/
//#define PANEL_ADJUST_PRINT	printf
#define PANEL_ADJUST_PRINT
#ifdef CONFIG_CUSTOM_PQ_SELECT
#define MODEL_ENV_FILE_NAME		"tmp/factory/Model_Env.xml"
#endif
#define SN_PANEL_BIN_FILE			FACTORY_RO_HEADER_FILE_NAME"bin_panel/panel/sn_panel.bin"
#define PN_BLOCK_SIZE 611//0x00~0x262
#define PN_HEADER_SIZE 0x20//0x00~0x1F

/************************************************************************
 *  Public variables
 ************************************************************************/
//struct _PANEL_CONFIG_PARAMETER  default_panel_parameter;
//UINT8 LVDS_4_PORTS_INDEX;
/************************************************************************
 *  Static variables
 ************************************************************************/

/* Default settings of env. variables */



/************************************************************************
 *  Static function prototypes
 ************************************************************************/

/************************************************************************
 *  Implementation : Static functions
 ************************************************************************/
#ifdef CONFIG_CUSTOM_SN_PANEL
extern void env_panel_set_default(void);
extern uint env_panel_change_panel_bin_in_factory(char *panel_bin_path);
#ifdef CONFIG_CUSTOM_PQ_SELECT
extern bool CusApi_env_selectModelEnvFile(void);
extern bool CusApi_env_writeEnvFile(int textFile, char *pItemName, char *pParameter);
extern bool CusApi_env_get_PQ_file_name(char * pParameter);
extern bool CusApi_env_syncFactorySave(void);
extern bool CusApi_env_setFactorySave(void);
extern int CusApi_env_readXmlFile(const char* pFileName, const char *pItemName, char *pParameter, size_t parameterLen);
#ifdef Config_EXT4_Load_TvConfigs_TRUE
extern bool syncTvConfigWithModelEnv(void);
#endif
#endif

//extern bool CusApi_env_writePnCommonFile(char *pItemName, char *pParameter);

extern uint getSnStr(char *target_str, uint target_str_length,char *src_addr, uint length, char* pRetVal, char **pRetAddr);
extern int IsID_Match(void);
extern void setID_Match(int en);
extern int check_PQ_file_current_status(const char *cur_panelname);
#ifdef CONFIG_CUSTOM_PQ_SELECT
extern int check_PQ_extend_file_current_status(const char *cur_panelname);
#endif
extern uchar boot_ac_on;

#define PANEL_NUM 48

extern PANEL_CONFIG_PARAMETER_SN panel_setting[PANEL_NUM];
extern int rtk_plat_run_rescue_from_eMMC(unsigned int blk_no);
extern int CusApi_Bootparam_STDWN_RTRY_Reset(bool enable);
extern char CusApi_bootparam_PowerMode_Clear(void);
#if defined(CONFIG_FSW)
extern bool fsw_emmc_bootup;
extern bool fsw_spi_bootup;
#endif

void env_struct_arrange(UINT8 select,char *raw_ptr);


typedef enum {
	SOR_UNDEF,	// 0
	SOR_KEYPAD,	// 1
	SOR_WUT,		// 2
	SOR_IRDA,		// 3
	SOR_CEC,		// 4
	SOR_PPS,		// 5
	SOR_WOW,		// 6
	SOR_MHL,		// 7
	SOR_RTC,		// 8
	SOR_WOV, 		// 9
	SOR_MAX, //10
} wake_soruce; //from EMCU define


int PanelID_Out_list=0;
int PanelID_NoMatch = 0;
int BOOT_STDWN_RTRY_CNT = 0;

#define PANEL_LESS_STRING "paneless_index"
#define shutdown_disable "shutdown_disable"
#define CHASSIS_STRING    "chassis"
#define I2S_STRING	"pin_i2s_sclk"
#define SPDIF_STRING	"pin_spdif"
#define OEM_KEY1 "oem_key1"
//CR-951
#define ENV_BUFFER_SIZE		100
#define PRODUCT_NAME "product_name"
#define PRODUCT_DEVICE "product_device"
#define PRODUCT_MODEL "product_model"

bool EnPnUpdate=0;
int shutdown_disable_value = 0;

#define TMP_FACTORY  "tmp/factory/"
#define PnCommon_NAME "PnCommon.txt"
#define PnCommon_Path      TMP_FACTORY PnCommon_NAME // /tmp/factory/PnCommon.txt

int env_get12VWait_Value(void) {
    char s12VWaitIndex[32] = {0};
    if(CusApi_env_readEnvTxtFile(PnCommon_Path,"_12V_WAIT",s12VWaitIndex) == 0) {
        return simple_strtoul(s12VWaitIndex, NULL, 10);
    }
    return 0;
}

int env_getEDIDWait_Value(void) {
    char sEDIDWaitIndex[32] = {0};
    if(CusApi_env_readEnvTxtFile(PnCommon_Path,"EDID_WAIT",sEDIDWaitIndex) == 0) {
        return simple_strtoul(sEDIDWaitIndex, NULL, 10);
    }
    if(get_ddr_size() == 0x60000000)
    {
        // DDR3 // 2k
        return 4;
    }
    else
    {
        // 4k
        return 40;
    }
}

int env_getVBOWait_Value(void) {
    char sVBOWaitIndex[32] = {0};
    if(CusApi_env_readEnvTxtFile(PnCommon_Path,"VBO_WAIT",sVBOWaitIndex) == 0) {
        return simple_strtoul(sVBOWaitIndex, NULL, 10);
    }
    if(get_ddr_size() == 0x60000000)
    {
        // DDR3 // 2k
        return 2;
    }
    else
    {
        // 4k
        return 10;
    }
}

int env_getVIFFormat_Value(void) {
    char sVIFFormat[32] = {0};
    if(CusApi_env_readEnvTxtFile(PnCommon_Path,"VIDEO_I_F",sVIFFormat) == 0) {
        return simple_strtoul(sVIFFormat, NULL, 10);
    }
    if(get_ddr_size() == 0x60000000)
    {
        // DDR3 // 2k
        return 7;
    }
    else
    {
        // 4k
        return 0;
    }
}

int env_getI2S(void){

	bool ret = false;
	int i2s_idx =0;
	char retStr[6]={0};

#if defined(CONFIG_FSW)
	if(fsw_emmc_bootup || fsw_spi_bootup)
		return i2s_idx;
#endif
#ifdef CONFIG_CUSTOM_PQ_SELECT
	if(!CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, I2S_STRING,retStr, sizeof(retStr)))
		ret = true;
#endif
	if(ret==true)
		i2s_idx = simple_strtoul(retStr, NULL, 10);

	return i2s_idx;
}

int env_getSPDIF(void){

	bool ret = false;
	int spdif_idx =0;
	char retStr[6]={0};

#if defined(CONFIG_FSW)
	if(fsw_emmc_bootup || fsw_spi_bootup)
		return spdif_idx;
#endif
#ifdef CONFIG_CUSTOM_PQ_SELECT
	if(!CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME,SPDIF_STRING,retStr,sizeof(retStr)))
		ret =true;
#endif
	if(ret==true)
		spdif_idx = simple_strtoul(retStr, NULL, 10);

	return spdif_idx;
}

int env_getPanelessIndex(void){

	bool ret = false;
	int panel_less_idx =0;
	char retStr[6]={0};

#if defined(CONFIG_FSW)
	if(fsw_emmc_bootup || fsw_spi_bootup)
		return panel_less_idx;
#endif
#ifdef CONFIG_CUSTOM_PQ_SELECT
	if(!CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME,PANEL_LESS_STRING,retStr,sizeof(retStr)))
		ret =true;
#endif
	if(ret==true)
		panel_less_idx = simple_strtoul(retStr, NULL, 10);
	//printf("panel_less_idx =%d\n",panel_less_idx);
	return panel_less_idx;
}

void env_setRO_OemKey(void){
	char retStr[13]={0};
	char* oemKeyStr;

#if defined(CONFIG_FSW)
	if(fsw_emmc_bootup || fsw_spi_bootup)
		return;
#endif
	if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, OEM_KEY1, retStr,sizeof(retStr)))
	{
		printf("oem_key1=%s\n", retStr);
	}
	else
	{
		printf("Failed to get %s!\n",OEM_KEY1);
	}

	if (((oemKeyStr = getenv("OEM_KEY1")) != NULL) && (strcmp(oemKeyStr, retStr) == 0))
		printf("the oemkey1 is the same as before\n");
	else
	{
		setenv("OEM_KEY1", retStr);
	}
}

//CR-951
void env_setRO_ProductName(void){
	char retStr[ENV_BUFFER_SIZE]={0};
	char* oemKeyStr;

#if defined(CONFIG_FSW)
	if(fsw_emmc_bootup || fsw_spi_bootup)
		return;
#endif
	if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, PRODUCT_NAME, retStr,sizeof(retStr)))
	{
		printf("product_name=%s\n", retStr);
	}
	else
	{
		printf("Failed to get %s!\n",PRODUCT_NAME);
	}

	if (((oemKeyStr = getenv("PRODUCT_NAME")) != NULL) && (strcmp(oemKeyStr, retStr) == 0))
		printf("the product_name is the same as before\n");
	else
	{
		setenv("PRODUCT_NAME", retStr);
	}
}

void env_setRO_ProductDevice(void){
	char retStr[ENV_BUFFER_SIZE]={0};
	char* oemKeyStr;

#if defined(CONFIG_FSW)
	if(fsw_emmc_bootup || fsw_spi_bootup)
		return;
#endif
	if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, PRODUCT_DEVICE, retStr,sizeof(retStr)))
	{
		printf("product_device=%s\n", retStr);
	}
	else
	{
		printf("Failed to get %s!\n",PRODUCT_DEVICE);
	}

	if (((oemKeyStr = getenv("PRODUCT_DEVICE")) != NULL) && (strcmp(oemKeyStr, retStr) == 0))
		printf("the product_device is the same as before\n");
	else
	{
		setenv("PRODUCT_DEVICE", retStr);
	}
}

void env_setRO_ProductModel(void){
	char retStr[ENV_BUFFER_SIZE]={0};
	char* oemKeyStr;

#if defined(CONFIG_FSW)
	if(fsw_emmc_bootup || fsw_spi_bootup)
		return;
#endif
	if(0 == CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME, PRODUCT_MODEL, retStr,sizeof(retStr)))
	{
		printf("product_model=%s\n", retStr);
		{
			int i;
			int iLen=strlen(retStr);
			for(i=0;i<iLen;i++){
				if(retStr[i] == 0x20){
					retStr[i] = 0x60;  // 0x60 is `
				}
			}
			printf("product_model after=%s\n", retStr);
		}
	}
	else
	{
		printf("Failed to get %s!\n",PRODUCT_MODEL);
	}

	if (((oemKeyStr = getenv("PRODUCT_DEVICE")) != NULL) && (strcmp(oemKeyStr, retStr) == 0))
		printf("the product_model is the same as before\n");
	else
	{
		setenv("PRODUCT_MODEL", retStr);
		//printf("setenv product_model after=%s\n", retStr);
	}
}

bool env_getShutdownDisable(void){

	bool ret = false;
	char retStr[6]={0};

#if defined(CONFIG_FSW)
	if(fsw_emmc_bootup || fsw_spi_bootup)
		return ret;
#endif
#ifdef CONFIG_CUSTOM_PQ_SELECT
	if(!CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME,shutdown_disable,retStr,sizeof(retStr)))
		ret = true;
#endif
	if(ret==true)
		shutdown_disable_value = simple_strtoul(retStr, NULL, 10);

	return ret;
}

int env_getChassis(void){

	bool ret = false;
	int chassis =0;
	char retStr[6]={0};

#if defined(CONFIG_FSW)
	if(fsw_emmc_bootup || fsw_spi_bootup)
		return chassis;
#endif
#ifdef CONFIG_CUSTOM_PQ_SELECT
	if(!CusApi_env_readXmlFile(MODEL_ENV_FILE_NAME,CHASSIS_STRING,retStr,sizeof(retStr)))
		ret = true;
#endif
	if(ret==true)
		chassis = simple_strtoul(retStr, NULL, 10);

	//printf("chassis =%d\n",chassis);
	return chassis;
#if 0
	int dst_length;
	char *dst_addr = NULL;
	char *retAddr = NULL;
	char retStr[30]={0};
	int i=0;

	if (factory_read(MODEL_ENV_FILE, &dst_addr, &dst_length)) {
			printf("can't find %s\n", MODEL_ENV_FILE);
	}
	else{
		printf("%s len=%d found\n", MODEL_ENV_FILE,dst_length);

		if (getSnStr("Chassis", strlen("Chassis"), dst_addr, (uint)dst_length, retStr, &retAddr) == 0) {
			printf("Chassis=%s\n", retStr);

			if(strcmp(retStr,"ChassisType0")==0){
				printf("ChassisType0= 0\n");
				return	0;
			}
			else{
				//printf("ChassisVariation\n");
				//printf("strlen =%d\n",strlen(retVal));

				int retLen =strlen(retStr);
				int minusLen =strlen("ChassisVariation");
				int diffLen=retLen-minusLen;
				char value[3]={0};
				for(i=0;i<diffLen;i++){
					//printf("%d %x\n",i,*(retVal+i));
					value[i]=*(retStr+minusLen+i);
				}

				int retVal =(int)strtoul(value, (char **)NULL, 10);
				return retVal;

			}
			//tuner_id = retVal;
		}
	}
	return 0;
#endif
}

void env_panel_set_parameter(int select)
{
	memset(&default_panel_parameter, 0, sizeof(PANEL_CONFIG_PARAMETER));

	if( select >= PANEL_NUM ) {
		printf("%s: Error. Invalid panel select: %d\n", __FUNCTION__, select);
		 select = PANEL_NUM - 1;
	}

	default_panel_parameter.iCONFIG_DISPLAY_PORT	=panel_setting[select].iCONFIG_DISPLAY_PORT ;
	default_panel_parameter.iCONFIG_DISPLAY_COLOR_BITS	=panel_setting[select].iCONFIG_DISPLAY_COLOR_BITS	;
	default_panel_parameter.iCONFIG_DISPLAY_EVEN_RSV1_BIT	=panel_setting[select].iCONFIG_DISPLAY_EVEN_RSV1_BIT ;
	default_panel_parameter.iCONFIG_DISPLAY_ODD_RSV1_BIT	=panel_setting[select].iCONFIG_DISPLAY_ODD_RSV1_BIT ;
	default_panel_parameter.iCONFIG_DISPLAY_BITMAPPING_TABLE	=panel_setting[select].iCONFIG_DISPLAY_BITMAPPING_TABLE ;
	default_panel_parameter.iCONFIG_DISPLAY_PORTAB_SWAP 	=panel_setting[select].iCONFIG_DISPLAY_PORTAB_SWAP	;
	default_panel_parameter.iCONFIG_DISPLAY_RED_BLUE_SWAP	=panel_setting[select].iCONFIG_DISPLAY_RED_BLUE_SWAP ;
	default_panel_parameter.iCONFIG_DISPLAY_MSB_LSB_SWAP	=panel_setting[select].iCONFIG_DISPLAY_MSB_LSB_SWAP ;
	default_panel_parameter.iCONFIG_DISPLAY_SKEW_DATA_OUTPUT	=panel_setting[select].iCONFIG_DISPLAY_SKEW_DATA_OUTPUT ;
	default_panel_parameter.iCONFIG_DISPLAY_OUTPUT_INVERSE	=panel_setting[select].iCONFIG_DISPLAY_OUTPUT_INVERSE	;
	default_panel_parameter.iCONFIG_DISPLAY_VERTICAL_SYNC_NORMAL	=panel_setting[select].iCONFIG_DISPLAY_VERTICAL_SYNC_NORMAL ;
	default_panel_parameter.iCONFIG_DISPLAY_HORIZONTAL_SYNC_NORMAL	=panel_setting[select].iCONFIG_DISPLAY_HORIZONTAL_SYNC_NORMAL	;
	default_panel_parameter.iCONFIG_DISPLAY_RATIO_4X3	=panel_setting[select].iCONFIG_DISPLAY_RATIO_4X3 ;
	default_panel_parameter.iCONFIG_DISPLAY_CLOCK_MAX	=panel_setting[select].iCONFIG_DISPLAY_CLOCK_MAX ;
	default_panel_parameter.iCONFIG_DISPLAY_CLOCK_MIN	=panel_setting[select].iCONFIG_DISPLAY_CLOCK_MIN ;
	default_panel_parameter.iCONFIG_DISPLAY_REFRESH_RATE	=panel_setting[select].iCONFIG_DISPLAY_REFRESH_RATE ;
	default_panel_parameter.iCONFIG_DISPLAY_CLOCK_TYPICAL	=panel_setting[select].iCONFIG_DISPLAY_CLOCK_TYPICAL ;
	default_panel_parameter.iCONFIG_DISP_HORIZONTAL_TOTAL	=panel_setting[select].iCONFIG_DISP_HORIZONTAL_TOTAL ;
	default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL 	=panel_setting[select].iCONFIG_DISP_VERTICAL_TOTAL	;
	default_panel_parameter.iCONFIG_DISP_HSYNC_WIDTH	=panel_setting[select].iCONFIG_DISP_HSYNC_WIDTH ;
	default_panel_parameter.iCONFIG_DISP_VSYNC_LENGTH	=panel_setting[select].iCONFIG_DISP_VSYNC_LENGTH ;
	default_panel_parameter.iCONFIG_DISP_DEN_STA_HPOS	=panel_setting[select].iCONFIG_DISP_DEN_STA_HPOS ;
	default_panel_parameter.iCONFIG_DISP_DEN_END_HPOS	=panel_setting[select].iCONFIG_DISP_DEN_END_HPOS ;
	default_panel_parameter.iCONFIG_DISP_DEN_STA_VPOS	=panel_setting[select].iCONFIG_DISP_DEN_STA_VPOS ;
	default_panel_parameter.iCONFIG_DISP_DEN_END_VPOS	=panel_setting[select].iCONFIG_DISP_DEN_END_VPOS ;
	default_panel_parameter.iCONFIG_DISP_ACT_STA_HPOS	=panel_setting[select].iCONFIG_DISP_ACT_STA_HPOS ;
	default_panel_parameter.iCONFIG_DISP_ACT_END_HPOS	=panel_setting[select].iCONFIG_DISP_ACT_END_HPOS ;
	default_panel_parameter.iCONFIG_DISP_ACT_STA_VPOS	=panel_setting[select].iCONFIG_DISP_ACT_STA_VPOS ;
	default_panel_parameter.iCONFIG_DISP_ACT_END_VPOS	=panel_setting[select].iCONFIG_DISP_ACT_END_VPOS ;
	default_panel_parameter.iCONFIG_DISP_HSYNC_LASTLINE 	=panel_setting[select].iCONFIG_DISP_HSYNC_LASTLINE	;
	default_panel_parameter.iCONFIG_DISP_DCLK_DELAY 	=panel_setting[select].iCONFIG_DISP_DCLK_DELAY	;
	default_panel_parameter._iCONFIG_DISP_ACT_STA_BIOS	=panel_setting[select]._iCONFIG_DISP_ACT_STA_BIOS	;
	default_panel_parameter.iCONFIG_DEFAULT_DPLL_M_DIVIDER	=panel_setting[select].iCONFIG_DEFAULT_DPLL_M_DIVIDER	;
	default_panel_parameter.iCONFIG_DEFAULT_DPLL_N_DIVIDER	=panel_setting[select].iCONFIG_DEFAULT_DPLL_N_DIVIDER	;
	default_panel_parameter.iPANEL_TO_LVDS_ON_ms	=panel_setting[select].iPANEL_TO_LVDS_ON_ms ;
	default_panel_parameter.iLVDS_TO_LIGHT_ON_ms	=panel_setting[select].iLVDS_TO_LIGHT_ON_ms ;
	default_panel_parameter.iLIGHT_TO_LDVS_OFF_ms	=panel_setting[select].iLIGHT_TO_LDVS_OFF_ms ;
	default_panel_parameter.iLVDS_TO_PANEL_OFF_ms	=panel_setting[select].iLVDS_TO_PANEL_OFF_ms ;
	default_panel_parameter.iPANEL_OFF_TO_ON_ms 	=panel_setting[select].iPANEL_OFF_TO_ON_ms	;
	default_panel_parameter.iCONFIG_BACKLIGHT_PWM_FREQ	=panel_setting[select].iCONFIG_BACKLIGHT_PWM_FREQ	;
	default_panel_parameter.iCONFIG_BACKLIGHT_PWM_DUTY	=panel_setting[select].iCONFIG_BACKLIGHT_PWM_DUTY	;
	default_panel_parameter.iFIX_LAST_LINE_ENABLE	=panel_setting[select].iFIX_LAST_LINE_ENABLE ;
	default_panel_parameter.iFIX_LAST_LINE_4X_ENABLE	=panel_setting[select].iFIX_LAST_LINE_4X_ENABLE ;
	default_panel_parameter.iVFLIP	=panel_setting[select].iVFLIP	;
	default_panel_parameter.iPICASSO_CONTROL_ON 	=panel_setting[select].iPICASSO_CONTROL_ON	;
	default_panel_parameter.i3D_DISPLAY_SUPPORT 	=panel_setting[select].i3D_DISPLAY_SUPPORT	;
	default_panel_parameter.i3D_LINE_ALTERNATIVE_SUPPORT	=panel_setting[select].i3D_LINE_ALTERNATIVE_SUPPORT ;
	default_panel_parameter.i3D_PR_OUTPUT_LR_SWAP	=panel_setting[select].i3D_PR_OUTPUT_LR_SWAP ;
	default_panel_parameter.i3D_SG_OUTPUT_120HZ_ON	=panel_setting[select].i3D_SG_OUTPUT_120HZ_ON	;
	default_panel_parameter.i3D_SG_24HZ_OUTPUT_FHD_ON	=panel_setting[select].i3D_SG_24HZ_OUTPUT_FHD_ON ;
	default_panel_parameter.iSCALER_2D_3D_CVT_HWSHIFT_ENABLE	=panel_setting[select].iSCALER_2D_3D_CVT_HWSHIFT_ENABLE ;
	default_panel_parameter.iCONFIG_SFG_SEG_NUM 	=panel_setting[select].iCONFIG_SFG_SEG_NUM	;
	default_panel_parameter.iCONFIG_SFG_PORT_NUM	=panel_setting[select].iCONFIG_SFG_PORT_NUM ;
	default_panel_parameter.iCONFIG_DISPLAY_PORT_CONFIG1	=panel_setting[select].iCONFIG_DISPLAY_PORT_CONFIG1 ;
	default_panel_parameter.iCONFIG_DISPLAY_PORT_CONFIG2	=panel_setting[select].iCONFIG_DISPLAY_PORT_CONFIG2 ;


	default_panel_parameter.iCONFIG_LVDS_4_PORTS_INDEX	=panel_setting[select].iCONFIG_LVDS_4_PORTS_INDEX	;

	default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL_50Hz_MIN	=panel_setting[select].iCONFIG_DISP_VERTICAL_TOTAL_50Hz_MIN ;
	default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL_50Hz_MAX	=panel_setting[select].iCONFIG_DISP_VERTICAL_TOTAL_50Hz_MAX ;
	default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL_60Hz_MIN	=panel_setting[select].iCONFIG_DISP_VERTICAL_TOTAL_60Hz_MIN ;
	default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL_60Hz_MAX	=panel_setting[select].iCONFIG_DISP_VERTICAL_TOTAL_60Hz_MAX ;
	default_panel_parameter.iCONFIG_LVDS_PN_SWAP	=panel_setting[select].iCONFIG_LVDS_PN_SWAP ;
	default_panel_parameter.iCONFIG_LVDS_MIRROR 	=panel_setting[select].iCONFIG_LVDS_MIRROR	;
	default_panel_parameter.iCONFIG_PANEL_TYPE	=panel_setting[select].iCONFIG_PANEL_TYPE	;
	default_panel_parameter.iCONFIG_PANEL_CUSTOM_INDEX	=panel_setting[select].iCONFIG_PANEL_CUSTOM_INDEX	;
	default_panel_parameter.iCONFIG_SR_MODE 	=panel_setting[select].iCONFIG_SR_MODE	;
	default_panel_parameter.iCONFIG_SR_PIXEL_MODE	=panel_setting[select].iCONFIG_SR_PIXEL_MODE ;
	default_panel_parameter.i3D_DISPLAY_TIMING	=panel_setting[select].i3D_DISPLAY_TIMING	;
	default_panel_parameter.iCONFIG_CUSTOMER_PANEL_ID	=panel_setting[select].iCONFIG_CUSTOMER_PANEL_ID ;

	default_panel_parameter.iPANEL_WIDTH_MM	=panel_setting[select].iPANEL_WIDTH_MM ;
	default_panel_parameter.iPANEL_HEIGHT_MM	=panel_setting[select].iPANEL_HEIGHT_MM ;
	default_panel_parameter.iBACKLIGHT_PWM_48HZ_FREQ	=panel_setting[select].iBACKLIGHT_PWM_48HZ_FREQ ;
	default_panel_parameter.iBACKLIGHT_PWM_50HZ_FREQ	=panel_setting[select].iBACKLIGHT_PWM_50HZ_FREQ ;
	default_panel_parameter.iBACKLIGHT_PWM_60HZ_FREQ	=panel_setting[select].iBACKLIGHT_PWM_60HZ_FREQ ;

	default_panel_parameter.iPixelClk60Hz	=panel_setting[select].iPixelClk60Hz ;
	default_panel_parameter.iHTotal60Hz		=panel_setting[select].iHTotal60Hz ;
	default_panel_parameter.iVTotal60Hz		=panel_setting[select].iVTotal60Hz ;
	default_panel_parameter.iHSyncWidth_60Hz	=panel_setting[select].iHSyncWidth_60Hz ;
	default_panel_parameter.iVSyncWidth_60Hz	=panel_setting[select].iVSyncWidth_60Hz ;
	default_panel_parameter.iHFrontPorch_60Hz	=panel_setting[select].iHFrontPorch_60Hz ;
	default_panel_parameter.iHbackPorch_60Hz	=panel_setting[select].iHbackPorch_60Hz ;
	default_panel_parameter.iVFrontPorch_60Hz	=panel_setting[select].iVFrontPorch_60Hz ;
	default_panel_parameter.iVbackPorch_60Hz	=panel_setting[select].iVbackPorch_60Hz ;

	default_panel_parameter.iPixelClk50Hz	=panel_setting[select].iPixelClk50Hz ;
	default_panel_parameter.iHTotal50Hz		=panel_setting[select].iHTotal50Hz ;
	default_panel_parameter.iVTotal50Hz		=panel_setting[select].iVTotal50Hz ;
	default_panel_parameter.iHSyncWidth_50Hz	=panel_setting[select].iHSyncWidth_50Hz ;
	default_panel_parameter.iVSyncWidth_50Hz	=panel_setting[select].iVSyncWidth_50Hz ;
	default_panel_parameter.iHFrontPorch_50Hz	=panel_setting[select].iHFrontPorch_50Hz ;
	default_panel_parameter.iHbackPorch_50Hz	=panel_setting[select].iHbackPorch_50Hz ;
	default_panel_parameter.iVFrontPorch_50Hz	=panel_setting[select].iVFrontPorch_50Hz ;
	default_panel_parameter.iVbackPorch_50Hz	=panel_setting[select].iVbackPorch_50Hz ;

	default_panel_parameter.iPixelClk48Hz	=panel_setting[select].iPixelClk48Hz ;
	default_panel_parameter.iHTotal48Hz		=panel_setting[select].iHTotal48Hz ;
	default_panel_parameter.iVTotal48Hz		=panel_setting[select].iVTotal48Hz ;
	default_panel_parameter.iHSyncWidth_48Hz	=panel_setting[select].iHSyncWidth_48Hz ;
	default_panel_parameter.iVSyncWidth_48Hz	=panel_setting[select].iVSyncWidth_48Hz ;
	default_panel_parameter.iHFrontPorch_48Hz	=panel_setting[select].iHFrontPorch_48Hz ;
	default_panel_parameter.iHbackPorch_48Hz	=panel_setting[select].iHbackPorch_48Hz ;
	default_panel_parameter.iVFrontPorch_48Hz	=panel_setting[select].iVFrontPorch_48Hz ;
	default_panel_parameter.iVbackPorch_48Hz	=panel_setting[select].iVbackPorch_48Hz ;

	strcpy(default_panel_parameter.sPanelName, panel_setting[select].sPanelName);


}


uchar env_setup_sn_panel(uchar *panel_filename)
{
	char *raw_ptr = NULL;
	unsigned int rc = 1;	/* 0:fail 1:success */
	uint parameter_len = 0;
	int file_len = 0;
	int select = 0;

	//char Panel_Sn[PN_BLOCK]={0};
	//SN_PANEL_TEST_INFO tmp;

	//memcpy(tmp, 0, sizeof(SN_PANEL_TEST_INFO));
	//if(tmp==NULL)
	//	;

	parameter_len = sizeof(default_panel_parameter);


	//printf("--parameter_len =%d:%d--\n",parameter_len,parameter_len_test);
	//printf("--panel_filename =%s--\n",panel_filename);

	if(parameter_len<0)
		;
	if (panel_filename == NULL) // set default value
	{
		printf("\n\033[1;41<<<<<<<<<<panel_filename NULL>>>>>>>>>>\033[m");
		env_panel_set_default();
        printf("Panel: %s\n", default_panel_parameter.sPanelName);
		rc=0;
	}
	else
	{
		//if ((factory_read((char *)panel_filename, &raw_ptr, &file_len) == 0) && file_len == parameter_len) {
		if ((factory_ro_read((char *)panel_filename, &raw_ptr, &file_len) == 0)) {

			printf("--file_len=%d:0x%x--\n",file_len,file_len);

			//cp
			const char *panelselect = getenv("panel_select");
			if( panelselect != NULL)
			{
				select = simple_strtoul(panelselect, NULL, 10);
			}

			printf("--panel_select =%d--\n",select);
			raw_ptr=raw_ptr+PN_HEADER_SIZE+select*PN_BLOCK_SIZE;
			//memcpy(Panel_Sn, raw_ptr, sizeof(Panel_Sn));
			//printf("--Panel_Sn len =%d:%d--\n",sizeof(Panel_Sn),sizeof(char)*611);

			//printf("--SN_PANEL_TEST_INFO len =%d:%d--\n",sizeof(SN_PANEL_TEST_INFO),sizeof(tmp));
			//snInfo

			//memcpy(panel_setting[select].snInfo, raw_ptr, sizeof(SN_PANEL_INFO));

			env_panel_set_parameter(select);
			env_struct_arrange(select,raw_ptr);
		}
		else{
			rc=0;
			printf("-- %s is not exist--\n", panel_filename);
		}
	}
	return rc;
}






#include <common.h>
#include <drivers/i2c/rtk_i2c_lib.h>
#include <asm/arch/bootparam.h>

extern int boot_power_on_mode;



typedef struct
{
	char string[14];
	int value;
}Pn_String;

Pn_String PnCommon[]=
{
	{"CURRENT_MAX", 0 },
	{"CURRENT_MIN", 0 },
	{"BL_PWM_MAX", 0 },
	{"BL_PWM_MIN", 0 },
	{"BL_CUR_FREQ", 0 },
	{"BL_PWM_FREQ", 0 },
	{"BL_WAIT_LOGO", 0 },
	{"BL_PSL_DIFF", 0 },
	{"_12V_WAIT", 0 },
	{"EDID_WAIT", 0 },
	{"VBO_WAIT", 0 },
	{"VIDEO_I_F", 0 },

};
#define SIZEOF_PN_COMMON (sizeof(PnCommon)/sizeof(PnCommon[0]))

Pn_String PiQ_Sect_1[]=
{
	{"X1_31", 0 },
	{"X1_23", 0 },
	{"X1_15", 0 },
	{"X1_7", 0 },
	{"X2_31", 0 },
	{"X2_23", 0 },
	{"X2_15", 0 },
	{"X2_7", 0 },
	{"X3_31", 0 },
	{"X3_23", 0 },
	{"X3_15", 0 },
	{"X3_7", 0 },
	{"X4_31", 0 },
	{"X4_23", 0 },
	{"X4_15", 0 },
	{"X4_7", 0 },
	{"X5_31", 0 },
	{"X5_23", 0 },
	{"X5_15", 0 },
	{"X5_7", 0 },
	{"X6_31", 0 },
	{"X6_23", 0 },
	{"X6_15", 0 },
	{"X6_7", 0 },
	{"X7_31", 0 },
	{"X7_23", 0 },
	{"X7_15", 0 },
	{"X7_7", 0 },
	{"X8_31", 0 },
	{"X8_23", 0 },
	{"X8_15", 0 },
	{"X8_7", 0 },
	{"X9_31", 0 },
	{"X9_23", 0 },
	{"X9_15", 0 },
	{"X9_7", 0 },
	{"X10_31", 0 },
	{"X10_23", 0 },
	{"X10_15", 0 },
	{"X10_7", 0 },
	{"X11_31", 0 },
	{"X11_23", 0 },
	{"X11_15", 0 },
	{"X11_7", 0 },
	{"X12_31", 0 },
	{"X12_23", 0 },
	{"X12_15", 0 },
	{"X12_7", 0 },
	{"X13_31", 0 },
	{"X13_23", 0 },
	{"X13_15", 0 },
	{"X13_7", 0 },
	{"X14_31", 0 },
	{"X14_23", 0 },
	{"X14_15", 0 },
	{"X14_7", 0 },
	{"X15_31", 0 },
	{"X15_23", 0 },
	{"X15_15", 0 },
	{"X15_7", 0 },
	{"X16_31", 0 },
	{"X16_23", 0 },
	{"X16_15", 0 },
	{"X16_7", 0 },
	{"X17_31", 0 },
	{"X17_23", 0 },
	{"X17_15", 0 },
	{"X17_7", 0 },

};
#define SIZEOF_PIQ_SECT_1 (sizeof(PiQ_Sect_1)/sizeof(PiQ_Sect_1[0]))

Pn_String PiQ_Sect_2[]=
{
	{"X29_31", 0 },
	{"X29_23", 0 },
	{"X29_15", 0 },
	{"X29_7", 0 },
	{"X30_31", 0 },
	{"X30_23", 0 },
	{"X30_15", 0 },
	{"X30_7", 0 },
	{"X31_31", 0 },
	{"X31_23", 0 },
	{"X31_15", 0 },
	{"X31_7", 0 },
	{"X32_31", 0 },
	{"X32_23", 0 },
	{"X32_15", 0 },
	{"X32_7", 0 },
	{"X33_31", 0 },
	{"X33_23", 0 },
	{"X33_15", 0 },
	{"X33_7", 0 },
	{"X34_31", 0 },
	{"X34_23", 0 },
	{"X34_15", 0 },
	{"X34_7", 0 },
	{"X35_31", 0 },
	{"X35_23", 0 },
	{"X35_15", 0 },
	{"X35_7", 0 },
	{"X36_31", 0 },
	{"X36_23", 0 },
	{"X36_15", 0 },
	{"X36_7", 0 },
	{"X37_31", 0 },
	{"X37_23", 0 },
	{"X37_15", 0 },
	{"X37_7", 0 },
	{"X38_31", 0 },
	{"X38_23", 0 },
	{"X38_15", 0 },
	{"X38_7", 0 },
	{"X39_31", 0 },
	{"X39_23", 0 },
	{"X39_15", 0 },
	{"X39_7", 0 },
	{"X40_31", 0 },
	{"X40_23", 0 },
	{"X40_15", 0 },
	{"X40_7", 0 },
	{"X41_31", 0 },
	{"X41_23", 0 },
	{"X41_15", 0 },
	{"X41_7", 0 },
	{"X42_31", 0 },
	{"X42_23", 0 },
	{"X42_15", 0 },
	{"X42_7", 0 },
	{"X43_31", 0 },
	{"X43_23", 0 },
	{"X43_15", 0 },
	{"X43_7", 0 },
	{"X44_31", 0 },
	{"X44_23", 0 },
	{"X44_15", 0 },
	{"X44_7", 0 },
	{"X45_31", 0 },
	{"X45_23", 0 },
	{"X45_15", 0 },
	{"X45_7", 0 },
	{"X46_31", 0 },
	{"X46_23", 0 },
	{"X46_15", 0 },
	{"X46_7", 0 },
};
#define SIZEOF_PiQ_SECT_2 (sizeof(PiQ_Sect_2)/sizeof(PiQ_Sect_2[0]))

Pn_String OutputTiming[]=
{
	{"PXL_CLK_60", 0 },
	{"HTOTAL_60", 0 },
	{"VTOTAL_60", 0 },
	{"HSYNC_W_60", 0 },
	{"VSYNC_W_60", 0 },
	{"HFP_60", 0 },
	{"HBP_60", 0 },
	{"VFP_60", 0 },
	{"VBP_60", 0 },
	{"PXL_CLK_50", 0 },
	{"HTOTAL_50", 0 },
	{"VTOTAL_50", 0 },
	{"HSYNC_W_50", 0 },
	{"VSYNC_W_50", 0 },
	{"HFP_50", 0 },
	{"HBP_50", 0 },
	{"VFP_50", 0 },
	{"VBP_50", 0 },
	{"PXL_CLK_48", 0 },
	{"HTOTAL_48", 0 },
	{"VTOTAL_48", 0 },
	{"HSYNC_W_48", 0 },
	{"VSYNC_W_48", 0 },
	{"HFP_48", 0 },
	{"HBP_48", 0 },
	{"VFP_48", 0 },
	{"VBP_48", 0 },

};

#define SIZEOF_OUTPUT_TIMING (sizeof(OutputTiming)/sizeof(OutputTiming[0]))
#define PANEL_BIN_FILENAME_IN_FACTORY	FACTORY_HEADER_FILE_NAME"bin_panel/panel.bin"

void updatePnCommon(void)
{
	if(EnPnUpdate==1){
		EnPnUpdate=0;
	}else {
		return;
	}

	printf("updatePnCommon start\n");
	//printf(" %s =%d\n",PnCommon[0].string,PnCommon[0].value);

	PnCommon[0].value	=	default_panel_parameter.snInfo.CURRENT_MAX;
	PnCommon[1].value	=	default_panel_parameter.snInfo.CURRENT_MIN;
	PnCommon[2].value	=	default_panel_parameter.snInfo.BL_PWM_MAX;
	PnCommon[3].value	=	default_panel_parameter.snInfo.BL_PWM_MIN;
	PnCommon[4].value	=	default_panel_parameter.snInfo.BL_CUR_FREQ;
	PnCommon[5].value	=	default_panel_parameter.snInfo.BL_PWM_FREQ;
	PnCommon[6].value	=	default_panel_parameter.snInfo.BL_WAIT_LOGO;
	PnCommon[7].value	=	default_panel_parameter.snInfo.BL_PSL_DIFF;
	PnCommon[8].value	=	default_panel_parameter.snInfo._12V_WAIT;
	PnCommon[9].value	=	default_panel_parameter.snInfo.EDID_WAIT;
	PnCommon[10].value	=	default_panel_parameter.snInfo.VBO_WAIT;
	PnCommon[11].value	=	default_panel_parameter.snInfo.Video_I_F_format;

#if defined(CONFIG_CUSTOM_Vulcan_PowerSequence)
	PiQ_Sect_1[0].value=default_panel_parameter.snInfo.External_device_control_1_X1_31_24;
	PiQ_Sect_1[1].value=default_panel_parameter.snInfo.External_device_control_1_X1_23_16;
	PiQ_Sect_1[2].value=default_panel_parameter.snInfo.External_device_control_1_X1_15_8;
	PiQ_Sect_1[3].value=default_panel_parameter.snInfo.External_device_control_1_X1_7_0;
	PiQ_Sect_1[4].value=default_panel_parameter.snInfo.External_device_control_1_X2_31_24;
	PiQ_Sect_1[5].value=default_panel_parameter.snInfo.External_device_control_1_X2_23_16;
	PiQ_Sect_1[6].value=default_panel_parameter.snInfo.External_device_control_1_X2_15_8;
	PiQ_Sect_1[7].value=default_panel_parameter.snInfo.External_device_control_1_X2_7_0;
	PiQ_Sect_1[8].value=default_panel_parameter.snInfo.External_device_control_1_X3_31_24;
	PiQ_Sect_1[9].value=default_panel_parameter.snInfo.External_device_control_1_X3_23_16;
	PiQ_Sect_1[10].value=default_panel_parameter.snInfo.External_device_control_1_X3_15_8;
	PiQ_Sect_1[11].value=default_panel_parameter.snInfo.External_device_control_1_X3_7_0;
	PiQ_Sect_1[12].value=default_panel_parameter.snInfo.External_device_control_1_X4_31_24;
	PiQ_Sect_1[13].value=default_panel_parameter.snInfo.External_device_control_1_X4_23_16;
	PiQ_Sect_1[14].value=default_panel_parameter.snInfo.External_device_control_1_X4_15_8;
	PiQ_Sect_1[15].value=default_panel_parameter.snInfo.External_device_control_1_X4_7_0;
	PiQ_Sect_1[16].value=default_panel_parameter.snInfo.External_device_control_1_X5_31_24;
	PiQ_Sect_1[17].value=default_panel_parameter.snInfo.External_device_control_1_X5_23_16;
	PiQ_Sect_1[18].value=default_panel_parameter.snInfo.External_device_control_1_X5_15_8;
	PiQ_Sect_1[19].value=default_panel_parameter.snInfo.External_device_control_1_X5_7_0;
	PiQ_Sect_1[20].value=default_panel_parameter.snInfo.External_device_control_1_X6_31_24;
	PiQ_Sect_1[21].value=default_panel_parameter.snInfo.External_device_control_1_X6_23_16;
	PiQ_Sect_1[22].value=default_panel_parameter.snInfo.External_device_control_1_X6_15_8;
	PiQ_Sect_1[23].value=default_panel_parameter.snInfo.External_device_control_1_X6_7_0;
	PiQ_Sect_1[24].value=default_panel_parameter.snInfo.External_device_control_1_X7_31_24;
	PiQ_Sect_1[25].value=default_panel_parameter.snInfo.External_device_control_1_X7_23_16;
	PiQ_Sect_1[26].value=default_panel_parameter.snInfo.External_device_control_1_X7_15_8;
	PiQ_Sect_1[27].value=default_panel_parameter.snInfo.External_device_control_1_X7_7_0;
	PiQ_Sect_1[28].value=default_panel_parameter.snInfo.External_device_control_1_X8_31_24;
	PiQ_Sect_1[29].value=default_panel_parameter.snInfo.External_device_control_1_X8_23_16;
	PiQ_Sect_1[30].value=default_panel_parameter.snInfo.External_device_control_1_X8_15_8;
	PiQ_Sect_1[31].value=default_panel_parameter.snInfo.External_device_control_1_X8_7_0;
	PiQ_Sect_1[32].value=default_panel_parameter.snInfo.External_device_control_1_X9_31_24;
	PiQ_Sect_1[33].value=default_panel_parameter.snInfo.External_device_control_1_X9_23_16;
	PiQ_Sect_1[34].value=default_panel_parameter.snInfo.External_device_control_1_X9_15_8;
	PiQ_Sect_1[35].value=default_panel_parameter.snInfo.External_device_control_1_X9_7_0;
	PiQ_Sect_1[36].value=default_panel_parameter.snInfo.External_device_control_1_X10_31_24;
	PiQ_Sect_1[37].value=default_panel_parameter.snInfo.External_device_control_1_X10_23_16;
	PiQ_Sect_1[38].value=default_panel_parameter.snInfo.External_device_control_1_X10_15_8;
	PiQ_Sect_1[39].value=default_panel_parameter.snInfo.External_device_control_1_X10_7_0;
	PiQ_Sect_1[40].value=default_panel_parameter.snInfo.External_device_control_1_X11_31_24;
	PiQ_Sect_1[41].value=default_panel_parameter.snInfo.External_device_control_1_X11_23_16;
	PiQ_Sect_1[42].value=default_panel_parameter.snInfo.External_device_control_1_X11_15_8;
	PiQ_Sect_1[43].value=default_panel_parameter.snInfo.External_device_control_1_X11_7_0;
	PiQ_Sect_1[44].value=default_panel_parameter.snInfo.External_device_control_1_X12_31_24;
	PiQ_Sect_1[45].value=default_panel_parameter.snInfo.External_device_control_1_X12_23_16;
	PiQ_Sect_1[46].value=default_panel_parameter.snInfo.External_device_control_1_X12_15_8;
	PiQ_Sect_1[47].value=default_panel_parameter.snInfo.External_device_control_1_X12_7_0;
	PiQ_Sect_1[48].value=default_panel_parameter.snInfo.External_device_control_1_X13_31_24;
	PiQ_Sect_1[49].value=default_panel_parameter.snInfo.External_device_control_1_X13_23_16;
	PiQ_Sect_1[50].value=default_panel_parameter.snInfo.External_device_control_1_X13_15_8;
	PiQ_Sect_1[51].value=default_panel_parameter.snInfo.External_device_control_1_X13_7_0;
	PiQ_Sect_1[52].value=default_panel_parameter.snInfo.External_device_control_1_X14_31_24;
	PiQ_Sect_1[53].value=default_panel_parameter.snInfo.External_device_control_1_X14_23_16;
	PiQ_Sect_1[54].value=default_panel_parameter.snInfo.External_device_control_1_X14_15_8;
	PiQ_Sect_1[55].value=default_panel_parameter.snInfo.External_device_control_1_X14_7_0;
	PiQ_Sect_1[56].value=default_panel_parameter.snInfo.External_device_control_1_X15_31_24;
	PiQ_Sect_1[57].value=default_panel_parameter.snInfo.External_device_control_1_X15_23_16;
	PiQ_Sect_1[58].value=default_panel_parameter.snInfo.External_device_control_1_X15_15_8;
	PiQ_Sect_1[59].value=default_panel_parameter.snInfo.External_device_control_1_X15_7_0;
	PiQ_Sect_1[60].value=default_panel_parameter.snInfo.External_device_control_1_X16_31_24;
	PiQ_Sect_1[61].value=default_panel_parameter.snInfo.External_device_control_1_X16_23_16;
	PiQ_Sect_1[62].value=default_panel_parameter.snInfo.External_device_control_1_X16_15_8;
	PiQ_Sect_1[63].value=default_panel_parameter.snInfo.External_device_control_1_X16_7_0;
	PiQ_Sect_1[64].value=default_panel_parameter.snInfo.External_device_control_1_X17_31_24;
	PiQ_Sect_1[65].value=default_panel_parameter.snInfo.External_device_control_1_X17_23_16;
	PiQ_Sect_1[66].value=default_panel_parameter.snInfo.External_device_control_1_X17_15_8;
	PiQ_Sect_1[67].value=default_panel_parameter.snInfo.External_device_control_1_X17_7_0;


	PiQ_Sect_2[0].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[0];
	PiQ_Sect_2[1].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[1];
	PiQ_Sect_2[2].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[2];
	PiQ_Sect_2[3].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[3];
	PiQ_Sect_2[4].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[4];
	PiQ_Sect_2[5].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[5];
	PiQ_Sect_2[6].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[6];
	PiQ_Sect_2[7].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[7];
	PiQ_Sect_2[8].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[8];
	PiQ_Sect_2[9].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[9];
	PiQ_Sect_2[10].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[10];
	PiQ_Sect_2[11].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[11];
	PiQ_Sect_2[12].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[12];
	PiQ_Sect_2[13].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[13];
	PiQ_Sect_2[14].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[14];
	PiQ_Sect_2[15].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[15];
	PiQ_Sect_2[16].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[16];
	PiQ_Sect_2[17].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[17];
	PiQ_Sect_2[18].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[18];
	PiQ_Sect_2[19].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[19];
	PiQ_Sect_2[20].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[20];
	PiQ_Sect_2[21].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[21];
	PiQ_Sect_2[22].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[22];
	PiQ_Sect_2[23].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[23];
	PiQ_Sect_2[24].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[24];
	PiQ_Sect_2[25].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[25];
	PiQ_Sect_2[26].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[26];
	PiQ_Sect_2[27].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[27];
	PiQ_Sect_2[28].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[28];
	PiQ_Sect_2[29].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[29];
	PiQ_Sect_2[30].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[30];
	PiQ_Sect_2[31].value=default_panel_parameter.snInfo.VTOD_De_emphasis_set[31];
	PiQ_Sect_2[32].value=default_panel_parameter.snInfo.Common_control[0];
	PiQ_Sect_2[33].value=default_panel_parameter.snInfo.Common_control[1];
	PiQ_Sect_2[34].value=default_panel_parameter.snInfo.Common_control[2];
	PiQ_Sect_2[35].value=default_panel_parameter.snInfo.Common_control[3];
	PiQ_Sect_2[36].value=default_panel_parameter.snInfo.Common_control[4];
	PiQ_Sect_2[37].value=default_panel_parameter.snInfo.Common_control[5];
	PiQ_Sect_2[38].value=default_panel_parameter.snInfo.Common_control[6];
	PiQ_Sect_2[39].value=default_panel_parameter.snInfo.Common_control[7];
	PiQ_Sect_2[40].value=default_panel_parameter.snInfo.Common_control[8];
	PiQ_Sect_2[41].value=default_panel_parameter.snInfo.Common_control[9];
	PiQ_Sect_2[42].value=default_panel_parameter.snInfo.Common_control[10];
	PiQ_Sect_2[43].value=default_panel_parameter.snInfo.Common_control[11];
	PiQ_Sect_2[44].value=default_panel_parameter.snInfo.Common_control[12];
	PiQ_Sect_2[45].value=default_panel_parameter.snInfo.Common_control[13];
	PiQ_Sect_2[46].value=default_panel_parameter.snInfo.Common_control[14];
	PiQ_Sect_2[47].value=default_panel_parameter.snInfo.Common_control[15];
	PiQ_Sect_2[48].value=default_panel_parameter.snInfo.Common_control[16];
	PiQ_Sect_2[49].value=default_panel_parameter.snInfo.Common_control[17];
	PiQ_Sect_2[50].value=default_panel_parameter.snInfo.Common_control[18];
	PiQ_Sect_2[51].value=default_panel_parameter.snInfo.Common_control[19];
	PiQ_Sect_2[52].value=default_panel_parameter.snInfo.Common_control[20];
	PiQ_Sect_2[53].value=default_panel_parameter.snInfo.Common_control[21];
	PiQ_Sect_2[54].value=default_panel_parameter.snInfo.Common_control[22];
	PiQ_Sect_2[55].value=default_panel_parameter.snInfo.Common_control[23];
	PiQ_Sect_2[56].value=default_panel_parameter.snInfo.Common_control[24];
	PiQ_Sect_2[57].value=default_panel_parameter.snInfo.Common_control[25];
	PiQ_Sect_2[58].value=default_panel_parameter.snInfo.Common_control[26];
	PiQ_Sect_2[59].value=default_panel_parameter.snInfo.Common_control[27];
	PiQ_Sect_2[60].value=default_panel_parameter.snInfo.Common_control[28];
	PiQ_Sect_2[61].value=default_panel_parameter.snInfo.Common_control[29];
	PiQ_Sect_2[62].value=default_panel_parameter.snInfo.Common_control[30];
	PiQ_Sect_2[63].value=default_panel_parameter.snInfo.Common_control[31];
	PiQ_Sect_2[64].value=default_panel_parameter.snInfo.Common_control[32];
	PiQ_Sect_2[65].value=default_panel_parameter.snInfo.Common_control[33];
	PiQ_Sect_2[66].value=default_panel_parameter.snInfo.Common_control[34];
	PiQ_Sect_2[67].value=default_panel_parameter.snInfo.Common_control[35];
	PiQ_Sect_2[68].value=default_panel_parameter.snInfo.Common_control[36];
	PiQ_Sect_2[69].value=default_panel_parameter.snInfo.Common_control[37];
	PiQ_Sect_2[70].value=default_panel_parameter.snInfo.Common_control[38];
	PiQ_Sect_2[71].value=default_panel_parameter.snInfo.Common_control[39];
#endif

	OutputTiming[0].value =	default_panel_parameter.snInfo.PixelClk60Hz;
	OutputTiming[1].value =	default_panel_parameter.snInfo.HTotal60Hz;
	OutputTiming[2].value =	default_panel_parameter.snInfo.VTotal60Hz;
	OutputTiming[3].value =	default_panel_parameter.snInfo.HSyncWidth_60Hz;
	OutputTiming[4].value =	default_panel_parameter.snInfo.VSyncWidth_60Hz;
	OutputTiming[5].value =	default_panel_parameter.snInfo.HFrontPorch_60Hz;
	OutputTiming[6].value =	default_panel_parameter.snInfo.HbackPorch_60Hz;
	OutputTiming[7].value =	default_panel_parameter.snInfo.VFrontPorch_60Hz;
	OutputTiming[8].value =	default_panel_parameter.snInfo.VbackPorch_60Hz;
	OutputTiming[9].value =	default_panel_parameter.snInfo.PixelClk50Hz;
	OutputTiming[10].value =	default_panel_parameter.snInfo.HTotal50Hz;
	OutputTiming[11].value =	default_panel_parameter.snInfo.VTotal50Hz;
	OutputTiming[12].value =	default_panel_parameter.snInfo.HSyncWidth_50Hz;
	OutputTiming[13].value =	default_panel_parameter.snInfo.VSyncWidth_50Hz;
	OutputTiming[14].value =	default_panel_parameter.snInfo.HFrontPorch_50Hz;
	OutputTiming[15].value =	default_panel_parameter.snInfo.HbackPorch_50Hz;
	OutputTiming[16].value =	default_panel_parameter.snInfo.VFrontPorch_50Hz;
	OutputTiming[17].value =	default_panel_parameter.snInfo.VbackPorch_50Hz;
	OutputTiming[18].value =	default_panel_parameter.snInfo.PixelClk48Hz;
	OutputTiming[19].value =	default_panel_parameter.snInfo.HTotal48Hz;
	OutputTiming[20].value =	default_panel_parameter.snInfo.VTotal48Hz;
	OutputTiming[21].value =	default_panel_parameter.snInfo.HSyncWidth_48Hz;
	OutputTiming[22].value =	default_panel_parameter.snInfo.VSyncWidth_48Hz;
	OutputTiming[23].value =	default_panel_parameter.snInfo.HFrontPorch_48Hz;
	OutputTiming[24].value =	default_panel_parameter.snInfo.HbackPorch_48Hz;
	OutputTiming[25].value =	default_panel_parameter.snInfo.VFrontPorch_48Hz;
	OutputTiming[26].value =	default_panel_parameter.snInfo.VbackPorch_48Hz;

	int i=0;
	char value2_s[9]={0};
	UINT32 val;
	for(i=0;i<SIZEOF_PN_COMMON;i++){

		val = PnCommon[i].value;
		sprintf(value2_s, "%d",val);
		CusApi_env_writeEnvFile(2,PnCommon[i].string,value2_s);
		mdelay(3);
	}
#if defined(CONFIG_CUSTOM_Vulcan_PowerSequence)
	for(i=0;i<SIZEOF_PIQ_SECT_1;i++){

		val = PiQ_Sect_1[i].value;
		sprintf(value2_s, "%d",val);
		CusApi_env_writeEnvFile(3,PiQ_Sect_1[i].string,value2_s);
		mdelay(3);
	}

	for(i=0;i<SIZEOF_PiQ_SECT_2;i++){

		val = PiQ_Sect_2[i].value;
		sprintf(value2_s, "%d",val);
		CusApi_env_writeEnvFile(4,PiQ_Sect_2[i].string,value2_s);
		mdelay(3);
	}
#endif
	for(i=0;i<SIZEOF_OUTPUT_TIMING;i++){

		val = OutputTiming[i].value;
		sprintf(value2_s, "%d",val);
		CusApi_env_writeEnvFile(5,OutputTiming[i].string,value2_s);
		mdelay(3);
	}

	//save to rtk panel bin
	env_panel_change_panel_bin_in_factory(PANEL_BIN_FILENAME_IN_FACTORY);

	factory_save();

	printf("updatePnCommon end\n");

}


void updatePanelType(UINT8 format)
{
#ifndef CONFIG_RTKPCB
	int pin_panel_less = IO_Get(PIN_PANEL_LESS);
#ifdef CONFIG_TCON_LESS
	int pin_tconless_sel = IO_Get(PIN_TCONLESS_SEL);
	int pin_fbffc_top = IO_Get(PIN_FBFFC_TOP);
	int pin_fbffc_bottom = IO_Get(PIN_FBFFC_BOTTOM);
#endif
#else
	int pin_panel_less = 0;
#ifdef CONFIG_TCON_LESS
	int pin_tconless_sel = 0;
	int pin_fbffc_top = 0;
	int pin_fbffc_bottom = 0;
#endif
#endif

	printf("updatePanelType =%d:%d\n",default_panel_parameter.iCONFIG_PANEL_TYPE,format);
	switch(format){
		case 0:
#ifdef CONFIG_TCONLESS_BOE_CEDS
			default_panel_parameter.iCONFIG_PANEL_TYPE = P_CEDS;
#else
			default_panel_parameter.iCONFIG_PANEL_TYPE = P_VBY1_4K2K;
#endif
			boot_panel_type = P_VBY1_4K2K;
			break;
		case 1:
			default_panel_parameter.iCONFIG_PANEL_TYPE = P_EPI_TYPE;
			break;
		case 3:
			default_panel_parameter.iCONFIG_PANEL_TYPE = P_CEDS;
			break;
		case 4:
			default_panel_parameter.iCONFIG_PANEL_TYPE = P_CHPI;
			break;
		case 5:
			default_panel_parameter.iCONFIG_PANEL_TYPE = P_CHPI;// ?CSOT
			break;
		case 6:
			default_panel_parameter.iCONFIG_PANEL_TYPE = P_ISP;
			break;
		case 7:
			default_panel_parameter.iCONFIG_PANEL_TYPE = P_LVDS_2K1K;
			boot_panel_type = P_LVDS_2K1K;
			break;
	}
#ifdef CONFIG_TCON_LESS
	if(pin_panel_less==1 && pin_tconless_sel==1)
		default_panel_parameter.iCONFIG_PANEL_TYPE = P_VBY1_TO_HDMI;
	else if(pin_panel_less==0 && ((pin_fbffc_top==0 && pin_fbffc_bottom==0)||(pin_fbffc_top==1 && pin_fbffc_bottom==1)))
		default_panel_parameter.iCONFIG_PANEL_TYPE = P_VBY1_TO_HDMI;
#else
	if(pin_panel_less==1){
		if( strcmp(default_panel_parameter.snInfo.PanelIDString, "I_PNLLESS_2K") == 0 )
			default_panel_parameter.iCONFIG_PANEL_TYPE = P_LVDS_TO_HDMI;
		else
			default_panel_parameter.iCONFIG_PANEL_TYPE = P_VBY1_TO_HDMI;
	}
#endif

	if(getenv("PANEL_TYPE") != NULL && strcmp(getenv("PANEL_TYPE"), "P_VBY1_TO_LVDS") == 0 && (boot_panel_type==P_VBY1_4K2K))
		default_panel_parameter.iCONFIG_PANEL_TYPE = P_VBY1_TO_LVDS;
	else if(getenv("PANEL_TYPE") != NULL && strcmp(getenv("PANEL_TYPE"), "P_VBY1_TO_HDMI_MEMC_FREERUN") == 0 && (boot_panel_type==P_VBY1_4K2K))
		default_panel_parameter.iCONFIG_PANEL_TYPE = P_VBY1_TO_HDMI_MEMC_FREERUN;
}

void env_panel_sync(void){

	printf("env_panel_sync start\n");
	#if 1
	//return;
	//Use Sn param
	if(default_panel_parameter.snInfo.Panel_Number==0)
		return;

	//printf("Panel_Number =%d\n",default_panel_parameter.snInfo.Panel_Number);
	default_panel_parameter.iCONFIG_DISPLAY_CLOCK_MAX = default_panel_parameter.snInfo.VClkMax;

	default_panel_parameter.iCONFIG_DISPLAY_CLOCK_MIN = default_panel_parameter.snInfo.VClkMin;

	default_panel_parameter.iCONFIG_DISPLAY_CLOCK_TYPICAL = default_panel_parameter.snInfo.PixelClk60Hz;

	default_panel_parameter.iCONFIG_BACKLIGHT_PWM_FREQ=default_panel_parameter.snInfo.BL_PWM_FREQ;

	default_panel_parameter.iCONFIG_DISP_HORIZONTAL_TOTAL =default_panel_parameter.snInfo.HTotal60Hz;

	default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL   =default_panel_parameter.snInfo.VTotal60Hz;

	//printf("default_panel_parameter.iCONFIG_DISP_HSYNC_WIDTH =%d:%d \n",default_panel_parameter.iCONFIG_DISP_HSYNC_WIDTH,default_panel_parameter.snInfo.HSyncWidth_60Hz);
	//printf("default_panel_parameter.iCONFIG_DISP_VSYNC_LENGTH =%d:%d \n",default_panel_parameter.iCONFIG_DISP_HSYNC_WIDTH,default_panel_parameter.snInfo.VSyncWidth_60Hz );
	#if 1//roll-back
	default_panel_parameter.iCONFIG_DISP_HSYNC_WIDTH =default_panel_parameter.snInfo.HSyncWidth_60Hz-1;
	#else
	default_panel_parameter.iCONFIG_DISP_HSYNC_WIDTH =default_panel_parameter.snInfo.HSyncWidth_60Hz;
	#endif
	default_panel_parameter.iCONFIG_DISP_VSYNC_LENGTH =default_panel_parameter.snInfo.VSyncWidth_60Hz-1;//setting =realvaue -1

	//printf("default_panel_parameter.iCONFIG_DISP_DEN_STA_HPOS =%d:%d\n",default_panel_parameter.iCONFIG_DISP_DEN_STA_HPOS,default_panel_parameter.iCONFIG_DISP_DEN_END_HPOS);
	//printf("default_panel_parameter.snInfo.HFrontPorch_60Hz =%d:%d\n",default_panel_parameter.snInfo.HFrontPorch_60Hz,default_panel_parameter.snInfo.HbackPorch_60Hz);

	//printf("default_panel_parameter.iCONFIG_DISP_DEN_STA_VPOS =%d:%d\n",default_panel_parameter.iCONFIG_DISP_DEN_STA_VPOS,default_panel_parameter.iCONFIG_DISP_DEN_END_VPOS);
	//printf("default_panel_parameter.snInfo.VFrontPorch_60Hz =%d:%d\n",default_panel_parameter.snInfo.VFrontPorch_60Hz,default_panel_parameter.snInfo.VbackPorch_60Hz);
	printf("Panel bin:\n");
	printf("Video_I_F_format =0x%x(%d)\n",default_panel_parameter.snInfo.Video_I_F_format,default_panel_parameter.snInfo.Video_I_F_format);
	printf("Htotal =0x%x(%d)\n",default_panel_parameter.snInfo.HTotal60Hz,default_panel_parameter.snInfo.HTotal60Hz);
	printf("Hactive =0x%x(%d)\n",default_panel_parameter.snInfo.Panel_Width,default_panel_parameter.snInfo.Panel_Width);
	printf("HBackPorch =0x%x(%d)\n",default_panel_parameter.snInfo.HbackPorch_60Hz,default_panel_parameter.snInfo.HbackPorch_60Hz);
	printf("HFrontProch =0x%x(%d)\n",default_panel_parameter.snInfo.HFrontPorch_60Hz,default_panel_parameter.snInfo.HFrontPorch_60Hz);
	printf("Hpulse =0x%x(%d)\n",default_panel_parameter.snInfo.HSyncWidth_60Hz,default_panel_parameter.snInfo.HSyncWidth_60Hz);
	printf("Vtotal =0x%x(%d)\n",default_panel_parameter.snInfo.VTotal60Hz,default_panel_parameter.snInfo.VTotal60Hz);
	printf("Vactive =0x%x(%d)\n",default_panel_parameter.snInfo.Panel_Height,default_panel_parameter.snInfo.Panel_Height);
	printf("VBackPorch =0x%x(%d)\n",default_panel_parameter.snInfo.VbackPorch_60Hz,default_panel_parameter.snInfo.VbackPorch_60Hz);
	printf("VFrontProch =0x%x(%d)\n",default_panel_parameter.snInfo.VFrontPorch_60Hz,default_panel_parameter.snInfo.VFrontPorch_60Hz);
	printf("Vpulse =0x%x(%d)\n",default_panel_parameter.snInfo.VSyncWidth_60Hz,default_panel_parameter.snInfo.VSyncWidth_60Hz);

	printf("HSyncWidth_60Hz =%d ,VSyncWidth_60Hz =%d\n",default_panel_parameter.snInfo.HSyncWidth_60Hz,default_panel_parameter.snInfo.VSyncWidth_60Hz);
	printf("%d %d %d %d\n",default_panel_parameter.iCONFIG_DISP_DEN_STA_HPOS,
		                    default_panel_parameter.iCONFIG_DISP_DEN_END_HPOS,
		                    default_panel_parameter.iCONFIG_DISP_DEN_STA_VPOS,
		                    default_panel_parameter.iCONFIG_DISP_DEN_END_VPOS
		                    );
	printf("Mura_CUC_data_transfer =0x%x(%d)\n",default_panel_parameter.snInfo.Mura_CUC_data_transfer,default_panel_parameter.snInfo.Mura_CUC_data_transfer);
	Mura_CUC_data_transfer = default_panel_parameter.snInfo.Mura_CUC_data_transfer;

	#if 1//roll-back
	default_panel_parameter.iCONFIG_DISP_DEN_STA_HPOS = default_panel_parameter.snInfo.HbackPorch_60Hz+default_panel_parameter.snInfo.HSyncWidth_60Hz;
	default_panel_parameter.iCONFIG_DISP_DEN_END_HPOS = default_panel_parameter.snInfo.HbackPorch_60Hz+default_panel_parameter.snInfo.HSyncWidth_60Hz+default_panel_parameter.snInfo.Panel_Width;
	default_panel_parameter.iCONFIG_DISP_DEN_STA_VPOS = default_panel_parameter.snInfo.VbackPorch_60Hz+default_panel_parameter.snInfo.VSyncWidth_60Hz;
	default_panel_parameter.iCONFIG_DISP_DEN_END_VPOS = default_panel_parameter.snInfo.VbackPorch_60Hz+default_panel_parameter.snInfo.VSyncWidth_60Hz+default_panel_parameter.snInfo.Panel_Height;
	#endif

	printf("%d %d %d %d\n",default_panel_parameter.iCONFIG_DISP_DEN_STA_HPOS,
		                    default_panel_parameter.iCONFIG_DISP_DEN_END_HPOS,
		                    default_panel_parameter.iCONFIG_DISP_DEN_STA_VPOS,
		                    default_panel_parameter.iCONFIG_DISP_DEN_END_VPOS
		                    );

	default_panel_parameter.iCONFIG_DISP_ACT_STA_HPOS =0;
	default_panel_parameter.iCONFIG_DISP_ACT_END_HPOS =default_panel_parameter.snInfo.Panel_Width;
	default_panel_parameter.iCONFIG_DISP_ACT_STA_VPOS =0;
	default_panel_parameter.iCONFIG_DISP_ACT_END_VPOS =default_panel_parameter.snInfo.Panel_Height;

	//printf("default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL_60Hz_MAX =%d:%d\n",default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL_60Hz_MAX,default_panel_parameter.snInfo.VTotalMax);
	//printf("default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL_60Hz_MIN =%d:%d\n",default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL_60Hz_MIN,default_panel_parameter.snInfo.VTotalMin);

	default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL_60Hz_MAX = default_panel_parameter.snInfo.VTotalMax;
	default_panel_parameter.iCONFIG_DISP_VERTICAL_TOTAL_60Hz_MIN = default_panel_parameter.snInfo.VTotalMin;

	default_panel_parameter.iCONFIG_DISPLAY_VERTICAL_SYNC_NORMAL = default_panel_parameter.snInfo.VSyncPolarity;
	default_panel_parameter.iCONFIG_DISPLAY_HORIZONTAL_SYNC_NORMAL = default_panel_parameter.snInfo.HSyncPolarity;

	default_panel_parameter.iPixelClk60Hz   =default_panel_parameter.snInfo.PixelClk60Hz;
	default_panel_parameter.iHTotal60Hz   =default_panel_parameter.snInfo.HTotal60Hz;
	default_panel_parameter.iVTotal60Hz   =default_panel_parameter.snInfo.VTotal60Hz;
	default_panel_parameter.iHSyncWidth_60Hz   =default_panel_parameter.snInfo.HSyncWidth_60Hz;
	default_panel_parameter.iVSyncWidth_60Hz   =default_panel_parameter.snInfo.VSyncWidth_60Hz;
	default_panel_parameter.iHFrontPorch_60Hz   =default_panel_parameter.snInfo.HFrontPorch_60Hz;
	default_panel_parameter.iHbackPorch_60Hz   =default_panel_parameter.snInfo.HbackPorch_60Hz;
	default_panel_parameter.iVFrontPorch_60Hz   =default_panel_parameter.snInfo.VFrontPorch_60Hz;
	default_panel_parameter.iVbackPorch_60Hz   =default_panel_parameter.snInfo.VbackPorch_60Hz;

	default_panel_parameter.iPixelClk50Hz   =default_panel_parameter.snInfo.PixelClk50Hz;
	default_panel_parameter.iHTotal50Hz   =default_panel_parameter.snInfo.HTotal50Hz;
	default_panel_parameter.iVTotal50Hz   =default_panel_parameter.snInfo.VTotal50Hz;
	default_panel_parameter.iHSyncWidth_50Hz   =default_panel_parameter.snInfo.HSyncWidth_50Hz;
	default_panel_parameter.iVSyncWidth_50Hz   =default_panel_parameter.snInfo.VSyncWidth_50Hz;
	default_panel_parameter.iHFrontPorch_50Hz   =default_panel_parameter.snInfo.HFrontPorch_50Hz;
	default_panel_parameter.iHbackPorch_50Hz   =default_panel_parameter.snInfo.HbackPorch_50Hz;
	default_panel_parameter.iVFrontPorch_50Hz   =default_panel_parameter.snInfo.VFrontPorch_50Hz;
	default_panel_parameter.iVbackPorch_50Hz   =default_panel_parameter.snInfo.VbackPorch_50Hz;

	default_panel_parameter.iPixelClk48Hz   =default_panel_parameter.snInfo.PixelClk48Hz;
	default_panel_parameter.iHTotal48Hz   =default_panel_parameter.snInfo.HTotal48Hz;
	default_panel_parameter.iVTotal48Hz   =default_panel_parameter.snInfo.VTotal48Hz;
	default_panel_parameter.iHSyncWidth_48Hz   =default_panel_parameter.snInfo.HSyncWidth_48Hz;
	default_panel_parameter.iVSyncWidth_48Hz   =default_panel_parameter.snInfo.VSyncWidth_48Hz;
	default_panel_parameter.iHFrontPorch_48Hz   =default_panel_parameter.snInfo.HFrontPorch_48Hz;
	default_panel_parameter.iHbackPorch_48Hz   =default_panel_parameter.snInfo.HbackPorch_48Hz;
	default_panel_parameter.iVFrontPorch_48Hz   =default_panel_parameter.snInfo.VFrontPorch_48Hz;
	default_panel_parameter.iVbackPorch_48Hz   =default_panel_parameter.snInfo.VbackPorch_48Hz;

#ifdef CONFIG_TCON_LESS
	default_panel_parameter.iTcon_Index   =default_panel_parameter.snInfo.Tcon_Index;
#endif

	//Misc
	default_panel_parameter.iCONFIG_CUSTOMER_PANEL_ID =default_panel_parameter.snInfo.PanelIndex;
	updatePanelType(default_panel_parameter.snInfo.Video_I_F_format);

	updatePnCommon();


	if(boot_panel_type==P_LVDS_2K1K){
		printf("\033[1;33m env_panel_sync(dclk & dh_total: double)\033[m\n");
		default_panel_parameter.iCONFIG_DISPLAY_CLOCK_TYPICAL = default_panel_parameter.snInfo.PixelClk60Hz*2;
		default_panel_parameter.iCONFIG_DISP_HORIZONTAL_TOTAL = default_panel_parameter.snInfo.HTotal60Hz*2;
		default_panel_parameter.iCONFIG_DISP_HSYNC_WIDTH   =default_panel_parameter.snInfo.HSyncWidth_60Hz*2;
		default_panel_parameter.iCONFIG_DISP_DEN_STA_HPOS = default_panel_parameter.snInfo.HbackPorch_60Hz*2+default_panel_parameter.snInfo.HSyncWidth_60Hz*2;
		default_panel_parameter.iCONFIG_DISP_DEN_END_HPOS = default_panel_parameter.snInfo.HbackPorch_60Hz*2+default_panel_parameter.snInfo.HSyncWidth_60Hz*2+default_panel_parameter.snInfo.Panel_Width;

		default_panel_parameter.iPixelClk60Hz= default_panel_parameter.snInfo.PixelClk60Hz*2;
		default_panel_parameter.iHTotal60Hz =default_panel_parameter.snInfo.HTotal60Hz*2;
		default_panel_parameter.iHSyncWidth_60Hz   =default_panel_parameter.snInfo.HSyncWidth_60Hz*2;
		default_panel_parameter.iHFrontPorch_60Hz   =default_panel_parameter.snInfo.HFrontPorch_60Hz*2;
		default_panel_parameter.iHbackPorch_60Hz   =default_panel_parameter.snInfo.HbackPorch_60Hz*2;

		default_panel_parameter.iPixelClk50Hz= default_panel_parameter.snInfo.PixelClk50Hz*2;
		default_panel_parameter.iHTotal50Hz =default_panel_parameter.snInfo.HTotal50Hz*2;
		default_panel_parameter.iHSyncWidth_50Hz   =default_panel_parameter.snInfo.HSyncWidth_50Hz*2;
		default_panel_parameter.iHFrontPorch_50Hz   =default_panel_parameter.snInfo.HFrontPorch_50Hz*2;
		default_panel_parameter.iHbackPorch_50Hz   =default_panel_parameter.snInfo.HbackPorch_50Hz*2;

		default_panel_parameter.iPixelClk48Hz= default_panel_parameter.snInfo.PixelClk48Hz*2;
		default_panel_parameter.iHTotal48Hz =default_panel_parameter.snInfo.HTotal48Hz*2;
		default_panel_parameter.iHSyncWidth_48Hz   =default_panel_parameter.snInfo.HSyncWidth_48Hz*2;
		default_panel_parameter.iHFrontPorch_48Hz   =default_panel_parameter.snInfo.HFrontPorch_48Hz*2;
		default_panel_parameter.iHbackPorch_48Hz   =default_panel_parameter.snInfo.HbackPorch_48Hz*2;
	}
	#endif
	printf("env_panel_sync end\n");
}

void env_print_default_setting(void){
#if 0
	printf("--env_print_default_setting start--\n");
	printf("Version_String %s\n",default_panel_parameter.snInfo.Version_String);
	printf("Panel_Number =%d 0x%x\n",default_panel_parameter.snInfo.Panel_Number,default_panel_parameter.snInfo.Panel_Number);
	printf("Reserved_00 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_00,default_panel_parameter.snInfo.Reserved_00);
	printf("Reserved_01 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_01,default_panel_parameter.snInfo.Reserved_01);
	printf("Reserved_02 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_02,default_panel_parameter.snInfo.Reserved_02);
	printf("Reserved_03 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_03,default_panel_parameter.snInfo.Reserved_03);
	printf("Reserved_04 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_04,default_panel_parameter.snInfo.Reserved_04);
	printf("Reserved_05 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_05,default_panel_parameter.snInfo.Reserved_05);
	printf("Reserved_06 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_06,default_panel_parameter.snInfo.Reserved_06);
	printf("Reserved_07 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_07,default_panel_parameter.snInfo.Reserved_07);
	printf("Reserved_08 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_08,default_panel_parameter.snInfo.Reserved_08);
	printf("Reserved_09 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_09,default_panel_parameter.snInfo.Reserved_09);
	printf("Reserved_10 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_10,default_panel_parameter.snInfo.Reserved_10);
	printf("Reserved_11 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_11,default_panel_parameter.snInfo.Reserved_11);
	printf("PanelIndex =%d 0x%x\n",default_panel_parameter.snInfo.PanelIndex,default_panel_parameter.snInfo.PanelIndex);
	printf("PanelIDString %s\n",default_panel_parameter.snInfo.PanelIDString);


	printf("InchSize =%d 0x%x\n",default_panel_parameter.snInfo.InchSize,default_panel_parameter.snInfo.InchSize);
	printf("Chassis_Index =%d 0x%x\n",default_panel_parameter.snInfo.Chassis_Index,default_panel_parameter.snInfo.Chassis_Index);
	printf("Panel_Width =%d 0x%x\n",default_panel_parameter.snInfo.Panel_Width,default_panel_parameter.snInfo.Panel_Width);
	printf("Panel_Height =%d 0x%x\n",default_panel_parameter.snInfo.Panel_Height,default_panel_parameter.snInfo.Panel_Height);
	printf("Reserved_12 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_12,default_panel_parameter.snInfo.Reserved_12);
	printf("Reserved_13 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_13,default_panel_parameter.snInfo.Reserved_13);
	printf("Reserved_14 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_14,default_panel_parameter.snInfo.Reserved_14);
	printf("Reserved_15 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_15,default_panel_parameter.snInfo.Reserved_15);
	printf("PixelClk60Hz =%d 0x%x\n",default_panel_parameter.snInfo.PixelClk60Hz,default_panel_parameter.snInfo.PixelClk60Hz);
	printf("Reserved_16 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_16,default_panel_parameter.snInfo.Reserved_16);
	printf("Reserved_17 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_17,default_panel_parameter.snInfo.Reserved_17);
	printf("Reserved_18 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_18,default_panel_parameter.snInfo.Reserved_18);
	printf("Reserved_19 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_19,default_panel_parameter.snInfo.Reserved_19);
	printf("HTotalMax =%d 0x%x\n",default_panel_parameter.snInfo.HTotalMax,default_panel_parameter.snInfo.HTotalMax);
	printf("HTotal60Hz =%d 0x%x\n",default_panel_parameter.snInfo.HTotal60Hz,default_panel_parameter.snInfo.HTotal60Hz);
	printf("HTotalMin =%d 0x%x\n",default_panel_parameter.snInfo.HTotalMin,default_panel_parameter.snInfo.HTotalMin);
	printf("VTotalMax =%d 0x%x\n",default_panel_parameter.snInfo.VTotalMax,default_panel_parameter.snInfo.VTotalMax);
	printf("VTotal60Hz =%d 0x%x\n",default_panel_parameter.snInfo.VTotal60Hz,default_panel_parameter.snInfo.VTotal60Hz);
	printf("VTotalMin =%d 0x%x\n",default_panel_parameter.snInfo.VTotalMin,default_panel_parameter.snInfo.VTotalMin);
	printf("VClkMax =%d 0x%x\n",default_panel_parameter.snInfo.VClkMax,default_panel_parameter.snInfo.VClkMax);
	printf("VClkMin =%d 0x%x\n",default_panel_parameter.snInfo.VClkMin,default_panel_parameter.snInfo.VClkMin);
	printf("HSyncWidth_60Hz =%d 0x%x\n",default_panel_parameter.snInfo.HSyncWidth_60Hz,default_panel_parameter.snInfo.HSyncWidth_60Hz);
	printf("VSyncWidth_60Hz =%d 0x%x\n",default_panel_parameter.snInfo.VSyncWidth_60Hz,default_panel_parameter.snInfo.VSyncWidth_60Hz);
	printf("HFrontPorch_60Hz =%d 0x%x\n",default_panel_parameter.snInfo.HFrontPorch_60Hz,default_panel_parameter.snInfo.HFrontPorch_60Hz);
	printf("HbackPorch_60Hz =%d 0x%x\n",default_panel_parameter.snInfo.HbackPorch_60Hz,default_panel_parameter.snInfo.HbackPorch_60Hz);
	printf("VFrontPorch_60Hz =%d 0x%x\n",default_panel_parameter.snInfo.VFrontPorch_60Hz,default_panel_parameter.snInfo.VFrontPorch_60Hz);
	printf("VbackPorch_60Hz =%d 0x%x\n",default_panel_parameter.snInfo.VbackPorch_60Hz,default_panel_parameter.snInfo.VbackPorch_60Hz);
	printf("HSyncPolarity =%d 0x%x\n",default_panel_parameter.snInfo.HSyncPolarity,default_panel_parameter.snInfo.HSyncPolarity);
	printf("VSyncPolarity =%d 0x%x\n",default_panel_parameter.snInfo.VSyncPolarity,default_panel_parameter.snInfo.VSyncPolarity);
	printf("Reserved_20 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_20,default_panel_parameter.snInfo.Reserved_20);
	printf("Reserved_21 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_21,default_panel_parameter.snInfo.Reserved_21);
	printf("Reserved_22 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_22,default_panel_parameter.snInfo.Reserved_22);
	printf("Reserved_23 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_23,default_panel_parameter.snInfo.Reserved_23);
	printf("Reserved_24 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_24,default_panel_parameter.snInfo.Reserved_24);
	printf("Reserved_25 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_25,default_panel_parameter.snInfo.Reserved_25);
	printf("Reserved_26 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_26,default_panel_parameter.snInfo.Reserved_26);
	printf("VCOM_Type =%d 0x%x\n",default_panel_parameter.snInfo.VCOM_Type,default_panel_parameter.snInfo.VCOM_Type);
	printf("Drive_strength =%d 0x%x\n",default_panel_parameter.snInfo.Drive_strength,default_panel_parameter.snInfo.Drive_strength);
	printf("Pre_emphasis_On_Off =%d 0x%x\n",default_panel_parameter.snInfo.Pre_emphasis_On_Off,default_panel_parameter.snInfo.Pre_emphasis_On_Off);
	printf("Pre_emphasis_level =%d 0x%x\n",default_panel_parameter.snInfo.Pre_emphasis_level,default_panel_parameter.snInfo.Pre_emphasis_level);
	printf("Spread_spectrum_On_Off =%d 0x%x\n",default_panel_parameter.snInfo.Spread_spectrum_On_Off,default_panel_parameter.snInfo.Spread_spectrum_On_Off);
	printf("SpreadPermillage =%d 0x%x\n",default_panel_parameter.snInfo.SpreadPermillage,default_panel_parameter.snInfo.SpreadPermillage);
	printf("SpreadFreq =%d 0x%x\n",default_panel_parameter.snInfo.SpreadFreq,default_panel_parameter.snInfo.SpreadFreq);
	printf("Video_I_F_format =%d 0x%x\n",default_panel_parameter.snInfo.Video_I_F_format,default_panel_parameter.snInfo.Video_I_F_format);
	printf("Reserved_27 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_27,default_panel_parameter.snInfo.Reserved_27);
	printf("Reserved_28 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_28,default_panel_parameter.snInfo.Reserved_28);
	printf("Reserved_29 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_29,default_panel_parameter.snInfo.Reserved_29);
	printf("Reserved_30 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_30,default_panel_parameter.snInfo.Reserved_30);
	printf("Reserved_31 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_31,default_panel_parameter.snInfo.Reserved_31);
	printf("Reserved_32 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_32,default_panel_parameter.snInfo.Reserved_32);
	printf("Reserved_33 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_33,default_panel_parameter.snInfo.Reserved_33);
	printf("Reserved_34 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_34,default_panel_parameter.snInfo.Reserved_34);
	printf("Reserved_35 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_35,default_panel_parameter.snInfo.Reserved_35);
	printf("Reserved_36 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_36,default_panel_parameter.snInfo.Reserved_36);
	printf("Reserved_37 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_37,default_panel_parameter.snInfo.Reserved_37);
	printf("Reserved_38 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_38,default_panel_parameter.snInfo.Reserved_38);
	printf("Reserved_39 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_39,default_panel_parameter.snInfo.Reserved_39);
	printf("Reserved_40 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_40,default_panel_parameter.snInfo.Reserved_40);
	printf("CURRENT_MAX =%d 0x%x\n",default_panel_parameter.snInfo.CURRENT_MAX,default_panel_parameter.snInfo.CURRENT_MAX);
	printf("CURRENT_MIN =%d 0x%x\n",default_panel_parameter.snInfo.CURRENT_MIN,default_panel_parameter.snInfo.CURRENT_MIN);
	printf("BL_PWM_MAX =%d 0x%x\n",default_panel_parameter.snInfo.BL_PWM_MAX,default_panel_parameter.snInfo.BL_PWM_MAX);
	printf("BL_PWM_MIN =%d 0x%x\n",default_panel_parameter.snInfo.BL_PWM_MIN,default_panel_parameter.snInfo.BL_PWM_MIN);
	printf("BL_CUR_FREQ =%d 0x%x\n",default_panel_parameter.snInfo.BL_CUR_FREQ,default_panel_parameter.snInfo.BL_CUR_FREQ);
	printf("BL_PWM_FREQ =%d 0x%x\n",default_panel_parameter.snInfo.BL_PWM_FREQ,default_panel_parameter.snInfo.BL_PWM_FREQ);
	printf("BL_PSO_TH3 =%d 0x%x\n",default_panel_parameter.snInfo.BL_PSO_TH3,default_panel_parameter.snInfo.BL_PSO_TH3);
	printf("BL_PSL_DIFF =%d 0x%x\n",default_panel_parameter.snInfo.BL_PSL_DIFF,default_panel_parameter.snInfo.BL_PSL_DIFF);
	printf("BL_PSH_GAIN =%d 0x%x\n",default_panel_parameter.snInfo.BL_PSH_GAIN,default_panel_parameter.snInfo.BL_PSH_GAIN);
	printf("BL_IP_FREQ =%d 0x%x\n",default_panel_parameter.snInfo.BL_IP_FREQ,default_panel_parameter.snInfo.BL_IP_FREQ);
	printf("BL_DIMM_PWM_FREQ =%d 0x%x\n",default_panel_parameter.snInfo.BL_DIMM_PWM_FREQ,default_panel_parameter.snInfo.BL_DIMM_PWM_FREQ);
	printf("BL_CUR_MIN =%d 0x%x\n",default_panel_parameter.snInfo.BL_CUR_MIN,default_panel_parameter.snInfo.BL_CUR_MIN);
	printf("BL_CUR_MAX =%d 0x%x\n",default_panel_parameter.snInfo.BL_CUR_MAX,default_panel_parameter.snInfo.BL_CUR_MAX);
	printf("BL_DIMM_PWM_MIN =%d 0x%x\n",default_panel_parameter.snInfo.BL_DIMM_PWM_MIN,default_panel_parameter.snInfo.BL_DIMM_PWM_MIN);
	printf("BL_DIMM_PWM_MAX =%d 0x%x\n",default_panel_parameter.snInfo.BL_DIMM_PWM_MAX,default_panel_parameter.snInfo.BL_DIMM_PWM_MAX);
	printf("Reserved_41 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_41,default_panel_parameter.snInfo.Reserved_41);
	printf("Reserved_42 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_42,default_panel_parameter.snInfo.Reserved_42);
	printf("Reserved_43 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_43,default_panel_parameter.snInfo.Reserved_43);
	printf("Reserved_44 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_44,default_panel_parameter.snInfo.Reserved_44);
	printf("Reserved_45 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_45,default_panel_parameter.snInfo.Reserved_45);
	printf("Reserved_46 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_46,default_panel_parameter.snInfo.Reserved_46);
	printf("Reserved_47 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_47,default_panel_parameter.snInfo.Reserved_47);
	printf("Reserved_48 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_48,default_panel_parameter.snInfo.Reserved_48);
	printf("Reserved_49 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_49,default_panel_parameter.snInfo.Reserved_49);
	printf("Reserved_50 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_50,default_panel_parameter.snInfo.Reserved_50);
	printf("Reserved_51 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_51,default_panel_parameter.snInfo.Reserved_51);
	printf("Reserved_52 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_52,default_panel_parameter.snInfo.Reserved_52);
	printf("Reserved_53 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_53,default_panel_parameter.snInfo.Reserved_53);
	printf("Reserved_54 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_54,default_panel_parameter.snInfo.Reserved_54);
	printf("Reserved_55 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_55,default_panel_parameter.snInfo.Reserved_55);
	printf("Reserved_56 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_56,default_panel_parameter.snInfo.Reserved_56);
	printf("Reserved_57 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_57,default_panel_parameter.snInfo.Reserved_57);
	printf("Reserved_58 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_58,default_panel_parameter.snInfo.Reserved_58);
	printf("Reserved_59 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_59,default_panel_parameter.snInfo.Reserved_59);
	printf("Reserved_60 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_60,default_panel_parameter.snInfo.Reserved_60);
	printf("Reserved_61 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_61,default_panel_parameter.snInfo.Reserved_61);
	printf("Reserved_62 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_62,default_panel_parameter.snInfo.Reserved_62);
	printf("Reserved_63 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_63,default_panel_parameter.snInfo.Reserved_63);
	printf("Reserved_64 =%d 0x%x\n",default_panel_parameter.snInfo.Reserved_64,default_panel_parameter.snInfo.Reserved_64);

#if defined(CONFIG_CUSTOM_Vulcan_PowerSequence)
	//printf("	External_device_control_1[112] =%s\n",default_panel_parameter.snInfo.External_device_control_1);
	printf("External_device_control_1_X1_31_24	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X1_31_24);
	printf("External_device_control_1_X1_23_16	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X1_23_16);
	printf("External_device_control_1_X1_15_8  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X1_15_8);
	printf("External_device_control_1_X1_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X1_7_0);
	printf("External_device_control_1_X2_31_24	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X2_31_24);
	printf("External_device_control_1_X2_23_16	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X2_23_16);
	printf("External_device_control_1_X2_15_8  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X2_15_8);
	printf("External_device_control_1_X2_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X2_7_0);
	printf("External_device_control_1_X3_31_24	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X3_31_24);
	printf("External_device_control_1_X3_23_16	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X3_23_16);
	printf("External_device_control_1_X3_15_8  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X3_15_8);
	printf("External_device_control_1_X3_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X3_7_0);
	printf("External_device_control_1_X4_31_24	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X4_31_24);
	printf("External_device_control_1_X4_23_16	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X4_23_16);
	printf("External_device_control_1_X4_15_8  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X4_15_8);
	printf("External_device_control_1_X4_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X4_7_0);
	printf("External_device_control_1_X5_31_24	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X5_31_24);
	printf("External_device_control_1_X5_23_16	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X5_23_16);
	printf("External_device_control_1_X5_15_8  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X5_15_8);
	printf("External_device_control_1_X5_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X5_7_0);
	printf("External_device_control_1_X6_31_24	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X6_31_24);
	printf("External_device_control_1_X6_23_16	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X6_23_16);
	printf("External_device_control_1_X6_15_8  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X6_15_8);
	printf("External_device_control_1_X6_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X6_7_0);
	printf("External_device_control_1_X7_31_24	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X7_31_24);
	printf("External_device_control_1_X7_23_16	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X7_23_16);
	printf("External_device_control_1_X7_15_8  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X7_15_8);
	printf("External_device_control_1_X7_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X7_7_0);
	printf("External_device_control_1_X8_31_24	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X8_31_24);
	printf("External_device_control_1_X8_23_16	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X8_23_16);
	printf("External_device_control_1_X8_15_8  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X8_15_8);
	printf("External_device_control_1_X8_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X8_7_0);
	printf("External_device_control_1_X9_31_24	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X9_31_24);
	printf("External_device_control_1_X9_23_16	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X9_23_16);
	printf("External_device_control_1_X9_15_8  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X9_15_8);
	printf("External_device_control_1_X9_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X9_7_0);
	printf("External_device_control_1_X10_31_24  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X10_31_24);
	printf("External_device_control_1_X10_23_16  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X10_23_16);
	printf("External_device_control_1_X10_15_8	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X10_15_8);
	printf("External_device_control_1_X10_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X10_7_0);
	printf("External_device_control_1_X11_31_24  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X11_31_24);
	printf("External_device_control_1_X11_23_16  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X11_23_16);
	printf("External_device_control_1_X11_15_8	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X11_15_8);
	printf("External_device_control_1_X11_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X11_7_0);
	printf("External_device_control_1_X12_31_24  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X12_31_24);
	printf("External_device_control_1_X12_23_16  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X12_23_16);
	printf("External_device_control_1_X12_15_8	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X12_15_8);
	printf("External_device_control_1_X12_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X12_7_0);
	printf("External_device_control_1_X13_31_24  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X13_31_24);
	printf("External_device_control_1_X13_23_16  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X13_23_16);
	printf("External_device_control_1_X13_15_8	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X13_15_8);
	printf("External_device_control_1_X13_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X13_7_0);
	printf("External_device_control_1_X14_31_24  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X14_31_24);
	printf("External_device_control_1_X14_23_16  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X14_23_16);
	printf("External_device_control_1_X14_15_8	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X14_15_8);
	printf("External_device_control_1_X14_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X14_7_0);
	printf("External_device_control_1_X15_31_24  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X15_31_24);
	printf("External_device_control_1_X15_23_16  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X15_23_16);
	printf("External_device_control_1_X15_15_8	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X15_15_8);
	printf("External_device_control_1_X15_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X15_7_0);
	printf("External_device_control_1_X16_31_24  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X16_31_24);
	printf("External_device_control_1_X16_23_16  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X16_23_16);
	printf("External_device_control_1_X16_15_8	0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X16_15_8);
	printf("External_device_control_1_X16_7_0  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X16_7_0);
	printf("External_device_control_1_X17_Reserved_00  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X17_Reserved_00);
	printf("External_device_control_1_X17_Reserved_01  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X17_Reserved_01);
	printf("External_device_control_1_X18_Reserved_00  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X18_Reserved_00);
	printf("External_device_control_1_X18_Reserved_01  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X18_Reserved_01);
	printf("External_device_control_1_X19_Reserved_00  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X19_Reserved_00);
	printf("External_device_control_1_X19_Reserved_01  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X19_Reserved_01);
	printf("External_device_control_1_X20_Reserved_00  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X20_Reserved_00);
	printf("External_device_control_1_X20_Reserved_01  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X20_Reserved_01);
	printf("External_device_control_1_X21_Reserved_00  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X21_Reserved_00);
	printf("External_device_control_1_X21_Reserved_01  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X21_Reserved_01);
	printf("External_device_control_1_X22_Reserved_00  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X22_Reserved_00);
	printf("External_device_control_1_X22_Reserved_01  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X22_Reserved_01);
	printf("External_device_control_1_X23_Reserved_00  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X23_Reserved_00);
	printf("External_device_control_1_X23_Reserved_01  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X23_Reserved_01);
	printf("External_device_control_1_X24_Reserved_00  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X24_Reserved_00);
	printf("External_device_control_1_X24_Reserved_01  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X24_Reserved_01);
	printf("External_device_control_1_X25_Reserved_00  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X25_Reserved_00);
	printf("External_device_control_1_X25_Reserved_01  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X25_Reserved_01);
	printf("External_device_control_1_X26_Reserved_00  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X26_Reserved_00);
	printf("External_device_control_1_X26_Reserved_01  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X26_Reserved_01);
	printf("External_device_control_1_X27_Reserved_00  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X27_Reserved_00);
	printf("External_device_control_1_X27_Reserved_01  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X27_Reserved_01);
	printf("External_device_control_1_X28_Reserved_00  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X28_Reserved_00);
	printf("External_device_control_1_X28_Reserved_01  0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X28_Reserved_01);
	printf("--env_print_default_setting end--\n");
#endif
#endif

}

void env_print_sn_panel_setting(UINT8 select)
{
#if 0
	printf("Version_String	%s %s	\n",default_panel_parameter.snInfo.Version_String,default_panel_parameter.snInfo.Version_String);
	printf("Panel_Number	%d 0x%x \n",default_panel_parameter.snInfo.Panel_Number	,default_panel_parameter.snInfo.Panel_Number );
	printf("Reserved_00 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_00	,default_panel_parameter.snInfo.Reserved_00);
	printf("Reserved_01 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_01	,default_panel_parameter.snInfo.Reserved_01);
	printf("Reserved_02 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_02	,default_panel_parameter.snInfo.Reserved_02);
	printf("Reserved_03 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_03	,default_panel_parameter.snInfo.Reserved_03);
	printf("Reserved_04 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_04	,default_panel_parameter.snInfo.Reserved_04);
	printf("Reserved_05 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_05	,default_panel_parameter.snInfo.Reserved_05);
	printf("Reserved_06 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_06	,default_panel_parameter.snInfo.Reserved_06);
	printf("Reserved_07 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_07	,default_panel_parameter.snInfo.Reserved_07);
	printf("Reserved_08 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_08	,default_panel_parameter.snInfo.Reserved_08);
	printf("Reserved_09 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_09	,default_panel_parameter.snInfo.Reserved_09);
	printf("Reserved_10 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_10	,default_panel_parameter.snInfo.Reserved_10);
	printf("Reserved_11 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_11	,default_panel_parameter.snInfo.Reserved_11);
	printf("PanelIndex	%d 0x%x \n",default_panel_parameter.snInfo.PanelIndex	,default_panel_parameter.snInfo.PanelIndex);
	printf("PanelIDString	%s %s	\n",default_panel_parameter.snInfo.PanelIDString ,default_panel_parameter.snInfo.PanelIDString);
	printf("InchSize	%d 0x%x \n",default_panel_parameter.snInfo.InchSize	,default_panel_parameter.snInfo.InchSize );
	printf("Chassis Index	%d 0x%x \n",default_panel_parameter.snInfo.Chassis_Index ,default_panel_parameter.snInfo.Chassis_Index);
	printf("Panel Width %d 0x%x \n",default_panel_parameter.snInfo.Panel_Width	,default_panel_parameter.snInfo.Panel_Width);
	printf("Panel Height	%d 0x%x \n",default_panel_parameter.snInfo.Panel_Height	,default_panel_parameter.snInfo.Panel_Height );
	printf("Reserved_12 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_12	,default_panel_parameter.snInfo.Reserved_12);
	printf("PixelClk60Hz	%d 0x%x \n",default_panel_parameter.snInfo.PixelClk60Hz	,default_panel_parameter.snInfo.PixelClk60Hz );
	printf("Reserved_13 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_13	,default_panel_parameter.snInfo.Reserved_13);
	printf("HTotalMax	%d 0x%x \n",default_panel_parameter.snInfo.HTotalMax ,default_panel_parameter.snInfo.HTotalMax);
	printf("HTotal60Hz	%d 0x%x \n",default_panel_parameter.snInfo.HTotal60Hz	,default_panel_parameter.snInfo.HTotal60Hz);
	printf("HTotalMin	%d 0x%x \n",default_panel_parameter.snInfo.HTotalMin ,default_panel_parameter.snInfo.HTotalMin);
	printf("VTotalMax	%d 0x%x \n",default_panel_parameter.snInfo.VTotalMax ,default_panel_parameter.snInfo.VTotalMax);
	printf("VTotal60Hz	%d 0x%x \n",default_panel_parameter.snInfo.VTotal60Hz	,default_panel_parameter.snInfo.VTotal60Hz);
	printf("VTotalMin	%d 0x%x \n",default_panel_parameter.snInfo.VTotalMin ,default_panel_parameter.snInfo.VTotalMin);
	printf("VClkMax %d 0x%x \n",default_panel_parameter.snInfo.VClkMax	,default_panel_parameter.snInfo.VClkMax);
	printf("VClkMin %d 0x%x \n",default_panel_parameter.snInfo.VClkMin	,default_panel_parameter.snInfo.VClkMin);
	printf("HSyncWidth_60Hz %d 0x%x \n",default_panel_parameter.snInfo.HSyncWidth_60Hz	,default_panel_parameter.snInfo.HSyncWidth_60Hz);
	printf("VSyncWidth_60Hz %d 0x%x \n",default_panel_parameter.snInfo.VSyncWidth_60Hz	,default_panel_parameter.snInfo.VSyncWidth_60Hz);
	printf("HFrontPorch_60Hz	%d 0x%x \n",default_panel_parameter.snInfo.HFrontPorch_60Hz	,default_panel_parameter.snInfo.HFrontPorch_60Hz );
	printf("HbackPorch_60Hz %d 0x%x \n",default_panel_parameter.snInfo.HbackPorch_60Hz	,default_panel_parameter.snInfo.HbackPorch_60Hz);
	printf("VFrontPorch_60Hz	%d 0x%x \n",default_panel_parameter.snInfo.VFrontPorch_60Hz	,default_panel_parameter.snInfo.VFrontPorch_60Hz );
	printf("VbackPorch_60Hz %d 0x%x \n",default_panel_parameter.snInfo.VbackPorch_60Hz	,default_panel_parameter.snInfo.VbackPorch_60Hz);
	printf("HSyncPolarity	%d 0x%x \n",default_panel_parameter.snInfo.HSyncPolarity ,default_panel_parameter.snInfo.HSyncPolarity);
	printf("VSyncPolarity	%d 0x%x \n",default_panel_parameter.snInfo.VSyncPolarity ,default_panel_parameter.snInfo.VSyncPolarity);
	printf("PixelClk50Hz	%d 0x%x \n",default_panel_parameter.snInfo.PixelClk50Hz	,default_panel_parameter.snInfo.PixelClk50Hz );
	printf("HTotal50Hz	%d 0x%x \n",default_panel_parameter.snInfo.HTotal50Hz	,default_panel_parameter.snInfo.HTotal50Hz);
	printf("VCOM_Pattern	%d 0x%x \n",default_panel_parameter.snInfo.VCOM_Pattern	,default_panel_parameter.snInfo.VCOM_Pattern );
	printf("VCOM_Type	%d 0x%x \n",default_panel_parameter.snInfo.VCOM_Type ,default_panel_parameter.snInfo.VCOM_Type);
	printf("Drive strength	%d 0x%x \n",default_panel_parameter.snInfo.Drive_strength	,default_panel_parameter.snInfo.Drive_strength);
	printf("Pre emphasis On/Off %d 0x%x \n",default_panel_parameter.snInfo.Pre_emphasis_On_Off	,default_panel_parameter.snInfo.Pre_emphasis_On_Off);
	printf("Pre emphasis level	%d 0x%x \n",default_panel_parameter.snInfo.Pre_emphasis_level	,default_panel_parameter.snInfo.Pre_emphasis_level);
	printf("Spread spectrum On/Off	%d 0x%x \n",default_panel_parameter.snInfo.Spread_spectrum_On_Off	,default_panel_parameter.snInfo.Spread_spectrum_On_Off);
	printf("SpreadPermillage	%d 0x%x \n",default_panel_parameter.snInfo.SpreadPermillage	,default_panel_parameter.snInfo.SpreadPermillage );
	printf("SpreadFreq	%d 0x%x \n",default_panel_parameter.snInfo.SpreadFreq	,default_panel_parameter.snInfo.SpreadFreq);
	printf("Video I/F format	%d 0x%x \n",default_panel_parameter.snInfo.Video_I_F_format	,default_panel_parameter.snInfo.Video_I_F_format );
	printf("VTotal50Hz	%d 0x%x \n",default_panel_parameter.snInfo.VTotal50Hz	,default_panel_parameter.snInfo.VTotal50Hz);
	printf("HSyncWidth_50Hz %d 0x%x \n",default_panel_parameter.snInfo.HSyncWidth_50Hz	,default_panel_parameter.snInfo.HSyncWidth_50Hz);
	printf("VSyncWidth_50Hz %d 0x%x \n",default_panel_parameter.snInfo.VSyncWidth_50Hz	,default_panel_parameter.snInfo.VSyncWidth_50Hz);
	printf("HFrontPorch_50Hz	%d 0x%x \n",default_panel_parameter.snInfo.HFrontPorch_50Hz	,default_panel_parameter.snInfo.HFrontPorch_50Hz );
	printf("HbackPorch_50Hz %d 0x%x \n",default_panel_parameter.snInfo.HbackPorch_50Hz	,default_panel_parameter.snInfo.HbackPorch_50Hz);
	printf("VFrontPorch_50Hz	%d 0x%x \n",default_panel_parameter.snInfo.VFrontPorch_50Hz	,default_panel_parameter.snInfo.VFrontPorch_50Hz );
	printf("VbackPorch_50Hz %d 0x%x \n",default_panel_parameter.snInfo.VbackPorch_50Hz	,default_panel_parameter.snInfo.VbackPorch_50Hz);
	printf("Reserved_14 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_14	,default_panel_parameter.snInfo.Reserved_14);
	printf("Reserved_15 %d 0x%x \n",default_panel_parameter.snInfo.Reserved_15	,default_panel_parameter.snInfo.Reserved_15);
	printf("CURRENT_MAX %d 0x%x \n",default_panel_parameter.snInfo.CURRENT_MAX	,default_panel_parameter.snInfo.CURRENT_MAX);
	printf("CURRENT_MIN %d 0x%x \n",default_panel_parameter.snInfo.CURRENT_MIN	,default_panel_parameter.snInfo.CURRENT_MIN);
	printf("BL_PWM_MAX	%d 0x%x \n",default_panel_parameter.snInfo.BL_PWM_MAX	,default_panel_parameter.snInfo.BL_PWM_MAX);
	printf("BL_PWM_MIN	%d 0x%x \n",default_panel_parameter.snInfo.BL_PWM_MIN	,default_panel_parameter.snInfo.BL_PWM_MIN);
	printf("BL_CUR_FREQ %d 0x%x \n",default_panel_parameter.snInfo.BL_CUR_FREQ	,default_panel_parameter.snInfo.BL_CUR_FREQ);
	printf("BL_PWM_FREQ %d 0x%x \n",default_panel_parameter.snInfo.BL_PWM_FREQ	,default_panel_parameter.snInfo.BL_PWM_FREQ);
	printf("BL_WAIT_LOGO	%d 0x%x \n",default_panel_parameter.snInfo.BL_WAIT_LOGO	,default_panel_parameter.snInfo.BL_WAIT_LOGO );
	printf("BL_PSL_DIFF %d 0x%x \n",default_panel_parameter.snInfo.BL_PSL_DIFF	,default_panel_parameter.snInfo.BL_PSL_DIFF);
	printf("PixelClk48Hz	%d 0x%x \n",default_panel_parameter.snInfo.PixelClk48Hz	,default_panel_parameter.snInfo.PixelClk48Hz );
	printf("HTotal48Hz	%d 0x%x \n",default_panel_parameter.snInfo.HTotal48Hz	,default_panel_parameter.snInfo.HTotal48Hz);
	printf("VTotal48Hz	%d 0x%x \n",default_panel_parameter.snInfo.VTotal48Hz	,default_panel_parameter.snInfo.VTotal48Hz);
	printf("HSyncWidth_48Hz %d 0x%x \n",default_panel_parameter.snInfo.HSyncWidth_48Hz	,default_panel_parameter.snInfo.HSyncWidth_48Hz);
	printf("VSyncWidth_48Hz %d 0x%x \n",default_panel_parameter.snInfo.VSyncWidth_48Hz	,default_panel_parameter.snInfo.VSyncWidth_48Hz);
	printf("HFrontPorch_48Hz	%d 0x%x \n",default_panel_parameter.snInfo.HFrontPorch_48Hz	,default_panel_parameter.snInfo.HFrontPorch_48Hz );
	printf("HbackPorch_48Hz %d 0x%x \n",default_panel_parameter.snInfo.HbackPorch_48Hz	,default_panel_parameter.snInfo.HbackPorch_48Hz);
	printf("VFrontPorch_48Hz	%d 0x%x \n",default_panel_parameter.snInfo.VFrontPorch_48Hz	,default_panel_parameter.snInfo.VFrontPorch_48Hz );
	printf("VbackPorch_48Hz %d 0x%x \n",default_panel_parameter.snInfo.VbackPorch_48Hz	,default_panel_parameter.snInfo.VbackPorch_48Hz);
	#endif
	#if 0
	printf("External_device_control_1_X1_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X1_31_24,default_panel_parameter.snInfo.External_device_control_1_X1_31_24);
	printf("External_device_control_1_X1_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X1_23_16,default_panel_parameter.snInfo.External_device_control_1_X1_23_16);
	printf("External_device_control_1_X1_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X1_15_8,default_panel_parameter.snInfo.External_device_control_1_X1_15_8);
	printf("External_device_control_1_X1_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X1_7_0,default_panel_parameter.snInfo.External_device_control_1_X1_7_0);
	printf("External_device_control_1_X2_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X2_31_24,default_panel_parameter.snInfo.External_device_control_1_X2_31_24);
	printf("External_device_control_1_X2_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X2_23_16,default_panel_parameter.snInfo.External_device_control_1_X2_23_16);
	printf("External_device_control_1_X2_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X2_15_8,default_panel_parameter.snInfo.External_device_control_1_X2_15_8);
	printf("External_device_control_1_X2_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X2_7_0,default_panel_parameter.snInfo.External_device_control_1_X2_7_0);
	printf("External_device_control_1_X3_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X3_31_24,default_panel_parameter.snInfo.External_device_control_1_X3_31_24);
	printf("External_device_control_1_X3_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X3_23_16,default_panel_parameter.snInfo.External_device_control_1_X3_23_16);
	printf("External_device_control_1_X3_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X3_15_8,default_panel_parameter.snInfo.External_device_control_1_X3_15_8);
	printf("External_device_control_1_X3_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X3_7_0,default_panel_parameter.snInfo.External_device_control_1_X3_7_0);
	printf("External_device_control_1_X4_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X4_31_24,default_panel_parameter.snInfo.External_device_control_1_X4_31_24);
	printf("External_device_control_1_X4_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X4_23_16,default_panel_parameter.snInfo.External_device_control_1_X4_23_16);
	printf("External_device_control_1_X4_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X4_15_8,default_panel_parameter.snInfo.External_device_control_1_X4_15_8);
	printf("External_device_control_1_X4_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X4_7_0,default_panel_parameter.snInfo.External_device_control_1_X4_7_0);
	printf("External_device_control_1_X5_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X5_31_24,default_panel_parameter.snInfo.External_device_control_1_X5_31_24);
	printf("External_device_control_1_X5_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X5_23_16,default_panel_parameter.snInfo.External_device_control_1_X5_23_16);
	printf("External_device_control_1_X5_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X5_15_8,default_panel_parameter.snInfo.External_device_control_1_X5_15_8);
	printf("External_device_control_1_X5_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X5_7_0,default_panel_parameter.snInfo.External_device_control_1_X5_7_0);
	printf("External_device_control_1_X6_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X6_31_24,default_panel_parameter.snInfo.External_device_control_1_X6_31_24);
	printf("External_device_control_1_X6_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X6_23_16,default_panel_parameter.snInfo.External_device_control_1_X6_23_16);
	printf("External_device_control_1_X6_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X6_15_8,default_panel_parameter.snInfo.External_device_control_1_X6_15_8);
	printf("External_device_control_1_X6_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X6_7_0,default_panel_parameter.snInfo.External_device_control_1_X6_7_0);
	printf("External_device_control_1_X7_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X7_31_24,default_panel_parameter.snInfo.External_device_control_1_X7_31_24);
	printf("External_device_control_1_X7_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X7_23_16,default_panel_parameter.snInfo.External_device_control_1_X7_23_16);
	printf("External_device_control_1_X7_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X7_15_8,default_panel_parameter.snInfo.External_device_control_1_X7_15_8);
	printf("External_device_control_1_X7_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X7_7_0,default_panel_parameter.snInfo.External_device_control_1_X7_7_0);
	printf("External_device_control_1_X8_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X8_31_24,default_panel_parameter.snInfo.External_device_control_1_X8_31_24);
	printf("External_device_control_1_X8_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X8_23_16,default_panel_parameter.snInfo.External_device_control_1_X8_23_16);
	printf("External_device_control_1_X8_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X8_15_8,default_panel_parameter.snInfo.External_device_control_1_X8_15_8);
	printf("External_device_control_1_X8_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X8_7_0,default_panel_parameter.snInfo.External_device_control_1_X8_7_0);
	printf("External_device_control_1_X9_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X9_31_24,default_panel_parameter.snInfo.External_device_control_1_X9_31_24);
	printf("External_device_control_1_X9_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X9_23_16,default_panel_parameter.snInfo.External_device_control_1_X9_23_16);
	printf("External_device_control_1_X9_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X9_15_8,default_panel_parameter.snInfo.External_device_control_1_X9_15_8);
	printf("External_device_control_1_X9_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X9_7_0,default_panel_parameter.snInfo.External_device_control_1_X9_7_0);
	#endif
	#if 0
	printf("External_device_control_1_X10_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X10_31_24,default_panel_parameter.snInfo.External_device_control_1_X10_31_24);
	printf("External_device_control_1_X10_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X10_23_16,default_panel_parameter.snInfo.External_device_control_1_X10_23_16);
	printf("External_device_control_1_X10_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X10_15_8,default_panel_parameter.snInfo.External_device_control_1_X10_15_8);
	printf("External_device_control_1_X10_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X10_7_0,default_panel_parameter.snInfo.External_device_control_1_X10_7_0);
	printf("External_device_control_1_X11_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X11_31_24,default_panel_parameter.snInfo.External_device_control_1_X11_31_24);
	printf("External_device_control_1_X11_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X11_23_16,default_panel_parameter.snInfo.External_device_control_1_X11_23_16);
	printf("External_device_control_1_X11_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X11_15_8,default_panel_parameter.snInfo.External_device_control_1_X11_15_8);
	printf("External_device_control_1_X11_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X11_7_0,default_panel_parameter.snInfo.External_device_control_1_X11_7_0);
	printf("External_device_control_1_X12_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X12_31_24,default_panel_parameter.snInfo.External_device_control_1_X12_31_24);
	printf("External_device_control_1_X12_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X12_23_16,default_panel_parameter.snInfo.External_device_control_1_X12_23_16);
	printf("External_device_control_1_X12_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X12_15_8,default_panel_parameter.snInfo.External_device_control_1_X12_15_8);
	printf("External_device_control_1_X12_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X12_7_0,default_panel_parameter.snInfo.External_device_control_1_X12_7_0);
	printf("External_device_control_1_X13_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X13_31_24,default_panel_parameter.snInfo.External_device_control_1_X13_31_24);
	printf("External_device_control_1_X13_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X13_23_16,default_panel_parameter.snInfo.External_device_control_1_X13_23_16);
	printf("External_device_control_1_X13_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X13_15_8,default_panel_parameter.snInfo.External_device_control_1_X13_15_8);
	printf("External_device_control_1_X13_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X13_7_0,default_panel_parameter.snInfo.External_device_control_1_X13_7_0);
	printf("External_device_control_1_X14_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X14_31_24,default_panel_parameter.snInfo.External_device_control_1_X14_31_24);
	printf("External_device_control_1_X14_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X14_23_16,default_panel_parameter.snInfo.External_device_control_1_X14_23_16);
	printf("External_device_control_1_X14_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X14_15_8,default_panel_parameter.snInfo.External_device_control_1_X14_15_8);
	printf("External_device_control_1_X14_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X14_7_0,default_panel_parameter.snInfo.External_device_control_1_X14_7_0);
	printf("External_device_control_1_X15_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X15_31_24,default_panel_parameter.snInfo.External_device_control_1_X15_31_24);
	printf("External_device_control_1_X15_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X15_23_16,default_panel_parameter.snInfo.External_device_control_1_X15_23_16);
	printf("External_device_control_1_X15_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X15_15_8,default_panel_parameter.snInfo.External_device_control_1_X15_15_8);
	printf("External_device_control_1_X15_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X15_7_0,default_panel_parameter.snInfo.External_device_control_1_X15_7_0);
	printf("External_device_control_1_X16_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X16_31_24,default_panel_parameter.snInfo.External_device_control_1_X16_31_24);
	printf("External_device_control_1_X16_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X16_23_16,default_panel_parameter.snInfo.External_device_control_1_X16_23_16);
	printf("External_device_control_1_X16_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X16_15_8,default_panel_parameter.snInfo.External_device_control_1_X16_15_8);
	printf("External_device_control_1_X16_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X16_7_0,default_panel_parameter.snInfo.External_device_control_1_X16_7_0);
	printf("External_device_control_1_X17_31_24%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X17_31_24,default_panel_parameter.snInfo.External_device_control_1_X17_31_24);
	printf("External_device_control_1_X17_23_16%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X17_23_16,default_panel_parameter.snInfo.External_device_control_1_X17_23_16);
	printf("External_device_control_1_X17_15_8%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X17_15_8,default_panel_parameter.snInfo.External_device_control_1_X17_15_8);
	printf("External_device_control_1_X17_7_0%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X17_7_0,default_panel_parameter.snInfo.External_device_control_1_X17_7_0);

	#endif
	#if 0
	printf("External_device_control_1_X18_Reserved_00%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X18_Reserved_00,default_panel_parameter.snInfo.External_device_control_1_X18_Reserved_00);

	printf("External_device_control_1_X18_Reserved_01%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X18_Reserved_01,default_panel_parameter.snInfo.External_device_control_1_X18_Reserved_01);

	printf("External_device_control_1_X19_Reserved_00%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X19_Reserved_00,default_panel_parameter.snInfo.External_device_control_1_X19_Reserved_00);

	printf("External_device_control_1_X19_Reserved_01%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X19_Reserved_01,default_panel_parameter.snInfo.External_device_control_1_X19_Reserved_01);

	printf("External_device_control_1_X20_Reserved_00%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X20_Reserved_00,default_panel_parameter.snInfo.External_device_control_1_X20_Reserved_00);

	printf("External_device_control_1_X20_Reserved_01%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X20_Reserved_01,default_panel_parameter.snInfo.External_device_control_1_X20_Reserved_01);

	printf("External_device_control_1_X21_Reserved_00%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X21_Reserved_00,default_panel_parameter.snInfo.External_device_control_1_X21_Reserved_00);

	printf("External_device_control_1_X21_Reserved_01%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X21_Reserved_01,default_panel_parameter.snInfo.External_device_control_1_X21_Reserved_01);

	printf("External_device_control_1_X22_Reserved_00%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X22_Reserved_00,default_panel_parameter.snInfo.External_device_control_1_X22_Reserved_00);

	printf("External_device_control_1_X22_Reserved_01%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X22_Reserved_01,default_panel_parameter.snInfo.External_device_control_1_X22_Reserved_01);

	printf("External_device_control_1_X23_Reserved_00%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X23_Reserved_00,default_panel_parameter.snInfo.External_device_control_1_X23_Reserved_00);

	printf("External_device_control_1_X23_Reserved_01%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X23_Reserved_01,default_panel_parameter.snInfo.External_device_control_1_X23_Reserved_01);

	printf("External_device_control_1_X24_Reserved_00%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X24_Reserved_00,default_panel_parameter.snInfo.External_device_control_1_X24_Reserved_00);

	printf("External_device_control_1_X24_Reserved_01%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X24_Reserved_01,default_panel_parameter.snInfo.External_device_control_1_X24_Reserved_01);

	printf("External_device_control_1_X25_Reserved_00%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X25_Reserved_00,default_panel_parameter.snInfo.External_device_control_1_X25_Reserved_00);

	printf("External_device_control_1_X25_Reserved_01%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X25_Reserved_01,default_panel_parameter.snInfo.External_device_control_1_X25_Reserved_01);

	printf("External_device_control_1_X26_Reserved_00%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X26_Reserved_00,default_panel_parameter.snInfo.External_device_control_1_X26_Reserved_00);

	printf("External_device_control_1_X26_Reserved_01%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X26_Reserved_01,default_panel_parameter.snInfo.External_device_control_1_X26_Reserved_01);

	printf("External_device_control_1_X27_Reserved_00%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X27_Reserved_00,default_panel_parameter.snInfo.External_device_control_1_X27_Reserved_00);

	printf("External_device_control_1_X27_Reserved_01%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X27_Reserved_01,default_panel_parameter.snInfo.External_device_control_1_X27_Reserved_01);

	printf("External_device_control_1_X28_Reserved_00%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X28_Reserved_00,default_panel_parameter.snInfo.External_device_control_1_X28_Reserved_00);

	printf("External_device_control_1_X28_Reserved_01%d 0x%x\n",default_panel_parameter.snInfo.External_device_control_1_X28_Reserved_01,default_panel_parameter.snInfo.External_device_control_1_X28_Reserved_01);

	#endif

	#if 0//48/50/60 debug
	printf("PixelClk60Hz	%d 0x%x \n",default_panel_parameter.snInfo.PixelClk60Hz	,default_panel_parameter.snInfo.PixelClk60Hz );
	printf("HTotal60Hz	%d 0x%x \n",default_panel_parameter.snInfo.HTotal60Hz	,default_panel_parameter.snInfo.HTotal60Hz);
	printf("VTotal60Hz	%d 0x%x \n",default_panel_parameter.snInfo.VTotal60Hz	,default_panel_parameter.snInfo.VTotal60Hz);
	printf("HSyncWidth_60Hz %d 0x%x \n",default_panel_parameter.snInfo.HSyncWidth_60Hz	,default_panel_parameter.snInfo.HSyncWidth_60Hz);
	printf("VSyncWidth_60Hz %d 0x%x \n",default_panel_parameter.snInfo.VSyncWidth_60Hz	,default_panel_parameter.snInfo.VSyncWidth_60Hz);
	printf("HFrontPorch_60Hz	%d 0x%x \n",default_panel_parameter.snInfo.HFrontPorch_60Hz	,default_panel_parameter.snInfo.HFrontPorch_60Hz );
	printf("HbackPorch_60Hz %d 0x%x \n",default_panel_parameter.snInfo.HbackPorch_60Hz	,default_panel_parameter.snInfo.HbackPorch_60Hz);
	printf("VFrontPorch_60Hz	%d 0x%x \n",default_panel_parameter.snInfo.VFrontPorch_60Hz	,default_panel_parameter.snInfo.VFrontPorch_60Hz );
	printf("VbackPorch_60Hz %d 0x%x \n",default_panel_parameter.snInfo.VbackPorch_60Hz	,default_panel_parameter.snInfo.VbackPorch_60Hz);
	printf("-----------------------------------------\n");
	printf("PixelClk50Hz	%d 0x%x \n",default_panel_parameter.snInfo.PixelClk50Hz	,default_panel_parameter.snInfo.PixelClk50Hz );
	printf("HTotal50Hz	%d 0x%x \n",default_panel_parameter.snInfo.HTotal50Hz	,default_panel_parameter.snInfo.HTotal50Hz);
	printf("VTotal50Hz	%d 0x%x \n",default_panel_parameter.snInfo.VTotal50Hz	,default_panel_parameter.snInfo.VTotal50Hz);
	printf("HSyncWidth_50Hz %d 0x%x \n",default_panel_parameter.snInfo.HSyncWidth_50Hz	,default_panel_parameter.snInfo.HSyncWidth_50Hz);
	printf("VSyncWidth_50Hz %d 0x%x \n",default_panel_parameter.snInfo.VSyncWidth_50Hz	,default_panel_parameter.snInfo.VSyncWidth_50Hz);
	printf("HFrontPorch_50Hz	%d 0x%x \n",default_panel_parameter.snInfo.HFrontPorch_50Hz	,default_panel_parameter.snInfo.HFrontPorch_50Hz );
	printf("HbackPorch_50Hz %d 0x%x \n",default_panel_parameter.snInfo.HbackPorch_50Hz	,default_panel_parameter.snInfo.HbackPorch_50Hz);
	printf("VFrontPorch_50Hz	%d 0x%x \n",default_panel_parameter.snInfo.VFrontPorch_50Hz	,default_panel_parameter.snInfo.VFrontPorch_50Hz );
	printf("VbackPorch_50Hz %d 0x%x \n",default_panel_parameter.snInfo.VbackPorch_50Hz	,default_panel_parameter.snInfo.VbackPorch_50Hz);

	printf("-----------------------------------------\n");
	printf("PixelClk48Hz	%d 0x%x \n",default_panel_parameter.snInfo.PixelClk48Hz	,default_panel_parameter.snInfo.PixelClk48Hz );
	printf("HTotal48Hz	%d 0x%x \n",default_panel_parameter.snInfo.HTotal48Hz	,default_panel_parameter.snInfo.HTotal48Hz);
	printf("VTotal48Hz	%d 0x%x \n",default_panel_parameter.snInfo.VTotal48Hz	,default_panel_parameter.snInfo.VTotal48Hz);
	printf("HSyncWidth_48Hz %d 0x%x \n",default_panel_parameter.snInfo.HSyncWidth_48Hz	,default_panel_parameter.snInfo.HSyncWidth_48Hz);
	printf("VSyncWidth_48Hz %d 0x%x \n",default_panel_parameter.snInfo.VSyncWidth_48Hz	,default_panel_parameter.snInfo.VSyncWidth_48Hz);
	printf("HFrontPorch_48Hz	%d 0x%x \n",default_panel_parameter.snInfo.HFrontPorch_48Hz	,default_panel_parameter.snInfo.HFrontPorch_48Hz );
	printf("HbackPorch_48Hz %d 0x%x \n",default_panel_parameter.snInfo.HbackPorch_48Hz	,default_panel_parameter.snInfo.HbackPorch_48Hz);
	printf("VFrontPorch_48Hz	%d 0x%x \n",default_panel_parameter.snInfo.VFrontPorch_48Hz	,default_panel_parameter.snInfo.VFrontPorch_48Hz );
	printf("VbackPorch_48Hz %d 0x%x \n",default_panel_parameter.snInfo.VbackPorch_48Hz	,default_panel_parameter.snInfo.VbackPorch_48Hz);
	#endif

	printf("--env_print_sn_panel_setting end--\n");

}


void env_struct_arrange(UINT8 select,char *raw_ptr)
{
	//cp to panel_setting and arrange.
	printf("--env_struct_arrange start--\n");
	memcpy(default_panel_parameter.snInfo.Version_String,raw_ptr, sizeof(char)*16);
	memcpy(&default_panel_parameter.snInfo.Panel_Number	,raw_ptr+16 , sizeof(UINT32));
	memcpy(&default_panel_parameter.snInfo.Reserved_00	,raw_ptr+20 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_01	,raw_ptr+21 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_02	,raw_ptr+22 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_03	,raw_ptr+23 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_04	,raw_ptr+24 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_05	,raw_ptr+25 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_06	,raw_ptr+26 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_07	,raw_ptr+27 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_08	,raw_ptr+28 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_09	,raw_ptr+29 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_10	,raw_ptr+30 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_11	,raw_ptr+31 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.PanelIndex	,raw_ptr+32 , sizeof(UINT8));
	memcpy(default_panel_parameter.snInfo.PanelIDString	,raw_ptr+33 ,sizeof(char)*16);
	memcpy(&default_panel_parameter.snInfo.InchSize	,raw_ptr+49 , sizeof(UINT8));

	#if 0//debug
	printf("InchSize %c \n",*(raw_ptr+49));

	char test=*(raw_ptr+49);
	UINT8 test1 =(UINT8)test;

	printf("InchSize %d\n",test1);

	test=*(raw_ptr+50);
	test1 =(UINT8)test;
	printf("Chassis_Index %d\n",test1);


	test=*(raw_ptr+51);
	test1 =(UINT8)test;
	printf("Panel_Width %d\n",test1);

	test=*(raw_ptr+52);
	test1 =(UINT8)test;
	printf("Panel_Width %d\n",test1);
	#endif

	memcpy(&default_panel_parameter.snInfo.Chassis_Index ,raw_ptr+50 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Panel_Width	 ,raw_ptr+51	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.Panel_Height	 ,raw_ptr+53	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.Reserved_12	,raw_ptr+55 , sizeof(UINT32));
	memcpy(&default_panel_parameter.snInfo.PixelClk60Hz	,raw_ptr+59 , sizeof(UINT32));
	memcpy(&default_panel_parameter.snInfo.Reserved_13	,raw_ptr+63 , sizeof(UINT32));
	memcpy(&default_panel_parameter.snInfo.HTotalMax ,raw_ptr+67 , sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.HTotal60Hz	,raw_ptr+69 , sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.HTotalMin ,raw_ptr+71 , sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.VTotalMax ,raw_ptr+73 , sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.VTotal60Hz	,raw_ptr+75 , sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.VTotalMin ,raw_ptr+77 , sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.VClkMax	,raw_ptr+79 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.VClkMin	,raw_ptr+80 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.HSyncWidth_60Hz	,raw_ptr+81 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.VSyncWidth_60Hz	,raw_ptr+82 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.HFrontPorch_60Hz	,raw_ptr+83 , sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.HbackPorch_60Hz	,raw_ptr+85 , sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.VFrontPorch_60Hz	,raw_ptr+87 , sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.VbackPorch_60Hz	,raw_ptr+89 , sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.HSyncPolarity ,raw_ptr+91 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.VSyncPolarity ,raw_ptr+92 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.PixelClk50Hz	,raw_ptr+93 , sizeof(UINT32));
	memcpy(&default_panel_parameter.snInfo.HTotal50Hz	,raw_ptr+97 , sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.VCOM_Pattern	,raw_ptr+99 , sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.VCOM_Type ,raw_ptr+100	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Drive_strength	,raw_ptr+101	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Pre_emphasis_On_Off	,raw_ptr+102	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Pre_emphasis_level	,raw_ptr+103	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Spread_spectrum_On_Off	,raw_ptr+104	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.SpreadPermillage	,raw_ptr+105	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.SpreadFreq	,raw_ptr+106	, sizeof(UINT32));
	memcpy(&default_panel_parameter.snInfo.Video_I_F_format	,raw_ptr+110	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.VTotal50Hz	,raw_ptr+111	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.HSyncWidth_50Hz	,raw_ptr+113	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.VSyncWidth_50Hz	,raw_ptr+114	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.HFrontPorch_50Hz	,raw_ptr+115	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.HbackPorch_50Hz	,raw_ptr+117	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.VFrontPorch_50Hz	,raw_ptr+119	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.VbackPorch_50Hz	,raw_ptr+121	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.Mura_CUC_ID	,raw_ptr+123	, sizeof(UINT8));
#ifdef CONFIG_TCON_LESS
	memcpy(&default_panel_parameter.snInfo.Tcon_Index	,raw_ptr+124	, sizeof(UINT8));
#else
	memcpy(&default_panel_parameter.snInfo.Reserved_15	,raw_ptr+124	, sizeof(UINT8));
#endif
	memcpy(&default_panel_parameter.snInfo.CURRENT_MAX	,raw_ptr+125	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.CURRENT_MIN	,raw_ptr+127	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.BL_PWM_MAX	,raw_ptr+129	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.BL_PWM_MIN	,raw_ptr+131	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.BL_CUR_FREQ	,raw_ptr+133	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.BL_PWM_FREQ	,raw_ptr+135	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.BL_WAIT_LOGO	,raw_ptr+137	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.BL_PSL_DIFF	,raw_ptr+139	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.PixelClk48Hz	,raw_ptr+141	, sizeof(UINT32));
	memcpy(&default_panel_parameter.snInfo.HTotal48Hz	,raw_ptr+145	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.VTotal48Hz	,raw_ptr+147	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.HSyncWidth_48Hz	,raw_ptr+149	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.VSyncWidth_48Hz	,raw_ptr+150	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.HFrontPorch_48Hz	,raw_ptr+151	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.HbackPorch_48Hz	,raw_ptr+153	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.VFrontPorch_48Hz	,raw_ptr+155	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.VbackPorch_48Hz	,raw_ptr+157	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.Reserved_16	,raw_ptr+159	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_17	,raw_ptr+160	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_18	,raw_ptr+161	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_19	,raw_ptr+162	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_20	,raw_ptr+163	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_21	,raw_ptr+164	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_22	,raw_ptr+165	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_23	,raw_ptr+166	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_24	,raw_ptr+167	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_25	,raw_ptr+168	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_26	,raw_ptr+169	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_27	,raw_ptr+170	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_28	,raw_ptr+171	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_29	,raw_ptr+172	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_30	,raw_ptr+173	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.LVDS_clock_level	,raw_ptr+174	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Mura_CUC_data_transfer	,raw_ptr+175	, sizeof(UINT8));       //Reserved_32
#if 1
	memcpy(&default_panel_parameter.snInfo._12V_WAIT 	,raw_ptr+176	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.EDID_WAIT 	,raw_ptr+177	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.VBO_WAIT		,raw_ptr+178	, sizeof(UINT8));
#else
	memcpy(&default_panel_parameter.snInfo.Reserved_33	,raw_ptr+176	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_34	,raw_ptr+177	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.Reserved_35	,raw_ptr+178	, sizeof(UINT8));
#endif
#if defined(CONFIG_CUSTOM_Vulcan_PowerSequence)
	//External device
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X1_31_24	,raw_ptr+179	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X1_23_16	,raw_ptr+180	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X1_15_8 ,raw_ptr+181	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X1_7_0	,raw_ptr+182	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X2_31_24	,raw_ptr+183	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X2_23_16	,raw_ptr+184	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X2_15_8 ,raw_ptr+185	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X2_7_0	,raw_ptr+186	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X3_31_24	,raw_ptr+187	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X3_23_16	,raw_ptr+188	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X3_15_8 ,raw_ptr+189	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X3_7_0	,raw_ptr+190	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X4_31_24	,raw_ptr+191	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X4_23_16	,raw_ptr+192	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X4_15_8 ,raw_ptr+193	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X4_7_0	,raw_ptr+194	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X5_31_24	,raw_ptr+195	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X5_23_16	,raw_ptr+196	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X5_15_8 ,raw_ptr+197	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X5_7_0	,raw_ptr+198	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X6_31_24	,raw_ptr+199	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X6_23_16	,raw_ptr+200	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X6_15_8 ,raw_ptr+201	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X6_7_0	,raw_ptr+202	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X7_31_24	,raw_ptr+203	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X7_23_16	,raw_ptr+204	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X7_15_8 ,raw_ptr+205	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X7_7_0	,raw_ptr+206	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X8_31_24	,raw_ptr+207	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X8_23_16	,raw_ptr+208	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X8_15_8 ,raw_ptr+209	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X8_7_0	,raw_ptr+210	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X9_31_24	,raw_ptr+211	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X9_23_16	,raw_ptr+212	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X9_15_8 ,raw_ptr+213	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X9_7_0	,raw_ptr+214	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X10_31_24	,raw_ptr+215	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X10_23_16	,raw_ptr+216	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X10_15_8	,raw_ptr+217	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X10_7_0 ,raw_ptr+218	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X11_31_24	,raw_ptr+219	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X11_23_16	,raw_ptr+220	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X11_15_8	,raw_ptr+221	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X11_7_0 ,raw_ptr+222	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X12_31_24	,raw_ptr+223	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X12_23_16	,raw_ptr+224	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X12_15_8	,raw_ptr+225	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X12_7_0 ,raw_ptr+226	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X13_31_24	,raw_ptr+227	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X13_23_16	,raw_ptr+228	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X13_15_8	,raw_ptr+229	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X13_7_0 ,raw_ptr+230	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X14_31_24	,raw_ptr+231	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X14_23_16	,raw_ptr+232	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X14_15_8	,raw_ptr+233	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X14_7_0 ,raw_ptr+234	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X15_31_24	,raw_ptr+235	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X15_23_16	,raw_ptr+236	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X15_15_8	,raw_ptr+237	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X15_7_0 ,raw_ptr+238	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X16_31_24	,raw_ptr+239	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X16_23_16	,raw_ptr+240	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X16_15_8	,raw_ptr+241	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X16_7_0 ,raw_ptr+242	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X17_31_24	,raw_ptr+243	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X17_23_16	,raw_ptr+244	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X17_15_8	,raw_ptr+245	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X17_7_0 ,raw_ptr+246	, sizeof(UINT8));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X18_Reserved_00 ,raw_ptr+247	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X18_Reserved_01 ,raw_ptr+249	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X19_Reserved_00 ,raw_ptr+251	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X19_Reserved_01 ,raw_ptr+253	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X20_Reserved_00 ,raw_ptr+255	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X20_Reserved_01 ,raw_ptr+257	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X21_Reserved_00 ,raw_ptr+259	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X21_Reserved_01 ,raw_ptr+261	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X22_Reserved_00 ,raw_ptr+263	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X22_Reserved_01 ,raw_ptr+265	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X23_Reserved_00 ,raw_ptr+267	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X23_Reserved_01 ,raw_ptr+269	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X24_Reserved_00 ,raw_ptr+271	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X24_Reserved_01 ,raw_ptr+273	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X25_Reserved_00 ,raw_ptr+275	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X25_Reserved_01 ,raw_ptr+277	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X26_Reserved_00 ,raw_ptr+279	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X26_Reserved_01 ,raw_ptr+281	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X27_Reserved_00 ,raw_ptr+283	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X27_Reserved_01 ,raw_ptr+285	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X28_Reserved_00 ,raw_ptr+287	, sizeof(UINT16));
	memcpy(&default_panel_parameter.snInfo.External_device_control_1_X28_Reserved_01 ,raw_ptr+289	, sizeof(UINT16));

	memcpy(&default_panel_parameter.snInfo.VTOD_De_emphasis_set	,raw_ptr+291	, sizeof(UINT8)*32	);
#endif
	memcpy(&default_panel_parameter.snInfo.Common_control	,raw_ptr+323	, sizeof(UINT8)*40	);
	memcpy(&default_panel_parameter.snInfo.Reserved	,raw_ptr+363	, sizeof(UINT8)*248 );

	env_print_sn_panel_setting(select);

	printf("--env_struct_arrange end--\n");
}

#define PanelID_MaxCnt 10
#define PanelID_JudgeCnt 3
#define NVM_ADDR (0xAA>>1)

typedef enum{
    panelID_Match = 0,
    panelID_NoMatch,
}PanelID_STATUS;

typedef struct PANEL_ID_INFO{
    UINT8 searchIdx;
	char PanelIDString[16];
	UINT8 Chassis_Index;
	UINT8 PanelIndex;
}PANEL_ID_INFO;

#define DEBUG_MODE 0
#define NORMAL_MODE 1
#define PANEL_INDEX "PanelIndex"
#define PANEL_ID "panel_id"
#define PANELID_INDEX "PanelID_Error"
#define DYANAMIC_ENV_FILE_NAME	"tmp/factory/Dynamic_Env.txt"
#define PANELIDERROR_ENV_FILE_NAME	"tmp/factory/Panel_ID_Error.txt"

void env_chk_dyna_panel_id(void)
{
	//if the same ,need check Panel_ID again.
	char sPanelIndex[32] = {0};
	int PanelIndex = 0;
	char sPanelID[16] = {0};

	char value2_s[9]={0};
	UINT32 val=0;
	bool readFail = false;
	if(CusApi_env_readEnvTxtFile(DYANAMIC_ENV_FILE_NAME, PANEL_INDEX, sPanelIndex) != 0){
		printf("Can't read panel_index from Dyna\n");
		readFail = true;
	}
	else
	{
		PanelIndex = simple_strtoul(sPanelIndex, NULL, 10);
	}
	if(CusApi_env_readEnvTxtFile(DYANAMIC_ENV_FILE_NAME, PANEL_ID, sPanelID) != 0){
		printf("Can't read panel_id from Dyna\n");
		return ;//false;
	}

	//printf("--pannelID =%s--\n",pannelID);
        printf("--default_panel_parameter pannelID =%s--\n",default_panel_parameter.snInfo.PanelIDString);



	if(PanelIndex !=default_panel_parameter.snInfo.PanelIndex || readFail){
		printf("--update %d to %d --\n",PanelIndex,default_panel_parameter.snInfo.PanelIndex);
		printf("--update %s to %s --\n",sPanelID,default_panel_parameter.snInfo.PanelIDString);


		val = default_panel_parameter.snInfo.PanelIndex;
		sprintf(value2_s, "%d",val);
		CusApi_env_writeEnvFile(1, PANEL_INDEX,value2_s );
		CusApi_env_writeEnvFile(1, PANEL_ID,default_panel_parameter.snInfo.PanelIDString );
	}
}

void SRS_Demura_INIT(void){
    rtd_clearbits(0xb8181200, _BIT0);//AUPC_BYPASS
    rtd_clearbits(0xb8184000, _BIT0); //AUPC_UPC_00
    //======Demura Register init=====
    rtd_clearbits(0xb81b1028, _BIT0); //QPQE_TOP
    rtd_clearbits(0xb81b1100, _BIT0); //Q_WB00
    rtd_clearbits(0xb81b1114, _BIT0); //Q_WB05
    rtd_clearbits(0xb81b1200, _BIT0); //Q_CUC00
    rtd_clearbits(0xb81b1300, _BIT0); //Q_MUR00
    rtd_clearbits(0xb81b1400, _BIT0); //Q_DTH00

}

void drvif_color_VPQ_SIP_TOP_CLK(void)
{

    sys_reg_sys_clken4_RBUS sys_reg_sys_clken4_reg;
    sys_reg_sys_dclk_gate_sel0_RBUS sys_reg_sys_dclk_gate_sel0_reg;
    ppoverlay_dispd_smooth_toggle1_RBUS ppoverlay_dispd_smooth_toggle1_reg;
    sys_reg_sys_srst4_RBUS sys_reg_sys_srst4_reg;
    ssrs_ssrs_ctrl_RBUS ssrs_ssrs_ctrl_reg;
    ppoverlay_display_timing_ctrl2_RBUS ppoverlay_display_timing_ctrl2_reg;
    sdemura_sdemura_ctrl_RBUS sdemura_sdemura_ctrl_reg;


    sys_reg_sys_clken4_reg.regValue = 0;
    sys_reg_sys_clken4_reg.clken_d_s2_f2p_sdemura = 1;
    sys_reg_sys_clken4_reg.clken_d_s2_f4p_sdemura = 1;
    sys_reg_sys_clken4_reg.clken_d_s1_f2p_ssrs = 1;
    sys_reg_sys_clken4_reg.clken_d_s1_f4p_ssrs = 1;
    sys_reg_sys_clken4_reg.write_data = 1;
    rtd_outl(SYS_REG_SYS_CLKEN4_reg, sys_reg_sys_clken4_reg.regValue);
    sys_reg_sys_clken4_reg.regValue = 0;
    sys_reg_sys_clken4_reg.clken_srnn = 1;
    sys_reg_sys_clken4_reg.write_data = 0;
    rtd_outl(SYS_REG_SYS_CLKEN4_reg, sys_reg_sys_clken4_reg.regValue);

    sys_reg_sys_dclk_gate_sel0_reg.regValue = rtd_inl(SYS_REG_SYS_DCLK_GATE_SEL0_reg);
    sys_reg_sys_dclk_gate_sel0_reg.dclk_s2_f4p_gate_sel = 2;
    sys_reg_sys_dclk_gate_sel0_reg.dclk_s1_f4p_gate_sel = 2;
    rtd_outl(SYS_REG_SYS_DCLK_GATE_SEL0_reg, sys_reg_sys_dclk_gate_sel0_reg.regValue);

    ppoverlay_dispd_smooth_toggle1_reg.regValue = rtd_inl(PPOVERLAY_dispd_smooth_toggle1_reg);
    ppoverlay_dispd_smooth_toggle1_reg.dispd_stage1_smooth_toggle_apply = 1;
    rtd_outl(PPOVERLAY_dispd_smooth_toggle1_reg, ppoverlay_dispd_smooth_toggle1_reg.regValue);

    sys_reg_sys_srst4_reg.regValue = 0;
    sys_reg_sys_srst4_reg.rstn_ssrs_0 = 1;
    sys_reg_sys_srst4_reg.rstn_ssrs_1 = 1;
    sys_reg_sys_srst4_reg.rstn_sdemura_0 = 1;
    sys_reg_sys_srst4_reg.rstn_sdemura_1 = 1;
    sys_reg_sys_srst4_reg.write_data = 1;
    rtd_outl(SYS_REG_SYS_SRST4_reg, sys_reg_sys_srst4_reg.regValue);

    ssrs_ssrs_ctrl_reg.regValue = rtd_inl(SSRS_SSRS_CTRL_reg);
    ssrs_ssrs_ctrl_reg.ssrs_disable = 0;
    rtd_outl(SSRS_SSRS_CTRL_reg, ssrs_ssrs_ctrl_reg.regValue);

    sdemura_sdemura_ctrl_reg.regValue = rtd_inl(SDEMURA_SDEMURA_CTRL_reg);
    sdemura_sdemura_ctrl_reg.sdemura_disable = 0;
    rtd_outl(SDEMURA_SDEMURA_CTRL_reg, sdemura_sdemura_ctrl_reg.regValue);

    ppoverlay_display_timing_ctrl2_reg.regValue = rtd_inl(PPOVERLAY_Display_Timing_CTRL2_reg);
    ppoverlay_display_timing_ctrl2_reg.ssrs_en = 0;			//tmp from 1 to 0
    ppoverlay_display_timing_ctrl2_reg.sdemura_en = 1;
    rtd_outl(PPOVERLAY_Display_Timing_CTRL2_reg, ppoverlay_display_timing_ctrl2_reg.regValue);
}


void drvif_color_VPQ_SIP_1_init(void)
{
    // set SIP inside
    // reg set come from ssrs, no spec
    rtd_outl(0xb8180200,0x00000307);
    rtd_outl(0xb8180800,0x00000307);
    rtd_outl(0xb8182000,0x01a00028);
    rtd_outl(0xb8182004,0x0f000870);
    rtd_outl(0xb8184000,0x00000001);
    rtd_outl(0xb8184004,0x00600210);
    rtd_outl(0xb818400c,0x00000000);
    rtd_outl(0xb8184010,0x00000000);
    rtd_outl(0xb8184014,0x00000000);
    rtd_outl(0xb8184100,0x00000000);
    rtd_outl(0xb8184110,0x00000000);
    rtd_outl(0xb8184114,0x00000200);
    rtd_outl(0xb8184118,0x00010380);
    rtd_outl(0xb818411c,0x00000000);
    rtd_outl(0xb8184120,0x00000200);
    rtd_outl(0xb8184124,0x00020239);
    rtd_outl(0xb8184240,0x00000011);
    rtd_outl(0xb8184400,0x00000001);
    rtd_outl(0xb8184404,0x00000000);
    rtd_outl(0xb8184410,0x00000000);
    rtd_outl(0xb8184414,0x00000000);
    rtd_outl(0xb8184418,0x76543210);
    rtd_outl(0xb818441c,0x08010020);
    rtd_outl(0xb8184420,0x00201008);
    rtd_outl(0xb8184424,0x08010020);
    rtd_outl(0xb8184428,0x00201008);
    rtd_outl(0xb8184430,0x00200010);
    rtd_outl(0xb8184434,0x02000100);
    rtd_outl(0xb8184438,0x00000300);
    rtd_outl(0xb818443c,0x22000400);
    rtd_outl(0xb8184440,0x00c00040);
    rtd_outl(0xb8184444,0x01000000);
    rtd_outl(0xb8184448,0x00000200);
    rtd_outl(0xb818444c,0x12000015);
    rtd_outl(0xb8184450,0x00000080);
    rtd_outl(0xb8184454,0x02000000);
    rtd_outl(0xb8184458,0x00030505);
    rtd_outl(0xb8184460,0x00000200);
    rtd_outl(0xb8184490,0x00000001);
    rtd_outl(0xb8184494,0x00000011);
    rtd_outl(0xb81844a0,0x00000050);
    rtd_outl(0xb81844a4,0x02000200);
    rtd_outl(0xb81844a8,0x00030000);
    rtd_outl(0xb81844b0,0x00000050);
    rtd_outl(0xb81844b4,0x01c30200);
    rtd_outl(0xb81844b8,0x0002073b);
    rtd_outl(0xb81844c0,0x00000050);
    rtd_outl(0xb81844c4,0x01710200);
    rtd_outl(0xb81844c8,0x00020635);
    rtd_outl(0xb81844d0,0x00000050);
    rtd_outl(0xb81844d4,0x011f0200);
    rtd_outl(0xb81844d8,0x0002052f);
    rtd_outl(0xb81844e0,0x00000050);
    rtd_outl(0xb81844e4,0x02000200);
    rtd_outl(0xb81844e8,0x0003052f);
    rtd_outl(0xb81844f0,0x00000050);
    rtd_outl(0xb81844f4,0x00000200);
    rtd_outl(0xb81844f8,0x00010666);
    rtd_outl(0xb8184500,0x00000050);
    rtd_outl(0xb8184504,0x00000200);
    rtd_outl(0xb8184508,0x00010666);
    rtd_outl(0xb8184510,0x00000050);
    rtd_outl(0xb8184514,0x00000200);
    rtd_outl(0xb8184518,0x00010666);
    rtd_outl(0xb8184520,0x02000000);
    rtd_outl(0xb8184524,0x00000100);
    rtd_outl(0xb8184528,0x02000000);
    rtd_outl(0xb818452c,0x00020140);
    rtd_outl(0xb8184600,0x00000001);
    rtd_outl(0xb8184604,0x7da8d4ff);
    rtd_outl(0xb8184608,0x2d333952);
    rtd_outl(0xb818460c,0x00000028);
    rtd_outl(0xb8184614,0x1e28323c);
    rtd_outl(0xb8184618,0x00000a14);
    rtd_outl(0xb818461c,0x00000000);
    rtd_outl(0xb8184620,0x2dff0000);
    rtd_outl(0xb8184624,0x000304b8);
    rtd_outl(0xb8184630,0x00000001);
    rtd_outl(0xb8184634,0xffff0000);
    rtd_outl(0xb8184638,0x00030000);
    rtd_outl(0xb8184640,0x00000001);
    rtd_outl(0xb8184644,0x00000001);
    rtd_outl(0xb8184648,0x47350000);
    rtd_outl(0xb818464c,0x000300c0);
    rtd_outl(0xb8184650,0x00000001);
    rtd_outl(0xb8184654,0x30600000);
    rtd_outl(0xb8184658,0x000302e4);
    rtd_outl(0xb8184660,0x60402000);
    rtd_outl(0xb8184664,0xe0c0a080);
    rtd_outl(0xb8184668,0x000000ff);
    rtd_outl(0xb8184710,0x00000001);
    rtd_outl(0xb8184714,0x00500000);
    rtd_outl(0xb8184718,0x00400080);
    rtd_outl(0xb818471c,0x00000040);
    rtd_outl(0xb8184720,0x30000333);
    rtd_outl(0xb8184730,0x00000000);
    rtd_outl(0xb8184734,0x000a0000);
    rtd_outl(0xb8184738,0x230f0a03);
    rtd_outl(0xb818473c,0x000a0000);
    rtd_outl(0xb8184740,0x32231405);
    rtd_outl(0xb8184744,0x00400020);
    rtd_outl(0xb8184750,0x00000000);
    rtd_outl(0xb8184754,0x80801008);
    rtd_outl(0xb8184758,0x10808080);
    rtd_outl(0xb818475c,0x00000008);
    rtd_outl(0xb8184760,0x40ffffff);
    rtd_outl(0xb8184764,0x8080ffff);
    rtd_outl(0xb8184774,0x00000080);
    rtd_outl(0xb8184780,0x00000001);
    rtd_outl(0xb8184784,0x10100000);
    rtd_outl(0xb8184788,0x01ff01ff);
    rtd_outl(0xb8186020,0x00000001);
    rtd_outl(0xb8186024,0x00000010);
    rtd_outl(0xb8186028,0x00400080);
    rtd_outl(0xb818602c,0xff1c2020);
    rtd_outl(0xb8186030,0xff1c2020);
    rtd_outl(0xb8186100,0x01000001);
}

void env_Panel_ID_Error_Save(void){

    //if the same ,need check Panel_ID again.
    char sPanelID_Index[32] = {0};
    int PanelIDErr_cnt = 0;
    char value2_s[9]={0};
    UINT32 val=0;

    if(CusApi_env_readEnvTxtFile(PANELIDERROR_ENV_FILE_NAME, PANELID_INDEX, sPanelID_Index) != 0){
        printf("Can't read panel_id from xxxx");
        return ;//false;
    }

    PanelIDErr_cnt = simple_strtoul(sPanelID_Index, NULL, 10);
    printf("--PanelIDErr_cnt = %d--\n",PanelIDErr_cnt);
    val = PanelIDErr_cnt + 1;

    sprintf(value2_s, "%d",val);
    CusApi_env_writeEnvFile(6, PANELID_INDEX,value2_s );

}

void PanelId_NoMatchHandler(void){
    printf("--TCon read 3 times error --\n");
    if(boot_power_on_mode != POWER_OFF){
        BOOT_STDWN_RTRY_CNT = CusApi_Bootparam_STDWN_RTRY_Reset(false);
        env_Panel_ID_Error_Save();
    }
    setID_Match(0);
    IO_Set(PIN_LVDS_ON_OFF, 0);
    IO_Set(PIN_BL_ON_OFF, 0);
}

extern void rtd_part_outl(unsigned int addr, unsigned int B, unsigned int C, unsigned int D);

static void pre_panel_lvds_tx(void)//copy from /bootcode/uboot/customer/tv002/panel.c static void panel_lvds_tx(void)
{
    printf("\033[1;33m pre_panel_lvds_tx \033[m\n");

    //---------------------------------------------------------------------------------------------------------------------------------
    //SFG: DH_ST_END = 0x008C080C, DTG_HS_Width = 16, DTG_VS_Width = 6
    //---------------------------------------------------------------------------------------------------------------------------------

    // ----------------------- Insert Dummy Line Function & Auto Config SFG Timing Gen -----------------------	
    rtd_outl(0xb802D988, 0x40000000);	// bypass SFG disable[31], auto config sfg timing gen [30], insert dummy line[22:20]/[18:16]/[14:12]/[10:8], downsample v disable [0]
    	
    // ----------------------- SFG Timing -----------------------	
    rtd_outl(0xb802D900, 0x01101840);	// tcon_clk=dclk [27], sfg_clk=dclk [26], SFG_OSD path disable[25], SFG path enable [24], 
    //fixed DTG last line hsync period [22], any to any subpixel disable [21], PIF clk selection epi/lvds [18], 
    //pre rb swap disable[17], display 24bit RGB mode[13:12], dclk/aclk enable [6], post rb swap disable[5], 
    rtd_outl(0xb802D9B8, 0x00000000);	// PIF clock enable / disable control (LVDS/LVDS[31], EPI[30], Vby1[29], Vby1 OSD[28], P2P[15], iSP[14], USIT[13]), Data inverse disable [16],
    rtd_outl(0xb802D950, 0x03170017);   //SN spec Dv_den_sta[13:0] = 23 Dv_den_end[29:16] = 768+23 //0x030A000A	// Dv_den_end[29:16] = 778, Dv_den_sta[13:0] = 10
    rtd_outl(0xb802D954, 0x05C60070);	// Dh_den_end[29:16] = 1478, Dh_den_sta[13:0] = 112
    rtd_outl(0xb802D958, 0x050F0C2F);	// Dv_width[31:24] = 5, Dh_width[23:16] = 15, Dh_total[12:0] = 3119
    rtd_outl(0xb802D99C, 0x0AAC0000);	// Final Line Length[28:16] = 2732
    rtd_outl(0xb802D9A0, 0x00000000);	// Residue_pix_split_mode[18:16], Final_addr_split_mode[12:0],
    rtd_outl(0xb802D9A4, 0x00700C28);	// hs_den_io_dist (auto config)[28:16], hs_io_dist (auto config)[12:0]
    rtd_outl(0xb802D98C, 0x00000000);	// hsync_width(auto config)[23:16], hsync_delay(auto config)[15:0]
    rtd_outl(0xb802D990, 0x00000300);	// Hs_distance (for DRD&RGB Split mode) [29:16], vsync_end(auto config)[15:8], vsync_start(auto config)[7:0]
    rtd_outl(0xb802D994, 0x00000000);	// sfg_dh_den_sta (auto config)[31:16], req_start (auto config)[15:0]
    	
    // ------------------------ Force SFG Data as background color -------------------------	
    rtd_outl(0xb802D928, 0x00000000);	// bypass sfg data[31], dif background R [29:30], G[19:10], B[9:0]
    rtd_outl(0xb802D904, 0x01FFF000);	// PIF_Clock = Dclk / (1+1) [27:24], Force A~P port to background enable [23][22]...[8]
    	
    // ------------------------ SFG Control -------------------------	
    rtd_outl(0xb802D964, 0x00000101);	// SFG normal mode[29:28], 1 pixel mode[17:16], 1+1 Segment[12:8], H-Flip disable[7], 1+1 Port[4:0]
    rtd_outl(0xb802D910, 0x00000003);	// CRC normal mode[31], CRC continuous mode [1], CRC control start[0]
    	
    // -------------------------- Segment Setting ---------------------------	
    rtd_outl(0xb802D968, 0x00000000);	// Seg 0 Start [28:16] = 0, Seg 1 Start [12:0] = 0
    rtd_outl(0xb802D998, 0x00000000);	// Segment 15~0 Flip [15][14]K[0]
    rtd_outl(0xb802DA94, 0x00000000);	// Line 0 last segment start [28:16] = 0, Line 1 last segment start [12:0] = 0
    rtd_outl(0xb802DA98, 0x00000000);	// Line 2 last segment start [28:16] = 0, Line 3 last segment start [12:0] = 0
    rtd_outl(0xb802DBE0, 0x00000000);	// Line 4 last segment start [28:16] = 0, Line 5 last segment start [12:0] = 0
    rtd_outl(0xb802DBE4, 0x00000000);	// Line 6 last segment start [28:16] = 0, Line 7 last segment start [12:0] = 0
    	
    // -------------------------- Zig-Zag Mode ---------------------------	
    rtd_outl(0xb802D92C, 0x00000000);	// 8n+0~8n+3 line ZZ mode control
    rtd_outl(0xb802DBA8, 0x00000000);	// 8n+4~8n+7 line ZZ mode control
    	
    // -------------------------- Add Segment dummy front / back pixels or mid subpixel ---------------------------	
    rtd_outl(0xb802D930, 0x00000000);	// Seg 0 / Seg 1 Line 0~3 front/back dummy pixel number
    rtd_outl(0xb802D9E8, 0x00000000);	// Seg 0 / Seg 1 place and number of middle dummy subpixel
    rtd_outl(0xb802DA1C, 0x00000000);	// front/back/middle dummy content [28], double buffer[20]
    	
    // -------------------------- SFG_Pattern Generate ---------------------------	
    rtd_outl(0xb802DBF0,0x0AA05F00);	// width[28:20] = 169+1, height[16:8] = 95+1, [5] pattern reset by hs, [3] rgb mode, [2:1] v color bar, [0] SFG ptn gen disable
    rtd_outl(0xb802DBF4,0x00FFFFFF);	// color bar 0 content W[31:24], R[23:16], G[15:8], B[7:0]
    rtd_outl(0xb802DBF8,0x00FFFF00);	// color bar 1 content W[31:24], R[23:16], G[15:8], B[7:0]
    rtd_outl(0xb802DBFC,0x0000FFFF);	// color bar 2 content W[31:24], R[23:16], G[15:8], B[7:0]
    rtd_outl(0xb802DC00,0x0000FF00);	// color bar 3 content W[31:24], R[23:16], G[15:8], B[7:0]
    rtd_outl(0xb802DC04,0x00FF00FF);	// color bar 4 content W[31:24], R[23:16], G[15:8], B[7:0]
    rtd_outl(0xb802DC08,0x00FF0000);	// color bar 5 content W[31:24], R[23:16], G[15:8], B[7:0]
    rtd_outl(0xb802DC0C,0x000000FF);	// color bar 6 content W[31:24], R[23:16], G[15:8], B[7:0]
    rtd_outl(0xb802DC10,0x00000000);	// color bar 7 content W[31:24], R[23:16], G[15:8], B[7:0]
    	
    // -------------------------- PIF FIFO Control ---------------------------	
    rtd_outl(0xb802DC94,0x00000000);	// PIF_FIFO disable[31], TX PHY LVDS/mLVDS mode[30:28]
    rtd_outl(0xb802DC98,0x9C00FFFF);	// PIF_FIFO auto reset enable [31] ,Lane 15~0 [15:0] enable / disable control
    rtd_outl(0xb802DC9C,0x654321FF);	// Lane 7~0 pair assign
    rtd_outl(0xb802DCA0,0xFFFFFFFF);	// Lane 15~8 pair assign
    rtd_outl(0xb802DCC8,0x00003FFC);	// 16 lane video[30:28], phy lane15~0 enable / disable control [15:0]
    rtd_outl(0xb802DCD0,0x000000FC);	// Lane 15~0  [15:0] PN swap disable / enable control
    	
    rtd_part_outl(0xb802D900, 11, 11, 0x1);	// SFG out enable

    //---------------------------------------------------------------------------------------------------------------------------------
    //DISP_IF
    //---------------------------------------------------------------------------------------------------------------------------------
    rtd_outl(0xb802D008, 0x00005000);	// LVDS A/B Port Disable, LSB First, LVDS format use Table1,

    //---------------------------------------------------------------------------------------------------------------------------------
    //VBy1 APHY  4K60 package must using PP mode for lane0~lane11, 4K120 package using LVDS mode for Lane2~Lane13
    //---------------------------------------------------------------------------------------------------------------------------------
    rtd_outl(0xb8000CC0, 0x00000000);	// Lane Power disable,
    rtd_outl(0xb8000C74, 0x80000000);	// GLOBAL_POW_EN(1),
    rtd_outl(0xb8000C00, 0x30030020);	// PI_A1(Phase16), PI_A2(Phase16), VBG,
    rtd_outl(0xb8000C04, 0x30030020);	// PI_B1(Phase16), PI_B2(Phase16),
    rtd_outl(0xb8000C08, 0x03080100);	// PI_AB(Phase0), LDO_1V = 0.988V, DIVB(1),
    rtd_outl(0xb8000C0C, 0x0005E3B0);	// Small KVCO, Bypass PI, CKREF_INV(0), PLL_ICP<2:0>, PLL_SC1, PLL_SC2, PLL_SR,
    rtd_outl(0xb8000C10, 0x0A001000);	// CK1X_INV(0), CK20X_INV(0), MACPLL_CKO_INV(0), PRESCALERDIV_LS(2), EPI_DIVM(7),
    rtd_outl(0xb8000C14, 0x00000000);	// Normal VCO, PLL Test PAD select, PLL_ICP<3>,
    rtd_outl(0xb8000C18, 0x00000002);	// TXPLL use LVDS/mLVDS feedback path,
    rtd_outl(0xb8000C20, 0x00000200);	// TXPLL_EN(1), TXPLL_RSTN(0),
    rtd_outl(0xb8000C50, 0x01F48000);	// IBN Current, VCM Level, LDO1V_EN(1), VCM_SHIFT_DOWN(0),
    rtd_outl(0xb8000C78, 0x00000000);	// CKIN_DIVN(2),

    //rtd_outl(0xb8000D00, 0x33002314);	// Lane0 : LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17)
    //rtd_outl(0xb8000D10, 0x33002314);	// Lane1 : LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17)
    rtd_outl(0xb8000D20, 0x33002708);	// Lane2 : LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17) 
    rtd_outl(0xb8000D30, 0x33002708);	// Lane3 : LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17) 
    rtd_outl(0xb8000D40, 0x33002708);	// Lane4 : LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17) 
    rtd_outl(0xb8000D50, 0x33002708);	// Lane5 : LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17) 
    rtd_outl(0xb8000D60, 0x33002708);	// Lane6 : LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17) 
    //rtd_outl(0xb8000D70, 0x33002314);	// Lane7 : LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17) 
    //rtd_outl(0xb8000D80, 0x33002314);	// Lane8 : LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17) 
    //rtd_outl(0xb8000D90, 0x33002314);	// Lane9 : LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17) 
    //rtd_outl(0xb8000DA0, 0x33002314);	// Lane10: LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17) 
    //rtd_outl(0xb8000DB0, 0x33002314);	// Lane11: LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17) 
    //rtd_outl(0xb8000DC0, 0x33002314);	// Lane12: LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17)
    //rtd_outl(0xb8000DD0, 0x33002314);	// Lane13: LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17)
    //rtd_outl(0xb8000DE0, 0x33002314);	// Lane14: LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17)
    //rtd_outl(0xb8000DF0, 0x33002314);	// Lane15: LS Mode, PI_SEL(PI_DM), SR_SEL(0), TERM_SEL, IDRV_SEL(17)
    //
    //                                                                                               
    //rtd_outl(0xb8000D04, 0x44000006);	// Lane0 : CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    //rtd_outl(0xb8000D14, 0x44000006);	// Lane1 : CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    rtd_outl(0xb8000D24, 0x44000003);	// Lane2 : CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    rtd_outl(0xb8000D34, 0x44000003);	// Lane3 : CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    rtd_outl(0xb8000D44, 0x44000003);	// Lane4 : CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    rtd_outl(0xb8000D54, 0x44000003);	// Lane5 : CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    rtd_outl(0xb8000D64, 0x44000003);	// Lane6 : CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    //rtd_outl(0xb8000D74, 0x44000006);	// Lane7 : CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    //rtd_outl(0xb8000D84, 0x44000006);	// Lane8 : CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    //rtd_outl(0xb8000D94, 0x44000006);	// Lane9 : CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    //rtd_outl(0xb8000DA4, 0x44000006);	// Lane10: CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    //rtd_outl(0xb8000DB4, 0x44000006);	// Lane11: CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    //rtd_outl(0xb8000DC4, 0x44000006);	// Lane12: CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    //rtd_outl(0xb8000DD4, 0x44000006);	// Lane13: CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    //rtd_outl(0xb8000DE4, 0x44000006);	// Lane14: CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,
    //rtd_outl(0xb8000DF4, 0x44000006);	// Lane15: CKMX_INV(0), IEM_EN(1), RT_EN(1), RP_EN(0), IEM_SEL,

    //
    //rtd_outl(0xb8000D08, 0x0000000A);	// Lane0 : PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),
    //rtd_outl(0xb8000D18, 0x0000000A);	// Lane1 : PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),
    rtd_outl(0xb8000D28, 0x0000000A);	// Lane2 : PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),
    rtd_outl(0xb8000D38, 0x0000000A);	// Lane3 : PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),
    rtd_outl(0xb8000D48, 0x0000000A);	// Lane4 : PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),
    rtd_outl(0xb8000D58, 0x0000000A);	// Lane5 : PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),
    rtd_outl(0xb8000D68, 0x0000000A);	// Lane6 : PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),
    rtd_outl(0xb8000D78, 0x0000000A);	// Lane7 : PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),
    rtd_outl(0xb8000D88, 0x0000000A);	// Lane8 : PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),
    rtd_outl(0xb8000D98, 0x0000000A);	// Lane9 : PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),
    rtd_outl(0xb8000DA8, 0x0000000A);	// Lane10: PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),
    rtd_outl(0xb8000DB8, 0x0000000A);	// Lane11: PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),        
    rtd_outl(0xb8000DC8, 0x0000000A);	// Lane12: PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),
    rtd_outl(0xb8000DD8, 0x0000000A);	// Lane13: PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),
    //rtd_outl(0xb8000DE8, 0x0000000A);	// Lane14: PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),
    //rtd_outl(0xb8000DF8, 0x0000000A);	// Lane15: PI_SEL(PI_DM), DIFF_PULL_LOW(0), CMFB_EN(1), DRV_MODE_SEL(PP_MODE),

    //---------------------------------------------------------------------------------------------------------------------------------
    //Initial Flow
    //--------------------------------------------------------------------------------------------------------------------------------
    // (1) DPLL Power Enable  (As above Script)
    //
    // (2) Wait DPLL stable at least 150us (SW Control)
    //
    // (3) Release DCLK Gating (SW Control)
    //
    // (4) TXPLL power up TXPLL during reset state (As above Script)
    //
    // (5) TXPLL reset release (Below Setting)
    rtd_part_outl(0xb8000C20, 10, 10, 0x1);
    //
    // (6) Wait TXPLL stable at least 150us (SW Control)
    //
    // (7) LVDS/mLVDS Clock Enable (Below Setting)
    rtd_outl(0xb802D9B8, 0x80000000);
    //
    // (8) LVDS MAC Enable (Below Setting)
    rtd_part_outl(0xb802D008, 7, 4, 0xC);
    //
    // (9) Enable Async FIFO,
    rtd_part_outl(0xb802DC94, 31, 31, 0x1);
    //
    // (10) APHY Lane Power Enable (Below Setting)
    rtd_outl(0xb8000CC0, 0x00003FFC);
    //
    // (11) Panel Power Enable (SW Control),

}



uchar env_setup_env_panel_sn(uchar *panel_filename)
{
    char *raw_ptr = NULL;
    uint parameter_len = 0;
    unsigned long long value = 0;
    bool mForceEnterSuspend = false;
    unsigned char mWakeSource =SOR_UNDEF;
    unsigned char mPowerMode = 0;
    unsigned char mShutDown = 0;
    char Tcon_ReadCnt = 0;
    char Tcon_SeriesCnt = 0;
    char Tcon_Status = 0;
    char TconReadFail = 0;


#if defined(Config_Boot_Flash_Type_is_SPI)
	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
#if defined(CONFIG_FSW)
	fsw_emmc_bootup = 0;
	fsw_spi_bootup = 1;
	//CusApi_env_selectModelEnvFile();
#endif
#else
#if defined(CONFIG_FSW)
	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
	fsw_spi_bootup = 0;
	if(rtk_plat_run_rescue_from_eMMC(SYS_PARAM_FACTORY_EEPROM_START>>9) == 0)
		fsw_emmc_bootup = 1;
	else
		fsw_emmc_bootup = 0;
	printf("[trace code] fsw_emmc_bootup = %d\n", fsw_emmc_bootup);
	printf("[trace code] fsw_spi_bootup = %d\n", fsw_spi_bootup);
	if (fsw_emmc_bootup == 0)
		CusApi_env_selectModelEnvFile();
#endif
#endif

#ifdef Config_EXT4_Load_TvConfigs_TRUE
    syncTvConfigWithModelEnv();
#endif
	PanelID_Out_list=0;
	setID_Match(1);

    mPowerMode = CusApi_get_bootparam_PowerMode();

    if((boot_ac_on == 0) && (mPowerMode == 0)){
        mShutDown = CusApi_get_bootparam_SHUTDOWN();
        if(mShutDown == 0){
            mWakeSource = powerMgr_get_wakeup_source()&0xff;
            printf("--mWakeSource =%d--\n",(int)mWakeSource);
            if(!((mWakeSource > SOR_UNDEF) && (mWakeSource < SOR_MAX)))
                mForceEnterSuspend = true;
        }
    }

    printf("\nboot_ac_on=%d, mPowerMode=%d,mShutDown=%d,mForceEnterSuspend=%d\n",boot_ac_on,mPowerMode,mShutDown,mForceEnterSuspend);

    if((boot_ac_on) && (mPowerMode == 0)){
        boot_power_on_mode = POWER_OFF;
    }else if((boot_ac_on == 0) && (mPowerMode == 0) && (mForceEnterSuspend == true)){
        boot_power_on_mode = POWER_OFF;
    }else{
        if (pcb_mgr_get_enum_info_byname("PIN_LEDS_0", &value) == 0)
        {
            printf("--SetWLED_High--\n");
            IO_Set(value, 1);
        }
    }

    if(CusApi_get_bootparam_recovery_status()){
        printf("\n------------Recovery status power on------\n");
        boot_power_on_mode = POWER_ON;
        if (pcb_mgr_get_enum_info_byname("PIN_LEDS_0", &value) == 0)
        {
            printf("--SetWLED_High--\n");
            IO_Set(value, 1);
        }
    }

     if(boot_ac_on){
        CusApi_Bootparam_STDWN_RTRY_Reset(true);
     }

	int panelmode = NORMAL_MODE;
	const char *panelmodeStr = getenv("PANEL_DEBUG");
	// 0:debug 1:normal mode
	panelmode = simple_strtoul(panelmodeStr, NULL, 10);
	if(panelmode==0)
		printf("==>Attention Debug mode\n");

	printf("--panelmode=%d--\n",panelmode);

	int rtk_pn = 0;
	const char *rtk_pnStr = getenv("rtk_pn");
	rtk_pn = simple_strtoul(rtk_pnStr, NULL, 10);
	//int ret;
	unsigned int rc = 1;	/* 0:fail 1:success */
	//printf("--env_setup_env_panel_sn_01--\n");
	//printf("--panel_filename =%s--\n",panel_filename);

	//check PANEL_LESS
#ifndef CONFIG_RTKPCB
	int pin_panel_less = IO_Get(PIN_PANEL_LESS);
#ifdef CONFIG_TCON_LESS
	int pin_fbffc_top = IO_Get(PIN_FBFFC_TOP);
	int pin_fbffc_bottom = IO_Get(PIN_FBFFC_BOTTOM);
#endif
#else
	int pin_panel_less = 0;
#ifdef CONFIG_TCON_LESS
	int pin_fbffc_top = 0;
	int pin_fbffc_bottom = 0;
#endif
#endif

	printf("pin_panel_less =%d\n",pin_panel_less);

        unsigned char data[32] = {0};
        char t_con_id[32] = {0};
        unsigned char regAddr[2] = {0,0xE0};
        int len;
        int ret;
        len =16;

        bool hwSelf_PanelIDError_Enable = true;
        if(boot_power_on_mode != POWER_OFF){
            if(env_getShutdownDisable() == true){
                printf("shutdown_disable_value =%d\n",shutdown_disable_value);
                if(((shutdown_disable_value & 0x08) == 0x08) || (pin_panel_less == 1))
                    hwSelf_PanelIDError_Enable = false;
            }
        }else{
            pin_panel_less = 1;
            TconReadFail = 1;
        }

	//I2C_Init();
        if((panelmode==NORMAL_MODE)&&(pin_panel_less==0)){
            //T-con power on
            int VBO_WAIT = env_getVBOWait_Value();
            int _12V_WAIT = env_get12VWait_Value();
            int EDID_WAIT = env_getEDIDWait_Value();
            int V_IF_FORMAT = env_getVIFFormat_Value();
			
#if defined(CONFIG_FSW)
            if(fsw_spi_bootup || fsw_emmc_bootup)
            {
                if(get_ddr_size() == 0x60000000)
                {
                    // DDR3	// 2k
                    VBO_WAIT = 2;
                    _12V_WAIT = 0;
                    EDID_WAIT = 4;
                    V_IF_FORMAT = 7;
                }
                else
                {
                    // 4k
                    VBO_WAIT = 10;
                    _12V_WAIT = 0;
                    EDID_WAIT = 40;
                    V_IF_FORMAT = 0;
                }
            }
#endif
            if(boot_power_on_mode != POWER_OFF){
                printf("[PowSeq] _12V_WAIT=%d\n", _12V_WAIT);
                if(_12V_WAIT > 0){
                    mdelay(_12V_WAIT * 10);
                }
                IO_Set(PIN_LVDS_ON_OFF, 1);
                printf("[PowSeq] EDID_WAIT=%d\n",EDID_WAIT);
                if(EDID_WAIT > 0){
                    mdelay(EDID_WAIT * 5);
                }
            }
            //read NVM

            I2C_SetSpeed( TCON_I2C , 400 );
            printf("[PowSeq] VBO_WAIT=%d\n", VBO_WAIT);
            if(VBO_WAIT > 0){
                int vbo_wait_time = (VBO_WAIT *10) -(EDID_WAIT * 5);
                if(vbo_wait_time > 0)
                {
                    mdelay(vbo_wait_time);
                }
            }
            //From customer need use Video I/F format from panel.bin to judge for 4K/2K
            //Output Video format
            //0:Vx1, 1:EPI(LGD), 2:CEDS(BOE), 3:CHPI(BOE), 4:CMPI(Innolux), 5:CSPI(CSOT), 6:iSP(AUO), 7:LVDS
            if(V_IF_FORMAT == 7)
            {
                printf("[PowSeq] 2K LVDS panel power sequence requirement\n");
                pre_panel_lvds_tx();
            }

            Tcon_ReadCnt = PanelID_MaxCnt;
            Tcon_Status = panelID_Match;
            do{
                //printf("Tcon_ReadCnt =%d\n",Tcon_ReadCnt);
                if(I2C_Read_EX(TCON_I2C, NVM_ADDR , 2, regAddr, len, data) ==  S_OK){
                    if(Tcon_Status != panelID_Match){
                        Tcon_SeriesCnt = 1;
                        Tcon_Status = panelID_Match;
                    }else{
                        Tcon_SeriesCnt ++;
                    }
                    if(Tcon_SeriesCnt == PanelID_JudgeCnt){
                        printf("--TCon read 3 times ok --\n");
                        break;
                    }
                }else{
                    if(Tcon_Status != panelID_NoMatch){
                        Tcon_SeriesCnt = 1;
                        Tcon_Status = panelID_NoMatch;
                    }else{
                        Tcon_SeriesCnt ++;
                    }
                    if(Tcon_SeriesCnt == PanelID_JudgeCnt){
                        TconReadFail=1;
                        if(hwSelf_PanelIDError_Enable == true){
                            PanelId_NoMatchHandler();
                        }else{
                            printf("==bypass Tcon 3 times error handle==\n");//follow Panel Detection spec
                        }
                        break;
                    }
                }
                Tcon_ReadCnt --;
            }while(Tcon_ReadCnt > 0);

            if((Tcon_SeriesCnt != PanelID_JudgeCnt) && (Tcon_ReadCnt == 0)){
                printf("==Tcon read no same value 3 times in a row==\n");
                if(hwSelf_PanelIDError_Enable == true)
                    PanelId_NoMatchHandler();
                TconReadFail=1;
            }

            sprintf(t_con_id, "%s", data);
            printf("Panel ID :%s\n",t_con_id);

        }
#ifdef CONFIG_TCON_LESS
	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
	if(pin_fbffc_top==1 && pin_fbffc_bottom==0)
	{
		// Cross FFC insertion
		printf("Cross FFC insertion !!!\n");
		setID_Match(0);
		IO_Set(PIN_LVDS_ON_OFF, 0);
		IO_Set(PIN_BL_ON_OFF, 0);
	}
#endif

#if defined(PANEL_CONFIG_FROM_FACTORY_PANEL_BIN) || defined(CONFIG_CUSTOM_SN_PANEL)

	int file_len = 0;
#endif

	int i = 0;
	#if 1

	#endif
	//printf(" \n");
	char tmp_str[3] = {0};
	char *raw1 = NULL;
	char *raw2 = NULL;
	char *raw3 = NULL;
	char *raw4 = NULL;
	char *raw5 = NULL;
#if 0
	char *raw6 = NULL;
	char *raw7 = NULL;
	char *raw8 = NULL;
	char *raw9 = NULL;

	char *raw10 = NULL;
	char *raw11 = NULL;
	char *raw12 = NULL;
	char *raw13 = NULL;
	char *raw14 = NULL;
	char *raw15 = NULL;
	//char *raw16 = NULL;
#endif



#ifdef CONFIG_REALTEK_EERPOM_TV010_A
	__attribute__ ((unused)) char  Eep_panelID = 0,EepPanelName[sizeof(default_panel_parameter.sPanelName)],curPanelName[sizeof(default_panel_parameter.sPanelName)];
#if defined(CONFIG_EPI_CONVERT_VBY1_TEST) && defined(Config_Board_TV010_PANEL)
	unsigned long eepnamecrc=0,namecrc=0;
#endif
#endif
#if 0 // debug
	unsigned char* p;
#endif

	parameter_len = sizeof(default_panel_parameter);
	//printf("--parameter_len=%d--\n",parameter_len);
#if defined(CONFIG_EPI_CONVERT_VBY1_TEST) && defined(Config_Board_TV010_PANEL)
	int EpiTestPinStatus =	IO_Get(PIN_EPI_TEST_DETECT);
#endif

	if (panel_filename == NULL) // set default value
	{
		//printf("\n\033[1;41<<<<<<<<<<panel_filename NULL>>>>>>>>>>\033[m");
		env_panel_set_default();
		printf("Panel: %s\n", default_panel_parameter.sPanelName);
	}
	else
	{
#ifdef CONFIG_PANEL_SHARP_60_MEMC
		//reset to default panel
		env_panel_set_default();
#else //#ifdef CONFIG_PANEL_SHARP_60_MEMC

//#ifdef PANEL_CONFIG_FROM_FACTORY_PANEL_BIN
#if defined(PANEL_CONFIG_FROM_FACTORY_PANEL_BIN) || defined(CONFIG_CUSTOM_SN_PANEL)

		/* read panel parameter from factory */

		if ((factory_read((char *)panel_filename, &raw_ptr, &file_len) == 0) && file_len == parameter_len) {
			memcpy(&default_panel_parameter, raw_ptr, sizeof(default_panel_parameter));


		//printf("PanelIDString %x\n",default_panel_parameter.snInfo.PanelIDString[0]);
		//printf("PanelIDString %x\n",default_panel_parameter.snInfo.PanelIDString[1]);

		int panel_less_idx = env_getPanelessIndex();
		printf("panel_less_idx =%d\n",panel_less_idx);

		//int Chassis = env_getChassis();
		//printf("Chassis =%d\n",Chassis);

		if((panelmode==NORMAL_MODE)	&&(TconReadFail==0)){
			if(0){//if(strncmp(default_panel_parameter.snInfo.PanelIDString, t_con_id,16) == 0){
				//printf("the same ID =%s\n",t_con_id);
			}
			else{
					UINT32 tmpPanelCnt=0;

					PANEL_CONFIG_PARAMETER Tmp_panel_setting;

					char *raw_ptr_s = NULL;
					char *raw_ptr_p = NULL;
					UINT8 select =0;
					PANEL_ID_INFO matchInfo[16];
					int matchCnt=0;
					int SettingStep=0;
					int j=0;

					memset(&matchInfo, 0, sizeof(PANEL_ID_INFO));
					int panelIdxCheck=0xFF;

					int getChassis=0;
					getChassis=env_getChassis();

					char value2_s[9]={0};
					UINT32 val=0;
					//printf("--getChassis=%d--\n",getChassis);

					if ((factory_ro_read((char *)SN_PANEL_BIN_FILE, &raw_ptr_s, &file_len) == 0)) {

						//printf("sn_panel.bin size =%d byte.--\n",file_len);

						//shift header+PN_BLOCK_SIZE size

						raw_ptr_p=raw_ptr_s+PN_HEADER_SIZE;
						memcpy(&Tmp_panel_setting.snInfo.Panel_Number,raw_ptr_p+16, sizeof(UINT32));

						tmpPanelCnt =Tmp_panel_setting.snInfo.Panel_Number;
						//printf("Panel Number =%d\n",tmpPanelCnt);

						if(pin_panel_less==1){// panel less flow.

								panel_less_idx = env_getPanelessIndex();
								select =panel_less_idx;
								printf("panel_less_idx =%d\n",panel_less_idx);
								raw_ptr_p = raw_ptr_s+PN_HEADER_SIZE+select*PN_BLOCK_SIZE;

								//check id
								if(default_panel_parameter.snInfo.PanelIndex!=select){
									char buf[4]={0};

									sprintf(buf,"%d",select);
									setenv("PANEL_SELECT", strim(buf));
									//select= Tmp_panel_setting.snInfo.PanelIndex;
									//struct arrange
									env_panel_set_parameter(select);
									env_struct_arrange(select,raw_ptr_p);
#ifdef CONFIG_CUSTOM_PQ_SELECT
				                                printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
				                                // 0: Model_Env.txt
				                                // 1: Dynamic_Env.txt
				                                // 2: PnCommon.txt
									val = default_panel_parameter.snInfo.PanelIndex;
									sprintf(value2_s, "%d",val);
									CusApi_env_writeEnvFile(1, PANEL_INDEX,value2_s);
									CusApi_env_writeEnvFile(1, PANEL_ID,default_panel_parameter.snInfo.PanelIDString);
#endif
									//cp to default
									//memcpy(&default_panel_parameter, &panel_setting[select], sizeof(default_panel_parameter));

									EnPnUpdate=1;
								}

						}
						else{//Normal mode flow
							for(i=0;i<tmpPanelCnt;i++){
								raw_ptr_p=raw_ptr_s+PN_HEADER_SIZE+i*PN_BLOCK_SIZE;
								memcpy(&Tmp_panel_setting.snInfo.Panel_Number,raw_ptr_p+16, sizeof(UINT32));
								memcpy(&Tmp_panel_setting.snInfo.PanelIndex,raw_ptr_p+32, sizeof(UINT8));
								memcpy(Tmp_panel_setting.snInfo.PanelIDString,raw_ptr_p+33, sizeof(char)*16);
								memcpy(&Tmp_panel_setting.snInfo.Chassis_Index,raw_ptr_p+50, sizeof(UINT8));

								//printf("i=%d  %s  %d  %d\n",i,Tmp_panel_setting.snInfo.PanelIDString
								//									 ,Tmp_panel_setting.snInfo.PanelIndex
								//									 ,Tmp_panel_setting.snInfo.Chassis_Index);

								//check Panel ID Cnt
								if(strcmp(Tmp_panel_setting.snInfo.PanelIDString, t_con_id) == 0)
								{
									strcpy(matchInfo[matchCnt].PanelIDString,t_con_id);
									matchInfo[matchCnt].searchIdx =i;
									matchInfo[matchCnt].Chassis_Index = Tmp_panel_setting.snInfo.Chassis_Index;
									matchInfo[matchCnt].PanelIndex = Tmp_panel_setting.snInfo.PanelIndex;
									printf("--save %d :%s Sd=%d  Cd=%d Pd=%d--\n",matchCnt,t_con_id,
																				  matchInfo[matchCnt].searchIdx,
																				  matchInfo[matchCnt].Chassis_Index,
																				  matchInfo[matchCnt].PanelIndex);
									matchCnt++;
								}


                                                                if(i==(tmpPanelCnt-1)){
                                                                        //printf("--finish check panel list--\n");
                                                                        if(matchCnt)
                                                                            SettingStep=1;
                                                                        else{
                                                                            printf("==Attention Panel ID out of panel list==\n");
                                                                            PanelID_Out_list=1;
                                                                            //boot_power_on_mode = POWER_OFF;  //follow  hwself spec
                                                                            setID_Match(0);
                                                                            IO_Set(PIN_LVDS_ON_OFF, 0);
                                                                        }
                                                                }
								if(SettingStep==1){
									//check Chassis & ID priority 1
									for(j=0;j<matchCnt;j++){
										if(matchInfo[j].Chassis_Index==getChassis){
											select =matchInfo[j].PanelIndex;
											printf("Chassis & ID match select=%d\n",select);
											SettingStep=2;
											break;
										}
									}

									//compare PanelIndex
									if(SettingStep==1){
										for(j=0;j<matchCnt;j++){
											if(matchInfo[j].PanelIndex < panelIdxCheck){
												panelIdxCheck =matchInfo[j].PanelIndex;
											}
											if(j==(matchCnt-1)){
												select=panelIdxCheck;
												SettingStep=2;
											}
										}
									}
								}

								if(SettingStep==2)
								{
									raw_ptr_p=raw_ptr_s+PN_HEADER_SIZE+select*PN_BLOCK_SIZE;
									//printf("--Got it --\n");
									memcpy(&Tmp_panel_setting.snInfo.Panel_Number,raw_ptr_p+16, sizeof(UINT32));
									memcpy(&Tmp_panel_setting.snInfo.PanelIndex,raw_ptr_p+32, sizeof(UINT8));
									memcpy(Tmp_panel_setting.snInfo.PanelIDString,raw_ptr_p+33, sizeof(char)*16);
									memcpy(&Tmp_panel_setting.snInfo.Chassis_Index,raw_ptr_p+50, sizeof(UINT8));

									printf("select=%d  %s  %d  %d\n",select,Tmp_panel_setting.snInfo.PanelIDString
																	 ,Tmp_panel_setting.snInfo.PanelIndex
																	 ,Tmp_panel_setting.snInfo.Chassis_Index);

									memcpy(Tmp_panel_setting.snInfo.Version_String,raw_ptr_p, sizeof(char)*16);

									//printf(" default Version_String =%s\n",default_panel_parameter.snInfo.Version_String);
									//printf("  Version_String =%s\n",Tmp_panel_setting.snInfo.Version_String);

									if(((strncmp(default_panel_parameter.snInfo.PanelIDString, t_con_id,16) != 0)
										&&(default_panel_parameter.snInfo.PanelIndex!=select))
										||(strncmp(default_panel_parameter.snInfo.Version_String, Tmp_panel_setting.snInfo.Version_String,16))){

										if(strncmp(default_panel_parameter.snInfo.Version_String, Tmp_panel_setting.snInfo.Version_String,16))
											printf("Rev %s to %s\n",default_panel_parameter.snInfo.Version_String,Tmp_panel_setting.snInfo.Version_String);
										char buf[4]={0};
										sprintf(buf,"%d",select);
										setenv("PANEL_SELECT", strim(buf));
										//select= Tmp_panel_setting.snInfo.PanelIndex;
										//struct arrange
										env_panel_set_parameter(select);
										env_struct_arrange(select,raw_ptr_p);
#ifdef CONFIG_CUSTOM_PQ_SELECT
				                                        printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
				                                        // 0: Model_Env.txt
				                                        // 1: Dynamic_Env.txt
				                                        // 2: PnCommon.txt

										val = default_panel_parameter.snInfo.PanelIndex;
										sprintf(value2_s, "%d",val);
										CusApi_env_writeEnvFile(1, PANEL_INDEX,value2_s);
										CusApi_env_writeEnvFile(1, PANEL_ID,default_panel_parameter.snInfo.PanelIDString);
#endif
										//cp to default
										//memcpy(&default_panel_parameter, &panel_setting[select], sizeof(default_panel_parameter));

										EnPnUpdate=1;
									}
									else{//the same ID & panel idx
										env_chk_dyna_panel_id();
										printf("--the same ID and Panel Idx--\n");
									}


									SettingStep=0;
								}
							}
						//printf("-----------------------------------------------\n");
						}//pin_panel_less
				}//factory_read
				else{

				}
			}//panelmode

            }else{
                    if(TconReadFail){
                        if(hwSelf_PanelIDError_Enable == false)
                           printf("bypass hwself panelId error handle\n");
                        else if(boot_power_on_mode != POWER_OFF){
                                PanelID_NoMatch = 1;
                                printf("T-CON read x3 fail\n");
                                CusApi_bootparam_PowerMode_Clear();
                                boot_power_on_mode = POWER_OFF;  //follow  hwself spec
                                setID_Match(0);
                            }
                    }else{
                        env_chk_dyna_panel_id();
                        printf("Debug mode bypass T-CON read\n");
                    }
            }



#if defined(CONFIG_EPI_CONVERT_VBY1_TEST) && defined(Config_Board_TV010_PANEL)
		strcpy(curPanelName,default_panel_parameter.sPanelName);
		vby1_aphy16_23_output = 0;
		if(EpiTestPinStatus == 0 && default_panel_parameter.iCONFIG_PANEL_TYPE == 4 )
		{
			if ((factory_read("tmp/factory/bin_panel/panel/Skyworth_Default_4K2K_VBY1_panel.bin", &raw_ptr, &file_len) == 0) && file_len == parameter_len)
			{
				memcpy(&default_panel_parameter, raw_ptr, sizeof(default_panel_parameter));
				strcpy(default_panel_parameter.sPanelName,curPanelName);
				vby1_aphy16_23_output = 1;
				//printf("\n\033[1;32m@@@@@Read Skyworth_Default_4K2K_VBY1 Ok\033[m");
			}
		}
#endif
		}
		else {
			if (file_len != 0) {
				printf("Panel: Use default config (panel.bin size is not matched)\n");
				//printf("[WARN] size of panel.bin is 0x%x\n", file_len);
				//printf("[WARN] size of default_panel_parameter is 0x%x\n", parameter_len);
			}
			else{
				printf("Panel: Use default config (%s is not found)\n", panel_filename);
			}
			//reset to default panel
			env_panel_set_default();
		}
#else
		env_panel_set_default();
#endif

#endif //#ifdef CONFIG_PANEL_SHARP_60_MEMC

		printf("\n\033[1;33m<<<<<<Panel: %s>>>>>>>>\033[m\n", default_panel_parameter.sPanelName);
		//printf("\n\033[1;33m<<<<<<parameter_len: %d >>>>>>>>\033[m\n", parameter_len);
	}
	if(rtk_pn){
		printf("\033[1;33m Enable RTK panel setting bypass sync sn_panel.bin\033[m\n");
	}
	else
		env_panel_sync();
	
#ifdef CONFIG_FSW
	if(fsw_emmc_bootup || fsw_spi_bootup)
	{
		if(get_ddr_size() == 0x60000000)
		{
			// DDR3
			default_panel_parameter.iCONFIG_PANEL_TYPE = P_LVDS_2K1K;
			boot_panel_type = P_LVDS_2K1K;
		}
	}
#endif

#ifndef IS_FPGA
#if 1	//pcbmgr not ready, fix it later.
#ifdef CONFIG_FSW
    if(fsw_emmc_bootup || fsw_spi_bootup)
    {
        boot_power_on_mode = BACKLIGHT_OFF;
        drvif_color_VPQ_SIP_TOP_CLK();
        //drvif_color_VPQ_SIP_1_init(); follow sony request
        SRS_Demura_INIT();
    }

#endif
    if (boot_power_on_mode == POWER_ON)
    {

        drvif_color_VPQ_SIP_TOP_CLK();
        //drvif_color_VPQ_SIP_1_init(); follow sony request
        SRS_Demura_INIT();
        if (pcb_mgr_get_enum_info_byname("PIN_BL_ON_OFF", &value) == 0)
        {
#ifdef CONFIG_CUSTOM_SN_PANEL
            //#define BL_WAIT_LOGO 0x32
            UINT16 BL_wait_logo= 0x32;
            BL_wait_logo=default_panel_parameter.snInfo.BL_WAIT_LOGO;

            printf("BL_wait_logo=%d\n",BL_wait_logo);
            if(IsID_Match()){
                int WAIT_CheckTime = -1;
                IO_Set(value, 1);
                //BL_wait_logo to panel_init_2nd BL_CUR_FREQ about 1140ms
                WAIT_CheckTime = ((BL_wait_logo*10) - 1140);
                if(WAIT_CheckTime > 0)
                    mdelay(WAIT_CheckTime);
            }
#else
            IO_Set(value, 1);
#endif
        }
    }
#else
    rtd_outl(0xb8061100, 0x00030000);	// Set GPIO16_ST(PANEL_EN) & GPIO17_ST(BL_EN) as GPO
    rtd_outl(0xb8061108, 0x00010000);	// Set GPIO16_ST output High
#endif
#endif


#ifdef CONFIG_CUSTOM_PQ_SELECT
#if 0
	char parameter[64] = {0};
//	printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
	ret = CusApi_env_get_PQ_file_name(parameter);
//	printf("[trace code] PQ_file_name = %s\n", parameter);
	if(ret)
	{
//		printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
		ret = check_PQ_file_current_status(parameter);
		ret = check_PQ_extend_file_current_status(parameter);
	}
	else
	{
//		printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
		ret = check_PQ_file_current_status(default_panel_parameter.sPanelName);
		ret = check_PQ_extend_file_current_status(default_panel_parameter.sPanelName);
	}
#else
	ret = true;
#endif


#if  defined(Config_Boot_Flash_Type_is_SPI)
#if 0	// CVT
	rtd_maskl(0xb8060220,0xFFFFFF0F, 0x000000F0);	// I2S 0xB8060220[7:4] = 0xF
	rtd_maskl(0xb8060228,0xFF0FFFFF, 0x00F00000);	// 0xB8060228[23:20] = 0xF
#else	// CVT2
	rtd_maskl(0xb800081C,0xFFFFFF0F, 0x000000F0);	// I2S 0xB800081C[7:4] = 0xF
	rtd_maskl(0xb8000818,0xFF0FFFFF, 0x00F00000);	// 0xB8000818[23:20] = 0xF
#endif
#else

#if 1
#if 0
	char *dst_addr;
	int dst_length;
	if(factory_ro_read("tmp/factory_ro/avb.bin", &dst_addr, &dst_length))
	{
		// for emmc fsw bootup
		// CVT2
		rtd_maskl(0xb800081C,0xFFFFFF0F, 0x000000F0);	// I2S 0xB800081C[7:4] = 0xF
		rtd_maskl(0xb8000818,0xFF0FFFFF, 0x00F00000);	// 0xB8000818[23:20] = 0xF
	}
#endif
	/*run factory kernel for tv002*/
#if defined(CONFIG_FSW)
	if(fsw_emmc_bootup || fsw_spi_bootup){ // RTK_PLAT_ERR_OK=0
		// CVT2
		rtd_maskl(0xb800081C,0xFFFFFF0F, 0x000000F0);	// I2S 0xB800081C[7:4] = 0xF
		rtd_maskl(0xb8000818,0xFF0FFFFF, 0x00F00000);	// 0xB8000818[23:20] = 0xF
	}
#endif
#endif
	////////////////////////////////////
	int audio_pin = env_getI2S();
//	printf("aaaaaI2S=%d\n",audio_pin);
	//audio_pin = 2;
	if(audio_pin == 1)
    	{	//CVT
		rtd_maskl(0xb8060220,0xFFFFFF0F, 0x000000F0);	// I2S 0xB8060220[7:4] = 0xF
//		printf("CVT I2S\n");
	}else if(audio_pin == 2)
	{	//CVT2
	    	rtd_maskl(0xb800081C,0xFFFFFF0F, 0x000000F0);	// I2S 0xB800081C[7:4] = 0xF
//		printf("CVT2 I2S\n");
	}
	audio_pin = 0;
	audio_pin = env_getSPDIF();
//	printf("aaaaaSPDIF=%d\n",audio_pin);
	//audio_pin = 2;
	if(audio_pin == 1)
    	{	//CVT
		rtd_maskl(0xb8060228,0xFF0FFFFF, 0x00F00000);	// 0xB8060228[23:20] = 0xF
//		printf("CVT SPDIF\n");
	}
	else if(audio_pin == 2)
	{	//CVT2
	    	rtd_maskl(0xb8000818,0xFF0FFFFF, 0x00F00000);	// 0xB8000818[23:20] = 0xF
//		printf("CVT2 SPDIF\n");
	}
	///////////////////////////////////////
	env_setRO_OemKey();
	//CR-951
	env_setRO_ProductName();
	env_setRO_ProductDevice();
	env_setRO_ProductModel();
#endif
        printf("[trace code] %s, %s, %d\n", __FILE__, __FUNCTION__, __LINE__);
	CusApi_env_syncFactorySave();
#else
	ret = check_PQ_file_current_status(default_panel_parameter.sPanelName);
#endif
	if(ret < 0)
		printf("No match pq file at factory!\r\n");

	raw1 = malloc(150);
	raw2 = malloc(150);
	raw3 = malloc(150);
	raw4 = malloc(150);
	raw5 = malloc(150);
#if 0//if need with driver
	raw6 = malloc(150);
	raw7 = malloc(150);
	raw8 = malloc(150);
	raw9 = malloc(150);

	raw10 = malloc(128);
	raw11 = malloc(128);
	raw12 = malloc(128);
	raw13 = malloc(128);
	raw14 = malloc(128);
	raw15 = malloc(128);
#endif

	if ((raw1 == NULL) || (raw2 == NULL) || (raw3 == NULL) || (raw4 == NULL)||
		(raw5 == NULL)/* || (raw6 == NULL) || (raw7 == NULL) || (raw8 == NULL)||(raw9 == NULL)
		|| (raw10 == NULL) || (raw11 == NULL) || (raw12 == NULL)||
		(raw13 == NULL) || (raw14 == NULL) || (raw15 == NULL)*/)
	{
		printf("[ERR] %s:%d: malloc for raw data failed\n", __FUNCTION__, __LINE__);
		return 0;
	}



	/***********************************************
	 * FIXME: use magic number here is a bad decision !!!!!!!!!!
	 ***********************************************/
	/* set panel_file_name */
	//printf("--sPanelName=%s--\n",default_panel_parameter.sPanelName);
	raw_ptr = default_panel_parameter.sPanelName;
	printf("sPanelName=%s\n",raw_ptr);
	if (setenv("panel_file_name", raw_ptr))
	{
		rc = 0;
	}

	/* generate panel env */
	for (i = 0 ; i < 50 ; i++)
		sprintf( raw1+2*i, "%.2x", *((UINT8 *)&default_panel_parameter+i));

	if (parameter_len < 100)
	{
		for (i = 50 ; i < parameter_len ; i++)
			sprintf( raw2+2*(i-50), "%.2x", *((UINT8 *)&default_panel_parameter+i));
	}
	else
	{
		for (i = 50 ; i < 100 ; i++)
			sprintf( raw2+2*(i-50), "%.2x", *((UINT8 *)&default_panel_parameter+i));
		for (i = 100 ; i < 150 ; i++)
			sprintf( raw3+2*(i-100), "%.2x", *((UINT8 *)&default_panel_parameter+i));

		for (i = 150 ; i < 200 ; i++)
			sprintf( raw4+2*(i-150), "%.2x", *((UINT8 *)&default_panel_parameter+i));


		for (i = 200 ; i < 250 ; i++)
			sprintf( raw5+2*(i-200), "%.2x", *((UINT8 *)&default_panel_parameter+i));
#if 0//if need with driver
		for (i = 250 ; i < 300 ; i++)
			sprintf( raw6+2*(i-250), "%.2x", *((UINT8 *)&default_panel_parameter+i));

		for (i = 300 ; i < 350 ; i++)
			sprintf( raw7+2*(i-300), "%.2x", *((UINT8 *)&default_panel_parameter+i));

		for (i = 350 ; i < 400 ; i++)
			sprintf( raw8+2*(i-350), "%.2x", *((UINT8 *)&default_panel_parameter+i));
		for (i = 400 ; i < 450 ; i++)
			sprintf( raw9+2*(i-400), "%.2x", *((UINT8 *)&default_panel_parameter+i));

		for (i = 450 ; i < 500 ; i++)
			sprintf( raw10+2*(i-450), "%.2x", *((UINT8 *)&default_panel_parameter+i));
		for (i = 500 ; i < 550 ; i++)
			sprintf( raw11+2*(i-500), "%.2x", *((UINT8 *)&default_panel_parameter+i));

		for (i = 550 ; i < 600 ; i++)
			sprintf( raw12+2*(i-550), "%.2x", *((UINT8 *)&default_panel_parameter+i));
		for (i = 600 ; i < 650 ; i++)
			sprintf( raw13+2*(i-600), "%.2x", *((UINT8 *)&default_panel_parameter+i));
		for (i = 650 ; i < 700 ; i++)
			sprintf( raw14+2*(i-650), "%.2x", *((UINT8 *)&default_panel_parameter+i));

		for (i = 700 ; i < parameter_len ; i++)
			sprintf( raw15+2*(i-700), "%.2x", *((UINT8 *)&default_panel_parameter+i));
		//for (i = 750 ; i < parameter_len ; i++)
		//	sprintf( raw16+2*(i-750), "%.2x", *((UINT8 *)&default_panel_parameter+i));
#endif


	}

//	printf("sizeof(default_panel_parameter)=%d \n", parameter_len);//hcy test

#if 0 // debug
	printf("bootcode inside panel parameter\n" ) ;
	p = (unsigned char*)&default_panel_parameter  ;

	for (i=0; i < sizeof(default_panel_parameter); i++) {
		if (i%16 == 0)
			printf("\n %02x",*p++ ) ;
		else
			printf(" %02x",*p++ ) ;
	}
	printf("\n" ) ;
#endif

	/* set panel_parameter1 */
	raw_ptr = raw1; /* Create new */
	if (setenv("panel_parameter_1", raw_ptr))
	{
		rc = 0;
	}

	for (i = 0 ; i < 50 ; i++)
	{
		strncpy(tmp_str, raw_ptr+2*i, 2);
		tmp_str[2] = '\0';
		*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
	}

	if (parameter_len < 100) // paramter size is less than 100, only need use two raws
	{
		/* set panel_parameter2 */
		raw_ptr = raw2;  /* Create new */

		if (setenv("panel_parameter_2", raw_ptr))
		{
			rc = 0;
		}

		for (i = 50 ; i < parameter_len ; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-50), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}
	}
	else
	{
		/* set panel_parameter2 */
		raw_ptr = raw2;  /* Create new */
		if (setenv("panel_parameter_2", raw_ptr))
		{
			rc = 0;
		}

		/* set panel_parameter3 */
		raw_ptr = raw3;  /* Create new */
		if (setenv("panel_parameter_3", raw_ptr))
		{
			rc = 0;
		}

		/* set panel_parameter4 */
		raw_ptr = raw4;  /* Create new */
		if (setenv("panel_parameter_4", raw_ptr))
		{
			rc = 0;
		}


		/* set panel_parameter5 */
		raw_ptr = raw5;  /* Create new */
		if (setenv("panel_parameter_5", raw_ptr))
		{
			rc = 0;
		}
#if 0//if need with driver

		/* set panel_parameter6 */
		raw_ptr = raw6;  /* Create new */
		if (setenv("panel_parameter_6", raw_ptr))
		{
			rc = 0;
		}

		/* set panel_parameter7 */
		raw_ptr = raw7;  /* Create new */
		if (setenv("panel_parameter_7", raw_ptr))
		{
			rc = 0;
		}

		/* set panel_parameter8 */
		raw_ptr = raw8;  /* Create new */
		if (setenv("panel_parameter_8", raw_ptr))
		{
			rc = 0;
		}

		/* set panel_parameter9 */
		raw_ptr = raw9;  /* Create new */
		if (setenv("panel_parameter_9", raw_ptr))
		{
			rc = 0;
		}

		/* set panel_parameter10 */
		raw_ptr = raw10;  /* Create new */
		if (setenv("panel_parameter_10", raw_ptr))
		{
			rc = 0;
		}

		/* set panel_parameter11 */
		raw_ptr = raw11;  /* Create new */
		if (setenv("panel_parameter_11", raw_ptr))
		{
			rc = 0;
		}

		/* set panel_parameter12 */
		raw_ptr = raw12;  /* Create new */
		if (setenv("panel_parameter_12", raw_ptr))
		{
			rc = 0;
		}

		/* set panel_parameter13 */
		raw_ptr = raw13;  /* Create new */
		if (setenv("panel_parameter_13", raw_ptr))
		{
			rc = 0;
		}

		/* set panel_parameter14 */
		raw_ptr = raw14;  /* Create new */
		if (setenv("panel_parameter_14", raw_ptr))
		{
			rc = 0;
		}

		/* set panel_parameter15 */
		raw_ptr = raw15;  /* Create new */
		if (setenv("panel_parameter_15", raw_ptr))
		{
			rc = 0;
		}
#endif
		#if 0
		if(panelmode==1){
			if (boot_power_on_mode != POWER_OFF)
				IO_Set(PIN_LVDS_ON_OFF, 0);
			mdelay(500);
		}
		#endif
#if 0
		/* set panel_parameter2 */
		raw_ptr = raw2;  /* Create new */
		if (setenv("panel_parameter_2", raw_ptr))
		{
			rc = 0;
		}

		for (i = 100 ; i < 150	; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-100), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}

		/* set panel_parameter3 */
		raw_ptr = raw3;  /* Create new */
		if (setenv("panel_parameter_3", raw_ptr))
		{
			rc = 0;
		}

		for (i = 150 ; i < 200	; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-150), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}

		/* set panel_parameter4 */
		raw_ptr = raw4;  /* Create new */
		if (setenv("panel_parameter_4", raw_ptr))
		{
			rc = 0;
		}

		for (i = 200 ; i < 250	; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-200), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}

		/* set panel_parameter5 */
		raw_ptr = raw5;  /* Create new */
		if (setenv("panel_parameter_5", raw_ptr))
		{
			rc = 0;
		}

		for (i = 250 ; i < 300	; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-250), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}

		/* set panel_parameter6 */
		raw_ptr = raw6;  /* Create new */
		if (setenv("panel_parameter_6", raw_ptr))
		{
			rc = 0;
		}

		for (i = 300 ; i < 350	; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-300), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}

		/* set panel_parameter7 */
		raw_ptr = raw7;  /* Create new */
		if (setenv("panel_parameter_7", raw_ptr))
		{
			rc = 0;
		}

		for (i = 350 ; i < 400	; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-350), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}

		/* set panel_parameter8 */
		raw_ptr = raw8;  /* Create new */
		if (setenv("panel_parameter_8", raw_ptr))
		{
			rc = 0;
		}

		for (i = 400 ; i < 450	; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-400), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}

		/* set panel_parameter9 */
		raw_ptr = raw9;  /* Create new */
		if (setenv("panel_parameter_9", raw_ptr))
		{
			rc = 0;
		}

		for (i = 450 ; i < 500	; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-450), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}

		/* set panel_parameter10 */
		raw_ptr = raw10;  /* Create new */
		if (setenv("panel_parameter_10", raw_ptr))
		{
			rc = 0;
		}

		for (i = 500 ; i < 550	; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-500), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}

		/* set panel_parameter11 */
		raw_ptr = raw11;  /* Create new */
		if (setenv("panel_parameter_11", raw_ptr))
		{
			rc = 0;
		}

		for (i = 550 ; i < 600	; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-550), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}

		/* set panel_parameter12 */
		raw_ptr = raw12;  /* Create new */
		if (setenv("panel_parameter_12", raw_ptr))
		{
			rc = 0;
		}

		for (i = 600 ; i < 650	; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-600), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}

		/* set panel_parameter13 */
		raw_ptr = raw14;  /* Create new */
		if (setenv("panel_parameter_13", raw_ptr))
		{
			rc = 0;
		}

		for (i = 650 ; i < 700	; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-650), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}

		/* set panel_parameter14 */
		raw_ptr = raw14;  /* Create new */
		if (setenv("panel_parameter_14", raw_ptr))
		{
			rc = 0;
		}

		for (i = 700 ; i < parameter_len  ; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-700), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}

		/* set panel_parameter15 */
		raw_ptr = raw15;  /* Create new */
		if (setenv("panel_parameter_15", raw_ptr))
		{
			rc = 0;
		}
#endif
#if 0
		for (i = 750 ; i < parameter_len  ; i++)
		{
			strncpy(tmp_str, raw_ptr+2*(i-750), 2);
			tmp_str[2] = '\0';
			*((UINT8 *)&default_panel_parameter+i) = strtoul(tmp_str, (char **)NULL, 16);
		}

		/* set panel_parameter16 */
		raw_ptr = raw16;  /* Create new */
		if (setenv("panel_parameter_16", raw_ptr))
		{
			rc = 0;
		}
#endif
	}
//	LVDS_4_PORTS_INDEX = default_panel_parameter.iCONFIG_LVDS_4_PORTS_INDEX;

//	LVDS_4_PORTS_INDEX = default_panel_parameter.iCONFIG_LVDS_4_PORTS_INDEX;

#if 0 // debug
	printf("\n\nenv's final panel parameter\n" ) ;
	p = (unsigned char*)&default_panel_parameter  ;

	for (i=0; i< sizeof(default_panel_parameter); i++) {
		if (i%16 == 0)
			printf("\n %02x",*p++ ) ;
		else
			printf(" %02x",*p++ ) ;
	}
	printf("\n" ) ;
#endif

	free((void *)raw1);
	free((void *)raw2);
	free((void *)raw3);
	free((void *)raw4);
	free((void *)raw5);
#if 0//if need with driver
	free((void *)raw6);
	free((void *)raw7);
	free((void *)raw8);
	free((void *)raw9);
	free((void *)raw10);
	free((void *)raw11);
	free((void *)raw12);
	free((void *)raw13);
	free((void *)raw14);
	free((void *)raw15);
#endif
	return rc;
}
#endif




