#include <qc_verify_common.h>
#include "../lib/hdmi_lib/hdmi_qc.h"
#include "../lib/hdmi_lib/hdmiInternal.h"
#include "../lib/hdmi_lib/hdmi_reg.h"
#include "../lib/hdmi_lib/hdmi_scdc.h"



/**********************************************************************************************
*
*	Const Declarations
*
**********************************************************************************************/

unsigned char current_channel = 0;

extern HDMI_PORT_INFO_T hdmi_rx[HDMI_PORT_TOTAL_NUM];

unsigned char HDMI_koffset_ft(unsigned char port);
void hdmiphy_dfe_set_tap0(unsigned char nport, unsigned char lan0, unsigned char lan1, unsigned char lan2);
extern void lib_hdmi_fg_koffset_auto(unsigned char port, unsigned char lane_mode);
//extern void HdmiTable_Init(void);


unsigned int qc_hdmi_detect_clock(unsigned char nport)
{
#define WAIT_FOR_CLOCK		75  //QD980 4k60(420)-12 needs >71
#define STABLE_CLK_CNT		4
#define CLK_ABS(x, y)	((x > y) ? (x-y) : (y-x))

	unsigned char i, stable_cnt = 0;
	unsigned int tmp_clk = 0, b_clk = 0;

	for (i=0; i<WAIT_FOR_CLOCK; i++) {
		HDMI_PRINTF("Waiting for clock, timer=%d\r", i);
		lib_hdmi_trigger_measure_start(nport);
		mdelay(20);
		lib_hdmi_trigger_measure_stop(nport);
		mdelay(10);
		if (lib_hdmi_is_clk_ready(nport)) {
			tmp_clk = lib_hdmi_get_clock(nport);
			if (tmp_clk> VALID_MIN_CLOCK && CLK_ABS(tmp_clk, b_clk) < 5) {
				if (++stable_cnt > STABLE_CLK_CNT)
					break;
			} else {
				b_clk = tmp_clk;
				stable_cnt = 0;
			}
		} else {
			b_clk = 0;
			stable_cnt = 0;
		}

		mdelay(40);
	}

	if (stable_cnt <= STABLE_CLK_CNT) {
		b_clk = 0;
	}

	HDMI_PRINTF("\n");
	return b_clk;
}




bool Hdmi_DetectMode(unsigned char nport, UINT32 b,unsigned char frl_mode,unsigned char lane)
{

	hdmi_rx[nport].timing_t.tmds_clk_b = b;

	if (frl_mode) {
		hdmi_rx[nport].scramble_flag = 1;
		hdmi_rx[nport].hdmi_2p1_en = 1;

	}

	
	lib_hdmi_clear_interlace_reg(nport);
	newbase_hdmi2p0_detect_config(nport);

	lib_hdmi_2p1_path_sel(nport,frl_mode,lane);
	lib_hdmi_mac_out_sel(nport,frl_mode);

	lib_hdm_hdr_emp_sram_sel(nport,frl_mode);

	newbase_hdmi_hd21_check_data_align(nport,frl_mode,lane);


	lib_hdmi_disparity_err_det(nport,frl_mode,lane);

	//return to check symbol error  & disparity error

	//lib_hdmi_timing_gen(nport,frl_mode);
	lib_hdmi_hd21_timing_gen_reset_toggle(nport);

	lib_hdmi_audio_output(nport,1);

#if HDCP_EN_DELAY
	HDMI_PRINTF("hdcp delay\n");

	if (lib_hdcp14_check_aksv_reg(nport))
		mdelay(3000);
#endif

	//measure 2.1 or 2.0
	//lib_hdmi_meas_select_port(nport,frl_mode);
	lib_hdmi_meas_select_port(nport);
	
#if MSR_HV
	if (frl_mode == MODE_TMDS)
		mdelay(400);
	newbase_hdmi_setup_video_pll(nport,frl_mode);
#endif

	//lib_hdmi_timing_gen_clear_status(nport,frl_mode);  //check 500ms
	
	//lib_hdmi_timing_gen_check_error(nport,frl_mode);
	lib_hdmi_hd21_timing_gen_check_error(nport,frl_mode);
	


#if MSR_HV
	newbase_hdmims_measure_init();

#if PCB_HDMI_4K120	    
	lib_hdmi_mac_out_sel(nport, 1);   // set source to hd21
#endif


	lib_hdmims_measure(&hdmi_rx[nport].timing_t ,frl_mode,TRUE);
	//lib_hdmims_get_hvstart(&hdmi_rx[nport].timing_t);

	HDMI_PRINTF("HDMI/DVI=%d\n", GET_H_MODE(nport));
	HDMI_PRINTF("INTERLACE=%d\n", GET_H_INTERLACE(nport));
	HDMI_PRINTF("COLOR_SPACE=%d (0:RGB; 1:422; 2:444; 3:420)\n", GET_H_COLOR_SPACE(nport));
	HDMI_PRINTF("COLOR_DEPTH=%d (0:8bit; 1:10bit; 2:12bit; 3:16bit)\n", GET_H_COLOR_DEPTH(nport));
	HDMI_PRINTF("PixelRepeat = %d\n", GET_H_PIXEL_REPEAT(nport));
	HDMI_PRINTF("scramble flag=%x\n",newbase_hdmi2p0_get_scramble_flag(nport));
	HDMI_PRINTF("40x=%x\n",newbase_hdmi2p0_get_clock40x_flag(nport));
	
/*
	SET_H_VIDEO_FSM(nport, MAIN_FSM_HDMI_DISPLAY_ON);
	newbase_hdmi_update_infoframe(nport);

	HDMI_PRINTF("avi=%d, %x\n", hdmi_rx[nport].avi_t.len, hdmi_rx[nport].avi_t.Y);
	HDMI_PRINTF("vsi=%d, %x\n", hdmi_rx[nport].vsi_t.Length, hdmi_rx[nport].vsi_t.Reg_ID[1]);
	HDMI_PRINTF("spd=%d, %x\n", hdmi_rx[nport].spd_t.len, hdmi_rx[nport].spd_t.SourceInfo);
	HDMI_PRINTF("drm=%d, %x\n", hdmi_rx[nport].drm_t.len, hdmi_rx[nport].drm_t.eEOTFtype);
*/
#endif

	return TRUE;
}

#if AUDIO_DETECT_EN

bool Hdmi_Audio_Output(void)
{
	unsigned char port = current_channel;
	HDMI_PRINTF("AUDIO_FSM_AUDIO_START_OUT[%d]\n", port);
	lib_hdmi_audio_output(port, 1);
	//SET_H_AUDIO_FSM(port, AUDIO_FSM_AUDIO_CHECK);
	return TRUE;

}

#endif




bool Hdmi_CRC_en(unsigned char nport, unsigned char frl_mode)
{
	UINT8 tmo = 50;

	unsigned int reg_crcc;

	if (frl_mode == MODE_TMDS)
	{

#if defined(RDC_SINGLE_LANE)
		rtd_maskl(HDMI_PP_TMDS_CRCC_reg, ~(HDMI_P0_PP_TMDS_CRCC_crc_r_en_mask|HDMI_P0_PP_TMDS_CRCC_crc_g_en_mask), 0);
#endif

		rtd_maskl(HDMI_PP_TMDS_CRCC_reg, ~HDMI_P0_PP_TMDS_CRCC_crcc_mask, 0);	//CRC check disable
		rtd_maskl(HDMI_PP_TMDS_CRCC_reg, ~HDMI_P0_PP_TMDS_CRCC_crcc_mask, HDMI_P0_PP_TMDS_CRCC_crcc(1));	//CRC check enable


		while (!(rtd_inl(HDMI_PP_TMDS_CRCC_reg)&HDMI_P0_PP_TMDS_CRCC_crc_done_mask)) { //wait CRC done bit
			udelay(10000);
			if (!tmo--) {
				//HDMI_PRINTF("[HDMI] WARNING: FAIL: Wait CRC Timeout !!!\n");
				return FALSE;
			}
		}

	}
	else
	{

		hdmi_out(HDMI_CRC_Ctrl_reg, HDMI_CRC_Ctrl_get_crc_res_sel(0x0) | HDMI_CRC_Ctrl_crc_start(1));
	}

	return TRUE;
}


unsigned char qc_hdmi_check_crc(unsigned char nport, unsigned char frl_mode, QC_HDMI_CRC_ST *crc_read, QC_HDMI_CRC_ST *crc_buf)
{
bool is_interlace = 0;
	unsigned int reg_crc0,reg_crc1,reg_crcc;

#if PCB_HDMI_4K120
	if (frl_mode != MODE_TMDS) {
		
if(nport==0)
{
 //************************check_common_crc_P0.tbl_START************************
 //port_sel
 rtd_outl(0xb800d50c, 0x00000000);       //port_sel to P0

 rtd_outl(0xb800d624, 0x1fe00000);       //RSTN_hd21_common, Reset bit for hd21 common(active low)
 rtd_outl(0xb800d624, 0x3fe00000);       //RSTN_hd21_common, Reset bit for hd21 common(active low)


 //HD2.1 timing gen disable
 rtd_outl(0xb80b714c, 0x00009600);


 rtd_outl(0xb800d410, 0x00000003);       //Fin crystal clock

 rtd_outl(0xb800d048, 0x00000100);       //DPC enable

 rtd_outl(0xb800d400, 0x104a00c0);       //M code = 65 + 2 
 rtd_outl(0xb800d410, 0x00000013);       // enable double buffer
 mdelay(0x1);
 mdelay(0x1);
 rtd_outl(0xb800d400, 0x104a00c0);       // N code = 1 + 2   
 rtd_outl(0xb800d410, 0x00000013);       // enable double buffer
 mdelay(0x1);
 mdelay(0x1);
 rtd_outl(0xb800d400, 0x104a00c0);       //O code
 rtd_outl(0xb800d410, 0x00000013);       // enable double buffer
 mdelay(0x1);
 mdelay(0x1);
 rtd_outl(0xb800d400, 0x104a00e0);       //rs
 rtd_outl(0xb800d410, 0x00000013);       // enable double buffer
 mdelay(0x1);
 mdelay(0x1);
 rtd_outl(0xb800d400, 0x104a00e4);       //ip
 rtd_outl(0xb800d410, 0x00000013);       // enable double buffer
 mdelay(0x1);
 mdelay(0x1);


 rtd_outl(0xb800d404, 0x00301411);       //cp
 rtd_outl(0xb800d410, 0x00000013);       // enable double buffer
 mdelay(0x1);
 mdelay(0x1);


 rtd_outl(0xb800d414, 0x00000000);       //PLL_DIVS
 rtd_outl(0xb800d410, 0x00000013);       // enable double buffer

 mdelay(0x1);
 mdelay(0x1);

 rtd_outl(0xb800d404, 0x00301411);       //LDO POWER
 mdelay(0x1);
 mdelay(0x1);
 rtd_outl(0xb800d404, 0x00301411);       //dpll power

 mdelay(0x1);
 mdelay(0x1);
 rtd_outl(0xb800d404, 0x00301411);       //release DPLL

 mdelay(0x50);
 mdelay(0x50);
 rtd_outl(0xb800d404, 0x00301411);       //DPLL no freeze

 rtd_outl(0xb800d048, 0x00000180);       //enable DPC enable
 rtd_outl(0x1800d098, 0x00000008);       //video enable

 //HD2.1 timing gen
 rtd_outl(0xb80b714c, 0x00009601);
 rtd_outl(0xb800d514, 0x00000003);       //enable crc continue mode
 mdelay(0x50);

}
else
{
 //************************check_common_crc_P0.tbl_START************************
 //port_sel
 rtd_outl(0xb800d50c, 0x00000004);       //port_sel to P1

 rtd_outl(0xb800d624, 0x1fe00000);       //RSTN_hd21_common, Reset bit for hd21 common(active low)
 rtd_outl(0xb800d624, 0x3fe00000);       //RSTN_hd21_common, Reset bit for hd21 common(active low)


 //HD2.1 timing gen disable
 //rtd_outl(0xb80b714c, 0x00009600);
 rtd_outl(0xb80b914c, 0x00009600);       //HD2.1 timing gen disable


 rtd_outl(0xb800d410, 0x00000003);       //Fin crystal clock

 rtd_outl(0xb800d048, 0x00000100);       //DPC enable

 rtd_outl(0xb800d400, 0x104a00c0);       //M code = 65 + 2 
 rtd_outl(0xb800d410, 0x00000013);       // enable double buffer
 mdelay(0x1);
 mdelay(0x1);
 rtd_outl(0xb800d400, 0x104a00c0);       // N code = 1 + 2   
 rtd_outl(0xb800d410, 0x00000013);       // enable double buffer
 mdelay(0x1);
 mdelay(0x1);
 rtd_outl(0xb800d400, 0x104a00c0);       //O code
 rtd_outl(0xb800d410, 0x00000013);       // enable double buffer
 mdelay(0x1);
 mdelay(0x1);
 rtd_outl(0xb800d400, 0x104a00e0);       //rs
 rtd_outl(0xb800d410, 0x00000013);       // enable double buffer
 mdelay(0x1);
 mdelay(0x1);
 rtd_outl(0xb800d400, 0x104a00e4);       //ip
 rtd_outl(0xb800d410, 0x00000013);       // enable double buffer
 mdelay(0x1);
 mdelay(0x1);


 rtd_outl(0xb800d404, 0x00301411);       //cp
 rtd_outl(0xb800d410, 0x00000013);       // enable double buffer
 mdelay(0x1);
 mdelay(0x1);


 rtd_outl(0xb800d414, 0x00000000);       //PLL_DIVS
 rtd_outl(0xb800d410, 0x00000013);       // enable double buffer

 mdelay(0x1);
 mdelay(0x1);

 rtd_outl(0xb800d404, 0x00301411);       //LDO POWER
 mdelay(0x1);
 mdelay(0x1);
 rtd_outl(0xb800d404, 0x00301411);       //dpll power

 mdelay(0x1);
 mdelay(0x1);
 rtd_outl(0xb800d404, 0x00301411);       //release DPLL

 mdelay(0x50);
 mdelay(0x50);
 rtd_outl(0xb800d404, 0x00301411);       //DPLL no freeze

 rtd_outl(0xb800d048, 0x00000180);       //enable DPC enable
 rtd_outl(0x1800d098, 0x00000008);       //video enable

 //HD2.1 timing gen
 //rtd_outl(0xb80b714c, 0x00009601);
 //rtd_outl(0xb800d514, 0x00000003);       //enable crc continue mode
 rtd_outl(0xb80b914c, 0x00009601);       //HD2.1 timing gen enable
 rtd_outl(0xb800d514, 0x00000003);       //enable crc continue mode
 mdelay(0x50);
 //************************check_common_crc_P0.tbl_END************************

 //************************check_common_crc_P1.tbl_START************************
// rtd_outl(0xb800d50c, 0x00000004);       //port_sel to P1
// rtd_outl(0xb800d624, 0x1fe00000);       //Reset bit for hd21 common(active low)
 //rtd_outl(0xb800d624, 0x3fe00000);       //Reset bit for hd21 common(active low)
 //rtd_outl(0xb80b914c, 0x00009600);       //HD2.1 timing gen disable
 //rtd_outl(0xb80b914c, 0x00009601);       //HD2.1 timing gen enable
 //rtd_outl(0xb800d514, 0x00000003);       //enable crc continue mode
 //mdelay(0x50);
 //************************check_common_crc_P1.tbl_END************************

}

}
#endif
	if (frl_mode == MODE_TMDS) {
		reg_crcc = HDMI_PP_TMDS_CRCC_reg;
		reg_crc0 = HDMI_PP_TMDS_CRCO0_reg;
		reg_crc1 = HDMI_PP_TMDS_CRCO1_reg;
	}
	else {
		reg_crcc = HDMI_CRC_Ctrl_reg;
		reg_crc0 = HDMI_CRC_Result_reg;
		//reg_crc1 = HDMI_DES_CRC_reg;  //interlace mode check after
	}

	is_interlace=(rtd_inl(HDMI_HDMI_VCR_reg) & HDMI_P0_HDMI_VCR_eot_mask);

	crc_read->val[0] = rtd_inl(reg_crc0);
	if (frl_mode == MODE_TMDS)
	crc_read->val[1] = rtd_inl(reg_crc1);

	if (crc_read->val[0] == 0) {
		return 0;
	}

	if (is_interlace) {
		if ( ((crc_read->val[0] == crc_buf[0].val[0]) && (crc_read->val[1] == crc_buf[0].val[1])) ||
			((crc_read->val[0] == crc_buf[1].val[0]) && (crc_read->val[1] == crc_buf[1].val[1]))) {

			return 1;
		} else {

			crc_buf[0].val[0] = crc_buf[1].val[0];
			crc_buf[0].val[1] = crc_buf[1].val[1];
			crc_buf[1].val[0] = crc_read->val[0];
			crc_buf[1].val[1] = crc_read->val[1];
			return 0;
		}
	} else {

		if (frl_mode == MODE_TMDS) {
	
			if ((crc_read->val[0] == crc_buf[0].val[0]) && (crc_read->val[1] == crc_buf[0].val[1]) &&
				!(rtd_inl(reg_crcc)&HDMI_P0_PP_TMDS_CRCC_crc_nonstable_mask)) {

				return 1;
			} else {

				crc_buf[0].val[0] = crc_read->val[0];
				crc_buf[0].val[1] = crc_read->val[1];
				rtd_maskl(reg_crcc, ~HDMI_P0_PP_TMDS_CRCC_crc_nonstable_mask, HDMI_P0_PP_TMDS_CRCC_crc_nonstable(1));	//CRC unstable clear
				return 0;
			}
		} else {
			
			if ((crc_read->val[0] == crc_buf[0].val[0])) {
				return 1;
			} else {
				crc_buf[0].val[0] = crc_read->val[0];
				return 0;
			}


		}
	}
	return 0;
}

bool QC_CRCCheck(unsigned char nport,unsigned frl_mode)
{
#define DATA_TIMEOUT	30
#define CRC_TIMEOUT	60

//unsigned int on_counting = 0, total_cnt = 0;
unsigned int i, stable_cnt = 0;
unsigned int err_cnt_rgbhv = 0;
QC_HDMI_CRC_ST crc_buf[2], crc_read;

	rtd_outl(HDMI_TMDS_CTRL_reg, 0xf8); //clear RGBCK and check
	
#if defined(RDC_SINGLE_LANE)
	printk("****** RDC_SINGLE_LANE *******\n");
	if (!HDMI_P0_TMDS_CTRL_get_bcd(rtd_inl(HDMI_TMDS_CTRL_reg)))
	{
		printk("[HDMI] WARNING: No B-Channel Data\n");
		return FALSE;
	}
#else

	if (frl_mode == MODE_TMDS) {
		for (i = 0; i < DATA_TIMEOUT; i++) {
			HDMI_PRINTF("Waiting for data, timer=%d\r", i);
			if ((HDMI_TMDS_CTRL_get_bcd(rtd_inl(HDMI_TMDS_CTRL_reg))&&HDMI_TMDS_CTRL_get_gcd(rtd_inl(HDMI_TMDS_CTRL_reg))&&HDMI_TMDS_CTRL_get_rcd(rtd_inl(HDMI_TMDS_CTRL_reg))))
				break;
			mdelay(100);
		}
		
		if ( !(HDMI_TMDS_CTRL_get_bcd(rtd_inl(HDMI_TMDS_CTRL_reg))&&
			HDMI_TMDS_CTRL_get_gcd(rtd_inl(HDMI_TMDS_CTRL_reg))&&
			HDMI_TMDS_CTRL_get_rcd(rtd_inl(HDMI_TMDS_CTRL_reg)))) {
			printk("[HDMI] WARNING: No Input Data\n");
			return FALSE;
		}
	}
#endif
	// Waiting for pattern is in stable status
	if (!Hdmi_CRC_en(nport,frl_mode)) {
		HDMI_PRINTF("[HDMI] WARNING: FAIL: Wait CRC Timeout !!!\n");
		return FALSE;
	}


	HDMI_PRINTF("\r\n");


	crc_buf[0].val[0] = 0;
	crc_buf[0].val[1] = 0;
	crc_buf[1].val[0] = 0;
	crc_buf[1].val[1] = 0;
	crc_read.val[0] = 0;
	crc_read.val[1] = 0;


	// Wait for CRC Stable or timeout
	stable_cnt = 0;
	for (i=0; i<CRC_TIMEOUT; i++) {
		if (qc_hdmi_check_crc(nport, frl_mode,&crc_read, crc_buf)) {
			if (stable_cnt++ > 2) {
				// crc stable
				break;
			}
		}
		printk("[HDMI] CRC=%08X\r",
			crc_read.val[0]);
		mdelay(100);
	}

	// Start counting
	stable_cnt = 0;
	for (i=0; i<CRC_COUNT; i++) {
#if (!defined(RDC_SINGLE_LANE))
		if (frl_mode == MODE_TMDS) {
			if (rtd_inl(HDMI_TMDS_CTRL_reg) != 0xf8) {
				err_cnt_rgbhv++;
			}
		} else {
			
			if (rtd_inl(HDMI_TMDS_CTRL_reg) & 0x18 != 0x18) {
				err_cnt_rgbhv++;
			}
		}
#endif
		if (qc_hdmi_check_crc(nport, frl_mode,&crc_read, crc_buf)) {
			stable_cnt++;
		}
		printk("[HDMI] CRC=%08X: Pass=(%02d/%02d)%s\r",
			crc_read.val[0],
			stable_cnt, CRC_COUNT, (err_cnt_rgbhv>0)?", NO HVRGB":"");
		mdelay(100);
	}


	printk("\n");

	if ( (CRC_COUNT-stable_cnt) || err_cnt_rgbhv) {
		return FALSE;
	} else {
		return TRUE;
	}

}

bool QC_Hdmi_Main(UINT8 channel)
{
	bool crc_result = FALSE;
	UINT32  i =0,b = 0;
	unsigned char lane = HDMI_3LANE;
	unsigned char frl_mode = MODE_TMDS;
	//unsigned char force_frl = 0;
	unsigned char ltp_bypass = 0;
	//static unsigned int test = 0;
	int nport = channel;
	current_channel = nport;
	unsigned char conn_st,hpd_st;
	
	HDMI_PRINTF(" ================ START OF TEST (PORT%d) ======================\n", channel);

//	lib_hdmi_control_pull_up_1k(1);	// normal, internal pull up 1K for hdmi

#if 0
	if (test >= 1) {
		printk("phy test...\n");
		newbase_hdmi_set_phy_eq(nport,5628,3,4);
		//newbase_hdmi_set_phy(3,5628,3,4);

		//Hdmi_DetectMode(3, 5628,3,4);
		return;
	}
#endif

	newbase_hdmi_init_source(nport);

	
#if 0	
	test = test + 1;
#endif

#if CONFIG_FT
	hdmi_mask(DEBUG_REG_ADDR, ~DEBUG_24_FORCE_6G, DEBUG_24_FORCE_6G);
	newbase_hdmi2p0_check_tmds_config(nport);

	newbase_hdmi_set_phy(nport, 5628,MODE_TMDS,HDMI_3LANE);
	
	printk("[HDMI] set TAP0=0x30\n");
	hdmiphy_dfe_set_tap0(nport, 0x23, 0x23, 0x23);
	lib_hdmi_fg_koffset_auto(nport, HDMI_3LANE);
	crc_result = HDMI_koffset_ft(nport);

	printk("[HDMI] set TAP0=0x0\n");
	hdmiphy_dfe_set_tap0(nport, 0x0, 0x0, 0x0);
	lib_hdmi_fg_koffset_auto(nport,HDMI_3LANE);
	crc_result &= HDMI_koffset_ft(nport);

	printk("[HDMI] Port%d 6G KOffset FT Result=%s\n\n\n", nport, crc_result?"PASS":"FAIL");
	return crc_result;
#endif

#if QD980_TX_PATCH
	hpd_plug_patch_qd980(nport);
#endif
	//if ((!newbase_hdmi_is_force_frl_rate(nport,&frl_mode))&&(lib_hdmi_is_hdmi_21_available)) 
	if ((!newbase_hdmi_is_force_frl_rate(nport,&frl_mode))&&(nport < HD20_PORT)) 
	{
		frl_mode = lib_scdc_get_frl_mode(nport);
	}
	else
	{
		//do nothing but already get frl mode
	}

	if (frl_mode == 0)
		b = qc_hdmi_detect_clock(nport);


	//if ((newbase_hdmi_is_bypass_ltp(nport))&&(lib_hdmi_is_hdmi_21_available)) 
	//if (newbase_hdmi_is_bypass_ltp(nport))
	//if ((newbase_hdmi_is_bypass_ltp(nport))&&(nport < HD20_PORT)) 
	if (nport < HD20_PORT) 
	{
		#if PCB_HDMI_4K120
		ltp_bypass = 1;
		#else
		ltp_bypass = 0;
		#endif
	}
	else
	{
		ltp_bypass = 0;
	}	

#ifdef HIGH_WIDTH_CLKMEASURE
	printk("b=%x\n",b);
	if (lib_clk_lane_high_width_measure(nport))
		printk("clock lane\n");
	else
		printk("data lane\n");

	return 0;
#endif
	// 6G 3 lane mode b have value

#if 0
       if (b > 100) {
               newbase_set_frl_mode(nport,MODE_TMDS);
               newbase_set_lane_num(nport,HDMI_3LANE);
       } else {
               if (nport == HD21_PORT) {
                       newbase_set_frl_mode(nport,MODE_FRL_6G_4_LANE);  //if not MODE_TMDS , default use 6G 4LANE
                       newbase_set_lane_num(nport,HDMI_4LANE);
                       while(1) {
                               if ((link_status = newbase_hdmi_link_training(nport)))
                                       break;
                       }
               }
       }
#endif




	//set phy variable
	newbase_hdmi_set_frl_info(nport,frl_mode);

	//set mac variable
	lane = ((frl_mode <3)?3:4);
	newbase_set_frl_mode(nport,frl_mode);
	newbase_set_lane_num(nport,frl_mode);

	if (ltp_bypass == 0) 
	{
		if ((b > 100) && (frl_mode == MODE_TMDS))
		{
			// do nothing
		} 
		else
		{
//			if(lib_hdmi_is_hdmi_21_available)
			if (nport < HD20_PORT)
			{

				if ((b == 0) && (frl_mode == MODE_TMDS))
				{  //for RDC Bert
					printk("enter transiftion detect\n");
					newbase_set_frl_mode(nport,MODE_FRL_6G_4_LANE);  //if not MODE_TMDS , default use 6G 4LANE and enter transition detect
	                        	newbase_set_lane_num(nport,HDMI_4LANE);
				}
				
				while(1)
				{
					if ((newbase_hdmi_link_training(nport))) 
					{
						break;
					}
				}

				 frl_mode = newbase_get_frl_mode(nport);  //update new frl rate if transition detect
	        		 lane = newbase_get_lane_num(nport);
			}
		}
	}
	else 
	{
		HDMI_EMG("ltp_bypass==1 @port%d \n",nport);

//		if(lib_hdmi_is_hdmi_21_available)
		if (nport < HD20_PORT)
		{
			HDMI_EMG("ltp_bypass==1 @port%d \n",nport);
			//For QD980 link training test bypass
			newbase_hdmi_bypass_link_training(nport,frl_mode);
	//		lane = ((frl_mode <3)?3:4);
			//set phy variable
	//		newbase_hdmi_set_frl_info(nport,frl_mode);
	//		newbase_set_frl_mode(nport,frl_mode);
	//		newbase_set_lane_num(nport,frl_mode);
			newbase_hdmi_force_lts_pass(nport);
		}
	}

	

	if ((b > 100) && (frl_mode == MODE_TMDS))
	{
	#if HDMI_2P0_FORCE_6G
		printk("********  FORCE 6G   *********\n");
		rtd_maskl(DEBUG_REG_ADDR, ~DEBUG_24_FORCE_6G, DEBUG_24_FORCE_6G);
	#endif

		for (i = 0; i < HDMI_2P0_SCDC_TIMEOUT; i++)
		{ // QD980 needs long time to output SCDC/Video Data (i==44)
			newbase_hdmi2p0_check_tmds_config(nport);
			if ((newbase_hdmi2p0_get_clock40x_flag(nport) || newbase_hdmi2p0_get_scramble_flag(nport)) && (b<1422)) {

				b <<= 2;
				break;
			}
			mdelay(100);
		}
		newbase_hdmi_set_phy_eq(nport,b,frl_mode,lane);
		
	}
	else if ((b == 0) && (frl_mode == MODE_TMDS))
	{
		printk("[HDMI]TMDS mode ,  NO Clock\n");
		goto end;
	}
	else 
	{
		//if(lib_hdmi_is_hdmi_21_available)
		if (nport < HD20_PORT)
		{

			printk("[HDMI] FRL mode, LTS=%d \n",newbase_hdmi_get_lts_state(nport));
			
			b = newbase_rxphy_get_frl_info(nport,frl_mode);
			
			#if defined(RDC_SINGLE_LANE)
				if (newbase_hdmi_is_legacy_mode())
					return 0;  //fail
				else
					return 1; 
			#endif
		}
	}
	Hdmi_DetectMode(nport, b,frl_mode,lane);

	#if DISPLAY_EN
		#include "case3_ipg1080p_frc_fhd/case3_hdmi1080p_frc_fhd.tbl"
	#endif




#if PCB_HDMI_4K120
       //newbase_hdmi_hd21_mac_enable(nport);

    //lib_hdmi_hd21_mac_crt_reset(nport);

//    lib_hdmi_hd21_mac_init(nport);
//    lib_hdmi_hd21_force_realign(nport);
#endif

	crc_result = QC_CRCCheck(nport,frl_mode);

end:

	if (frl_mode == MODE_TMDS)
		printk("[HDMI] Port%d TMDS clock = %03dMHz, CRC checked: [%s]\n", nport, (b*27+128)>>8, crc_result?"PASS":"FAIL");
	else
		printk("[HDMI] Port%d FRL mode = %03dMHz, CRC checked: [%s]\n", nport, b, crc_result?"PASS":"FAIL");


	printk("[HDMI] Check 5V Status ");

	conn_st = newbase_hdmi_get_5v_stateNew(nport);

	if(conn_st==1)
	{

		printk("[HDMI] Port%d 5v_state = 1 =>OK\n" ,nport);

		switch(nport)
		{
		    case HDMI_PORT0:
			//GPIO6 is GPI
		    //GPI_Read: 0x18061110[7]
			hpd_st=(( rtd_inl(0xb8061110)&_BIT7)>>7);
		        break;
		    case HDMI_PORT1:
			//GPIO7 is GPI
			//GPI_Read: 0x18061110[8]
			hpd_st=(( rtd_inl(0xb8061110)&_BIT8)>>8);
		        break;
		    case HDMI_PORT2:
			//GPIO46 is GPI
			//GPI_Read: 0x18061114[16]
			hpd_st=(( rtd_inl(0xb8061114)&_BIT16)>>16);
		        break;
		    case HDMI_PORT3:
			//GPIO51 is GPI
			//GPI_Read: 0x18061114[21]	
			hpd_st=(( rtd_inl(0xb8061114)&_BIT21)>>21);
		        break;
		    default:
		        // do nothing...
		        break;
		}

		if(hpd_st==1)
		{
			printk("[HDMI] Port%d hpd_st = 1 => OK\n" ,nport);
		
		}
		else
		{
			printk("[HDMI] Port%d hpd_st = 0 => NG\n" ,nport);
			#if USE_H5X_PTG
			crc_result = FALSE;//
			#endif
		}

	}
	else
	{
		printk("[HDMI] Port%d 5v_state = 0 NG\n" ,nport);
		#if USE_H5X_PTG
		crc_result = FALSE;//
		#endif
	}

	HDMI_PRINTF(" ================  END OF TEST  (PORT%d) ======================\n\n", nport);

	return crc_result;

}


#define BIST_LINEBUF	_BIT8  //for hdmi2.1 timing gen
#define BIST_HDR	_BIT5
#define BIST_YUV420	_BIT4
#define BIST_HDCP22	_BIT3
#define BIST_KSVFIFO	_BIT2  //merlin4 no KSV FIFO
#define BIST_HDCP14	_BIT1
#define BIST_AUDIO	_BIT0
#define BIST_OPTIONS	(BIST_HDR|BIST_YUV420|BIST_HDCP22|BIST_HDCP14|BIST_AUDIO)
#define HD21_BIST_OPTIONS	(BIST_LINEBUF|BIST_HDR|BIST_YUV420|BIST_HDCP22|BIST_HDCP14|BIST_AUDIO)



bool HDCP_BIST_CHECK(unsigned char nport)
{
	unsigned char time_counter = 250;
	unsigned char port_tmp = nport;
	unsigned int bist_options;

	rtd_outl(SYS_REG_SYS_SRST1_reg, (SYS_REG_SYS_SRST1_rstn_hdmi_mask));
	udelay(100);
	rtd_outl(SYS_REG_SYS_SRST1_reg, (SYS_REG_SYS_SRST1_rstn_hdmi_mask|SYS_REG_SYS_SRST1_write_data_mask));

	rtd_outl(SYS_REG_SYS_CLKEN2_reg, (SYS_REG_SYS_CLKEN2_clken_bistreg_mask|SYS_REG_SYS_CLKEN2_write_data_mask));
	

	for (nport=0; nport<HDMI_PORT_TOTAL_NUM; nport++) {
		//KM_CLK_SEL = 0
		hdmi_mask(HDMI_HDCP_PCR_reg,~(HDMI_P0_HDCP_PCR_hdcp_vs_sel_mask), (HDMI_P0_HDCP_PCR_hdcp_vs_sel_mask));
		hdmi_mask(HDMI_HDCP_CR_reg,~(HDMI_P0_HDCP_CR_namfe_mask),HDMI_P0_HDCP_CR_namfe_mask);
		hdmi_mask(HDMI_STB_HDCP_CR_reg,~HDMI_STB_P0_HDCP_CR_hdcp_en_mask,HDMI_STB_P0_HDCP_CR_hdcp_en_mask);
	}

	rtd_outl(HDMI_P0_mp_reg,0x1);

	nport = port_tmp;

	if (nport >= HD20_PORT)
		bist_options = BIST_OPTIONS;
	else
		bist_options = HD21_BIST_OPTIONS;

	lib_hdmi_mac_select_port(nport);


	lib_hdmi_audio_output(nport,1);

	lib_hdmi_set_video_pll(nport, 704, MODE_TMDS, 0, 0, 0);  /* higher clock will fail */


	printk("[HDMI] HDCP BIST/DRF is testing port%d...\n", nport);


	rtd_maskl(HDMI_DRF_MODE_reg, ~bist_options, bist_options);		//HDCP drf enable


	do {
		if (rtd_inl(HDMI_DRF_PAUSE_reg)&bist_options)		//DRF_START_PAUSE
			break;
		udelay(100);
	} while (--time_counter);

	if (!time_counter) {
		HDMI_PRINTF("HDCP DRF1 time out!!!\n");
		return FALSE;
	}
	HDMI_PRINTF("DRF PAUSE OK (1/2)\n");
	mdelay(10);


	rtd_maskl(HDMI_DRF_RESUME_reg, ~bist_options, bist_options);	//DRF_TEST_RESUME
	udelay(1000);
	rtd_maskl(HDMI_DRF_RESUME_reg, ~bist_options, 0);

	time_counter = 200;
	do {
		if (rtd_inl(HDMI_DRF_PAUSE_reg)&bist_options)		//DRF_START_PAUSE
			break;
		udelay(100);
	} while (--time_counter);

	if (!time_counter) {
		HDMI_PRINTF("HDCP DRF2 time out!!!\n");
		return FALSE;
	}
	HDMI_PRINTF("DRF PAUSE OK (2/2)\n");
	mdelay(10);


	rtd_maskl(HDMI_DRF_RESUME_reg, ~bist_options, bist_options);	//DRF_TEST_RESUME
	udelay(1000);
	rtd_maskl(HDMI_DRF_RESUME_reg, ~bist_options, 0);

	time_counter = 200;
	do {
		if (bist_options == (rtd_inl(HDMI_DRF_DONE_reg)&bist_options))		//DRF_BIST_DONE
			break;
		udelay(100);
	} while (--time_counter);

	if (!time_counter) {
		HDMI_PRINTF("DRF_DONE time out=%x!!!\n", rtd_inl(HDMI_DRF_DONE_reg));
		return FALSE;
	}
	HDMI_PRINTF("DRF DONE=%x\n", rtd_inl(HDMI_DRF_DONE_reg));


	time_counter = 200;
	do {
		if (rtd_inl(HDMI_DRF_FAIL_reg)&bist_options) {	//check success or fail,DRF_BIST_FAIL
			printk("[HDMI] DRF FAIL = %x\n", rtd_inl(HDMI_DRF_FAIL_reg));
			return FALSE;
		} else {
			printk("[HDMI] DRF PASS\n");
			break; //return TRUE;
		}
		udelay(100);
	} while (--time_counter);

	rtd_maskl(HDMI_DRF_MODE_reg, ~bist_options, 0);	//DRF disable

	rtd_maskl(HDMI_BIST_MODE_reg, ~bist_options, bist_options);		//HDCP bist enable

	time_counter = 200;
	do {
		if (bist_options == (rtd_inl(HDMI_BIST_DONE_reg)&bist_options)) {
			if (rtd_inl(HDMI_BIST_FAIL_reg)&bist_options) {
				printk("[HDMI] BIST FAIL = %x\n", rtd_inl(HDMI_BIST_FAIL_reg));
				return FALSE;
			} else {
				printk("[HDMI] BIST PASS\n");
				return TRUE;
			}
		}
		udelay(100);
	} while (--time_counter);

	printk("[HDMI] BIST FAILED - NOT DONE = %x\n", rtd_inl(HDMI_BIST_DONE_reg));


	return FALSE;
}

void HDCP_BIST_END(unsigned char nport)
{
	unsigned int bist_options;
	
	if (nport >= HD20_PORT)
		bist_options = BIST_OPTIONS;
	else
		bist_options = HD21_BIST_OPTIONS;

	rtd_maskl(HDMI_BIST_MODE_reg, ~bist_options, 0);  	//HDCP bist disable
	rtd_maskl(HDMI_DRF_MODE_reg, ~bist_options, 0);	//DRF disable
}



bool IsHDMIPortEnable(UINT8 pt)
{
	if (pt == 0) {
		//return (Port0!=0);
		return HDMI1_CHECK_CRC ^ ((rtd_inl(DEBUG_REG_ADDR)&DEBUG_18_QC_PORT0)>>18);
	} else if (pt == 1) {
		//return (Port1!=0);
		return HDMI2_CHECK_CRC ^ ((rtd_inl(DEBUG_REG_ADDR)&DEBUG_19_QC_PORT1)>>19);
	} else if (pt == 2) {
		//return (Port2!=0);
		return HDMI3_CHECK_CRC ^ ((rtd_inl(DEBUG_REG_ADDR)&DEBUG_20_QC_PORT2)>>20);
	} else if (pt == 3) {
		//return (Port2!=0);
		return HDMI4_CHECK_CRC ^ ((rtd_inl(DEBUG_REG_ADDR)&DEBUG_21_QC_PORT3)>>21);
	}
	return 0;

	
}

void HDMI_DDC_INIT(void)
{
	HDMI_DDC0_en();
	HDMI_DDC1_en();
	HDMI_DDC2_en();
	HDMI_DDC3_en();

}

void hpd_plug_patch_qd980(unsigned char port)
{

		newbase_hdmi_set_hpdNew(port, 0, INITSRC_HPD_ON);
		mdelay(500);
		newbase_hdmi_set_hpdNew(port, 1, INITSRC_HPD_ON);
		mdelay(500);
}


#if CONFIG_OLT
int QC_Verifier_HDMI(void)  //OLT TEST
{

    printk("Merlin5 HDMI OLT Test\n");
    lib_hdmi_crt_on();
//
//#include "merlin5_crt_all_turn_on_HDMI.tbl"

//$display("#===============================================================================  SET APHY 000");
//====================[RL6617_CMU_ACDR_setting]Fast switch mode====================
//Normal mode (no fast switch fucntion)

//port0 & port1 12G
rtd_part_outl(0xb800DA14, 20, 16, 0x10); //REG_TOP_IN_7
rtd_part_outl(0xb800DA14, 28, 24, 0x10); //REG_TOP_IN_8

//ACDR/CMU
rtd_part_outl(0xb800DA48, 25, 25, 0x0); //REG_P#_ACDR_*_8<1>
rtd_part_outl(0xb800DA68, 25, 25, 0x0); //REG_P#_ACDR_*_8<1>
rtd_part_outl(0xb800DA88, 25, 25, 0x0); //REG_P#_ACDR_*_8<1>
rtd_part_outl(0xb800DAA8, 25, 25, 0x0); //REG_P#_ACDR_*_8<1>
rtd_part_outl(0xb800DB48, 25, 25, 0x0); //REG_P#_ACDR_*_8<1>
rtd_part_outl(0xb800DB68, 25, 25, 0x0); //REG_P#_ACDR_*_8<1>
rtd_part_outl(0xb800DB88, 25, 25, 0x0); //REG_P#_ACDR_*_8<1>
rtd_part_outl(0xb800DBA8, 25, 25, 0x0); //REG_P#_ACDR_*_8<1>

rtd_part_outl(0xb800DA48, 26, 26, 0x0); //REG_P#_ACDR_*_8<2>
rtd_part_outl(0xb800DA68, 26, 26, 0x0); //REG_P#_ACDR_*_8<2>
rtd_part_outl(0xb800DA88, 26, 26, 0x0); //REG_P#_ACDR_*_8<2>
rtd_part_outl(0xb800DAA8, 26, 26, 0x0); //REG_P#_ACDR_*_8<2>
rtd_part_outl(0xb800DB48, 26, 26, 0x0); //REG_P#_ACDR_*_8<2>
rtd_part_outl(0xb800DB68, 26, 26, 0x0); //REG_P#_ACDR_*_8<2>
rtd_part_outl(0xb800DB88, 26, 26, 0x0); //REG_P#_ACDR_*_8<2>
rtd_part_outl(0xb800DBA8, 26, 26, 0x0); //REG_P#_ACDR_*_8<2>

//====================[RL6617_CMU_ACDR_setting]common====================
//ACDR/CMU
rtd_part_outl(0xb800DA44, 13, 13, 0x0); //ckbk EN
rtd_part_outl(0xb800DA64, 13, 13, 0x0); //ckbk EN
rtd_part_outl(0xb800DA84, 13, 13, 0x0); //ckbk EN
rtd_part_outl(0xb800DAA4, 13, 13, 0x0); //ckbk EN
rtd_part_outl(0xb800DB44, 13, 13, 0x0); //ckbk EN
rtd_part_outl(0xb800DB64, 13, 13, 0x0); //ckbk EN
rtd_part_outl(0xb800DB84, 13, 13, 0x0); //ckbk EN
rtd_part_outl(0xb800DBA4, 13, 13, 0x0); //ckbk EN

rtd_part_outl(0xb800DA44, 17, 16, 0x1); //IB tune of charge pump and IDN , default=01
rtd_part_outl(0xb800DA64, 17, 16, 0x1); //IB tune of charge pump and IDN , default=01
rtd_part_outl(0xb800DA84, 17, 16, 0x1); //IB tune of charge pump and IDN , default=01
rtd_part_outl(0xb800DAA4, 17, 16, 0x1); //IB tune of charge pump and IDN , default=01
rtd_part_outl(0xb800DB44, 17, 16, 0x1); //IB tune of charge pump and IDN , default=01
rtd_part_outl(0xb800DB64, 17, 16, 0x1); //IB tune of charge pump and IDN , default=01
rtd_part_outl(0xb800DB84, 17, 16, 0x1); //IB tune of charge pump and IDN , default=01
rtd_part_outl(0xb800DBA4, 17, 16, 0x1); //IB tune of charge pump and IDN , default=01

rtd_part_outl(0xb800DA44, 21, 20, 0x1); //IB tune of LPF  , default=01
rtd_part_outl(0xb800DA64, 21, 20, 0x1); //IB tune of LPF  , default=01
rtd_part_outl(0xb800DA84, 21, 20, 0x1); //IB tune of LPF  , default=01
rtd_part_outl(0xb800DAA4, 21, 20, 0x1); //IB tune of LPF  , default=01
rtd_part_outl(0xb800DB44, 21, 20, 0x1); //IB tune of LPF  , default=01
rtd_part_outl(0xb800DB64, 21, 20, 0x1); //IB tune of LPF  , default=01
rtd_part_outl(0xb800DB84, 21, 20, 0x1); //IB tune of LPF  , default=01
rtd_part_outl(0xb800DBA4, 21, 20, 0x1); //IB tune of LPF  , default=01

rtd_part_outl(0xb800DA48, 7, 7, 0x0); //VC test EN
rtd_part_outl(0xb800DA68, 7, 7, 0x0); //VC test EN
rtd_part_outl(0xb800DA88, 7, 7, 0x0); //VC test EN
rtd_part_outl(0xb800DAA8, 7, 7, 0x0); //VC test EN
rtd_part_outl(0xb800DB48, 7, 7, 0x0); //VC test EN
rtd_part_outl(0xb800DB68, 7, 7, 0x0); //VC test EN
rtd_part_outl(0xb800DB88, 7, 7, 0x0); //VC test EN
rtd_part_outl(0xb800DBA8, 7, 7, 0x0); //VC test EN

rtd_part_outl(0xb800DA48, 13, 11, 0x0); //VLDO sel,  default=011
rtd_part_outl(0xb800DA68, 13, 11, 0x0); //VLDO sel,  default=011
rtd_part_outl(0xb800DA88, 13, 11, 0x0); //VLDO sel,  default=011
rtd_part_outl(0xb800DAA8, 13, 11, 0x0); //VLDO sel,  default=011
rtd_part_outl(0xb800DB48, 13, 11, 0x0); //VLDO sel,  default=011
rtd_part_outl(0xb800DB68, 13, 11, 0x0); //VLDO sel,  default=011
rtd_part_outl(0xb800DB88, 13, 11, 0x0); //VLDO sel,  default=011
rtd_part_outl(0xb800DBA8, 13, 11, 0x0); //VLDO sel,  default=011

rtd_part_outl(0xb800DA48, 21, 18, 0x0); //N div, divide-by <5:2>+2
rtd_part_outl(0xb800DA68, 21, 18, 0x0); //N div, divide-by <5:2>+2
rtd_part_outl(0xb800DA88, 21, 18, 0x0); //N div, divide-by <5:2>+2
rtd_part_outl(0xb800DAA8, 21, 18, 0x0); //N div, divide-by <5:2>+2
rtd_part_outl(0xb800DB48, 21, 18, 0x0); //N div, divide-by <5:2>+2
rtd_part_outl(0xb800DB68, 21, 18, 0x0); //N div, divide-by <5:2>+2
rtd_part_outl(0xb800DB88, 21, 18, 0x0); //N div, divide-by <5:2>+2
rtd_part_outl(0xb800DBA8, 21, 18, 0x0); //N div, divide-by <5:2>+2

//MBIAS
rtd_part_outl(0xb800DA18, 0, 0, 0x1); //bandgap reference power
rtd_part_outl(0xb800DA18, 17, 17, 0x0); //vbg up
rtd_part_outl(0xb800DA18, 15, 14, 0x2); //bg voltage control
rtd_part_outl(0xb800DA18, 10, 8, 0x4); //bg voltage control
rtd_part_outl(0xb800DA18, 13, 11, 0x4); //bg voltage control
rtd_part_outl(0xb800DA10, 10, 8, 0x5); //IPTAT of LEQ ADJ
rtd_part_outl(0xb800DA10, 13, 11, 0x1); //IB LEQ ADJ L
rtd_part_outl(0xb800DA10, 15, 15, 0x0); //select vbg tst voltage

//TOP_IN_*
rtd_part_outl(0xb800DA10, 6, 6, 0x1); //CKCMP EN,   0:off, 1:on
rtd_part_outl(0xb800DA10, 19, 16, 0x0); //test-clock-mux selection
rtd_part_outl(0xb800DA10, 21, 21, 0x0); //TEST_PAD OUTPUT enable
rtd_part_outl(0xb800DA14, 2, 2, 0x0); //port 0 test ckout rstb
rtd_part_outl(0xb800DA14, 3, 3, 0x0); //port 0 CK_MD selection.  0:clock from CK_TX,   1:clock from test-clock-mux
rtd_part_outl(0xb800DA14, 4, 4, 0x1); //port 0 CK_TX.  0:off,  1:on
rtd_part_outl(0xb800DA14, 7, 5, 0x0); //port 0 test-clock-mux selection
rtd_part_outl(0xb800DA14, 10, 10, 0x0); //port 1 test ckout rstb
rtd_part_outl(0xb800DA14, 11, 11, 0x0); //port 1 CK_MD selection.  0:clock from CK_TX,   1:clock from test-clock-mux
rtd_part_outl(0xb800DA14, 12, 12, 0x1); //port 1 CK_TX.  0:off,  1:on
rtd_part_outl(0xb800DA14, 15, 13, 0x0); //port 1 test-clock-mux selection

//AC_COUPLE=> CK first
rtd_part_outl(0xb800DA34, 0, 0, 0x1); //pow AC_COUPLE
rtd_part_outl(0xb800DB34, 0, 0, 0x1); //pow AC_COUPLE
rtd_part_outl(0xb800DA30, 12, 11, 0x2); //AC_COUPLE vcm selection
rtd_part_outl(0xb800DB30, 12, 11, 0x2); //AC_COUPLE vcm selection
rtd_part_outl(0xb800DA30, 0, 0, 0x0); //INOFF_EN
rtd_part_outl(0xb800DB30, 0, 0, 0x0); //INOFF_EN
rtd_part_outl(0xb800DA30, 1, 1, 0x0); //INNOFF_SINGLE_EN
rtd_part_outl(0xb800DB30, 1, 1, 0x0); //INNOFF_SINGLE_EN
rtd_part_outl(0xb800DA30, 2, 2, 0x0); //INPOFF_SINGLE_EN
rtd_part_outl(0xb800DB30, 2, 2, 0x0); //INPOFF_SINGLE_EN

//Z0
rtd_part_outl(0xb800DA04, 12, 8, 0x0f); //Z0 Manually adjust.    00000:max ~   11111:min
rtd_part_outl(0xb800DA04, 4, 0, 0x0f); //Z0 Manually adjust.    00000:max ~   11111:min
rtd_part_outl(0xb800DA08, 13, 12, 0x3); //Z0 Resistor ON for port 1,0.    0:OFF,  1:ON
rtd_part_outl(0xb800DA08, 9, 8, 0x3); //Z0 Resistor ON for port 1,0.    0:OFF,  1:ON
rtd_part_outl(0xb800DA08, 1, 0, 0x3); //Z0 Resistor ON for port 1,0.    0:OFF,  1:ON
rtd_part_outl(0xb800DA08, 5, 4, 0x3); //Z0 Resistor ON for port 1,0.    0:OFF,  1:ON
rtd_part_outl(0xb800DA08, 21, 20, 0x0); //Dummy
rtd_part_outl(0xb800DA08, 25, 24, 0x0); //Prot1,0 P/N short to vcm for FT.  0:Active mode,  1:P/N short to vcm for FT
rtd_part_outl(0xb800DA10, 0, 0, 0x0); //Z0_P_OFF,   0:on, 1:off
rtd_part_outl(0xb800DA10, 1, 1, 0x0); //Z0_N_OFF,  0:on, 1:off
rtd_part_outl(0xb800DA10, 5, 2, 0xA); //[5:4] port-1  Z0_RFIX_SEL;   [3:2] port-0  Z0_RFIX_SEL

//====================[RL6617_HDMIRX_FLOW]KOFFSET and vth setting====================
//Controlled by DFE Adaptation Digital Signal (for DFE Adaptation)
rtd_part_outl(0xb800DA40, 31, 31, 0x0); //VTH_MANUAL=0
rtd_part_outl(0xb800DAA0, 31, 31, 0x0); //VTH_MANUAL=0
rtd_part_outl(0xb800DA80, 31, 31, 0x0); //VTH_MANUAL=0
rtd_part_outl(0xb800DA60, 31, 31, 0x0); //VTH_MANUAL=0
rtd_part_outl(0xb800DB40, 31, 31, 0x0); //VTH_MANUAL=0
rtd_part_outl(0xb800DBA0, 31, 31, 0x0); //VTH_MANUAL=0
rtd_part_outl(0xb800DB80, 31, 31, 0x0); //VTH_MANUAL=0
rtd_part_outl(0xb800DB60, 31, 31, 0x0); //VTH_MANUAL=0

rtd_part_outl(0xb800DA40, 5 ,5, 0x1);   //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DA40, 13 ,13, 0x1); //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DA40, 21 ,21, 0x1); //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DA40, 29 ,29, 0x1); //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DAA0, 5 ,5, 0x1);   //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DAA0, 13 ,13, 0x1); //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DAA0, 21 ,21, 0x1); //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DAA0, 29 ,29, 0x1); //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DA80, 5, 5, 0x1);   //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DA80, 13, 13, 0x1); //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DA80, 21, 21, 0x1); //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DA80, 29, 29, 0x1); //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DA60, 5, 5, 0x1);   //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DA60, 13, 13, 0x1); //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DA60, 21, 21, 0x1); //P0_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DA60, 29, 29, 0x1); //P0_KOFF_VTH_MANUAL<3:0> = 1111

rtd_part_outl(0xb800DB40, 5 ,5, 0x1);   //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DB40, 13 ,13, 0x1); //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DB40, 21 ,21, 0x1); //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DB40, 29 ,29, 0x1); //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DBA0, 5 ,5, 0x1);   //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DBA0, 13 ,13, 0x1); //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DBA0, 21 ,21, 0x1); //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DBA0, 29 ,29, 0x1); //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DB80, 5, 5, 0x1);   //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DB80, 13, 13, 0x1); //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DB80, 21, 21, 0x1); //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DB80, 29, 29, 0x1); //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DB60, 5, 5, 0x1);   //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DB60, 13, 13, 0x1); //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DB60, 21, 21, 0x1); //P1_KOFF_VTH_MANUAL<3:0> = 1111
rtd_part_outl(0xb800DB60, 29, 29, 0x1); //P1_KOFF_VTH_MANUAL<3:0> = 1111

//====================[RL6617_DFE_SETTING]AC-COUPLE_BIAS_EQ_MBIAS_DFE====================
//BIAS
rtd_part_outl(0xb800DA34, 7, 5, 0x3); //DA_LANE_ISEL<2:0>
rtd_part_outl(0xb800DA54, 7, 5, 0x3); //DA_LANE_ISEL<2:0>
rtd_part_outl(0xb800DA74, 7, 5, 0x3); //DA_LANE_ISEL<2:0>
rtd_part_outl(0xb800DA94, 7, 5, 0x3); //DA_LANE_ISEL<2:0>
rtd_part_outl(0xb800DB34, 7, 5, 0x3); //DA_LANE_ISEL<2:0>
rtd_part_outl(0xb800DB54, 7, 5, 0x3); //DA_LANE_ISEL<2:0>
rtd_part_outl(0xb800DB74, 7, 5, 0x3); //DA_LANE_ISEL<2:0>
rtd_part_outl(0xb800DB94, 7, 5, 0x3); //DA_LANE_ISEL<2:0>

rtd_part_outl(0xb800DA34, 4, 3, 0x2); //LEQ_CURRENT_ADJ<1:0>
rtd_part_outl(0xb800DA54, 4, 3, 0x2); //LEQ_CURRENT_ADJ<1:0>
rtd_part_outl(0xb800DA74, 4, 3, 0x2); //LEQ_CURRENT_ADJ<1:0>
rtd_part_outl(0xb800DA94, 4, 3, 0x2); //LEQ_CURRENT_ADJ<1:0>
rtd_part_outl(0xb800DB34, 4, 3, 0x2); //LEQ_CURRENT_ADJ<1:0>
rtd_part_outl(0xb800DB54, 4, 3, 0x2); //LEQ_CURRENT_ADJ<1:0>
rtd_part_outl(0xb800DB74, 4, 3, 0x2); //LEQ_CURRENT_ADJ<1:0>
rtd_part_outl(0xb800DB94, 4, 3, 0x2); //LEQ_CURRENT_ADJ<1:0>

rtd_part_outl(0xb800DA34, 2, 2, 0x1); //TAP0_CURRENT_ADJ
rtd_part_outl(0xb800DA54, 2, 2, 0x1); //TAP0_CURRENT_ADJ
rtd_part_outl(0xb800DA74, 2, 2, 0x1); //TAP0_CURRENT_ADJ
rtd_part_outl(0xb800DA94, 2, 2, 0x1); //TAP0_CURRENT_ADJ
rtd_part_outl(0xb800DB34, 2, 2, 0x1); //TAP0_CURRENT_ADJ
rtd_part_outl(0xb800DB54, 2, 2, 0x1); //TAP0_CURRENT_ADJ
rtd_part_outl(0xb800DB74, 2, 2, 0x1); //TAP0_CURRENT_ADJ
rtd_part_outl(0xb800DB94, 2, 2, 0x1); //TAP0_CURRENT_ADJ

rtd_part_outl(0xb800DA38, 28, 28, 0x0); //PI_CURRENT_ADJ
rtd_part_outl(0xb800DA58, 28, 28, 0x0); //PI_CURRENT_ADJ
rtd_part_outl(0xb800DA78, 28, 28, 0x0); //PI_CURRENT_ADJ
rtd_part_outl(0xb800DA98, 28, 28, 0x0); //PI_CURRENT_ADJ
rtd_part_outl(0xb800DB38, 28, 28, 0x0); //PI_CURRENT_ADJ
rtd_part_outl(0xb800DB58, 28, 28, 0x0); //PI_CURRENT_ADJ
rtd_part_outl(0xb800DB78, 28, 28, 0x0); //PI_CURRENT_ADJ
rtd_part_outl(0xb800DB98, 28, 28, 0x0); //PI_CURRENT_ADJ

rtd_part_outl(0xb800DA30, 22, 21, 0x3); //PTAT_CURRENT_ADJ<1:0>
rtd_part_outl(0xb800DA50, 22, 21, 0x3); //PTAT_CURRENT_ADJ<1:0>
rtd_part_outl(0xb800DA70, 22, 21, 0x3); //PTAT_CURRENT_ADJ<1:0>
rtd_part_outl(0xb800DA90, 22, 21, 0x3); //PTAT_CURRENT_ADJ<1:0>
rtd_part_outl(0xb800DB30, 22, 21, 0x3); //PTAT_CURRENT_ADJ<1:0>
rtd_part_outl(0xb800DB50, 22, 21, 0x3); //PTAT_CURRENT_ADJ<1:0>
rtd_part_outl(0xb800DB70, 22, 21, 0x3); //PTAT_CURRENT_ADJ<1:0>
rtd_part_outl(0xb800DB90, 22, 21, 0x3); //PTAT_CURRENT_ADJ<1:0>

//EQ
rtd_part_outl(0xb800DA34, 15, 12, 0x7); //RLSEL_LEQ<3:0>
rtd_part_outl(0xb800DA54, 15, 12, 0x7); //RLSEL_LEQ<3:0>
rtd_part_outl(0xb800DA74, 15, 12, 0x7); //RLSEL_LEQ<3:0>
rtd_part_outl(0xb800DA94, 15, 12, 0x7); //RLSEL_LEQ<3:0>
rtd_part_outl(0xb800DB34, 15, 12, 0x7); //RLSEL_LEQ<3:0>
rtd_part_outl(0xb800DB54, 15, 12, 0x7); //RLSEL_LEQ<3:0>
rtd_part_outl(0xb800DB74, 15, 12, 0x7); //RLSEL_LEQ<3:0>
rtd_part_outl(0xb800DB94, 15, 12, 0x7); //RLSEL_LEQ<3:0>

rtd_part_outl(0xb800DA3C, 15, 13, 0x1); //RLSEL_LEQ1_NC1<2:0>
rtd_part_outl(0xb800DA5C, 15, 13, 0x1); //RLSEL_LEQ1_NC1<2:0>
rtd_part_outl(0xb800DA7C, 15, 13, 0x1); //RLSEL_LEQ1_NC1<2:0>
rtd_part_outl(0xb800DA9C, 15, 13, 0x1); //RLSEL_LEQ1_NC1<2:0>
rtd_part_outl(0xb800DB3C, 15, 13, 0x1); //RLSEL_LEQ1_NC1<2:0>
rtd_part_outl(0xb800DB5C, 15, 13, 0x1); //RLSEL_LEQ1_NC1<2:0>
rtd_part_outl(0xb800DB7C, 15, 13, 0x1); //RLSEL_LEQ1_NC1<2:0>
rtd_part_outl(0xb800DB9C, 15, 13, 0x1); //RLSEL_LEQ1_NC1<2:0>

rtd_part_outl(0xb800DA30, 10, 8, 0x1); //RLSEL_LEQ1_NC2<2:0>
rtd_part_outl(0xb800DA50, 10, 8, 0x1); //RLSEL_LEQ1_NC2<2:0>
rtd_part_outl(0xb800DA70, 10, 8, 0x1); //RLSEL_LEQ1_NC2<2:0>
rtd_part_outl(0xb800DA90, 10, 8, 0x1); //RLSEL_LEQ1_NC2<2:0>
rtd_part_outl(0xb800DB30, 10, 8, 0x1); //RLSEL_LEQ1_NC2<2:0>
rtd_part_outl(0xb800DB50, 10, 8, 0x1); //RLSEL_LEQ1_NC2<2:0>
rtd_part_outl(0xb800DB70, 10, 8, 0x1); //RLSEL_LEQ1_NC2<2:0>
rtd_part_outl(0xb800DB90, 10, 8, 0x1); //RLSEL_LEQ1_NC2<2:0>

rtd_part_outl(0xb800DA34, 11, 11, 0x1); //RLSEL_TAP0
rtd_part_outl(0xb800DA54, 11, 11, 0x1); //RLSEL_TAP0
rtd_part_outl(0xb800DA74, 11, 11, 0x1); //RLSEL_TAP0
rtd_part_outl(0xb800DA94, 11, 11, 0x1); //RLSEL_TAP0
rtd_part_outl(0xb800DB34, 11, 11, 0x1); //RLSEL_TAP0
rtd_part_outl(0xb800DB54, 11, 11, 0x1); //RLSEL_TAP0
rtd_part_outl(0xb800DB74, 11, 11, 0x1); //RLSEL_TAP0
rtd_part_outl(0xb800DB94, 11, 11, 0x1); //RLSEL_TAP0

rtd_part_outl(0xb800DA3C, 23, 23, 0x1); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DA5C, 23, 23, 0x1); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DA7C, 23, 23, 0x1); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DA9C, 23, 23, 0x1); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DB3C, 23, 23, 0x1); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DB5C, 23, 23, 0x1); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DB7C, 23, 23, 0x1); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DB9C, 23, 23, 0x1); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DA3C, 31, 29, 0x4); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DA5C, 31, 29, 0x4); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DA7C, 31, 29, 0x4); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DA9C, 31, 29, 0x4); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DB3C, 31, 29, 0x4); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DB5C, 31, 29, 0x4); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DB7C, 31, 29, 0x4); //RSSEL_LEQ2<3:0>
rtd_part_outl(0xb800DB9C, 31, 29, 0x4); //RSSEL_LEQ2<3:0>

rtd_part_outl(0xb800DA38, 19, 16, 0xd); //RSSEL_LEQ1_1<3:0>
rtd_part_outl(0xb800DA58, 19, 16, 0xd); //RSSEL_LEQ1_1<3:0>
rtd_part_outl(0xb800DA78, 19, 16, 0xd); //RSSEL_LEQ1_1<3:0>
rtd_part_outl(0xb800DA98, 19, 16, 0xd); //RSSEL_LEQ1_1<3:0>
rtd_part_outl(0xb800DB38, 19, 16, 0xd); //RSSEL_LEQ1_1<3:0>
rtd_part_outl(0xb800DB58, 19, 16, 0xd); //RSSEL_LEQ1_1<3:0>
rtd_part_outl(0xb800DB78, 19, 16, 0xd); //RSSEL_LEQ1_1<3:0>
rtd_part_outl(0xb800DB98, 19, 16, 0xd); //RSSEL_LEQ1_1<3:0>

rtd_part_outl(0xb800DA38, 23, 20, 0xd); //RSSEL_LEQ1_2<3:0>
rtd_part_outl(0xb800DA58, 23, 20, 0xd); //RSSEL_LEQ1_2<3:0>
rtd_part_outl(0xb800DA78, 23, 20, 0xd); //RSSEL_LEQ1_2<3:0>
rtd_part_outl(0xb800DA98, 23, 20, 0xd); //RSSEL_LEQ1_2<3:0>
rtd_part_outl(0xb800DB38, 23, 20, 0xd); //RSSEL_LEQ1_2<3:0>
rtd_part_outl(0xb800DB58, 23, 20, 0xd); //RSSEL_LEQ1_2<3:0>
rtd_part_outl(0xb800DB78, 23, 20, 0xd); //RSSEL_LEQ1_2<3:0>
rtd_part_outl(0xb800DB98, 23, 20, 0xd); //RSSEL_LEQ1_2<3:0>

rtd_part_outl(0xb800DA34, 10, 10, 0x1); //RSSEL_TAP0
rtd_part_outl(0xb800DA54, 10, 10, 0x1); //RSSEL_TAP0
rtd_part_outl(0xb800DA74, 10, 10, 0x1); //RSSEL_TAP0
rtd_part_outl(0xb800DA94, 10, 10, 0x1); //RSSEL_TAP0
rtd_part_outl(0xb800DB34, 10, 10, 0x1); //RSSEL_TAP0
rtd_part_outl(0xb800DB54, 10, 10, 0x1); //RSSEL_TAP0
rtd_part_outl(0xb800DB74, 10, 10, 0x1); //RSSEL_TAP0
rtd_part_outl(0xb800DB94, 10, 10, 0x1); //RSSEL_TAP0

rtd_part_outl(0xb800DA34, 20, 18, 0x6); //LEQ_ISEL<2:0>
rtd_part_outl(0xb800DA54, 20, 18, 0x6); //LEQ_ISEL<2:0>
rtd_part_outl(0xb800DA74, 20, 18, 0x6); //LEQ_ISEL<2:0>
rtd_part_outl(0xb800DA94, 20, 18, 0x6); //LEQ_ISEL<2:0>
rtd_part_outl(0xb800DB34, 20, 18, 0x6); //LEQ_ISEL<2:0>
rtd_part_outl(0xb800DB54, 20, 18, 0x6); //LEQ_ISEL<2:0>
rtd_part_outl(0xb800DB74, 20, 18, 0x6); //LEQ_ISEL<2:0>
rtd_part_outl(0xb800DB94, 20, 18, 0x6); //LEQ_ISEL<2:0>

rtd_part_outl(0xb800DA30, 15, 13, 0x4); //LE_PTAT_ISEL<2:0>
rtd_part_outl(0xb800DA50, 15, 13, 0x4); //LE_PTAT_ISEL<2:0>
rtd_part_outl(0xb800DA70, 15, 13, 0x4); //LE_PTAT_ISEL<2:0>
rtd_part_outl(0xb800DA90, 15, 13, 0x4); //LE_PTAT_ISEL<2:0>
rtd_part_outl(0xb800DB30, 15, 13, 0x4); //LE_PTAT_ISEL<2:0>
rtd_part_outl(0xb800DB50, 15, 13, 0x4); //LE_PTAT_ISEL<2:0>
rtd_part_outl(0xb800DB70, 15, 13, 0x4); //LE_PTAT_ISEL<2:0>
rtd_part_outl(0xb800DB90, 15, 13, 0x4); //LE_PTAT_ISEL<2:0>

rtd_part_outl(0xb800DA34, 23, 21, 0x6); //TAP0_ISEL<2:0>
rtd_part_outl(0xb800DA54, 23, 21, 0x6); //TAP0_ISEL<2:0>
rtd_part_outl(0xb800DA74, 23, 21, 0x6); //TAP0_ISEL<2:0>
rtd_part_outl(0xb800DA94, 23, 21, 0x6); //TAP0_ISEL<2:0>
rtd_part_outl(0xb800DB34, 23, 21, 0x6); //TAP0_ISEL<2:0>
rtd_part_outl(0xb800DB54, 23, 21, 0x6); //TAP0_ISEL<2:0>
rtd_part_outl(0xb800DB74, 23, 21, 0x6); //TAP0_ISEL<2:0>
rtd_part_outl(0xb800DB94, 23, 21, 0x6); //TAP0_ISEL<2:0>

rtd_part_outl(0xb800DA40, 6, 6, 0x1); //POW_PTAT
rtd_part_outl(0xb800DA60, 6, 6, 0x1); //POW_PTAT
rtd_part_outl(0xb800DA80, 6, 6, 0x1); //POW_PTAT
rtd_part_outl(0xb800DAA0, 6, 6, 0x1); //POW_PTAT
rtd_part_outl(0xb800DB40, 6, 6, 0x1); //POW_PTAT
rtd_part_outl(0xb800DB60, 6, 6, 0x1); //POW_PTAT
rtd_part_outl(0xb800DB80, 6, 6, 0x1); //POW_PTAT
rtd_part_outl(0xb800DBA0, 6, 6, 0x1); //POW_PTAT

rtd_part_outl(0xb800DA40, 7, 7, 0x1); //POW_PTAT_stage1
rtd_part_outl(0xb800DA60, 7, 7, 0x1); //POW_PTAT_stage1
rtd_part_outl(0xb800DA80, 7, 7, 0x1); //POW_PTAT_stage1
rtd_part_outl(0xb800DAA0, 7, 7, 0x1); //POW_PTAT_stage1
rtd_part_outl(0xb800DB40, 7, 7, 0x1); //POW_PTAT_stage1
rtd_part_outl(0xb800DB60, 7, 7, 0x1); //POW_PTAT_stage1
rtd_part_outl(0xb800DB80, 7, 7, 0x1); //POW_PTAT_stage1
rtd_part_outl(0xb800DBA0, 7, 7, 0x1); //POW_PTAT_stage1

rtd_part_outl(0xb800DA34, 9, 9, 0x1); //EQ_POW
rtd_part_outl(0xb800DA54, 9, 9, 0x1); //EQ_POW
rtd_part_outl(0xb800DA74, 9, 9, 0x1); //EQ_POW
rtd_part_outl(0xb800DA94, 9, 9, 0x1); //EQ_POW
rtd_part_outl(0xb800DB34, 9, 9, 0x1); //EQ_POW
rtd_part_outl(0xb800DB54, 9, 9, 0x1); //EQ_POW
rtd_part_outl(0xb800DB74, 9, 9, 0x1); //EQ_POW
rtd_part_outl(0xb800DB94, 9, 9, 0x1); //EQ_POW

rtd_part_outl(0xb800DA34, 8, 8, 0x1); //RS_CAL_EN
rtd_part_outl(0xb800DA54, 8, 8, 0x1); //RS_CAL_EN
rtd_part_outl(0xb800DA74, 8, 8, 0x1); //RS_CAL_EN
rtd_part_outl(0xb800DA94, 8, 8, 0x1); //RS_CAL_EN
rtd_part_outl(0xb800DB34, 8, 8, 0x1); //RS_CAL_EN
rtd_part_outl(0xb800DB54, 8, 8, 0x1); //RS_CAL_EN
rtd_part_outl(0xb800DB74, 8, 8, 0x1); //RS_CAL_EN
rtd_part_outl(0xb800DB94, 8, 8, 0x1); //RS_CAL_EN

//DFE
rtd_part_outl(0xb800DA38, 13, 11, 0x5); //[5:3]DFE_SUMAMP_ ISEL
rtd_part_outl(0xb800DA58, 13, 11, 0x5); //[5:3]DFE_SUMAMP_ ISEL
rtd_part_outl(0xb800DA78, 13, 11, 0x5); //[5:3]DFE_SUMAMP_ ISEL
rtd_part_outl(0xb800DA98, 13, 11, 0x5); //[5:3]DFE_SUMAMP_ ISEL
rtd_part_outl(0xb800DB38, 13, 11, 0x5); //[5:3]DFE_SUMAMP_ ISEL
rtd_part_outl(0xb800DB58, 13, 11, 0x5); //[5:3]DFE_SUMAMP_ ISEL
rtd_part_outl(0xb800DB78, 13, 11, 0x5); //[5:3]DFE_SUMAMP_ ISEL
rtd_part_outl(0xb800DB98, 13, 11, 0x5); //[5:3]DFE_SUMAMP_ ISEL

rtd_part_outl(0xb800DA38, 14, 14, 0x1); //SUMAMP_DCGAIN_MAX
rtd_part_outl(0xb800DA58, 14, 14, 0x1); //SUMAMP_DCGAIN_MAX
rtd_part_outl(0xb800DA78, 14, 14, 0x1); //SUMAMP_DCGAIN_MAX
rtd_part_outl(0xb800DA98, 14, 14, 0x1); //SUMAMP_DCGAIN_MAX
rtd_part_outl(0xb800DB38, 14, 14, 0x1); //SUMAMP_DCGAIN_MAX
rtd_part_outl(0xb800DB58, 14, 14, 0x1); //SUMAMP_DCGAIN_MAX
rtd_part_outl(0xb800DB78, 14, 14, 0x1); //SUMAMP_DCGAIN_MAX
rtd_part_outl(0xb800DB98, 14, 14, 0x1); //SUMAMP_DCGAIN_MAX

rtd_part_outl(0xb800DA3C, 7, 7, 0x0); //DA_EG_VOS_PULLLOW
rtd_part_outl(0xb800DA5C, 7, 7, 0x0); //DA_EG_VOS_PULLLOW
rtd_part_outl(0xb800DA7C, 7, 7, 0x0); //DA_EG_VOS_PULLLOW
rtd_part_outl(0xb800DA9C, 7, 7, 0x0); //DA_EG_VOS_PULLLOW
rtd_part_outl(0xb800DB3C, 7, 7, 0x0); //DA_EG_VOS_PULLLOW
rtd_part_outl(0xb800DB5C, 7, 7, 0x0); //DA_EG_VOS_PULLLOW
rtd_part_outl(0xb800DB7C, 7, 7, 0x0); //DA_EG_VOS_PULLLOW
rtd_part_outl(0xb800DB9C, 7, 7, 0x0); //DA_EG_VOS_PULLLOW

rtd_part_outl(0xb800DA30, 3, 3, 0x0); //BLEED_EN
rtd_part_outl(0xb800DA50, 3, 3, 0x0); //BLEED_EN
rtd_part_outl(0xb800DA70, 3, 3, 0x0); //BLEED_EN
rtd_part_outl(0xb800DA90, 3, 3, 0x0); //BLEED_EN
rtd_part_outl(0xb800DB30, 3, 3, 0x0); //BLEED_EN
rtd_part_outl(0xb800DB50, 3, 3, 0x0); //BLEED_EN
rtd_part_outl(0xb800DB70, 3, 3, 0x0); //BLEED_EN
rtd_part_outl(0xb800DB90, 3, 3, 0x0); //BLEED_EN

rtd_part_outl(0xb800DA38, 2, 0, 0x0); //DFE_TAP_DELAY<3:1>
rtd_part_outl(0xb800DA58, 2, 0, 0x0); //DFE_TAP_DELAY<3:1>
rtd_part_outl(0xb800DA78, 2, 0, 0x0); //DFE_TAP_DELAY<3:1>
rtd_part_outl(0xb800DA98, 2, 0, 0x0); //DFE_TAP_DELAY<3:1>
rtd_part_outl(0xb800DB38, 2, 0, 0x0); //DFE_TAP_DELAY<3:1>
rtd_part_outl(0xb800DB58, 2, 0, 0x0); //DFE_TAP_DELAY<3:1>
rtd_part_outl(0xb800DB78, 2, 0, 0x0); //DFE_TAP_DELAY<3:1>
rtd_part_outl(0xb800DB98, 2, 0, 0x0); //DFE_TAP_DELAY<3:1>

rtd_part_outl(0xb800DA38, 27, 27, 0x0); //CKI_DELAY_EN
rtd_part_outl(0xb800DA58, 27, 27, 0x0); //CKI_DELAY_EN
rtd_part_outl(0xb800DA78, 27, 27, 0x0); //CKI_DELAY_EN
rtd_part_outl(0xb800DA98, 27, 27, 0x0); //CKI_DELAY_EN
rtd_part_outl(0xb800DB38, 27, 27, 0x0); //CKI_DELAY_EN
rtd_part_outl(0xb800DB58, 27, 27, 0x0); //CKI_DELAY_EN
rtd_part_outl(0xb800DB78, 27, 27, 0x0); //CKI_DELAY_EN
rtd_part_outl(0xb800DB98, 27, 27, 0x0); //CKI_DELAY_EN

rtd_part_outl(0xb800DA38, 26, 26, 0x0); //CKIB_DELAY_EN
rtd_part_outl(0xb800DA58, 26, 26, 0x0); //CKIB_DELAY_EN
rtd_part_outl(0xb800DA78, 26, 26, 0x0); //CKIB_DELAY_EN
rtd_part_outl(0xb800DA98, 26, 26, 0x0); //CKIB_DELAY_EN
rtd_part_outl(0xb800DB38, 26, 26, 0x0); //CKIB_DELAY_EN
rtd_part_outl(0xb800DB58, 26, 26, 0x0); //CKIB_DELAY_EN
rtd_part_outl(0xb800DB78, 26, 26, 0x0); //CKIB_DELAY_EN
rtd_part_outl(0xb800DB98, 26, 26, 0x0); //CKIB_DELAY_EN

rtd_part_outl(0xb800DA38, 9, 9, 0x0); //CKQ_DELAY_EN
rtd_part_outl(0xb800DA58, 9, 9, 0x0); //CKQ_DELAY_EN
rtd_part_outl(0xb800DA78, 9, 9, 0x0); //CKQ_DELAY_EN
rtd_part_outl(0xb800DA98, 9, 9, 0x0); //CKQ_DELAY_EN
rtd_part_outl(0xb800DB38, 9, 9, 0x0); //CKQ_DELAY_EN
rtd_part_outl(0xb800DB58, 9, 9, 0x0); //CKQ_DELAY_EN
rtd_part_outl(0xb800DB78, 9, 9, 0x0); //CKQ_DELAY_EN
rtd_part_outl(0xb800DB98, 9, 9, 0x0); //CKQ_DELAY_EN

rtd_part_outl(0xb800DA38, 8, 8, 0x0); //CKQB_DELAY_EN
rtd_part_outl(0xb800DA58, 8, 8, 0x0); //CKQB_DELAY_EN
rtd_part_outl(0xb800DA78, 8, 8, 0x0); //CKQB_DELAY_EN
rtd_part_outl(0xb800DA98, 8, 8, 0x0); //CKQB_DELAY_EN
rtd_part_outl(0xb800DB38, 8, 8, 0x0); //CKQB_DELAY_EN
rtd_part_outl(0xb800DB58, 8, 8, 0x0); //CKQB_DELAY_EN
rtd_part_outl(0xb800DB78, 8, 8, 0x0); //CKQB_DELAY_EN
rtd_part_outl(0xb800DB98, 8, 8, 0x0); //CKQB_DELAY_EN

//====================[RL6617_CMU_ACDR_setting]HDMIRX2.1_ACDR_CMU====================
//LDO and sub-block EN
rtd_part_outl(0xb800DA44, 0, 0, 0x1); //LDO, current mirror EN
rtd_part_outl(0xb800DA64, 0, 0, 0x1); //LDO, current mirror EN
rtd_part_outl(0xb800DA84, 0, 0, 0x1); //LDO, current mirror EN
rtd_part_outl(0xb800DAA4, 0, 0, 0x1); //LDO, current mirror EN
rtd_part_outl(0xb800DB44, 0, 0, 0x1); //LDO, current mirror EN
rtd_part_outl(0xb800DB64, 0, 0, 0x1); //LDO, current mirror EN
rtd_part_outl(0xb800DB84, 0, 0, 0x1); //LDO, current mirror EN
rtd_part_outl(0xb800DBA4, 0, 0, 0x1); //LDO, current mirror EN

rtd_part_outl(0xb800DA44, 1, 1, 0x1); //CP/mirror/VCO/div16(FLD clk) EN
rtd_part_outl(0xb800DA64, 1, 1, 0x1); //CP/mirror/VCO/div16(FLD clk) EN
rtd_part_outl(0xb800DA84, 1, 1, 0x1); //CP/mirror/VCO/div16(FLD clk) EN
rtd_part_outl(0xb800DAA4, 1, 1, 0x1); //CP/mirror/VCO/div16(FLD clk) EN
rtd_part_outl(0xb800DB44, 1, 1, 0x1); //CP/mirror/VCO/div16(FLD clk) EN
rtd_part_outl(0xb800DB64, 1, 1, 0x1); //CP/mirror/VCO/div16(FLD clk) EN
rtd_part_outl(0xb800DB84, 1, 1, 0x1); //CP/mirror/VCO/div16(FLD clk) EN
rtd_part_outl(0xb800DBA4, 1, 1, 0x1); //CP/mirror/VCO/div16(FLD clk) EN

//hysteresis and non-hysteresis control (CK-lane only)
rtd_part_outl(0xb800DA2C, 6, 0, 0x4D);// non-hys amp EN, PLL CKref SEL, hysteresis window SEL, CK Mode detect source, Non-Hys amp clock division, hys amp EN
rtd_part_outl(0xb800DB2C, 6, 0, 0x4D);// non-hys amp EN, PLL CKref SEL, hysteresis window SEL, CK Mode detect source, Non-Hys amp clock division, hys amp EN

//M/N code
rtd_part_outl(0xb800DA48, 17, 16, 0x0); //CMU_SELPREDIV
rtd_part_outl(0xb800DA68, 17, 16, 0x0); //CMU_SELPREDIV
rtd_part_outl(0xb800DA88, 17, 16, 0x0); //CMU_SELPREDIV
rtd_part_outl(0xb800DAA8, 17, 16, 0x0); //CMU_SELPREDIV
rtd_part_outl(0xb800DB48, 17, 16, 0x0); //CMU_SELPREDIV
rtd_part_outl(0xb800DB68, 17, 16, 0x0); //CMU_SELPREDIV
rtd_part_outl(0xb800DB88, 17, 16, 0x0); //CMU_SELPREDIV
rtd_part_outl(0xb800DBA8, 17, 16, 0x0); //CMU_SELPREDIV

rtd_part_outl(0xb800DA44, 9, 9, 0x0); //pre-M
rtd_part_outl(0xb800DA64, 9, 9, 0x0); //pre-M
rtd_part_outl(0xb800DA84, 9, 9, 0x0); //pre-M
rtd_part_outl(0xb800DAA4, 9, 9, 0x0); //pre-M
rtd_part_outl(0xb800DB44, 9, 9, 0x0); //pre-M
rtd_part_outl(0xb800DB64, 9, 9, 0x0); //pre-M
rtd_part_outl(0xb800DB84, 9, 9, 0x0); //pre-M
rtd_part_outl(0xb800DBA4, 9, 9, 0x0); //pre-M

rtd_part_outl(0xb800DC20, 8, 0, 0x6b); //M-code @ XTAL=27M
rtd_part_outl(0xb800DD20, 8, 0, 0x6b); //M-code @ XTAL=27M

rtd_part_outl(0xb800DA44, 10, 10, 0x0); //post-M
rtd_part_outl(0xb800DA64, 10, 10, 0x0); //post-M
rtd_part_outl(0xb800DA84, 10, 10, 0x0); //post-M
rtd_part_outl(0xb800DAA4, 10, 10, 0x0); //post-M
rtd_part_outl(0xb800DB44, 10, 10, 0x0); //post-M
rtd_part_outl(0xb800DB64, 10, 10, 0x0); //post-M
rtd_part_outl(0xb800DB84, 10, 10, 0x0); //post-M
rtd_part_outl(0xb800DBA4, 10, 10, 0x0); //post-M

//Manual SEL
rtd_part_outl(0xb800DDF0, 30, 23, 0xff); //REG_P#_*_PLLCDR_MANUAL_ENABLE

//Data lane clock source SEL
rtd_part_outl(0xb800DA48, 14, 14, 0x1); //Data lane clock source SEL (B/G/R lane)[14] = 1:  clk direct from ACDR block 
rtd_part_outl(0xb800DA68, 14, 14, 0x1); //Data lane clock source SEL (B/G/R lane)[14] = 1:  clk direct from ACDR block 
rtd_part_outl(0xb800DA88, 14, 14, 0x1); //Data lane clock source SEL (B/G/R lane)[14] = 1:  clk direct from ACDR block 
rtd_part_outl(0xb800DAA8, 14, 14, 0x1); //Data lane clock source SEL (B/G/R lane)[14] = 1:  clk direct from ACDR block
rtd_part_outl(0xb800DB48, 14, 14, 0x1); //Data lane clock source SEL (B/G/R lane)[14] = 1:  clk direct from ACDR block 
rtd_part_outl(0xb800DB68, 14, 14, 0x1); //Data lane clock source SEL (B/G/R lane)[14] = 1:  clk direct from ACDR block 
rtd_part_outl(0xb800DB88, 14, 14, 0x1); //Data lane clock source SEL (B/G/R lane)[14] = 1:  clk direct from ACDR block 
rtd_part_outl(0xb800DBA8, 14, 14, 0x1); //Data lane clock source SEL (B/G/R lane)[14] = 1:  clk direct from ACDR block 

//CMU enable control
rtd_part_outl(0xb800DA44, 8, 8, 0x1); //PLL ENABLE
rtd_part_outl(0xb800DA64, 8, 8, 0x1); //PLL ENABLE
rtd_part_outl(0xb800DA84, 8, 8, 0x1); //PLL ENABLE
rtd_part_outl(0xb800DAA4, 8, 8, 0x1); //PLL ENABLE
rtd_part_outl(0xb800DB44, 8, 8, 0x1); //PLL ENABLE
rtd_part_outl(0xb800DB64, 8, 8, 0x1); //PLL ENABLE
rtd_part_outl(0xb800DB84, 8, 8, 0x1); //PLL ENABLE
rtd_part_outl(0xb800DBA4, 8, 8, 0x1); //PLL ENABLE

//PFD_RSTB = 0, for toggle
rtd_part_outl(0xb800DA44, 11, 11, 0x0); //PFD_RSTB
rtd_part_outl(0xb800DA64, 11, 11, 0x0); //PFD_RSTB
rtd_part_outl(0xb800DA84, 11, 11, 0x0); //PFD_RSTB
rtd_part_outl(0xb800DAA4, 11, 11, 0x0); //PFD_RSTB
rtd_part_outl(0xb800DB44, 11, 11, 0x0); //PFD_RSTB
rtd_part_outl(0xb800DB64, 11, 11, 0x0); //PFD_RSTB
rtd_part_outl(0xb800DB84, 11, 11, 0x0); //PFD_RSTB
rtd_part_outl(0xb800DBA4, 11, 11, 0x0); //PFD_RSTB

rtd_part_outl(0xb800DA44, 11, 11, 0x1); //PFD_RSTB
rtd_part_outl(0xb800DA64, 11, 11, 0x1); //PFD_RSTB
rtd_part_outl(0xb800DA84, 11, 11, 0x1); //PFD_RSTB
rtd_part_outl(0xb800DAA4, 11, 11, 0x1); //PFD_RSTB
rtd_part_outl(0xb800DB44, 11, 11, 0x1); //PFD_RSTB
rtd_part_outl(0xb800DB64, 11, 11, 0x1); //PFD_RSTB
rtd_part_outl(0xb800DB84, 11, 11, 0x1); //PFD_RSTB
rtd_part_outl(0xb800DBA4, 11, 11, 0x1); //PFD_RSTB

rtd_part_outl(0xb800DAE0, 4, 4, 0x0); //PLL/ACDR mode SEL
rtd_part_outl(0xb800DAE4, 4, 4, 0x0); //PLL/ACDR mode SEL
rtd_part_outl(0xb800DAE8, 4, 4, 0x0); //PLL/ACDR mode SEL
rtd_part_outl(0xb800DAEC, 4, 4, 0x0); //PLL/ACDR mode SEL
rtd_part_outl(0xb800DBE0, 4, 4, 0x0); //PLL/ACDR mode SEL
rtd_part_outl(0xb800DBE4, 4, 4, 0x0); //PLL/ACDR mode SEL
rtd_part_outl(0xb800DBE8, 4, 4, 0x0); //PLL/ACDR mode SEL
rtd_part_outl(0xb800DBEC, 4, 4, 0x0); //PLL/ACDR mode SEL

rtd_part_outl(0xb800DAE0, 5, 5, 0x1); //manual control ENABLE for PLL/ACDR mode SEL
rtd_part_outl(0xb800DAE4, 5, 5, 0x1); //manual control ENABLE for PLL/ACDR mode SEL
rtd_part_outl(0xb800DAE8, 5, 5, 0x1); //manual control ENABLE for PLL/ACDR mode SEL
rtd_part_outl(0xb800DAEC, 5, 5, 0x1); //manual control ENABLE for PLL/ACDR mode SEL
rtd_part_outl(0xb800DBE0, 5, 5, 0x1); //manual control ENABLE for PLL/ACDR mode SEL
rtd_part_outl(0xb800DBE4, 5, 5, 0x1); //manual control ENABLE for PLL/ACDR mode SEL
rtd_part_outl(0xb800DBE8, 5, 5, 0x1); //manual control ENABLE for PLL/ACDR mode SEL
rtd_part_outl(0xb800DBEC, 5, 5, 0x1); //manual control ENABLE for PLL/ACDR mode SEL

//CCO setting
rtd_part_outl(0xb800DA48, 5, 5, 0x1); //CCO_BIG_KVCO
rtd_part_outl(0xb800DA68, 5, 5, 0x1); //CCO_BIG_KVCO
rtd_part_outl(0xb800DA88, 5, 5, 0x1); //CCO_BIG_KVCO
rtd_part_outl(0xb800DAA8, 5, 5, 0x1); //CCO_BIG_KVCO
rtd_part_outl(0xb800DB48, 5, 5, 0x1); //CCO_BIG_KVCO
rtd_part_outl(0xb800DB68, 5, 5, 0x1); //CCO_BIG_KVCO
rtd_part_outl(0xb800DB88, 5, 5, 0x1); //CCO_BIG_KVCO
rtd_part_outl(0xb800DBA8, 5, 5, 0x1); //CCO_BIG_KVCO

rtd_part_outl(0xb800DC98, 7, 6, 0x0); //EN_CAP
rtd_part_outl(0xb800DD98, 7, 6, 0x0); //EN_CAP
rtd_part_outl(0xb800DC98, 15, 14, 0x0); //EN_CAP
rtd_part_outl(0xb800DD98, 15, 14, 0x0); //EN_CAP
rtd_part_outl(0xb800DC98, 23, 22, 0x0); //EN_CAP
rtd_part_outl(0xb800DD98, 23, 22, 0x0); //EN_CAP
rtd_part_outl(0xb800DC98, 31, 30, 0x0); //EN_CAP
rtd_part_outl(0xb800DD98, 31, 30, 0x0); //EN_CAP

rtd_part_outl(0xb800DA44, 23, 22, 0x3); //BAND_SEL
rtd_part_outl(0xb800DA64, 23, 22, 0x3); //BAND_SEL
rtd_part_outl(0xb800DA84, 23, 22, 0x3); //BAND_SEL
rtd_part_outl(0xb800DAA4, 23, 22, 0x3); //BAND_SEL
rtd_part_outl(0xb800DB44, 23, 22, 0x3); //BAND_SEL
rtd_part_outl(0xb800DB64, 23, 22, 0x3); //BAND_SEL
rtd_part_outl(0xb800DB84, 23, 22, 0x3); //BAND_SEL
rtd_part_outl(0xb800DBA4, 23, 22, 0x3); //BAND_SEL

rtd_part_outl(0xb800DA48, 24, 24, 0x1); //Delay Cell SEL
rtd_part_outl(0xb800DA68, 24, 24, 0x1); //Delay Cell SEL
rtd_part_outl(0xb800DA88, 24, 24, 0x1); //Delay Cell SEL
rtd_part_outl(0xb800DAA8, 24, 24, 0x1); //Delay Cell SEL
rtd_part_outl(0xb800DB48, 24, 24, 0x1); //Delay Cell SEL
rtd_part_outl(0xb800DB68, 24, 24, 0x1); //Delay Cell SEL
rtd_part_outl(0xb800DB88, 24, 24, 0x1); //Delay Cell SEL
rtd_part_outl(0xb800DBA8, 24, 24, 0x1); //Delay Cell SEL

rtd_part_outl(0xb800DAC0, 11, 11, 0x1); //V2I large Cap EN @PLL mode
rtd_part_outl(0xb800DAC4, 11, 11, 0x1); //V2I large Cap EN @PLL mode
rtd_part_outl(0xb800DAC8, 11, 11, 0x1); //V2I large Cap EN @PLL mode
rtd_part_outl(0xb800DACC, 11, 11, 0x1); //V2I large Cap EN @PLL mode
rtd_part_outl(0xb800DBC0, 11, 11, 0x1); //V2I large Cap EN @PLL mode
rtd_part_outl(0xb800DBC4, 11, 11, 0x1); //V2I large Cap EN @PLL mode
rtd_part_outl(0xb800DBC8, 11, 11, 0x1); //V2I large Cap EN @PLL mode
rtd_part_outl(0xb800DBCC, 11, 11, 0x1); //V2I large Cap EN @PLL mode

rtd_part_outl(0xb800DAD0, 11, 11, 0x1); //V2I large Cap EN @ACDR mode
rtd_part_outl(0xb800DAD4, 11, 11, 0x1); //V2I large Cap EN @ACDR mode
rtd_part_outl(0xb800DAD8, 11, 11, 0x1); //V2I large Cap EN @ACDR mode
rtd_part_outl(0xb800DADC, 11, 11, 0x1); //V2I large Cap EN @ACDR mode
rtd_part_outl(0xb800DBD0, 11, 11, 0x1); //V2I large Cap EN @ACDR mode
rtd_part_outl(0xb800DBD4, 11, 11, 0x1); //V2I large Cap EN @ACDR mode
rtd_part_outl(0xb800DBD8, 11, 11, 0x1); //V2I large Cap EN @ACDR mode
rtd_part_outl(0xb800DBDC, 11, 11, 0x1); //V2I large Cap EN @ACDR mode

rtd_part_outl(0xb800DAE0, 11, 11, 0x0); //V2I large Cap EN @manual mode
rtd_part_outl(0xb800DAE4, 11, 11, 0x0); //V2I large Cap EN @manual mode
rtd_part_outl(0xb800DAE8, 11, 11, 0x0); //V2I large Cap EN @manual mode
rtd_part_outl(0xb800DAEC, 11, 11, 0x0); //V2I large Cap EN @manual mode
rtd_part_outl(0xb800DBE0, 11, 11, 0x0); //V2I large Cap EN @manual mode
rtd_part_outl(0xb800DBE4, 11, 11, 0x0); //V2I large Cap EN @manual mode
rtd_part_outl(0xb800DBE8, 11, 11, 0x0); //V2I large Cap EN @manual mode
rtd_part_outl(0xb800DBEC, 11, 11, 0x0); //V2I large Cap EN @manual mode

rtd_part_outl(0xb800DAC0, 12, 12, 0x0); //V2I large Res EN @PLL mode
rtd_part_outl(0xb800DAC4, 12, 12, 0x0); //V2I large Res EN @PLL mode
rtd_part_outl(0xb800DAC8, 12, 12, 0x0); //V2I large Res EN @PLL mode
rtd_part_outl(0xb800DACC, 12, 12, 0x0); //V2I large Res EN @PLL mode
rtd_part_outl(0xb800DBC0, 12, 12, 0x0); //V2I large Res EN @PLL mode
rtd_part_outl(0xb800DBC4, 12, 12, 0x0); //V2I large Res EN @PLL mode
rtd_part_outl(0xb800DBC8, 12, 12, 0x0); //V2I large Res EN @PLL mode
rtd_part_outl(0xb800DBCC, 12, 12, 0x0); //V2I large Res EN @PLL mode

rtd_part_outl(0xb800DAD0, 12, 12, 0x1); //V2I large Res EN @ACDR mode
rtd_part_outl(0xb800DAD4, 12, 12, 0x1); //V2I large Res EN @ACDR mode
rtd_part_outl(0xb800DAD8, 12, 12, 0x1); //V2I large Res EN @ACDR mode
rtd_part_outl(0xb800DADC, 12, 12, 0x1); //V2I large Res EN @ACDR mode
rtd_part_outl(0xb800DBD0, 12, 12, 0x1); //V2I large Res EN @ACDR mode
rtd_part_outl(0xb800DBD4, 12, 12, 0x1); //V2I large Res EN @ACDR mode
rtd_part_outl(0xb800DBD8, 12, 12, 0x1); //V2I large Res EN @ACDR mode
rtd_part_outl(0xb800DBDC, 12, 12, 0x1); //V2I large Res EN @ACDR mode

rtd_part_outl(0xb800DAE0, 12, 12, 0x0); //V2I large Res EN @manual mode
rtd_part_outl(0xb800DAE4, 12, 12, 0x0); //V2I large Res EN @manual mode
rtd_part_outl(0xb800DAE8, 12, 12, 0x0); //V2I large Res EN @manual mode
rtd_part_outl(0xb800DAEC, 12, 12, 0x0); //V2I large Res EN @manual mode
rtd_part_outl(0xb800DBE0, 12, 12, 0x0); //V2I large Res EN @manual mode
rtd_part_outl(0xb800DBE4, 12, 12, 0x0); //V2I large Res EN @manual mode
rtd_part_outl(0xb800DBE8, 12, 12, 0x0); //V2I large Res EN @manual mode
rtd_part_outl(0xb800DBEC, 12, 12, 0x0); //V2I large Res EN @manual mode

rtd_part_outl(0xb800DAC0, 20, 17, 0x4); //V2I Fine current @PLL mode
rtd_part_outl(0xb800DAC4, 20, 17, 0x4); //V2I Fine current @PLL mode
rtd_part_outl(0xb800DAC8, 20, 17, 0x4); //V2I Fine current @PLL mode
rtd_part_outl(0xb800DACC, 20, 17, 0x4); //V2I Fine current @PLL mode
rtd_part_outl(0xb800DBC0, 20, 17, 0x4); //V2I Fine current @PLL mode
rtd_part_outl(0xb800DBC4, 20, 17, 0x4); //V2I Fine current @PLL mode
rtd_part_outl(0xb800DBC8, 20, 17, 0x4); //V2I Fine current @PLL mode
rtd_part_outl(0xb800DBCC, 20, 17, 0x4); //V2I Fine current @PLL mode

rtd_part_outl(0xb800DAD0, 20, 17, 0x4); //V2I Fine current @ACDR mode
rtd_part_outl(0xb800DAD4, 20, 17, 0x4); //V2I Fine current @ACDR mode
rtd_part_outl(0xb800DAD8, 20, 17, 0x4); //V2I Fine current @ACDR mode
rtd_part_outl(0xb800DADC, 20, 17, 0x4); //V2I Fine current @ACDR mode
rtd_part_outl(0xb800DBD0, 20, 17, 0x4); //V2I Fine current @ACDR mode
rtd_part_outl(0xb800DBD4, 20, 17, 0x4); //V2I Fine current @ACDR mode
rtd_part_outl(0xb800DBD8, 20, 17, 0x4); //V2I Fine current @ACDR mode
rtd_part_outl(0xb800DBDC, 20, 17, 0x4); //V2I Fine current @ACDR mode

rtd_part_outl(0xb800DAE0, 20, 17, 0x4); //V2I Fine current @manual mode
rtd_part_outl(0xb800DAE4, 20, 17, 0x4); //V2I Fine current @manual mode
rtd_part_outl(0xb800DAE8, 20, 17, 0x4); //V2I Fine current @manual mode
rtd_part_outl(0xb800DAEC, 20, 17, 0x4); //V2I Fine current @manual mode
rtd_part_outl(0xb800DBE0, 20, 17, 0x4); //V2I Fine current @manual mode
rtd_part_outl(0xb800DBE4, 20, 17, 0x4); //V2I Fine current @manual mode
rtd_part_outl(0xb800DBE8, 20, 17, 0x4); //V2I Fine current @manual mode
rtd_part_outl(0xb800DBEC, 20, 17, 0x4); //V2I Fine current @manual mode

rtd_part_outl(0xb800DAC0, 16, 13, 0x4); //V2I Coarse current @PLL mode
rtd_part_outl(0xb800DAC4, 16, 13, 0x4); //V2I Coarse current @PLL mode
rtd_part_outl(0xb800DAC8, 16, 13, 0x4); //V2I Coarse current @PLL mode
rtd_part_outl(0xb800DACC, 16, 13, 0x4); //V2I Coarse current @PLL mode
rtd_part_outl(0xb800DBC0, 16, 13, 0x4); //V2I Coarse current @PLL mode
rtd_part_outl(0xb800DBC4, 16, 13, 0x4); //V2I Coarse current @PLL mode
rtd_part_outl(0xb800DBC8, 16, 13, 0x4); //V2I Coarse current @PLL mode
rtd_part_outl(0xb800DBCC, 16, 13, 0x4); //V2I Coarse current @PLL mode

rtd_part_outl(0xb800DAD0, 16, 13, 0x4); //V2I Coarse current @ACDR mode
rtd_part_outl(0xb800DAD4, 16, 13, 0x4); //V2I Coarse current @ACDR mode
rtd_part_outl(0xb800DAD8, 16, 13, 0x4); //V2I Coarse current @ACDR mode
rtd_part_outl(0xb800DADC, 16, 13, 0x4); //V2I Coarse current @ACDR mode
rtd_part_outl(0xb800DBD0, 16, 13, 0x4); //V2I Coarse current @ACDR mode
rtd_part_outl(0xb800DBD4, 16, 13, 0x4); //V2I Coarse current @ACDR mode
rtd_part_outl(0xb800DBD8, 16, 13, 0x4); //V2I Coarse current @ACDR mode
rtd_part_outl(0xb800DBDC, 16, 13, 0x4); //V2I Coarse current @ACDR mode

rtd_part_outl(0xb800DAE0, 16, 13, 0x4); //V2I Coarse current @manual mode
rtd_part_outl(0xb800DAE4, 16, 13, 0x4); //V2I Coarse current @manual mode
rtd_part_outl(0xb800DAE8, 16, 13, 0x4); //V2I Coarse current @manual mode
rtd_part_outl(0xb800DAEC, 16, 13, 0x4); //V2I Coarse current @manual mode
rtd_part_outl(0xb800DBE0, 16, 13, 0x4); //V2I Coarse current @manual mode
rtd_part_outl(0xb800DBE4, 16, 13, 0x4); //V2I Coarse current @manual mode
rtd_part_outl(0xb800DBE8, 16, 13, 0x4); //V2I Coarse current @manual mode
rtd_part_outl(0xb800DBEC, 16, 13, 0x4); //V2I Coarse current @manual mode

rtd_part_outl(0xb800DAC0, 10, 10, 0x0); //Direct modulation EN @PLL mode
rtd_part_outl(0xb800DAC4, 10, 10, 0x0); //Direct modulation EN @PLL mode
rtd_part_outl(0xb800DAC8, 10, 10, 0x0); //Direct modulation EN @PLL mode
rtd_part_outl(0xb800DACC, 10, 10, 0x0); //Direct modulation EN @PLL mode
rtd_part_outl(0xb800DBC0, 10, 10, 0x0); //Direct modulation EN @PLL mode
rtd_part_outl(0xb800DBC4, 10, 10, 0x0); //Direct modulation EN @PLL mode
rtd_part_outl(0xb800DBC8, 10, 10, 0x0); //Direct modulation EN @PLL mode
rtd_part_outl(0xb800DBCC, 10, 10, 0x0); //Direct modulation EN @PLL mode

rtd_part_outl(0xb800DAD0, 10, 10, 0x0); //Direct modulation EN @ACDR mode
rtd_part_outl(0xb800DAD4, 10, 10, 0x0); //Direct modulation EN @ACDR mode
rtd_part_outl(0xb800DAD8, 10, 10, 0x0); //Direct modulation EN @ACDR mode
rtd_part_outl(0xb800DADC, 10, 10, 0x0); //Direct modulation EN @ACDR mode
rtd_part_outl(0xb800DBD0, 10, 10, 0x0); //Direct modulation EN @ACDR mode
rtd_part_outl(0xb800DBD4, 10, 10, 0x0); //Direct modulation EN @ACDR mode
rtd_part_outl(0xb800DBD8, 10, 10, 0x0); //Direct modulation EN @ACDR mode
rtd_part_outl(0xb800DBDC, 10, 10, 0x0); //Direct modulation EN @ACDR mode

rtd_part_outl(0xb800DAE0, 10, 10, 0x0); //Direct modulation EN @manual mode
rtd_part_outl(0xb800DAE4, 10, 10, 0x0); //Direct modulation EN @manual mode
rtd_part_outl(0xb800DAE8, 10, 10, 0x0); //Direct modulation EN @manual mode
rtd_part_outl(0xb800DAEC, 10, 10, 0x0); //Direct modulation EN @manual mode
rtd_part_outl(0xb800DBE0, 10, 10, 0x0); //Direct modulation EN @manual mode
rtd_part_outl(0xb800DBE4, 10, 10, 0x0); //Direct modulation EN @manual mode
rtd_part_outl(0xb800DBE8, 10, 10, 0x0); //Direct modulation EN @manual mode
rtd_part_outl(0xb800DBEC, 10, 10, 0x0); //Direct modulation EN @manual mode

rtd_part_outl(0xb800DAC0, 9, 6, 0x6); //Direct modulation current SEL @PLL mode
rtd_part_outl(0xb800DAC4, 9, 6, 0x6); //Direct modulation current SEL @PLL mode
rtd_part_outl(0xb800DAC8, 9, 6, 0x6); //Direct modulation current SEL @PLL mode
rtd_part_outl(0xb800DACC, 9, 6, 0x6); //Direct modulation current SEL @PLL mode
rtd_part_outl(0xb800DBC0, 9, 6, 0x6); //Direct modulation current SEL @PLL mode
rtd_part_outl(0xb800DBC4, 9, 6, 0x6); //Direct modulation current SEL @PLL mode
rtd_part_outl(0xb800DBC8, 9, 6, 0x6); //Direct modulation current SEL @PLL mode
rtd_part_outl(0xb800DBCC, 9, 6, 0x6); //Direct modulation current SEL @PLL mode

rtd_part_outl(0xb800DAD0, 9, 6, 0x6); //Direct modulation current SEL @ACDR mode
rtd_part_outl(0xb800DAD4, 9, 6, 0x6); //Direct modulation current SEL @ACDR mode
rtd_part_outl(0xb800DAD8, 9, 6, 0x6); //Direct modulation current SEL @ACDR mode
rtd_part_outl(0xb800DADC, 9, 6, 0x6); //Direct modulation current SEL @ACDR mode
rtd_part_outl(0xb800DBD0, 9, 6, 0x6); //Direct modulation current SEL @ACDR mode
rtd_part_outl(0xb800DBD4, 9, 6, 0x6); //Direct modulation current SEL @ACDR mode
rtd_part_outl(0xb800DBD8, 9, 6, 0x6); //Direct modulation current SEL @ACDR mode
rtd_part_outl(0xb800DBDC, 9, 6, 0x6); //Direct modulation current SEL @ACDR mode

rtd_part_outl(0xb800DAE0, 9, 6, 0x6); //Direct modulation current SEL @manual mode
rtd_part_outl(0xb800DAE4, 9, 6, 0x6); //Direct modulation current SEL @manual mode
rtd_part_outl(0xb800DAE8, 9, 6, 0x6); //Direct modulation current SEL @manual mode
rtd_part_outl(0xb800DAEC, 9, 6, 0x6); //Direct modulation current SEL @manual mode
rtd_part_outl(0xb800DBE0, 9, 6, 0x6); //Direct modulation current SEL @manual mode
rtd_part_outl(0xb800DBE4, 9, 6, 0x6); //Direct modulation current SEL @manual mode
rtd_part_outl(0xb800DBE8, 9, 6, 0x6); //Direct modulation current SEL @manual mode
rtd_part_outl(0xb800DBEC, 9, 6, 0x6); //Direct modulation current SEL @manual mode

//Charge pump setting
rtd_part_outl(0xb800DA44, 4, 4, 0x0); //Half Rate SEL
rtd_part_outl(0xb800DA64, 4, 4, 0x0); //Half Rate SEL
rtd_part_outl(0xb800DA84, 4, 4, 0x0); //Half Rate SEL
rtd_part_outl(0xb800DAA4, 4, 4, 0x0); //Half Rate SEL
rtd_part_outl(0xb800DB44, 4, 4, 0x0); //Half Rate SEL
rtd_part_outl(0xb800DB64, 4, 4, 0x0); //Half Rate SEL
rtd_part_outl(0xb800DB84, 4, 4, 0x0); //Half Rate SEL
rtd_part_outl(0xb800DBA4, 4, 4, 0x0); //Half Rate SEL

rtd_part_outl(0xb800DA44, 25, 25, 0x1); //charge-pump OP Enable
rtd_part_outl(0xb800DA64, 25, 25, 0x1); //charge-pump OP Enable
rtd_part_outl(0xb800DA84, 25, 25, 0x1); //charge-pump OP Enable
rtd_part_outl(0xb800DAA4, 25, 25, 0x1); //charge-pump OP Enable
rtd_part_outl(0xb800DB44, 25, 25, 0x1); //charge-pump OP Enable
rtd_part_outl(0xb800DB64, 25, 25, 0x1); //charge-pump OP Enable
rtd_part_outl(0xb800DB84, 25, 25, 0x1); //charge-pump OP Enable
rtd_part_outl(0xb800DBA4, 25, 25, 0x1); //charge-pump OP Enable

rtd_part_outl(0xb800DA44, 24, 24, 0x1); //OP output cap enable
rtd_part_outl(0xb800DA64, 24, 24, 0x1); //OP output cap enable
rtd_part_outl(0xb800DA84, 24, 24, 0x1); //OP output cap enable
rtd_part_outl(0xb800DAA4, 24, 24, 0x1); //OP output cap enable
rtd_part_outl(0xb800DB44, 24, 24, 0x1); //OP output cap enable
rtd_part_outl(0xb800DB64, 24, 24, 0x1); //OP output cap enable
rtd_part_outl(0xb800DB84, 24, 24, 0x1); //OP output cap enable
rtd_part_outl(0xb800DBA4, 24, 24, 0x1); //OP output cap enable

rtd_part_outl(0xb800DC30, 31, 28, 0x4); //Icp @PLL mode
rtd_part_outl(0xb800DC4C, 31, 28, 0x4); //Icp @PLL mode
rtd_part_outl(0xb800DC68, 31, 28, 0x4); //Icp @PLL mode
rtd_part_outl(0xb800DC84, 31, 28, 0x4); //Icp @PLL mode
rtd_part_outl(0xb800DD30, 31, 28, 0x4); //Icp @PLL mode
rtd_part_outl(0xb800DD4C, 31, 28, 0x4); //Icp @PLL mode
rtd_part_outl(0xb800DD68, 31, 28, 0x4); //Icp @PLL mode
rtd_part_outl(0xb800DD84, 31, 28, 0x4); //Icp @PLL mode


rtd_part_outl(0xb800DC30, 27, 24, 0x6); //Icp @ACDR mode  step1
rtd_part_outl(0xb800DC4C, 27, 24, 0x6); //Icp @ACDR mode  step1
rtd_part_outl(0xb800DC68, 27, 24, 0x6); //Icp @ACDR mode  step1
rtd_part_outl(0xb800DC84, 27, 24, 0x6); //Icp @ACDR mode  step1
rtd_part_outl(0xb800DD30, 27, 24, 0x6); //Icp @ACDR mode  step1
rtd_part_outl(0xb800DD4C, 27, 24, 0x6); //Icp @ACDR mode  step1
rtd_part_outl(0xb800DD68, 27, 24, 0x6); //Icp @ACDR mode  step1
rtd_part_outl(0xb800DD84, 27, 24, 0x6); //Icp @ACDR mode  step1

rtd_part_outl(0xb800DC30, 23, 20, 0x6); //Icp @ACDR mode  step2
rtd_part_outl(0xb800DC4C, 23, 20, 0x6); //Icp @ACDR mode  step2
rtd_part_outl(0xb800DC68, 23, 20, 0x6); //Icp @ACDR mode  step2
rtd_part_outl(0xb800DC84, 23, 20, 0x6); //Icp @ACDR mode  step2
rtd_part_outl(0xb800DD30, 23, 20, 0x6); //Icp @ACDR mode  step2
rtd_part_outl(0xb800DD4C, 23, 20, 0x6); //Icp @ACDR mode  step2
rtd_part_outl(0xb800DD68, 23, 20, 0x6); //Icp @ACDR mode  step2
rtd_part_outl(0xb800DD84, 23, 20, 0x6); //Icp @ACDR mode  step2

rtd_part_outl(0xb800DC30, 19, 16, 0x6); //Icp @ACDR mode  step3
rtd_part_outl(0xb800DC4C, 19, 16, 0x6); //Icp @ACDR mode  step3
rtd_part_outl(0xb800DC68, 19, 16, 0x6); //Icp @ACDR mode  step3
rtd_part_outl(0xb800DC84, 19, 16, 0x6); //Icp @ACDR mode  step3
rtd_part_outl(0xb800DD30, 19, 16, 0x6); //Icp @ACDR mode  step3
rtd_part_outl(0xb800DD4C, 19, 16, 0x6); //Icp @ACDR mode  step3
rtd_part_outl(0xb800DD68, 19, 16, 0x6); //Icp @ACDR mode  step3
rtd_part_outl(0xb800DD84, 19, 16, 0x6); //Icp @ACDR mode  step3


rtd_part_outl(0xb800DAE0, 31, 28, 0x8); //Icp @manual mode
rtd_part_outl(0xb800DAE4, 31, 28, 0x8); //Icp @manual mode
rtd_part_outl(0xb800DAE8, 31, 28, 0x8); //Icp @manual mode
rtd_part_outl(0xb800DAEC, 31, 28, 0x8); //Icp @manual mode
rtd_part_outl(0xb800DBE0, 31, 28, 0x8); //Icp @manual mode
rtd_part_outl(0xb800DBE4, 31, 28, 0x8); //Icp @manual mode
rtd_part_outl(0xb800DBE8, 31, 28, 0x8); //Icp @manual mode
rtd_part_outl(0xb800DBEC, 31, 28, 0x8); //Icp @manual mode

//LPF setting
rtd_part_outl(0xb800DA48, 3, 0, 0x4); //VC initial voltage sel
rtd_part_outl(0xb800DA68, 3, 0, 0x4); //VC initial voltage sel
rtd_part_outl(0xb800DA88, 3, 0, 0x4); //VC initial voltage sel
rtd_part_outl(0xb800DAA8, 3, 0, 0x4); //VC initial voltage sel
rtd_part_outl(0xb800DB48, 3, 0, 0x4); //VC initial voltage sel
rtd_part_outl(0xb800DB68, 3, 0, 0x4); //VC initial voltage sel
rtd_part_outl(0xb800DB88, 3, 0, 0x4); //VC initial voltage sel
rtd_part_outl(0xb800DBA8, 3, 0, 0x4); //VC initial voltage sel

rtd_part_outl(0xb800DAC0, 27, 25, 0x0); //Rs @PLL mode
rtd_part_outl(0xb800DAC4, 27, 25, 0x0); //Rs @PLL mode
rtd_part_outl(0xb800DAC8, 27, 25, 0x0); //Rs @PLL mode
rtd_part_outl(0xb800DACC, 27, 25, 0x0); //Rs @PLL mode
rtd_part_outl(0xb800DBC0, 27, 25, 0x0); //Rs @PLL mode
rtd_part_outl(0xb800DBC4, 27, 25, 0x0); //Rs @PLL mode
rtd_part_outl(0xb800DBC8, 27, 25, 0x0); //Rs @PLL mode
rtd_part_outl(0xb800DBCC, 27, 25, 0x0); //Rs @PLL mode

rtd_part_outl(0xb800DAD0, 27, 25, 0x5); //Rs @ACDR mode
rtd_part_outl(0xb800DAD4, 27, 25, 0x5); //Rs @ACDR mode
rtd_part_outl(0xb800DAD8, 27, 25, 0x5); //Rs @ACDR mode
rtd_part_outl(0xb800DADC, 27, 25, 0x5); //Rs @ACDR mode
rtd_part_outl(0xb800DBD0, 27, 25, 0x5); //Rs @ACDR mode
rtd_part_outl(0xb800DBD4, 27, 25, 0x5); //Rs @ACDR mode
rtd_part_outl(0xb800DBD8, 27, 25, 0x5); //Rs @ACDR mode
rtd_part_outl(0xb800DBDC, 27, 25, 0x5); //Rs @ACDR mode

rtd_part_outl(0xb800DAE0, 27, 25, 0x0); //Rs @manual mode
rtd_part_outl(0xb800DAE4, 27, 25, 0x0); //Rs @manual mode
rtd_part_outl(0xb800DAE8, 27, 25, 0x0); //Rs @manual mode
rtd_part_outl(0xb800DAEC, 27, 25, 0x0); //Rs @manual mode
rtd_part_outl(0xb800DBE0, 27, 25, 0x0); //Rs @manual mode
rtd_part_outl(0xb800DBE4, 27, 25, 0x0); //Rs @manual mode
rtd_part_outl(0xb800DBE8, 27, 25, 0x0); //Rs @manual mode
rtd_part_outl(0xb800DBEC, 27, 25, 0x0); //Rs @manual mode

rtd_part_outl(0xb800DAC0, 24, 23, 0x3); //Cs @PLL mode
rtd_part_outl(0xb800DAC4, 24, 23, 0x3); //Cs @PLL mode
rtd_part_outl(0xb800DAC8, 24, 23, 0x3); //Cs @PLL mode
rtd_part_outl(0xb800DACC, 24, 23, 0x3); //Cs @PLL mode
rtd_part_outl(0xb800DBC0, 24, 23, 0x3); //Cs @PLL mode
rtd_part_outl(0xb800DBC4, 24, 23, 0x3); //Cs @PLL mode
rtd_part_outl(0xb800DBC8, 24, 23, 0x3); //Cs @PLL mode
rtd_part_outl(0xb800DBCC, 24, 23, 0x3); //Cs @PLL mode

rtd_part_outl(0xb800DAD0, 24, 23, 0x3); //Cs @ACDR mode
rtd_part_outl(0xb800DAD4, 24, 23, 0x3); //Cs @ACDR mode
rtd_part_outl(0xb800DAD8, 24, 23, 0x3); //Cs @ACDR mode
rtd_part_outl(0xb800DADC, 24, 23, 0x3); //Cs @ACDR mode
rtd_part_outl(0xb800DBD0, 24, 23, 0x3); //Cs @ACDR mode
rtd_part_outl(0xb800DBD4, 24, 23, 0x3); //Cs @ACDR mode
rtd_part_outl(0xb800DBD8, 24, 23, 0x3); //Cs @ACDR mode
rtd_part_outl(0xb800DBDC, 24, 23, 0x3); //Cs @ACDR mode

rtd_part_outl(0xb800DAE0, 24, 23, 0x3); //Cs @manual mode
rtd_part_outl(0xb800DAE4, 24, 23, 0x3); //Cs @manual mode
rtd_part_outl(0xb800DAE8, 24, 23, 0x3); //Cs @manual mode
rtd_part_outl(0xb800DAEC, 24, 23, 0x3); //Cs @manual mode
rtd_part_outl(0xb800DBE0, 24, 23, 0x3); //Cs @manual mode
rtd_part_outl(0xb800DBE4, 24, 23, 0x3); //Cs @manual mode
rtd_part_outl(0xb800DBE8, 24, 23, 0x3); //Cs @manual mode
rtd_part_outl(0xb800DBEC, 24, 23, 0x3); //Cs @manual mode

rtd_part_outl(0xb800DAC0, 22, 21, 0x2); //Cp @PLL mode
rtd_part_outl(0xb800DAC4, 22, 21, 0x2); //Cp @PLL mode
rtd_part_outl(0xb800DAC8, 22, 21, 0x2); //Cp @PLL mode
rtd_part_outl(0xb800DACC, 22, 21, 0x2); //Cp @PLL mode
rtd_part_outl(0xb800DBC0, 22, 21, 0x2); //Cp @PLL mode
rtd_part_outl(0xb800DBC4, 22, 21, 0x2); //Cp @PLL mode
rtd_part_outl(0xb800DBC8, 22, 21, 0x2); //Cp @PLL mode
rtd_part_outl(0xb800DBCC, 22, 21, 0x2); //Cp @PLL mode

rtd_part_outl(0xb800DAD0, 22, 21, 0x0); //Cp @ACDR mode
rtd_part_outl(0xb800DAD4, 22, 21, 0x0); //Cp @ACDR mode
rtd_part_outl(0xb800DAD8, 22, 21, 0x0); //Cp @ACDR mode
rtd_part_outl(0xb800DADC, 22, 21, 0x0); //Cp @ACDR mode
rtd_part_outl(0xb800DBD0, 22, 21, 0x0); //Cp @ACDR mode
rtd_part_outl(0xb800DBD4, 22, 21, 0x0); //Cp @ACDR mode
rtd_part_outl(0xb800DBD8, 22, 21, 0x0); //Cp @ACDR mode
rtd_part_outl(0xb800DBDC, 22, 21, 0x0); //Cp @ACDR mode

rtd_part_outl(0xb800DAE0, 22, 21, 0x2); //Cp @manual mode
rtd_part_outl(0xb800DAE4, 22, 21, 0x2); //Cp @manual mode
rtd_part_outl(0xb800DAE8, 22, 21, 0x2); //Cp @manual mode
rtd_part_outl(0xb800DAEC, 22, 21, 0x2); //Cp @manual mode
rtd_part_outl(0xb800DBE0, 22, 21, 0x2); //Cp @manual mode
rtd_part_outl(0xb800DBE4, 22, 21, 0x2); //Cp @manual mode
rtd_part_outl(0xb800DBE8, 22, 21, 0x2); //Cp @manual mode
rtd_part_outl(0xb800DBEC, 22, 21, 0x2); //Cp @manual mode

//PI_DIV
rtd_part_outl(0xb800DA34, 28, 26, 0x0); //PI_DIV
rtd_part_outl(0xb800DA54, 28, 26, 0x0); //PI_DIV
rtd_part_outl(0xb800DA74, 28, 26, 0x0); //PI_DIV
rtd_part_outl(0xb800DA94, 28, 26, 0x0); //PI_DIV
rtd_part_outl(0xb800DB34, 28, 26, 0x0); //PI_DIV
rtd_part_outl(0xb800DB54, 28, 26, 0x0); //PI_DIV
rtd_part_outl(0xb800DB74, 28, 26, 0x0); //PI_DIV
rtd_part_outl(0xb800DB94, 28, 26, 0x0); //PI_DIV

//DEMUX_RATE_SEL
rtd_part_outl(0xb800DA34, 31, 29, 0x1); //DEMUX
rtd_part_outl(0xb800DA54, 31, 29, 0x1); //DEMUX
rtd_part_outl(0xb800DA74, 31, 29, 0x1); //DEMUX
rtd_part_outl(0xb800DA94, 31, 29, 0x1); //DEMUX
rtd_part_outl(0xb800DB34, 31, 29, 0x1); //DEMUX
rtd_part_outl(0xb800DB54, 31, 29, 0x1); //DEMUX
rtd_part_outl(0xb800DB74, 31, 29, 0x1); //DEMUX
rtd_part_outl(0xb800DB94, 31, 29, 0x1); //DEMUX

//REG_P0_RATE_SEL(D-phy)
rtd_part_outl(0xb800DC00, 19, 17, 0x0); //REG_P0_RATE_SEL(D-phy)
rtd_part_outl(0xb800DD00, 19, 17, 0x0); //REG_P0_RATE_SEL(D-phy)

//PIX_RATE_SEL
rtd_part_outl(0xb800DA38, 30, 29, 0x1);
rtd_part_outl(0xb800DA58, 30, 29, 0x1);
rtd_part_outl(0xb800DA78, 30, 29, 0x1);
rtd_part_outl(0xb800DA98, 30, 29, 0x1);
rtd_part_outl(0xb800DB38, 30, 29, 0x1);
rtd_part_outl(0xb800DB58, 30, 29, 0x1);
rtd_part_outl(0xb800DB78, 30, 29, 0x1);
rtd_part_outl(0xb800DB98, 30, 29, 0x1);

//Full/Half rate SEL
rtd_part_outl(0xb800DA38, 31, 31, 0x0);
rtd_part_outl(0xb800DA58, 31, 31, 0x0);
rtd_part_outl(0xb800DA78, 31, 31, 0x0);
rtd_part_outl(0xb800DA98, 31, 31, 0x0);
rtd_part_outl(0xb800DB38, 31, 31, 0x0);
rtd_part_outl(0xb800DB58, 31, 31, 0x0);
rtd_part_outl(0xb800DB78, 31, 31, 0x0);
rtd_part_outl(0xb800DB98, 31, 31, 0x0);

//POW_PR
rtd_part_outl(0xb800DA34, 25, 25, 0x0);
rtd_part_outl(0xb800DA54, 25, 25, 0x0);
rtd_part_outl(0xb800DA74, 25, 25, 0x0);
rtd_part_outl(0xb800DA94, 25, 25, 0x0);
rtd_part_outl(0xb800DB34, 25, 25, 0x0);
rtd_part_outl(0xb800DB54, 25, 25, 0x0);
rtd_part_outl(0xb800DB74, 25, 25, 0x0);
rtd_part_outl(0xb800DB94, 25, 25, 0x0);

//====================[RL6617_CMU_ACDR_setting]common====================
//AC_COUPLE=> R/G/B after Aphy setting
rtd_part_outl(0xb800DA54, 0, 0, 0x1); //pow AC_COUPLE
rtd_part_outl(0xb800DA74, 0, 0, 0x1); //pow AC_COUPLE
rtd_part_outl(0xb800DA94, 0, 0, 0x1); //pow AC_COUPLE
rtd_part_outl(0xb800DB54, 0, 0, 0x1); //pow AC_COUPLE
rtd_part_outl(0xb800DB74, 0, 0, 0x1); //pow AC_COUPLE
rtd_part_outl(0xb800DB94, 0, 0, 0x1); //pow AC_COUPLE

rtd_part_outl(0xb800DA50, 12, 11, 0x2); //AC_COUPLE vcm selection
rtd_part_outl(0xb800DA70, 12, 11, 0x2); //AC_COUPLE vcm selection
rtd_part_outl(0xb800DA90, 12, 11, 0x2); //AC_COUPLE vcm selection
rtd_part_outl(0xb800DB50, 12, 11, 0x2); //AC_COUPLE vcm selection
rtd_part_outl(0xb800DB70, 12, 11, 0x2); //AC_COUPLE vcm selection
rtd_part_outl(0xb800DB90, 12, 11, 0x2); //AC_COUPLE vcm selection

rtd_part_outl(0xb800DA50, 0, 0, 0x0); //INOFF_EN
rtd_part_outl(0xb800DA70, 0, 0, 0x0); //INOFF_EN
rtd_part_outl(0xb800DA90, 0, 0, 0x0); //INOFF_EN
rtd_part_outl(0xb800DB50, 0, 0, 0x0); //INOFF_EN
rtd_part_outl(0xb800DB70, 0, 0, 0x0); //INOFF_EN
rtd_part_outl(0xb800DB90, 0, 0, 0x0); //INOFF_EN

rtd_part_outl(0xb800DA50, 1, 1, 0x0); //INNOFF_SINGLE_EN
rtd_part_outl(0xb800DA70, 1, 1, 0x0); //INNOFF_SINGLE_EN
rtd_part_outl(0xb800DA90, 1, 1, 0x0); //INNOFF_SINGLE_EN
rtd_part_outl(0xb800DB50, 1, 1, 0x0); //INNOFF_SINGLE_EN
rtd_part_outl(0xb800DB70, 1, 1, 0x0); //INNOFF_SINGLE_EN
rtd_part_outl(0xb800DB90, 1, 1, 0x0); //INNOFF_SINGLE_EN

rtd_part_outl(0xb800DA50, 2, 2, 0x0); //INPOFF_SINGLE_EN
rtd_part_outl(0xb800DA70, 2, 2, 0x0); //INPOFF_SINGLE_EN
rtd_part_outl(0xb800DA90, 2, 2, 0x0); //INPOFF_SINGLE_EN
rtd_part_outl(0xb800DB50, 2, 2, 0x0); //INPOFF_SINGLE_EN
rtd_part_outl(0xb800DB70, 2, 2, 0x0); //INPOFF_SINGLE_EN
rtd_part_outl(0xb800DB90, 2, 2, 0x0); //INPOFF_SINGLE_EN

//====================[RL6617_CMU_ACDR_setting]FLD====================
// 2.1 FLD setting
//reg_p#_*_auto_mode<31>
rtd_part_outl(0xb800DC28, 31, 31, 0x1); //auto_mode 
rtd_part_outl(0xb800DC44, 31, 31, 0x1); //auto_mode 
rtd_part_outl(0xb800DC60, 31, 31, 0x1); //auto_mode 
rtd_part_outl(0xb800DC7C, 31, 31, 0x1); //auto_mode 
rtd_part_outl(0xb800DD28, 31, 31, 0x1); //auto_mode 
rtd_part_outl(0xb800DD44, 31, 31, 0x1); //auto_mode 
rtd_part_outl(0xb800DD60, 31, 31, 0x1); //auto_mode 
rtd_part_outl(0xb800DD7C, 31, 31, 0x1); //auto_mode 

//reg_p#_*_vco_fine_init<11:8>
rtd_part_outl(0xb800DC38, 11, 8, 0x4); //vco_fine_init
rtd_part_outl(0xb800DC54, 11, 8, 0x4); //vco_fine_init
rtd_part_outl(0xb800DC70, 11, 8, 0x4); //vco_fine_init
rtd_part_outl(0xb800DC8C, 11, 8, 0x4); //vco_fine_init
rtd_part_outl(0xb800DD38, 11, 8, 0x4); //vco_fine_init
rtd_part_outl(0xb800DD54, 11, 8, 0x4); //vco_fine_init
rtd_part_outl(0xb800DD70, 11, 8, 0x4); //vco_fine_init
rtd_part_outl(0xb800DD8C, 11, 8, 0x4); //vco_fine_init

//reg_p#_*_vco_coarse_init<15:12>
rtd_part_outl(0xb800DC38, 15, 12, 0x4); //vco_coarse_init
rtd_part_outl(0xb800DC54, 15, 12, 0x4); //vco_coarse_init
rtd_part_outl(0xb800DC70, 15, 12, 0x4); //vco_coarse_init
rtd_part_outl(0xb800DC8C, 15, 12, 0x4); //vco_coarse_init
rtd_part_outl(0xb800DD38, 15, 12, 0x4); //vco_coarse_init
rtd_part_outl(0xb800DD54, 15, 12, 0x4); //vco_coarse_init
rtd_part_outl(0xb800DD70, 15, 12, 0x4); //vco_coarse_init
rtd_part_outl(0xb800DD8C, 15, 12, 0x4); //vco_coarse_init

//reg_p#_*_divide_num<10:3>
rtd_part_outl(0xb800DC28, 10, 3, 0x1e); //divide_num 
rtd_part_outl(0xb800DC44, 10, 3, 0x1e); //divide_num 
rtd_part_outl(0xb800DC60, 10, 3, 0x1e); //divide_num 
rtd_part_outl(0xb800DC7C, 10, 3, 0x1e); //divide_num 
rtd_part_outl(0xb800DD28, 10, 3, 0x1e); //divide_num 
rtd_part_outl(0xb800DD44, 10, 3, 0x1e); //divide_num 
rtd_part_outl(0xb800DD60, 10, 3, 0x1e); //divide_num 
rtd_part_outl(0xb800DD7C, 10, 3, 0x1e); //divide_num 

//reg_p#_*_coarse_lock_up_limit<31:20>
rtd_part_outl(0xb800DC34, 31, 20, 0x356); //coarse_lock_up_limit
rtd_part_outl(0xb800DC50, 31, 20, 0x356); //coarse_lock_up_limit
rtd_part_outl(0xb800DC6C, 31, 20, 0x356); //coarse_lock_up_limit
rtd_part_outl(0xb800DC88, 31, 20, 0x356); //coarse_lock_up_limit
rtd_part_outl(0xb800DD34, 31, 20, 0x356); //coarse_lock_up_limit
rtd_part_outl(0xb800DD50, 31, 20, 0x356); //coarse_lock_up_limit
rtd_part_outl(0xb800DD6C, 31, 20, 0x356); //coarse_lock_up_limit
rtd_part_outl(0xb800DD88, 31, 20, 0x356); //coarse_lock_up_limit

//reg_p#_*_coarse_lock_dn_limit<19:8>
rtd_part_outl(0xb800DC34, 19, 8, 0x32c); //coarse_lock_dn_limit
rtd_part_outl(0xb800DC50, 19, 8, 0x32c); //coarse_lock_dn_limit
rtd_part_outl(0xb800DC6C, 19, 8, 0x32c); //coarse_lock_dn_limit
rtd_part_outl(0xb800DC88, 19, 8, 0x32c); //coarse_lock_dn_limit
rtd_part_outl(0xb800DD34, 19, 8, 0x32c); //coarse_lock_dn_limit
rtd_part_outl(0xb800DD50, 19, 8, 0x32c); //coarse_lock_dn_limit
rtd_part_outl(0xb800DD6C, 19, 8, 0x32c); //coarse_lock_dn_limit
rtd_part_outl(0xb800DD88, 19, 8, 0x32c); //coarse_lock_dn_limit

//reg_p#_*_lock_up_limit<27:16>
rtd_part_outl(0xb800DC2C, 27, 16, 0x356); //lock_up_limit
rtd_part_outl(0xb800DC48, 27, 16, 0x356); //lock_up_limit
rtd_part_outl(0xb800DC64, 27, 16, 0x356); //lock_up_limit
rtd_part_outl(0xb800DC80, 27, 16, 0x356); //lock_up_limit
rtd_part_outl(0xb800DD2C, 27, 16, 0x356); //lock_up_limit
rtd_part_outl(0xb800DD48, 27, 16, 0x356); //lock_up_limit
rtd_part_outl(0xb800DD64, 27, 16, 0x356); //lock_up_limit
rtd_part_outl(0xb800DD80, 27, 16, 0x356); //lock_up_limit

//reg_p#_*_lock_dn_limit<11:0>
rtd_part_outl(0xb800DC2C, 11, 0, 0x32c); //lock_dn_limit
rtd_part_outl(0xb800DC48, 11, 0, 0x32c); //lock_dn_limit
rtd_part_outl(0xb800DC64, 11, 0, 0x32c); //lock_dn_limit
rtd_part_outl(0xb800DC80, 11, 0, 0x32c); //lock_dn_limit
rtd_part_outl(0xb800DD2C, 11, 0, 0x32c); //lock_dn_limit
rtd_part_outl(0xb800DD48, 11, 0, 0x32c); //lock_dn_limit
rtd_part_outl(0xb800DD64, 11, 0, 0x32c); //lock_dn_limit
rtd_part_outl(0xb800DD80, 11, 0, 0x32c); //lock_dn_limit

//reg_p#_*_adp_time
rtd_part_outl(0xb800DC28, 27, 23, 0x9); //Delay time = ((TIME<4:0> +1) * time unit, time unit=0.64us
rtd_part_outl(0xb800DC44, 27, 23, 0x9); //Delay time = ((TIME<4:0> +1) * time unit, time unit=0.64us
rtd_part_outl(0xb800DC60, 27, 23, 0x9); //Delay time = ((TIME<4:0> +1) * time unit, time unit=0.64us
rtd_part_outl(0xb800DC7C, 27, 23, 0x9); //Delay time = ((TIME<4:0> +1) * time unit, time unit=0.64us
rtd_part_outl(0xb800DD28, 27, 23, 0x9); //Delay time = ((TIME<4:0> +1) * time unit, time unit=0.64us
rtd_part_outl(0xb800DD44, 27, 23, 0x9); //Delay time = ((TIME<4:0> +1) * time unit, time unit=0.64us
rtd_part_outl(0xb800DD60, 27, 23, 0x9); //Delay time = ((TIME<4:0> +1) * time unit, time unit=0.64us
rtd_part_outl(0xb800DD7C, 27, 23, 0x9); //Delay time = ((TIME<4:0> +1) * time unit, time unit=0.64us

//reg_p#_*_calib_time
rtd_part_outl(0xb800DC28, 22, 20, 0x7); //Delay time = ((TIME<2:0> +1) * time unit, time unit=0.64us
rtd_part_outl(0xb800DC44, 22, 20, 0x7); //Delay time = ((TIME<2:0> +1) * time unit, time unit=0.64us
rtd_part_outl(0xb800DC60, 22, 20, 0x7); //Delay time = ((TIME<2:0> +1) * time unit, time unit=0.64us
rtd_part_outl(0xb800DC7C, 22, 20, 0x7); //Delay time = ((TIME<2:0> +1) * time unit, time unit=0.64us
rtd_part_outl(0xb800DD28, 22, 20, 0x7); //Delay time = ((TIME<2:0> +1) * time unit, time unit=0.64us
rtd_part_outl(0xb800DD44, 22, 20, 0x7); //Delay time = ((TIME<2:0> +1) * time unit, time unit=0.64us
rtd_part_outl(0xb800DD60, 22, 20, 0x7); //Delay time = ((TIME<2:0> +1) * time unit, time unit=0.64us
rtd_part_outl(0xb800DD7C, 22, 20, 0x7); //Delay time = ((TIME<2:0> +1) * time unit, time unit=0.64us

//====================[RL6617_DFE_SETTING]RL6617_DFE_ini====================
//DFE_ADAPTION_EN, before DFE init setting
rtd_part_outl(0xb800DA38, 7, 7, 0x1); //DFE_ADAPTION_EN
rtd_part_outl(0xb800DA58, 7, 7, 0x1); //DFE_ADAPTION_EN
rtd_part_outl(0xb800DA78, 7, 7, 0x1); //DFE_ADAPTION_EN
rtd_part_outl(0xb800DA98, 7, 7, 0x1); //DFE_ADAPTION_EN
rtd_part_outl(0xb800DB38, 7, 7, 0x1); //DFE_ADAPTION_EN
rtd_part_outl(0xb800DB58, 7, 7, 0x1); //DFE_ADAPTION_EN
rtd_part_outl(0xb800DB78, 7, 7, 0x1); //DFE_ADAPTION_EN
rtd_part_outl(0xb800DB98, 7, 7, 0x1); //DFE_ADAPTION_EN

//DFE_TAP_EN, before DFE init setting
rtd_part_outl(0xb800DA38, 6, 3, 0xf); //DFE_TAP_EN
rtd_part_outl(0xb800DA58, 6, 3, 0xf); //DFE_TAP_EN
rtd_part_outl(0xb800DA78, 6, 3, 0xf); //DFE_TAP_EN
rtd_part_outl(0xb800DA98, 6, 3, 0xf); //DFE_TAP_EN
rtd_part_outl(0xb800DB38, 6, 3, 0xf); //DFE_TAP_EN
rtd_part_outl(0xb800DB58, 6, 3, 0xf); //DFE_TAP_EN
rtd_part_outl(0xb800DB78, 6, 3, 0xf); //DFE_TAP_EN
rtd_part_outl(0xb800DB98, 6, 3, 0xf); //DFE_TAP_EN

//DFE-0
rtd_outl(0xb800DE00, 0x4000F500); //P0_lane0
rtd_outl(0xb800DE04, 0x00000785); //P0_lane0, vth_int = 0x5
rtd_outl(0xb800DE08, 0x00140000); //P0_lane0

rtd_outl(0xb800DE0C, 0x4000F500); //P0_lane1
rtd_outl(0xb800DE10, 0x00000785); //P0_lane1, vth_int = 0x5
rtd_outl(0xb800DE14, 0x00140000); //P0_lane1

rtd_outl(0xb800DE18, 0x4000F500); //P0_lane2
rtd_outl(0xb800DE1C, 0x00000785); //P0_lane2, vth_int = 0x5
rtd_outl(0xb800DE20, 0x00140000); //P0_lane2

rtd_outl(0xb800DE24, 0x4000F500); //P0_lane3
rtd_outl(0xb800DE28, 0x00000785); //P0_lane3, vth_int = 0x5
rtd_outl(0xb800DE2C, 0x00140000); //P0_lane3

rtd_outl(0xb800DE30, 0x8004BF00);
rtd_outl(0xb800DE34, 0x400000E2); //le_gain1_p0 = 0x0
rtd_outl(0xb800DE38, 0x01ffffff);
rtd_outl(0xb800DE3C, 0xFFCBFA40);
rtd_outl(0xb800DE40, 0x00A54800);
rtd_outl(0xb800DE44, 0x00A54800);

//DFE-1
rtd_outl(0xb800DE50, 0x4000F500); //P1_lane0
rtd_outl(0xb800DE54, 0x00000785); //P1_lane0, vth_int = 0x5
rtd_outl(0xb800DE58, 0x00140000); //P1_lane0

rtd_outl(0xb800DE5C, 0x4000F500); //P1_lane1
rtd_outl(0xb800DE60, 0x00000785); //P1_lane1, vth_int = 0x5
rtd_outl(0xb800DE64, 0x00140000); //P1_lane1

rtd_outl(0xb800DE68, 0x4000F500); //P1_lane2
rtd_outl(0xb800DE6C, 0x00000785); //P1_lane2, vth_int = 0x5
rtd_outl(0xb800DE70, 0x00140000); //P1_lane2

rtd_outl(0xb800DE74, 0x4000F500); //P1_lane3
rtd_outl(0xb800DE78, 0x00000785); //P1_lane3, vth_int = 0x5
rtd_outl(0xb800DE7C, 0x00140000); //P1_lane3

rtd_outl(0xb800DE80, 0x8004BF00);
rtd_outl(0xb800DE84, 0x400000E2); //le_gain1_p1 = 0x0
rtd_outl(0xb800DE88, 0x01ffffff);
rtd_outl(0xb800DE8C, 0xFFCBFA40);
rtd_outl(0xb800DE90, 0x00A54800);
rtd_outl(0xb800DE94, 0x00A54800);

//====================[RL6617_HDMIRX_FLOW]DCDR mode path setting====================
//choose to ACDR
//reg_p#_*_auto_mode = 1
rtd_part_outl(0xb800DC28, 31, 31, 0x1);
rtd_part_outl(0xb800DC44, 31, 31, 0x1);
rtd_part_outl(0xb800DC60, 31, 31, 0x1);
rtd_part_outl(0xb800DC7C, 31, 31, 0x1);
rtd_part_outl(0xb800DD28, 31, 31, 0x1);
rtd_part_outl(0xb800DD44, 31, 31, 0x1);
rtd_part_outl(0xb800DD60, 31, 31, 0x1);
rtd_part_outl(0xb800DD7C, 31, 31, 0x1);

//reg_p#_*_adap_eq_off = 0
rtd_part_outl(0xb800DC28, 28, 28, 0x0);
rtd_part_outl(0xb800DC44, 28, 28, 0x0);
rtd_part_outl(0xb800DC60, 28, 28, 0x0);
rtd_part_outl(0xb800DC7C, 28, 28, 0x0);
rtd_part_outl(0xb800DD28, 28, 28, 0x0);
rtd_part_outl(0xb800DD44, 28, 28, 0x0);
rtd_part_outl(0xb800DD60, 28, 28, 0x0);
rtd_part_outl(0xb800DD7C, 28, 28, 0x0);

//$display("#=================================================================================================== dig reset");
rtd_outl(0xb800DC00, 0x00000003);
rtd_outl(0xb800DC00, 0x00000003);
rtd_outl(0xb800DC00, 0x00000003);
rtd_outl(0xb800DC0C, 0x00000000);
rtd_outl(0xb800DD00, 0x00000003);
rtd_outl(0xb800DD00, 0x00000003);
rtd_outl(0xb800DD00, 0x00000003);
rtd_outl(0xb800DD0C, 0x00000000);
rtd_outl(0xb800DDC8, 0x00001a01);
rtd_outl(0xb800DC00, 0x80000003);
rtd_outl(0xb800DC00, 0xc0000003);
rtd_outl(0xb800DC00, 0xe0000003);
rtd_outl(0xb800DC0C, 0x80000000);
rtd_outl(0xb800DD00, 0x80000003);
rtd_outl(0xb800DD00, 0xc0000003);
rtd_outl(0xb800DD00, 0xe0000003);
rtd_outl(0xb800DD0C, 0x80000000);

rtd_outl(0xb800DCC8, 0x00001a1f);
rtd_outl(0xb800DDC8, 0x00001a11);
rtd_outl(0xb800DDC8, 0x00001a19);
rtd_outl(0xb800DDC8, 0x00001a1d);
rtd_outl(0xb800DDC8, 0x00001a1f);
//$display("#=================================================================================================== wd rst");
//reg_p#_acdr_l#_en, if acdr need to setting
rtd_outl(0xb800DC1C, 0x00000080); //reg_p0_acdr_l0_en
rtd_outl(0xb800DC24, 0x00004210); //reg_p0_acdr_l1_en, reg_p0_acdr_l2_en, reg_p0_acdr_l3_en
rtd_outl(0xb800DD1C, 0x00000080); //reg_p1_acdr_l0_en
rtd_outl(0xb800DD24, 0x00004210); //reg_p1_acdr_l1_en, reg_p0_acdr_l2_en, reg_p0_acdr_l3_en

rtd_outl(0xb800DC1C, 0x00000081);
rtd_outl(0xb800DD1C, 0x00000081);
rtd_part_outl(0xb800DC20, 31, 31, 0x1);
rtd_part_outl(0xb800DD20, 31, 31, 0x1);
//$display("#=================================================================================================== dig done");


//$display("#===============================================================================  CMU RESET");
rtd_outl(0xb800DAB0, 0x00000000);
rtd_outl(0xb800DBB0, 0x00000000);
/*
//P0_ACDR_(R/G/B/CK)_0
rtd_outl(0xb800DA44, 0x13222133);
rtd_outl(0xb800DA64, 0x13222133);
rtd_outl(0xb800DA84, 0x13222133);
rtd_outl(0xb800DAA4, 0x13222133);

//P1_ACDR_(R/G/B/CK)_0
rtd_outl(0xb800DB44, 0x13222133);
rtd_outl(0xb800DB64, 0x13222133);
rtd_outl(0xb800DB84, 0x13222133);
rtd_outl(0xb800DBA4, 0x13222133);

rtd_outl(0xb800DA44, 0x13222113);
rtd_outl(0xb800DA64, 0x13222113);
rtd_outl(0xb800DA84, 0x13222113);
rtd_outl(0xb800DAA4, 0x13222113);

rtd_outl(0xb800DB44, 0x13222113);
rtd_outl(0xb800DB64, 0x13222113);
rtd_outl(0xb800DB84, 0x13222113);
rtd_outl(0xb800DBA4, 0x13222113);

rtd_outl(0xb800DAB0, 0x0000000f);
rtd_outl(0xb800DBB0, 0x0000000f);

rtd_outl(0xb800DA44, 0x13222913);
rtd_outl(0xb800DA64, 0x13222913);
rtd_outl(0xb800DA84, 0x13222913);
rtd_outl(0xb800DAA4, 0x13222913);

rtd_outl(0xb800DB44, 0x13222913);
rtd_outl(0xb800DB64, 0x13222913);
rtd_outl(0xb800DB84, 0x13222913);
rtd_outl(0xb800DBA4, 0x13222913);

rtd_outl(0xb800DA44, 0x13222933);
rtd_outl(0xb800DA64, 0x13222933);
rtd_outl(0xb800DA84, 0x13222933);
rtd_outl(0xb800DAA4, 0x13222933);

rtd_outl(0xb800DB44, 0x13222933);
rtd_outl(0xb800DB64, 0x13222933);
rtd_outl(0xb800DB84, 0x13222933);
rtd_outl(0xb800DBA4, 0x13222933);

rtd_outl(0xb800DAB0, 0x00000000);
rtd_outl(0xb800DBB0, 0x00000000);

rtd_outl(0xb800DA44, 0x13222133);
rtd_outl(0xb800DA64, 0x13222133);
rtd_outl(0xb800DA84, 0x13222133);
rtd_outl(0xb800DAA4, 0x13222133);

rtd_outl(0xb800DB44, 0x13222133);
rtd_outl(0xb800DB64, 0x13222133);
rtd_outl(0xb800DB84, 0x13222133);
rtd_outl(0xb800DBA4, 0x13222133);

rtd_outl(0xb800DA44, 0x13222113);
rtd_outl(0xb800DA64, 0x13222113);
rtd_outl(0xb800DA84, 0x13222113);
rtd_outl(0xb800DAA4, 0x13222113);

rtd_outl(0xb800DB44, 0x13222113);
rtd_outl(0xb800DB64, 0x13222113);
rtd_outl(0xb800DB84, 0x13222113);
rtd_outl(0xb800DBA4, 0x13222113);

rtd_outl(0xb800DAB0, 0x00000000); //P0_*_DEMUX_RSTB[3:0] = 0(wait for clk ok)
rtd_outl(0xb800DBB0, 0x00000000); //P1_*_DEMUX_RSTB[3:0] = 0(wait for clk ok)

rtd_outl(0xb800DA44, 0x13222913); //[5]enable FLD clk = 0
rtd_outl(0xb800DA64, 0x13222913);
rtd_outl(0xb800DA84, 0x13222913);
rtd_outl(0xb800DAA4, 0x13222913);

rtd_outl(0xb800DB44, 0x13222913);
rtd_outl(0xb800DB64, 0x13222913);
rtd_outl(0xb800DB84, 0x13222913);
rtd_outl(0xb800DBA4, 0x13222913);

//P0_ACDR_(R/G/B/CK)_0
rtd_outl(0xb800DA44, 0x13E22933); //JF modify,[5]enable FLD clk = 1
rtd_outl(0xb800DA64, 0x13E22933); //JF modify,[5]enable FLD clk = 1
rtd_outl(0xb800DA84, 0x13E22933); //JF modify,[5]enable FLD clk = 1
rtd_outl(0xb800DAA4, 0x13E22933); //JF modify,[5]enable FLD clk = 1

//P1_ACDR_(R/G/B/CK)_0
rtd_outl(0xb800DB44, 0x13E22933); //JF modify,[5]enable FLD clk = 1
rtd_outl(0xb800DB64, 0x13E22933); //JF modify,[5]enable FLD clk = 1
rtd_outl(0xb800DB84, 0x13E22933); //JF modify,[5]enable FLD clk = 1
rtd_outl(0xb800DBA4, 0x13E22933); //JF modify,[5]enable FLD clk = 1
*/
//$display("#===============================================================================  CMU RESET DONE");


//$display("#=================================================================================================== MOD reset");
rtd_outl(0xb800DC9C, 0x86000000);
rtd_outl(0xb800DD9C, 0x86000000);
//$display("#=================================================================================================== FLD reset");

//====================[RL6617_HDMIRX_FLOW]ACDR mode flow setting====================
//$display("#=================================================================================================== phase I");
//REG_P*_ACDR_CK_1<5> = 0
rtd_part_outl(0xb800DA44, 5, 5, 0x0); //enable fld clk[5] = 0
rtd_part_outl(0xb800DA64, 5, 5, 0x0); //enable fld clk[5] = 0
rtd_part_outl(0xb800DA84, 5, 5, 0x0); //enable fld clk[5] = 0
rtd_part_outl(0xb800DAA4, 5, 5, 0x0); //enable fld clk[5] = 0
rtd_part_outl(0xb800DB44, 5, 5, 0x0); //enable fld clk[5] = 0
rtd_part_outl(0xb800DB64, 5, 5, 0x0); //enable fld clk[5] = 0
rtd_part_outl(0xb800DB84, 5, 5, 0x0); //enable fld clk[5] = 0
rtd_part_outl(0xb800DBA4, 5, 5, 0x0); //enable fld clk[5] = 0

//p*_ck_fld_rstb[1] = 0, p*_*_acdr_fine_tune_start[0] = 0
rtd_outl(0xb800DC38, 0x00004404);
rtd_outl(0xb800DC54, 0x00004404);
rtd_outl(0xb800DC70, 0x00004404);
rtd_outl(0xb800DC8C, 0x00004404);
rtd_outl(0xb800DD38, 0x00004404);
rtd_outl(0xb800DD54, 0x00004404);
rtd_outl(0xb800DD70, 0x00004404);
rtd_outl(0xb800DD8C, 0x00004404);

//P*_ACDR_CK_ACDR_EN_AFN = 0
rtd_maskl(0xb800DC98, 0xDFDFDFDF, 0x00000000); //P0_ACDR_CK_ACDR_EN_AFN[5][13][21][29] = 0
rtd_maskl(0xb800DD98, 0xDFDFDFDF, 0x00000000); //P1_ACDR_CK_ACDR_EN_AFN[5][13][21][29] = 0

//P*_*_DEMUX_RSTB = 0
rtd_maskl(0xb800DAB0, 0xFFFFFFF0, 0x00000000); //P0_*_DEMUX_RSTB[3:0] = 0
rtd_maskl(0xb800DBB0, 0xFFFFFFF0, 0x00000000); //P1_*_DEMUX_RSTB[3:0] = 0

//dfe_adapt_rstb_p#, before LE setting
rtd_part_outl(0xb800DE30,7,4,0xf);
rtd_part_outl(0xb800DE80,7,4,0xf);

//FORE_KOFF_AUTOK & EN_FORE_KOFF = 0, before LE setting
rtd_part_outl(0xb800DA30, 28, 28, 0x0);
rtd_part_outl(0xb800DA50, 28, 28, 0x0);
rtd_part_outl(0xb800DA70, 28, 28, 0x0);
rtd_part_outl(0xb800DA90, 28, 28, 0x0);
rtd_part_outl(0xb800DB30, 28, 28, 0x0);
rtd_part_outl(0xb800DB50, 28, 28, 0x0);
rtd_part_outl(0xb800DB70, 28, 28, 0x0);
rtd_part_outl(0xb800DB90, 28, 28, 0x0);

rtd_part_outl(0xb800DA30, 23, 23, 0x0);
rtd_part_outl(0xb800DA50, 23, 23, 0x0);
rtd_part_outl(0xb800DA70, 23, 23, 0x0);
rtd_part_outl(0xb800DA90, 23, 23, 0x0);
rtd_part_outl(0xb800DB30, 23, 23, 0x0);
rtd_part_outl(0xb800DB50, 23, 23, 0x0);
rtd_part_outl(0xb800DB70, 23, 23, 0x0);
rtd_part_outl(0xb800DB90, 23, 23, 0x0);

//[DFE]LE & Vth & Tap0 = 1 setting
rtd_maskl(0xb800DE30, 0xFFFFFFFB, 0x00000004); //[DFE-0]tap0_notrans_p0:[2] = 1
rtd_maskl(0xb800DE80, 0xFFFFFFFB, 0x00000004); //[DFE-1]tap0_notrans_p0:[2] = 1
rtd_maskl(0xb800DE00, 0xFF00FFFF, 0x00C10000); //[DFE-0]dfe_adapt_en_lane0_p0:[23]LE = 1, [22]Vth = 1, [16]Tap0 = 1
rtd_maskl(0xb800DE0C, 0xFF00FFFF, 0x00C10000); //[DFE-0]dfe_adapt_en_lane1_p0:[23]LE = 1, [22]Vth = 1, [16]Tap0 = 1
rtd_maskl(0xb800DE18, 0xFF00FFFF, 0x00C10000); //[DFE-0]dfe_adapt_en_lane2_p0:[23]LE = 1, [22]Vth = 1, [16]Tap0 = 1
rtd_maskl(0xb800DE24, 0xFF00FFFF, 0x00C10000); //[DFE-0]dfe_adapt_en_lane3_p0:[23]LE = 1, [22]Vth = 1, [16]Tap0 = 1
rtd_maskl(0xb800DE50, 0xFF00FFFF, 0x00C10000); //[DFE-1]dfe_adapt_en_lane0_p1:[23]LE = 1, [22]Vth = 1, [16]Tap0 = 1
rtd_maskl(0xb800DE5C, 0xFF00FFFF, 0x00C10000); //[DFE-1]dfe_adapt_en_lane1_p1:[23]LE = 1, [22]Vth = 1, [16]Tap0 = 1
rtd_maskl(0xb800DE68, 0xFF00FFFF, 0x00C10000); //[DFE-1]dfe_adapt_en_lane2_p1:[23]LE = 1, [22]Vth = 1, [16]Tap0 = 1
rtd_maskl(0xb800DE74, 0xFF00FFFF, 0x00C10000); //[DFE-1]dfe_adapt_en_lane3_p1:[23]LE = 1, [22]Vth = 1, [16]Tap0 = 1

//P*_R/G/B_DIG_RST_N = 0, P*_R/G/B_CDR_RST_N = 0
rtd_maskl(0xb800DC00, 0x03FFFFFF, 0x00000000); //P0_R/G/B_DIG_RST_N[29][30][31] = 0, P0_R/G/B_CDR_RST_N[26][27][28] = 0
rtd_maskl(0xb800DD00, 0x03FFFFFF, 0x00000000); //P1_R/G/B_DIG_RST_N[29][30][31] = 0, P1_R/G/B_CDR_RST_N[26][27][28] = 0

//REG_P#_*_4<1> = 0
rtd_part_outl(0xb800DA30, 25, 25, 0x0); //BBPD_RSTB
rtd_part_outl(0xb800DA50, 25, 25, 0x0); //BBPD_RSTB
rtd_part_outl(0xb800DA70, 25, 25, 0x0); //BBPD_RSTB
rtd_part_outl(0xb800DA90, 25, 25, 0x0); //BBPD_RSTB
rtd_part_outl(0xb800DB30, 25, 25, 0x0); //BBPD_RSTB
rtd_part_outl(0xb800DB50, 25, 25, 0x0); //BBPD_RSTB
rtd_part_outl(0xb800DB70, 25, 25, 0x0); //BBPD_RSTB
rtd_part_outl(0xb800DB90, 25, 25, 0x0); //BBPD_RSTB

//REG_P#_*_9<7> = 1
rtd_part_outl(0xb800DA38, 7, 7, 0x1); //DFE_ADAPT_EN
rtd_part_outl(0xb800DA58, 7, 7, 0x1); //DFE_ADAPT_EN
rtd_part_outl(0xb800DA78, 7, 7, 0x1); //DFE_ADAPT_EN
rtd_part_outl(0xb800DA98, 7, 7, 0x1); //DFE_ADAPT_EN
rtd_part_outl(0xb800DB38, 7, 7, 0x1); //DFE_ADAPT_EN
rtd_part_outl(0xb800DB58, 7, 7, 0x1); //DFE_ADAPT_EN
rtd_part_outl(0xb800DB78, 7, 7, 0x1); //DFE_ADAPT_EN
rtd_part_outl(0xb800DB98, 7, 7, 0x1); //DFE_ADAPT_EN

//REG_P*_ACDR_CK_1<5> = 1
rtd_part_outl(0xb800DA44, 5, 5, 0x1); //enable fld clk[5] = 1
rtd_part_outl(0xb800DA64, 5, 5, 0x1); //enable fld clk[5] = 1
rtd_part_outl(0xb800DA84, 5, 5, 0x1); //enable fld clk[5] = 1
rtd_part_outl(0xb800DAA4, 5, 5, 0x1); //enable fld clk[5] = 1
rtd_part_outl(0xb800DB44, 5, 5, 0x1); //enable fld clk[5] = 1
rtd_part_outl(0xb800DB64, 5, 5, 0x1); //enable fld clk[5] = 1
rtd_part_outl(0xb800DB84, 5, 5, 0x1); //enable fld clk[5] = 1
rtd_part_outl(0xb800DBA4, 5, 5, 0x1); //enable fld clk[5] = 1

//REG_P#_*_4<1> = 0
rtd_part_outl(0xb800DA30, 25, 25, 0x1); //BBPD_RSTB
rtd_part_outl(0xb800DA50, 25, 25, 0x1); //BBPD_RSTB
rtd_part_outl(0xb800DA70, 25, 25, 0x1); //BBPD_RSTB
rtd_part_outl(0xb800DA90, 25, 25, 0x1); //BBPD_RSTB
rtd_part_outl(0xb800DB30, 25, 25, 0x1); //BBPD_RSTB
rtd_part_outl(0xb800DB50, 25, 25, 0x1); //BBPD_RSTB
rtd_part_outl(0xb800DB70, 25, 25, 0x1); //BBPD_RSTB
rtd_part_outl(0xb800DB90, 25, 25, 0x1); //BBPD_RSTB

//p*_ck_fld_rstb[1] = 1
rtd_part_outl(0xb800DC38, 1, 1, 0x1);
rtd_part_outl(0xb800DC54, 1, 1, 0x1);
rtd_part_outl(0xb800DC70, 1, 1, 0x1);
rtd_part_outl(0xb800DC8C, 1, 1, 0x1);
rtd_part_outl(0xb800DD38, 1, 1, 0x1);
rtd_part_outl(0xb800DD54, 1, 1, 0x1);
rtd_part_outl(0xb800DD70, 1, 1, 0x1);
rtd_part_outl(0xb800DD8C, 1, 1, 0x1);

//$display("#=================================================================================================== phase II");
//p#_*_coarse_calib_ok
rtd_part_inl(0xb800DC40, 2, 2);   //p0_r_coarse_calib_ok?
rtd_part_inl(0xb800DC5C, 2, 2);   //p0_g_coarse_calib_ok?
rtd_part_inl(0xb800DC78, 2, 2);   //p0_b_coarse_calib_ok?
rtd_part_inl(0xb800DC94, 2, 2);   //p0_ck_coarse_calib_ok?
rtd_part_inl(0xb800DD40, 2, 2);   //p1_r_coarse_calib_ok?
rtd_part_inl(0xb800DD5C, 2, 2);   //p1_g_coarse_calib_ok?
rtd_part_inl(0xb800DD78, 2, 2);   //p1_b_coarse_calib_ok?
rtd_part_inl(0xb800DD94, 2, 2);   //p1_ck_coarse_calib_ok?

//P*_ACDR_CK_ACDR_EN_AFN = 1
rtd_part_outl(0xb800DC98, 5, 5, 0x1);
rtd_part_outl(0xb800DD98, 5, 5, 0x1);
rtd_part_outl(0xb800DC98, 13, 13, 0x1);
rtd_part_outl(0xb800DD98, 13, 13, 0x1);
rtd_part_outl(0xb800DC98, 21, 21, 0x1);
rtd_part_outl(0xb800DD98, 21, 21, 0x1);
rtd_part_outl(0xb800DC98, 29, 29, 0x1);
rtd_part_outl(0xb800DD98, 29, 29, 0x1);

mdelay(1); // delay

//p*_*_acdr_fine_tune_start[0] = 1
rtd_part_outl(0xb800DC38, 0, 0, 0x1);
rtd_part_outl(0xb800DC54, 0, 0, 0x1);
rtd_part_outl(0xb800DC70, 0, 0, 0x1);
rtd_part_outl(0xb800DC8C, 0, 0, 0x1);
rtd_part_outl(0xb800DD38, 0, 0, 0x1);
rtd_part_outl(0xb800DD54, 0, 0, 0x1);
rtd_part_outl(0xb800DD70, 0, 0, 0x1);
rtd_part_outl(0xb800DD8C, 0, 0, 0x1);

mdelay(1); // delay

//P*_*_DEMUX_RSTB = 1
rtd_maskl(0xb800DAB0, 0xFFFFFFF0, 0x0000000F); //P0_*_DEMUX_RSTB[3:0] = 1
rtd_maskl(0xb800DBB0, 0xFFFFFFF0, 0x0000000F); //P1_*_DEMUX_RSTB[3:0] = 1

//P*_R/G/B_DIG_RST_N = 1
rtd_part_outl(0xb800DC00, 31, 29, 0x7); //P0_R/G/B_DIG_RST_N[29][30][31] = 1
rtd_part_outl(0xb800DD00, 31, 29, 0x7); //P1_R/G/B_DIG_RST_N[29][30][31] = 1

//$display("#=================================================================================================== phaseIII, ACDR mode");
//p#_*_calib_ok
rtd_part_inl(0xb800DC40, 1, 1);   //p0_r_calib_ok?
rtd_part_inl(0xb800DC5C, 1, 1);   //p0_g_calib_ok?
rtd_part_inl(0xb800DC78, 1, 1);   //p0_b_calib_ok?
rtd_part_inl(0xb800DC94, 1, 1);   //p0_ck_calib_ok?
rtd_part_inl(0xb800DD40, 1, 1);   //p1_r_calib_ok?
rtd_part_inl(0xb800DD5C, 1, 1);   //p1_g_calib_ok?
rtd_part_inl(0xb800DD78, 1, 1);   //p1_b_calib_ok?
rtd_part_inl(0xb800DD94, 1, 1);   //p1_ck_calib_ok?

//[DFE]LE & Vth & Tap0 = 0 setting
rtd_maskl(0xb800DE00, 0xFF00FFFF, 0x00000000); //[DFE-0]dfe_adapt_en_lane0_p0:[23]LE = 0, [22]Vth = 0, [16]Tap0 = 0
rtd_maskl(0xb800DE0C, 0xFF00FFFF, 0x00000000); //[DFE-0]dfe_adapt_en_lane1_p0:[23]LE = 0, [22]Vth = 0, [16]Tap0 = 0
rtd_maskl(0xb800DE18, 0xFF00FFFF, 0x00000000); //[DFE-0]dfe_adapt_en_lane2_p0:[23]LE = 0, [22]Vth = 0, [16]Tap0 = 0
rtd_maskl(0xb800DE24, 0xFF00FFFF, 0x00000000); //[DFE-0]dfe_adapt_en_lane3_p0:[23]LE = 0, [22]Vth = 0, [16]Tap0 = 0
rtd_maskl(0xb800DE50, 0xFF00FFFF, 0x00000000); //[DFE-1]dfe_adapt_en_lane0_p1:[23]LE = 0, [22]Vth = 0, [16]Tap0 = 0
rtd_maskl(0xb800DE5C, 0xFF00FFFF, 0x00000000); //[DFE-1]dfe_adapt_en_lane1_p1:[23]LE = 0, [22]Vth = 0, [16]Tap0 = 0
rtd_maskl(0xb800DE68, 0xFF00FFFF, 0x00000000); //[DFE-1]dfe_adapt_en_lane2_p1:[23]LE = 0, [22]Vth = 0, [16]Tap0 = 0
rtd_maskl(0xb800DE74, 0xFF00FFFF, 0x00000000); //[DFE-1]dfe_adapt_en_lane3_p1:[23]LE = 0, [22]Vth = 0, [16]Tap0 = 0

//p*_*_acdr_fine_tune_start[0] = 0
rtd_part_outl(0xb800DC38, 0, 0, 0x0);
rtd_part_outl(0xb800DC54, 0, 0, 0x0);
rtd_part_outl(0xb800DC70, 0, 0, 0x0);
rtd_part_outl(0xb800DC8C, 0, 0, 0x0);
rtd_part_outl(0xb800DD38, 0, 0, 0x0);
rtd_part_outl(0xb800DD54, 0, 0, 0x0);
rtd_part_outl(0xb800DD70, 0, 0, 0x0);
rtd_part_outl(0xb800DD8C, 0, 0, 0x0);

//p#_*_calib_ok
rtd_part_inl(0xb800DC40, 1, 1);   //p0_r_calib_ok?
rtd_part_inl(0xb800DC5C, 1, 1);   //p0_g_calib_ok?
rtd_part_inl(0xb800DC78, 1, 1);   //p0_b_calib_ok?
rtd_part_inl(0xb800DC94, 1, 1);   //p0_ck_calib_ok?
rtd_part_inl(0xb800DD40, 1, 1);   //p1_r_calib_ok?
rtd_part_inl(0xb800DD5C, 1, 1);   //p1_g_calib_ok?
rtd_part_inl(0xb800DD78, 1, 1);   //p1_b_calib_ok?
rtd_part_inl(0xb800DD94, 1, 1);   //p1_ck_calib_ok?

//[KOFFSET]=================================KOFFSET setting=================================================
//===input off===
rtd_maskl(0xb800DA30, 0xFFFFFFFE, 0x00000001); //input off = off
rtd_maskl(0xb800DA90, 0xFFFFFFFE, 0x00000001); //input off = off
rtd_maskl(0xb800DA70, 0xFFFFFFFE, 0x00000001); //input off = off
rtd_maskl(0xb800DA50, 0xFFFFFFFE, 0x00000001); //input off = off
rtd_maskl(0xb800DB30, 0xFFFFFFFE, 0x00000001); //input off = off
rtd_maskl(0xb800DB90, 0xFFFFFFFE, 0x00000001); //input off = off
rtd_maskl(0xb800DB70, 0xFFFFFFFE, 0x00000001); //input off = off
rtd_maskl(0xb800DB50, 0xFFFFFFFE, 0x00000001); //input off = off

//FORE_KOFF_AUTOK & EN_FORE_KOFF = 1, before KOFFSET setting
rtd_part_outl(0xb800DA30, 28, 28, 0x1);
rtd_part_outl(0xb800DA50, 28, 28, 0x1);
rtd_part_outl(0xb800DA70, 28, 28, 0x1);
rtd_part_outl(0xb800DA90, 28, 28, 0x1);
rtd_part_outl(0xb800DB30, 28, 28, 0x1);
rtd_part_outl(0xb800DB50, 28, 28, 0x1);
rtd_part_outl(0xb800DB70, 28, 28, 0x1);
rtd_part_outl(0xb800DB90, 28, 28, 0x1);

rtd_part_outl(0xb800DA30, 23, 23, 0x1);
rtd_part_outl(0xb800DA50, 23, 23, 0x1);
rtd_part_outl(0xb800DA70, 23, 23, 0x1);
rtd_part_outl(0xb800DA90, 23, 23, 0x1);
rtd_part_outl(0xb800DB30, 23, 23, 0x1);
rtd_part_outl(0xb800DB50, 23, 23, 0x1);
rtd_part_outl(0xb800DB70, 23, 23, 0x1);
rtd_part_outl(0xb800DB90, 23, 23, 0x1);

//KOFF_RANGE, before KOFFSET setting
rtd_part_outl(0xb800DA30, 30, 29, 0x0);
rtd_part_outl(0xb800DA50, 30, 29, 0x0);
rtd_part_outl(0xb800DA70, 30, 29, 0x0);
rtd_part_outl(0xb800DA90, 30, 29, 0x0);
rtd_part_outl(0xb800DB30, 30, 29, 0x0);
rtd_part_outl(0xb800DB50, 30, 29, 0x0);
rtd_part_outl(0xb800DB70, 30, 29, 0x0);
rtd_part_outl(0xb800DB90, 30, 29, 0x0);

//===K DCVS DATA_EVEN===
rtd_maskl(0xb800DA30, 0xFF7FFFFF, 0x00800000); //[K DCVS DATA_EVEN] EN_FORE_KOFF = 1
rtd_maskl(0xb800DA90, 0xFF7FFFFF, 0x00800000); //[K DCVS DATA_EVEN] EN_FORE_KOFF = 1
rtd_maskl(0xb800DA70, 0xFF7FFFFF, 0x00800000); //[K DCVS DATA_EVEN] EN_FORE_KOFF = 1
rtd_maskl(0xb800DA50, 0xFF7FFFFF, 0x00800000); //[K DCVS DATA_EVEN] EN_FORE_KOFF = 1
rtd_maskl(0xb800DB30, 0xFF7FFFFF, 0x00800000); //[K DCVS DATA_EVEN] EN_FORE_KOFF = 1
rtd_maskl(0xb800DB90, 0xFF7FFFFF, 0x00800000); //[K DCVS DATA_EVEN] EN_FORE_KOFF = 1
rtd_maskl(0xb800DB70, 0xFF7FFFFF, 0x00800000); //[K DCVS DATA_EVEN] EN_FORE_KOFF = 1
rtd_maskl(0xb800DB50, 0xFF7FFFFF, 0x00800000); //[K DCVS DATA_EVEN] EN_FORE_KOFF = 1

rtd_part_outl(0xb800DA34, 9, 9, 0x0); //EQ_POW = 0
rtd_part_outl(0xb800DA54, 9, 9, 0x0); //EQ_POW = 0
rtd_part_outl(0xb800DA74, 9, 9, 0x0); //EQ_POW = 0
rtd_part_outl(0xb800DA94, 9, 9, 0x0); //EQ_POW = 0
rtd_part_outl(0xb800DB34, 9, 9, 0x0); //EQ_POW = 0
rtd_part_outl(0xb800DB54, 9, 9, 0x0); //EQ_POW = 0
rtd_part_outl(0xb800DB74, 9, 9, 0x0); //EQ_POW = 0
rtd_part_outl(0xb800DB94, 9, 9, 0x0); //EQ_POW = 0

rtd_maskl(0xb800DA38, 0xFFFF7FFF, 0x00008000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 1
rtd_maskl(0xb800DA98, 0xFFFF7FFF, 0x00008000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 1
rtd_maskl(0xb800DA78, 0xFFFF7FFF, 0x00008000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 1
rtd_maskl(0xb800DA58, 0xFFFF7FFF, 0x00008000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 1
rtd_maskl(0xb800DB38, 0xFFFF7FFF, 0x00008000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 1
rtd_maskl(0xb800DB98, 0xFFFF7FFF, 0x00008000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 1
rtd_maskl(0xb800DB78, 0xFFFF7FFF, 0x00008000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 1
rtd_maskl(0xb800DB58, 0xFFFF7FFF, 0x00008000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 1

rtd_maskl(0xb800DA30, 0xFFFFFF1F, 0x00000000); //[K DCVS DATA_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even
rtd_maskl(0xb800DA90, 0xFFFFFF1F, 0x00000000); //[K DCVS DATA_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even
rtd_maskl(0xb800DA70, 0xFFFFFF1F, 0x00000000); //[K DCVS DATA_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even
rtd_maskl(0xb800DA50, 0xFFFFFF1F, 0x00000000); //[K DCVS DATA_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even
rtd_maskl(0xb800DB30, 0xFFFFFF1F, 0x00000000); //[K DCVS DATA_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even
rtd_maskl(0xb800DB90, 0xFFFFFF1F, 0x00000000); //[K DCVS DATA_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even
rtd_maskl(0xb800DB70, 0xFFFFFF1F, 0x00000000); //[K DCVS DATA_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even
rtd_maskl(0xb800DB50, 0xFFFFFF1F, 0x00000000); //[K DCVS DATA_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even

rtd_maskl(0xb800DA30, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA90, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA70, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA50, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB30, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB90, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB70, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB50, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1

//Check KOFFSET result
rtd_part_inl(0xB800DA28, 30, 30); //FORE _KOFF_OK? (R)
rtd_part_inl(0xB800DA28, 22, 22); //FORE _KOFF_OK? (G)
rtd_part_inl(0xB800DA28, 6, 6);	  //FORE _KOFF_OK? (B)
rtd_part_inl(0xB800DA28, 14, 14); //FORE _KOFF_OK? (CK)
rtd_part_inl(0xB800DB28, 30, 30); //FORE _KOFF_OK? (R)
rtd_part_inl(0xB800DB28, 22, 22); //FORE _KOFF_OK? (G)
rtd_part_inl(0xB800DB28, 6, 6);	  //FORE _KOFF_OK? (B)
rtd_part_inl(0xB800DB28, 14, 14); //FORE _KOFF_OK? (CK)

rtd_part_inl(0xB800DA28, 29, 29); //Auto K = 31 or 0? (R)
rtd_part_inl(0xB800DA28, 21, 21); //Auto K = 31 or 0? (G)
rtd_part_inl(0xB800DA28, 5, 5);	  //Auto K = 31 or 0? (B)
rtd_part_inl(0xB800DA28, 13, 13); //Auto K = 31 or 0? (CK)
rtd_part_inl(0xB800DB28, 29, 29); //Auto K = 31 or 0? (R)
rtd_part_inl(0xB800DB28, 21, 21); //Auto K = 31 or 0? (G)
rtd_part_inl(0xB800DB28, 5, 5);	  //Auto K = 31 or 0? (B)
rtd_part_inl(0xB800DB28, 13, 13); //Auto K = 31 or 0? (CK)

rtd_part_inl(0xB800DA28, 28, 24); //FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB800DA28, 20, 16); //FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB800DA28, 4, 0);	  //FORE_KOFF AUTOK result (B)
rtd_part_inl(0xB800DA28, 12, 8);  //FORE_KOFF AUTOK result (CK)
rtd_part_inl(0xB800DB28, 28, 24); //FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB800DB28, 20, 16); //FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB800DB28, 4, 0);	  //FORE_KOFF AUTOK result (B)
rtd_part_inl(0xB800DB28, 12, 8);  //FORE_KOFF AUTOK result (CK)

rtd_maskl(0xb800DA30, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA90, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA70, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA50, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB30, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB90, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB70, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB50, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 0

rtd_part_outl(0xb800DA34, 9, 9, 0x1); //EQ_POW = 1
rtd_part_outl(0xb800DA54, 9, 9, 0x1); //EQ_POW = 1
rtd_part_outl(0xb800DA74, 9, 9, 0x1); //EQ_POW = 1
rtd_part_outl(0xb800DA94, 9, 9, 0x1); //EQ_POW = 1
rtd_part_outl(0xb800DB34, 9, 9, 0x1); //EQ_POW = 1
rtd_part_outl(0xb800DB54, 9, 9, 0x1); //EQ_POW = 1
rtd_part_outl(0xb800DB74, 9, 9, 0x1); //EQ_POW = 1
rtd_part_outl(0xb800DB94, 9, 9, 0x1); //EQ_POW = 1

rtd_maskl(0xb800DA38, 0xFFFF7FFF, 0x00000000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 0
rtd_maskl(0xb800DA98, 0xFFFF7FFF, 0x00000000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 0
rtd_maskl(0xb800DA78, 0xFFFF7FFF, 0x00000000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 0
rtd_maskl(0xb800DA58, 0xFFFF7FFF, 0x00000000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 0
rtd_maskl(0xb800DB38, 0xFFFF7FFF, 0x00000000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 0
rtd_maskl(0xb800DB98, 0xFFFF7FFF, 0x00000000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 0
rtd_maskl(0xb800DB78, 0xFFFF7FFF, 0x00000000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 0
rtd_maskl(0xb800DB58, 0xFFFF7FFF, 0x00000000); //[K DCVS DATA_EVEN] DCVS_OFFCAL_EN = 0

//===K EQ===
rtd_maskl(0xb800DA30, 0xFEFFFFFF, 0x01000000); //[K EQ] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA90, 0xFEFFFFFF, 0x01000000); //[K EQ] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA70, 0xFEFFFFFF, 0x01000000); //[K EQ] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA50, 0xFEFFFFFF, 0x01000000); //[K EQ] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB30, 0xFEFFFFFF, 0x01000000); //[K EQ] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB90, 0xFEFFFFFF, 0x01000000); //[K EQ] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB70, 0xFEFFFFFF, 0x01000000); //[K EQ] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB50, 0xFEFFFFFF, 0x01000000); //[K EQ] POW_FORE_KOFF = 1
                                                 
//Check KOFFSET result
rtd_part_inl(0xB800DA28, 30, 30); //FORE _KOFF_OK? (R)
rtd_part_inl(0xB800DA28, 22, 22); //FORE _KOFF_OK? (G)
rtd_part_inl(0xB800DA28, 6, 6);	  //FORE _KOFF_OK? (B)
rtd_part_inl(0xB800DA28, 14, 14); //FORE _KOFF_OK? (CK)
rtd_part_inl(0xB800DB28, 30, 30); //FORE _KOFF_OK? (R)
rtd_part_inl(0xB800DB28, 22, 22); //FORE _KOFF_OK? (G)
rtd_part_inl(0xB800DB28, 6, 6);	  //FORE _KOFF_OK? (B)
rtd_part_inl(0xB800DB28, 14, 14); //FORE _KOFF_OK? (CK)

rtd_part_inl(0xB800DA28, 29, 29); //Auto K = 31 or 0? (R)
rtd_part_inl(0xB800DA28, 21, 21); //Auto K = 31 or 0? (G)
rtd_part_inl(0xB800DA28, 5, 5);	  //Auto K = 31 or 0? (B)
rtd_part_inl(0xB800DA28, 13, 13); //Auto K = 31 or 0? (CK)
rtd_part_inl(0xB800DB28, 29, 29); //Auto K = 31 or 0? (R)
rtd_part_inl(0xB800DB28, 21, 21); //Auto K = 31 or 0? (G)
rtd_part_inl(0xB800DB28, 5, 5);	  //Auto K = 31 or 0? (B)
rtd_part_inl(0xB800DB28, 13, 13); //Auto K = 31 or 0? (CK)

rtd_part_inl(0xB800DA28, 28, 24); //FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB800DA28, 20, 16); //FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB800DA28, 4, 0);	  //FORE_KOFF AUTOK result (B)
rtd_part_inl(0xB800DA28, 12, 8);  //FORE_KOFF AUTOK result (CK)
rtd_part_inl(0xB800DB28, 28, 24); //FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB800DB28, 20, 16); //FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB800DB28, 4, 0);	  //FORE_KOFF AUTOK result (B)
rtd_part_inl(0xB800DB28, 12, 8);  //FORE_KOFF AUTOK result (CK)

rtd_maskl(0xb800DA30, 0xFEFFFFFF, 0x00000000); //[K EQ] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA90, 0xFEFFFFFF, 0x00000000); //[K EQ] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA70, 0xFEFFFFFF, 0x00000000); //[K EQ] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA50, 0xFEFFFFFF, 0x00000000); //[K EQ] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB30, 0xFEFFFFFF, 0x00000000); //[K EQ] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB90, 0xFEFFFFFF, 0x00000000); //[K EQ] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB70, 0xFEFFFFFF, 0x00000000); //[K EQ] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB50, 0xFEFFFFFF, 0x00000000); //[K EQ] POW_FORE_KOFF = 0

rtd_maskl(0xb800DA38, 0xFFFF7FFF, 0x00008000); //[K EQ] DCVS_OFFCAL_EN = 1
rtd_maskl(0xb800DA98, 0xFFFF7FFF, 0x00008000); //[K EQ] DCVS_OFFCAL_EN = 1
rtd_maskl(0xb800DA78, 0xFFFF7FFF, 0x00008000); //[K EQ] DCVS_OFFCAL_EN = 1
rtd_maskl(0xb800DA58, 0xFFFF7FFF, 0x00008000); //[K EQ] DCVS_OFFCAL_EN = 1
rtd_maskl(0xb800DB38, 0xFFFF7FFF, 0x00008000); //[K EQ] DCVS_OFFCAL_EN = 1
rtd_maskl(0xb800DB98, 0xFFFF7FFF, 0x00008000); //[K EQ] DCVS_OFFCAL_EN = 1
rtd_maskl(0xb800DB78, 0xFFFF7FFF, 0x00008000); //[K EQ] DCVS_OFFCAL_EN = 1
rtd_maskl(0xb800DB58, 0xFFFF7FFF, 0x00008000); //[K EQ] DCVS_OFFCAL_EN = 1

rtd_maskl(0xb800DA30, 0xFFFFFF1F, 0x00000020); //[K EQ] OFFCAL_SEL: Select DCVS for offset calibration, 001: Data_Odd
rtd_maskl(0xb800DA90, 0xFFFFFF1F, 0x00000020); //[K EQ] OFFCAL_SEL: Select DCVS for offset calibration, 001: Data_Odd
rtd_maskl(0xb800DA70, 0xFFFFFF1F, 0x00000020); //[K EQ] OFFCAL_SEL: Select DCVS for offset calibration, 001: Data_Odd
rtd_maskl(0xb800DA50, 0xFFFFFF1F, 0x00000020); //[K EQ] OFFCAL_SEL: Select DCVS for offset calibration, 001: Data_Odd
rtd_maskl(0xb800DB30, 0xFFFFFF1F, 0x00000020); //[K EQ] OFFCAL_SEL: Select DCVS for offset calibration, 001: Data_Odd
rtd_maskl(0xb800DB90, 0xFFFFFF1F, 0x00000020); //[K EQ] OFFCAL_SEL: Select DCVS for offset calibration, 001: Data_Odd
rtd_maskl(0xb800DB70, 0xFFFFFF1F, 0x00000020); //[K EQ] OFFCAL_SEL: Select DCVS for offset calibration, 001: Data_Odd
rtd_maskl(0xb800DB50, 0xFFFFFF1F, 0x00000020); //[K EQ] OFFCAL_SEL: Select DCVS for offset calibration, 001: Data_Odd

//===K DCVS DATA_ODD===
rtd_maskl(0xb800DA30, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA90, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA70, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA50, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB30, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB90, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB70, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB50, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 1

//Check KOFFSET result
rtd_part_inl(0xB800DA28, 30, 30); //FORE _KOFF_OK? (R)
rtd_part_inl(0xB800DA28, 22, 22); //FORE _KOFF_OK? (G)
rtd_part_inl(0xB800DA28, 6, 6);	  //FORE _KOFF_OK? (B)
rtd_part_inl(0xB800DA28, 14, 14); //FORE _KOFF_OK? (CK)
rtd_part_inl(0xB800DB28, 30, 30); //FORE _KOFF_OK? (R)
rtd_part_inl(0xB800DB28, 22, 22); //FORE _KOFF_OK? (G)
rtd_part_inl(0xB800DB28, 6, 6);	  //FORE _KOFF_OK? (B)
rtd_part_inl(0xB800DB28, 14, 14); //FORE _KOFF_OK? (CK)

rtd_part_inl(0xB800DA28, 29, 29); //Auto K = 31 or 0? (R)
rtd_part_inl(0xB800DA28, 21, 21); //Auto K = 31 or 0? (G)
rtd_part_inl(0xB800DA28, 5, 5);	  //Auto K = 31 or 0? (B)
rtd_part_inl(0xB800DA28, 13, 13); //Auto K = 31 or 0? (CK)
rtd_part_inl(0xB800DB28, 29, 29); //Auto K = 31 or 0? (R)
rtd_part_inl(0xB800DB28, 21, 21); //Auto K = 31 or 0? (G)
rtd_part_inl(0xB800DB28, 5, 5);	  //Auto K = 31 or 0? (B)
rtd_part_inl(0xB800DB28, 13, 13); //Auto K = 31 or 0? (CK)

rtd_part_inl(0xB800DA28, 28, 24); //FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB800DA28, 20, 16); //FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB800DA28, 4, 0);	  //FORE_KOFF AUTOK result (B)
rtd_part_inl(0xB800DA28, 12, 8);  //FORE_KOFF AUTOK result (CK)
rtd_part_inl(0xB800DB28, 28, 24); //FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB800DB28, 20, 16); //FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB800DB28, 4, 0);	  //FORE_KOFF AUTOK result (B)
rtd_part_inl(0xB800DB28, 12, 8);  //FORE_KOFF AUTOK result (CK)

rtd_maskl(0xb800DA30, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA90, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA70, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA50, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB30, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB90, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB70, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB50, 0xFEFFFFFF, 0x00000000); //[K DCVS DATA_ODD] POW_FORE_KOFF = 0

rtd_maskl(0xb800DA30, 0xFFFFFF1F, 0x00000040); //[K DCVS DATA_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 010: Edge_Even
rtd_maskl(0xb800DA90, 0xFFFFFF1F, 0x00000040); //[K DCVS DATA_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 010: Edge_Even
rtd_maskl(0xb800DA70, 0xFFFFFF1F, 0x00000040); //[K DCVS DATA_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 010: Edge_Even
rtd_maskl(0xb800DA50, 0xFFFFFF1F, 0x00000040); //[K DCVS DATA_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 010: Edge_Even
rtd_maskl(0xb800DB30, 0xFFFFFF1F, 0x00000040); //[K DCVS DATA_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 010: Edge_Even
rtd_maskl(0xb800DB90, 0xFFFFFF1F, 0x00000040); //[K DCVS DATA_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 010: Edge_Even
rtd_maskl(0xb800DB70, 0xFFFFFF1F, 0x00000040); //[K DCVS DATA_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 010: Edge_Even
rtd_maskl(0xb800DB50, 0xFFFFFF1F, 0x00000040); //[K DCVS DATA_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 010: Edge_Even

//===K DCVS EDGE_EVEN===
rtd_maskl(0xb800DA30, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA90, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA70, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA50, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB30, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB90, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB70, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB50, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 1

//Check KOFFSET result
rtd_part_inl(0xB800DA28, 30, 30); //FORE _KOFF_OK? (R)
rtd_part_inl(0xB800DA28, 22, 22); //FORE _KOFF_OK? (G)
rtd_part_inl(0xB800DA28, 6, 6);	  //FORE _KOFF_OK? (B)
rtd_part_inl(0xB800DA28, 14, 14); //FORE _KOFF_OK? (CK)
rtd_part_inl(0xB800DB28, 30, 30); //FORE _KOFF_OK? (R)
rtd_part_inl(0xB800DB28, 22, 22); //FORE _KOFF_OK? (G)
rtd_part_inl(0xB800DB28, 6, 6);	  //FORE _KOFF_OK? (B)
rtd_part_inl(0xB800DB28, 14, 14); //FORE _KOFF_OK? (CK)

rtd_part_inl(0xB800DA28, 29, 29); //Auto K = 31 or 0? (R)
rtd_part_inl(0xB800DA28, 21, 21); //Auto K = 31 or 0? (G)
rtd_part_inl(0xB800DA28, 5, 5);	  //Auto K = 31 or 0? (B)
rtd_part_inl(0xB800DA28, 13, 13); //Auto K = 31 or 0? (CK)
rtd_part_inl(0xB800DB28, 29, 29); //Auto K = 31 or 0? (R)
rtd_part_inl(0xB800DB28, 21, 21); //Auto K = 31 or 0? (G)
rtd_part_inl(0xB800DB28, 5, 5);	  //Auto K = 31 or 0? (B)
rtd_part_inl(0xB800DB28, 13, 13); //Auto K = 31 or 0? (CK)

rtd_part_inl(0xB800DA28, 28, 24); //FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB800DA28, 20, 16); //FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB800DA28, 4, 0);	  //FORE_KOFF AUTOK result (B)
rtd_part_inl(0xB800DA28, 12, 8);  //FORE_KOFF AUTOK result (CK)
rtd_part_inl(0xB800DB28, 28, 24); //FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB800DB28, 20, 16); //FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB800DB28, 4, 0);	  //FORE_KOFF AUTOK result (B)
rtd_part_inl(0xB800DB28, 12, 8);  //FORE_KOFF AUTOK result (CK)
                                                  
rtd_maskl(0xb800DA30, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA90, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA70, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA50, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB30, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB90, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB70, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB50, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_EVEN] POW_FORE_KOFF = 0

rtd_maskl(0xb800DA30, 0xFFFFFF1F, 0x00000060); //[K DCVS EDGE_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 011: Edge_Odd
rtd_maskl(0xb800DA90, 0xFFFFFF1F, 0x00000060); //[K DCVS EDGE_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 011: Edge_Odd
rtd_maskl(0xb800DA70, 0xFFFFFF1F, 0x00000060); //[K DCVS EDGE_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 011: Edge_Odd
rtd_maskl(0xb800DA50, 0xFFFFFF1F, 0x00000060); //[K DCVS EDGE_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 011: Edge_Odd
rtd_maskl(0xb800DB30, 0xFFFFFF1F, 0x00000060); //[K DCVS EDGE_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 011: Edge_Odd
rtd_maskl(0xb800DB90, 0xFFFFFF1F, 0x00000060); //[K DCVS EDGE_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 011: Edge_Odd
rtd_maskl(0xb800DB70, 0xFFFFFF1F, 0x00000060); //[K DCVS EDGE_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 011: Edge_Odd
rtd_maskl(0xb800DB50, 0xFFFFFF1F, 0x00000060); //[K DCVS EDGE_EVEN] OFFCAL_SEL: Select DCVS for offset calibration, 011: Edge_Odd

//===K DCVS EDGE_ODD===
rtd_maskl(0xb800DA30, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA90, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA70, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA50, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB30, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB90, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB70, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB50, 0xFEFFFFFF, 0x01000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 1

//Check KOFFSET result
rtd_part_inl(0xB800DA28, 30, 30); //FORE _KOFF_OK? (R)
rtd_part_inl(0xB800DA28, 22, 22); //FORE _KOFF_OK? (G)
rtd_part_inl(0xB800DA28, 6, 6);	  //FORE _KOFF_OK? (B)
rtd_part_inl(0xB800DA28, 14, 14); //FORE _KOFF_OK? (CK)
rtd_part_inl(0xB800DB28, 30, 30); //FORE _KOFF_OK? (R)
rtd_part_inl(0xB800DB28, 22, 22); //FORE _KOFF_OK? (G)
rtd_part_inl(0xB800DB28, 6, 6);	  //FORE _KOFF_OK? (B)
rtd_part_inl(0xB800DB28, 14, 14); //FORE _KOFF_OK? (CK)

rtd_part_inl(0xB800DA28, 29, 29); //Auto K = 31 or 0? (R)
rtd_part_inl(0xB800DA28, 21, 21); //Auto K = 31 or 0? (G)
rtd_part_inl(0xB800DA28, 5, 5);	  //Auto K = 31 or 0? (B)
rtd_part_inl(0xB800DA28, 13, 13); //Auto K = 31 or 0? (CK)
rtd_part_inl(0xB800DB28, 29, 29); //Auto K = 31 or 0? (R)
rtd_part_inl(0xB800DB28, 21, 21); //Auto K = 31 or 0? (G)
rtd_part_inl(0xB800DB28, 5, 5);	  //Auto K = 31 or 0? (B)
rtd_part_inl(0xB800DB28, 13, 13); //Auto K = 31 or 0? (CK)

rtd_part_inl(0xB800DA28, 28, 24); //FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB800DA28, 20, 16); //FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB800DA28, 4, 0);	  //FORE_KOFF AUTOK result (B)
rtd_part_inl(0xB800DA28, 12, 8);  //FORE_KOFF AUTOK result (CK)
rtd_part_inl(0xB800DB28, 28, 24); //FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB800DB28, 20, 16); //FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB800DB28, 4, 0);	  //FORE_KOFF AUTOK result (B)
rtd_part_inl(0xB800DB28, 12, 8);  //FORE_KOFF AUTOK result (CK)

rtd_maskl(0xb800DA30, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA90, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA70, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 0
rtd_maskl(0xb800DA50, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB30, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB90, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB70, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 0
rtd_maskl(0xb800DB50, 0xFEFFFFFF, 0x00000000); //[K DCVS EDGE_ODD] POW_FORE_KOFF = 0

rtd_maskl(0xb800DA30, 0xFFFFFF1F, 0x00000000); //[K DCVS EDGE_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even
rtd_maskl(0xb800DA90, 0xFFFFFF1F, 0x00000000); //[K DCVS EDGE_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even
rtd_maskl(0xb800DA70, 0xFFFFFF1F, 0x00000000); //[K DCVS EDGE_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even
rtd_maskl(0xb800DA50, 0xFFFFFF1F, 0x00000000); //[K DCVS EDGE_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even
rtd_maskl(0xb800DB30, 0xFFFFFF1F, 0x00000000); //[K DCVS EDGE_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even
rtd_maskl(0xb800DB90, 0xFFFFFF1F, 0x00000000); //[K DCVS EDGE_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even
rtd_maskl(0xb800DB70, 0xFFFFFF1F, 0x00000000); //[K DCVS EDGE_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even
rtd_maskl(0xb800DB50, 0xFFFFFF1F, 0x00000000); //[K DCVS EDGE_ODD] OFFCAL_SEL: Select DCVS for offset calibration, 000: Data_Even

//===K DCVS DATA_EVEN===
rtd_maskl(0xb800DA30, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA90, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA70, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DA50, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB30, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB90, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB70, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1
rtd_maskl(0xb800DB50, 0xFEFFFFFF, 0x01000000); //[K DCVS DATA_EVEN] POW_FORE_KOFF = 1

//Check KOFFSET result
rtd_part_inl(0xB800DA28, 30, 30); //FORE _KOFF_OK? (R)
rtd_part_inl(0xB800DA28, 22, 22); //FORE _KOFF_OK? (G)
rtd_part_inl(0xB800DA28, 6, 6);	  //FORE _KOFF_OK? (B)
rtd_part_inl(0xB800DA28, 14, 14); //FORE _KOFF_OK? (CK)
rtd_part_inl(0xB800DB28, 30, 30); //FORE _KOFF_OK? (R)
rtd_part_inl(0xB800DB28, 22, 22); //FORE _KOFF_OK? (G)
rtd_part_inl(0xB800DB28, 6, 6);	  //FORE _KOFF_OK? (B)
rtd_part_inl(0xB800DB28, 14, 14); //FORE _KOFF_OK? (CK)

rtd_part_inl(0xB800DA28, 29, 29); //Auto K = 31 or 0? (R)
rtd_part_inl(0xB800DA28, 21, 21); //Auto K = 31 or 0? (G)
rtd_part_inl(0xB800DA28, 5, 5);	  //Auto K = 31 or 0? (B)
rtd_part_inl(0xB800DA28, 13, 13); //Auto K = 31 or 0? (CK)
rtd_part_inl(0xB800DB28, 29, 29); //Auto K = 31 or 0? (R)
rtd_part_inl(0xB800DB28, 21, 21); //Auto K = 31 or 0? (G)
rtd_part_inl(0xB800DB28, 5, 5);	  //Auto K = 31 or 0? (B)
rtd_part_inl(0xB800DB28, 13, 13); //Auto K = 31 or 0? (CK)

rtd_part_inl(0xB800DA28, 28, 24); //FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB800DA28, 20, 16); //FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB800DA28, 4, 0);	  //FORE_KOFF AUTOK result (B)
rtd_part_inl(0xB800DA28, 12, 8);  //FORE_KOFF AUTOK result (CK)
rtd_part_inl(0xB800DB28, 28, 24); //FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB800DB28, 20, 16); //FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB800DB28, 4, 0);	  //FORE_KOFF AUTOK result (B)
rtd_part_inl(0xB800DB28, 12, 8);  //FORE_KOFF AUTOK result (CK)

//===input on===
rtd_maskl(0xb800DA30, 0xFFFFFFFE, 0x00000000); //input off = on
rtd_maskl(0xb800DA90, 0xFFFFFFFE, 0x00000000); //input off = on
rtd_maskl(0xb800DA70, 0xFFFFFFFE, 0x00000000); //input off = on
rtd_maskl(0xb800DA50, 0xFFFFFFFE, 0x00000000); //input off = on
rtd_maskl(0xb800DB30, 0xFFFFFFFE, 0x00000000); //input off = on
rtd_maskl(0xb800DB90, 0xFFFFFFFE, 0x00000000); //input off = on
rtd_maskl(0xb800DB70, 0xFFFFFFFE, 0x00000000); //input off = on
rtd_maskl(0xb800DB50, 0xFFFFFFFE, 0x00000000); //input off = on
//[KOFFSET]=================================KOFFSET Setting End==============================================

//[DFE]=====================================Tap0~Tap4 = 1 setting===========================================


//DFE-0
rtd_part_outl(0xb800DE04, 3,0,0x3); //P0_lane0, vth_int = 0x3
rtd_part_outl(0xb800DE10, 3,0,0x3); //P0_lane1, vth_int = 0x3
rtd_part_outl(0xb800DE1C, 3,0,0x3); //P0_lane2, vth_int = 0x3
rtd_part_outl(0xb800DE28, 3,0,0x3); //P0_lane3, vth_int = 0x3



//DFE-1
rtd_part_outl(0xb800DE54, 3,0,0x3); //P1_lane0, vth_int = 0x3
rtd_part_outl(0xb800DE60, 3,0,0x3); //P1_lane1, vth_int = 0x3
rtd_part_outl(0xb800DE6C, 3,0,0x3); //P1_lane2, vth_int = 0x3
rtd_part_outl(0xb800DE78, 3,0,0x3); //P1_lane3, vth_int = 0x3


//DFE-0 vth reload
rtd_part_outl(0xb800DE08, 30,30,0x1); //P0_lane0
rtd_part_outl(0xb800DE14, 30,30,0x1); //P0_lane1
rtd_part_outl(0xb800DE20, 30,30,0x1); //P0_lane2
rtd_part_outl(0xb800DE2C, 30,30,0x1); //P0_lane3

rtd_part_outl(0xb800DE08, 30,30,0x0); //P0_lane0
rtd_part_outl(0xb800DE14, 30,30,0x0); //P0_lane1
rtd_part_outl(0xb800DE20, 30,30,0x0); //P0_lane2
rtd_part_outl(0xb800DE2C, 30,30,0x0); //P0_lane3


//DFE-1 vth reload
rtd_part_outl(0xb800DE58, 30,30,0x1); //P0_lane0
rtd_part_outl(0xb800DE64, 30,30,0x1); //P0_lane1
rtd_part_outl(0xb800DE70, 30,30,0x1); //P0_lane2
rtd_part_outl(0xb800DE7C, 30,30,0x1); //P0_lane3

rtd_part_outl(0xb800DE58, 30,30,0x0); //P0_lane0
rtd_part_outl(0xb800DE64, 30,30,0x0); //P0_lane1
rtd_part_outl(0xb800DE70, 30,30,0x0); //P0_lane2
rtd_part_outl(0xb800DE7C, 30,30,0x0); //P0_lane3


rtd_maskl(0xb800DE00, 0xFF00FFFF, 0x001F0000); //[DFE-0]dfe_adapt_en_lane0_p0:Tap4[20]~Tap0[16] = 1
rtd_maskl(0xb800DE0C, 0xFF00FFFF, 0x001F0000); //[DFE-0]dfe_adapt_en_lane1_p0:Tap4[20]~Tap0[16] = 1
rtd_maskl(0xb800DE18, 0xFF00FFFF, 0x001F0000); //[DFE-0]dfe_adapt_en_lane2_p0:Tap4[20]~Tap0[16] = 1
rtd_maskl(0xb800DE24, 0xFF00FFFF, 0x001F0000); //[DFE-0]dfe_adapt_en_lane3_p0:Tap4[20]~Tap0[16] = 1
rtd_maskl(0xb800DE50, 0xFF00FFFF, 0x001F0000); //[DFE-1]dfe_adapt_en_lane0_p1:Tap4[20]~Tap0[16] = 1
rtd_maskl(0xb800DE5C, 0xFF00FFFF, 0x001F0000); //[DFE-1]dfe_adapt_en_lane1_p1:Tap4[20]~Tap0[16] = 1
rtd_maskl(0xb800DE68, 0xFF00FFFF, 0x001F0000); //[DFE-1]dfe_adapt_en_lane2_p1:Tap4[20]~Tap0[16] = 1
rtd_maskl(0xb800DE74, 0xFF00FFFF, 0x001F0000); //[DFE-1]dfe_adapt_en_lane3_p1:Tap4[20]~Tap0[16] = 1

//$display("#=================================================================================================== phaseIII, ACDR mode");
//p*_*_acdr_fine_tune_start[0] = 1
rtd_part_outl(0xb800DC38, 0, 0, 0x1);
rtd_part_outl(0xb800DC54, 0, 0, 0x1);
rtd_part_outl(0xb800DC70, 0, 0, 0x1);
rtd_part_outl(0xb800DC8C, 0, 0, 0x1);
rtd_part_outl(0xb800DD38, 0, 0, 0x1);
rtd_part_outl(0xb800DD54, 0, 0, 0x1);
rtd_part_outl(0xb800DD70, 0, 0, 0x1);
rtd_part_outl(0xb800DD8C, 0, 0, 0x1);

mdelay(1); // delay

//[DFE]=====================================Tap0~Tap4 = 0 setting===========================================
rtd_maskl(0xb800DE00, 0xFF00FFFF, 0x00000000); //[DFE-0]dfe_adapt_en_lane0_p0:Tap4[20]~Tap0[16] = 0
rtd_maskl(0xb800DE0C, 0xFF00FFFF, 0x00000000); //[DFE-0]dfe_adapt_en_lane1_p0:Tap4[20]~Tap0[16] = 0
rtd_maskl(0xb800DE18, 0xFF00FFFF, 0x00000000); //[DFE-0]dfe_adapt_en_lane2_p0:Tap4[20]~Tap0[16] = 0
rtd_maskl(0xb800DE24, 0xFF00FFFF, 0x00000000); //[DFE-0]dfe_adapt_en_lane3_p0:Tap4[20]~Tap0[16] = 0
rtd_maskl(0xb800DE50, 0xFF00FFFF, 0x00000000); //[DFE-1]dfe_adapt_en_lane0_p1:Tap4[20]~Tap0[16] = 0
rtd_maskl(0xb800DE5C, 0xFF00FFFF, 0x00000000); //[DFE-1]dfe_adapt_en_lane1_p1:Tap4[20]~Tap0[16] = 0
rtd_maskl(0xb800DE68, 0xFF00FFFF, 0x00000000); //[DFE-1]dfe_adapt_en_lane2_p1:Tap4[20]~Tap0[16] = 0
rtd_maskl(0xb800DE74, 0xFF00FFFF, 0x00000000); //[DFE-1]dfe_adapt_en_lane3_p1:Tap4[20]~Tap0[16] = 0

//$display("#=================================================================================================== phaseIII, ACDR mode END");


//======Mac script start========
//#include "hdmi2p1_mac_int_phy_p0.tbl"

// ----------------------------------------- Port0 MAC select --------------------------------------------------
rtd_outl(0xb800D50C,0x00000000);	// Select Port0 MAC to VGIP 

// ----------------------------------------- EX PHY FIFO -------------------------------------------------
rtd_outl(0xb80B4000,0x02A54A95);	// R/G/B ch async fifo enable
rtd_outl(0xb80B4014,0x00000050);	// Port0_c_afifo_en & Port1_c_afifo_en = 1
rtd_outl(0xb80B4004,0x0000003F);	// R/G/B PHY input clk invert
rtd_outl(0xb80B4018,0x0000000C);	// Port0_cclk_inv & Port1_cclk_inv = 1

// ----------------------------------------- R/G/B PHY FIFO  --------------------------------------------------
rtd_outl(0xb800D198,0x02A54A95);	// R/G/B ch async fifo enable
rtd_outl(0xb800D19C,0x00000FC0);	// R/G/B PHY input clk invert

// ----------------------------------------- CK PHY FIFO -------------------------------------------------
rtd_outl(0xb80B7004,0x00000055);	// CK ch async fifo enable

//HD21_PHY_FIFO_CR1
rtd_part_outl(0xb80b7008, 3, 2, 0x0);	// Port0_ckclk_inv & Port1_ckclk_inv = 0
rtd_part_outl(0xb80b7008, 1, 0, 0x3);	// Port2_ckclk_inv & Port3_ckclk_inv = 1


// =========================== Port0 Mac setting =================================

//em packet sram hd21
//rtd_outl(0xb800d0fc,0x81000000);
//rtd_outl(0x80630a0,0x000000e4);  //ddc sel

rtd_outl(0xb80b7000,0x00000003);  // lane mode = 4 & hd21_en = 1

rtd_outl(0xb800d1a8,0x00002816);  //CTS fifo hd21 data out (hdmi2.0 spec)  pixel clock from pll, transmit by toggle

// channel async fifo enable
rtd_part_outl(0xb80b702C,0,0,0x1); //r ch_afifo_en = 1
rtd_part_outl(0xb80b7030,0,0,0x1); //g ch_afifo_en = 1
rtd_part_outl(0xb80b7034,0,0,0x1); //b ch_afifo_en = 1
rtd_part_outl(0xb80b7038,0,0,0x1); //ck ch_afifo_en = 1



//Data Align  
rtd_inl(0xb80b7014);  //bit[0] = 1 ck lane lock
rtd_inl(0xb80b7018);  //bit[0] = 1 r lane lock
rtd_inl(0xb80b701c);  //bit[0] = 1 g lane lock
rtd_inl(0xb80b7020); //bit[0] = 1 b lane lock

rtd_part_outl(0xb80b7014,21,21,0x1);  //hdmi standard mode
rtd_part_outl(0xb80b7018,21,21,0x1);  //hdmi standard mode
rtd_part_outl(0xb80b701c,21,21,0x1);  //hdmi standard mode
rtd_part_outl(0xb80b7020,21,21,0x1);  //hdmi standard mode

rtd_part_outl(0xb80b7014,8,8,0x1);  //enable com seq lock
rtd_part_outl(0xb80b7018,8,8,0x1); //enable com seq lock
rtd_part_outl(0xb80b701c,8,8,0x1);  //enable com seq lock
rtd_part_outl(0xb80b7020,8,8,0x1);  //enable com seq lock

rtd_inl(0xb80b7014);  //check sr bit[7] = 1  unex_comma[12] = 0  position_error_falg[11] = 0  position_error_cnt[6:1] = 0
rtd_inl(0xb80b7018);  //check sr bit[7] = 1  unex_comma[12] = 0  position_error_falg[11] = 0  position_error_cnt[6:1] = 0
rtd_inl(0xb80b701c);  //check sr bit[7] = 1  unex_comma[12] = 0  position_error_falg[11] = 0  position_error_cnt[6:1] = 0
rtd_inl(0xb80b7020);  //check sr bit[7] = 1  unex_comma[12] = 0  position_error_falg[11] = 0  position_error_cnt[6:1] = 0

// lock b disparity error / symbol error  ~Nq
//symbol error S enable bit , path qFN}lҥHn clear
//error detect ]ݭn lock bݤ~Nq

// Error Detect
rtd_part_outl(0xb80b703c,25,24,0x3); //enable r disparity error & symbol error
rtd_part_outl(0xb80b7040,25,24,0x3); //enable g disparity error & symbol error
rtd_part_outl(0xb80b7044,25,24,0x3); //enable b disparity error & symbol error
rtd_part_outl(0xb80b7048,25,24,0x3); //enable ck disparity error & symbol error



rtd_part_outl(0xb80b705c,15,0,0xFFFF); //clear r disparity error
rtd_part_outl(0xb80b7060,15,0,0xFFFF); //clear g disparity error
rtd_part_outl(0xb80b7064,15,0,0xFFFF); //clear b disparity error
rtd_part_outl(0xb80b7068,15,0,0xFFFF); //clear ck disparity error

rtd_outl(0xb80b706c,0xFFFFFFFF);   //clear r symbol err
rtd_outl(0xb80b7070,0xFFFFFFFF);  //clear g symbol err
rtd_outl(0xb80b7074,0xFFFFFFFF);  //clear b symbol err
rtd_outl(0xb80b7078,0xFFFFFFFF);  //clear c symbol err

mdelay(0x7D0);//wait 2s

rtd_part_inl(0xb80b705c,15,0);  //r disparity error cnt
rtd_part_inl(0xb80b7060,15,0);  //g disparity error cnt
rtd_part_inl(0xb80b7064,15,0);  //b disparity error cnt
rtd_part_inl(0xb80b7068,15,0);  //ck disparity error cnt



rtd_part_inl(0xb80b706c,15,0);  //r symbol error cnt
rtd_part_inl(0xb80b7070,15,0);  //g symbol error cnt
rtd_part_inl(0xb80b7074,15,0);  //b symbol error cnt
rtd_part_inl(0xb80b7078,15,0);  //ck symbol error cnt


//Error DET
rtd_part_outl(0xb80b70f0,1,0,0x3);

rtd_part_inl(0xb80b70f4,14,0); //  channel 0 character error
rtd_part_inl(0xb80b70f4,30,16); // channel 1 character error
rtd_part_inl(0xb80b70f8,14,0); //  channel 2 character error
rtd_part_inl(0xb80b70f8,30,16); // channel 3 character error

rtd_part_inl(0xb80b70fc,30,16); // rs error



//======Mac script start========
//#include "hdmi2p1_mac_int_phy_p1.tbl"

// ----------------------------------------- Port1 MAC select --------------------------------------------------
rtd_outl(0xb800D50C,0x00000004);	// Select Port1 MAC to VGIP 

// ----------------------------------------- EX PHY FIFO -------------------------------------------------
rtd_outl(0xb80B4000,0x02A54A95);	// R/G/B ch async fifo enable
rtd_outl(0xb80B4014,0x00000050);	// Port0_c_afifo_en & Port1_c_afifo_en = 1
rtd_outl(0xb80B4004,0x0000003F);	// R/G/B PHY input clk invert
rtd_outl(0xb80B4018,0x0000000C);	// Port0_cclk_inv & Port1_cclk_inv = 1

// ----------------------------------------- R/G/B PHY FIFO  --------------------------------------------------
rtd_outl(0xb803B198,0x02A54A95);	// R/G/B ch async fifo enable
rtd_outl(0xb803B19C,0x00000FC0);	// R/G/B PHY input clk invert

// ----------------------------------------- CK PHY FIFO -------------------------------------------------
rtd_outl(0xb80b9004,0x00000055);	// CK ch async fifo enable

//HD21_PHY_FIFO_CR1
rtd_part_outl(0xb80b9008, 3, 2, 0x0);	// Port0_ckclk_inv & Port1_ckclk_inv = 0
rtd_part_outl(0xb80b9008, 1, 0, 0x3);	// Port2_ckclk_inv & Port3_ckclk_inv = 1


// =========================== Port0 Mac setting =================================

//em packet sram hd21
//rtd_outl(0xb800d0fc,0x81000000);
//rtd_outl(0x80630a0,0x000000e4);  //ddc sel

rtd_outl(0xb80b9000,0x00000003);  // lane mode = 4 & hd21_en = 1

rtd_outl(0xb803b1a8,0x00002816);  //CTS fifo hd21 data out (hdmi2.0 spec)  pixel clock from pll, transmit by toggle

// channel async fifo enable
rtd_part_outl(0xb80b902C,0,0,0x1); //r ch_afifo_en = 1
rtd_part_outl(0xb80b9030,0,0,0x1); //g ch_afifo_en = 1
rtd_part_outl(0xb80b9034,0,0,0x1); //b ch_afifo_en = 1
rtd_part_outl(0xb80b9038,0,0,0x1); //ck ch_afifo_en = 1


//Data Align  
rtd_inl(0xb80b9014);  //bit[0] = 1 ck lane lock
rtd_inl(0xb80b9018);  //bit[0] = 1 r lane lock
rtd_inl(0xb80b901c);  //bit[0] = 1 g lane lock
rtd_inl(0xb80b9020);  //bit[0] = 1 b lane lock

rtd_part_outl(0xb80b9014,8,8,0x1);  //enable com seq lock
rtd_part_outl(0xb80b9018,8,8,0x1);  //enable com seq lock
rtd_part_outl(0xb80b901c,8,8,0x1);  //enable com seq lock
rtd_part_outl(0xb80b9020,8,8,0x1);  //enable com seq lock

rtd_part_outl(0xb80b9014,21,21,0x1);  //hdmi standard mode
rtd_part_outl(0xb80b9018,21,21,0x1); //hdmi standard mode
rtd_part_outl(0xb80b901c,21,21,0x1);  //hdmi standard mode
rtd_part_outl(0xb80b9020,21,21,0x1);  //hdmi standard mode

rtd_inl(0xb80b9014);  //check sr bit[7] = 1  unex_comma[12] = 0  position_error_falg[11] = 0  position_error_cnt[6:1] = 0
rtd_inl(0xb80b9018);  //check sr bit[7] = 1  unex_comma[12] = 0  position_error_falg[11] = 0  position_error_cnt[6:1] = 0
rtd_inl(0xb80b901c);  //check sr bit[7] = 1  unex_comma[12] = 0  position_error_falg[11] = 0  position_error_cnt[6:1] = 0
rtd_inl(0xb80b9020);  //check sr bit[7] = 1  unex_comma[12] = 0  position_error_falg[11] = 0  position_error_cnt[6:1] = 0

// lock b disparity error / symbol error  ~Nq
//symbol error S enable bit , path qFN}lҥHn clear
//error detect ]ݭn lock bݤ~Nq

// Error Detect
rtd_part_outl(0xb80b903c,25,24,0x3); //enable r disparity error & symbol error
rtd_part_outl(0xb80b9040,25,24,0x3); //enable g disparity error & symbol error
rtd_part_outl(0xb80b9044,25,24,0x3); //enable b disparity error & symbol error
rtd_part_outl(0xb80b9048,25,24,0x3); //enable ck disparity error & symbol error


rtd_part_outl(0xb80b905c,15,0,0xFFFF); //clear r disparity error
rtd_part_outl(0xb80b9060,15,0,0xFFFF); //clear g disparity error
rtd_part_outl(0xb80b9064,15,0,0xFFFF); //clear b disparity error
rtd_part_outl(0xb80b9068,15,0,0xFFFF); //clear ck disparity error

rtd_outl(0xb80b906c,0xFFFFFFFF);   //clear r symbol err
rtd_outl(0xb80b9070,0xFFFFFFFF);  //clear g symbol err
rtd_outl(0xb80b9074,0xFFFFFFFF);  //clear b symbol err
rtd_outl(0xb80b9078,0xFFFFFFFF);  //clear c symbol err

mdelay(0x7D0);//wait 2s

rtd_part_inl(0xb80b905c,15,0);  //r disparity error cnt
rtd_part_inl(0xb80b9060,15,0);  //g disparity error cnt
rtd_part_inl(0xb80b9064,15,0);  //b disparity error cnt
rtd_part_inl(0xb80b9068,15,0);  //ck disparity error cnt



rtd_part_inl(0xb80b906c,15,0);  //r symbol error cnt
rtd_part_inl(0xb80b9070,15,0);  //g symbol error cnt
rtd_part_inl(0xb80b9074,15,0);  //b symbol error cnt
rtd_part_inl(0xb80b9078,15,0);  //ck symbol error cnt


//Error DET
rtd_part_outl(0xb80b90f0,1,0,0x3);

rtd_part_inl(0xb80b90f4,14,0); //  channel 0 character error
rtd_part_inl(0xb80b90f4,30,16); // channel 1 character error
rtd_part_inl(0xb80b90f8,14,0); //  channel 2 character error
rtd_part_inl(0xb80b90f8,30,16); // channel 3 character error

rtd_part_inl(0xb80b90fc,30,16); // rs error

////////////////////////////////////////////////////////////////////////////////////////////////////

//port2 6G OLT
//#include "merlin5_crt_all_turn_on_HDMI.tbl"

// ==================== HPD control ====================================
rtd_outl(0xb80602F0, 0x0000000B);	// HPD pull high[3],HPD_1k_Sel[2:0],5V_DET_Flag[31]
rtd_outl(0xb80602F4, 0x0000000B);	// HPD pull high[3],HPD_1k_Sel[2:0],5V_DET_Flag[31]
rtd_outl(0xb80602F8, 0x0000000B);	// HPD pull high[3],HPD_1k_Sel[2:0],5V_DET_Flag[31]

// ==================== Port2 5.94G ====================================

// ----------------------------- CK_TX and Z0 ------------------------------
rtd_outl(0xb803CA18, 0x00012A0F);	// Z0_Fix_Sel,CK_TX output enable(P0~P3)
rtd_outl(0xb803CA20, 0x00f0ffff);	// Z300 enable,P/N Short For FT,R/G/B/CK Z0 resister on
rtd_outl(0xb803CA24, 0x00032310);	// Z0 manual = 0xC (P0~P2) 

// ----------------------------------- Port2,CK-lane ------------------------------------------------------------
rtd_outl(0xb803CA50, 0x0000770e);	// CMU_CKAFE_ENHANCE_BIAS[11:10] = 01,PLL N code=/1,Post M=/1,hysteresis amp enhance mode
rtd_outl(0xb803CA54, 0xF23B03BF);	// ENC(CCO_BAND)=0xf,EN_Cap=0x0,KVCO=0x0,Cp=0x3,RS=0x7,CS=0x3,Icp=0xb,Icp double=0x1
rtd_outl(0xb803CA58, 0x00000023);	// PLL WD set

// ----------------------------------- Port2,B-lane -------------------------------------------------------------
rtd_outl(0xb803CA40, 0x00B00A00);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10
rtd_outl(0xb803CA44, 0x22DAB97D);	// demux rate=4:1, PI_DIV=/1,LE_ISEL=0x6,PI_ISEL=0x2,LEQ/Tap0/RS/RL=HBR,PI_POW,EQ_POW
rtd_outl(0xb803CA48, 0x0000a498);	// PI_CSEL=0x0,DFE_Adapt_enable,Tap2~Tap1_EN
// ----------------------------------- Port2,G-lane -------------------------------------------------------------
rtd_outl(0xb803CA60, 0x00B00A00);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10
rtd_outl(0xb803CA64, 0x22DAB97D);	// demux rate=4:1, PI_DIV=/1,LE_ISEL=0x6,PI_ISEL=0x2,LEQ/Tap0/RS/RL=HBR,PI_POW,EQ_POW
rtd_outl(0xb803CA68, 0x0000a498);	// PI_CSEL=0x0,DFE_Adapt_enable,Tap2~Tap1_EN
// ----------------------------------- Port2,R-lane -------------------------------------------------------------
rtd_outl(0xb803CA70, 0x00B00A00);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10
rtd_outl(0xb803CA74, 0x22DAB97D);	// demux rate=4:1, PI_DIV=/1,LE_ISEL=0x6,PI_ISEL=0x2,LEQ/Tap0/RS/RL=HBR,PI_POW,EQ_POW
rtd_outl(0xb803CA78, 0x0000a498);	// PI_CSEL=0x0,DFE_Adapt_enable,Tap2~Tap1_EN

// ---------------------------------------------- Port2 DPHY settin --------------------------------------------
rtd_outl(0xb803CBDC, 0xE4E84505);	// DPHY set
rtd_outl(0xb803CBE0, 0x8000006B);	//PLL M code=0x6B+4=111

// ------------------------------------------PLL & DEMUX & CDR release-----------------------------------------
rtd_outl(0xb803CA10, 0x01020408);	// PLL enable (Port0~3)
rtd_outl(0xb803CAD0, 0x00000fff);	// DEMUX reset release (Port0~3)
rtd_outl(0xb803CB8C, 0xFC000833); 	// R/G/B CDR reset release,KP=0x2,Ki=0x1,DCDR rate sel=1:4 0x000

// ----------------------------------------- Port2 MAC select --------------------------------------------------
rtd_outl(0xb800D50C,0x00000008);	// Select Port2 MAC to VGIP 

// ----------------------------------------- R/G/B PHY FIFO  --------------------------------------------------
rtd_outl(0xb800D198,0x02A54A95);	// R/G/B ch async fifo enable
rtd_outl(0xb800D19C,0x00000FC0);	// R/G/B PHY input clk invert

// ============================ Port2 DFE setting ==========================
rtd_outl(0xb803CD30,0xD125FF06);	// Tap0 sel no-transition,mode3, adaptive reset, Tap2 transition_only[28]=1

rtd_outl(0xb803CD20,0x6100C200);	// R Lane set, DFE clk edge[31]=0  	
rtd_outl(0xb803CD00,0x6100C200);  	// B Lane set	
rtd_outl(0xb803CD10,0x6100C200);	// G Lane set	
rtd_outl(0xb803CD24,0x00030705);	// R Lane set,Tap1[19:14]=12, Tap0[13:7]=14,  Vth=5     
rtd_outl(0xb803CD04,0x00030705);	// B Lane set	
rtd_outl(0xb803CD14,0x00030705);	// G Lane set	

rtd_outl(0xb803CD28,0xffa81e00);	// R Lane load init value , servo init set	
rtd_outl(0xb803CD28,0x00a81e00); 

rtd_outl(0xb803CD08,0xffa81e00);	// B Lane load init value , servo init set	
rtd_outl(0xb803CD08,0x00a81e00);	

rtd_outl(0xb803CD18,0xffa81e00);	// G Lane load init value , servo init set
rtd_outl(0xb803CD18,0x00a81e00);

//[JF]adapt_mode = 2
rtd_outl(0xb803CD30,0x9125FFF6);	// Tap0 sel no-transition,mode3, adaptive reset release, Tap2 transition_only[28]=1

rtd_outl(0xb803CD34,0x51b6e102);  	// Tap0 run length = 4
//rtd_outl(0xb803CD38,0x035a00d9);	// Tap1~3 max and min set, Tap2_max[19:15]=20,Tap2_min[14:10]=0
rtd_outl(0xb803CD38,0x035a50d9);        // Tap1~3 max and min set, Tap2_max[19:15]=20,Tap2_min[14:10]=20

rtd_outl(0xb803CD3C,0x364380A0);	// Vth_min=0,Vth_max=0x7,Vth_th=0,Tap0_th=0
rtd_outl(0xb803CD40,0xA0554800);	// divisor set, Tap0 max set 0x24

rtd_outl(0xb803CD20,0x6141C200);	//R Lane Vth,Tap0 adaptive enable, DFE clk edge[31]=0, LE_min 	
rtd_outl(0xb803CD00,0x6141C200);  	
rtd_outl(0xb803CD10,0x6141C200); 

mdelay(0x10);
//wait_ms(10);

rtd_outl(0xb803CD20,0x6100C200);	//R Lane all adaptive disable 	
rtd_outl(0xb803CD00,0x6100C200);
rtd_outl(0xb803CD10,0x6100C200);

rtd_outl(0xb803CD20,0x6186C200);	//R Lane LE,Tap1,Tap2 adaptive enable  	
rtd_outl(0xb803CD00,0x6186C200);  	
rtd_outl(0xb803CD10,0x6186C200);
//rtd_outl(0xb803CD20,0x61C7C200);	//R Lane Vth,Tap0,LE,Tap2 adaptive enable
//rtd_outl(0xb803CD00,0x61C7C200);  	
//rtd_outl(0xb803CD10,0x61C7C200);

mdelay(0x10);
//wait_ms(10);

rtd_outl(0xb803CD20,0x6100C200);	//R Lane all adaptive disable 	
rtd_outl(0xb803CD00,0x6100C200);
rtd_outl(0xb803CD10,0x6100C200);


//[JF-start]tap0_init=5 ; LE_init=12 ; tap1_init=20 ; tap2_init=0
rtd_outl(0xb803CD20,0x6100C300);	// R Lane set, DFE clk edge[31]=0, LE_init = 0xC   	
rtd_outl(0xb803CD00,0x6100C300);  	// B Lane set	                 , LE_init = 0xC 
rtd_outl(0xb803CD10,0x6100C300);	// G Lane set	                 , LE_init = 0xC 

rtd_outl(0xb803CD24,0x00050285);	// R Lane set,Tap1[19:14]=12, Tap0[13:7]=14,  Vth=5     
rtd_outl(0xb803CD04,0x00050285);	// B Lane set	
rtd_outl(0xb803CD14,0x00050285);	// G Lane set	

rtd_outl(0xb803CD28,0xffa81e00);	// R Lane load init value , servo init set	
rtd_outl(0xb803CD28,0x00a81e00); 

rtd_outl(0xb803CD08,0xffa81e00);	// B Lane load init value , servo init set	
rtd_outl(0xb803CD08,0x00a81e00);	

rtd_outl(0xb803CD18,0xffa81e00);	// G Lane load init value , servo init set
rtd_outl(0xb803CD18,0x00a81e00);
//[JF-end]tap0_init=5 ; LE_init=12 ; tap1_init=20 ; tap2_init=0

//-----------------------------Port2 fore k-offset-----------------------------

rtd_outl(0xb803CA40, 0x10B00A01);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,B lane input off[0]=1, fore-k Auto Mode[28]=1
rtd_outl(0xb803CA60, 0x10B00A01);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,G lane input off[0]=1, fore-k Auto Mode[28]=1
rtd_outl(0xb803CA70, 0x10B00A01);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,R lane input off[0]=1, fore-k Auto Mode[28]=1

rtd_outl(0xb803CA40, 0x11b00a01);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,start auto-k[24]=1
rtd_outl(0xb803CA60, 0x11b00a01);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,start auto-k[24]=1
rtd_outl(0xb803CA70, 0x11b00a01);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,start auto-k[24]=1

rtd_outl(0xb803CA40, 0x11B00A00);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,B lane input off[0]=0
rtd_outl(0xb803CA60, 0x11B00A00);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,G lane input off[0]=0
rtd_outl(0xb803CA70, 0x11B00A00);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,R lane input off[0]=0

rtd_outl(0xb803CB8C, 0x00000833); 	// R/G/B CDR reset,KP=0x2,Ki=0x1,DCDR rate sel=1:4 0x000
rtd_outl(0xb803CB8C, 0xFC000833); 	// R/G/B CDR reset release,KP=0x2,Ki=0x1,DCDR rate sel=1:4 0x000

//Check KOFFSET result
rtd_part_inl(0xB803CA7C, 8, 8);		//FORE _KOFF_OK? (R)
rtd_part_inl(0xB803CA6C, 8, 8);		//FORE _KOFF_OK? (G)
rtd_part_inl(0xB803CA4C, 8, 8);		//FORE _KOFF_OK? (B)
rtd_part_inl(0xB803CACC, 8, 8);		//FORE _KOFF_OK? (R)
rtd_part_inl(0xB803CABC, 8, 8);		//FORE _KOFF_OK? (G)
rtd_part_inl(0xB803CA9C, 8, 8);		//FORE _KOFF_OK? (B)

rtd_part_inl(0xB803CA7C, 9, 9);		//Auto K = 31 or 0? (R)
rtd_part_inl(0xB803CA6C, 9, 9);		//Auto K = 31 or 0? (G)
rtd_part_inl(0xB803CA4C, 9, 9);		//Auto K = 31 or 0? (B)
rtd_part_inl(0xB803CACC, 9, 9);		//Auto K = 31 or 0? (R)
rtd_part_inl(0xB803CABC, 9, 9);		//Auto K = 31 or 0? (G)
rtd_part_inl(0xB803CA9C, 9, 9);		//Auto K = 31 or 0? (B)

rtd_part_inl(0xB803CA7C, 14, 10);	//FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB803CA6C, 14, 10);	//FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB803CA4C, 14, 10);	//FORE_KOFF AUTOK result (B)
rtd_part_inl(0xB803CACC, 14, 10);	//FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB803CABC, 14, 10);	//FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB803CA9C, 14, 10);	//FORE_KOFF AUTOK result (B)

rtd_part_inl(0xB803CA70, 22, 21);	//Fore-ground koffset range (R)
rtd_part_inl(0xB803CA60, 22, 21);	//Fore-ground koffset range (G)
rtd_part_inl(0xB803CA40, 22, 21);	//Fore-ground koffset range (B)
rtd_part_inl(0xB803CAC0, 22, 21);	//Fore-ground koffset range (R)
rtd_part_inl(0xB803CAB0, 22, 21);	//Fore-ground koffset range (G)
rtd_part_inl(0xB803CA90, 22, 21);	//Fore-ground koffset range (B)

// ----------------------------------------- EX PHY FIFO -------------------------------------------------
rtd_outl(0xb80B4000,0x02A54A95);	// R/G/B ch async fifo enable
rtd_outl(0xb80B4014,0x00000050);	// Port0_c_afifo_en & Port1_c_afifo_en = 1
rtd_outl(0xb80B4004,0x0000003F);	// R/G/B PHY input clk invert
rtd_outl(0xb80B4018,0x0000000C);	// Port0_cclk_inv & Port1_cclk_inv = 1

// ----------------------------------------- R/G/B PHY FIFO  --------------------------------------------------
rtd_outl(0xb803c198,0x02A54A95);	// R/G/B ch async fifo enable
rtd_outl(0xb803c19C,0x00000FC0);	// R/G/B PHY input clk invert

//HD21_PHY_FIFO_CR1
//rtd_part_outl(0xb80b7008, 3, 2, 0x0);	// Port0_ckclk_inv & Port1_ckclk_inv = 0
//rtd_part_outl(0xb80b7008, 1, 0, 0x3);	// Port2_ckclk_inv & Port3_ckclk_inv = 1

// =========================== Port2 Mac setting =================================
//rtd_part_outl(0xb803c01c, 6, 6, 0x1);	//  brswap

rtd_outl(0xb803c020,0x00000001);	//enable HDMI function
rtd_outl(0xb803c01c,0x0000004F);	//RGB input enable, brswap = 1
rtd_outl(0xb803c018,0x000001e0);	//RGB output enable
rtd_outl(0xb803c1ac,0x01c0d870);	// R/G/B ch async fifo enable


rtd_outl(0xb803c048,0x00000080);	//deep color enable  
rtd_outl(0xb803c098,0x00000008);	//video enable

rtd_outl(0xb803c02c,0x00000073); // debounce sel=3 debounce cycle = 7

rtd_outl(0xb803c1b4,0x00000001); //enable HDMI 2.0 data path
//rtd_outl(0xb803c1bc,0x00000002); //FW assign data scrambling enable

//rtd_outl(0xb8022210,0x80050001);	           // VGIP select HDMI
//rtd_outl(0xb802ac00,0x00000002);	           // disable d-domain yuv2rgb

//rtd_outl(0xb8021100,0x00280600); // off-line measure enable
//rtd_outl(0xb8021100, 0x00280600);

// =========================== Port2 CRC check =================================

mdelay(5);   	            // delay
rtd_outl(0xb803c008,0x000000E1);	    //CRC check enable	


// =========================== VGIP1/VGIP2/DMP check =================================

rtd_outl(0xb8022210,0x80000001);	//enable VGIP1 and sel HDMI source
rtd_outl(0xb8022238,0x80000003);	//enable VGIP1 CRC check

rtd_outl(0xb8022710,0x80000001);	//enable VGIP2 and sel HDMI source
rtd_outl(0xb8022738,0x80000003);	//enable VGIP2 CRC check

rtd_outl(0xb8022410,0x80000001);	//enable DMP and sel HDMI source
rtd_outl(0xb8022438,0x80000003);	//enable DMP CRC check

//wait_ms(90);

rtd_inl(0xb803c00c); //CRC value is 0x00b2f4b4
rtd_inl(0xb802223c); //VGIP1 value is 0xb92f09e7
rtd_inl(0xb802273c); //VGIP2 value is 0xb92f09e7
rtd_inl(0xb802243c); //DMA value is 0xb92f09e7


////////////////////////////////////////////////////////////////////////////////////////////////////

//port3 6G OLT

//#include "merlin5_crt_all_turn_on_HDMI.tbl"

// ==================== HPD control ====================================
rtd_outl(0xb80602F0, 0x0000000B);	// HPD pull high[3],HPD_1k_Sel[2:0],5V_DET_Flag[31]
rtd_outl(0xb80602F4, 0x0000000B);	// HPD pull high[3],HPD_1k_Sel[2:0],5V_DET_Flag[31]
rtd_outl(0xb80602F8, 0x0000000B);	// HPD pull high[3],HPD_1k_Sel[2:0],5V_DET_Flag[31]

// ==================== Port3 5.94G ====================================

// ----------------------------- CK_TX and Z0 ------------------------------
rtd_outl(0xb803CA18, 0x00012A0F);	// Z0_Fix_Sel,CK_TX output enable(P0~P3)
rtd_outl(0xb803CA20, 0x00f0ffff);	// Z300 enable,P/N Short For FT,R/G/B/CK Z0 resister on
rtd_outl(0xb803CA24, 0x00032310);	// Z0 manual = 0xC (P0~P2) 
                 
// ----------------------------------- Port3,CK-lane ------------------------------------------------------------
rtd_outl(0xb803CAA0, 0x0000770e);	// CMU_CKAFE_ENHANCE_BIAS[11:10] = 01,PLL N code=/1,Post M=/1,hysteresis amp enhance mode
rtd_outl(0xb803CAA4, 0xF23B03BF);	// ENC(CCO_BAND)=0xf,EN_Cap=0x0,KVCO=0x0,Cp=0x3,RS=0x7,CS=0x3,Icp=0xb,Icp double=0x1
rtd_outl(0xb803CAA8, 0x00000023);	// PLL WD set
                 
// ----------------------------------- Port3,B-lane -------------------------------------------------------------
rtd_outl(0xb803CA90, 0x00B00A00);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10
rtd_outl(0xb803CA94, 0x22DAB97D);	// demux rate=4:1, PI_DIV=/1,LE_ISEL=0x6,PI_ISEL=0x2,LEQ/Tap0/RS/RL=HBR,PI_POW,EQ_POW
rtd_outl(0xb803CA98, 0x0000a498);	// PI_CSEL=0x0,DFE_Adapt_enable,Tap2~Tap1_EN
// ----------------------------------- Port3,G-lane -------------------------------------------------------------
rtd_outl(0xb803CAB0, 0x00B00A00);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10
rtd_outl(0xb803CAB4, 0x22DAB97D);	// demux rate=4:1, PI_DIV=/1,LE_ISEL=0x6,PI_ISEL=0x2,LEQ/Tap0/RS/RL=HBR,PI_POW,EQ_POW
rtd_outl(0xb803CAB8, 0x0000a498);	// PI_CSEL=0x0,DFE_Adapt_enable,Tap2~Tap1_EN
// ----------------------------------- Port3,R-lane -------------------------------------------------------------
rtd_outl(0xb803CAC0, 0x00B00A00);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10
rtd_outl(0xb803CAC4, 0x22DAB97D);	// demux rate=4:1, PI_DIV=/1,LE_ISEL=0x6,PI_ISEL=0x2,LEQ/Tap0/RS/RL=HBR,PI_POW,EQ_POW
rtd_outl(0xb803CAC8, 0x0000a498);	// PI_CSEL=0x0,DFE_Adapt_enable,Tap2~Tap1_EN
                 
// ---------------------------------------------- Port3 DPHY settin --------------------------------------------
rtd_outl(0xb803CBE4, 0xE4E84505);	// DPHY set
rtd_outl(0xb803CBE8, 0x8000006B);	//PLL M code=0x6B+4=111

// ------------------------------------------PLL & DEMUX & CDR release-----------------------------------------
rtd_outl(0xb803CA10, 0x01020408);	// PLL enable (Port0~3)
rtd_outl(0xb803CAD0, 0x00000fff);	// DEMUX reset release (Port0~3)
rtd_outl(0xb803CBA0, 0xFC000833); 	// R/G/B CDR reset release,KP=0x2,Ki=0x1,DCDR rate sel=1:4 0x000

// ----------------------------------------- Port3 MAC select --------------------------------------------------
rtd_outl(0xb800D50C,0x0000000C);	// Select Port3 MAC to VGIP 

// ----------------------------------------- R/G/B PHY FIFO  --------------------------------------------------
rtd_outl(0xb800D198,0x02A54A95);	// R/G/B ch async fifo enable
rtd_outl(0xb800D19C,0x00000FC0);	// R/G/B PHY input clk invert

// ============================ Port3 DFE setting ==========================
rtd_outl(0xb803CD80,0xD125FF06);	// Tap0 sel no-transition,mode3, adaptive reset, Tap2 transition_only[28]=1

rtd_outl(0xb803CD70,0x6100C200);	// R Lane set, DFE clk edge[31]=0  	
rtd_outl(0xb803CD50,0x6100C200);  	// B Lane set	
rtd_outl(0xb803CD60,0x6100C200);	// G Lane set	
rtd_outl(0xb803CD74,0x00030705);	// R Lane set,Tap1[19:14]=12, Tap0[13:7]=14,  Vth=5     
rtd_outl(0xb803CD54,0x00030705);	// B Lane set	
rtd_outl(0xb803CD64,0x00030705);	// G Lane set	
                 
rtd_outl(0xb803CD78,0xffa81e00);	// R Lane load init value , servo init set	
rtd_outl(0xb803CD78,0x00a81e00); 
                 
rtd_outl(0xb803CD58,0xffa81e00);	// B Lane load init value , servo init set	
rtd_outl(0xb803CD58,0x00a81e00);	
                 
rtd_outl(0xb803CD68,0xffa81e00);	// G Lane load init value , servo init set
rtd_outl(0xb803CD68,0x00a81e00);

//[JF]adapt_mode = 2                 
rtd_outl(0xb803CD80,0x9125FFF6);	// Tap0 sel no-transition,mode3, adaptive reset release, Tap2 transition_only[28]=1
                 
rtd_outl(0xb803CD84,0x51b6e102);  	// Tap0 run length = 4
//rtd_outl(0xb803CD38,0x035a00d9);	// Tap1~3 max and min set, Tap2_max[19:15]=20,Tap2_min[14:10]=0
rtd_outl(0xb803CD88,0x035a50d9);        // Tap1~3 max and min set, Tap2_max[19:15]=20,Tap2_min[14:10]=20
                 
rtd_outl(0xb803CD8C,0x364380A0);	// Vth_min=0,Vth_max=0x7,Vth_th=0,Tap0_th=0
rtd_outl(0xb803CD90,0xA0554800);	// divisor set, Tap0 max set 0x24
                 
rtd_outl(0xb803CD70,0x6141C200);	//R Lane Vth,Tap0 adaptive enable, DFE clk edge[31]=0, LE_min 	
rtd_outl(0xb803CD50,0x6141C200);  	
rtd_outl(0xb803CD60,0x6141C200); 

mdelay(0x10);
//wait_ms(10);

rtd_outl(0xb803CD70,0x6100C200);	//R Lane all adaptive disable 	
rtd_outl(0xb803CD50,0x6100C200);
rtd_outl(0xb803CD60,0x6100C200);
                 
rtd_outl(0xb803CD70,0x6186C200);	//R Lane LE,Tap1,Tap2 adaptive enable  	
rtd_outl(0xb803CD50,0x6186C200);  	
rtd_outl(0xb803CD60,0x6186C200);
//rtd_outl(0xb803CD70,0x61C7C200);	//R Lane Vth,Tap0,LE,Tap2 adaptive enable
//rtd_outl(0xb803CD50,0x61C7C200);  	
//rtd_outl(0xb803CD60,0x61C7C200);

mdelay(0x10);
//wait_ms(10);

rtd_outl(0xb803CD70,0x6100C200);	//R Lane all adaptive disable 	
rtd_outl(0xb803CD50,0x6100C200);
rtd_outl(0xb803CD60,0x6100C200);



//[JF-start]tap0_init=5 ; LE_init=12 ; tap1_init=20 ; tap2_init=0
rtd_outl(0xb803CD70,0x6100C300);	// R Lane set, DFE clk edge[31]=0, LE_init = 0xC   	
rtd_outl(0xb803CD50,0x6100C300);  	// B Lane set	                 , LE_init = 0xC 
rtd_outl(0xb803CD60,0x6100C300);	// G Lane set	                 , LE_init = 0xC 

rtd_outl(0xb803CD74,0x00050285);	// R Lane set,Tap1[19:14]=12, Tap0[13:7]=14,  Vth=5     
rtd_outl(0xb803CD54,0x00050285);	// B Lane set	
rtd_outl(0xb803CD64,0x00050285);	// G Lane set	

rtd_outl(0xb803CD78,0xffa81e00);	// R Lane load init value , servo init set	
rtd_outl(0xb803CD78,0x00a81e00); 

rtd_outl(0xb803CD58,0xffa81e00);	// B Lane load init value , servo init set	
rtd_outl(0xb803CD58,0x00a81e00);	

rtd_outl(0xb803CD68,0xffa81e00);	// G Lane load init value , servo init set
rtd_outl(0xb803CD68,0x00a81e00);
//[JF-end]tap0_init=5 ; LE_init=12 ; tap1_init=20 ; tap2_init=0


//-----------------------------Port3 fore k-offset-----------------------------

rtd_outl(0xb803CA90, 0x10B00A01);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,B lane input off[0]=1, fore-k Auto Mode[28]=1
rtd_outl(0xb803CAB0, 0x10B00A01);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,G lane input off[0]=1, fore-k Auto Mode[28]=1
rtd_outl(0xb803CAC0, 0x10B00A01);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,R lane input off[0]=1, fore-k Auto Mode[28]=1

rtd_outl(0xb803CA90, 0x11b00a01);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,start auto-k[24]=1
rtd_outl(0xb803CAB0, 0x11b00a01);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,start auto-k[24]=1
rtd_outl(0xb803CAC0, 0x11b00a01);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,start auto-k[24]=1

rtd_outl(0xb803CA90, 0x11B00A00);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,B lane input off[0]=0
rtd_outl(0xb803CAB0, 0x11B00A00);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,G lane input off[0]=0
rtd_outl(0xb803CAC0, 0x11B00A00);	// fore_offet set, LEQ bit rate RL select=0x2,pix2 sel=/10,R lane input off[0]=0

rtd_outl(0xb803CBA0, 0x00000833); 	// R/G/B CDR reset,KP=0x2,Ki=0x1,DCDR rate sel=1:4 0x000
rtd_outl(0xb803CBA0, 0xFC000833); 	// R/G/B CDR reset release,KP=0x2,Ki=0x1,DCDR rate sel=1:4 0x000

//Check KOFFSET result
rtd_part_inl(0xB803CA7C, 8, 8);		//FORE _KOFF_OK? (R)
rtd_part_inl(0xB803CA6C, 8, 8);		//FORE _KOFF_OK? (G)
rtd_part_inl(0xB803CA4C, 8, 8);		//FORE _KOFF_OK? (B)
rtd_part_inl(0xB803CACC, 8, 8);		//FORE _KOFF_OK? (R)
rtd_part_inl(0xB803CABC, 8, 8);		//FORE _KOFF_OK? (G)
rtd_part_inl(0xB803CA9C, 8, 8);		//FORE _KOFF_OK? (B)

rtd_part_inl(0xB803CA7C, 9, 9);		//Auto K = 31 or 0? (R)
rtd_part_inl(0xB803CA6C, 9, 9);		//Auto K = 31 or 0? (G)
rtd_part_inl(0xB803CA4C, 9, 9);		//Auto K = 31 or 0? (B)
rtd_part_inl(0xB803CACC, 9, 9);		//Auto K = 31 or 0? (R)
rtd_part_inl(0xB803CABC, 9, 9);		//Auto K = 31 or 0? (G)
rtd_part_inl(0xB803CA9C, 9, 9);		//Auto K = 31 or 0? (B)

rtd_part_inl(0xB803CA7C, 14, 10);	//FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB803CA6C, 14, 10);	//FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB803CA4C, 14, 10);	//FORE_KOFF AUTOK result (B)
rtd_part_inl(0xB803CACC, 14, 10);	//FORE_KOFF AUTOK result (R)
rtd_part_inl(0xB803CABC, 14, 10);	//FORE_KOFF AUTOK result (G)
rtd_part_inl(0xB803CA9C, 14, 10);	//FORE_KOFF AUTOK result (B)

rtd_part_inl(0xB803CA70, 22, 21);	//Fore-ground koffset range (R)
rtd_part_inl(0xB803CA60, 22, 21);	//Fore-ground koffset range (G)
rtd_part_inl(0xB803CA40, 22, 21);	//Fore-ground koffset range (B)
rtd_part_inl(0xB803CAC0, 22, 21);	//Fore-ground koffset range (R)
rtd_part_inl(0xB803CAB0, 22, 21);	//Fore-ground koffset range (G)
rtd_part_inl(0xB803CA90, 22, 21);	//Fore-ground koffset range (B)

// ----------------------------------------- EX PHY FIFO -------------------------------------------------
rtd_outl(0xb80B4000,0x02A54A95);	// R/G/B ch async fifo enable
rtd_outl(0xb80B4014,0x00000050);	// Port0_c_afifo_en & Port1_c_afifo_en = 1
rtd_outl(0xb80B4004,0x0000003F);	// R/G/B PHY input clk invert
rtd_outl(0xb80B4018,0x0000000C);	// Port0_cclk_inv & Port1_cclk_inv = 1

// ----------------------------------------- R/G/B PHY FIFO  --------------------------------------------------
rtd_outl(0xb80b2198,0x02A54A95);	// R/G/B ch async fifo enable
rtd_outl(0xb80b219C,0x00000FC0);	// R/G/B PHY input clk invert

//HD21_PHY_FIFO_CR1
//rtd_part_outl(0xb80b7008, 3, 2, 0x0);	// Port0_ckclk_inv & Port1_ckclk_inv = 0
//rtd_part_outl(0xb80b7008, 1, 0, 0x3);	// Port2_ckclk_inv & Port3_ckclk_inv = 1

// =========================== Port3 Mac setting =================================
//rtd_part_outl(0xb80b201c, 6, 6, 0x1);	//  brswap

rtd_outl(0xb80b2020,0x00000001);	//enable HDMI function
rtd_outl(0xb80b201c,0x0000000F);	//RGB input enable, brswap = 0
rtd_outl(0xb80b2018,0x000001e0);	//RGB output enable
rtd_outl(0xb80b21ac,0x01c0d870);	// R/G/B ch async fifo enable


rtd_outl(0xb80b2048,0x00000080);	//deep color enable  
rtd_outl(0xb80b2098,0x00000008);	//video enable

rtd_outl(0xb80b202c,0x00000073); // debounce sel=3 debounce cycle = 7

rtd_outl(0xb80b21b4,0x00000001); //enable HDMI 2.0 data path
//rtd_outl(0xb80b21bc,0x00000002); //FW assign data scrambling enable

//rtd_outl(0xb8022210,0x80050001);	           // VGIP select HDMI
//rtd_outl(0xb802ac00,0x00000002);	           // disable d-domain yuv2rgb

//rtd_outl(0xb8021100,0x00280600); // off-line measure enable
//rtd_outl(0xb8021100, 0x00280600);

// =========================== Port3 CRC check =================================

mdelay(5);   	            // delay
rtd_outl(0xb80b2008,0x000000E1);	    //CRC check enable	


// =========================== VGIP1/VGIP2/DMP check =================================

rtd_outl(0xb8022210,0x80000001);	//enable VGIP1 and sel HDMI source
rtd_outl(0xb8022238,0x80000003);	//enable VGIP1 CRC check

rtd_outl(0xb8022710,0x80000001);	//enable VGIP2 and sel HDMI source
rtd_outl(0xb8022738,0x80000003);	//enable VGIP2 CRC check

rtd_outl(0xb8022410,0x80000001);	//enable DMP and sel HDMI source
rtd_outl(0xb8022438,0x80000003);	//enable DMP CRC check

//wait_ms(90);

rtd_inl(0xb80b200c); //CRC value is 0x00b2f4b4
rtd_inl(0xb802223c); //VGIP1 value is 0xb92f09e7
rtd_inl(0xb802273c); //VGIP2 value is 0xb92f09e7
rtd_inl(0xb802243c); //DMA value is 0xb92f09e7



	return 0;

}


#else


void GPIO_Pin_Share(void)
{

	rtd_part_outl(0xb806020c,15,12,0xf);	//pinshare GPIO6
	rtd_part_outl(0xb8061100,7,7,0x0);		//GPIO6 is GPI
    //GPI_Read: 0x18061110[7]
	rtd_part_outl(0xb806020c,7,4,0xf);//pinshare GPIO7
	rtd_part_outl(0xb8061100,8,8,0x0);		//GPIO7 is GPI
	//GPI_Read: 0x18061110[8]
	rtd_part_outl(0xb8060228,7,4,0xf);//pinshare GPIO46
	rtd_part_outl(0xb8061104,16,16,0x0);		//GPIO46 is GPI
	//GPI_Read: 0x18061114[16]
	rtd_part_outl(0xb8060230,31,28,0xf);	//pinshare GPIO51
	rtd_part_outl(0xb8061104,21,21,0x0);		//GPIO51 is GPI
	//GPI_Read: 0x18061114[17]
}


int QC_Verifier_HDMI(void)
{
	int Result = SUCCESS;

	bool test_flag = TRUE;
	int  i = 0, j = 0;
#if 0
	static int count = 0;

	if (count >= 1) {
		QC_Hdmi_Main(3);
		return;
	}

	++count;
#endif
	printk("HDMI Rx QC Test\n");

	GPIO_Pin_Share();
	HDMI_DDC_INIT();
	

	HdmiTable_Init();

	newbase_hdmi_init();

	for ( i=0; i<HDMI_QCloop; i++ ) {
		printk("[HDMI] LOOP=#%d\n", i+1);
		//for ( j=0; j< HDMI_PORT_TOTAL_NUM; j++ ) 
		for ( j=3; j>=0; j-- ) 
		//for ( j=0; j< HDMI_PORT2; j++ ) 
		{

			if ( IsHDMIPortEnable(j) ) {
				test_flag &= QC_Hdmi_Main(j);

			}
#if X_KEY_EXIT
			if (GETCHAR_x)
				return 0;
#endif
		}
#if LOOP_ERROR_BREAK
		if ( !test_flag ) {
			break;
		}
#endif
	}

	if ( !test_flag ) {
		Result = FAILED;
	}


#if 0//QC_BIST_CHECK && !CONFIG_FT
	newbase_hdmi_init();

	for ( j=0; j<HDMI_PORT_TOTAL_NUM; j++ ) {
		if ( IsHDMIPortEnable(j) ) {
			HDMI_PRINTF(" ============ START OF BIST/DRF TEST  (PORT%d) =================\n", j);

			if (!HDCP_BIST_CHECK(j)) {
				Result = FAILED;
			}
			HDCP_BIST_END(j);
			HDMI_PRINTF(" ============ END OF BIST/DRF TEST    (PORT%d) =================\n", j);
		}
	}
#endif


	return Result;

}

#endif


#if CONFIG_FT

unsigned char HDMI_koffset_ft(unsigned char port)
{


	UINT32 w_b_addr_control, w_g_addr_control, w_r_addr_control;
	UINT32 w_b_addr_result, w_g_addr_result, w_r_addr_result;
	unsigned char bound_result = 0, finish_result = 0;

	if (port == 0) {
     		w_b_addr_control = DFE_HDMI_RX_PHY_P0_B1_reg;
		w_g_addr_control = DFE_HDMI_RX_PHY_P0_G1_reg;
		w_r_addr_control = DFE_HDMI_RX_PHY_P0_R1_reg;
		w_b_addr_result = DFE_HDMI_RX_PHY_P0_B4_reg;
		w_g_addr_result = DFE_HDMI_RX_PHY_P0_G4_reg;
		w_r_addr_result = DFE_HDMI_RX_PHY_P0_R4_reg;
	} else if (port == 1) {
		w_b_addr_control = DFE_HDMI_RX_PHY_P1_B1_reg;
		w_g_addr_control = DFE_HDMI_RX_PHY_P1_G1_reg;
		w_r_addr_control = DFE_HDMI_RX_PHY_P1_R1_reg;
		w_b_addr_result = DFE_HDMI_RX_PHY_P1_B4_reg;
		w_g_addr_result = DFE_HDMI_RX_PHY_P1_G4_reg;
		w_r_addr_result = DFE_HDMI_RX_PHY_P1_R4_reg;
	} else {
	     	w_b_addr_control = DFE_HDMI_RX_PHY_P2_B1_reg;
		w_g_addr_control = DFE_HDMI_RX_PHY_P2_G1_reg;
		w_r_addr_control = DFE_HDMI_RX_PHY_P2_R1_reg;
		w_b_addr_result = DFE_HDMI_RX_PHY_P2_B4_reg;
		w_g_addr_result = DFE_HDMI_RX_PHY_P2_G4_reg;
		w_r_addr_result = DFE_HDMI_RX_PHY_P2_R4_reg;
	} 

	bound_result = DFE_HDMI_RX_PHY_P0_B4_get_reg_p0_b_koff_bound(hdmi_in(w_b_addr_result));
	finish_result = DFE_HDMI_RX_PHY_P0_B4_get_reg_p0_b_koffok(hdmi_in(w_b_addr_result));
	if (bound_result || !finish_result) {
		printk("[HDMI] B-lane KOFF error=(finish=%d, bound=%d)!!!!!\n", finish_result, bound_result);
		return 0;
	}

	bound_result = DFE_HDMI_RX_PHY_P0_G4_get_reg_p0_g_koff_bound(hdmi_in(w_g_addr_result));
	finish_result = DFE_HDMI_RX_PHY_P0_G4_get_reg_p0_g_koffok(hdmi_in(w_g_addr_result));
	if (bound_result || !finish_result) {
		printk("[HDMI] G-lane KOFF error=(finish=%d, bound=%d)!!!!!\n", finish_result, bound_result);
		return 0;
	}

	bound_result = DFE_HDMI_RX_PHY_P0_R4_get_reg_p0_r_koff_bound(hdmi_in(w_r_addr_result));
	finish_result = DFE_HDMI_RX_PHY_P0_R4_get_reg_p0_r_koffok(hdmi_in(w_r_addr_result));
	if (bound_result || !finish_result) {
		printk("[HDMI] R-lane KOFF error=(finish=%d, bound=%d)!!!!!\n", finish_result, bound_result);
		return 0;
	}

	printk("[HDMI] KOFF_Range=(%d,%d,%d), KOFF_ADJ=(%d,%d,%d)\n",
		(hdmi_in(w_r_addr_control)&P0_r_1_FORE_KOFF_RANGE)>>21,
		(hdmi_in(w_g_addr_control)&P0_g_1_FORE_KOFF_RANGE)>>21,
		(hdmi_in(w_b_addr_control)&P0_b_1_FORE_KOFF_RANGE)>>21,
		DFE_HDMI_RX_PHY_P0_R4_get_reg_p0_r_koff_sel(hdmi_in(w_r_addr_result)),
		DFE_HDMI_RX_PHY_P0_G4_get_reg_p0_g_koff_sel(hdmi_in(w_g_addr_result)),
		DFE_HDMI_RX_PHY_P0_B4_get_reg_p0_b_koff_sel(hdmi_in(w_b_addr_result)));

	return 1;

}

void hdmiphy_dfe_set_tap0(unsigned char nport, unsigned char lan0, unsigned char lan1, unsigned char lan2)
{
	hdmi_mask(DFE_REG_DFE_INIT0_L0_reg,~(DFE_REG_DFE_INIT0_L0_tap0_init_lane0_mask),(DFE_REG_DFE_INIT0_L0_tap0_init_lane0(lan0)));
	hdmi_mask(DFE_REG_DFE_INIT0_L1_reg,~(DFE_REG_DFE_INIT0_L0_tap0_init_lane0_mask),(DFE_REG_DFE_INIT0_L0_tap0_init_lane0(lan1)));
	hdmi_mask(DFE_REG_DFE_INIT0_L2_reg,~(DFE_REG_DFE_INIT0_L0_tap0_init_lane0_mask),(DFE_REG_DFE_INIT0_L0_tap0_init_lane0(lan2)));

	hdmi_mask(DFE_REG_DFE_INIT1_L0_reg,~(LOAD_IN_INIT_TAP0),(LOAD_IN_INIT_TAP0));
	hdmi_mask(DFE_REG_DFE_INIT1_L1_reg,~(LOAD_IN_INIT_TAP0),(LOAD_IN_INIT_TAP0));
	hdmi_mask(DFE_REG_DFE_INIT1_L2_reg,~(LOAD_IN_INIT_TAP0),(LOAD_IN_INIT_TAP0));

	hdmi_mask(DFE_REG_DFE_INIT1_L0_reg,~(LOAD_IN_INIT_TAP0),0);
	hdmi_mask(DFE_REG_DFE_INIT1_L1_reg,~(LOAD_IN_INIT_TAP0),0);
	hdmi_mask(DFE_REG_DFE_INIT1_L2_reg,~(LOAD_IN_INIT_TAP0),0);
}
#endif

